/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2011, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *	  SQL92-specific syntax is separated from plain SQL/Postgres syntax
 *	  to help isolate the non-extensible portions of the parser.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (Rhs)[0]; \
	} while (0)

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static FuncCall *makeOverlaps(List *largs, List *rargs,
							  int location, core_yyscan_t yyscanner);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static SelectStmt *findLeftmostSelect(SelectStmt *node);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   core_yyscan_t yyscanner);



/* Line 268 of yacc.c  */
#line 230 "gram.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENT = 258,
     FCONST = 259,
     SCONST = 260,
     BCONST = 261,
     XCONST = 262,
     Op = 263,
     ICONST = 264,
     PARAM = 265,
     TYPECAST = 266,
     DOT_DOT = 267,
     COLON_EQUALS = 268,
     ABORT_P = 269,
     ABSOLUTE_P = 270,
     ACCESS = 271,
     ACTION = 272,
     ADD_P = 273,
     ADMIN = 274,
     AFTER = 275,
     AGGREGATE = 276,
     ALL = 277,
     ALSO = 278,
     ALTER = 279,
     ALWAYS = 280,
     ANALYSE = 281,
     ANALYZE = 282,
     AND = 283,
     ANY = 284,
     ARRAY = 285,
     AS = 286,
     ASC = 287,
     ASSERTION = 288,
     ASSIGNMENT = 289,
     ASYMMETRIC = 290,
     AT = 291,
     ATTRIBUTE = 292,
     AUTHORIZATION = 293,
     BACKWARD = 294,
     BEFORE = 295,
     BEGIN_P = 296,
     BETWEEN = 297,
     BIGINT = 298,
     BINARY = 299,
     BIT = 300,
     BOOLEAN_P = 301,
     BOTH = 302,
     BY = 303,
     CACHE = 304,
     CALLED = 305,
     CASCADE = 306,
     CASCADED = 307,
     CASE = 308,
     CAST = 309,
     CATALOG_P = 310,
     CHAIN = 311,
     CHAR_P = 312,
     CHARACTER = 313,
     CHARACTERISTICS = 314,
     CHECK = 315,
     CHECKPOINT = 316,
     CLASS = 317,
     CLOSE = 318,
     CLUSTER = 319,
     COALESCE = 320,
     COLLATE = 321,
     COLLATION = 322,
     COLUMN = 323,
     COMMENT = 324,
     COMMENTS = 325,
     COMMIT = 326,
     COMMITTED = 327,
     CONCURRENTLY = 328,
     CONFIGURATION = 329,
     CONNECTION = 330,
     CONSTRAINT = 331,
     CONSTRAINTS = 332,
     CONTENT_P = 333,
     CONTINUE_P = 334,
     CONVERSION_P = 335,
     COPY = 336,
     COST = 337,
     CREATE = 338,
     CROSS = 339,
     CSV = 340,
     CURRENT_P = 341,
     CURRENT_CATALOG = 342,
     CURRENT_DATE = 343,
     CURRENT_ROLE = 344,
     CURRENT_SCHEMA = 345,
     CURRENT_TIME = 346,
     CURRENT_TIMESTAMP = 347,
     CURRENT_USER = 348,
     CURSOR = 349,
     CYCLE = 350,
     DATA_P = 351,
     DATABASE = 352,
     DAY_P = 353,
     DEALLOCATE = 354,
     DEC = 355,
     DECIMAL_P = 356,
     DECLARE = 357,
     DEFAULT = 358,
     DEFAULTS = 359,
     DEFERRABLE = 360,
     DEFERRED = 361,
     DEFINER = 362,
     DELETE_P = 363,
     DELIMITER = 364,
     DELIMITERS = 365,
     DESC = 366,
     DICTIONARY = 367,
     DISABLE_P = 368,
     DISCARD = 369,
     DISTINCT = 370,
     DO = 371,
     DOCUMENT_P = 372,
     DOMAIN_P = 373,
     DOUBLE_P = 374,
     DROP = 375,
     EACH = 376,
     ELSE = 377,
     ENABLE_P = 378,
     ENCODING = 379,
     ENCRYPTED = 380,
     END_P = 381,
     ENUM_P = 382,
     ESCAPE = 383,
     EXCEPT = 384,
     EXCLUDE = 385,
     EXCLUDING = 386,
     EXCLUSIVE = 387,
     EXECUTE = 388,
     EXISTS = 389,
     EXPLAIN = 390,
     EXTENSION = 391,
     EXTERNAL = 392,
     EXTRACT = 393,
     FALSE_P = 394,
     FAMILY = 395,
     FETCH = 396,
     FIRST_P = 397,
     FLOAT_P = 398,
     FOLLOWING = 399,
     FOR = 400,
     FORCE = 401,
     FOREIGN = 402,
     FORWARD = 403,
     FREEZE = 404,
     FROM = 405,
     FULL = 406,
     FUNCTION = 407,
     FUNCTIONS = 408,
     GLOBAL = 409,
     GRANT = 410,
     GRANTED = 411,
     GREATEST = 412,
     GROUP_P = 413,
     HANDLER = 414,
     HAVING = 415,
     HEADER_P = 416,
     HOLD = 417,
     HOUR_P = 418,
     IDENTITY_P = 419,
     IF_P = 420,
     ILIKE = 421,
     IMMEDIATE = 422,
     IMMUTABLE = 423,
     IMPLICIT_P = 424,
     IN_P = 425,
     INCLUDING = 426,
     INCREMENT = 427,
     INDEX = 428,
     INDEXES = 429,
     INHERIT = 430,
     INHERITS = 431,
     INITIALLY = 432,
     INLINE_P = 433,
     INNER_P = 434,
     INOUT = 435,
     INPUT_P = 436,
     INSENSITIVE = 437,
     INSERT = 438,
     INSTEAD = 439,
     INT_P = 440,
     INTEGER = 441,
     INTERSECT = 442,
     INTERVAL = 443,
     INTO = 444,
     INVOKER = 445,
     IS = 446,
     ISNULL = 447,
     ISOLATION = 448,
     JOIN = 449,
     KEY = 450,
     LABEL = 451,
     LANGUAGE = 452,
     LARGE_P = 453,
     LAST_P = 454,
     LC_COLLATE_P = 455,
     LC_CTYPE_P = 456,
     LEADING = 457,
     LEAST = 458,
     LEFT = 459,
     LEVEL = 460,
     LIKE = 461,
     LIMIT = 462,
     LISTEN = 463,
     LOAD = 464,
     LOCAL = 465,
     LOCALTIME = 466,
     LOCALTIMESTAMP = 467,
     LOCATION = 468,
     LOCK_P = 469,
     MAPPING = 470,
     MATCH = 471,
     MAXVALUE = 472,
     MINUTE_P = 473,
     MINVALUE = 474,
     MODE = 475,
     MONTH_P = 476,
     MOVE = 477,
     NAME_P = 478,
     NAMES = 479,
     NATIONAL = 480,
     NATURAL = 481,
     NCHAR = 482,
     NEXT = 483,
     NO = 484,
     NONE = 485,
     NOT = 486,
     NOTHING = 487,
     NOTIFY = 488,
     NOTNULL = 489,
     NOWAIT = 490,
     NULL_P = 491,
     NULLIF = 492,
     NULLS_P = 493,
     NUMERIC = 494,
     OBJECT_P = 495,
     OF = 496,
     OFF = 497,
     OFFSET = 498,
     OIDS = 499,
     ON = 500,
     ONLY = 501,
     OPERATOR = 502,
     OPTION = 503,
     OPTIONS = 504,
     OR = 505,
     ORDER = 506,
     OUT_P = 507,
     OUTER_P = 508,
     OVER = 509,
     OVERLAPS = 510,
     OVERLAY = 511,
     OWNED = 512,
     OWNER = 513,
     PARSER = 514,
     PARTIAL = 515,
     PARTITION = 516,
     PASSING = 517,
     PASSWORD = 518,
     PLACING = 519,
     PLANS = 520,
     POSITION = 521,
     PRECEDING = 522,
     PRECISION = 523,
     PRESERVE = 524,
     PREPARE = 525,
     PREPARED = 526,
     PRIMARY = 527,
     PRIOR = 528,
     PRIVILEGES = 529,
     PROCEDURAL = 530,
     PROCEDURE = 531,
     QUOTE = 532,
     RANGE = 533,
     READ = 534,
     REAL = 535,
     REASSIGN = 536,
     RECHECK = 537,
     RECURSIVE = 538,
     REF = 539,
     REFERENCES = 540,
     REINDEX = 541,
     RELATIVE_P = 542,
     RELEASE = 543,
     RENAME = 544,
     REPEATABLE = 545,
     REPLACE = 546,
     REPLICA = 547,
     RESET = 548,
     RESTART = 549,
     RESTRICT = 550,
     RETURNING = 551,
     RETURNS = 552,
     REVOKE = 553,
     RIGHT = 554,
     ROLE = 555,
     ROLLBACK = 556,
     ROW = 557,
     ROWS = 558,
     RULE = 559,
     SAVEPOINT = 560,
     SCHEMA = 561,
     SCROLL = 562,
     SEARCH = 563,
     SECOND_P = 564,
     SECURITY = 565,
     SELECT = 566,
     SEQUENCE = 567,
     SEQUENCES = 568,
     SERIALIZABLE = 569,
     SERVER = 570,
     SESSION = 571,
     SESSION_USER = 572,
     SET = 573,
     SETOF = 574,
     SHARE = 575,
     SHOW = 576,
     SIMILAR = 577,
     SIMPLE = 578,
     SMALLINT = 579,
     SOME = 580,
     STABLE = 581,
     STANDALONE_P = 582,
     START = 583,
     STATEMENT = 584,
     STATISTICS = 585,
     STDIN = 586,
     STDOUT = 587,
     STORAGE = 588,
     STRICT_P = 589,
     STRIP_P = 590,
     SUBSTRING = 591,
     SYMMETRIC = 592,
     SYSID = 593,
     SYSTEM_P = 594,
     TABLE = 595,
     TABLES = 596,
     TABLESPACE = 597,
     TEMP = 598,
     TEMPLATE = 599,
     TEMPORARY = 600,
     TEXT_P = 601,
     THEN = 602,
     TIME = 603,
     TIMESTAMP = 604,
     TO = 605,
     TRAILING = 606,
     TRANSACTION = 607,
     TREAT = 608,
     TRIGGER = 609,
     TRIM = 610,
     TRUE_P = 611,
     TRUNCATE = 612,
     TRUSTED = 613,
     TYPE_P = 614,
     UNBOUNDED = 615,
     UNCOMMITTED = 616,
     UNENCRYPTED = 617,
     UNION = 618,
     UNIQUE = 619,
     UNKNOWN = 620,
     UNLISTEN = 621,
     UNLOGGED = 622,
     UNTIL = 623,
     UPDATE = 624,
     USER = 625,
     USING = 626,
     VACUUM = 627,
     VALID = 628,
     VALIDATE = 629,
     VALIDATOR = 630,
     VALUE_P = 631,
     VALUES = 632,
     VARCHAR = 633,
     VARIADIC = 634,
     VARYING = 635,
     VERBOSE = 636,
     VERSION_P = 637,
     VIEW = 638,
     VOLATILE = 639,
     WHEN = 640,
     WHERE = 641,
     WHITESPACE_P = 642,
     WINDOW = 643,
     WITH = 644,
     WITHOUT = 645,
     WORK = 646,
     WRAPPER = 647,
     WRITE = 648,
     XML_P = 649,
     XMLATTRIBUTES = 650,
     XMLCONCAT = 651,
     XMLELEMENT = 652,
     XMLEXISTS = 653,
     XMLFOREST = 654,
     XMLPARSE = 655,
     XMLPI = 656,
     XMLROOT = 657,
     XMLSERIALIZE = 658,
     YEAR_P = 659,
     YES_P = 660,
     ZONE = 661,
     NULLS_FIRST = 662,
     NULLS_LAST = 663,
     WITH_TIME = 664,
     POSTFIXOP = 665,
     UMINUS = 666
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 160 "gram.y"

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;



/* Line 293 of yacc.c  */
#line 716 "gram.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 741 "gram.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  693
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   70211

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  429
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  545
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2216
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4176

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   666

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   418,     2,     2,
     423,   424,   416,   414,   427,   415,   425,   417,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   428,   426,
     411,   410,   412,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   421,     2,   422,   419,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   413,   420
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     9,    11,    13,    15,    17,    19,
      21,    23,    25,    27,    29,    31,    33,    35,    37,    39,
      41,    43,    45,    47,    49,    51,    53,    55,    57,    59,
      61,    63,    65,    67,    69,    71,    73,    75,    77,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    97,    99,
     101,   103,   105,   107,   109,   111,   113,   115,   117,   119,
     121,   123,   125,   127,   129,   131,   133,   135,   137,   139,
     141,   143,   145,   147,   149,   151,   153,   155,   157,   159,
     161,   163,   165,   167,   169,   171,   173,   175,   177,   179,
     181,   183,   185,   187,   189,   191,   193,   195,   197,   199,
     201,   203,   205,   207,   209,   211,   213,   215,   217,   219,
     221,   223,   225,   227,   229,   231,   232,   238,   240,   241,
     244,   245,   248,   249,   252,   255,   259,   263,   265,   269,
     273,   276,   278,   280,   283,   286,   289,   293,   297,   303,
     309,   310,   314,   320,   326,   331,   335,   341,   345,   351,
     357,   364,   366,   368,   372,   378,   385,   390,   392,   393,
     396,   397,   399,   401,   403,   405,   407,   409,   412,   416,
     420,   424,   428,   432,   436,   440,   444,   447,   453,   456,
     459,   462,   465,   469,   473,   477,   479,   483,   485,   489,
     491,   493,   496,   499,   502,   504,   506,   508,   510,   512,
     514,   516,   520,   527,   529,   531,   533,   535,   537,   538,
     540,   542,   545,   549,   554,   558,   561,   564,   566,   569,
     573,   578,   582,   585,   590,   592,   594,   596,   598,   600,
     603,   606,   609,   612,   617,   622,   627,   632,   634,   638,
     641,   645,   650,   657,   664,   671,   677,   683,   690,   697,
     702,   711,   714,   718,   725,   730,   734,   738,   742,   746,
     750,   755,   760,   764,   768,   772,   776,   780,   784,   789,
     794,   798,   801,   805,   808,   811,   815,   819,   822,   825,
     827,   831,   834,   836,   838,   839,   842,   843,   846,   847,
     851,   854,   855,   857,   861,   865,   867,   873,   877,   882,
     884,   888,   893,   900,   905,   914,   917,   920,   931,   938,
     940,   942,   944,   946,   948,   950,   954,   957,   958,   960,
     962,   966,   970,   972,   974,   978,   982,   986,   990,   995,
     998,  1000,  1001,  1004,  1005,  1009,  1010,  1012,  1013,  1015,
    1019,  1022,  1024,  1026,  1028,  1032,  1033,  1035,  1039,  1041,
    1053,  1068,  1079,  1093,  1095,  1097,  1100,  1103,  1106,  1109,
    1111,  1112,  1114,  1115,  1119,  1120,  1122,  1126,  1128,  1132,
    1134,  1136,  1138,  1140,  1142,  1146,  1151,  1154,  1155,  1159,
    1161,  1163,  1166,  1169,  1171,  1175,  1180,  1185,  1188,  1194,
    1196,  1199,  1202,  1205,  1209,  1213,  1217,  1218,  1220,  1222,
    1224,  1226,  1228,  1230,  1234,  1236,  1242,  1250,  1254,  1263,
    1268,  1278,  1290,  1294,  1295,  1297,  1301,  1303,  1306,  1309,
    1312,  1313,  1315,  1319,  1323,  1330,  1335,  1336,  1338,  1340,
    1343,  1346,  1347,  1351,  1355,  1358,  1360,  1362,  1365,  1368,
    1373,  1374,  1377,  1380,  1383,  1384,  1388,  1393,  1398,  1399,
    1402,  1403,  1408,  1409,  1413,  1421,  1427,  1431,  1432,  1434,
    1438,  1440,  1443,  1447,  1448,  1454,  1459,  1461,  1462,  1464,
    1467,  1470,  1472,  1475,  1479,  1482,  1485,  1488,  1491,  1495,
    1499,  1501,  1505,  1507,  1508,  1510,  1513,  1515,  1517,  1521,
    1528,  1539,  1541,  1542,  1544,  1547,  1550,  1551,  1554,  1557,
    1559,  1560,  1566,  1574,  1576,  1577,  1584,  1587,  1588,  1592,
    1598,  1604,  1613,  1616,  1617,  1620,  1623,  1626,  1632,  1635,
    1636,  1639,  1647,  1658,  1665,  1672,  1679,  1686,  1694,  1702,
    1712,  1722,  1729,  1736,  1745,  1754,  1763,  1772,  1779,  1786,
    1794,  1803,  1810,  1817,  1825,  1828,  1831,  1834,  1837,  1839,
    1842,  1844,  1845,  1852,  1861,  1869,  1876,  1881,  1882,  1884,
    1888,  1893,  1895,  1899,  1901,  1904,  1907,  1910,  1913,  1915,
    1917,  1928,  1931,  1932,  1935,  1938,  1940,  1941,  1946,  1953,
    1959,  1964,  1969,  1978,  1990,  1994,  1997,  1999,  2003,  2005,
    2011,  2020,  2022,  2024,  2026,  2034,  2044,  2053,  2069,  2090,
    2092,  2094,  2097,  2099,  2103,  2105,  2107,  2109,  2113,  2115,
    2119,  2120,  2122,  2123,  2125,  2127,  2132,  2133,  2135,  2139,
    2140,  2142,  2144,  2146,  2148,  2151,  2152,  2153,  2156,  2159,
    2161,  2164,  2167,  2170,  2177,  2186,  2195,  2200,  2206,  2211,
    2216,  2221,  2225,  2233,  2242,  2249,  2256,  2263,  2270,  2275,
    2281,  2285,  2287,  2291,  2295,  2297,  2299,  2301,  2303,  2305,
    2307,  2311,  2315,  2319,  2321,  2325,  2329,  2331,  2332,  2334,
    2338,  2345,  2354,  2363,  2377,  2379,  2383,  2389,  2396,  2401,
    2409,  2412,  2414,  2415,  2418,  2419,  2422,  2427,  2428,  2430,
    2431,  2438,  2447,  2456,  2458,  2462,  2468,  2474,  2482,  2492,
    2500,  2510,  2516,  2523,  2530,  2535,  2537,  2539,  2541,  2543,
    2546,  2548,  2550,  2552,  2554,  2556,  2558,  2562,  2566,  2570,
    2574,  2576,  2580,  2582,  2585,  2588,  2592,  2598,  2601,  2604,
    2605,  2612,  2620,  2628,  2636,  2645,  2654,  2661,  2670,  2680,
    2690,  2698,  2709,  2717,  2726,  2735,  2744,  2753,  2755,  2757,
    2759,  2761,  2763,  2765,  2767,  2769,  2771,  2773,  2775,  2777,
    2779,  2781,  2784,  2786,  2790,  2792,  2794,  2803,  2813,  2823,
    2833,  2843,  2846,  2847,  2849,  2852,  2854,  2856,  2858,  2860,
    2862,  2864,  2866,  2868,  2871,  2874,  2876,  2879,  2883,  2887,
    2891,  2895,  2900,  2905,  2909,  2913,  2917,  2922,  2927,  2931,
    2936,  2941,  2943,  2945,  2947,  2948,  2956,  2964,  2975,  2977,
    2979,  2982,  2987,  2993,  2995,  2999,  3002,  3005,  3008,  3011,
    3013,  3016,  3019,  3024,  3028,  3031,  3034,  3037,  3041,  3044,
    3047,  3053,  3059,  3065,  3067,  3071,  3073,  3076,  3080,  3081,
    3083,  3087,  3090,  3097,  3104,  3114,  3118,  3119,  3123,  3124,
    3130,  3133,  3134,  3138,  3142,  3146,  3154,  3162,  3173,  3175,
    3177,  3179,  3194,  3196,  3197,  3199,  3200,  3202,  3203,  3206,
    3207,  3209,  3213,  3219,  3225,  3233,  3236,  3237,  3239,  3242,
    3243,  3245,  3247,  3248,  3250,  3252,  3253,  3263,  3276,  3284,
    3287,  3288,  3292,  3295,  3297,  3301,  3305,  3308,  3310,  3314,
    3318,  3322,  3325,  3328,  3330,  3332,  3334,  3336,  3339,  3341,
    3343,  3345,  3347,  3352,  3358,  3360,  3364,  3368,  3370,  3373,
    3378,  3384,  3386,  3388,  3390,  3392,  3396,  3400,  3403,  3406,
    3409,  3412,  3414,  3417,  3420,  3422,  3424,  3426,  3430,  3433,
    3434,  3437,  3439,  3443,  3449,  3451,  3454,  3456,  3457,  3463,
    3471,  3477,  3485,  3491,  3499,  3503,  3509,  3515,  3521,  3523,
    3527,  3530,  3532,  3535,  3537,  3540,  3552,  3563,  3574,  3577,
    3580,  3581,  3591,  3594,  3595,  3600,  3605,  3610,  3612,  3614,
    3616,  3617,  3625,  3632,  3639,  3646,  3653,  3660,  3668,  3678,
    3688,  3695,  3702,  3709,  3716,  3723,  3731,  3740,  3750,  3759,
    3766,  3773,  3780,  3786,  3792,  3801,  3810,  3819,  3828,  3835,
    3845,  3847,  3848,  3851,  3852,  3860,  3867,  3874,  3881,  3888,
    3895,  3903,  3913,  3923,  3930,  3939,  3948,  3957,  3966,  3973,
    3980,  3988,  3995,  4003,  4010,  4017,  4024,  4031,  4038,  4046,
    4054,  4062,  4072,  4082,  4089,  4096,  4103,  4112,  4121,  4130,
    4137,  4151,  4153,  4155,  4159,  4163,  4165,  4167,  4169,  4171,
    4173,  4175,  4177,  4178,  4180,  4182,  4184,  4186,  4188,  4190,
    4191,  4198,  4207,  4211,  4214,  4215,  4218,  4221,  4224,  4227,
    4231,  4235,  4238,  4241,  4244,  4247,  4251,  4254,  4260,  4265,
    4269,  4273,  4277,  4279,  4281,  4282,  4286,  4289,  4292,  4294,
    4297,  4299,  4303,  4306,  4308,  4309,  4318,  4329,  4333,  4338,
    4343,  4344,  4347,  4353,  4356,  4357,  4361,  4365,  4369,  4373,
    4377,  4381,  4385,  4389,  4393,  4397,  4401,  4405,  4409,  4414,
    4418,  4422,  4424,  4425,  4431,  4438,  4443,  4446,  4447,  4452,
    4456,  4462,  4469,  4474,  4481,  4488,  4494,  4502,  4504,  4505,
    4512,  4524,  4536,  4548,  4562,  4572,  4584,  4595,  4600,  4603,
    4609,  4612,  4613,  4618,  4624,  4630,  4635,  4642,  4644,  4648,
    4650,  4652,  4654,  4656,  4659,  4664,  4666,  4668,  4670,  4671,
    4673,  4674,  4676,  4677,  4681,  4682,  4685,  4690,  4694,  4700,
    4702,  4704,  4706,  4708,  4710,  4712,  4714,  4716,  4720,  4723,
    4725,  4727,  4729,  4731,  4732,  4738,  4742,  4743,  4745,  4747,
    4749,  4751,  4755,  4764,  4768,  4769,  4772,  4776,  4779,  4783,
    4790,  4792,  4797,  4800,  4802,  4806,  4809,  4812,  4813,  4821,
    4824,  4825,  4831,  4835,  4836,  4839,  4842,  4845,  4849,  4851,
    4855,  4857,  4860,  4862,  4863,  4872,  4874,  4878,  4880,  4882,
    4886,  4892,  4895,  4897,  4901,  4909,  4911,  4912,  4916,  4919,
    4922,  4925,  4926,  4929,  4932,  4934,  4936,  4940,  4944,  4946,
    4949,  4954,  4959,  4962,  4966,  4972,  4978,  4980,  4982,  4992,
    4994,  4997,  5002,  5007,  5012,  5015,  5019,  5021,  5025,  5032,
    5034,  5035,  5038,  5039,  5043,  5047,  5052,  5057,  5062,  5067,
    5071,  5074,  5076,  5078,  5079,  5081,  5083,  5084,  5086,  5092,
    5094,  5095,  5097,  5098,  5102,  5104,  5108,  5113,  5117,  5120,
    5123,  5125,  5127,  5129,  5130,  5133,  5138,  5144,  5147,  5151,
    5153,  5155,  5157,  5159,  5163,  5164,  5166,  5168,  5170,  5172,
    5174,  5178,  5179,  5182,  5183,  5185,  5189,  5191,  5192,  5194,
    5197,  5202,  5207,  5210,  5211,  5214,  5218,  5221,  5222,  5224,
    5228,  5230,  5233,  5235,  5238,  5244,  5251,  5257,  5259,  5262,
    5264,  5269,  5273,  5278,  5284,  5289,  5295,  5300,  5306,  5309,
    5314,  5316,  5319,  5322,  5325,  5327,  5329,  5330,  5335,  5338,
    5340,  5343,  5346,  5351,  5353,  5357,  5359,  5362,  5366,  5368,
    5371,  5372,  5375,  5380,  5381,  5383,  5384,  5386,  5390,  5394,
    5397,  5401,  5407,  5414,  5417,  5421,  5425,  5430,  5431,  5433,
    5435,  5437,  5439,  5441,  5444,  5450,  5452,  5454,  5456,  5458,
    5461,  5465,  5469,  5470,  5472,  5474,  5476,  5478,  5480,  5483,
    5486,  5489,  5492,  5495,  5497,  5501,  5502,  5504,  5506,  5508,
    5510,  5516,  5519,  5521,  5523,  5525,  5527,  5533,  5536,  5539,
    5542,  5544,  5548,  5552,  5555,  5557,  5558,  5562,  5563,  5569,
    5572,  5578,  5581,  5583,  5586,  5590,  5591,  5593,  5595,  5597,
    5599,  5601,  5603,  5607,  5611,  5615,  5619,  5623,  5627,  5631,
    5632,  5634,  5639,  5641,  5645,  5649,  5655,  5658,  5661,  5665,
    5669,  5673,  5677,  5681,  5685,  5689,  5693,  5697,  5701,  5704,
    5707,  5711,  5715,  5718,  5722,  5728,  5733,  5740,  5744,  5750,
    5755,  5762,  5767,  5774,  5780,  5788,  5792,  5795,  5800,  5803,
    5807,  5811,  5816,  5820,  5825,  5829,  5834,  5840,  5847,  5854,
    5862,  5869,  5877,  5884,  5892,  5896,  5901,  5906,  5913,  5916,
    5920,  5925,  5927,  5931,  5934,  5937,  5941,  5945,  5949,  5953,
    5957,  5961,  5965,  5969,  5973,  5977,  5980,  5983,  5989,  5996,
    6003,  6011,  6015,  6020,  6022,  6024,  6027,  6032,  6034,  6036,
    6038,  6041,  6044,  6047,  6050,  6052,  6057,  6063,  6070,  6079,
    6086,  6094,  6102,  6108,  6110,  6112,  6117,  6119,  6124,  6126,
    6131,  6133,  6138,  6140,  6142,  6144,  6146,  6148,  6150,  6157,
    6162,  6167,  6172,  6177,  6184,  6190,  6196,  6202,  6207,  6214,
    6219,  6224,  6229,  6234,  6240,  6248,  6256,  6266,  6272,  6277,
    6284,  6290,  6298,  6306,  6314,  6317,  6321,  6325,  6329,  6334,
    6335,  6340,  6342,  6346,  6350,  6352,  6354,  6356,  6359,  6362,
    6363,  6366,  6371,  6376,  6383,  6386,  6387,  6389,  6393,  6397,
    6400,  6403,  6404,  6411,  6413,  6414,  6418,  6419,  6422,  6425,
    6426,  6428,  6433,  6436,  6439,  6442,  6445,  6448,  6453,  6457,
    6463,  6465,  6467,  6469,  6471,  6473,  6475,  6477,  6479,  6481,
    6483,  6485,  6487,  6489,  6491,  6493,  6498,  6500,  6505,  6507,
    6512,  6514,  6517,  6519,  6522,  6524,  6528,  6530,  6534,  6536,
    6540,  6542,  6546,  6550,  6554,  6557,  6559,  6563,  6567,  6568,
    6570,  6572,  6574,  6576,  6578,  6580,  6582,  6584,  6589,  6593,
    6596,  6600,  6601,  6605,  6609,  6612,  6615,  6617,  6618,  6621,
    6624,  6628,  6631,  6633,  6635,  6639,  6645,  6647,  6650,  6655,
    6658,  6659,  6661,  6662,  6664,  6667,  6670,  6673,  6677,  6683,
    6685,  6688,  6689,  6692,  6694,  6695,  6697,  6699,  6701,  6705,
    6709,  6711,  6715,  6719,  6722,  6724,  6726,  6728,  6732,  6734,
    6737,  6739,  6743,  6745,  6747,  6749,  6751,  6753,  6755,  6757,
    6760,  6762,  6764,  6766,  6768,  6770,  6773,  6779,  6782,  6786,
    6793,  6795,  6797,  6799,  6801,  6803,  6805,  6807,  6810,  6813,
    6815,  6817,  6819,  6821,  6823,  6825,  6827,  6829,  6831,  6833,
    6835,  6837,  6839,  6841,  6843,  6845,  6847,  6849,  6851,  6853,
    6855,  6857,  6859,  6861,  6863,  6865,  6867,  6869,  6871,  6873,
    6875,  6877,  6879,  6881,  6883,  6885,  6887,  6889,  6891,  6893,
    6895,  6897,  6899,  6901,  6903,  6905,  6907,  6909,  6911,  6913,
    6915,  6917,  6919,  6921,  6923,  6925,  6927,  6929,  6931,  6933,
    6935,  6937,  6939,  6941,  6943,  6945,  6947,  6949,  6951,  6953,
    6955,  6957,  6959,  6961,  6963,  6965,  6967,  6969,  6971,  6973,
    6975,  6977,  6979,  6981,  6983,  6985,  6987,  6989,  6991,  6993,
    6995,  6997,  6999,  7001,  7003,  7005,  7007,  7009,  7011,  7013,
    7015,  7017,  7019,  7021,  7023,  7025,  7027,  7029,  7031,  7033,
    7035,  7037,  7039,  7041,  7043,  7045,  7047,  7049,  7051,  7053,
    7055,  7057,  7059,  7061,  7063,  7065,  7067,  7069,  7071,  7073,
    7075,  7077,  7079,  7081,  7083,  7085,  7087,  7089,  7091,  7093,
    7095,  7097,  7099,  7101,  7103,  7105,  7107,  7109,  7111,  7113,
    7115,  7117,  7119,  7121,  7123,  7125,  7127,  7129,  7131,  7133,
    7135,  7137,  7139,  7141,  7143,  7145,  7147,  7149,  7151,  7153,
    7155,  7157,  7159,  7161,  7163,  7165,  7167,  7169,  7171,  7173,
    7175,  7177,  7179,  7181,  7183,  7185,  7187,  7189,  7191,  7193,
    7195,  7197,  7199,  7201,  7203,  7205,  7207,  7209,  7211,  7213,
    7215,  7217,  7219,  7221,  7223,  7225,  7227,  7229,  7231,  7233,
    7235,  7237,  7239,  7241,  7243,  7245,  7247,  7249,  7251,  7253,
    7255,  7257,  7259,  7261,  7263,  7265,  7267,  7269,  7271,  7273,
    7275,  7277,  7279,  7281,  7283,  7285,  7287,  7289,  7291,  7293,
    7295,  7297,  7299,  7301,  7303,  7305,  7307,  7309,  7311,  7313,
    7315,  7317,  7319,  7321,  7323,  7325,  7327,  7329,  7331,  7333,
    7335,  7337,  7339,  7341,  7343,  7345,  7347,  7349,  7351,  7353,
    7355,  7357,  7359,  7361,  7363,  7365,  7367,  7369,  7371,  7373,
    7375,  7377,  7379,  7381,  7383,  7385,  7387,  7389,  7391,  7393,
    7395,  7397,  7399,  7401,  7403,  7405,  7407,  7409,  7411,  7413,
    7415,  7417,  7419,  7421,  7423,  7425,  7427,  7429,  7431,  7433,
    7435,  7437,  7439,  7441,  7443,  7445,  7447,  7449,  7451,  7453,
    7455,  7457,  7459,  7461,  7463,  7465,  7467,  7469,  7471,  7473,
    7475,  7477,  7479,  7481,  7483,  7485,  7487,  7489,  7491,  7493,
    7495,  7497,  7499,  7501,  7503,  7505,  7507,  7509,  7511,  7513,
    7515,  7517,  7519,  7521,  7523,  7525,  7527,  7529,  7531,  7533,
    7535,  7537,  7539,  7541,  7543,  7545,  7547,  7549,  7551,  7553,
    7555,  7557,  7559,  7561,  7563,  7565,  7567,  7569,  7571,  7573,
    7575,  7577,  7579,  7581,  7583,  7585,  7587,  7589,  7591,  7593,
    7595,  7597,  7599,  7601,  7603,  7605,  7607,  7609,  7611,  7613,
    7615,  7617,  7619,  7621,  7623,  7625,  7627
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     430,     0,    -1,   431,    -1,   431,   426,   432,    -1,   432,
      -1,   758,    -1,   759,    -1,   676,    -1,   764,    -1,   627,
      -1,   567,    -1,   570,    -1,   576,    -1,   590,    -1,   595,
      -1,   711,    -1,   448,    -1,   732,    -1,   733,    -1,   546,
      -1,   473,    -1,   484,    -1,   442,    -1,   440,    -1,   767,
      -1,   766,    -1,   599,    -1,   444,    -1,   443,    -1,   774,
      -1,   471,    -1,   487,    -1,   769,    -1,   650,    -1,   468,
      -1,   488,    -1,   539,    -1,   614,    -1,   722,    -1,   768,
      -1,   763,    -1,   564,    -1,   571,    -1,   585,    -1,   591,
      -1,   692,    -1,   447,    -1,   628,    -1,   635,    -1,   636,
      -1,   553,    -1,   451,    -1,   545,    -1,   503,    -1,   561,
      -1,   600,    -1,   433,    -1,   439,    -1,   596,    -1,   754,
      -1,   791,    -1,   810,    -1,   616,    -1,   797,    -1,   472,
      -1,   719,    -1,   615,    -1,   724,    -1,   575,    -1,   589,
      -1,   450,    -1,   639,    -1,   640,    -1,   641,    -1,   559,
      -1,   741,    -1,   643,    -1,   563,    -1,   613,    -1,   445,
      -1,   446,    -1,   598,    -1,   762,    -1,   789,    -1,   780,
      -1,   657,    -1,   661,    -1,   672,    -1,   681,    -1,   792,
      -1,   744,    -1,   753,    -1,   799,    -1,   742,    -1,   786,
      -1,   642,    -1,   726,    -1,   715,    -1,   714,    -1,   716,
      -1,   729,    -1,   662,    -1,   673,    -1,   734,    -1,   653,
      -1,   814,    -1,   746,    -1,   648,    -1,   745,    -1,   803,
      -1,   771,    -1,   465,    -1,   455,    -1,   467,    -1,   751,
      -1,    -1,    83,   300,   964,   434,   435,    -1,   389,    -1,
      -1,   435,   438,    -1,    -1,   436,   437,    -1,    -1,   263,
     963,    -1,   263,   236,    -1,   125,   263,   963,    -1,   362,
     263,   963,    -1,   175,    -1,    75,   207,   965,    -1,   373,
     368,   963,    -1,   370,   953,    -1,     3,    -1,   437,    -1,
     338,   962,    -1,    19,   953,    -1,   300,   953,    -1,   170,
     300,   953,    -1,   170,   158,   953,    -1,    83,   370,   964,
     434,   435,    -1,    24,   300,   964,   434,   436,    -1,    -1,
     170,    97,   955,    -1,    24,   300,   964,   441,   466,    -1,
      24,   370,   964,   434,   436,    -1,    24,   370,   964,   466,
      -1,   120,   300,   953,    -1,   120,   300,   165,   134,   953,
      -1,   120,   370,   953,    -1,   120,   370,   165,   134,   953,
      -1,    83,   158,   964,   434,   435,    -1,    24,   158,   964,
     449,   370,   953,    -1,    18,    -1,   120,    -1,   120,   158,
     953,    -1,   120,   158,   165,   134,   953,    -1,    83,   306,
     452,    38,   964,   453,    -1,    83,   306,   966,   453,    -1,
     966,    -1,    -1,   453,   454,    -1,    -1,   503,    -1,   681,
      -1,   545,    -1,   600,    -1,   661,    -1,   751,    -1,   318,
     456,    -1,   318,   210,   456,    -1,   318,   316,   456,    -1,
     457,   350,   458,    -1,   457,   410,   458,    -1,   457,   350,
     103,    -1,   457,   410,   103,    -1,   457,   150,    86,    -1,
     348,   406,   462,    -1,   352,   749,    -1,   316,    59,    31,
     352,   749,    -1,    55,   963,    -1,   306,   963,    -1,   224,
     463,    -1,   300,   464,    -1,   316,    38,   464,    -1,   316,
      38,   103,    -1,   394,   248,   900,    -1,   966,    -1,   457,
     425,   966,    -1,   459,    -1,   458,   427,   459,    -1,   461,
      -1,   551,    -1,   279,   361,    -1,   279,    72,    -1,   290,
     279,    -1,   314,    -1,   356,    -1,   139,    -1,   245,    -1,
     464,    -1,   963,    -1,     3,    -1,   887,   963,   889,    -1,
     887,   423,   962,   424,   963,   889,    -1,   551,    -1,   103,
      -1,   210,    -1,   963,    -1,   103,    -1,    -1,   968,    -1,
     963,    -1,   293,   457,    -1,   293,   348,   406,    -1,   293,
     352,   193,   205,    -1,   293,   316,    38,    -1,   293,    22,
      -1,   318,   456,    -1,   465,    -1,   321,   457,    -1,   321,
     348,   406,    -1,   321,   352,   193,   205,    -1,   321,   316,
      38,    -1,   321,    22,    -1,   318,    77,   469,   470,    -1,
      22,    -1,   951,    -1,   106,    -1,   167,    -1,    61,    -1,
     114,    22,    -1,   114,   343,    -1,   114,   345,    -1,   114,
     265,    -1,    24,   340,   858,   474,    -1,    24,   173,   952,
     474,    -1,    24,   312,   952,   474,    -1,    24,   383,   952,
     474,    -1,   475,    -1,   474,   427,   475,    -1,    18,   511,
      -1,    18,    68,   511,    -1,    24,   730,   966,   476,    -1,
      24,   730,   966,   120,   231,   236,    -1,    24,   730,   966,
     318,   231,   236,    -1,    24,   730,   966,   318,   330,   965,
      -1,    24,   730,   966,   318,   480,    -1,    24,   730,   966,
     293,   480,    -1,    24,   730,   966,   318,   333,   966,    -1,
     120,   730,   165,   134,   966,   477,    -1,   120,   730,   966,
     477,    -1,    24,   730,   966,   731,   359,   867,   478,   479,
      -1,    18,   520,    -1,   374,    76,   954,    -1,   120,    76,
     165,   134,   954,   477,    -1,   120,    76,   954,   477,    -1,
     318,   389,   244,    -1,   318,   390,   244,    -1,    64,   245,
     954,    -1,   318,   390,    64,    -1,   123,   354,   954,    -1,
     123,    25,   354,   954,    -1,   123,   292,   354,   954,    -1,
     123,   354,    22,    -1,   123,   354,   370,    -1,   113,   354,
     954,    -1,   113,   354,    22,    -1,   113,   354,   370,    -1,
     123,   304,   954,    -1,   123,    25,   304,   954,    -1,   123,
     292,   304,   954,    -1,   113,   304,   954,    -1,   175,   952,
      -1,   229,   175,   952,    -1,   241,   646,    -1,   231,   241,
      -1,   258,   350,   964,    -1,   318,   342,   954,    -1,   318,
     480,    -1,   293,   480,    -1,   579,    -1,   318,   103,   891,
      -1,   120,   103,    -1,    51,    -1,   295,    -1,    -1,    66,
     646,    -1,    -1,   371,   891,    -1,    -1,   423,   482,   424,
      -1,   389,   480,    -1,    -1,   483,    -1,   482,   427,   483,
      -1,   969,   410,   620,    -1,   969,    -1,   969,   425,   969,
     410,   620,    -1,   969,   425,   969,    -1,    24,   359,   646,
     485,    -1,   486,    -1,   485,   427,   486,    -1,    18,    37,
     866,   477,    -1,   120,    37,   165,   134,   966,   477,    -1,
     120,    37,   966,   477,    -1,    24,    37,   966,   731,   359,
     867,   478,   477,    -1,    63,   811,    -1,    63,    22,    -1,
      81,   494,   952,   522,   495,   489,   490,   496,   434,   491,
      -1,    81,   815,   350,   490,   434,   491,    -1,   150,    -1,
     350,    -1,   963,    -1,   331,    -1,   332,    -1,   492,    -1,
     423,   498,   424,    -1,   492,   493,    -1,    -1,    44,    -1,
     244,    -1,   109,   765,   963,    -1,   236,   765,   963,    -1,
      85,    -1,   161,    -1,   277,   765,   963,    -1,   128,   765,
     963,    -1,   146,   277,   523,    -1,   146,   277,   416,    -1,
     146,   231,   236,   523,    -1,   124,   963,    -1,    44,    -1,
      -1,   389,   244,    -1,    -1,   497,   110,   963,    -1,    -1,
     371,    -1,    -1,   499,    -1,   498,   427,   499,    -1,   969,
     500,    -1,   461,    -1,   551,    -1,   416,    -1,   423,   501,
     424,    -1,    -1,   502,    -1,   501,   427,   502,    -1,   461,
      -1,    83,   504,   340,   952,   423,   505,   424,   533,   534,
     535,   536,    -1,    83,   504,   340,   165,   231,   134,   952,
     423,   505,   424,   533,   534,   535,   536,    -1,    83,   504,
     340,   952,   241,   646,   506,   534,   535,   536,    -1,    83,
     504,   340,   165,   231,   134,   952,   241,   646,   506,   534,
     535,   536,    -1,   345,    -1,   343,    -1,   210,   345,    -1,
     210,   343,    -1,   154,   345,    -1,   154,   343,    -1,   367,
      -1,    -1,   507,    -1,    -1,   423,   508,   424,    -1,    -1,
     509,    -1,   507,   427,   509,    -1,   510,    -1,   508,   427,
     510,    -1,   511,    -1,   517,    -1,   520,    -1,   512,    -1,
     520,    -1,   966,   867,   513,    -1,   966,   389,   249,   513,
      -1,   513,   514,    -1,    -1,    76,   954,   515,    -1,   515,
      -1,   516,    -1,    66,   646,    -1,   231,   236,    -1,   236,
      -1,   364,   708,   537,    -1,   272,   195,   708,   537,    -1,
      60,   423,   891,   424,    -1,   103,   892,    -1,   285,   952,
     522,   525,   529,    -1,   105,    -1,   231,   105,    -1,   177,
     106,    -1,   177,   167,    -1,   206,   952,   518,    -1,   518,
     171,   519,    -1,   518,   131,   519,    -1,    -1,   104,    -1,
      77,    -1,   174,    -1,   333,    -1,    70,    -1,    22,    -1,
      76,   954,   521,    -1,   521,    -1,    60,   423,   891,   424,
     611,    -1,   364,   423,   523,   424,   708,   537,   611,    -1,
     364,   538,   611,    -1,   272,   195,   423,   523,   424,   708,
     537,   611,    -1,   272,   195,   538,   611,    -1,   130,   685,
     423,   526,   424,   708,   537,   528,   611,    -1,   147,   195,
     423,   523,   424,   285,   952,   522,   525,   529,   611,    -1,
     423,   523,   424,    -1,    -1,   524,    -1,   523,   427,   524,
      -1,   966,    -1,   216,   151,    -1,   216,   260,    -1,   216,
     323,    -1,    -1,   527,    -1,   526,   427,   527,    -1,   687,
     389,   718,    -1,   687,   389,   247,   423,   718,   424,    -1,
     386,   423,   891,   424,    -1,    -1,   530,    -1,   531,    -1,
     530,   531,    -1,   531,   530,    -1,    -1,   245,   369,   532,
      -1,   245,   108,   532,    -1,   229,    17,    -1,   295,    -1,
      51,    -1,   318,   236,    -1,   318,   103,    -1,   176,   423,
     951,   424,    -1,    -1,   389,   480,    -1,   389,   244,    -1,
     390,   244,    -1,    -1,   245,    71,   120,    -1,   245,    71,
     108,   303,    -1,   245,    71,   269,   303,    -1,    -1,   342,
     954,    -1,    -1,   371,   173,   342,   954,    -1,    -1,   371,
     173,   958,    -1,    83,   504,   340,   540,    31,   814,   544,
      -1,   952,   541,   534,   535,   536,    -1,   423,   542,   424,
      -1,    -1,   543,    -1,   542,   427,   543,    -1,   966,    -1,
     389,    96,    -1,   389,   229,    96,    -1,    -1,    83,   504,
     312,   952,   547,    -1,    24,   312,   952,   548,    -1,   548,
      -1,    -1,   549,    -1,   548,   549,    -1,    49,   551,    -1,
      95,    -1,   229,    95,    -1,   172,   550,   551,    -1,   217,
     551,    -1,   219,   551,    -1,   229,   217,    -1,   229,   219,
      -1,   257,    48,   646,    -1,   328,   434,   551,    -1,   294,
      -1,   294,   434,   551,    -1,    48,    -1,    -1,     4,    -1,
     415,     4,    -1,   965,    -1,   551,    -1,   552,   427,   551,
      -1,    83,   693,   554,   560,   197,   464,    -1,    83,   693,
     554,   560,   197,   464,   159,   555,   556,   558,    -1,   358,
      -1,    -1,   954,    -1,   954,   647,    -1,   178,   555,    -1,
      -1,   375,   555,    -1,   229,   375,    -1,   557,    -1,    -1,
     120,   560,   197,   464,   477,    -1,   120,   560,   197,   165,
     134,   464,   477,    -1,   275,    -1,    -1,    83,   342,   954,
     562,   213,   963,    -1,   258,   954,    -1,    -1,   120,   342,
     954,    -1,   120,   342,   165,   134,   954,    -1,    83,   136,
     954,   434,   565,    -1,    83,   136,   165,   231,   134,   954,
     434,   565,    -1,   565,   566,    -1,    -1,   306,   954,    -1,
     382,   464,    -1,   150,   464,    -1,    24,   136,   954,   369,
     568,    -1,   568,   569,    -1,    -1,   350,   464,    -1,    24,
     136,   954,   449,    21,   960,   621,    -1,    24,   136,   954,
     449,    54,   423,   867,    31,   867,   424,    -1,    24,   136,
     954,   449,    67,   646,    -1,    24,   136,   954,   449,    80,
     646,    -1,    24,   136,   954,   449,   118,   646,    -1,    24,
     136,   954,   449,   152,   671,    -1,    24,   136,   954,   449,
     560,   197,   954,    -1,    24,   136,   954,   449,   247,   718,
     717,    -1,    24,   136,   954,   449,   247,    62,   646,   371,
     956,    -1,    24,   136,   954,   449,   247,   140,   646,   371,
     956,    -1,    24,   136,   954,   449,   306,   954,    -1,    24,
     136,   954,   449,   340,   646,    -1,    24,   136,   954,   449,
     346,   308,   259,   646,    -1,    24,   136,   954,   449,   346,
     308,   112,   646,    -1,    24,   136,   954,   449,   346,   308,
     344,   646,    -1,    24,   136,   954,   449,   346,   308,    74,
     646,    -1,    24,   136,   954,   449,   312,   646,    -1,    24,
     136,   954,   449,   383,   646,    -1,    24,   136,   954,   449,
     147,   340,   646,    -1,    24,   136,   954,   449,   147,    96,
     392,   954,    -1,    24,   136,   954,   449,   315,   954,    -1,
      24,   136,   954,   449,   359,   646,    -1,    83,   147,    96,
     392,   954,   574,   577,    -1,   159,   555,    -1,   229,   159,
      -1,   375,   555,    -1,   229,   375,    -1,   572,    -1,   573,
     572,    -1,   573,    -1,    -1,   120,   147,    96,   392,   954,
     477,    -1,   120,   147,    96,   392,   165,   134,   954,   477,
      -1,    24,   147,    96,   392,   954,   574,   579,    -1,    24,
     147,    96,   392,   954,   573,    -1,   249,   423,   578,   424,
      -1,    -1,   582,    -1,   578,   427,   582,    -1,   249,   423,
     580,   424,    -1,   581,    -1,   580,   427,   581,    -1,   582,
      -1,   318,   582,    -1,    18,   582,    -1,   120,   583,    -1,
     583,   584,    -1,   969,    -1,   963,    -1,    83,   315,   954,
     586,   588,   147,    96,   392,   954,   577,    -1,   359,   963,
      -1,    -1,   382,   963,    -1,   382,   236,    -1,   587,    -1,
      -1,   120,   315,   954,   477,    -1,   120,   315,   165,   134,
     954,   477,    -1,    24,   315,   954,   587,   579,    -1,    24,
     315,   954,   587,    -1,    24,   315,   954,   579,    -1,    83,
     147,   340,   952,   592,   315,   954,   577,    -1,    83,   147,
     340,   165,   231,   134,   952,   592,   315,   954,   577,    -1,
     423,   593,   424,    -1,   423,   424,    -1,   594,    -1,   593,
     427,   594,    -1,   511,    -1,    24,   147,   340,   858,   474,
      -1,    83,   370,   215,   145,   597,   315,   954,   577,    -1,
      93,    -1,   370,    -1,   964,    -1,   120,   370,   215,   145,
     597,   315,   954,    -1,   120,   370,   215,   165,   134,   145,
     597,   315,   954,    -1,    24,   370,   215,   145,   597,   315,
     954,   579,    -1,    83,   354,   954,   601,   602,   245,   952,
     604,   607,   133,   276,   960,   423,   608,   424,    -1,    83,
      76,   354,   954,    20,   602,   245,   952,   610,   611,   145,
     121,   302,   607,   133,   276,   960,   423,   608,   424,    -1,
      40,    -1,    20,    -1,   184,   241,    -1,   603,    -1,   602,
     250,   603,    -1,   183,    -1,   108,    -1,   369,    -1,   369,
     241,   523,    -1,   357,    -1,   145,   605,   606,    -1,    -1,
     121,    -1,    -1,   302,    -1,   329,    -1,   385,   423,   891,
     424,    -1,    -1,   609,    -1,   608,   427,   609,    -1,    -1,
     962,    -1,     4,    -1,   963,    -1,   969,    -1,   150,   952,
      -1,    -1,    -1,   611,   612,    -1,   231,   105,    -1,   105,
      -1,   177,   167,    -1,   177,   106,    -1,   231,   373,    -1,
     120,   354,   954,   245,   952,   477,    -1,   120,   354,   165,
     134,   954,   245,   952,   477,    -1,    83,    33,   954,    60,
     423,   891,   424,   611,    -1,   120,    33,   954,   477,    -1,
      83,    21,   960,   621,   617,    -1,    83,    21,   960,   622,
      -1,    83,   247,   718,   617,    -1,    83,   359,   646,   617,
      -1,    83,   359,   646,    -1,    83,   359,   646,    31,   423,
     864,   424,    -1,    83,   359,   646,    31,   127,   423,   625,
     424,    -1,    83,   346,   308,   259,   646,   617,    -1,    83,
     346,   308,   112,   646,   617,    -1,    83,   346,   308,   344,
     646,   617,    -1,    83,   346,   308,    74,   646,   617,    -1,
      83,    67,   646,   617,    -1,    83,    67,   646,   150,   646,
      -1,   423,   618,   424,    -1,   619,    -1,   618,   427,   619,
      -1,   969,   410,   620,    -1,   969,    -1,   702,    -1,   973,
      -1,   918,    -1,   551,    -1,   963,    -1,   423,   923,   424,
      -1,   423,   416,   424,    -1,   423,   623,   424,    -1,   624,
      -1,   623,   427,   624,    -1,     3,   410,   620,    -1,   626,
      -1,    -1,   963,    -1,   626,   427,   963,    -1,    24,   359,
     646,    18,   376,   963,    -1,    24,   359,   646,    18,   376,
     963,    40,   963,    -1,    24,   359,   646,    18,   376,   963,
      20,   963,    -1,    83,   247,    62,   646,   631,   145,   359,
     867,   371,   956,   632,    31,   629,    -1,   630,    -1,   629,
     427,   630,    -1,   247,   962,   718,   633,   634,    -1,   247,
     962,   718,   717,   633,   634,    -1,   152,   962,   960,   694,
      -1,   152,   962,   423,   923,   424,   960,   694,    -1,   333,
     867,    -1,   103,    -1,    -1,   140,   646,    -1,    -1,   145,
     308,    -1,   145,   251,    48,   646,    -1,    -1,   282,    -1,
      -1,    83,   247,   140,   646,   371,   956,    -1,    24,   247,
     140,   646,   371,   956,    18,   629,    -1,    24,   247,   140,
     646,   371,   956,   120,   637,    -1,   638,    -1,   637,   427,
     638,    -1,   247,   962,   423,   923,   424,    -1,   152,   962,
     423,   923,   424,    -1,   120,   247,    62,   646,   371,   956,
     477,    -1,   120,   247,    62,   165,   134,   646,   371,   956,
     477,    -1,   120,   247,   140,   646,   371,   956,   477,    -1,
     120,   247,   140,   165,   134,   646,   371,   956,   477,    -1,
     120,   257,    48,   953,   477,    -1,   281,   257,    48,   953,
     350,   954,    -1,   120,   644,   165,   134,   645,   477,    -1,
     120,   644,   645,   477,    -1,   340,    -1,   312,    -1,   383,
      -1,   173,    -1,   147,   340,    -1,   359,    -1,   118,    -1,
      67,    -1,    80,    -1,   306,    -1,   136,    -1,   346,   308,
     259,    -1,   346,   308,   112,    -1,   346,   308,   344,    -1,
     346,   308,    74,    -1,   646,    -1,   645,   427,   646,    -1,
     966,    -1,   966,   647,    -1,   425,   957,    -1,   647,   425,
     957,    -1,   357,   825,   859,   649,   477,    -1,    79,   164,
      -1,   294,   164,    -1,    -1,    69,   245,   651,   646,   191,
     652,    -1,    69,   245,    21,   960,   621,   191,   652,    -1,
      69,   245,   152,   960,   694,   191,   652,    -1,    69,   245,
     247,   718,   717,   191,   652,    -1,    69,   245,    76,   954,
     245,   646,   191,   652,    -1,    69,   245,   304,   954,   245,
     646,   191,   652,    -1,    69,   245,   304,   954,   191,   652,
      -1,    69,   245,   354,   954,   245,   646,   191,   652,    -1,
      69,   245,   247,    62,   646,   371,   956,   191,   652,    -1,
      69,   245,   247,   140,   646,   371,   956,   191,   652,    -1,
      69,   245,   198,   240,   551,   191,   652,    -1,    69,   245,
      54,   423,   867,    31,   867,   424,   191,   652,    -1,    69,
     245,   560,   197,   646,   191,   652,    -1,    69,   245,   346,
     308,   259,   646,   191,   652,    -1,    69,   245,   346,   308,
     112,   646,   191,   652,    -1,    69,   245,   346,   308,   344,
     646,   191,   652,    -1,    69,   245,   346,   308,    74,   646,
     191,   652,    -1,    68,    -1,    97,    -1,   306,    -1,   173,
      -1,   312,    -1,   340,    -1,   118,    -1,   359,    -1,   383,
      -1,    67,    -1,    80,    -1,   342,    -1,   136,    -1,   300,
      -1,   147,   340,    -1,   315,    -1,   147,    96,   392,    -1,
     963,    -1,   236,    -1,   310,   196,   654,   245,   655,   646,
     191,   656,    -1,   310,   196,   654,   245,    21,   960,   621,
     191,   656,    -1,   310,   196,   654,   245,   152,   960,   694,
     191,   656,    -1,   310,   196,   654,   245,   198,   240,   551,
     191,   656,    -1,   310,   196,   654,   245,   560,   197,   646,
     191,   656,    -1,   145,   464,    -1,    -1,    68,    -1,   147,
     340,    -1,   306,    -1,   312,    -1,   340,    -1,   118,    -1,
     359,    -1,   383,    -1,   963,    -1,   236,    -1,   141,   658,
      -1,   222,   658,    -1,   811,    -1,   659,   811,    -1,   228,
     660,   811,    -1,   273,   660,   811,    -1,   142,   660,   811,
      -1,   199,   660,   811,    -1,    15,   965,   660,   811,    -1,
     287,   965,   660,   811,    -1,   965,   660,   811,    -1,    22,
     660,   811,    -1,   148,   660,   811,    -1,   148,   965,   660,
     811,    -1,   148,    22,   660,   811,    -1,    39,   660,   811,
      -1,    39,   965,   660,   811,    -1,    39,    22,   660,   811,
      -1,   150,    -1,   170,    -1,   659,    -1,    -1,   155,   663,
     245,   666,   350,   667,   669,    -1,   298,   663,   245,   666,
     150,   667,   477,    -1,   298,   155,   248,   145,   663,   245,
     666,   150,   667,   477,    -1,   664,    -1,    22,    -1,    22,
     274,    -1,    22,   423,   523,   424,    -1,    22,   274,   423,
     523,   424,    -1,   665,    -1,   664,   427,   665,    -1,   311,
     522,    -1,   285,   522,    -1,    83,   522,    -1,   966,   522,
      -1,   951,    -1,   340,   951,    -1,   312,   951,    -1,   147,
      96,   392,   953,    -1,   147,   315,   953,    -1,   152,   670,
      -1,    97,   953,    -1,   197,   953,    -1,   198,   240,   552,
      -1,   306,   953,    -1,   342,   953,    -1,    22,   341,   170,
     306,   953,    -1,    22,   313,   170,   306,   953,    -1,    22,
     153,   170,   306,   953,    -1,   668,    -1,   667,   427,   668,
      -1,   964,    -1,   158,   964,    -1,   389,   155,   248,    -1,
      -1,   671,    -1,   670,   427,   671,    -1,   960,   694,    -1,
     155,   664,   350,   953,   674,   675,    -1,   298,   664,   150,
     953,   675,   477,    -1,   298,    19,   248,   145,   664,   150,
     953,   675,   477,    -1,   389,    19,   248,    -1,    -1,   156,
      48,   964,    -1,    -1,    24,   103,   274,   677,   679,    -1,
     677,   678,    -1,    -1,   170,   306,   953,    -1,   145,   300,
     953,    -1,   145,   370,   953,    -1,   155,   663,   245,   680,
     350,   667,   669,    -1,   298,   663,   245,   680,   150,   667,
     477,    -1,   298,   155,   248,   145,   663,   245,   680,   150,
     667,   477,    -1,   341,    -1,   153,    -1,   313,    -1,    83,
     682,   173,   683,   684,   245,   952,   685,   423,   686,   424,
     481,   536,   862,    -1,   364,    -1,    -1,    73,    -1,    -1,
     958,    -1,    -1,   371,   956,    -1,    -1,   687,    -1,   686,
     427,   687,    -1,   966,   688,   689,   690,   691,    -1,   894,
     688,   689,   690,   691,    -1,   423,   891,   424,   688,   689,
     690,   691,    -1,    66,   646,    -1,    -1,   646,    -1,   371,
     646,    -1,    -1,    32,    -1,   111,    -1,    -1,   407,    -1,
     408,    -1,    -1,    83,   693,   152,   960,   696,   297,   701,
     704,   708,    -1,    83,   693,   152,   960,   696,   297,   340,
     423,   710,   424,   704,   708,    -1,    83,   693,   152,   960,
     696,   704,   708,    -1,   250,   291,    -1,    -1,   423,   695,
     424,    -1,   423,   424,    -1,   698,    -1,   695,   427,   698,
      -1,   423,   697,   424,    -1,   423,   424,    -1,   703,    -1,
     697,   427,   703,    -1,   699,   700,   702,    -1,   700,   699,
     702,    -1,   700,   702,    -1,   699,   702,    -1,   702,    -1,
     170,    -1,   252,    -1,   180,    -1,   170,   252,    -1,   379,
      -1,   967,    -1,   702,    -1,   867,    -1,   967,   647,   418,
     359,    -1,   319,   967,   647,   418,   359,    -1,   698,    -1,
     698,   103,   891,    -1,   698,   410,   891,    -1,   706,    -1,
     704,   706,    -1,    50,   245,   236,   181,    -1,   297,   236,
     245,   236,   181,    -1,   334,    -1,   168,    -1,   326,    -1,
     384,    -1,   137,   310,   107,    -1,   137,   310,   190,    -1,
     310,   107,    -1,   310,   190,    -1,    82,   551,    -1,   303,
     551,    -1,   466,    -1,    31,   707,    -1,   197,   464,    -1,
     388,    -1,   705,    -1,   963,    -1,   963,   427,   963,    -1,
     389,   617,    -1,    -1,   700,   702,    -1,   709,    -1,   710,
     427,   709,    -1,    24,   152,   671,   712,   713,    -1,   705,
      -1,   712,   705,    -1,   295,    -1,    -1,   120,   152,   960,
     694,   477,    -1,   120,   152,   165,   134,   960,   694,   477,
      -1,   120,    21,   960,   621,   477,    -1,   120,    21,   165,
     134,   960,   621,   477,    -1,   120,   247,   718,   717,   477,
      -1,   120,   247,   165,   134,   718,   717,   477,    -1,   423,
     867,   424,    -1,   423,   867,   427,   867,   424,    -1,   423,
     230,   427,   867,   424,    -1,   423,   867,   427,   230,   424,
      -1,   915,    -1,   966,   425,   718,    -1,   116,   720,    -1,
     721,    -1,   720,   721,    -1,   963,    -1,   197,   464,    -1,
      83,    54,   423,   867,    31,   867,   424,   389,   152,   671,
     723,    -1,    83,    54,   423,   867,    31,   867,   424,   390,
     152,   723,    -1,    83,    54,   423,   867,    31,   867,   424,
     389,   180,   723,    -1,    31,   169,    -1,    31,    34,    -1,
      -1,   120,    54,   725,   423,   867,    31,   867,   424,   477,
      -1,   165,   134,    -1,    -1,   286,   727,   952,   728,    -1,
     286,   339,   954,   728,    -1,   286,    97,   954,   728,    -1,
     173,    -1,   340,    -1,   146,    -1,    -1,    24,    21,   960,
     621,   289,   350,   954,    -1,    24,    67,   646,   289,   350,
     954,    -1,    24,    80,   646,   289,   350,   954,    -1,    24,
      97,   955,   289,   350,   955,    -1,    24,   152,   671,   289,
     350,   954,    -1,    24,   158,   964,   289,   350,   964,    -1,
      24,   560,   197,   954,   289,   350,   954,    -1,    24,   247,
      62,   646,   371,   956,   289,   350,   954,    -1,    24,   247,
     140,   646,   371,   956,   289,   350,   954,    -1,    24,   306,
     954,   289,   350,   954,    -1,    24,   340,   858,   289,   350,
     954,    -1,    24,   312,   952,   289,   350,   954,    -1,    24,
     383,   952,   289,   350,   954,    -1,    24,   173,   952,   289,
     350,   954,    -1,    24,   147,   340,   858,   289,   350,   954,
      -1,    24,   340,   858,   289,   730,   954,   350,   954,    -1,
      24,   147,   340,   858,   289,   730,   954,   350,   954,    -1,
      24,   354,   954,   245,   952,   289,   350,   954,    -1,    24,
     300,   964,   289,   350,   964,    -1,    24,   370,   964,   289,
     350,   964,    -1,    24,   342,   954,   289,   350,   954,    -1,
      24,   342,   954,   318,   480,    -1,    24,   342,   954,   293,
     480,    -1,    24,   346,   308,   259,   646,   289,   350,   954,
      -1,    24,   346,   308,   112,   646,   289,   350,   954,    -1,
      24,   346,   308,   344,   646,   289,   350,   954,    -1,    24,
     346,   308,    74,   646,   289,   350,   954,    -1,    24,   359,
     646,   289,   350,   954,    -1,    24,   359,   646,   289,    37,
     954,   350,   954,   477,    -1,    68,    -1,    -1,   318,    96,
      -1,    -1,    24,    21,   960,   621,   318,   306,   954,    -1,
      24,    67,   646,   318,   306,   954,    -1,    24,    80,   646,
     318,   306,   954,    -1,    24,   118,   646,   318,   306,   954,
      -1,    24,   136,   646,   318,   306,   954,    -1,    24,   152,
     671,   318,   306,   954,    -1,    24,   247,   718,   717,   318,
     306,   954,    -1,    24,   247,    62,   646,   371,   956,   318,
     306,   954,    -1,    24,   247,   140,   646,   371,   956,   318,
     306,   954,    -1,    24,   340,   858,   318,   306,   954,    -1,
      24,   346,   308,   259,   646,   318,   306,   954,    -1,    24,
     346,   308,   112,   646,   318,   306,   954,    -1,    24,   346,
     308,   344,   646,   318,   306,   954,    -1,    24,   346,   308,
      74,   646,   318,   306,   954,    -1,    24,   312,   952,   318,
     306,   954,    -1,    24,   383,   952,   318,   306,   954,    -1,
      24,   147,   340,   858,   318,   306,   954,    -1,    24,   359,
     646,   318,   306,   954,    -1,    24,    21,   960,   621,   258,
     350,   964,    -1,    24,    67,   646,   258,   350,   964,    -1,
      24,    80,   646,   258,   350,   964,    -1,    24,    97,   955,
     258,   350,   964,    -1,    24,   118,   646,   258,   350,   964,
      -1,    24,   152,   671,   258,   350,   964,    -1,    24,   560,
     197,   954,   258,   350,   964,    -1,    24,   198,   240,   551,
     258,   350,   964,    -1,    24,   247,   718,   717,   258,   350,
     964,    -1,    24,   247,    62,   646,   371,   956,   258,   350,
     964,    -1,    24,   247,   140,   646,   371,   956,   258,   350,
     964,    -1,    24,   306,   954,   258,   350,   964,    -1,    24,
     359,   646,   258,   350,   964,    -1,    24,   342,   954,   258,
     350,   964,    -1,    24,   346,   308,   112,   646,   258,   350,
     964,    -1,    24,   346,   308,    74,   646,   258,   350,   964,
      -1,    24,   147,    96,   392,   954,   258,   350,   964,    -1,
      24,   315,   954,   258,   350,   964,    -1,    83,   693,   304,
     954,    31,   245,   739,   350,   952,   862,   116,   740,   735,
      -1,   232,    -1,   737,    -1,   423,   736,   424,    -1,   736,
     426,   738,    -1,   738,    -1,   814,    -1,   792,    -1,   803,
      -1,   797,    -1,   742,    -1,   737,    -1,    -1,   311,    -1,
     369,    -1,   108,    -1,   183,    -1,   184,    -1,    23,    -1,
      -1,   120,   304,   954,   245,   952,   477,    -1,   120,   304,
     165,   134,   954,   245,   952,   477,    -1,   233,   966,   743,
      -1,   427,   963,    -1,    -1,   208,   966,    -1,   366,   966,
      -1,   366,   416,    -1,    14,   747,    -1,    41,   747,   750,
      -1,   328,   352,   750,    -1,    71,   747,    -1,   126,   747,
      -1,   301,   747,    -1,   305,   966,    -1,   288,   305,   966,
      -1,   288,   966,    -1,   301,   747,   350,   305,   966,    -1,
     301,   747,   350,   966,    -1,   270,   352,   963,    -1,    71,
     271,   963,    -1,   301,   271,   963,    -1,   391,    -1,   352,
      -1,    -1,   193,   205,   460,    -1,   279,   246,    -1,   279,
     393,    -1,   105,    -1,   231,   105,    -1,   748,    -1,   749,
     427,   748,    -1,   749,   748,    -1,   749,    -1,    -1,    83,
     504,   383,   952,   522,    31,   814,   752,    -1,    83,   250,
     291,   504,   383,   952,   522,    31,   814,   752,    -1,   389,
      60,   248,    -1,   389,    52,    60,   248,    -1,   389,   210,
      60,   248,    -1,    -1,   209,   959,    -1,    83,    97,   955,
     434,   755,    -1,   755,   756,    -1,    -1,   342,   757,   954,
      -1,   342,   757,   103,    -1,   213,   757,   963,    -1,   213,
     757,   103,    -1,   344,   757,   954,    -1,   344,   757,   103,
      -1,   124,   757,   963,    -1,   124,   757,   962,    -1,   124,
     757,   103,    -1,   200,   757,   963,    -1,   200,   757,   103,
      -1,   201,   757,   963,    -1,   201,   757,   103,    -1,    75,
     207,   757,   965,    -1,   258,   757,   954,    -1,   258,   757,
     103,    -1,   410,    -1,    -1,    24,    97,   955,   434,   760,
      -1,    24,    97,   955,   318,   342,   954,    -1,    24,    97,
     955,   466,    -1,   760,   761,    -1,    -1,    75,   207,   757,
     965,    -1,   120,    97,   955,    -1,   120,    97,   165,   134,
     955,    -1,    83,   118,   646,   765,   867,   513,    -1,    24,
     118,   646,   476,    -1,    24,   118,   646,   120,   231,   236,
      -1,    24,   118,   646,   318,   231,   236,    -1,    24,   118,
     646,    18,   520,    -1,    24,   118,   646,   120,    76,   954,
     477,    -1,    31,    -1,    -1,    24,   346,   308,   112,   646,
     617,    -1,    24,   346,   308,    74,   646,    18,   215,   145,
     953,   389,   645,    -1,    24,   346,   308,    74,   646,    24,
     215,   145,   953,   389,   645,    -1,    24,   346,   308,    74,
     646,    24,   215,   291,   646,   389,   646,    -1,    24,   346,
     308,    74,   646,    24,   215,   145,   953,   291,   646,   389,
     646,    -1,    24,   346,   308,    74,   646,   120,   215,   145,
     953,    -1,    24,   346,   308,    74,   646,   120,   215,   165,
     134,   145,   953,    -1,    83,   631,    80,   646,   145,   963,
     350,   963,   150,   646,    -1,    64,   776,   952,   770,    -1,
      64,   776,    -1,    64,   776,   958,   245,   952,    -1,   371,
     958,    -1,    -1,   372,   777,   778,   776,    -1,   372,   777,
     778,   776,   952,    -1,   372,   777,   778,   776,   774,    -1,
     372,   423,   772,   424,    -1,   372,   423,   772,   424,   952,
     779,    -1,   773,    -1,   772,   427,   773,    -1,   775,    -1,
     381,    -1,   149,    -1,   151,    -1,   775,   776,    -1,   775,
     776,   952,   779,    -1,    27,    -1,    26,    -1,   381,    -1,
      -1,   151,    -1,    -1,   149,    -1,    -1,   423,   953,   424,
      -1,    -1,   135,   781,    -1,   135,   775,   776,   781,    -1,
     135,   381,   781,    -1,   135,   423,   782,   424,   781,    -1,
     814,    -1,   792,    -1,   803,    -1,   797,    -1,   810,    -1,
     539,    -1,   789,    -1,   783,    -1,   782,   427,   783,    -1,
     784,   785,    -1,   968,    -1,   775,    -1,   461,    -1,   551,
      -1,    -1,   270,   954,   787,    31,   788,    -1,   423,   923,
     424,    -1,    -1,   814,    -1,   792,    -1,   803,    -1,   797,
      -1,   133,   954,   790,    -1,    83,   504,   340,   540,    31,
     133,   954,   790,    -1,   423,   920,   424,    -1,    -1,    99,
     954,    -1,    99,   270,   954,    -1,    99,    22,    -1,    99,
     270,    22,    -1,   822,   183,   189,   952,   793,   796,    -1,
     814,    -1,   423,   794,   424,   814,    -1,   103,   377,    -1,
     795,    -1,   794,   427,   795,    -1,   966,   944,    -1,   296,
     949,    -1,    -1,   822,   108,   150,   860,   798,   863,   796,
      -1,   371,   851,    -1,    -1,   214,   825,   859,   800,   802,
      -1,   170,   801,   220,    -1,    -1,    16,   320,    -1,   302,
     320,    -1,   302,   132,    -1,   320,   369,   132,    -1,   320,
      -1,   320,   302,   132,    -1,   132,    -1,    16,   132,    -1,
     235,    -1,    -1,   822,   369,   860,   318,   804,   850,   863,
     796,    -1,   805,    -1,   804,   427,   805,    -1,   806,    -1,
     807,    -1,   808,   410,   946,    -1,   423,   809,   424,   410,
     948,    -1,   966,   944,    -1,   808,    -1,   809,   427,   808,
      -1,   102,   811,   812,    94,   813,   145,   814,    -1,   954,
      -1,    -1,   812,   229,   307,    -1,   812,   307,    -1,   812,
      44,    -1,   812,   182,    -1,    -1,   389,   162,    -1,   390,
     162,    -1,   816,    -1,   815,    -1,   423,   816,   424,    -1,
     423,   815,   424,    -1,   818,    -1,   817,   829,    -1,   817,
     828,   844,   833,    -1,   817,   828,   832,   845,    -1,   819,
     817,    -1,   819,   817,   829,    -1,   819,   817,   828,   844,
     833,    -1,   819,   817,   828,   832,   845,    -1,   818,    -1,
     815,    -1,   311,   827,   949,   823,   850,   862,   842,   843,
     903,    -1,   849,    -1,   340,   858,    -1,   817,   363,   826,
     817,    -1,   817,   187,   826,   817,    -1,   817,   129,   826,
     817,    -1,   389,   820,    -1,   389,   283,   820,    -1,   821,
      -1,   820,   427,   821,    -1,   954,   779,    31,   423,   788,
     424,    -1,   819,    -1,    -1,   189,   824,    -1,    -1,   345,
     825,   952,    -1,   343,   825,   952,    -1,   210,   345,   825,
     952,    -1,   210,   343,   825,   952,    -1,   154,   345,   825,
     952,    -1,   154,   343,   825,   952,    -1,   367,   825,   952,
      -1,   340,   952,    -1,   952,    -1,   340,    -1,    -1,    22,
      -1,   115,    -1,    -1,   115,    -1,   115,   245,   423,   920,
     424,    -1,    22,    -1,    -1,   829,    -1,    -1,   251,    48,
     830,    -1,   831,    -1,   830,   427,   831,    -1,   891,   371,
     918,   691,    -1,   891,   690,   691,    -1,   834,   835,    -1,
     835,   834,    -1,   834,    -1,   835,    -1,   832,    -1,    -1,
     207,   836,    -1,   207,   836,   427,   837,    -1,   141,   841,
     838,   840,   246,    -1,   243,   837,    -1,   243,   839,   840,
      -1,   891,    -1,    22,    -1,   891,    -1,   965,    -1,   423,
     891,   424,    -1,    -1,   893,    -1,   302,    -1,   303,    -1,
     142,    -1,   228,    -1,   158,    48,   920,    -1,    -1,   160,
     891,    -1,    -1,   846,    -1,   145,   279,   246,    -1,   844,
      -1,    -1,   847,    -1,   846,   847,    -1,   145,   369,   848,
     802,    -1,   145,   320,   848,   802,    -1,   241,   951,    -1,
      -1,   377,   948,    -1,   849,   427,   948,    -1,   150,   851,
      -1,    -1,   852,    -1,   851,   427,   852,    -1,   858,    -1,
     858,   854,    -1,   861,    -1,   861,   854,    -1,   861,    31,
     423,   865,   424,    -1,   861,    31,   966,   423,   865,   424,
      -1,   861,   966,   423,   865,   424,    -1,   815,    -1,   815,
     854,    -1,   853,    -1,   423,   853,   424,   854,    -1,   423,
     853,   424,    -1,   852,    84,   194,   852,    -1,   852,   855,
     194,   852,   857,    -1,   852,   194,   852,   857,    -1,   852,
     226,   855,   194,   852,    -1,   852,   226,   194,   852,    -1,
      31,   966,   423,   953,   424,    -1,    31,   966,    -1,   966,
     423,   953,   424,    -1,   966,    -1,   151,   856,    -1,   204,
     856,    -1,   299,   856,    -1,   179,    -1,   253,    -1,    -1,
     371,   423,   953,   424,    -1,   245,   891,    -1,   952,    -1,
     952,   416,    -1,   246,   952,    -1,   246,   423,   952,   424,
      -1,   858,    -1,   859,   427,   858,    -1,   858,    -1,   858,
     966,    -1,   858,    31,   966,    -1,   894,    -1,   386,   891,
      -1,    -1,   386,   891,    -1,   386,    86,   241,   811,    -1,
      -1,   865,    -1,    -1,   866,    -1,   865,   427,   866,    -1,
     966,   867,   478,    -1,   869,   868,    -1,   319,   869,   868,
      -1,   869,    30,   421,   962,   422,    -1,   319,   869,    30,
     421,   962,   422,    -1,   869,    30,    -1,   319,   869,    30,
      -1,   868,   421,   422,    -1,   868,   421,   962,   422,    -1,
      -1,   871,    -1,   873,    -1,   875,    -1,   879,    -1,   886,
      -1,   887,   889,    -1,   887,   423,   962,   424,   889,    -1,
     873,    -1,   876,    -1,   880,    -1,   886,    -1,   967,   872,
      -1,   967,   647,   872,    -1,   423,   920,   424,    -1,    -1,
     185,    -1,   186,    -1,   324,    -1,    43,    -1,   280,    -1,
     143,   874,    -1,   119,   268,    -1,   101,   872,    -1,   100,
     872,    -1,   239,   872,    -1,    46,    -1,   423,   962,   424,
      -1,    -1,   877,    -1,   878,    -1,   877,    -1,   878,    -1,
      45,   884,   423,   920,   424,    -1,    45,   884,    -1,   881,
      -1,   882,    -1,   881,    -1,   882,    -1,   883,   423,   962,
     424,   885,    -1,   883,   885,    -1,    58,   884,    -1,    57,
     884,    -1,   378,    -1,   225,    58,   884,    -1,   225,    57,
     884,    -1,   227,   884,    -1,   380,    -1,    -1,    58,   318,
     966,    -1,    -1,   349,   423,   962,   424,   888,    -1,   349,
     888,    -1,   348,   423,   962,   424,   888,    -1,   348,   888,
      -1,   188,    -1,   409,   406,    -1,   390,   348,   406,    -1,
      -1,   404,    -1,   221,    -1,    98,    -1,   163,    -1,   218,
      -1,   890,    -1,   404,   350,   221,    -1,    98,   350,   163,
      -1,    98,   350,   218,    -1,    98,   350,   890,    -1,   163,
     350,   218,    -1,   163,   350,   890,    -1,   218,   350,   890,
      -1,    -1,   309,    -1,   309,   423,   962,   424,    -1,   893,
      -1,   891,    11,   867,    -1,   891,    66,   646,    -1,   891,
      36,   348,   406,   891,    -1,   414,   891,    -1,   415,   891,
      -1,   891,   414,   891,    -1,   891,   415,   891,    -1,   891,
     416,   891,    -1,   891,   417,   891,    -1,   891,   418,   891,
      -1,   891,   419,   891,    -1,   891,   411,   891,    -1,   891,
     412,   891,    -1,   891,   410,   891,    -1,   891,   917,   891,
      -1,   917,   891,    -1,   891,   917,    -1,   891,    28,   891,
      -1,   891,   250,   891,    -1,   231,   891,    -1,   891,   206,
     891,    -1,   891,   206,   891,   128,   891,    -1,   891,   231,
     206,   891,    -1,   891,   231,   206,   891,   128,   891,    -1,
     891,   166,   891,    -1,   891,   166,   891,   128,   891,    -1,
     891,   231,   166,   891,    -1,   891,   231,   166,   891,   128,
     891,    -1,   891,   322,   350,   891,    -1,   891,   322,   350,
     891,   128,   891,    -1,   891,   231,   322,   350,   891,    -1,
     891,   231,   322,   350,   891,   128,   891,    -1,   891,   191,
     236,    -1,   891,   192,    -1,   891,   191,   231,   236,    -1,
     891,   234,    -1,   913,   255,   913,    -1,   891,   191,   356,
      -1,   891,   191,   231,   356,    -1,   891,   191,   139,    -1,
     891,   191,   231,   139,    -1,   891,   191,   365,    -1,   891,
     191,   231,   365,    -1,   891,   191,   115,   150,   891,    -1,
     891,   191,   231,   115,   150,   891,    -1,   891,   191,   241,
     423,   923,   424,    -1,   891,   191,   231,   241,   423,   923,
     424,    -1,   891,    42,   945,   892,    28,   892,    -1,   891,
     231,    42,   945,   892,    28,   892,    -1,   891,    42,   337,
     892,    28,   892,    -1,   891,   231,    42,   337,   892,    28,
     892,    -1,   891,   170,   935,    -1,   891,   231,   170,   935,
      -1,   891,   919,   914,   815,    -1,   891,   919,   914,   423,
     891,   424,    -1,   364,   815,    -1,   891,   191,   117,    -1,
     891,   191,   231,   117,    -1,   893,    -1,   892,    11,   867,
      -1,   414,   892,    -1,   415,   892,    -1,   892,   414,   892,
      -1,   892,   415,   892,    -1,   892,   416,   892,    -1,   892,
     417,   892,    -1,   892,   418,   892,    -1,   892,   419,   892,
      -1,   892,   411,   892,    -1,   892,   412,   892,    -1,   892,
     410,   892,    -1,   892,   917,   892,    -1,   917,   892,    -1,
     892,   917,    -1,   892,   191,   115,   150,   892,    -1,   892,
     191,   231,   115,   150,   892,    -1,   892,   191,   241,   423,
     923,   424,    -1,   892,   191,   231,   241,   423,   923,   424,
      -1,   892,   191,   117,    -1,   892,   191,   231,   117,    -1,
     941,    -1,   961,    -1,    10,   944,    -1,   423,   891,   424,
     944,    -1,   936,    -1,   894,    -1,   815,    -1,   815,   943,
      -1,   134,   815,    -1,    30,   815,    -1,    30,   924,    -1,
     913,    -1,   960,   423,   424,   906,    -1,   960,   423,   921,
     424,   906,    -1,   960,   423,   379,   922,   424,   906,    -1,
     960,   423,   921,   427,   379,   922,   424,   906,    -1,   960,
     423,   921,   829,   424,   906,    -1,   960,   423,    22,   921,
     828,   424,   906,    -1,   960,   423,   115,   921,   828,   424,
     906,    -1,   960,   423,   416,   424,   906,    -1,    88,    -1,
      91,    -1,    91,   423,   962,   424,    -1,    92,    -1,    92,
     423,   962,   424,    -1,   211,    -1,   211,   423,   962,   424,
      -1,   212,    -1,   212,   423,   962,   424,    -1,    89,    -1,
      93,    -1,   317,    -1,   370,    -1,    87,    -1,    90,    -1,
      54,   423,   891,    31,   867,   424,    -1,   138,   423,   926,
     424,    -1,   256,   423,   928,   424,    -1,   266,   423,   930,
     424,    -1,   336,   423,   931,   424,    -1,   353,   423,   891,
      31,   867,   424,    -1,   355,   423,    47,   934,   424,    -1,
     355,   423,   202,   934,   424,    -1,   355,   423,   351,   934,
     424,    -1,   355,   423,   934,   424,    -1,   237,   423,   891,
     427,   891,   424,    -1,    65,   423,   920,   424,    -1,   157,
     423,   920,   424,    -1,   203,   423,   920,   424,    -1,   396,
     423,   920,   424,    -1,   397,   423,   223,   969,   424,    -1,
     397,   423,   223,   969,   427,   897,   424,    -1,   397,   423,
     223,   969,   427,   920,   424,    -1,   397,   423,   223,   969,
     427,   897,   427,   920,   424,    -1,   398,   423,   893,   902,
     424,    -1,   399,   423,   898,   424,    -1,   400,   423,   900,
     891,   901,   424,    -1,   401,   423,   223,   969,   424,    -1,
     401,   423,   223,   969,   427,   891,   424,    -1,   402,   423,
     891,   427,   895,   896,   424,    -1,   403,   423,   900,   891,
      31,   869,   424,    -1,   382,   891,    -1,   382,   229,   376,
      -1,   427,   327,   405,    -1,   427,   327,   229,    -1,   427,
     327,   229,   376,    -1,    -1,   395,   423,   898,   424,    -1,
     899,    -1,   898,   427,   899,    -1,   891,    31,   969,    -1,
     891,    -1,   117,    -1,    78,    -1,   269,   387,    -1,   335,
     387,    -1,    -1,   262,   893,    -1,   262,   893,    48,   284,
      -1,   262,    48,   284,   893,    -1,   262,    48,   284,   893,
      48,   284,    -1,   388,   904,    -1,    -1,   905,    -1,   904,
     427,   905,    -1,   966,    31,   907,    -1,   254,   907,    -1,
     254,   966,    -1,    -1,   423,   908,   909,   828,   910,   424,
      -1,   966,    -1,    -1,   261,    48,   920,    -1,    -1,   278,
     911,    -1,   303,   911,    -1,    -1,   912,    -1,    42,   912,
      28,   912,    -1,   360,   267,    -1,   360,   144,    -1,    86,
     302,    -1,   891,   267,    -1,   891,   144,    -1,   302,   423,
     920,   424,    -1,   302,   423,   424,    -1,   423,   920,   427,
     891,   424,    -1,    29,    -1,   325,    -1,    22,    -1,     8,
      -1,   916,    -1,   414,    -1,   415,    -1,   416,    -1,   417,
      -1,   418,    -1,   419,    -1,   411,    -1,   412,    -1,   410,
      -1,     8,    -1,   247,   423,   718,   424,    -1,   915,    -1,
     247,   423,   718,   424,    -1,   915,    -1,   247,   423,   718,
     424,    -1,   206,    -1,   231,   206,    -1,   166,    -1,   231,
     166,    -1,   891,    -1,   920,   427,   891,    -1,   922,    -1,
     921,   427,   922,    -1,   891,    -1,   700,    13,   891,    -1,
     867,    -1,   923,   427,   867,    -1,   421,   920,   422,    -1,
     421,   925,   422,    -1,   421,   422,    -1,   924,    -1,   925,
     427,   924,    -1,   927,   150,   891,    -1,    -1,     3,    -1,
     404,    -1,   221,    -1,    98,    -1,   163,    -1,   218,    -1,
     309,    -1,   963,    -1,   891,   929,   932,   933,    -1,   891,
     929,   932,    -1,   264,   891,    -1,   892,   170,   892,    -1,
      -1,   891,   932,   933,    -1,   891,   933,   932,    -1,   891,
     932,    -1,   891,   933,    -1,   920,    -1,    -1,   150,   891,
      -1,   145,   891,    -1,   891,   150,   920,    -1,   150,   920,
      -1,   920,    -1,   815,    -1,   423,   920,   424,    -1,    53,
     940,   937,   939,   126,    -1,   938,    -1,   937,   938,    -1,
     385,   891,   347,   891,    -1,   122,   891,    -1,    -1,   891,
      -1,    -1,   966,    -1,   966,   943,    -1,   425,   957,    -1,
     425,   416,    -1,   421,   891,   422,    -1,   421,   891,   428,
     891,   422,    -1,   942,    -1,   943,   942,    -1,    -1,   944,
     942,    -1,    35,    -1,    -1,   891,    -1,   103,    -1,   946,
      -1,   947,   427,   946,    -1,   423,   947,   424,    -1,   950,
      -1,   949,   427,   950,    -1,   891,    31,   969,    -1,   891,
       3,    -1,   891,    -1,   416,    -1,   952,    -1,   951,   427,
     952,    -1,   966,    -1,   966,   943,    -1,   954,    -1,   953,
     427,   954,    -1,   966,    -1,   966,    -1,   966,    -1,   969,
      -1,   966,    -1,   963,    -1,   967,    -1,   966,   943,    -1,
     962,    -1,     4,    -1,   963,    -1,     6,    -1,     7,    -1,
     960,   963,    -1,   960,   423,   921,   424,   963,    -1,   870,
     963,    -1,   887,   963,   889,    -1,   887,   423,   962,   424,
     963,   889,    -1,   356,    -1,   139,    -1,   236,    -1,     9,
      -1,     5,    -1,   968,    -1,   962,    -1,   414,   962,    -1,
     415,   962,    -1,     3,    -1,   970,    -1,   971,    -1,     3,
      -1,   970,    -1,   972,    -1,     3,    -1,   970,    -1,   971,
      -1,   972,    -1,     3,    -1,   970,    -1,   971,    -1,   972,
      -1,   973,    -1,    14,    -1,    15,    -1,    16,    -1,    17,
      -1,    18,    -1,    19,    -1,    20,    -1,    21,    -1,    23,
      -1,    24,    -1,    25,    -1,    33,    -1,    34,    -1,    36,
      -1,    37,    -1,    39,    -1,    40,    -1,    41,    -1,    48,
      -1,    49,    -1,    50,    -1,    51,    -1,    52,    -1,    55,
      -1,    56,    -1,    59,    -1,    61,    -1,    62,    -1,    63,
      -1,    64,    -1,    67,    -1,    69,    -1,    70,    -1,    71,
      -1,    72,    -1,    74,    -1,    75,    -1,    77,    -1,    78,
      -1,    79,    -1,    80,    -1,    81,    -1,    82,    -1,    85,
      -1,    86,    -1,    94,    -1,    95,    -1,    96,    -1,    97,
      -1,    98,    -1,    99,    -1,   102,    -1,   104,    -1,   106,
      -1,   107,    -1,   108,    -1,   109,    -1,   110,    -1,   112,
      -1,   113,    -1,   114,    -1,   117,    -1,   118,    -1,   119,
      -1,   120,    -1,   121,    -1,   123,    -1,   124,    -1,   125,
      -1,   127,    -1,   128,    -1,   130,    -1,   131,    -1,   132,
      -1,   133,    -1,   135,    -1,   136,    -1,   137,    -1,   140,
      -1,   142,    -1,   144,    -1,   146,    -1,   148,    -1,   152,
      -1,   153,    -1,   154,    -1,   156,    -1,   159,    -1,   161,
      -1,   162,    -1,   163,    -1,   164,    -1,   165,    -1,   167,
      -1,   168,    -1,   169,    -1,   171,    -1,   172,    -1,   173,
      -1,   174,    -1,   175,    -1,   176,    -1,   178,    -1,   181,
      -1,   182,    -1,   183,    -1,   184,    -1,   190,    -1,   193,
      -1,   195,    -1,   196,    -1,   197,    -1,   198,    -1,   199,
      -1,   200,    -1,   201,    -1,   205,    -1,   208,    -1,   209,
      -1,   210,    -1,   213,    -1,   214,    -1,   215,    -1,   216,
      -1,   217,    -1,   218,    -1,   219,    -1,   220,    -1,   221,
      -1,   222,    -1,   223,    -1,   224,    -1,   228,    -1,   229,
      -1,   232,    -1,   233,    -1,   235,    -1,   238,    -1,   240,
      -1,   241,    -1,   242,    -1,   244,    -1,   247,    -1,   248,
      -1,   249,    -1,   257,    -1,   258,    -1,   259,    -1,   260,
      -1,   261,    -1,   262,    -1,   263,    -1,   265,    -1,   267,
      -1,   270,    -1,   271,    -1,   269,    -1,   273,    -1,   274,
      -1,   275,    -1,   276,    -1,   277,    -1,   278,    -1,   279,
      -1,   281,    -1,   282,    -1,   283,    -1,   284,    -1,   286,
      -1,   287,    -1,   288,    -1,   289,    -1,   290,    -1,   291,
      -1,   292,    -1,   293,    -1,   294,    -1,   295,    -1,   297,
      -1,   298,    -1,   300,    -1,   301,    -1,   303,    -1,   304,
      -1,   305,    -1,   306,    -1,   307,    -1,   308,    -1,   309,
      -1,   310,    -1,   312,    -1,   313,    -1,   314,    -1,   315,
      -1,   316,    -1,   318,    -1,   320,    -1,   321,    -1,   323,
      -1,   326,    -1,   327,    -1,   328,    -1,   329,    -1,   330,
      -1,   331,    -1,   332,    -1,   333,    -1,   334,    -1,   335,
      -1,   338,    -1,   339,    -1,   341,    -1,   342,    -1,   343,
      -1,   344,    -1,   345,    -1,   346,    -1,   352,    -1,   354,
      -1,   357,    -1,   358,    -1,   359,    -1,   360,    -1,   361,
      -1,   362,    -1,   365,    -1,   366,    -1,   367,    -1,   368,
      -1,   369,    -1,   372,    -1,   373,    -1,   374,    -1,   375,
      -1,   376,    -1,   380,    -1,   382,    -1,   383,    -1,   384,
      -1,   387,    -1,   390,    -1,   391,    -1,   392,    -1,   393,
      -1,   394,    -1,   404,    -1,   405,    -1,   406,    -1,    42,
      -1,    43,    -1,    45,    -1,    46,    -1,    57,    -1,    58,
      -1,    65,    -1,   100,    -1,   101,    -1,   134,    -1,   138,
      -1,   143,    -1,   157,    -1,   180,    -1,   185,    -1,   186,
      -1,   188,    -1,   203,    -1,   225,    -1,   227,    -1,   230,
      -1,   237,    -1,   239,    -1,   252,    -1,   256,    -1,   266,
      -1,   268,    -1,   280,    -1,   302,    -1,   319,    -1,   324,
      -1,   336,    -1,   348,    -1,   349,    -1,   353,    -1,   355,
      -1,   377,    -1,   378,    -1,   395,    -1,   396,    -1,   397,
      -1,   398,    -1,   399,    -1,   400,    -1,   401,    -1,   402,
      -1,   403,    -1,    38,    -1,    44,    -1,    73,    -1,    84,
      -1,    90,    -1,   149,    -1,   151,    -1,   166,    -1,   179,
      -1,   191,    -1,   192,    -1,   194,    -1,   204,    -1,   206,
      -1,   226,    -1,   234,    -1,   253,    -1,   254,    -1,   255,
      -1,   299,    -1,   322,    -1,   381,    -1,    22,    -1,    26,
      -1,    27,    -1,    28,    -1,    29,    -1,    30,    -1,    31,
      -1,    32,    -1,    35,    -1,    47,    -1,    53,    -1,    54,
      -1,    60,    -1,    66,    -1,    68,    -1,    76,    -1,    83,
      -1,    87,    -1,    88,    -1,    89,    -1,    91,    -1,    92,
      -1,    93,    -1,   103,    -1,   105,    -1,   111,    -1,   115,
      -1,   116,    -1,   122,    -1,   126,    -1,   129,    -1,   139,
      -1,   141,    -1,   145,    -1,   147,    -1,   150,    -1,   155,
      -1,   158,    -1,   160,    -1,   170,    -1,   177,    -1,   187,
      -1,   189,    -1,   202,    -1,   207,    -1,   211,    -1,   212,
      -1,   231,    -1,   236,    -1,   243,    -1,   245,    -1,   246,
      -1,   250,    -1,   251,    -1,   264,    -1,   272,    -1,   285,
      -1,   296,    -1,   311,    -1,   317,    -1,   325,    -1,   337,
      -1,   340,    -1,   347,    -1,   350,    -1,   351,    -1,   356,
      -1,   363,    -1,   364,    -1,   370,    -1,   371,    -1,   379,
      -1,   385,    -1,   386,    -1,   388,    -1,   389,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   656,   656,   663,   670,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   791,   801,   812,   813,   822,
     823,   827,   828,   832,   837,   841,   846,   851,   855,   859,
     864,   868,   922,   924,   928,   932,   936,   940,   954,   972,
     983,   984,   988,  1006,  1018,  1039,  1046,  1065,  1072,  1089,
    1107,  1118,  1119,  1131,  1138,  1155,  1167,  1179,  1180,  1184,
    1185,  1193,  1194,  1195,  1196,  1197,  1198,  1212,  1218,  1224,
    1233,  1241,  1249,  1256,  1263,  1271,  1282,  1290,  1298,  1306,
    1314,  1325,  1333,  1341,  1348,  1358,  1359,  1366,  1367,  1370,
    1372,  1376,  1377,  1378,  1379,  1383,  1384,  1385,  1391,  1403,
    1407,  1411,  1426,  1449,  1450,  1451,  1455,  1456,  1457,  1461,
    1462,  1466,  1473,  1480,  1487,  1494,  1504,  1505,  1510,  1516,
    1522,  1528,  1534,  1544,  1554,  1555,  1559,  1560,  1568,  1583,
    1589,  1595,  1601,  1619,  1627,  1635,  1643,  1654,  1655,  1660,
    1668,  1676,  1685,  1693,  1701,  1710,  1719,  1728,  1737,  1747,
    1760,  1774,  1782,  1790,  1800,  1810,  1817,  1824,  1832,  1840,
    1848,  1856,  1864,  1871,  1878,  1886,  1893,  1900,  1908,  1916,
    1924,  1932,  1940,  1948,  1958,  1965,  1973,  1981,  1989,  1996,
    2006,  2007,  2011,  2012,  2013,  2017,  2025,  2029,  2030,  2034,
    2037,  2038,  2042,  2043,  2048,  2052,  2056,  2061,  2076,  2089,
    2090,  2095,  2104,  2114,  2124,  2149,  2155,  2182,  2204,  2218,
    2219,  2228,  2229,  2230,  2233,  2234,  2239,  2240,  2244,  2248,
    2252,  2256,  2260,  2264,  2268,  2272,  2276,  2280,  2284,  2288,
    2297,  2301,  2305,  2309,  2313,  2317,  2321,  2322,  2327,  2331,
    2338,  2345,  2346,  2347,  2348,  2349,  2353,  2357,  2365,  2376,
    2391,  2407,  2423,  2448,  2449,  2450,  2451,  2452,  2453,  2454,
    2455,  2459,  2460,  2464,  2465,  2469,  2473,  2480,  2484,  2491,
    2492,  2493,  2497,  2498,  2501,  2520,  2540,  2541,  2545,  2553,
    2554,  2555,  2586,  2593,  2600,  2611,  2622,  2631,  2640,  2673,
    2680,  2687,  2694,  2713,  2723,  2724,  2725,  2729,  2730,  2731,
    2732,  2733,  2734,  2743,  2751,  2755,  2767,  2782,  2796,  2811,
    2825,  2843,  2865,  2866,  2870,  2871,  2874,  2880,  2884,  2892,
    2897,  2903,  2904,  2908,  2913,  2920,  2921,  2931,  2933,  2935,
    2937,  2940,  2943,  2946,  2950,  2951,  2952,  2953,  2954,  2957,
    2958,  2963,  2964,  2965,  2966,  2969,  2970,  2971,  2972,  2975,
    2976,  2979,  2980,  2983,  2993,  3018,  3030,  3031,  3035,  3036,
    3040,  3060,  3061,  3062,  3075,  3087,  3096,  3097,  3100,  3101,
    3104,  3108,  3112,  3116,  3120,  3124,  3128,  3132,  3136,  3140,
    3144,  3148,  3154,  3155,  3159,  3160,  3165,  3168,  3169,  3181,
    3193,  3208,  3209,  3217,  3218,  3222,  3223,  3227,  3228,  3232,
    3233,  3237,  3245,  3256,  3257,  3267,  3277,  3278,  3291,  3298,
    3315,  3323,  3334,  3337,  3341,  3345,  3349,  3361,  3371,  3374,
    3378,  3391,  3401,  3411,  3420,  3429,  3438,  3448,  3457,  3467,
    3477,  3487,  3496,  3505,  3514,  3523,  3532,  3541,  3550,  3559,
    3568,  3577,  3586,  3604,  3615,  3616,  3617,  3618,  3622,  3623,
    3627,  3628,  3638,  3646,  3663,  3671,  3683,  3684,  3688,  3692,
    3700,  3704,  3708,  3715,  3719,  3724,  3729,  3736,  3743,  3748,
    3758,  3772,  3773,  3778,  3779,  3783,  3784,  3794,  3802,  3819,
    3828,  3836,  3853,  3868,  3886,  3887,  3891,  3895,  3902,  3913,
    3930,  3942,  3943,  3944,  3954,  3962,  3979,  3998,  4018,  4043,
    4044,  4045,  4049,  4051,  4073,  4075,  4077,  4079,  4081,  4086,
    4091,  4101,  4102,  4106,  4107,  4111,  4112,  4116,  4117,  4118,
    4122,  4128,  4129,  4130,  4134,  4135,  4140,  4141,  4168,  4169,
    4170,  4171,  4172,  4177,  4187,  4209,  4229,  4252,  4262,  4273,
    4283,  4293,  4304,  4313,  4320,  4329,  4338,  4347,  4356,  4365,
    4376,  4379,  4380,  4383,  4387,  4394,  4395,  4396,  4397,  4398,
    4401,  4402,  4405,  4408,  4409,  4417,  4424,  4425,  4428,  4430,
    4441,  4450,  4459,  4483,  4498,  4499,  4503,  4513,  4524,  4533,
    4543,  4552,  4553,  4556,  4557,  4560,  4561,  4562,  4565,  4579,
    4584,  4594,  4603,  4615,  4616,  4620,  4628,  4640,  4649,  4661,
    4670,  4691,  4701,  4719,  4728,  4740,  4741,  4742,  4743,  4744,
    4745,  4746,  4747,  4748,  4749,  4750,  4751,  4752,  4753,  4754,
    4758,  4759,  4762,  4763,  4766,  4768,  4781,  4792,  4793,  4794,
    4820,  4829,  4838,  4847,  4856,  4865,  4874,  4884,  4893,  4902,
    4911,  4920,  4929,  4938,  4946,  4954,  4962,  4973,  4974,  4975,
    4976,  4977,  4978,  4979,  4980,  4981,  4982,  4983,  4984,  4985,
    4986,  4987,  4988,  4989,  4993,  4994,  5008,  5019,  5030,  5041,
    5052,  5065,  5066,  5070,  5071,  5072,  5073,  5074,  5075,  5076,
    5077,  5080,  5081,  5091,  5097,  5105,  5113,  5121,  5129,  5137,
    5145,  5153,  5161,  5169,  5177,  5185,  5193,  5201,  5209,  5217,
    5225,  5235,  5236,  5239,  5240,  5250,  5266,  5280,  5306,  5308,
    5310,  5312,  5319,  5328,  5329,  5332,  5339,  5346,  5353,  5367,
    5375,  5383,  5391,  5399,  5407,  5415,  5423,  5431,  5439,  5447,
    5455,  5463,  5471,  5483,  5484,  5487,  5497,  5511,  5512,  5516,
    5517,  5522,  5538,  5551,  5561,  5573,  5574,  5577,  5578,  5588,
    5598,  5599,  5603,  5607,  5611,  5622,  5635,  5649,  5666,  5667,
    5668,  5680,  5700,  5701,  5705,  5706,  5710,  5711,  5715,  5716,
    5719,  5720,  5728,  5739,  5750,  5763,  5764,  5767,  5768,  5769,
    5772,  5773,  5774,  5777,  5778,  5779,  5795,  5807,  5820,  5835,
    5836,  5839,  5840,  5844,  5845,  5853,  5854,  5858,  5859,  5874,
    5883,  5892,  5901,  5910,  5922,  5923,  5924,  5925,  5926,  5932,
    5936,  5951,  5952,  5958,  5968,  5972,  5977,  5987,  5988,  5995,
    5999,  6003,  6007,  6011,  6015,  6019,  6023,  6027,  6031,  6035,
    6039,  6043,  6051,  6055,  6059,  6063,  6069,  6070,  6077,  6078,
    6081,  6093,  6097,  6112,  6123,  6124,  6129,  6130,  6145,  6155,
    6168,  6178,  6191,  6201,  6214,  6222,  6224,  6226,  6231,  6233,
    6246,  6255,  6256,  6260,  6264,  6276,  6287,  6298,  6311,  6312,
    6313,  6317,  6328,  6329,  6343,  6351,  6361,  6374,  6375,  6378,
    6379,  6389,  6398,  6406,  6414,  6422,  6431,  6439,  6447,  6456,
    6465,  6473,  6482,  6491,  6500,  6509,  6518,  6528,  6538,  6547,
    6555,  6563,  6571,  6580,  6589,  6597,  6605,  6613,  6621,  6629,
    6642,  6643,  6646,  6647,  6657,  6666,  6674,  6682,  6690,  6698,
    6707,  6716,  6725,  6734,  6742,  6750,  6758,  6766,  6774,  6782,
    6790,  6798,  6814,  6823,  6831,  6839,  6847,  6855,  6864,  6872,
    6880,  6889,  6898,  6907,  6915,  6923,  6931,  6939,  6947,  6955,
    6972,  6989,  6990,  6991,  6996,  7002,  7011,  7012,  7013,  7014,
    7015,  7019,  7020,  7023,  7024,  7025,  7026,  7030,  7031,  7032,
    7037,  7047,  7068,  7078,  7079,  7082,  7091,  7097,  7116,  7123,
    7130,  7137,  7144,  7151,  7158,  7166,  7174,  7182,  7190,  7198,
    7205,  7212,  7221,  7222,  7223,  7227,  7230,  7233,  7236,  7239,
    7246,  7248,  7250,  7255,  7257,  7269,  7280,  7294,  7300,  7306,
    7312,  7322,  7338,  7348,  7349,  7353,  7357,  7361,  7365,  7369,
    7373,  7377,  7381,  7385,  7389,  7393,  7397,  7401,  7405,  7409,
    7413,  7423,  7424,  7435,  7442,  7453,  7464,  7465,  7469,  7483,
    7490,  7507,  7520,  7529,  7537,  7545,  7554,  7565,  7566,  7577,
    7587,  7597,  7607,  7617,  7627,  7635,  7656,  7679,  7687,  7696,
    7707,  7708,  7720,  7734,  7748,  7760,  7772,  7789,  7790,  7794,
    7795,  7796,  7797,  7801,  7813,  7828,  7829,  7833,  7834,  7837,
    7838,  7841,  7842,  7846,  7847,  7860,  7867,  7877,  7884,  7894,
    7895,  7896,  7897,  7898,  7899,  7900,  7904,  7908,  7915,  7922,
    7923,  7927,  7928,  7929,  7939,  7949,  7950,  7954,  7955,  7956,
    7957,  7967,  7975,  7992,  7993,  8003,  8009,  8015,  8021,  8037,
    8047,  8053,  8059,  8068,  8070,  8075,  8086,  8087,  8098,  8112,
    8113,  8124,  8135,  8136,  8139,  8140,  8141,  8142,  8143,  8144,
    8145,  8146,  8149,  8150,  8161,  8179,  8180,  8184,  8185,  8189,
    8197,  8225,  8236,  8237,  8247,  8258,  8261,  8262,  8263,  8264,
    8265,  8268,  8269,  8270,  8318,  8319,  8323,  8324,  8338,  8339,
    8346,  8354,  8362,  8370,  8378,  8386,  8397,  8398,  8425,  8440,
    8441,  8460,  8464,  8468,  8483,  8490,  8500,  8501,  8504,  8516,
    8517,  8521,  8531,  8539,  8544,  8549,  8554,  8559,  8564,  8569,
    8574,  8579,  8586,  8587,  8590,  8591,  8592,  8599,  8600,  8601,
    8602,  8606,  8607,  8611,  8615,  8616,  8619,  8628,  8641,  8642,
    8643,  8644,  8648,  8649,  8653,  8655,  8665,  8670,  8673,  8678,
    8679,  8687,  8697,  8698,  8699,  8707,  8711,  8712,  8715,  8716,
    8721,  8722,  8726,  8727,  8731,  8732,  8736,  8737,  8741,  8742,
    8746,  8754,  8765,  8766,  8771,  8777,  8795,  8796,  8800,  8801,
    8811,  8815,  8820,  8827,  8835,  8842,  8852,  8862,  8890,  8897,
    8901,  8927,  8931,  8943,  8956,  8970,  8981,  8996,  9002,  9007,
    9013,  9020,  9021,  9022,  9023,  9027,  9028,  9040,  9041,  9046,
    9053,  9060,  9067,  9078,  9079,  9092,  9096,  9103,  9113,  9118,
    9119,  9124,  9125,  9133,  9138,  9139,  9143,  9147,  9153,  9182,
    9187,  9194,  9199,  9205,  9210,  9219,  9221,  9224,  9228,  9229,
    9230,  9231,  9232,  9233,  9238,  9268,  9269,  9270,  9271,  9282,
    9288,  9296,  9297,  9303,  9308,  9313,  9318,  9323,  9328,  9333,
    9338,  9344,  9350,  9356,  9363,  9385,  9394,  9398,  9406,  9410,
    9418,  9430,  9451,  9455,  9461,  9465,  9478,  9497,  9520,  9522,
    9524,  9526,  9528,  9530,  9535,  9536,  9540,  9541,  9548,  9557,
    9565,  9574,  9585,  9593,  9594,  9595,  9599,  9601,  9603,  9605,
    9607,  9609,  9611,  9616,  9621,  9627,  9635,  9640,  9647,  9654,
    9658,  9662,  9692,  9693,  9695,  9703,  9725,  9727,  9729,  9731,
    9733,  9735,  9737,  9739,  9741,  9743,  9745,  9748,  9750,  9752,
    9755,  9757,  9759,  9762,  9764,  9777,  9779,  9792,  9794,  9807,
    9809,  9823,  9836,  9849,  9862,  9885,  9892,  9899,  9906,  9913,
    9917,  9924,  9931,  9938,  9945,  9952,  9959,  9963,  9971,  9975,
    9985,  9992,  9999, 10012, 10025, 10044, 10065, 10075, 10082, 10098,
   10103, 10121, 10123, 10125, 10127, 10129, 10131, 10133, 10135, 10137,
   10139, 10141, 10143, 10145, 10147, 10149, 10151, 10153, 10157, 10162,
   10166, 10170, 10175, 10192, 10193, 10194, 10209, 10221, 10223, 10225,
   10235, 10258, 10268, 10278, 10286, 10304, 10317, 10330, 10343, 10356,
   10369, 10386, 10399, 10422, 10443, 10453, 10466, 10483, 10496, 10506,
   10519, 10529, 10542, 10555, 10568, 10581, 10594, 10607, 10620, 10622,
   10635, 10653, 10667, 10683, 10705, 10721, 10734, 10747, 10760, 10764,
   10771, 10779, 10787, 10791, 10795, 10799, 10803, 10807, 10822, 10826,
   10835, 10839, 10843, 10848, 10862, 10864, 10868, 10870, 10872, 10875,
   10878, 10881, 10882, 10885, 10893, 10903, 10904, 10907, 10908, 10909,
   10914, 10918, 10922, 10926, 10937, 10938, 10942, 10943, 10948, 10956,
   10958, 10972, 10975, 11002, 11003, 11006, 11007, 11018, 11036, 11043,
   11052, 11069, 11114, 11122, 11130, 11138, 11146, 11167, 11168, 11169,
   11172, 11173, 11174, 11177, 11178, 11181, 11182, 11183, 11184, 11185,
   11186, 11187, 11188, 11189, 11192, 11194, 11199, 11201, 11206, 11208,
   11210, 11212, 11214, 11216, 11228, 11232, 11239, 11243, 11249, 11253,
   11264, 11265, 11268, 11272, 11276, 11282, 11283, 11288, 11292, 11299,
   11300, 11301, 11302, 11303, 11304, 11305, 11306, 11316, 11320, 11327,
   11334, 11335, 11351, 11355, 11360, 11364, 11379, 11384, 11388, 11391,
   11394, 11395, 11396, 11399, 11406, 11416, 11430, 11431, 11435, 11446,
   11447, 11450, 11451, 11454, 11458, 11465, 11469, 11473, 11480, 11490,
   11491, 11495, 11496, 11499, 11500, 11511, 11512, 11521, 11522, 11530,
   11541, 11542, 11545, 11561, 11569, 11577, 11599, 11600, 11611, 11615,
   11642, 11644, 11649, 11652, 11655, 11657, 11659, 11661, 11671, 11673,
   11684, 11688, 11692, 11696, 11700, 11709, 11716, 11741, 11745, 11751,
   11768, 11772, 11776, 11782, 11783, 11784, 11786, 11787, 11788, 11804,
   11805, 11806, 11811, 11812, 11813, 11818, 11819, 11820, 11821, 11827,
   11828, 11829, 11830, 11831, 11851, 11852, 11853, 11854, 11855, 11856,
   11857, 11858, 11859, 11860, 11861, 11862, 11863, 11864, 11865, 11866,
   11867, 11868, 11869, 11870, 11871, 11872, 11873, 11874, 11875, 11876,
   11877, 11878, 11879, 11880, 11881, 11882, 11883, 11884, 11885, 11886,
   11887, 11888, 11889, 11890, 11891, 11892, 11893, 11894, 11895, 11896,
   11897, 11898, 11899, 11900, 11901, 11902, 11903, 11904, 11905, 11906,
   11907, 11908, 11909, 11910, 11911, 11912, 11913, 11914, 11915, 11916,
   11917, 11918, 11919, 11920, 11921, 11922, 11923, 11924, 11925, 11926,
   11927, 11928, 11929, 11930, 11931, 11932, 11933, 11934, 11935, 11936,
   11937, 11938, 11939, 11940, 11941, 11942, 11943, 11944, 11945, 11946,
   11947, 11948, 11949, 11950, 11951, 11952, 11953, 11954, 11955, 11956,
   11957, 11958, 11959, 11960, 11961, 11962, 11963, 11964, 11965, 11966,
   11967, 11968, 11969, 11970, 11971, 11972, 11973, 11974, 11975, 11976,
   11977, 11978, 11979, 11980, 11981, 11982, 11983, 11984, 11985, 11986,
   11987, 11988, 11989, 11990, 11991, 11992, 11993, 11994, 11995, 11996,
   11997, 11998, 11999, 12000, 12001, 12002, 12003, 12004, 12005, 12006,
   12007, 12008, 12009, 12010, 12011, 12012, 12013, 12014, 12015, 12016,
   12017, 12018, 12019, 12020, 12021, 12022, 12023, 12024, 12025, 12026,
   12027, 12028, 12029, 12030, 12031, 12032, 12033, 12034, 12035, 12036,
   12037, 12038, 12039, 12040, 12041, 12042, 12043, 12044, 12045, 12046,
   12047, 12048, 12049, 12050, 12051, 12052, 12053, 12054, 12055, 12056,
   12057, 12058, 12059, 12060, 12061, 12062, 12063, 12064, 12065, 12066,
   12067, 12068, 12069, 12070, 12071, 12072, 12073, 12074, 12075, 12076,
   12077, 12078, 12079, 12080, 12081, 12082, 12083, 12084, 12085, 12086,
   12087, 12088, 12089, 12090, 12091, 12092, 12093, 12094, 12095, 12096,
   12097, 12098, 12112, 12113, 12114, 12115, 12116, 12117, 12118, 12119,
   12120, 12121, 12122, 12123, 12124, 12125, 12126, 12127, 12128, 12129,
   12130, 12131, 12132, 12133, 12134, 12135, 12136, 12137, 12138, 12139,
   12140, 12141, 12142, 12143, 12144, 12145, 12146, 12147, 12148, 12149,
   12150, 12151, 12152, 12153, 12154, 12155, 12156, 12157, 12158, 12172,
   12173, 12174, 12175, 12176, 12177, 12178, 12179, 12180, 12181, 12182,
   12183, 12184, 12185, 12186, 12187, 12188, 12189, 12190, 12191, 12192,
   12193, 12203, 12204, 12205, 12206, 12207, 12208, 12209, 12210, 12211,
   12212, 12213, 12214, 12215, 12216, 12217, 12218, 12219, 12220, 12221,
   12222, 12223, 12224, 12225, 12226, 12227, 12228, 12229, 12230, 12231,
   12232, 12233, 12234, 12235, 12236, 12237, 12238, 12239, 12240, 12241,
   12242, 12243, 12244, 12245, 12246, 12247, 12248, 12249, 12250, 12251,
   12252, 12253, 12254, 12255, 12256, 12257, 12258, 12259, 12260, 12261,
   12262, 12263, 12264, 12265, 12266, 12267, 12268, 12269, 12270, 12271,
   12272, 12273, 12274, 12275, 12276, 12277, 12278
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT",
  "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY",
  "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P", "OUTER_P", "OVER",
  "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SOME", "STABLE", "STANDALONE_P", "START", "STATEMENT",
  "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P", "STRIP_P",
  "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS",
  "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P",
  "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'",
  "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept",
  "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "SetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_column_list", "columnList",
  "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "OptCreateAs", "CreateAsList",
  "CreateAsElement", "opt_with_data", "CreateSeqStmt", "AlterSeqStmt",
  "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly",
  "NumericOnly_list", "CreatePLangStmt", "opt_trusted", "handler_name",
  "opt_inline_handler", "validator_clause", "opt_validator",
  "DropPLangStmt", "opt_procedural", "CreateTableSpaceStmt",
  "OptTableSpaceOwner", "DropTableSpaceStmt", "CreateExtensionStmt",
  "create_extension_opt_list", "create_extension_opt_item",
  "AlterExtensionStmt", "alter_extension_opt_list",
  "alter_extension_opt_item", "AlterExtensionContentsStmt",
  "CreateFdwStmt", "fdw_option", "fdw_options", "opt_fdw_options",
  "DropFdwStmt", "AlterFdwStmt", "create_generic_options",
  "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "RoleId", "SignedIconst", "ColId",
  "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
      61,    60,    62,   665,    43,    45,    42,    47,    37,    94,
     666,    91,    93,    40,    41,    46,    59,    44,    58
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   429,   430,   431,   431,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   433,   434,   434,   435,
     435,   436,   436,   437,   437,   437,   437,   437,   437,   437,
     437,   437,   438,   438,   438,   438,   438,   438,   439,   440,
     441,   441,   442,   443,   444,   445,   445,   446,   446,   447,
     448,   449,   449,   450,   450,   451,   451,   452,   452,   453,
     453,   454,   454,   454,   454,   454,   454,   455,   455,   455,
     456,   456,   456,   456,   456,   456,   456,   456,   456,   456,
     456,   456,   456,   456,   456,   457,   457,   458,   458,   459,
     459,   460,   460,   460,   460,   461,   461,   461,   461,   462,
     462,   462,   462,   462,   462,   462,   463,   463,   463,   464,
     464,   465,   465,   465,   465,   465,   466,   466,   467,   467,
     467,   467,   467,   468,   469,   469,   470,   470,   471,   472,
     472,   472,   472,   473,   473,   473,   473,   474,   474,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     476,   476,   477,   477,   477,   478,   478,   479,   479,   480,
     481,   481,   482,   482,   483,   483,   483,   483,   484,   485,
     485,   486,   486,   486,   486,   487,   487,   488,   488,   489,
     489,   490,   490,   490,   491,   491,   492,   492,   493,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     494,   494,   495,   495,   496,   496,   497,   497,   498,   498,
     499,   500,   500,   500,   500,   500,   501,   501,   502,   503,
     503,   503,   503,   504,   504,   504,   504,   504,   504,   504,
     504,   505,   505,   506,   506,   507,   507,   508,   508,   509,
     509,   509,   510,   510,   511,   512,   513,   513,   514,   514,
     514,   514,   515,   515,   515,   515,   515,   515,   515,   516,
     516,   516,   516,   517,   518,   518,   518,   519,   519,   519,
     519,   519,   519,   520,   520,   521,   521,   521,   521,   521,
     521,   521,   522,   522,   523,   523,   524,   525,   525,   525,
     525,   526,   526,   527,   527,   528,   528,   529,   529,   529,
     529,   529,   530,   531,   532,   532,   532,   532,   532,   533,
     533,   534,   534,   534,   534,   535,   535,   535,   535,   536,
     536,   537,   537,   538,   539,   540,   541,   541,   542,   542,
     543,   544,   544,   544,   545,   546,   547,   547,   548,   548,
     549,   549,   549,   549,   549,   549,   549,   549,   549,   549,
     549,   549,   550,   550,   551,   551,   551,   552,   552,   553,
     553,   554,   554,   555,   555,   556,   556,   557,   557,   558,
     558,   559,   559,   560,   560,   561,   562,   562,   563,   563,
     564,   564,   565,   565,   566,   566,   566,   567,   568,   568,
     569,   570,   570,   570,   570,   570,   570,   570,   570,   570,
     570,   570,   570,   570,   570,   570,   570,   570,   570,   570,
     570,   570,   570,   571,   572,   572,   572,   572,   573,   573,
     574,   574,   575,   575,   576,   576,   577,   577,   578,   578,
     579,   580,   580,   581,   581,   581,   581,   582,   583,   584,
     585,   586,   586,   587,   587,   588,   588,   589,   589,   590,
     590,   590,   591,   591,   592,   592,   593,   593,   594,   595,
     596,   597,   597,   597,   598,   598,   599,   600,   600,   601,
     601,   601,   602,   602,   603,   603,   603,   603,   603,   604,
     604,   605,   605,   606,   606,   607,   607,   608,   608,   608,
     609,   609,   609,   609,   610,   610,   611,   611,   612,   612,
     612,   612,   612,   613,   613,   614,   615,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     617,   618,   618,   619,   619,   620,   620,   620,   620,   620,
     621,   621,   622,   623,   623,   624,   625,   625,   626,   626,
     627,   627,   627,   628,   629,   629,   630,   630,   630,   630,
     630,   631,   631,   632,   632,   633,   633,   633,   634,   634,
     635,   636,   636,   637,   637,   638,   638,   639,   639,   640,
     640,   641,   642,   643,   643,   644,   644,   644,   644,   644,
     644,   644,   644,   644,   644,   644,   644,   644,   644,   644,
     645,   645,   646,   646,   647,   647,   648,   649,   649,   649,
     650,   650,   650,   650,   650,   650,   650,   650,   650,   650,
     650,   650,   650,   650,   650,   650,   650,   651,   651,   651,
     651,   651,   651,   651,   651,   651,   651,   651,   651,   651,
     651,   651,   651,   651,   652,   652,   653,   653,   653,   653,
     653,   654,   654,   655,   655,   655,   655,   655,   655,   655,
     655,   656,   656,   657,   657,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   659,   659,   660,   660,   661,   662,   662,   663,   663,
     663,   663,   663,   664,   664,   665,   665,   665,   665,   666,
     666,   666,   666,   666,   666,   666,   666,   666,   666,   666,
     666,   666,   666,   667,   667,   668,   668,   669,   669,   670,
     670,   671,   672,   673,   673,   674,   674,   675,   675,   676,
     677,   677,   678,   678,   678,   679,   679,   679,   680,   680,
     680,   681,   682,   682,   683,   683,   684,   684,   685,   685,
     686,   686,   687,   687,   687,   688,   688,   689,   689,   689,
     690,   690,   690,   691,   691,   691,   692,   692,   692,   693,
     693,   694,   694,   695,   695,   696,   696,   697,   697,   698,
     698,   698,   698,   698,   699,   699,   699,   699,   699,   700,
     701,   702,   702,   702,   703,   703,   703,   704,   704,   705,
     705,   705,   705,   705,   705,   705,   705,   705,   705,   705,
     705,   705,   706,   706,   706,   706,   707,   707,   708,   708,
     709,   710,   710,   711,   712,   712,   713,   713,   714,   714,
     715,   715,   716,   716,   717,   717,   717,   717,   718,   718,
     719,   720,   720,   721,   721,   722,   722,   722,   723,   723,
     723,   724,   725,   725,   726,   726,   726,   727,   727,   728,
     728,   729,   729,   729,   729,   729,   729,   729,   729,   729,
     729,   729,   729,   729,   729,   729,   729,   729,   729,   729,
     729,   729,   729,   729,   729,   729,   729,   729,   729,   729,
     730,   730,   731,   731,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   733,   733,   733,   733,   733,   733,   733,   733,
     733,   733,   733,   733,   733,   733,   733,   733,   733,   733,
     734,   735,   735,   735,   736,   736,   737,   737,   737,   737,
     737,   738,   738,   739,   739,   739,   739,   740,   740,   740,
     741,   741,   742,   743,   743,   744,   745,   745,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   747,   747,   747,   748,   748,   748,   748,   748,
     749,   749,   749,   750,   750,   751,   751,   752,   752,   752,
     752,   753,   754,   755,   755,   756,   756,   756,   756,   756,
     756,   756,   756,   756,   756,   756,   756,   756,   756,   756,
     756,   757,   757,   758,   758,   759,   760,   760,   761,   762,
     762,   763,   764,   764,   764,   764,   764,   765,   765,   766,
     767,   767,   767,   767,   767,   767,   768,   769,   769,   769,
     770,   770,   771,   771,   771,   771,   771,   772,   772,   773,
     773,   773,   773,   774,   774,   775,   775,   776,   776,   777,
     777,   778,   778,   779,   779,   780,   780,   780,   780,   781,
     781,   781,   781,   781,   781,   781,   782,   782,   783,   784,
     784,   785,   785,   785,   786,   787,   787,   788,   788,   788,
     788,   789,   789,   790,   790,   791,   791,   791,   791,   792,
     793,   793,   793,   794,   794,   795,   796,   796,   797,   798,
     798,   799,   800,   800,   801,   801,   801,   801,   801,   801,
     801,   801,   802,   802,   803,   804,   804,   805,   805,   806,
     807,   808,   809,   809,   810,   811,   812,   812,   812,   812,
     812,   813,   813,   813,   814,   814,   815,   815,   816,   816,
     816,   816,   816,   816,   816,   816,   817,   817,   818,   818,
     818,   818,   818,   818,   819,   819,   820,   820,   821,   822,
     822,   823,   823,   824,   824,   824,   824,   824,   824,   824,
     824,   824,   825,   825,   826,   826,   826,   827,   827,   827,
     827,   828,   828,   829,   830,   830,   831,   831,   832,   832,
     832,   832,   833,   833,   834,   834,   834,   835,   835,   836,
     836,   837,   838,   838,   838,   839,   840,   840,   841,   841,
     842,   842,   843,   843,   844,   844,   845,   845,   846,   846,
     847,   847,   848,   848,   849,   849,   850,   850,   851,   851,
     852,   852,   852,   852,   852,   852,   852,   852,   852,   852,
     852,   853,   853,   853,   853,   853,   853,   854,   854,   854,
     854,   855,   855,   855,   855,   856,   856,   857,   857,   858,
     858,   858,   858,   859,   859,   860,   860,   860,   861,   862,
     862,   863,   863,   863,   864,   864,   865,   865,   866,   867,
     867,   867,   867,   867,   867,   868,   868,   868,   869,   869,
     869,   869,   869,   869,   869,   870,   870,   870,   870,   871,
     871,   872,   872,   873,   873,   873,   873,   873,   873,   873,
     873,   873,   873,   873,   874,   874,   875,   875,   876,   876,
     877,   878,   879,   879,   880,   880,   881,   882,   883,   883,
     883,   883,   883,   883,   884,   884,   885,   885,   886,   886,
     886,   886,   887,   888,   888,   888,   889,   889,   889,   889,
     889,   889,   889,   889,   889,   889,   889,   889,   889,   889,
     890,   890,   891,   891,   891,   891,   891,   891,   891,   891,
     891,   891,   891,   891,   891,   891,   891,   891,   891,   891,
     891,   891,   891,   891,   891,   891,   891,   891,   891,   891,
     891,   891,   891,   891,   891,   891,   891,   891,   891,   891,
     891,   891,   891,   891,   891,   891,   891,   891,   891,   891,
     891,   891,   891,   891,   891,   891,   891,   891,   891,   891,
     891,   892,   892,   892,   892,   892,   892,   892,   892,   892,
     892,   892,   892,   892,   892,   892,   892,   892,   892,   892,
     892,   892,   892,   893,   893,   893,   893,   893,   893,   893,
     893,   893,   893,   893,   893,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   895,   895,   896,   896,   896,   896,
     897,   898,   898,   899,   899,   900,   900,   901,   901,   901,
     902,   902,   902,   902,   903,   903,   904,   904,   905,   906,
     906,   906,   907,   908,   908,   909,   909,   910,   910,   910,
     911,   911,   912,   912,   912,   912,   912,   913,   913,   913,
     914,   914,   914,   915,   915,   916,   916,   916,   916,   916,
     916,   916,   916,   916,   917,   917,   918,   918,   919,   919,
     919,   919,   919,   919,   920,   920,   921,   921,   922,   922,
     923,   923,   924,   924,   924,   925,   925,   926,   926,   927,
     927,   927,   927,   927,   927,   927,   927,   928,   928,   929,
     930,   930,   931,   931,   931,   931,   931,   931,   932,   933,
     934,   934,   934,   935,   935,   936,   937,   937,   938,   939,
     939,   940,   940,   941,   941,   942,   942,   942,   942,   943,
     943,   944,   944,   945,   945,   946,   946,   947,   947,   948,
     949,   949,   950,   950,   950,   950,   951,   951,   952,   952,
     953,   953,   954,   955,   956,   957,   958,   959,   960,   960,
     961,   961,   961,   961,   961,   961,   961,   961,   961,   961,
     961,   961,   961,   962,   963,   964,   965,   965,   965,   966,
     966,   966,   967,   967,   967,   968,   968,   968,   968,   969,
     969,   969,   969,   969,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     5,     1,     0,     2,
       0,     2,     0,     2,     2,     3,     3,     1,     3,     3,
       2,     1,     1,     2,     2,     2,     3,     3,     5,     5,
       0,     3,     5,     5,     4,     3,     5,     3,     5,     5,
       6,     1,     1,     3,     5,     6,     4,     1,     0,     2,
       0,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     5,     2,     2,
       2,     2,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     6,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     3,     4,     3,     2,     2,     1,     2,     3,
       4,     3,     2,     4,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     4,     4,     4,     4,     1,     3,     2,
       3,     4,     6,     6,     6,     5,     5,     6,     6,     4,
       8,     2,     3,     6,     4,     3,     3,     3,     3,     3,
       4,     4,     3,     3,     3,     3,     3,     3,     4,     4,
       3,     2,     3,     2,     2,     3,     3,     2,     2,     1,
       3,     2,     1,     1,     0,     2,     0,     2,     0,     3,
       2,     0,     1,     3,     3,     1,     5,     3,     4,     1,
       3,     4,     6,     4,     8,     2,     2,    10,     6,     1,
       1,     1,     1,     1,     1,     3,     2,     0,     1,     1,
       3,     3,     1,     1,     3,     3,     3,     3,     4,     2,
       1,     0,     2,     0,     3,     0,     1,     0,     1,     3,
       2,     1,     1,     1,     3,     0,     1,     3,     1,    11,
      14,    10,    13,     1,     1,     2,     2,     2,     2,     1,
       0,     1,     0,     3,     0,     1,     3,     1,     3,     1,
       1,     1,     1,     1,     3,     4,     2,     0,     3,     1,
       1,     2,     2,     1,     3,     4,     4,     2,     5,     1,
       2,     2,     2,     3,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     7,     3,     8,     4,
       9,    11,     3,     0,     1,     3,     1,     2,     2,     2,
       0,     1,     3,     3,     6,     4,     0,     1,     1,     2,
       2,     0,     3,     3,     2,     1,     1,     2,     2,     4,
       0,     2,     2,     2,     0,     3,     4,     4,     0,     2,
       0,     4,     0,     3,     7,     5,     3,     0,     1,     3,
       1,     2,     3,     0,     5,     4,     1,     0,     1,     2,
       2,     1,     2,     3,     2,     2,     2,     2,     3,     3,
       1,     3,     1,     0,     1,     2,     1,     1,     3,     6,
      10,     1,     0,     1,     2,     2,     0,     2,     2,     1,
       0,     5,     7,     1,     0,     6,     2,     0,     3,     5,
       5,     8,     2,     0,     2,     2,     2,     5,     2,     0,
       2,     7,    10,     6,     6,     6,     6,     7,     7,     9,
       9,     6,     6,     8,     8,     8,     8,     6,     6,     7,
       8,     6,     6,     7,     2,     2,     2,     2,     1,     2,
       1,     0,     6,     8,     7,     6,     4,     0,     1,     3,
       4,     1,     3,     1,     2,     2,     2,     2,     1,     1,
      10,     2,     0,     2,     2,     1,     0,     4,     6,     5,
       4,     4,     8,    11,     3,     2,     1,     3,     1,     5,
       8,     1,     1,     1,     7,     9,     8,    15,    20,     1,
       1,     2,     1,     3,     1,     1,     1,     3,     1,     3,
       0,     1,     0,     1,     1,     4,     0,     1,     3,     0,
       1,     1,     1,     1,     2,     0,     0,     2,     2,     1,
       2,     2,     2,     6,     8,     8,     4,     5,     4,     4,
       4,     3,     7,     8,     6,     6,     6,     6,     4,     5,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     1,     3,     3,     1,     0,     1,     3,
       6,     8,     8,    13,     1,     3,     5,     6,     4,     7,
       2,     1,     0,     2,     0,     2,     4,     0,     1,     0,
       6,     8,     8,     1,     3,     5,     5,     7,     9,     7,
       9,     5,     6,     6,     4,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       1,     3,     1,     2,     2,     3,     5,     2,     2,     0,
       6,     7,     7,     7,     8,     8,     6,     8,     9,     9,
       7,    10,     7,     8,     8,     8,     8,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     3,     1,     1,     8,     9,     9,     9,
       9,     2,     0,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     2,     1,     2,     3,     3,     3,
       3,     4,     4,     3,     3,     3,     4,     4,     3,     4,
       4,     1,     1,     1,     0,     7,     7,    10,     1,     1,
       2,     4,     5,     1,     3,     2,     2,     2,     2,     1,
       2,     2,     4,     3,     2,     2,     2,     3,     2,     2,
       5,     5,     5,     1,     3,     1,     2,     3,     0,     1,
       3,     2,     6,     6,     9,     3,     0,     3,     0,     5,
       2,     0,     3,     3,     3,     7,     7,    10,     1,     1,
       1,    14,     1,     0,     1,     0,     1,     0,     2,     0,
       1,     3,     5,     5,     7,     2,     0,     1,     2,     0,
       1,     1,     0,     1,     1,     0,     9,    12,     7,     2,
       0,     3,     2,     1,     3,     3,     2,     1,     3,     3,
       3,     2,     2,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     4,     5,     1,     3,     3,     1,     2,     4,
       5,     1,     1,     1,     1,     3,     3,     2,     2,     2,
       2,     1,     2,     2,     1,     1,     1,     3,     2,     0,
       2,     1,     3,     5,     1,     2,     1,     0,     5,     7,
       5,     7,     5,     7,     3,     5,     5,     5,     1,     3,
       2,     1,     2,     1,     2,    11,    10,    10,     2,     2,
       0,     9,     2,     0,     4,     4,     4,     1,     1,     1,
       0,     7,     6,     6,     6,     6,     6,     7,     9,     9,
       6,     6,     6,     6,     6,     7,     8,     9,     8,     6,
       6,     6,     5,     5,     8,     8,     8,     8,     6,     9,
       1,     0,     2,     0,     7,     6,     6,     6,     6,     6,
       7,     9,     9,     6,     8,     8,     8,     8,     6,     6,
       7,     6,     7,     6,     6,     6,     6,     6,     7,     7,
       7,     9,     9,     6,     6,     6,     8,     8,     8,     6,
      13,     1,     1,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     1,     1,     1,     0,
       6,     8,     3,     2,     0,     2,     2,     2,     2,     3,
       3,     2,     2,     2,     2,     3,     2,     5,     4,     3,
       3,     3,     1,     1,     0,     3,     2,     2,     1,     2,
       1,     3,     2,     1,     0,     8,    10,     3,     4,     4,
       0,     2,     5,     2,     0,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     4,     3,
       3,     1,     0,     5,     6,     4,     2,     0,     4,     3,
       5,     6,     4,     6,     6,     5,     7,     1,     0,     6,
      11,    11,    11,    13,     9,    11,    10,     4,     2,     5,
       2,     0,     4,     5,     5,     4,     6,     1,     3,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     0,     1,
       0,     1,     0,     3,     0,     2,     4,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     2,     1,
       1,     1,     1,     0,     5,     3,     0,     1,     1,     1,
       1,     3,     8,     3,     0,     2,     3,     2,     3,     6,
       1,     4,     2,     1,     3,     2,     2,     0,     7,     2,
       0,     5,     3,     0,     2,     2,     2,     3,     1,     3,
       1,     2,     1,     0,     8,     1,     3,     1,     1,     3,
       5,     2,     1,     3,     7,     1,     0,     3,     2,     2,
       2,     0,     2,     2,     1,     1,     3,     3,     1,     2,
       4,     4,     2,     3,     5,     5,     1,     1,     9,     1,
       2,     4,     4,     4,     2,     3,     1,     3,     6,     1,
       0,     2,     0,     3,     3,     4,     4,     4,     4,     3,
       2,     1,     1,     0,     1,     1,     0,     1,     5,     1,
       0,     1,     0,     3,     1,     3,     4,     3,     2,     2,
       1,     1,     1,     0,     2,     4,     5,     2,     3,     1,
       1,     1,     1,     3,     0,     1,     1,     1,     1,     1,
       3,     0,     2,     0,     1,     3,     1,     0,     1,     2,
       4,     4,     2,     0,     2,     3,     2,     0,     1,     3,
       1,     2,     1,     2,     5,     6,     5,     1,     2,     1,
       4,     3,     4,     5,     4,     5,     4,     5,     2,     4,
       1,     2,     2,     2,     1,     1,     0,     4,     2,     1,
       2,     2,     4,     1,     3,     1,     2,     3,     1,     2,
       0,     2,     4,     0,     1,     0,     1,     3,     3,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     5,     1,     1,     1,     1,     2,
       3,     3,     0,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     2,     1,     3,     0,     1,     1,     1,     1,
       5,     2,     1,     1,     1,     1,     5,     2,     2,     2,
       1,     3,     3,     2,     1,     0,     3,     0,     5,     2,
       5,     2,     1,     2,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     0,
       1,     4,     1,     3,     3,     5,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       3,     3,     2,     3,     5,     4,     6,     3,     5,     4,
       6,     4,     6,     5,     7,     3,     2,     4,     2,     3,
       3,     4,     3,     4,     3,     4,     5,     6,     6,     7,
       6,     7,     6,     7,     3,     4,     4,     6,     2,     3,
       4,     1,     3,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     2,     5,     6,     6,
       7,     3,     4,     1,     1,     2,     4,     1,     1,     1,
       2,     2,     2,     2,     1,     4,     5,     6,     8,     6,
       7,     7,     5,     1,     1,     4,     1,     4,     1,     4,
       1,     4,     1,     1,     1,     1,     1,     1,     6,     4,
       4,     4,     4,     6,     5,     5,     5,     4,     6,     4,
       4,     4,     4,     5,     7,     7,     9,     5,     4,     6,
       5,     7,     7,     7,     2,     3,     3,     3,     4,     0,
       4,     1,     3,     3,     1,     1,     1,     2,     2,     0,
       2,     4,     4,     6,     2,     0,     1,     3,     3,     2,
       2,     0,     6,     1,     0,     3,     0,     2,     2,     0,
       1,     4,     2,     2,     2,     2,     2,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     1,     4,     1,     4,
       1,     2,     1,     2,     1,     3,     1,     3,     1,     3,
       1,     3,     3,     3,     2,     1,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     3,     2,
       3,     0,     3,     3,     2,     2,     1,     0,     2,     2,
       3,     2,     1,     1,     3,     5,     1,     2,     4,     2,
       0,     1,     0,     1,     2,     2,     2,     3,     5,     1,
       2,     0,     2,     1,     0,     1,     1,     1,     3,     3,
       1,     3,     3,     2,     1,     1,     1,     3,     1,     2,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     5,     2,     3,     6,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1290,  1094,   504,  1176,  1175,  1094,   228,     0,  1178,     0,
    1094,   331,   890,     0,     0,     0,     0,   504,  1094,     0,
    1290,     0,     0,     0,     0,  1303,     0,     0,     0,     0,
       0,     0,     0,     0,  1094,     0,     0,  1310,     0,     0,
       0,     0,  1303,     0,  1180,     0,     0,     0,     0,     2,
       4,    56,    57,    23,    22,    28,    27,    79,    80,    46,
      16,    70,    51,   112,   111,   113,    34,    30,    64,    20,
      21,    31,    35,    53,    36,    52,    19,    50,    74,    54,
      77,    41,    10,    11,    42,    68,    12,    43,    69,    13,
      44,    14,    58,    81,    26,    55,    78,    37,    66,    62,
       9,    47,    48,    49,    71,    72,    73,    95,    76,   107,
      33,   104,    85,    86,   101,    87,   102,     7,    88,    45,
      15,    98,    97,    99,    65,    38,    67,    96,   100,    17,
      18,   103,    75,    93,    90,   108,   106,   114,    91,    59,
       5,     6,    82,    40,     8,    25,    24,    39,    32,   110,
      29,  1178,    84,    94,    83,    60,    89,    63,    92,   109,
      61,   105,  1277,  1264,  1312,  1276,  1289,     0,  1279,  1093,
    1092,  1078,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   503,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1104,  1809,
    1824,  1825,  1826,  1827,  1828,  1829,  1830,  1831,   306,  1832,
    1833,  1834,  1835,  1836,  1837,  1838,  1839,  1840,  1841,  2072,
    2073,  2074,  2075,  1842,  1843,  1844,  1845,  1846,  1847,  1848,
    2076,  2077,  1849,  1850,  1851,  1852,  1853,  2078,  1854,  1855,
    1856,  1857,  1858,  1859,  1860,  1861,  1862,  1863,  1864,  1865,
    1866,  1867,  1868,  1869,  1870,  1871,  1872,  1873,  1874,  2079,
    2080,  1875,  1876,  1877,  1878,  1879,  1880,  1881,  1882,  1883,
    1884,  1885,  1886,  1887,  1888,  1889,  1890,  1891,  1892,  1893,
    1894,  1895,  1896,  1897,  1898,  2081,  1899,  1900,  1901,  2082,
    1902,  1903,  2083,  1904,  1905,  1906,  1907,  1908,  1909,  1910,
    2084,  1911,  1912,  1913,  1914,  1915,  1916,  1917,  1918,  1919,
    1920,  1921,  1922,  1923,  1924,  1925,  1926,  2085,  1927,  1928,
    1929,  1930,  2086,  2087,  2088,  1931,  1932,  1933,  1934,  1935,
    1936,  1937,  1938,  1939,  2089,  1940,  1941,  1942,  1943,  1944,
    1945,  1946,  1947,  1948,  1949,  1950,  1951,  1952,  1953,  1954,
    1955,  2090,  2091,  1956,  1957,  2092,  1958,  1959,  1960,  2093,
    1961,  2094,  1962,  1963,  1964,  1965,  1966,  1967,  1968,  2095,
    2096,  1969,  1970,  1971,  1972,  1973,  1974,  1975,  1976,  2097,
    1977,  2098,  1980,  1978,  1979,  1981,  1982,  1983,  1984,  1985,
    1986,  1987,  2099,  1988,  1989,  1990,  1991,  1992,  1993,  1994,
    1995,  1996,  1997,  1998,  1999,  2000,  2001,  2002,  2003,  2004,
    2005,  2100,  2006,  2007,  2008,  2009,  2010,  2011,  2012,  2013,
    2014,  2015,  2016,  2017,  2018,  2019,  2101,  2020,  2021,  2022,
    2102,  2023,  2024,  2025,  2026,  2027,  2028,  2029,  2030,  2031,
    2032,  2103,  2033,  2034,  2035,  2036,  2037,  2038,  2039,  2040,
    2104,  2105,  2041,  2106,  2042,  2107,  2043,  2044,  2045,  2046,
    2047,  2048,  2049,  2050,  2051,  2052,  2053,  2054,  2055,  2056,
    2057,  2058,  2108,  2109,  2059,  2060,  2061,  2062,  2063,  2064,
    2065,  2066,  2067,  2068,  2110,  2111,  2112,  2113,  2114,  2115,
    2116,  2117,  2118,  2069,  2070,  2071,   305,  1255,  1782,  1810,
    1811,  1177,  1158,   504,     0,  1081,   330,     0,     0,     0,
       0,     0,     0,     0,     0,   681,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   158,     0,     0,   354,   353,
       0,     0,     0,   862,   359,     0,     0,     0,     0,   492,
    1217,  1978,  1215,  1256,   229,   232,   230,   231,  1804,     0,
     960,   961,   963,     0,     0,   973,   712,   713,     0,   711,
     715,     0,     0,     0,   708,     0,     0,     0,     0,   714,
     706,     0,   705,     0,     0,     0,   710,     0,   707,     0,
       0,  1082,  1214,   360,  1290,     0,  1194,  1178,  1185,  1195,
    1190,  1192,  1191,  1193,  1189,  1803,  1825,   804,   804,   804,
     804,   801,   802,   804,   804,   804,  1993,     0,     0,   783,
       0,   785,  1806,   804,   809,   413,   413,   413,     0,   808,
     813,   413,  1075,  1111,  1787,  1302,     0,   784,  1074,  2041,
    1206,     0,     0,   977,     0,   978,     0,  2008,  1086,   215,
    2018,  2104,  2041,   211,   185,  1829,     0,     0,   808,     0,
    1083,  1084,   772,  1309,  1307,     0,  1847,  1861,  1943,   208,
    2004,  2009,  2018,  2104,  2041,  2068,   167,     0,   222,  2018,
    2104,  2041,   218,  1104,     0,  1280,  1389,  1778,     0,  1077,
    1076,  1179,     0,  1182,     0,  1354,  1990,  1284,  1286,  1184,
    1277,     0,     0,     1,  1290,  1173,  1306,  1306,     0,  1306,
       0,  1269,  1277,  1272,  1276,     0,     0,     0,     0,  1809,
    2119,  2120,  2121,  2122,  2123,  2124,  2125,  2126,  2127,  2128,
    2129,  2130,  2131,  2132,  2133,  2134,  2135,  2136,  2137,  2138,
    2139,  2140,     0,     0,  1788,  1810,  1814,     0,   722,     0,
     118,  1783,   851,     0,     0,     0,  1782,     0,     0,     0,
       0,  1815,     0,  1805,  1816,  1817,  1818,     0,     0,  1683,
    1851,  1902,  1693,  1691,  1692,  1685,  1686,  1687,  1688,  1689,
    1690,     0,   958,  1684,     0,   118,     0,     0,     0,     0,
       0,     0,     0,     0,  1946,   118,     0,     0,  1098,     0,
       0,     0,  1100,  1103,  1079,  1161,     0,  1778,     0,     0,
     756,   747,     0,   757,   748,   753,   759,     0,     0,   750,
       0,     0,   760,     0,   749,   751,   762,   752,   758,     0,
       0,   754,   755,     0,     0,  1090,   413,     0,     0,     0,
       0,     0,     0,   118,  1148,  1916,   118,     0,     0,   358,
     357,   118,   356,   355,  1851,  1902,     0,   889,   118,     0,
     160,   572,   507,     0,     0,   641,  1946,   118,     0,     0,
       0,     0,   865,     0,     0,   491,   504,  1218,  1216,     0,
     964,   210,   209,   962,  1916,     0,   284,     0,     0,  1916,
    1139,     0,   709,  1916,     0,  1916,   153,  1780,  1851,  1902,
    1916,     0,     0,  1916,   145,  1916,     0,  1916,   284,  1916,
     508,     0,  1916,     0,  1916,  1946,   147,     0,  1916,   284,
     720,     0,  1211,     0,  1187,  2108,  1200,     0,  1196,  1203,
    1199,  1290,   804,   803,     0,   804,     0,   804,     0,   804,
       0,   804,     0,     0,     0,   804,  1807,  1808,   786,     0,
     810,     0,     0,   817,   816,   815,     0,     0,     0,   818,
    1393,  1233,     0,  1072,  1089,     0,     0,     0,   980,   980,
     980,  1085,   214,   212,     0,     0,     0,     0,     0,     0,
    1091,     0,     0,     0,     0,  1791,  1793,  1794,  1694,  1761,
       0,  2073,  2074,  2075,  1752,     0,  2076,  2077,  2078,  1606,
    1593,  1602,  1607,  1594,  1596,  1603,  2079,  2080,  1887,  2081,
    2082,  1801,  2083,  2084,  2086,  2087,  2088,  2089,  1598,  1600,
    2090,  2091,     0,  1802,  2093,  2094,  1966,  2096,  2097,  2099,
    2100,  1604,  2102,  2103,  2104,  2105,  2106,  2107,  1800,     0,
    1605,  2109,  2111,  2112,  2113,  2114,  2115,  2116,  2117,  2118,
       0,     0,  1775,     0,  1579,     0,  1425,  1426,  1448,  1449,
    1427,  1454,  1455,  1467,  1428,     0,  1774,  1492,  1578,  1584,
       0,  1577,  1573,  1292,  1770,     0,  1574,  1790,  1792,  1753,
     178,   224,     0,   225,  1776,  2018,   168,   207,   180,   206,
     181,   179,     0,  1849,   169,     0,   176,     0,     0,     0,
       0,   221,   219,     0,  1080,     0,  1391,  1390,     0,     0,
    1759,  1779,   729,  1171,  1172,  1170,     0,  1167,  1169,  1181,
    1178,  1766,  1765,  1767,     0,  1285,     0,     0,     0,  1267,
    1266,     3,  1184,  1304,  1305,     0,     0,     0,     0,     0,
       0,     0,     0,  1347,  1320,  1321,  1323,  1344,  1348,     0,
    1273,     0,     0,  1395,     0,  1355,     0,     0,  1789,     0,
       0,     0,     0,   723,     0,     0,     0,     0,     0,     0,
     117,  1137,   217,  1135,     0,     0,     0,     0,     0,  1142,
       0,   151,   152,   519,   504,     0,     0,     0,     0,     0,
     922,     0,     0,     0,     0,     0,     0,   923,   921,   924,
     931,   944,   947,     0,   841,     0,     0,     0,  1011,     0,
       0,  1011,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   234,   237,   279,   484,     0,     0,   486,
       0,     0,     0,     0,     0,     0,     0,   122,     0,     0,
       0,     0,   471,   483,     0,     0,     0,     0,     0,   480,
       0,   118,   235,   465,   468,     0,     0,   581,   580,  1011,
       0,   233,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   298,   299,     0,
       0,     0,   122,   144,     0,     0,   236,     0,     0,  1099,
    1096,  1097,     0,  1102,     0,  1157,     0,     0,     0,     0,
       0,   761,     0,     0,  1851,  1902,     0,     0,     0,     0,
       0,     0,   333,   312,   313,   118,   311,     0,     0,   638,
       0,  1812,  1436,  1465,  1443,  1465,  1465,  1432,  1432,  1445,
    1433,  1434,  1472,     0,  1465,  1432,  1437,     0,  1435,  1475,
    1475,  1460,     0,  1417,  1418,  1419,  1420,  1446,  1447,  1421,
    1452,  1453,  1422,  1489,  1432,  1813,     0,     0,   648,     0,
    1114,  1147,     0,     0,   513,     0,  1916,     0,   120,   682,
       0,   639,     0,   120,     0,   156,     0,   576,     0,     0,
       0,     0,     0,     0,   600,   599,     0,     0,     0,   640,
       0,   120,   467,  1916,     0,   457,   413,     0,   864,   867,
       0,     0,     0,  1259,  1261,  1260,     0,  1258,     0,   284,
     282,   283,   636,   972,     0,     0,     0,     0,   284,     0,
       0,  1916,     0,  1916,     0,     0,   284,   284,     0,     0,
       0,     0,   577,     0,   719,   717,   716,   718,     0,     0,
       0,     0,     0,  1916,   284,     0,     0,   704,  1704,     0,
       0,  1290,     0,   196,   197,   195,  1201,   198,  1202,  1198,
    1186,     0,   794,     0,   798,     0,   789,     0,   795,     0,
     790,   787,   788,     0,   793,     0,     0,   414,   416,     0,
       0,  1872,     0,  1907,  1935,  1936,  2009,  2014,     0,  2036,
       0,   819,   846,   814,     0,     0,  1243,  1073,  1710,     0,
    1290,     0,   979,   976,   975,   974,   213,   186,     0,     0,
       0,   848,  2008,  1088,   771,   504,     0,  1575,     0,  1582,
    1583,  1464,  1451,  1751,     0,     0,  1459,  1458,     0,     0,
       0,     0,  1441,  1440,  1439,  1581,  1718,     0,  1438,     0,
       0,     0,     0,  1465,  1465,  1463,  1512,     0,  1442,     0,
       0,  1731,     0,  1737,     0,     0,     0,  1471,     0,  1469,
       0,     0,  1548,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,  1497,  1579,  1704,     0,  1580,  1797,     0,     0,
    1457,     0,  1489,  1773,  1694,     0,     0,     0,     0,  1764,
       0,  1702,     0,     0,  1526,  1700,     0,  1528,     0,     0,
       0,  1693,  1691,  1692,  1685,  1686,  1687,  1688,  1689,  1690,
    1698,  1509,     0,     0,  1508,     0,     0,  1357,     0,  1795,
    1754,   226,   227,   223,     0,     0,   183,   182,     0,   200,
     204,   205,   175,   203,     0,   199,  1646,  1645,   184,   174,
     172,   170,   187,   189,   190,   173,   171,   220,     0,     0,
    1819,  2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,
    2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,
    2160,  2161,  2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,
    2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,  2179,
    2180,  2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,
    2190,  2191,  2192,  2193,  2194,  2195,  2196,  2197,  2198,  2199,
    2200,  2201,  2202,  2203,  2204,  2205,  2206,  2207,  2208,  2209,
    2210,  2211,  2212,  2213,  2214,  2215,  2216,  1756,  1755,  1785,
    1820,  1821,  1822,  1823,  1760,     0,     0,   284,  1165,     0,
    1162,  1769,     0,  1287,     0,     0,  1174,  1283,  1282,  1313,
    1314,   882,  1281,  1338,  1339,  1334,     0,  1353,  1353,  1330,
    1324,  1329,  1327,     0,  1331,  1492,  1346,  1271,  1318,  1319,
    1322,  1270,     0,  1349,  1347,  1323,  1230,     0,     0,  1396,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   724,
       0,     0,     0,     0,     0,     0,  2036,   216,  1133,     0,
       0,     0,     0,   850,   849,     0,     0,   869,     0,     0,
       0,  1145,   404,     0,   281,     0,     0,     0,     0,     0,
       0,   517,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   551,  1011,
       0,   589,     0,   929,     0,     0,     0,     0,   930,   927,
     928,  2009,   946,   945,   943,   904,   906,   905,     0,   908,
     892,     0,   893,     0,     0,   903,   911,   909,     0,     0,
       0,  1895,   239,   251,     0,  1010,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   271,     0,   274,   273,
       0,     0,     0,     0,   278,     0,     0,     0,   277,     0,
       0,   485,     0,     0,     0,     0,     0,     0,     0,   959,
       0,     0,   139,   142,     0,     0,   470,   482,     0,   474,
     475,   472,   476,   477,     0,     0,     0,     0,     0,     0,
     469,     0,   574,   573,   579,     0,     0,     0,     0,     0,
    1003,  1002,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   591,   592,     0,   593,
       0,   143,     0,     0,     0,     0,     0,     0,   194,  1095,
    1101,  1160,  1786,  1159,     0,     0,     0,   763,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   317,  1812,     0,   663,   637,     0,
    1417,     0,  1413,  1409,  1478,  1479,  1480,  1477,  1490,  1476,
       0,  1423,  1481,  1432,  1429,   649,     0,   651,   654,     0,
    1112,   377,     0,   510,   551,     0,     0,     0,   149,     0,
       0,     0,   116,   160,   360,     0,   159,   161,   163,   164,
     165,   162,   166,   571,   575,     0,   506,     0,     0,     0,
       0,     0,   601,   605,   604,   608,   606,     0,   602,     0,
    1405,     0,   138,   464,   466,     0,     0,     0,   362,   444,
       0,     0,     0,   866,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,   950,     0,  1140,  1916,   284,     0,   948,
     154,  1781,     0,     0,     0,     0,     0,   952,   701,   146,
       0,   284,   284,   509,     0,   284,   148,     0,     0,     0,
     501,   284,   721,  1213,     0,   457,  1188,  1197,   791,   800,
     799,   797,   796,   792,     0,   811,     0,   412,     0,     0,
       0,   825,     0,     0,   824,   839,   826,     0,   828,   821,
     820,   829,     0,     0,   848,     0,  1240,     0,  1238,     0,
    1394,  1242,  1231,  1205,     0,  1204,  1208,  1210,  1209,  1207,
       0,     0,     0,   808,     0,     0,   284,  1087,     0,   773,
     778,     0,     0,     0,   775,   776,   777,   779,   780,     0,
       0,     0,  1762,  1714,     0,  1715,     0,     0,     0,  1750,
    1746,     0,     0,     0,     0,     0,  1719,  1722,  1723,  1724,
    1721,  1725,  1720,     0,     0,  1726,     0,     0,     0,     0,
       0,  1462,  1461,     0,     0,     0,     0,     0,     0,     0,
    1551,  1584,     0,     0,  1678,     0,  1704,  1736,     0,     0,
    1473,     0,     0,     0,     0,     0,     0,     0,  1704,  1742,
       0,     0,     0,     0,  1644,     0,  1641,     0,     0,     0,
       0,  1761,     0,     0,     0,     0,  1798,  1493,  1510,  1772,
       0,  1763,     0,     0,  1494,  1517,     0,  1743,  1544,     0,
    1549,  1532,     0,  1525,     0,  1530,  1534,  1513,  1764,  1703,
       0,  1701,     0,     0,  1511,     0,  1506,  1504,  1505,  1498,
    1499,  1500,  1501,  1502,  1503,  1507,  1682,  1680,  1681,     0,
       0,     0,  1529,  1909,  1943,     0,  1303,  1303,  1303,  1291,
    1301,  1771,     0,  1400,     0,     0,     0,     0,  1661,     0,
    1708,     0,  1706,  1788,  1777,     0,     0,  1489,     0,  1392,
    1757,     0,   727,   728,   726,  1184,  1168,  1164,  1163,  1768,
    1183,  1290,     0,   880,   881,     0,   885,     0,     0,  1332,
    1345,     0,  1243,  1243,     0,  1336,  1337,  1328,  1275,  1274,
       0,  1403,     0,     0,  1227,  1220,  1397,     0,  1357,  1245,
    1247,  1248,     0,  1761,   661,   660,     0,     0,     0,  1033,
     982,  1015,   725,  1034,   983,  1016,  1035,   984,  1134,     0,
    1136,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   626,   284,  1143,  1036,   280,
    1144,  1017,  1018,     0,   518,     0,     0,   523,   524,   525,
       0,     0,   526,  1851,  1902,     0,   531,   537,   541,   532,
       0,   542,   538,     0,     0,     0,     0,     0,   548,   555,
       0,     0,     0,     0,     0,   925,   926,  1037,   985,     0,
    1019,   907,  1432,   891,     0,     0,   902,     0,   901,  1432,
    1432,   986,   150,   240,   377,  1013,   257,   270,   265,   266,
     264,  1916,   284,  1916,   284,     0,     0,     0,     0,   267,
     262,   263,   259,   272,  1828,  1888,  2019,     0,   561,   563,
       0,   568,   275,   994,     0,   292,   295,   276,   255,   258,
     256,   252,   238,     0,     0,  1784,     0,     0,   954,     0,
       0,     0,   141,   999,   131,     0,     0,   127,     0,     0,
       0,     0,   121,  1043,   990,   473,   478,   992,   481,  1028,
     479,  1049,   991,     0,  1023,  1045,  1001,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1149,     0,     0,     0,
       0,     0,   284,     0,   670,  1013,  1916,   284,  1044,     0,
    1008,  1031,     0,   300,     0,  1000,   993,  1029,     0,     0,
     192,   191,   193,     0,     0,     0,     0,     0,     0,     0,
       0,   765,   736,   764,     0,     0,     0,     0,     0,     0,
       0,   730,   332,   309,   310,     0,     0,   308,   314,     0,
     662,     0,     0,  1414,  1410,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1430,   650,     0,     0,     0,     0,
    1132,  1132,  1132,  1132,  1132,  1132,  1132,  1113,  1141,   118,
       0,     0,     0,   512,   550,   557,     0,   585,   588,     0,
     586,     0,     0,     0,     0,     0,   132,   119,     0,   690,
     413,   155,     0,     0,     0,   505,   647,   645,   644,   646,
       0,     0,     0,   667,     0,  1404,  1406,     0,     0,     0,
     463,   364,     0,     0,   361,   365,   369,   370,   371,     0,
     458,   460,     0,     0,   448,     0,     0,     0,   896,     0,
     914,   897,     0,     0,     0,   934,   939,   935,   917,     0,
     489,  1262,  1263,     0,   284,     0,     0,   552,   284,     0,
     284,     0,   284,   284,     0,  1070,   578,     0,   633,     0,
       0,   284,   703,  1705,     0,   812,   415,     0,     0,     0,
       0,   823,     0,   487,   827,     0,   838,   833,   835,     0,
     842,  1241,  1234,  1236,  1235,     0,     0,  1232,  1711,   702,
       0,     0,   284,     0,   843,     0,   774,     0,     0,     0,
       0,  1308,  1712,  1713,     0,     0,     0,     0,  1747,     0,
       0,  1619,  1595,  1597,  1431,  1609,     0,  1444,  1620,  1621,
    1599,  1601,     0,  1695,     0,     0,  1610,  1553,  1554,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1566,  1565,  1611,  1677,     0,     0,  1734,  1735,
    1612,  1474,  1475,  1475,     0,     0,  1741,     0,     0,     0,
    1617,  1622,     0,     0,     0,     0,  1628,     0,  1649,     0,
       0,     0,  1576,  1705,  1466,  1467,     0,     0,     0,     0,
       0,     0,     0,     0,  1550,  1533,  1527,     0,  1531,  1535,
       0,     0,     0,     0,  1519,  1545,  1515,     0,     0,  1521,
       0,  1546,  1303,  1303,  1303,  1303,  1300,     0,     0,     0,
       0,  1367,  1356,  1358,  1369,  1360,  1362,  1398,     0,  1778,
       0,  1341,  1312,  1312,     0,  1661,     0,  1585,     0,  1661,
       0,     0,   177,     0,   201,   188,     0,  1166,     0,  1315,
       0,  1696,   885,   883,   884,  1317,     0,     0,  1352,  1351,
    1350,  1325,  1229,     0,  1227,  1222,     0,  1223,  1761,     0,
    1219,  1252,     0,     0,  1403,     0,  1251,  1032,   981,  1014,
    1132,   853,   854,     0,   852,     0,     0,     0,   403,   868,
       0,     0,     0,   626,     0,     0,   407,  1146,   520,   521,
       0,     0,   539,     0,     0,   528,     0,     0,     0,     0,
     527,   544,   493,   545,   547,     0,   546,   549,   554,   995,
       0,  1030,   919,     0,  1432,   894,   899,   900,     0,   374,
       0,     0,     0,   241,     0,     0,   254,     0,   249,   268,
     260,   269,   261,   565,   566,   564,   560,     0,   567,   569,
     289,     0,     0,     0,  1039,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1040,  1020,     0,     0,
     124,   123,     0,   130,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     301,   286,     0,     0,     0,     0,     0,   303,     0,     0,
    1038,   987,   731,     0,     0,   732,   740,     0,     0,   733,
       0,     0,     0,     0,     0,     0,   742,   335,     0,   338,
     345,   318,   322,  1148,     0,  1148,     0,   323,  1148,   319,
    1148,   316,  1966,  1685,  1686,   658,   665,   655,   657,   659,
     656,     0,   664,   626,     0,     0,     0,  1415,     0,  1483,
    1484,  1485,  1486,  1487,  1488,     0,  1482,  1489,   652,   653,
       0,  1132,  1131,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   389,     0,     0,   383,     0,     0,
     939,   376,   379,   380,   513,   516,   514,   515,     0,   543,
       0,   584,     0,   557,   134,     0,     0,   135,   133,     0,
       0,   360,     0,     0,   607,   610,   603,     0,   666,   668,
     642,     0,   557,     0,  1214,     0,   454,     0,   444,   396,
     440,     0,   456,     0,   442,   441,   443,     0,   450,  1110,
       0,   869,   895,     0,     0,     0,   932,   936,   933,     0,
       0,   910,     0,   918,   888,  1065,  1066,  1063,  1064,     0,
       0,  1254,   951,     0,   284,   949,     0,   697,     0,   699,
     953,   284,   284,   594,     0,   502,   460,     0,     0,     0,
     822,   840,     0,   836,     0,     0,   805,   845,  1239,  1237,
     848,     0,   806,   847,     0,     0,     0,     0,     0,  1716,
    1450,     0,  1749,  1745,     0,  1717,     0,  1729,  1728,  1552,
    1730,     0,  1571,     0,     0,  1563,  1561,  1562,  1555,  1556,
    1557,  1558,  1559,  1560,  1564,  1739,  1738,  1732,  1733,  1470,
    1468,     0,  1614,  1615,  1616,  1740,  1623,     0,  1842,  1650,
    1627,  1643,  1642,     0,     0,     0,  1630,     0,     0,  1639,
       0,  1679,  1456,  1489,  1495,     0,     0,  1518,  1744,  1536,
       0,     0,     0,  1514,     0,     0,     0,     0,  1523,  1695,
       0,     0,     0,     0,     0,     0,  1294,  1293,  1299,  1277,
       0,  1369,     0,  1368,  1380,     0,     0,  1386,  1384,     0,
    1386,     0,  1386,     0,  1361,     0,  1363,  1380,     0,  1779,
    1399,     0,  1343,     0,     0,  1311,     0,  1661,  1592,  1664,
    1659,  1660,  1709,  1586,  1796,     0,  1707,  1661,     0,  1758,
    1288,     0,  1316,  1333,  1326,  1868,  1401,  1228,     0,     0,
    1225,  1226,     0,     0,  1246,  1227,  1249,     0,   859,   860,
     858,     0,     0,     0,   626,     0,     0,   421,     0,   876,
     876,     0,     0,   409,   453,   939,   629,     0,     0,   627,
       0,   540,     0,     0,   536,   534,   533,   535,   494,  1048,
       0,   920,     0,   912,     0,   246,  1012,     0,     0,     0,
     245,     0,   284,   284,   562,   293,   294,   297,     0,     0,
       0,     0,     0,     0,   691,   674,     0,     0,   692,   693,
       0,     0,     0,   956,   957,   955,   128,   125,   126,   129,
     996,     0,     0,     0,     0,     0,  1047,  1007,  1027,  1046,
    1005,  1025,  1004,  1024,  1006,  1026,   998,     0,  1408,   672,
     671,     0,   284,   284,   596,     0,   734,     0,     0,   735,
     746,   744,   743,   745,   737,   336,   118,     0,   315,     0,
     343,     0,   341,   340,   342,     0,   329,     0,     0,     0,
       0,     0,   635,     0,     0,     0,  1411,  1416,  1491,  1424,
     625,     0,  1123,  1122,  1121,  1125,  1124,  1127,  1126,  1118,
    1117,  1130,  1129,  1116,  1115,  1120,  1119,     0,   381,     0,
     387,   391,   392,   390,   382,   939,   413,   452,   511,     0,
       0,   587,   582,   137,   136,     0,     0,     0,     0,   612,
     616,   643,     0,  1407,   590,     0,   362,  1212,   461,     0,
       0,   367,   372,   373,     0,   448,   393,     0,   444,   366,
     459,     0,     0,   455,     0,  1105,     0,     0,   898,   915,
     916,     0,     0,   939,   938,     0,   496,   284,   553,   284,
     284,  1071,   634,     0,   832,   831,   830,   488,     0,   834,
     284,     0,     0,     0,     0,     0,   782,   766,   781,  1748,
    1608,  1618,  1727,     0,     0,  1572,     0,     0,  1613,  2110,
       0,     0,     0,     0,  1647,  1648,  1629,     0,  1957,  1634,
       0,     0,     0,  1799,  1542,  1540,  1537,     0,  1538,     0,
       0,  1520,  1516,     0,  1522,  1547,  1298,  1297,  1296,  1295,
    1371,  1378,     0,  1359,     0,  1385,  1381,     0,  1382,     0,
       0,  1383,     0,     0,  1378,     0,     0,     0,     0,  1655,
    1661,  1661,  1587,  1666,  1663,     0,  1589,  1489,     0,     0,
    1221,  1224,     0,  1253,  1244,  1138,     0,     0,     0,   405,
       0,   939,     0,     0,     0,   879,   879,     0,   939,   452,
     631,   630,   628,   632,     0,   529,   530,   997,   913,   242,
     243,   244,   247,   286,   253,   248,     0,  1041,   988,  1021,
       0,     0,   680,     0,     0,     0,     0,  1042,   989,  1022,
       0,     0,     0,  1154,     0,   285,   286,   302,  1009,     0,
     738,   739,   317,     0,   339,   348,     0,   346,   320,   325,
       0,   327,   326,   321,   324,  1412,     0,   970,   970,     0,
     626,  1128,     0,     0,   378,   452,   420,     0,   384,     0,
     558,     0,     0,  1110,   362,   557,   611,     0,     0,     0,
     669,   364,     0,   462,   363,     0,     0,   450,     0,     0,
       0,   448,     0,   445,     0,   449,     0,     0,     0,     0,
       0,   937,     0,   941,     0,   909,   886,  1400,     0,   500,
     971,   698,   700,   595,   837,   844,   284,   767,   768,   769,
     770,  1567,     0,     0,     0,     0,  1624,     0,  1625,  1652,
    1651,  1631,  1635,     0,  1632,  1633,  1539,  1543,  1541,  1524,
    1370,     0,     0,  1372,     0,     0,  1374,  1376,     0,     0,
       0,     0,     0,  1782,  1661,  1340,  1342,     0,  1278,  1590,
    1591,     0,  1312,  1661,   202,  1697,  1402,  1250,   838,     0,
     284,   876,   452,   422,  1966,   423,   875,     0,   877,   882,
     882,     0,   452,   626,   522,   288,   296,     0,     0,   687,
     675,     0,     0,   694,     0,     0,     0,     0,     0,   284,
     741,   307,   334,   344,     0,   328,   970,     0,   967,   966,
     624,     0,   386,   385,     0,   431,     0,   556,     0,   557,
     684,  1106,   570,   613,   614,   609,     0,     0,   444,   440,
     368,   377,   351,   402,   401,   398,   397,   399,   400,   395,
     394,     0,   450,   446,   447,     0,  1107,     0,  1156,     0,
     870,   940,     0,     0,     0,   495,     0,     0,   499,   490,
     807,  1568,     0,  1569,     0,     0,     0,  1637,  1636,     0,
    1379,  1388,     0,  1375,  1373,  1364,     0,  1366,  1654,  1656,
       0,     0,  1669,  1588,   855,     0,   856,   879,   426,     0,
     878,   885,   885,   413,   626,   406,     0,   250,     0,   678,
       0,   689,   687,     0,     0,  1150,     0,  1151,  1152,  1155,
     304,   347,   965,   969,   968,     0,   417,   418,   419,     0,
     388,   427,   428,     0,   559,   583,     0,     0,     0,     0,
     448,   444,   375,   439,   349,  1108,  1109,   291,     0,   939,
     942,  1069,   498,   497,  1570,  1640,  1626,  1653,  1638,  1377,
       0,  1365,     0,     0,  1665,     0,     0,     0,     0,   882,
       0,   626,     0,   873,   872,   420,   408,   287,     0,     0,
     685,   688,   676,   689,   696,   695,     0,     0,     0,     0,
       0,   429,     0,   430,   451,   683,     0,   615,     0,   450,
     448,     0,   450,   871,   887,  1068,  1067,  1290,  1387,  1657,
    1658,  2072,  1868,  2046,     0,  1667,  1670,  1668,  1662,   284,
     885,     0,   410,   424,   431,     0,     0,   677,  1153,   616,
     436,     0,   435,     0,   433,   432,   673,   619,   352,   450,
     290,  1400,  1051,  1290,  1050,  1052,  1060,  1057,  1059,  1058,
    1056,     0,  1674,  1673,  1672,  1676,  1675,   857,   874,     0,
     626,   679,   686,     0,   434,   438,   437,   621,     0,   617,
     620,   622,   623,   350,   861,     0,  1061,  1055,  1277,  1264,
       0,   425,   411,     0,   597,     0,  1053,  1290,  1671,     0,
     618,  1054,     0,   619,     0,   598
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    48,    49,    50,    51,  1161,  2018,  1902,  2636,  2637,
      52,    53,  1228,    54,    55,    56,    57,    58,    59,    60,
    1174,    61,    62,   849,  1365,  2026,    63,  1787,   667,  1631,
    1632,  1959,  1633,  1622,  1078,  1447,  1162,  1190,    65,    66,
    1072,  1613,    67,    68,    69,  1213,  1214,  1169,  1402,  3458,
    3987,  1888,  4082,  2484,  2485,    70,  1267,  1268,    71,    72,
    2585,  1305,  2587,  2588,  3071,   507,  1983,  3476,  3477,  3058,
    3059,  3483,  3736,  3737,    73,  1362,  2663,  3158,  2664,  3550,
    2665,  3551,  2666,  3552,  2618,  3121,  3122,  3123,  2667,  3556,
    3929,  2668,  1802,   943,  1466,  1467,  3905,  3376,  3377,  4051,
    4010,  4011,  4012,  4114,  3558,  2674,  3168,  3563,  3758,  2395,
     586,  1384,  2059,  2669,  2670,  3156,    75,    76,  2053,  1243,
    1244,  1908,  3075,  2724,    77,   866,  2951,  3799,  3948,  3949,
      78,   197,    79,  1369,    80,    81,  2013,  2623,    82,  1811,
    2404,    83,    84,  2428,  2429,  2430,    85,    86,  3129,  3759,
    1215,  2477,  2478,  2479,  2480,  2988,    87,  1367,  1248,  2035,
      88,    89,    90,  2017,  2629,  2630,    91,    92,  1948,    93,
      94,    95,  1377,  2047,  2048,  3540,  3767,  3915,  3769,  4148,
    4149,  3750,  2936,  3389,    96,    97,    98,    99,  1348,  2006,
    2007,  3076,  1147,  1309,  1986,  1987,  3147,  3148,   100,   101,
    3424,  3425,   537,  4017,  3991,  4062,   102,   103,  3428,  3429,
     104,   105,   106,   107,   108,   580,   909,   910,  1153,   109,
    1727,   110,   824,  2572,   111,   973,  2170,  3597,   112,   609,
     923,   924,   113,   114,   618,  2153,   620,  1480,  2726,  2727,
    3216,  2124,   749,   115,   116,  2134,  2156,   117,  1164,  1793,
    1794,  3371,   118,   538,  1389,  2062,  2390,  3939,  3378,  3685,
    3869,  2336,  2895,   119,   539,  1194,  1851,  2065,  2679,  2680,
    1853,  2309,  3180,  1855,  2681,  2686,  2687,  2688,  3176,  3184,
    3793,  3794,   120,  1192,  1844,   121,   122,   123,  1223,   771,
     124,   550,   551,   125,  3898,   126,   878,   127,   636,  1493,
     128,  1866,  2974,   129,   130,   131,  4124,  4155,  4156,  4157,
    3189,  4087,   132,  4126,   953,   134,   135,   136,   171,   792,
     793,   794,   137,  3565,   138,   139,  2010,  2617,  3103,   140,
     141,  1788,  2380,   142,   143,   144,  1352,   145,   146,   147,
     148,  1285,   149,  1106,  1107,   150,   151,   502,   683,  1110,
    1118,   152,   588,   917,   918,   919,  1449,   153,   956,  2145,
     589,   912,   155,   590,  2354,  2906,  2907,  2910,   591,  2351,
     158,  1486,  2139,  2142,   592,  2358,  2359,  2360,  2361,  2362,
    2912,   593,   611,   869,  2070,   594,  1044,   163,   164,   165,
     692,   687,   688,   167,  1607,  2299,   626,  1125,   655,   700,
    3335,  1739,  1740,  1760,  1761,  1134,  1135,  1750,  1752,  2338,
    1753,  2347,  1745,  3332,  3659,  1756,  1757,  1137,  1138,  2342,
     168,  2303,  2862,  2863,  2864,  3313,  3323,  3646,  3836,  2865,
     951,  1144,  2866,  2871,  2904,  2654,  2655,  2656,  1856,  1993,
    1333,  1045,  1334,  2004,  1046,  1528,  1336,  1047,  1048,  1049,
    1339,  1050,  1051,  1052,  1053,  1512,  1570,  1054,  1055,  1547,
    2001,  2002,  1438,  2209,  1057,  1058,  3279,  3621,  3610,  2235,
    2236,  1628,  3275,  2814,  3848,  3968,  3969,  3343,  3340,  3663,
    3852,  4047,  4095,  4096,  1059,  2289,  1600,   773,  1060,  3078,
    1602,  2229,  2311,  2312,  1772,  1510,  2176,  2193,  2194,  2206,
    2775,  2213,  2218,  2798,  2799,  2230,  2258,  1061,  2179,  2180,
    2759,  1514,  1062,  1100,  1101,  1507,  2253,  1113,  1114,   685,
    1063,  1064,  1481,   676,  3832,   887,   740,  2494,  1718,   796,
     623,  1065,  1066,  1067,  1068,  2728,  1219,   498,   734,   753,
    2481,   499,   500,   736,  1723
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -3604
static const int yypact[] =
{
    4209,  1069, 11372, -3604, -3604,  1069, -3604, 48874,   -38,   204,
     973,   127, 11789, 49278, 55338,   660,   276,  2934,  1069, 55338,
    1550, 37562, 46450, 55338,   350,   709, 37562, 55338, 55742,   859,
     940, 56146, 49682, 45238,  1026, 55338,   887,   283, 56550, 50086,
     847, 50490,   709, 34754,    96,   830, 56954,  1247,  1240,   921,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604,   -38, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604,   203, -3604,   655,   362,  1500,   838,   932, -3604,
   -3604, -3604, 42006, 55338, 55338, 55338,  1209, 55338, 55338,   158,
   42006, 42410, 55338,  1154, 31442, -3604, 42410, 55338, 55338, 55338,
   50490, 55338,  1144, 55338, 55338, 42814, 55338,  1310,  1353, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, 55338,  8381,   350, -3604, -3604, 55338,  1193, 42006,
   55338,  1166, 55338,  1245, 55338, -3604, 55338, 57358,   323,  1384,
   42410,  1603, 31859,  1315, 42410, 55338, 55338, 55338, -3604, -3604,
    1322, 55338, 55338, -3604, -3604, 43218,    44,  1638,  1483,   753,
   -3604, 50894, -3604, -3604, -3604, -3604, -3604, -3604, -3604, 40794,
     276, -3604, -3604, 43622, 55338,  1499, -3604, -3604, 57762, -3604,
   -3604,   664, 44026, 58166, -3604, 32276,  1700, 58570, 58974, -3604,
   -3604, 59378, -3604, 59782,  1454, 60186, -3604, 60590, -3604,  1594,
   60994, -3604,  1378,  1380,  1050, 28155, -3604,   -38, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604,   257,   803,   202,   165,
     240, -3604, -3604,   176,   178,   209,   257,  1807,  1807, -3604,
   55338, -3604, -3604,   803,    11,  1397,  1397,  1397,  1560,   -32,
   -3604,  1397, -3604, -3604, -3604, -3604, 50490, -3604,  1404,   350,
    1414,  1793, 55338, -3604, 55338, -3604, 55338, 55338, -3604, -3604,
    1829,  1446,  1688,  1475, -3604,  1662,  1692,  1673,    85,   350,
    1620, -3604,  1836, -3604,  1729, 19397,   350, 51298, 61398,   268,
   40794,   350, 51702,  1582,  1353,  1766, -3604,    62, -3604,  1986,
    1639,  1838,  1475,  1353, 29385, -3604,  1661,  1367, 50490, -3604,
   -3604, -3604,   275,  1940, 19818, -3604, 55338,  1676, -3604,  1684,
    1694,  1708,  1500, -3604,  4209, 55338,   852,   852,  2089,   852,
    1579,  1608, -3604,  1975, -3604,  2005,  1960, 50490,   830,   150,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604,  1743,  1367, -3604,   164, -3604,  1413,  1734,  1584,
    1383, -3604, -3604,   934,  1854,   187,   772,  1801, 50490,  3569,
    1787, -3604,   711, -3604, -3604, -3604, -3604,  3389,   273, -3604,
   55338, 55338, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604,  1791, -3604, -3604,  1804,  1396,    75,  7107,    54,  4162,
    1561,   194,  1990,  1004,  2095,  1389,  5331, 55338, -3604,  2039,
    2149,    51, -3604,   714, -3604,  1896,  2049,   613, 42006,  1878,
   -3604, -3604, 55338, -3604, -3604, -3604, -3604,   685, 42006, -3604,
    2070, 32693, -3604, 55338, -3604, -3604, -3604, -3604, -3604,  2014,
   55338, -3604, -3604,  2162, 55338, -3604,  1397,   231,  1923,  2303,
   68626,   103, 55338,  1976,  2337,  2138,  1976,  1978, 61802, -3604,
   -3604,  1976, -3604, -3604, 55338, 55338,  1955,  1065,  1976,  2336,
    2341,  2021,  2123,   716,   255,   175,  2237,  1976, 55338, 62206,
   55338, 55338,  2310, 42006, 55338, -3604,  2109, -3604, -3604,  1302,
   -3604, -3604, -3604, -3604,  2251,  1743,   731,  2253,  1966,  2256,
   -3604,  2000, -3604,  2257,  1787,  2261,  1969, -3604, 62610, 63014,
    2263,  1791, 55338,  2264,  1969,  2266,  2156,  2268,   731,  2269,
   -3604,   723,  2272,  2163,  2273,  1076,  1969, 41198,  2278,   263,
   -3604, 21502, -3604,  2080, -3604,   830, -3604,  1082, -3604, 37158,
   -3604,  1050,   803, -3604, 55338,   803, 55338,   803, 55338,   803,
   55338,   803, 55338, 55338, 55338,   803, -3604, -3604, -3604, 55338,
    1998, 55338, 55338, -3604, -3604, -3604, 46854, 55338, 47258, -3604,
   -3604,    74,   350, -3604, -3604, 68626,  2392, 55338,  2279,  2279,
    2279, -3604, -3604, -3604,  2221, 55338,  2282,  2293, 46854, 55338,
   -3604, 63418, 40794,  2194,  2017, -3604, -3604, -3604, -3604, -3604,
    1501,  2436,   167,  2438, 21502,  2022,   155,   155,  2023, -3604,
   -3604, -3604,   186,  2025,  2026, -3604,   183,   183,  2176,  2027,
    2029, -3604,   188,  2030,  2450,  2453,   196,  2036,  2038,  2040,
     699,   155, 21502, -3604,  2041,   183,  2050,  2052,  2054,  2469,
    2056, -3604,  2475,  2061,   332,   336,  2068,  2069, -3604,  2027,
   -3604,   170,  2072,  2074,  2075,  2077,  2078,  2079,  2081,  2082,
   21502, 21502, -3604, 18555,  1367,   350, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604,    98, -3604,   199,  4899, -3604, -3604,  2239,
   21502, -3604, -3604,    56, -3604,   214, -3604, -3604, -3604,  1367,
   -3604, -3604,   987,  2076, -3604,   302, -3604, -3604, -3604, -3604,
   -3604, -3604, 39582,  2476, -3604,   796,   714,   253,  2420, 36350,
   36754, -3604, -3604,  2304, -3604, 55338, -3604, -3604, 21502, 34350,
   -3604,  1367,   110, -3604, -3604, -3604,  1400, -3604, -3604, -3604,
     -38, -3604, 11251, -3604,  1481,  1676, 55338, 55338,  2491, -3604,
   -3604, -3604,  1684, -3604, -3604,  1500,  1500, 21502,  1500,   207,
    1120, 20239, 21502,  2378,  2283,   742,  1097,  2389, -3604,  1579,
    1608, 50490, 55338, 63822,  2217, -3604, 35562,  1591,  1367,  2186,
    2187,  2232, 38370,  2114,  2190,  2191,  2236,  2193,  2195, 64226,
   -3604, -3604, -3604, -3604,  1088,   676,  1175,  2196,   817, -3604,
    2238, -3604, -3604, -3604,  3223, 55338,  5700,  2302,   273,  2241,
   -3604,  2199,  2203,  2326,   273,   232, 64630, -3604, -3604, -3604,
   -3604, -3604,  3050, 17348, -3604,  2214,  2197, 44430,  2498,  2323,
    1121,  1569,   185, 55338,  2394,  2331, 55338,  2150,  2224,  2225,
    2154,  1370,  2502,  2152, -3604, -3604, -3604,  1427,  2328, -3604,
    2210,  2213, 67840,    64, 33110,  2490,  2240, -3604,  1023,  2242,
    2243,   273, -3604,  2540,   273,   273,  1438,  2541,  2244,   365,
    1440,  1976,  2152,  2398, -3604,  2245,   254, -3604,  2342,   334,
    1570,  2152,  2247,  2249,  2154,  2154, 55338, 55338, 55338, 55338,
   55338,   160,  2563,  2564,  2252,   157,  2298,  2178, -3604, 39986,
    2258, 61398, -3604, -3604,  2259,  1572,  2152,  1145,  1486, -3604,
   -3604, -3604,  1353, -3604, 55338, -3604, 55338,  1743, 68626,  2361,
    2215, -3604,  1787,   273, 55338, 55338,  1791,   931,   826,  2365,
   55338,  2421,  2227, -3604, -3604,  1976, -3604, 35956,  1955, -3604,
    2201, -3604, -3604,  2248, -3604,  2248,  2248,  2202,  2202,  2206,
   -3604, -3604, -3604,   699,  2248,  2202, -3604, 69412, -3604,  1296,
    1416, -3604,  2588,  2590, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604,  1053,  1533, -3604, 55338, 38370, -3604,  2610,
   -3604, -3604, 68626,  2500, -3604, 55338,  2404,  2216, -3604,  2534,
    2267, -3604,  2260, -3604, 42410,   236,   350,  2265, 55338,  2427,
   55338, 55338, 55338, 55338, -3604, -3604,  2400,   861,   137, -3604,
   39986, -3604,  2398,  2411,  2614,   512,  1397,  2501, -3604, 55338,
    2226,  2620,  2456, -3604,  1612, -3604,  2347, -3604, 42006,   731,
   -3604, -3604, -3604, -3604, 68626, 55338, 65034, 42006,   731, 55338,
   55338,  2522,  2286,  2524,  2288, 33110,   731,   315, 55338, 55338,
   55338, 55338, -3604, 55338, -3604, -3604, -3604, -3604, 55338, 55338,
   55338, 39986,  2527,  2528,   731, 55338, 55338, -3604, 11251,  1508,
   55338,  1050, 40390, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, 55338, -3604, 55338, -3604, 55338, -3604, 55338, -3604, 55338,
   -3604, -3604, -3604, 55338, -3604, 55338,  1542, -3604, -3604,  1544,
     134, 55338,   152, 42006, 55338,  2425, 55338, 55338, 55338, 55338,
    2316,  2076,   -59, -3604,   695, 50490,  2432, -3604, -3604,  1551,
    1247,   938, -3604, -3604, -3604, -3604, -3604, -3604, 47258, 46450,
    2518,    83, 55338, -3604, -3604,  1532, 21502,  1367, 18976, -3604,
   -3604, -3604,  2246, 11251,  2285, 21502, -3604, -3604, 21502,  1807,
    1807, 21502, -3604, -3604, -3604, -3604,  1014,  1807, -3604, 21502,
   21502,  1807,  1807,  2248,  2248, -3604,  3777, 21502, -3604, 33110,
   21502, 24028, 16113, 21502,  2324,  2274,  1807, -3604,  1807, -3604,
   21502, 18134, -3604, 21502,  2448, 24864, 21502,   253,  2458, 21502,
     253,  2672,  2672,  2666,  5216,  2262,  1367, -3604,  2368,  1807,
   -3604,  1807,   234, -3604,   351, 68626, 21502, 38370,  2348,   197,
   55338, 21502,  2275,  1548, -3604, 21502,   912, -3604,  2276, 21502,
    2340, 21502, 21502, 21502, 21502, 21502, 21502, 21502, 21502, 21502,
   -3604, 25684,   385,   749,  1655, 52106, 19397,  2547, 15691, -3604,
     256, -3604, -3604, -3604, 55338,  2476, -3604, -3604,  2350, -3604,
   -3604, -3604, -3604, -3604,   218, -3604, -3604, -3604, -3604, -3604,
   -3604,  2277, -3604, -3604, -3604, -3604,  2277, -3604,  2289,  4399,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604,  2542,  2543,   731, 55338,   275,
   47662, -3604, 19818, -3604,  1559,  2292, -3604,  2525, -3604,  2290,
   -3604,  7889,  2525, -3604, -3604,   316,  2463,  2477,  2477, -3604,
    2294, 11251, -3604,  1510, 11251,  1884, -3604, -3604, -3604, -3604,
   -3604, -3604,   609, -3604,  2378,  1097,  2345,  1239, 55338, -3604,
   29795,  2295,  1573,  2370,  2372,  2418, 42410, 55338, 55338, -3604,
   38370, 42410, 55338, 55338, 42410, 55338, 55338, -3604,  2650,    23,
   46450,  2423, 45642, -3604, -3604,  2308, 55338,  2356,  2537,  2539,
     989, -3604, -3604, 55338, -3604,  2504, 42410, 21502,  2505, 55338,
   55338,  2388, 42006,  2319, 55338, 55338, 55338,   721, 42006, 33527,
   55338, 55338, 55338, 55338,  2435, 55338, 55338,  2548,   125,   357,
    1600,  2152,  2508, -3604,   784, 42410, 55338,  2503, -3604, -3604,
   -3604, 52510, -3604, -3604, -3604,  2494, -3604, -3604, 69412, -3604,
   -3604,  1588, -3604, 69019, 66650, -3604, -3604,   763, 42410, 55338,
   55338,  1033, -3604, -3604, 68626, -3604, 55338, 55338, 55338, 48066,
   65438, 65842,  1164,  1266, 55338, 48470, -3604, 55338, -3604, -3604,
   38774, 42410, 55338, 38370, -3604, 55338,  2506,   225, -3604, 55338,
    3535, -3604,  2399, 55338, 55338,  2325,  1589,  2401,  2447, -3604,
   55338, 42410,   933, -3604, 42410, 55338, -3604, -3604,   273, -3604,
   -3604, -3604, -3604, -3604, 55338, 55338,   273, 55338,   273,   917,
   -3604, 42410, -3604, -3604, -3604, 55338, 55338, 55338, 42410, 55338,
   -3604, -3604,  1330,  1040,  1274,  1386,  2465, 55338,   350, 55338,
   66246, 42410, 55338, 55338, 55338,  1267, -3604, -3604,  2441, -3604,
   42410,   933, 55338, 55338,  2409,  2410,   216,  2482, -3604, -3604,
   -3604, -3604, -3604, -3604,  2571,  2732, 55338, -3604,  2573,  2575,
    2397,  2403,  2579,   780, 55338, 55338, 55338, 55338, 55338, 55338,
    2581,   780,  2531,   120,  2354,  2371,  1606, -3604, -3604, 21502,
    2748, 68626,  2359,  2373,  2446,  2449,  2452, -3604,  2374,  2454,
    1807, -3604, -3604,  1554, -3604, -3604,  1626, -3604,  2393,   861,
    1261, -3604, 55338,   680,   818,  2664, 16937,  2493,  2385,  2660,
   55338, 55338,  2385, -3604,  1368, 46450, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604,  2659, -3604,   350,  1955,  1955,
    1955,  1955, -3604, -3604, -3604, -3604,  2572,  1423, -3604,  2395,
   55338,  2507,  2385, -3604,  2398,  2682,  1058, 55338, 44834,  1814,
    2789,   350,  2576, -3604, 17741,  1843,  2578, 40794,  2662,  2663,
    2681, -3604,  1743, -3604,  2797, -3604,  2696,   731,  1787, -3604,
    1969, -3604, 55338, 55338, 55338, 55338,  1791, -3604, -3604,  1969,
    2587,   731,   731, -3604,  2589,   731,  1969,  2520,  2688, 40794,
   -3604,   263, -3604, -3604, 21502,  2413, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604,  1640, -3604, 55338, -3604,  2667,  2668,
    2670,  1969,  2457, 55338,  2417, -3604,  1969,   273,  1969,  2076,
    2076,  1969, 41602,  2826,  2695,   641, -3604,   690,    18,  2634,
   -3604, -3604, -3604, -3604, 68626, -3604, -3604, -3604, -3604, -3604,
   55338,   291,  2611,  2428, 41602,  2809,   731, -3604, 42006, -3604,
   -3604,  2519, 42006,  2618, -3604, -3604, -3604, -3604, -3604,  2669,
   55338,  1641, -3604, -3604,  1382, -3604,  1406, 21502, 21502,   130,
   -3604,  9296,  1651,  2437,  2443,  1659, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604,  2444,  2719, -3604,  2451,  1670,  1671,  2455,
    2467, -3604, -3604,  4446,  2468,  9588,  2470, 24028, 24028,   397,
   -3604, -3604, 24028,  2471, -3604,  1678,  8186,  2445,  2472,  2474,
   -3604,  2473,  2478,  9782, 20660, 21502, 20660, 20660, 10015,  2445,
    2480,  1695, 38370,  2609, 10144,  1702, -3604, 21502, 38370,  4705,
   21502, -3604, 21502, 55338,  2481,  2483, -3604, -3604,  3777, -3604,
    2492, -3604, 24028, 24028, -3604,  1279, 18555, -3604, -3604,  2724,
   -3604, -3604,  1408, -3604,  2459, -3604, -3604,  2051,   208, 21502,
    2275, 21502,  2526, 33110,  3258, 21502,  4880,  3788,  3788,   427,
     427,   189,   189,   189,  1339,  1655, -3604, -3604, -3604,  2466,
    2056, 21502, -3604,  1642,  1698, 55338,  1951,  2550,  3416, -3604,
   -3604, -3604, 26925,  2513, 21502, 21502, 21502,  2486,  2623,  2865,
   11251,   668, -3604,  2887, -3604,  1353,  1807,   234, 37158, -3604,
   -3604, 21502, -3604, -3604, -3604,  1684, -3604, -3604, -3604, -3604,
   -3604,  1247, 21502, -3604, -3604,   438,  1677, 21502,  1510, -3604,
   -3604, 55338,  2432,  2432, 21502, -3604, -3604, -3604, -3604, -3604,
   26925,  2515,  2529, 28975,  2615, -3604, -3604, 55338,   307, -3604,
   -3604, -3604,  2509, -3604, -3604, -3604, 42410, 55338, 55338, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,  2707,
   -3604, 55338, 55338,  2671, 55338,  2673,  2675, 21502,   645, 55338,
    2495,  2510,  1059,  2750, 55338, -3604,   731, -3604, -3604, 11251,
   -3604, -3604, -3604, 40794, -3604,  1743, 68626, -3604, -3604, -3604,
    2532, 55338, -3604, 55338, 55338,  1791, -3604, -3604, -3604, -3604,
     835, -3604, -3604, 55338, 55338,   106,  2577, 55338, -3604,   871,
    2342, 55338, 55338, 55338,  2745, -3604, -3604, -3604, -3604,  2692,
   -3604, -3604,  1533, -3604, 66650, 69019, -3604, 69019, -3604,  1533,
    1292, -3604,  1969, -3604, -3604,   705, -3604, -3604, -3604, -3604,
   -3604,  2796,   731,  2798,   731, 55338, 55338, 55338, 55338, -3604,
   -3604, -3604, -3604, -3604, 38370, 38370, 38370,  1704, -3604, -3604,
     350, -3604, -3604, -3604,  1717, -3604,   -65, -3604, -3604, -3604,
   -3604, -3604, -3604, 42410,  1649, -3604,   233, 68626, -3604, 68233,
   42410, 55338, -3604, -3604, -3604,  2730,  2677, -3604,   805,  2678,
   55338,  2580, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604,  2593, -3604, -3604, -3604,  2716,  2729,  2734,
    2595,  2601,  2646,  2603,  2606,  2653, -3604,  2613,  2654,  2619,
    2658,  2622,   731, 68626,  1577,  2647,  2834,   731, -3604,  2627,
   -3604, -3604,  2933, -3604, 55338, -3604, -3604, -3604, 42410, 55338,
   -3604, -3604, -3604,   780, 68626,  2787,   780,   780, 55338, 55338,
     780, -3604, -3604, -3604,  2788,  2791,  2793,  2794,  2795,  2802,
     780, -3604, -3604, -3604, -3604,   231, 38370, -3604,  2387, 31025,
   -3604,  2977,  5362,  2566,  2373,  2570,  1807,   148,   980,    92,
    2686,  1807,  2778,  2583, -3604, -3604, 38370, 31025,  1530,  2801,
    2594,  2594,  2594,  2594,  2594,  2594,  2594, -3604,  1362,  1976,
   40794, 55338, 40794, -3604,   818,  2761, 55338, -3604, -3604,  1718,
   -3604, 55338, 55338,   133, 55338,  1807, -3604, -3604,  2652, -3604,
    1397,   236,  2722,  1394,  2922, -3604, -3604, -3604, -3604, -3604,
   55338, 55338,   861,   350,  2598,  2592, -3604, 55338, 55338, 55338,
    2636,  2605, 55338,  2602,  2607, -3604, -3604, -3604, -3604,  1723,
   -3604, 68626,   616,  2786,  2792,  1247,  2689, 55338, -3604,  1724,
     104, -3604,   350, 40794, 67043, -3604,  2632, -3604, -3604,   831,
    2873, -3604, -3604,  1247,   731, 68626, 55338, -3604,   731,  2665,
     731,  2676,   731,   731, 55338, -3604, -3604, 55338, -3604, 55338,
   39986,   731, -3604, 11251, 55338, -3604, -3604,  2742,  2743,  2744,
   55338,  1969, 42006, -3604,  2626, 42410,  1109, -3604, -3604,  2790,
   -3604, -3604, -3604, -3604, -3604,  2924,  2925, -3604, -3604, -3604,
   55338, 46854,   364, 42410, -3604,  1743, -3604,  1787,   273, 55338,
    2863, -3604, -3604, -3604,  2637,  1730, 10648, 21502, -3604,  2935,
   68626, -3604, -3604, -3604, -3604, -3604, 21502, -3604, -3604, -3604,
   -3604, -3604, 21502, -3604, 21502,  2909, -3604,  3051,  3051, 68626,
   24028,   896,  2050, 24028, 24028, 24028, 24028, 24028, 24028, 24028,
   24028, 24028, 26105,   454, -3604, -3604, 21502, 21502,  2918,  2909,
   -3604, -3604,  1106,  1106, 68626,  2640,  2445,  2641,  2642, 21502,
   -3604, -3604,  1736, 25274,  2643, 38370, -3604, 21502,  8159,  1741,
    2690, 11019,  1367,  5445, -3604,  3010,   350, 21502,  1999,  2018,
   21502,  1747, 21502,  2921, -3604, -3604, -3604,  2651, -3604, -3604,
   68626, 21502, 24028, 24028,  3823, -3604,  4907, 21502,  2649,  5661,
   18555, -3604,   709,   709,   709,   709, -3604, 55338, 55338, 55338,
   26515, 52914,  2648,  1198, -3604, 52914, 53318, -3604,  2655,  1367,
   21502,  2919,    21,    21,  2656,  2623, 30205, -3604, 21502,   311,
   21081,  2679,   714,  2680, -3604, -3604,  7615, -3604,  2691, -3604,
    2661, -3604,  1677, -3604, -3604, -3604,  5959,  2830,  2076, -3604,
   -3604, -3604,  2648, 21923,  2615, -3604,  1749, -3604, -3604, 19397,
   -3604, -3604,  1754, 29795,  2515, 19818,  1367, -3604, -3604, -3604,
    2594,  1969,  1969,   143,  1969,  2937,   143,  6271, -3604, -3604,
   27335, 55338, 55338, -3604, 55338,  1761,  1178, -3604, -3604, -3604,
    3048, 55338, -3604,  2712,  2717, -3604, 55338, 55338, 55338, 55338,
   -3604, -3604,  1734, -3604, -3604, 42410, -3604, -3604, -3604, -3604,
    2739, -3604, -3604,  2912,  1503, -3604, -3604, -3604,  2746,  1362,
     793,  2154,   632, -3604,  2747, 55338, -3604, 55338, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, 38774, -3604, -3604,
   -3604, 38370, 31025, 38370, -3604,  2751,  2752,  2804,   646,   788,
    2767,  2768,  2813,  2698,  2701,  2703, -3604, -3604,   257,   350,
   -3604, -3604,   350,  1969,   350, 55338,  2984,   159,  1618, 42410,
   55338, 55338, 42410, 55338, 55338, 55338, 55338, 55338, 55338, 55338,
   -3604,  3064,   350,   350,  3035,  2774, 55338, -3604, 55338,  2342,
   -3604, -3604, -3604,  2710,   780, -3604, -3604,  2944,  2945, -3604,
     780,   780,   780,   780,   780,   780, -3604,   161,  1768, -3604,
   27745, -3604, -3604,  2337,   350,  2337,  1211, -3604,  2337, -3604,
    2337, -3604,  2661,  1807,  1427, -3604, -3604, -3604, -3604, -3604,
   -3604,  2371, -3604, -3604,  1807,  1859,  2715, -3604,  2718, -3604,
   -3604, -3604, -3604, -3604, -3604,  2714, -3604,   234, -3604, -3604,
   55338,  2594, -3604,  1424,   306,  1028,  1173, 53722, 54126, 54530,
    2720, 55338, 55338, 24028, -3604,   999,   242, -3604,  2946, 55338,
    2753, -3604, -3604, -3604, -3604, -3604, -3604, -3604,  2721, -3604,
    2216, -3604, 55338,  2761,  1969, 55338, 55338,  1969, -3604, 68626,
    3115,  1380, 62206,  2755,  2723,  3003, -3604,  2725,  2726, -3604,
   -3604, 55338,  2761,   640,  1378,   213, -3604, 46046,  1814, -3604,
    2975, 44834, -3604, 55338, -3604, -3604, -3604,  3081,  2815,  2766,
     350,  2356, -3604, 66650, 21502, 21502, -3604,  2731, -3604,  2736,
    2872, -3604,  1955, -3604, -3604, -3604, -3604, -3604, -3604,  2812,
   55338, -3604, -3604,  2740,   731, -3604, 55338, -3604, 55338, -3604,
   -3604,   731,   731, -3604,  2852, -3604, -3604, 55338, 55338, 55338,
    1969, -3604,   273, -3604,  3015, 41602, -3604, -3604, -3604, -3604,
      83,  3022, -3604, -3604,  2982,  2983,  2985,  2986,   860, -3604,
   -3604, 21502, 11251, -3604,  2754, 11251,  6388, 11251,  2918, -3604,
     916,  3029, -3604,   219,  2757,   916,  2113,  2113,   460,   460,
     215,   215,   215,  3051,   454, 11251, 11251, -3604, -3604, -3604,
   -3604,  2759, -3604, -3604, -3604,  2445, -3604, 22344,  2900,  3137,
   -3604, -3604, -3604,  2805,  2806,  2764, -3604, 21502, 22765,  2762,
   69412, -3604, -3604,   234,   836, 24028, 24028,  1469, -3604,   965,
   21502, 68626,  1773,  1469,  2071,  2102, 21502, 21502,  6774,   408,
   21502,  6531, 55338, 55338, 55338, 55338, -3604, -3604, -3604, 16526,
    1198,  2770, 55338, -3604,  2772, 26925,  3002,  2947, -3604, 26925,
    2947,  1381,  2947,  3007, -3604, 30615, -3604,  2779, 15691,  1524,
   11251,  3149,  3043, 21502,  2780, -3604,  2781,  2623, -3604, 67436,
   -3604, -3604, 11251, -3604, -3604, 21502, -3604,  2623,   350, -3604,
   -3604, 33110, -3604, -3604, -3604,  2966, 11251, -3604,  1247, 55338,
    1367,  2783,  2803, 55338, -3604,  2615, -3604,   257, -3604, -3604,
   -3604,  2858, 46450,  3065, -3604, 21502,  1774, -3604,  2825,  3151,
     132,  1781,  1792,  1178, -3604,  2753, -3604,  1061,   136, -3604,
   68626, -3604, 55338, 55338, -3604, -3604, -3604, -3604,  2114, -3604,
   55338, -3604,  2864, -3604,  2989, -3604, -3604,  2990,   257, 55338,
   -3604, 68626,   731,   731, -3604, -3604, -3604,  2821, 42410, 55338,
   55338,  1807,  1807, 68626,  2808, -3604,  1807,  1807,  2814, -3604,
   42410, 55338, 55338, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, 55338, 55338, 55338, 55338,  3102, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, 55338, -3604, -3604,
   -3604, 68626,   731,   731, -3604,  3052, -3604,   780,   780, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604,  1976,  3129, -3604, 38370,
   -3604, 39178, -3604, -3604, -3604,   350, -3604,   350,  3006, 35158,
     350,   350,  1178,  2823,  1074,  3095, -3604, -3604, -3604, -3604,
    3098,   257, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, 21502, -3604,   735,
     916, -3604, -3604, -3604, -3604,  2753,  1397,  2879,   680, 38370,
    2936, -3604, -3604,  1969,  1969,  2881,  1247,   649, 55338,  3132,
    2869, -3604,   350, -3604, -3604, 55338, 44834, -3604, -3604,  3159,
    1796, -3604, -3604, -3604,  2868,  2792,  1084,  2835,  1814, -3604,
   -3604,   806, 55338, -3604,   248, -3604,  3109,  2838, -3604, 11251,
   11251,   350, 69805,  2632, -3604, 55338,  3084,   731, -3604,   731,
     731, -3604, -3604, 55338,  1969,  1969,  1969, -3604,  3016, -3604,
     731, 41602,   860,   860,   860,   860, -3604, -3604, -3604, 11251,
   -3604, -3604, -3604, 24028,  3117, -3604,  2842, 68626, -3604,  2845,
    1798,  1806, 24864,  2987, -3604, -3604, -3604,  6848,  2894, 11251,
    2948,  2848,  2849, -3604,   851,   851,   965,  1826, -3604, 24028,
   24028,  1469,  1469, 21502,  1469, -3604, -3604, -3604, -3604, -3604,
   52914,  2855, 55338,  1198, 26925, -3604, -3604,  1666, -3604, 26925,
    3085, -3604, 26925, 55338,  2859, 55338,   881, 21502, 21502,  2893,
    2623,  2623, -3604,  3026, -3604,  2867, -3604,   234,  2871, 55338,
   -3604, -3604,   830, -3604, -3604, -3604, 41602,  3038, 41602,  1178,
    6859,  2753, 27335, 33944, 55338, 54934, 54934,  3004,  2753,  2879,
   -3604, -3604, -3604, -3604,  2874, -3604, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604,  3064, -3604, -3604, 31025, -3604, -3604, -3604,
   28565, 33110, -3604,   646,  2876,  2882,   788, -3604, -3604, -3604,
    1194,   883,  2903,  1969,  3161, -3604,  3064, -3604, -3604,   780,
   -3604, -3604,  2354,   350, -3604, -3604,  1831, -3604, -3604, -3604,
   55338, -3604,  2723, -3604, -3604, -3604, 42006,  3265,  3265, 55338,
   -3604, -3604,  7137,  3071, -3604,  2879,  3092,  3136, -3604,  1837,
   -3604, 55338, 55338,  2766, 44834,  2761, -3604,    36,  2889,  3177,
   -3604,  2605,  2890, -3604, -3604, 46046,  3067,  2815,   247,   247,
   55338,  2792,  3017, -3604,  3018, -3604,  3253,  3070,  3262, 55338,
   27335, -3604, 69019, -3604,  1839, -3604, -3604,  2513, 55338,   520,
   -3604, -3604, -3604, -3604, -3604, -3604,   364, -3604, -3604, -3604,
   -3604,   541, 24028, 68626,  1844, 21502, -3604, 21502, -3604,  3277,
   -3604, -3604, -3604,   672, -3604, -3604, -3604,   851,   851,  1469,
   -3604, 55338,  1845, -3604, 21502,  2904, -3604, -3604, 26925,  1666,
    1850, 55338,  1855, 68626,  2623,  2445, 11251, 55338, -3604, -3604,
   -3604,  3278,  3082,  2623, -3604, -3604, -3604, -3604,  1109,   143,
     364,  3151,  2879, -3604,  2911, -3604, -3604, 55338, -3604,   281,
     281, 55338,  2879, -3604, -3604,  2961, -3604, 68626,  1787,    88,
   -3604, 68626, 68626, -3604, 55338, 55338, 55338, 55338, 55338,   731,
   -3604, -3604, -3604, -3604, 39178,  2723,  3265,   260, -3604, -3604,
   -3604,  1450, -3604, -3604,  1096,  3090,  2994, -3604, 38370,  2761,
    3197, -3604, -3604, -3604, -3604, -3604, 21502,  3062,  1814,  2975,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604,  1856,  2815, -3604, -3604,  3094, -3604,  3096, -3604,  1857,
   -3604, -3604,  2872, 69805,  3230, -3604,  2973, 55338, -3604, -3604,
   -3604,   541,  1868, -3604,  1872,  1876,  3066,  2976, -3604,  1893,
   -3604, 11251, 55338, -3604, -3604, -3604,  1899, -3604,  2927, -3604,
    3318, 21502,  1073, -3604, -3604,  3205, -3604, 54934,  2970, 33110,
   -3604,  1677,  1677,  1397, -3604,  1178, 21502, -3604,  1918, -3604,
      70,  3075,  3220,  1920,  1924,  2951,  2991,  2951, -3604,  1969,
   -3604, -3604, -3604, -3604, -3604,  3251, -3604, -3604, -3604,   378,
   -3604,  3142,  3143, 55338, -3604, -3604, 55338,  3350,  7291, 42006,
    2792,  1814,  1362, -3604, -3604, -3604, -3604,  2993, 27335,  2632,
   -3604,   270, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
    1928, -3604, 55338,  2967,  2445, 23186, 23186,  2965, 41602,   281,
    2972, -3604,  2969, -3604, -3604,  3092,  1178, 11251, 42006,  3348,
   -3604, -3604, -3604,  3075, -3604, -3604, 55338,  3097,   890,   890,
    3289, -3604,  3031, -3604, -3604, -3604,   646, -3604,  2978,  2815,
    2792,  2154,  2815, -3604, -3604, -3604, -3604,  1665, -3604, -3604,
   -3604, 24449,  3100,   778,  9000, -3604, -3604, -3604, -3604,   364,
    1677, 21502,  1178, -3604,  3090,  1787, 55338, -3604, -3604,  2869,
   -3604,  3381, -3604,   195, -3604, -3604,  2808, 37966, -3604,  2815,
   -3604,  2513, -3604,  1901, -3604, -3604, -3604, -3604, -3604, -3604,
   -3604,  3375, -3604, -3604, -3604, -3604, -3604, -3604, -3604,  7552,
   -3604, -3604, -3604,  3271, -3604, -3604, -3604, -3604,  1930, -3604,
   -3604, -3604, -3604, -3604, -3604,  1568, -3604, -3604,  1625,  1708,
   23607, -3604,  1178,  3130, -3604, 37966, -3604,  1901, -3604, 42006,
   -3604, -3604,  2988, 37966,  1934, -3604
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3604, -3604, -3604,  2711, -3604,  -737,   241,  2136,  -657, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
    2657, -3604, -3604, -3604,  1387, -3604, -3604,   116,  1498,  2322,
    1099, -3604,  -896, -3604, -3604,  -487,   138,  -598, -3604, -3604,
   -3604, -3604, -3604, -3604, -3604,  -503,  1528,   959,  -466, -2407,
   -3604, -1173, -3604, -3604,   428, -3604, -3604,  1476, -3604, -3604,
   -3604,   837,  -312, -3604, -3604, -3604, -3604, -3604, -3604, -3604,
     -54, -3604, -3604,  -468, -1289,    31,  -119,  -342, -3604, -3604,
     269,  -344, -1141, -3604, -2393, -3604,   -87, -3604, -3604, -3604,
    -343, -1125,  1047,  -592,  -893,  1321,  -617, -3604,  -243, -3604,
    -664,  -571,  -569,  -626,  -475, -3029, -3405, -3603, -3411,  1056,
     140, -3604, -3604, -3604,   282, -3604, -1278, -3604, -3604,  2073,
   -1117, -3604,  -704, -3604, -3604, -3604, -2361, -3604, -3604, -3604,
   -3604,    46, -3604, -3604, -3604, -3604,   330, -3604, -3604, -3604,
   -3604, -3604, -3604, -2162,  1442,  1443, -3604, -3604, -2994, -3604,
    -742, -3604,   473, -2360,   986, -3604, -3604, -3604,  2096, -3604,
   -3604, -3604, -3604,   335, -3604,   337, -3604, -3604, -1310, -3604,
   -3604, -1275, -3604,  1453,   814, -3604, -3604, -3604,  -638,  -705,
    -692, -3604, -2820, -3604, -3604, -3604, -3604, -3604,  -816, -3604,
     868, -2489,  -763, -3604, -3604,   884, -3604, -3604, -3604, -3604,
    -599,  -234,  2121, -3604,  -509,  -579, -3604, -3604, -3604,  -229,
   -3604, -3604, -3604, -3604, -3604, -3604, -1408,    43, -1260, -3604,
   -3604, -3604, -3604, -1906, -3604, -3604, -3604, -1640, -3604,  3462,
    1782,   466, -1274, -3604,   -21,    67,  2546,  -923, -2104,   280,
    -367, -3604, -1441, -3604, -3604, -3604, -2019, -3604, -3604, -3604,
   -3604, -2807, -1273, -3604, -3604, -3604,   325, -3604, -3308, -3237,
   -3459, -3590, -2787, -3604, -3604,  -876, -3604, -3604, -3604, -1091,
    1643, -1167, -3604, -1756,   331, -3050,  -596, -2603, -3604, -2979,
    -440, -3604, -3604, -3604, -3604, -3604, -3604, -3604,  -873,  -512,
   -3604, -3604,  2956, -3604, -3456, -3604, -3604, -3604, -3604,  1327,
   -3604, -1053,   962, -3604, -3604, -3604, -3604, -3604,  -576,  -654,
   -3604, -3604, -3604,   145, -3604, -3604, -3604, -3604,  1633,  -759,
    -607,  2841, -1271,  -248, -3604, -3604, -3604, -3604, -2432, -3604,
   -3604, -3604, -3604, -3604, -3604, -3604, -1169, -3604, -3604, -3604,
   -3604, -3604, -3604, -3604,  1788,  1786,    58,   -26, -3604, -3604,
   -1014, -3604,  -453, -3604,  2083, -3604, -3604, -3604, -3604,  1188,
     146,   367, -3604,     3, -3604, -3604,   163, -2753,     4, -3604,
   -3604, -3604, -3604,   -27,     5, -3604,   611, -3604, -3604, -2234,
   -3604,   147,    57, -3604, -3604,     1,     0,   -41,   -39,   -22,
       2,  2844,  2412, -3604, -3604, -3604,    10,  1576, -3604,  -689,
    -155, -3604,  1195,  -539,  1767,  2396,  2405, -3604,  1190, -3604,
   -3604,  1202, -3604, -3604, -3604,  -538,  1778, -3604,  2406,  1799,
   -3604,  1186,  1199, -2736,   688, -2729,   229,  -958,  -287,    39,
    2877,  2415, -3604, -3579,   644, -3604, -2773, -1834,  -580,  1564,
   -1272, -3604, -3604,  -929,  8607, -3604, -3604, -3604, 10547, 11061,
   -3604, -3604, 11183, 11411, -3604,  -819,   740, 11841,  6438,  -967,
   -1528,  -270,  9996, -2022, -1047, -2180, -3604, -3604, -3604,  -255,
     751,   305, -3604, -3604, -3604, -3604,  -472, -2207,  -471, -3604,
   -3604, -3604,  -473, -3059,    -1, -3604,  -165, -3604, 10316,  1242,
   -3604,  -805, -2171, -2174,  -920, -1415, -3604, -3604, -3604, -3604,
   -3604, -3604, -3604, -1881, -2639,  -371,  1305, -3604, -3604,  1399,
   -3604, -3604, -3604, -1041,  -702, -2106,  1311, -1623, -3604,  -691,
     681,  1983,  -641,    26,  -321,  5723,  -441, -1825, -1003, -1225,
   -3604,  -159, -3604,    25,    -9,  -107,     7,  3189,  5392,  -508,
   -1057,  7299,  8840,  9442, -2479
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2124
static const yytype_int16 yytable[] =
{
     162,   161,   166,   156,   157,   159,   691,   552,  1408,   701,
     846,   508,   647,   732,  1139,   624,  1073,  1145,  1416,   772,
     162,   750,   166,  1446,   944,   945,  1854,  2101,   613,   949,
    1361,  1148,  2125,   613,  1283,  1489,  1247,  1884,  1227,  1379,
    1801,   872,  1719,   536,  2246,  1500,   612,   690,  1272,  1469,
    2742,   612,   678,   891,  1218,  1990,  1862,  1086,  1549,  1961,
    1724,  2969,   870,   579,   496,  1308,  2956,  1522,  1523,  2496,
    2051,   543,  1863,   833,   752,  2581,  2027,   920,   587,   775,
     675,  1930,  1931,  3183,  2003,  1755,  1538,  2028,   785,   619,
    2029,  2030,  2031,  2175,  2032,  1719,  1350,  2446,  2448,  1354,
     648,  2877,  1852,  2542,  1358,  3352,  1439,  1724,  1736,  2329,
    3080,  1363,  1399,  3383,  2983,  2730,  2985,   880,  3099,  3373,
    1381,  2097,  2867,  2911,  3310,   695,  1920,   703,  3080,  3555,
    3573,   914,  2874,  2872,  2873,  2822,  3324,  3326,    64,  3532,
      74,  3527,  1163,  3686,   704,   133,   154,   160,  1871,  1779,
    3777,  3357,   872,  1191,   666, -1812,  1568,   595,  3544,  3257,
   -1465,  1133,  1136, -1812,  2063, -1903,   702,  1516,  1517, -1813,
    2867,   506, -1465,  1080,  3922, -1460, -1937, -1813, -1956,  3104,
    3105,  3106,  3107,  3108,  3109,  2777,  2778,  1273, -1432,  1725,
    2793, -2123,  1535, -1445,  1942,  2639,  1926,  1937,  3684, -2123,
    1575, -1472, -1839, -1265,   548,  1171,  1378,  3174,   757, -1981,
    1872,   595,  1088, -1465,   777,  1448,   737,   739,  3944,   548,
     743,   744,   786,   548,   925,  1578,  2779,  3870, -1460,   779,
    2828,  2829,  2251,  3990,  1302,   969,   548,   783,  1565,  2155,
   -1906,  3692,   886,  2251,  1484,  1605,   894,   681,  2122,   595,
    1332,  2998,  2757,  1346,   747,  1580,   906,  2916,  2700,   548,
    2702, -1789,   929,  3492,  2049,  2953,   595,  2957,  1256,  3923,
    2583,  -337,   698,   548,  1242,  1374,  1251,  1216,  3873,  3981,
    3982,   548,   595,  1276,  2424,   940, -1265,  2118,  2560,  2489,
    2008,  3135,  3899,  4085,  4003,  1375,  3368,  1280,  4145,  1296,
    3786,     3,     4,  1207,  3442,   653,  1257,  1172,  3787,  3548,
    3092,   548,  1245,  2333,  1400,   601,   548,  3924,   947,  2024,
    2735,  4059,  1897,  2381,  3925,   595,   601,  1283,   601,  4024,
    2133,  1626,  1994,  1229,  3604,   602,  3605, -1475,  3913,  1839,
    1082, -1475,  1566,   501,  3903,  2992,   602,  3523,   602,  1743,
     828,  3926,   601,  2999,  2425,   548,   858,   772, -1265,   601,
    2993,  1615, -1268,  1549,  1230,  3914,  1400,  1610,  1410,  -118,
    1627,  1077,   602, -1683,  -118,  1488,  3932,  2412,  4060,   602,
   -1683,  1623,  1898,  2426,   859,  1634,  1634,  2736,  1522,  1523,
     601,  2025,  2334,  2382,   875,   948,  1538,  1995,   654,   872,
     772,  1998,  1865,   884,  1726,   978,  3689,  2286,  2779,  3505,
     602,   872,  1089,   841,  2287,  1400,  1968,   848, -1955,   837,
    1434,  3927,  1840,  1972,  1103,  1865,  1104,   860,   857,  4004,
   -1699,  4146,  1422,  3136,   941,  1744,  1246, -1699,  1575,  1376,
    4002,  2740,  3549,  1437,  1281, -1268,   759,  2119,  3333,   503,
    3443,  3978,  1996,  1258,  4086,  1997,  3369,  2302,  3788,  4100,
    3606,  3984,  2957,  1578,   872,  2779,  2172,  2123,  1450,  2490,
    2584,  2779,  1090,   549,  1833,  2120,  4118,  1873,  3524,  4121,
    1838,  2954,  3940,  1606,  3370,  1504,  4068,   965,  3367,  1874,
    1922,  3000,  1988,  1580,  2210,   825,  1516,  1517,   748, -1265,
    2427,  1485,  1916,  3416,  1918,  1535,  1924,  1943,  2233,  3693,
    1410,  1222,   948,  3080,  3175,  2178,  4153, -1268,  4049,   682,
    2249,  1569,  3001,  1960,  1964,  1724,  1347,  1906,   795,  3781,
    1909,  1910,  3475,   826,  2252,  1511,  1938,  1485,  1259,  1875,
     871,   552,  4154,  1998,   691,  2842,  3755,  1511,  1140,   823,
      47,  3002,  2779,  1098,  3679,   831,  1173,  1099,  1401,   834,
    2050,   921,  1303,  1304,  2929,  2876,  1488,  2780,  1984,  1724,
    3087,  1417,  2114, -1812,   872,   855,  1990,  2561, -1465,  3643,
    3928,   872,   872,  3647,   162,   690,   166, -1813,  2781,  1969,
   -1465, -1903, -1265, -1460,  3796,  1617,  1843,  2450,  1347,  3602,
    1764,  1765, -1937,   922, -1956,   927,  1521,   931,  1599, -2123,
    1401,  1527,  3674,   935,   913,  4079,   607,   608, -1955, -1472,
     954,   612,  1571,   612,  3977,   612,  1482, -1265, -1839, -1265,
    1903,   612,   936,   937,  2791, -1981,  1491,  1608,  1999,  1287,
     970,  2316,  1896,   916,  2782,  2781,   772,  1070,  1501,  1292,
    1079,   871,  1081,   703,   607,   608,  1105,  3042, -1268,  1401,
    3045,  3046,   960,   838,  3049,   950, -1906,   938,  3338,  3501,
     704,   607,   608,  1831,  3056,  4119, -1683,  1098, -1955, -1789,
    2867,  1099,   544,  1074,  1925,  2890,  2445,   607,  1217,  2966,
    1436,  2967,   702, -1955,   162,   161,   166,   156,   157,   159,
    1096,  2171,  3862,  2174,  1390,  1795,  3346,  2431,  1965,  3872,
    2288,  2135,  1899,  2182,  2201,  2202,  2185,   950,   948,  2453,
    4083,  1122,  1544,  1719,  2197,  2198,  1544,  1488,  3406,  1171,
     607,   608, -2124, -1699,  2913,  1807,  1795,  2215,  2217,  2337,
    1108,  1545,  1410,  3047,  3048,  1545,  1143,  4069,  2231,  3946,
    3379, -1268,  1796,  2057,  1160,  1546,  1533,  1534,  3240,  1548,
     881,  3245,  3246,  3247,  3248,  3249,  3250,  3251,  3252,  3253,
    3254,  3912,  2011,  2731,  1076,  1797,  2432,  2372,  1084,  -118,
    -118,  1290,  1400,   612,   696,   548, -1268,  1176, -1268,  2884,
    1370,  3215,  1798, -1432,  2060,  3110,  1734,  1424,  3421,  1619,
    1216,   548,  3360,  1220,  1221,   595,  1797,  2783,  2784,  2785,
     548,  2786,  2787,  2788,  2789,  2790,  2791,  2410,  1306,   788,
    3294,  3295,  2733,  1798,  2074,  2970,  2486,  2136,  1371,  3576,
    2620,  1172,    64,  3077,    74,  1425,  2129,  2130,  3113,   133,
     154,   160,   697,  1596,  1597,  1598,  1599,  1575,   762,   763,
     764,  3077,   765,   766,   767,   768,   769,   770, -1786,   978,
    3164,  1566,  2779,  3407,  1357,   548, -1432,  1301,  2786,  2787,
    2788,  2789,  2790,  2791,  1123,  2628,  2788,  2789,  2790,  2791,
    3840,  3545,  3842,  1129,  1382,  1385,  1386,  1359,  1360,  4020,
    2057,  2435,  4029,  3422,  3238,  3947,  1804,  1854,   871,  1620,
    1975,  3957,  1580,  2086,  1387,   863,   698,   789,  3833,  2946,
     871,  3830,  1392,  3837,  3782,  4015,  3839,  1799,  3258,   698,
    1807,   162,  4133,   166,   978,   545,  3783,  2779,  3181,  1747,
    3901,  1412,  1414,  2073,   920,  2058,  2504,  1920,  1976,  3185,
    3426,  4110,  2079,  1487,   612,   790,   705,  2947,  1799,  1131,
    2087,  2088,  1165,   601,  2268,  2786,  2787,  2788,  2789,  2790,
    2791,  2732,  3408,   871,  2075,  3409,  3753,  1124,  2100,  2043,
    3183,  3117,  1074,   602,  2436,  1372,  1575,  2424,  1748,  3423,
    1509,  1452,  1426,  1454,  1322,  1456,  2621,  1458,  2106,  1460,
    1461,  1462,  4080,   791,  1074,  2247,  1464,  2137,  2971,  1525,
    1195,  1578,   691,   546,   882,   547,  1621,  3118,  2505,  1800,
    2734,  3241,  1911,  3242,  3186,  2138,  2571,  2186,   699,   548,
    3119,   706,  1261,  2972,  3404,  1291,  1401,  2204,  1262,  1552,
    2424,  1580,  4131,   548,  1098,  3427,  1567,   632,  1099,  1883,
    1800,  3010,  2781,  1563,  2044,  4134,  1572,  2425,  1808,   625,
    4084,  2290,  3975,  3985,  1166,  1883,  1609,   864,  2506,   772,
    1373,  2411,  2622,  3546,   926,   928,   930,  1427,  3966,   932,
     933,   934,  3764,   871,  2604,  3784,  1625,  3958,  2269,   939,
     871,   871,  2270,   652,  1730,  1977,  1737,  1738,  2080,  1742,
    -722,  3520,  2879,  1611,  2948,  2880,  3596,  2089,  2782,  3120,
    2425,  4168,  3963,   704,   704,  3521,   704,  2781,  2507,  2096,
     612,   865,  2187,   633,   612,   612,   631,  2536,  2271,  4111,
    -550,  1638,  1973,  1809,  1263,   702,   702,  3243,   702,  3673,
    3662,  3507,   698,   583,  1912,  2867,  1913,  3244,  3466,  2867,
    3666,  1282,  3187,  3089,  3469,  3470,  3471,  3472,  3473,  3474,
    2121,  1994,    14,  2126,  1612,  2128, -2124,  3656,  2131,  3346,
    2210,  2210,  1949,  2782,  4056,  2210,  3522,  3690,  1767,  3760,
    1978,  3665,  2291, -1432,  3885,  2812,  1974,  2188,   548,  2949,
    1143,  2819,  2964,    19, -1432,  4112,  1521, -1432,  1152,  2450,
   -1432,  2659,  1167,  2427,  4053,  4054,  2508,  1152,  3090,   673,
    3188,  3590,  2698,   612,  2515,  2210,  2210,   707,  4113,   612,
     607,  1217,  2518,  2703,  2520,  3778,  1995,  3876,  2045,   519,
    1827,  1431,  2646,  2647,  2648,  2649,  3746,  3080,  3691,  1876,
    2046,  4102,  2189,  1789,  2272,  2190,  3077,  1923,  1129,  2072,
     693,  1432,   937,  1790,   504,  2512,  2427,  4006,  2078,  1879,
     772,  1803,  1168,   684,  3747,  3779,   612,  2023,  1791,   612,
     612,  2324,  1264,  3624,  3625,  2786,  2787,  2788,  2789,  2790,
    2791,  1996,  3886,  1949,  1997,   521,  3509,  1854,  1804,   634,
     635,  3211,  3316,  3386,  2454,  2552,  1936,  1574,  2150,  1998,
    1575,  1262,  3366,  1265,  2512,  2509,  3875,   649,  2533,  1932,
    1933,  1934,  1935,  2510,  1131,  3844,  2511,  2415,  2880,  2694,
    1410,  2887,  1963,  4138,   750,  1578,    32,  3543,   612,  3889,
    4162,  1579,  1266,  2191,  1949,   169,  2783,  2784,  2785,  2534,
    2786,  2787,  2788,  2789,  2790,  2791,  2609,  1970,  1971,  3229,
    1132,  1271,  2352,  1980,  2377,  1580,  1393,   694,  2527,  3317,
    1575,  4045,  2027,  2965,  2528,  3387,  4007,  2033,  2535,   708,
    2393,    37,  1998,  2028,   170,  1410,  2029,  2030,  2031,    37,
    2032,  3579,  2755,  3580,   772,  1578,  4046,  3318,   169,  1594,
    1595,  1596,  1597,  1598,  1599,  2610,  1792,  1263,  1451,  2005,
      41,  1453,  3319,  1455,   758,  1457,  1394,  1459,    41,  1746,
    3204,  1463,  3320,  1954,  2389,  1580,  1805,  2830,   528,  3388,
     529,  2595,  2394,  2038,  2039,  2040,  2041,   170,  2192,  4008,
    2806,   169,  3110,  2723,  3321,  1868,  3183,    45,  3111,   548,
    2393,  1891,   534,   595,  1955,    45,   595,  3945,  3112,    46,
    1747,   162,  3488,   166,   513, -2124,  2091,    46,  -360,  1582,
    2529,  2831,   781,  3849,  3850,  2095,  -869,  1999,   788,  2502,
     170,  2611,  2612,  1347,  2867,  3113,  2105,  3114,  2465,  2867,
    1583,  1584,  2867,    47,  2613,  1869,  2000,  1574,  2152,  2102,
    1575,    47,  2932,   742,  1395, -2124,  1565,  3806,  3489,  1748,
     162,  2149,   166,  2146,  2147,  2148,  1544,  3322,  3214,  3165,
     916,  2935,  3379,  1074,  1074,  1578,  1441,   787,  2108,  1442,
    2109,  1579,  2110,  1587,  2111,  1545,  2112,  2195,  2466,  2614,
    2113,  2604,   519,  2833,  2140,  2834,  1588,  3502,  4022,  3060,
     643,  1396,  3317,  1911,   519,  1580,  3215,   672,  2452,  3115,
    2211,  -863,  2945,   827,  2183,  2184,   789,  2835,  4014,  2008,
      37,  2169,  2196,  2158,  2211,  3386,  2199,  2200,    37,   872,
    3318,  3730,  3731,  2537,  2738,  2151,  1225,  3695,  3696,  3499,
    2467,  2221,  3858,  2222,  3860,  3649,     3,     4,   521,    41,
    2690,  3811,  2257,  3884,   790,  3320,  4033,    41,  2530,   830,
     521,   872,  2538,  3116,  2244,  4005,  2245,  3032,  3117,   832,
    2159, -2124,  2292,  2615,  2022,  2616,   847,  3827,  3828,  1397,
    3379,  2697,  2711,  1877,  1634,  2317,    45,  3033,  2642,  2531,
    2468,  1410,  2052,  2254,    45,  2705,  2706,  3387,    46,  2708,
     853,  2300,   791,   583,  3118,  2712,    46,  1865,   198,  1582,
    2314,  1157,  2939,   505,  2836,  1870,  3973,  3119,  2532,  2837,
    2160,   581,    14,  2405,   772,  1912,   862,  1913,  2867,   750,
    1583,  1584,  2353,  2259,   877,  2260,  1575,   650,  2651,  2369,
      47,  1149,  1158,  2652,  2373,  2539,    32,  2376,  1270,  2161,
    3322,  3388,    32,    19,  2162,  1226,  1544,  2261,  2958,  -140,
    2744,  1578,  3398,  1594,  1595,  1596,  1597,  1598,  1599,  2398,
    2898,  1159,  1150,  1587,  2540,  1545,   858,  1271,  2882,  3384,
    2968,   528,  1885,   529,  -140,  1521,  1588,  1780,   861,  1546,
    1129,  1580,   531,   528,  1130,   529,  3120,   839,  2437,   840,
    2163,  1151,   533,  2210,  3142,   534,  2210,  2210,  2210,  2210,
    2210,  2210,  2210,  2210,  2210,  2210,  1917,   534,   892, -1311,
    3316,  2451,  2339, -1311,  2325,  3623,  2328,  3144,  3271,  1886,
    1887,  2848,   901,  3444,  2838,  1956,  3269,   162,  2355,  2383,
     612,  2386,  1160,  2839,  2482,  3100,  1957,   860,  1160,  2262,
    2652,  2172,  1885,  3445,  2263,  1160,  1131,  1108,  1098,  2264,
    3951,   907,  1099,  1883,  2503,  2210,  2210,  2513,  3405,  3410,
    1958,   911,  2721,   610,  2752,   946,  1544,   185,   610,  2104,
     872,    37,  2345,  2346,  2521, -1311,   595,  3317,  3221,  1252,
     942,  2525,  1132,  3890,  1728,  1545,  2940,  1729,  2753,  1886,
    1887,   952,  1081,  2754,  2548,  3259,  3260,   955,  2164,  1548,
      41,   957,  1154,  2555,  2165,  3318,  1583,  1584,  3379,  1773,
    1253, -1311,   963,  2805,  1254,  2807,  2808,  2407,  2408,  2409,
    3319,    37,  2237,  1883,  2417,  2240,  2419,   962,  2421,  2422,
    3320,  3225,  2166,  1155,  2682,  2172,  1927,    45,  1953,  1255,
    1774,   964,  3124,  1594,  1595,  1596,  1597,  1598,  1599,  1587,
      41,  2167,  3321,  1177,  3485,   872,  3487,  4122,    27,  3490,
     965,  3491,  1156,  2473,  2265,  1731,  2433,  2995,  1732,  1775,
     966,  3834,  1885,  2266,  1885,  2168,  2938,  3003,   968,  3005,
    3292,  3402,  1508,    47,    47,  1178,  1521,    45,  1780,  2544,
    2937,   584,  2103,   612,  2486,  2104,  3417,  3910,  2996,    46,
     967,   612,  1885,   612,  4099,  1098,   842, -1789,   843,  1099,
    3077, -2037,  3807,  3808,  3809,  3810,  1521,  2516,  1152,  1886,
    1887,  1886,  1887,  3031,  2573,  3322,  2115,  2997,  2117,  2116,
     971,  2116,  2573,   585,   974,  2143,    37,  1521,  2144,  1780,
    1179,   972,  3224,  2330,  3043,  2852,  1410,  2853,  1085,  1886,
    1887,  2628,  4166,  1883,  4167,  1883,  2976,  2365,  2978,  2745,
    2144,  2068,  2069,  2747,  3265,    41,  1854,   978,  3622,  2565,
    2779,  1180,  2443,  2498,  1087,  2444,  2499,  2574,  2575,  2576,
    2577,  2578,  2579,  1883,  1091,  2603,   978,  3285,  2645,  2779,
    2590,  1093,  3553,  2591, -2037,  2604,  3941,  3835,  3381,  3382,
    2683,  2854,    45,  2855,  3226,  1092,  3286,  2640,  3140,  1119,
    2605, -1265,  2676,  2606,    46,  2643,   162,  2660,   871,  1574,
    2921,  2922,  1575,  2924,  2715,  2751,  2210,  2116,  2104,  1594,
    1595,  1596,  1597,  1598,  1599,  2761,  3030,  1097,  2104,   978,
   -2037,  3037,  2779,  2764,  2893,  2894,  2104,  1578,  4123,  1109,
     871,  2454, -2037,  1579,  2768,  2769, -2037,  2104,  2104,  3629,
    2661, -2037,  2795,  1116,   696,  2104, -2037,  1117,   772, -2037,
     978, -2037,   872,  2779,   872,  3193, -1312,  1580,  1119,  2811,
   -1312,   978,  2104,  1283,  2779,  2699,  2816,  2701,  2986,  2817,
    3630,  2987,  1120,  3125,    27,  3127,    32,  1127, -2037,  3854,
    2684,  2990,  3131,  2868,  2991,  3132,  1184,  3162,  3172,  1142,
    3163,  3173,   612,  1185,  3230,  1141,  2881,  2104, -2037,  1152,
    3266,  1271,   697,  3267,  3482,  3276,  1146,  3329,  3277,  1187,
    2891,  3288,  1170,  3358,  2104,   872,  3359,  1188,  3362,  2841,
    3234,  3363, -1312,  3334,  3336,  3385, -1335, -1335,  2116,  3013,
    2781,  2868,  3478,  1175, -2037,  3479,  3178,  3628,  3681,  3239,
    2144,  3682, -2037,  2672,  2673,  3687,  2211,  2211,  2116,  2781,
    1193,  2211,    37,  2750,  1222,   691,  3688, -2124, -1312,  2116,
    3774,  1582,  3816,  3775,  3261,  3817,   698,  1189,  3192,  1224,
    3818,  2685,  3195,  2104,  3197,  1260,  3199,  3200,  2210,  2210,
    1269,    41,  1583,  1584,  1278,  3205,  2782, -2037,  3494,  3495,
    3826,  2211,  2211,  2144,  1279,  3893,  1563, -2124,  3894,  2917,
    1488,  3907,  2781,  3942,  3908,  2782,  3943,  1284,  3953,  3960,
    2257,  2144,  1410,  1126,  3965,  1128,  3222,  3151,    45,  3967,
    4023,  4027,  3151,  1614,  4028,  1587,  1494,  1495,  1724,  2851,
      46,   625,  4034,  2781,  1286,  2144,  4035,  3464,  1588,  2817,
    4036,  1288,  2861,  2104,  2781,  3896,  2857,  2858,  2859,   871,
    1293,  3134,   691,  3137, -2037,  2899,  2900,  4039,  2782,  2172,
    1410,  2856,  1298,  4041,    47, -1062,  3151, -1062,  3091,  3093,
    3094,   162,  2149,   166,  2146,  2147,  2148, -2037,   699, -2037,
   -2037,  2883,  4058,   612,  4064,  2144,  1307,  2144,  4065,  2782,
    2861,  2144,  4088,   690,  4164,  1410,  3484,  4165,  4175,  1300,
    2782,  4165,  3648,  1310,  3651,  1160,  3574,  1074,  1351,  1353,
    1355,  3627, -2037, -2124,  1364, -2037, -2037, -2037,  1347,  -157,
    1366,  1368,  1380,  1388,   185,  1398,  2994,  1403,  2504,  1404,
    1405,  1407,  1406,  3006,   871,  1409,  1410,  1415,  1418,  3210,
    1419,  1420,  1421,  1423,  2632,  3792,  1428,  1430,  1429,  2783,
    2784,  2785,  1435,  2786,  2787,  2788,  2789,  2790,  2791,  3220,
    1440,  1465,  3060,  1490,  2891,  1492,  1496,  1498,  2783,  2784,
    2785,  3061,  2786,  2787,  2788,  2789,  2790,  2791,  1499,  1505,
    1506, -1436,  2891, -1443,  1524,  1515,  1518,  1231,  1519,  1520,
      47,  3040,  1526,  1529,  2942, -1433,  2943,  2944, -1434,  1530,
    2505,  1531,  3611,  1532,  1537,  1594,  1595,  1596,  1597,  1598,
    1599,  2989,  3062,  1539, -1437,  1540,  3995,  1541,  3997,  1542,
   -1435,  2783,  2784,  2785,  1543,  2786,  2787,  2788,  2789,  2790,
    2791,  1550,  1551,  1232,  1603,  1553,  3063,  1554,  1555,  3011,
    1556,  1557,  1558,  1614,  1559,  1560,  1629,  1618,  3587,  1637,
    2506,  3064,  2783,  2784,  2785,  3065,  2786,  2787,  2788,  2789,
    2790,  2791,  1735,  1130, -2124, -2124,  1132,  2786,  2787,  2788,
    2789,  2790,  2791,  3066,  1762,  1770,  1776,  1777,  1778,  1780,
    1781,  1782,  1783,  1784,  1810,  1785,  1806,  1832,  3067,  1835,
   -2039,  1834,   872,  1836,  2573,  2633,  2210,  2573,  2573,  3535,
    2507,  2573,  1837,   750,  1858,  3819,  1865,  1859,  1867,  1877,
    1233,  2573,  1878,  1880,  1881,  1882,  1306,  1883,  1889,  1890,
    3079,  1893,  2210,  2210,  1894,  3735,  1892,  1900,  1907,  1914,
    1901,  1207,  1904,  1905,  1915,  1921,  3742,  1928,  3079,  1929,
    1939,  1940,  1941,  1949,  1944,  1945,  1966,  1967,  1950,  1952,
    1979,   871,  1981,   871,   612,  1234,  1982,  1235,  3213,  1991,
    1992,  3086,  3088,  3068,  1989,  1521,  3095,  1919,  1511,  1527,
    2009,  3069,   612, -2039,  2012,  2015,  3223,   515,  2020,  2016,
    2037,  2042,  2055,  2021,  3149,  2056,  2061,  1246,  2508,  2064,
    3553,  2066,  3130,  2067,  2071,  1237,  2082,  2083,  2084,  2085,
    3138,  2098,  2099,  2682,  3070,  2127,  2132,  2141,  2154,  2177,
    2178,  2232,  2219,  3177,   871,   162,  3169,  3145,  1148, -2039,
    2220,  2238,  1177,  1575,  3153,  2634,  2243,  3814,  3159,  2242,
    2275, -2039,  1239,   162,  3191, -2039,  2250,  2302,  2256,  2273,
   -2039,  2868,  2315,  3171,  2318, -2039,  2322,  2323, -2039,  2340,
   -2039,  1488,   697,  2319,  1178,  2331,  2350,  2332,  2341,  2364,
    2366,  2344,  2367,  2635,  2368,  2379,  1241,  2389,  3578,  2384,
    3201,  2387,  2391,  3202,  2392,  3581,  3582, -2039,  2403,  3732,
    2397,  2400,  2406,  2420,  2434,  2423,  2441,  2509,  2439,  2493,
    2488,  2500,  2497,  2501,  2541,  2510,  2554, -2039,  2511,  2558,
    2559,  2562,  2563,  2564,  2566,  2210,  2567,  1074,  2568,  1179,
    2570,  2868,  2580,   612,  2569,  2582,  3792,  2586,  2593,  2211,
    2596,  2589,  2211,  2211,  2211,  2211,  2211,  2211,  2211,  2211,
    2211,  2211,  3227, -2039,  2597, -1277,  2598,  2601,  2626,  2599,
    1180, -2039,  2600,  2607,  2602,  2638,  2644, -1277,  2631,   691,
    3694, -1277,  2211,  2650,  3533,  3534,  2658,  3283,  2653,   691,
    2675,  2677,  2657,  2689,  2691,  2692,  2693,  2891,  2695,  2683,
    2696,  3703,  2704,  2710,  2707,  2709,  2714,  2717,  2718,  3668,
    2719,  2211,  2211,  3712,  2722,  2729, -2039,  3895,  3399,  2720,
    1563,  2155,  3845, -1277,  2737,   948,  2741,  2743,  2748,  2746,
    3309,  2762,  3302,  3303,  3304,  3305,  2749,  2763,  2765,  2766,
    3344,  2813,  2104, -1277,  2832,  2767,  2847,  2876,  2878,  2770,
    2801,  3726,  2840,  3306,  3307,  3308,  3584,  3585,  3586,  2850,
     625,  2771,  2773,  3952,  2776,  2794,  2800,  2802,  2827,  2870,
    -909,  2903,  2803,  2682,  2810,  2825,  2905,  2826,  4120, -1277,
    2875,  2909,  3446, -2039,  2920,  3449,  2923, -1277,  2930,  2915,
    2926,  2925,  1177,  2934,  2941,    32,  2962,  2955,  2963,  1183,
    2975,  3016,  2977,  2931,  3756,  1184, -2039,  3008, -2039, -2039,
    3009,  3012,  1185,  3015,  3017,  3019,  3704,  3705,  3014,  3018,
    1271,  3020,  3021,  3022,  1178,   553,  3023,  3988,  1187,  3024,
    3026,  3993,  3994,  3025,  3028,  3034,  1188,   554,  3036,  3027,
    1937, -2039,  3029,   872, -2039, -2039, -2039,  3038,  3044,  3050,
    3081,  3857,  3051,  3079,  3052,  3053,  3054,  3084,   555,  3394,
    3395,  3396,  3397,  3055,  3085,  1998,  3727,  3728,  3735,  3096,
    3437,   556,  3989,  3438,  3102,  3439,  3992,  3097,  3101,  1179,
    3128,  3139,  3955,  3141,   557,  3436,  1189,   612,  3143,  3151,
    2685,  3182,  3150,  3459,  3460,  3155,  3160,  1488,  3157, -1277,
    3166,   558,  3190,   612,  3161,  2573,  3196,  3167,  3217,  3170,
    1180,  2573,  2573,  2573,  2573,  2573,  2573,  3198,  3207,  3208,
    3209,   871,   559,  3212,  3228,  3486,  3218,  3219,  1508,  2797,
    4152,  3233,  2779,  2796,  3262,  3263,  3264,  3270,  1568,  2683,
     560,  3290,  3278,  3299,  3291,  3315,  3354,  3331,  3328,  3390,
    3337,   561,  3372,  3392,  3351,   612,   562,  1098,  3393,  3400,
    1119,  1099,   563,  3401,  3504,  3506,  3508,  3510,   936,   937,
    1177,  3418,  3419,  3347,  3348,  3403,  3411,   564,  4152,  3493,
    3420,  3800,  2211,  3801,  3802,  3350,  4152,  3430,  3431,  3432,
    3720,  3721,  3433,  3723,  3805,  3434,  3500,  3435,  3503,  3441,
    3457,  3406,  1178,  3461,  3465,  3467,  3468,  3496,  3498,  3931,
    3497,  3525,  3182,  3517,  3529,  3526,  3536,  3538,  3539,  3541,
    2116,  3557,  3561,  3542,  3518,  3564,  2868,  3562,  3571,  3572,
    2868,  3566,  3575,  3972,  3577,    32,  4044,  3583,  3537,  1183,
    3588,  3865,  3591,  3592,  3593,  1184,  3594,  3595,  3600,  3603,
    3607,   565,  1185,  3608,  3612,  3613,   772,  1179,  3616,  3620,
    1271,   566,  3614,  3615,  3640,  3642,  3644,  3657,  1187,  3879,
    3645,  3652,  3655,  3658,  3660,  3661,  1188,  3669,  3676,   185,
    1606,   621,   622,  3672,  3683,  3678,   628,  3684,  1180,  3598,
     638,   644,   621,  3698,   651,  3699,  3700,   644,   644,  4141,
     677,  3706,   680,  1488,   567,  3713,  3724,   612,   568,  3733,
     569,  3716,  3740,  3729,  1812,  3745,   570,  3748,  3749,   571,
    3757,  3761,  3762,  3766,  3768,  3773,  1189,  3776,  3780,  3789,
    2685,  3790,  3798,  3031,  3804,  3813,  1574,  3812,  3815,  1575,
    3822,  3820,  3824,  3825,   572,  3823,   573,  1813,  3831,  3838,
     574,  3847,  3841,  3859,  2211,  2211,  1576,  3851,   575,  3871,
    1814,  3853,  3887,   576,  1578,  3855,  3897,  1488,  3874,  3881,
    1579,  1488,  1488,  1815,   577,  3882,  3888,  3524,  3904,  3906,
    3917,  3707,  3916,  3935,  3919,  2861,  3921,   578,  3936,  2861,
    3933,  3934,  3937,  3717,  1580,  3956,  3971,  3962,  3636,  3637,
    3638,  3639,  3986,   698,  3979,  4009,  4013,  4016,  4019,  3667,
    3950,  1816,  4025,    32,  4026,  1842,  4031,  1183,  4032,  4043,
    4037,  3677,  4038,  1184,  4042,  4048,  4050,  4061,   162,  3670,
    1185,   733,   738,   738,   741,  3990,   738,   746,  1271,   733,
    1817,   677,  4067,   774,  3675,  1818,  1187,   677,  1436,   677,
    4066,  4076,  4081,   738,  1188,   677,   872,  4070,  4072,  4098,
    3339,  4055,   612,  4103,  3976,  4101,  4106,  4068,  4144,  4109,
    4069,  4117,  4132,  4160,  4163,  1121,  4169,  1197,  1951,  1196,
    2641,  4173,  1636,  1198,  2973,  3701, -2051,  2885,  2492,  3415,
    3891,  2553,  3057,  4000,  1581,  3734,  4001,  3772,  1582,  3918,
    3559,  3920,  3754,   612,  1189,  2928,  3930,  2716,  4104,  3863,
    4140,  4073,  4071,  4115,  4021,  3560,  3710,  3711,  2933,  1583,
    1584,  3714,  3715,  1199,  3528,  2054,  2624,  2625,  2573,  2573,
    3414,  2984,  2608,  2034,  1585,  3530,  3146,  4052,  4174,  3531,
    1819,  4143,   871,  4170,  3098,  3082,  3738,  4116,  3739,  3880,
    2019,  3743,  3744,  4063,  4107,  2868,  3722,  3883,   627,  1586,
    2868,  3974,  1587,  2868,  1483,  3589,  3567,  2447,   185, -2051,
    3725,  2881,  1200,  4030,  3568,  1588,   873,  3035,  3751,  1201,
    3959,  4125,  1202,  4171,  1094,  3911,  2327,  2326,   772,  2888,
    3959,  3547,  3671,  2868,  3364,  2107,   612,  2889,  1733,  1820,
    1115,  1759,  2349,  3770,  2901,  1821,   162,  3763,  1822,  1758,
    2897,  2891,  2348,  1763,  2914, -2051,   772,  2343,  3311,  2902,
    3650,  3878,  3964,  1197,  2594,  1102,  1766, -2051,  3365,  1198,
    3954, -2051,  3791,  1823,  1203,  3282, -2051,  3999,  3272,  1824,
    4089, -2051,  4090,  4097, -2051,  2845, -2051,  2892,  2758,  2843,
    1590,     0,  1825,  3598,  3598,  3598,  3598,   750,  3771,  2301,
    3361,     0,     0,     0,     0,     0,     0,     0,     0,  1199,
       0,  3797,  2211, -2051,     0,     0,  1826,     0,     0,     0,
       0,  2211,     0,     0,     0,     0,     0,     0,  1204,  1177,
    1205,     0,     0, -2051,     0,     0,     0,     0,  2211,  2211,
    1206,  2868,     0,  4137,     0,     0,     0,     0,  1207,     0,
       0,  4040,     0,     0,  2861,     0,     0,  1208,  1200,  2861,
       0,  1178,  2861,     0,     0,  1201,     0,     0,  1202, -2051,
       0,     0,     0,     0,     0,     0,     0, -2051,  1591,  1592,
    1593,     0,  1594,  1595,  1596,  1597,  1598,  1599,  1209,  2868,
       0,     0,  1210,     0,     0,     0,     0,     0,     0,     0,
       0,   797,     0,     0,     0,     0,   677,  3079,   733,     0,
       0,   738,     0,   741,     0,   738,  1179,  1211,     0,     0,
    1203,   774, -2051,     0,   850,     0,     0,     0,     0,     0,
    2573,   738,     0,     0,  3892,     0,  3856,  3866,  3868,  3868,
       0,   612,     0,     0,     0,     0,     0,  1180,     0,     0,
       0,     0,   733,     0,     0,     0,     0,   741,     0,     0,
       0,   733,     0,     0,   774,     0,   625,     0,     0,     0,
       0,     0,     0,  1212,  1204,     0,  1205,     0,     0,   738,
       0,     0,     0,     0,     0,  3900,  1206,     0,     0, -2051,
       0,     0,     0,     0,  1207,  1574,     0,     0,  1575,     0,
       0,     0,     0,  1208,     0,     0,  1574,     0,     0,  1575,
       0,     0, -2051,     0, -2051, -2051,  1074,     0,     0,     0,
       0,  2211,     0,  1578,   772,   677,     0,     0,     0,  1579,
       0,     0,     0,     0,  1578,   677,   961,  1181,  1210,     0,
    1579,  1574,  3938,     0,  1575,     0,     0, -2051,  2861,     0,
   -2051, -2051, -2051,  1580,  1069,     0,   677,   644,     0,     0,
       0,   644,     0,  1211,  1580,     0,     0,     0,  1182,  1578,
    4078,     0,    32,   677,     0,  1579,  1183,   677,     0,  2868,
       0,     0,  1184,  1069,     0,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,   677,   871,     0,  1186,     0,  1580,
       0,     0,     0,     0,     0,  1187,   677,  3983,     0,  4105,
       0,     0,     0,  1188,     0,     0,     0,     0,     0,  1212,
    3980,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3996,     0,
    3998,     0,     0,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,  1581,     0,     0,     0,  1582,     0,   738,
     738,  3296,     0,  1189,  1581,     0,     0,     0,  1582,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1583,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1583,
    1584,     0,     0,  1585,     0,     0,     0,   733,     0, -2124,
       0,     0,     0,  1582,  1585,     0,     0,   733,     0,     0,
     774,     0,     0,     0,     0,     0,     0,     0,  1586,     0,
    4172,  1587,     0,   738,  1583,  1584,     0,     0,     0,     0,
    3868,     0,  1587,     0,  1588,     0,     0,   677,     0, -2124,
       0,     0,     0,   738,   738,  1588,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   677,   677,   677,
     738,     0,   733,     0,     0,     0,     0,  1587,     0,  4075,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1588,     0,     0,     0,     0,     0,     0,   738,   738,     0,
       0,     0,  4159,     0,     0,     0,     0,   162,  4130,   166,
    4127,  4128,  4129,     0,     0,     0,     0,     0,     0,  1590,
    1069,     0,     0,     0,     0,     0,     0,     0,  4151,  4108,
    1590,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4158,  4130,   166,  4127,  4128,  4129,     0,
    1468,  1468,     0,     0,     0,   677,     0,   621,     0,     0,
       0,     0,  4150,     0,     0, -2124,     0,     0,     0,  4142,
       0,     0,     0,     0,  1497,     0,  4151,   677,     0,     0,
    1503,     0,     0,     0,  4151,     0,     0,   162,  4130,   166,
    4127,  4128,  4129,  1069,     0,     0,     0,     0,     0,     0,
    1197,     0,     0,     0,     0,     0,  1198,  1591,  1592,  1593,
    4150,  1594,  1595,  1596,  1597,  1598,  1599,     0,  4150, -2124,
   -2124,  1069,  1594,  1595,  1596,  1597,  1598,  1599,     0,  -115,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     1,     0,     0,  1199,     0,     0,  1069,
    1069,     0,  1069,     2,     0,     3,     4,  1594,  1595,  1596,
    1597,  1598,  1599,     0,     0,     0,     0,     0,     0,  1069,
       5,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       6,     0,     7,     8,     0,  1200,     0,     0,     9,     0,
      10,     0,  1201,     0,   677,  1202,     0,  1069,     0,     0,
      11,     0,    12,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    13,     0,
       0,    14,     0,     0,     0,     0,  1069,     0,     0,     0,
    1069,  1069,     0,    15,     0,    16,     0,     0,     0,    17,
     677,   677,  1769,     0,     0,    18,     0,  1203,     0,     0,
       0,     0,    19,     0,    20,     0,     0,     0,   644,     0,
      21,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    22,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   644,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1864,     0,     0,     0,
       0,  1204,   677,  1205,     0,   738,     0,     0,     0,     0,
       0,     0,     0,  1206,     0,     0,     0,  1574,     0,     0,
    1575,  1207,     0,   774,     0,     0,     0,    23,    24,     0,
    1208,     0,     0,    25,     0,     0,     0,  1576,     0,     0,
       0,    26,     0,     0,     0,  1578,     0,     0,     0,     0,
       0,  1579,    27,     0,     0,   738,   738,   738,   738,   677,
       0,  1249,     0,     0,  1574,  1210,     0,  1575,     0,     0,
     644,     0,     0,     0,     0,  1580,     0,     0,     0,     0,
       0,     0,     0,  1962,  1576,   677,     0,     0,     0,    28,
    1250,     0,  1578,   738,   738,     0,     0,     0,  1579,   738,
      29,     0,     0,     0,     0,    30,     0,    31,     0,     0,
       0,     0,    32,     0,     0,     0,     0,    33,     0,     0,
      34,     0,  1580,     0,    35,     0,     0,     0,     0,    36,
      37,     0,     0,     0,     0,     0,     0,    38,     0,     0,
      39,     0,     0,     0,     0,   738,  1212,    40,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    41,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   738,
     738,   738,   738,     0,     0,  1581,    42,     0,     0,  1582,
       0,     0,     0,     0,     0,    43,     0,     0,  1962,     0,
       0,    44,     0,     0,     0,     0,    45,   733,     0,     0,
    1583,  1584,     0,     0,   741,     0,   733,     0,    46,     0,
       0,     0,     0,     0,   774,  1585,     0,     0,     0,   677,
       0,     0,  1581,     0,     0,     0,  1582,     0,   677,     0,
       0,     0,     0,     0,   738,   738,     0,     0,     0,   677,
    1586,     0,    47,  1587,     0,  -115,     0,  1583,  1584,     0,
       0,     0,     0,     0,     0,     0,  1588,     0,     0,  1589,
       0,     0,  1585,     0,  1468,     0,     0,     0,     0,     0,
       0,     0,   733,     0,     0,     0,   677,   677,     0,     0,
       0,     0,     0,     0,   677,     0,     0,  1586,     0,     0,
    1587,     0,     0,     0,     0,     0,     0,   621,   621,     0,
       0,  2157,     0,  1588,     0,  1069,  1589,  1069,     0,     0,
       0,     0,     0,     0,  1069,     0,     0,  1069,     0,     0,
    1069,     0,     0,  1574,     0,     0,  1575,     0,  1069,  1069,
       0,  1590,     0,     0,     0,     0,  1069,     0,   774,  1069,
    1069,  1069,  1069,  1576,     0,     0,     0,     0,     0,  1069,
    1069,  1578,  1069,     0,  1069,  1069,     0,  1579,  1069,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1069,     0,     0,  1590,   738,
    1069,  1580,     0,     0,  1069,     0,     0,     0,  1069,     0,
    1069,  1069,  1069,  1069,  1069,  1069,  1069,  1069,  1069,     0,
    1069,     0,     0,     0,   677,  1069,     0,  1069,     0,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,  1591,
    1592,  1593,     0,  1594,  1595,  1596,  1597,  1598,  1599,     0,
       0,  2320,     0,     0,     0,     0,     0,  2321,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1591,  1592,  1593,     0,
    1594,  1595,  1596,  1597,  1598,  1599,     0,     0,     0,     0,
       0,  1581,     0,  2772,     0,  1582,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1574,     0,
       0,  1575,     0,     0,     0,     0,  1583,  1584,     0,     0,
       0,     0,  1573,     0,     0,     0,     0,  1574,     0,     0,
    1575,  1585,     0,     0,     0,  1574,  1578,   677,  1575,   677,
       0,  1069,  1579,     0,     0,     0,     0,  1576,     0,     0,
    1577,     0,     0,     0,     0,  1578,  1586,     0,     0,  1587,
       0,  1579,     0,  1578,     0,     0,  1580,     0,     0,  1579,
       0,     0,  1588,     0,     0,  1589,     0,  2356,     0,  2363,
       0,     0,     0,     0,     0,  1580,     0,     0,     0,     0,
       0,     0,     0,  1580,   741,     0,     0,     0,     0,   621,
       0,   621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1069,     0,     0,     0,
       0,   733,     0,   738,   738,   738,     0,   733,   774,     0,
     738,     0,   738,     0,   738,   738,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1590,     0,     0,
       0,     0,     0,     0,     0,  3297,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,     0,     0,  1864,
    1582,     0,     0,     0,     0,  2455,     0,     0,     0,     0,
    2464,     0,     0,     0,     0,  1581,   677,     0,     0,  1582,
       0,  1583,  1584, -2124,     0,     0,     0,  1582,     0,     0,
       0,     0,  2495,  2495,     0,     0,  1585,     0,     0,   741,
    1583,  1584,     0,     0,     0,     0,     0,     0,  1583,  1584,
       0,     0,     0,   738,     0,  1585,     0,     0,     0,     0,
       0,     0,     0, -2124,  1587,  1591,  1592,  1593,     0,  1594,
    1595,  1596,  1597,  1598,  1599,     0,  2543,  1588,  2545,  2547,
    1586,     0,  2820,  1587,     0,     0,     0,     0,     0,     0,
       0,  1587,     0,     0,     0,     0,  1588,     0,     0,  1589,
       0,     0,     0,     0,  1588,   738,     0,     0,     0,     0,
       0,     0,     0,   738,   738,   738,   738,   738,   738,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1069,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1590,     0,     0,  1864,     0,     0,     0,  2495,
     677,     0,     0,     0,   621,     0,     0,     0,     0,     0,
       0,  1590,     0,     0,  1574,     0,     0,  1575,     0, -2124,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2543,
       0,     0,     0,     0,  1576,     0,   738,  2671,     0,     0,
       0,     0,  1578,     0,     0,     0,     0,     0,  1579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   738,  2495,   738,  2495,     0,     0,     0,     0,     0,
       0,     0,  1580,     0,     0,     0,     0,     0,     0,     0,
    1591,  1592,  1593,  1069,  1594,  1595,  1596,  1597,  1598,  1599,
       0,     0,     0,     0,     0,  1468,     0,     0,     0,  1591,
    1592,  1593,     0,  1594,  1595,  1596,  1597,  1598,  1599,     0,
       0,  1594,  1595,  1596,  1597,  1598,  1599,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   733,     0,  1197,
       0,   733,     0,     0,     0,  1198,     0,     0,     0,   738,
       0,     0,     0,     0,     0,     0,  1069,  1069,     0,     0,
    1574,     0,     0,  1575,     0,     0,     0,     0,     0,     0,
       0,     0,  1581,     0,     0,     0,  1582,     0,     0,     0,
    1576,     0,     0,     0,     0,  1199,  1069,  1069,  1578,     0,
       0,  1069,     0,     0,  1579,     0,     0,  1583,  1584,     0,
       0,     0,     0,  1069,  1069,  1069,  1069,     0,     0,     0,
       0,     0,  1585,     0,     0,     0,  1069,     0,  1580,  1069,
       0,  1069,  2824,     0,     0,     0,     0,     0,     0,     0,
       0,  1069,  1069,     0,  1200,  1069,     0,  1586,     0,     0,
    1587,  1201,     0,  1574,  1202,     0,  1575,     0,  1069,     0,
    1069,     0,   774,  1588,  1069,     0,  1589,     0,     0,     0,
       0,     0,     0,  1576,     0,     0,     0,     0,     0,     0,
    1069,  1578,     0,     0,   677,     0,     0,  1579,     0,     0,
       0,  2869,     0,  1069,  1069,  1069,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1203,     0,     0,     0,
    1069,  1580,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1069,     0,     0,     0,     0,  1069,     0,  1581,     0,
     677,     0,  1582,  1069,     0,     0,     0,     0,  1590,  2869,
       0,     0,  2908,     0,     0,     0,  2363,     0,     0,     0,
       0,     0,     0,  1583,  1584,     0,     0,     0,     0,     0,
    1204,     0,  1205,     0,     0,     0,     0,     0,  1585,     0,
       0,     0,  1206,     0,     0,     0,  1069,     0,  2495,     0,
    1207,     0,     0,  1468,     0,     0,     0,     0,     0,  1208,
       0,     0,     0,  1586,     0,     0,  1587,     0,     0,     0,
     738,     0,   738,   738,     0,     0,     0,     0,     0,  1588,
       0,  1581,  1589,     0,     0,  1582,     0,     0,     0,     0,
    1274,     0,     0,     0,  1210,     0,  1591,  1592,  1593,     0,
    1594,  1595,  1596,  1597,  1598,  1599,  1583,  1584,     0,     0,
    2241,     0,     0,     0,     0,     0,     0,     0,     0,  1275,
       0,  1585,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1574,
       0,     0,  1575,     0,     0,     0,  1586,     0,     0,  1587,
       0,     0,     0,     0,  1590,     0,     0,     0,     0,     0,
       0,     0,  1588,     0,     0,  1589,     0,  1578,     0,     0,
       0,     0,     0,  1579,     0,  1212,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,  1198,     0,     0,  1580,     0,     0,
     497,     0,     0,     0,     0,     0,   542,   497,     0,     0,
       0,     0,   582,     0,   497,     0,     0,     0,     0,   497,
       0,   630,     0,     0,     0,     0,     0,  2495,  2495,     0,
       0,     0,     0,     0,  1199,     0,     0,  1590,     0,   689,
       0,     0,  1591,  1592,  1593,     0,  1594,  1595,  1596,  1597,
    1598,  1599,     0,     0,     0,     0,  3083,     0,     0,  3300,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1200,     0,   677,     0,     0,     0,     0,
    1201,     0,     0,  1202,     0,     0,     0, -2124,     0,     0,
       0,  1582,     0,     0,     0,     0,     0,     0,     0,  1468,
     677,     0,     0,     0,     0,     0,     0,   677,     0,     0,
       0,   677,  1583,  1584,     0,  1591,  1592,  1593,     0,  1594,
    1595,  1596,  1597,  1598,  1599,     0,   677, -2124,     0,  3281,
       0,     0,     0,     0,     0,  1203,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   677,     0,  1587,   677,     0,     0,     0,
       0,   745,     0,  3206,     0,     0,     0,     0,  1588,     0,
     776,   733,   778,     0,   780,     0,   782,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1204,
     677,  1205,     0,     0,     0,     0,     0,     0,   738,     0,
       0,  1206,     0,     0,     0,     0,  1069,     0,     0,  1207,
       0,     0,     0,     0,     0,  1069,     0,     0,  1208,     0,
       0,  1069,     0,  1069,     0,     0,     0,  1574,     0,  1069,
    1575,     0,  1069,  1069,  1069,  1069,  1069,  1069,  1069,  1069,
    1069,  1069,     0, -2124,     0,  1069,  1069,  1576,     0,  1829,
       0,     0,     0,  1210,     0,  1578,     0,     0,  1069,     0,
       0,  1579,  1069,     0,     0,     0,  1069,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1069,     0,  1830,  1069,
       0,  1069,     0,     0,     0,  1580,     0,     0,     0,     0,
    1069,  1069,  1069,     0,     0,     0,  1069,     0,     0,  1069,
       0,     0,     0,     0,     0,     0,   677,   677,   677,  2869,
    3314,     0,     0,     0,  3314,  3327,     0,     0,     0,  1069,
       0,     0,     0,     0,     0,  3341,     0,  1069,     0,  1069,
       0,     0,     0,     0,  1212,  1594,  1595,  1596,  1597,  1598,
    1599,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1069,     0,     0,     0,     0,     0,  1069,     0,
       0,     0,  2363,     0,  1069,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3380,
    1468,  1468,     0,  1962,     0,  1581,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,   738,   738,   738,   738,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1583,  1584,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1585,  3413,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,     0,  1587,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1588,     0,     0,  1589,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1344,     0,     0,  3462,     0,     0,     0,     0,
       0,     0,     0,   829,     0,     0,     0,     0,     0,     0,
     836,     0,     0,     0,     0,     0,     0,     0,     0,   851,
     852,     0,     0,     0,   854,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   868,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   876,     0,  1574,
       0,  1590,  1575,     0,     0,     0,     0,     0,     0,   677,
       0,   896,     0,     0,   898,     0,   900,     0,   903,  1576,
     738,     0,  1069,     0,     0,     0,     0,  1578,   677,     0,
       0,     0,     0,  1579,     0,     0,     0,     0,     0,     0,
       0,  1864,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   677,     0,   497,     0,     0,     0,  1580,     0,     0,
    2543,     0,     0,     0,     0,     0,  3554,  1344,     0,     0,
    1864,     0,  3206,     0,     0,   958,     0,   959,     0,     0,
       0,     0,     0,  1069,  1069,     0,     0,     0,     0,  1591,
    1592,  1593,     0,  1594,  1595,  1596,  1597,  1598,  1599,     0,
       0,     0,     0,  3353,     0,  2495,     0,  2495,     0,     0,
       0,     0,     0,     0,     0,     0,  1574,     0,     0,  1575,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   689,
       0,     0,     0,     0,     0,     0,  1576,     0,     0,     0,
    1069,     0,     0,     0,  1578,     0,     0,     0,     0,     0,
    1579,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,  1582,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1580,     0,  1069,     0,     0,     0,
       0,     0,  1583,  1584,     0,     0,  1069,  1069,     0,     0,
       0,     0,     0,     0,  1069,  1069,     0,  1585,     0,  1069,
       0,     0,     0,     0,     0,  1069,  1069,     0,     0,  1069,
       0,   677,   677,   677,   677,     0,     0,     0,  3314,     0,
       0,  3641,  1586,     0,  2869,  1587,     0,     0,  2869,     0,
    1277,     0,     0,     0,  3654,     0,     0,  1069,  1588,     0,
       0,  1589,  1069,     0,     0,  1289,     0,     0,  3664,     0,
       0,     0,     0,     0,  1069,     0,  1297,     0,  1344,  1574,
     774,     0,  1575,  1299,     0,     0,     0,     0,  2908,     0,
       0,     0,  2363,     0,  1581,  1349,     0,     0,  1582,  1576,
       0,   621,     0,     0,  1069,     0,     0,  1578,     0,     0,
       0,     0,     0,  1579,     0,     0,     0,     0,     0,  1583,
    1584,  2495,  2495,     0,     0,  1857,     0,  1391,     0,     0,
       0,     0,     0,  1590,  1585,     0,     0,  1580,  3702,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1344,     0,     0,     0,     0,  1586,
       0,     0,  1587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   738,     0,     0,  1588,     0,     0,  1589,     0,
       0,     0,     0,     0,     0,     0,   738,   497,     0,   497,
       0,   497,     0,   497,     0,   497,   497,   497,     0,     0,
       0,     0,   497,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1468,     0,
    1344,  1591,  1592,  1593,     0,  1594,  1595,  1596,  1597,  1598,
    1599,     0,     0,     0,     0,  3374,     0,  1581,     0,  1344,
       0,  1582,     0,     0,     0,     0,  1069,     0,     0,     0,
    1590,     0,     0,     0,     0,     0,     0,     0,     0,  1344,
       0,     0,  1583,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   738,  1864,     0,  1585,     0,     0,
       0,     0,     0,     0,  1344,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,   677,  1587,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1588,     0,
       0,  1589,  1574,     0,     0,  1575,     0,     0,     0,     0,
       0,     0,  1069,     0,     0,     0,  1344,     0,  1591,  1592,
    1593,  1069,  1594,  1595,  1596,  1597,  1598,  1599,     0,     0,
    1578,     0,  3601,     0,     0,     0,  1579,     0,  1069,  1069,
       0,     0,  1069,     0,     0,     0,     0,     0,     0,  3314,
       0,     0,     0,  2869,     0,     0,     0,     0,  2869,   689,
    1580,  2869,  2543,     0,  3843,     0,  1069,  1069,     0,     0,
       0,     0,     0,  1590,     0,     0,  1574,     0,     0,  1575,
       0,     0,     0,     0,     0,     0,     0,  1574,     0,     0,
    1575,  3380,   774,   738,   738,   738,  1576,     0,     0,     0,
       0,     0,     0,     0,  1578,     0,     0,  1576,     0,     0,
    1579,     0,     0,     0,     0,  1578,     0,     0,  1828,   733,
     774,  1579,  3633,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1580,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1580,     0,     0,     0,  1468,
       0,     0,     0,     0,     0,   733,     0,     0,   677,     0,
   -2124,  1591,  1592,  1593,  1582,  1594,  1595,  1596,  1597,  1598,
    1599,  2495,     0,  1864,     0,  3635,     0,     0,     0,     0,
       0,     0,     0,     0,  3554,  1583,  1584,  1344,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   738,  3380,
   -2124,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2313,  1069,     0,     0,  1069,     0,  1069,     0,  1587,     0,
       0,     0,     0,     0,  1581,     0,     0,     0,  1582,     0,
       0,  1588,     0,  1069,     0,  1581,     0,  2869,     0,  1582,
    3843,     0,     0,     0,     0,     0,  3970,     0,     0,  1583,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1583,  1584,     0,     0,  1585,     0,   738,     0,     0,     0,
     677,     0,     0,     0,     0,  1585,     0,     0,     0,     0,
       0,     0,     0,   738,   738,   738,   738,     0,  2014,  1586,
       0,     0,  1587,     0,     0,     0,     0,     0,     0,     0,
    1586,  2036,     0,  1587,     0,  1588, -2124,     0,  1589,     0,
       0,     0,     0,     0,     0,  1069,  1588,     0,     0,  1589,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,  2077,
       0,  1198,     0,  2081,     0,     0,     0,     0,     0,     0,
       0,     0,  2090,     0,  2092,  1574,  2093,     0,  1575,     0,
       0,  2094,     0,     0,     0,     0,  1231,     0,     0,     0,
    1069,     0,     0,     0,     0,  1576,   738,     0,   774,     0,
    1590,  1199,     0,  1578,   497,  1069,   497,     0,   497,  1579,
     497,  1590,   497,     0,     0,     0,   497,     0,  1594,  1595,
    1596,  1597,  1598,  1599,     0,     0,     0,     0,     0,     0,
       0,     0,  1232,  1580,     0,   738,     0,     0,   733,     0,
       0,     0,     0,     0,     0,     0,     0,  3380,     0,     0,
    1200,     0,     0,     0,     0,     0,     0,  1201,     0,     0,
    1202,  3970,     0,     0,  1069,  1069,     0,     0,     0,     0,
    2442,     0,     0,     0,     0,  1857,  2449,   733,     0,     0,
       0,     0,     0,     0,     0,   738,  1344,     0,  1591,  1592,
    1593,     0,  1594,  1595,  1596,  1597,  1598,  1599,  1343,  1591,
    1592,  1593,  3821,  1594,  1595,  1596,  1597,  1598,  1599,  1233,
    1069,     0,  1203,  3861,     0,     0,     0,     0,     0,     0,
    1069,     0,     0,     0,     0,   738,     0,     0,     0,  1574,
       0,     0,  1575,  1581,     0,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1576,
       0,     0,     0,     0,  1234,     0,  1235,  1578,  1583,  1584,
       0,     0,     0,  1579,     0,     0,  1236,     0,  1205,     0,
       0,     0,     0,  1585,     0,     0,     0,     0,  1206,  1069,
       0,     0,     0,     0,     0,     0,  1207,  1580,   733,     0,
       0,     0,     0,     0,  1237,  1208,     0,     0,  1586,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1344,  1588,     0,     0,  1589,     0,     0,
       0,     0,     0,  1343,     0,     0,  1238,     0,     0,     0,
    1210,  1239,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1240,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1241,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1857,  1581,     0,  1590,
       0,  1582,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,     0,     0,     0,     0,     0,     0,   735,
     754,  1212,  1583,  1584,     0,   754,     0,     0,     0,     0,
       0,     0,     0,     0,   754,     0,     0,  1585,     0,     0,
    2370,  2371,     0,     0,     0,  2374,  2375,     0,     0,  2378,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2388,
       0,     0,  1586,  1624,     0,  1587,  2396,     0,     0,     0,
       0,     0,  2401,  2402,     0,     0,  1344,     0,  1588,     0,
       0,  1589,     0,  2416,     0,  2418,     0,  1591,  1592,  1593,
       0,  1594,  1595,  1596,  1597,  1598,  1599,     0,     0,  2438,
    1574,  3902,     0,  1575,  2440,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1576,     0,     0,     0,  1343,     0,     0,     0,  1578,     0,
    2456,  2457,  2460,  2462,  1579,     0,     0,  2469,  2472,     0,
       0,     0,     0,     0,     0,  2483,     0,     0,  2487,     0,
       0,     0,  2491,  1590,     0,     0,     0,     0,  1580,     0,
       0,     0,     0,  1574,     0,     0,  1575,     0,  2514,     0,
       0,  1343,     0,     0,     0,     0,     0,     0,  2517,     0,
    2519,     0,     0,  1576,     0,     0,     0,     0,  2522,  2523,
    2524,  1578,  2526,     0,     0,     0,     0,  1579,     0,     0,
    1343,     0,     0,     0,     0,  2549,  2550,  2551,     0,     0,
       0,     0,     0,     0,     0,  2556,  2557,     0,     0,     0,
       0,  1580,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2313,  2313,  2313,     0,
       0,  1591,  1592,  1593,     0,  1594,  1595,  1596,  1597,  1598,
    1599,     0,     0,     0,     0,  4077,     0,     0,  1581,     0,
       0,     0,  1582,     0,     0,     0,  1343,     0,     0,     0,
       0,     0,     0,     0,     0,  2619,     0,     0,     0,     0,
       0,     0,     0,  1583,  1584,  1343,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1585,     0,
       0,     0,     0,     0,     0,  1343,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1581,     0,  1586,     0,  1582,  1587,     0,     0,     0,
    1343,     0,     0,     0,     0,     0,     0,     0,  1344,  1588,
       0,     0,  1589,     0,     0,     0,  1583,  1584,   735,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   754,
       0,  1585,     0,   754,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   754,     0,  1857,  2449,     0,  2449,
       0,     0,  1343,     0,     0,     0,  1586,     0,   754,  1587,
       0,     0,   735,     0,     0,     0,     0,     0,     0,     0,
       0,   735,  1588,     0,     0,  1589,     0,     0,     0,     0,
       0,     0,     0,  2739,  1590,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   754,     0,     0,     0,     0,  1344,
       0,  1344,     0,     0,     0,     0,     0,  1574,     0,     0,
    1575,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1576,     0,     0,
       0,  2333,     0,     0,     0,  1578,     0,     0,     0,     0,
       0,  1579,     0,     0,     0,  1344,     0,  1590,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   735,  1580,  1344,     0,     0,   754,
       0,     0,  1591,  1592,  1593,     0,  1594,  1595,  1596,  1597,
    1598,  1599,     0,     0,     0,     0,  4161,     0,     0,     0,
       0,  2449,     0,   735,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2449,
    2334,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1343,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1591,  1592,  1593,     0,  1594,
    1595,  1596,  1597,  1598,  1599,     0,     0,  3349,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1581,     0,     0,     0,  1582,
       0,     0,     0,  1344,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2449,     0,     0,     0,
    1583,  1584,     0,     0,     0,     0,     0,  1344,     0,     0,
    2918,  2919,     0,     0,     0,  1585,     0,   735,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,     0,  1587,     0,     0,     0,     0,     0,  1345,
       0,     0,     0,     0,     0,     0,  1588,     0,     0,  1589,
       0,     0,     0,     0,     0,     0,  2950,  2952,     0,     0,
    2952,     0,  1344,     0,  2959,  2960,  2961,     0,     0,     0,
       0,     0,   735,     0,     0,     0,     0,  1574,     0,     0,
    1575,  1344,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1576,  2979,  2980,
    2981,  2982,     0,     0,  1574,  1578,  1344,  1575,     0,     0,
       0,  1579,     0,     0,     0,     0,   754,     0,     0,     0,
     735,  1590,     0,     0,  1576,     0,     0,     0,   754,     0,
       0,     0,  1578,     0,  3007,  1580,     0,     0,  1579,     0,
       0,     0,  1344,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1580,     0,  1345,     0,     0,     0,     0,     0,
    2335,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   754,  2313,     0,     0,     0,     0,  3039,     0,     0,
       0,     0,  3041,   735,     0,     0,  1343,     0,     0,     0,
       0,  1343,  1343,     0,     0,     0,     0,     0,     0,  1591,
    1592,  1593,  1343,  1594,  1595,  1596,  1597,  1598,  1599,     0,
       0,   735,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1581,     0,     0,     0,  1582,
       0,  2796,     0,     0,     0,     0,  2797,     0,     0,   735,
     735,     0,   735,     0,  3126,     0,     0,     0,     0,     0,
    1583,  1584,  1581,     0,  3133,     0,  1582,     0,     0,   735,
       0,     0,     0,     0,     0,  1585,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1583,  1584,     0,
    3152,   754,  3154,     0,  2449,     0,     0,     0,   754,   754,
    1586,     0,  1585,  1587,     0,     0,     0,   735,  1720,     0,
       0,     0,   798,     0,     0,     0,  1588,     0,     0,  1589,
       0,     0,     0,     0,     0,     0,     0,  1586,     0,  3194,
    1587,     0,     0,     0,     0,     0,   735,     0,  3273,  1343,
     735,   735,  3203,  1588,     0,   799,  1589,     0,     0,     0,
       0,     0,     0,     0,     0,  1345,     0,     0,   800,   801,
       0,  1720,     0,     0,     0,     0,     0,   802,     0,     0,
       0,   803,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   804,     0,
       0,  1590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1345,     0,  3274,     0,     0,     0,     0,   805,
       0,     0,  1343,     0,     0,     0,     0,     0,  1590,     0,
       0,     0,     0,     0,     0,     0,     0,   806,     0,     0,
       0,  1345,     0,     0,     0,     0,     0,     0,   807,     0,
       0,  1344,     0,   808,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   809,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1857,     0,     0,   754,  1591,
    1592,  1593,     0,  1594,  1595,  1596,  1597,  1598,  1599,   810,
       0,     0,  1343,     0,     0,     0,     0,  1345,     0,     0,
       0,     0,     0,     0,     0,     0,  1591,  1592,  1593,     0,
    1594,  1595,  1596,  1597,  1598,  1599,  1345,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1345,     0,   811,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1720,     0,     0,     0,
       0,  1345,     0,     0,     0,     0,   185,     0,     0,     0,
       0,     0,     0,   754,  3391,     0,     0,     0,     0,     0,
       0,     0,  1344,     0,     0,     0,     0,     0,     0,   754,
       0,   812,     0,  1344,     0,   813,     0,   814,     0,     0,
       0,     0,     0,   815,     0,     0,   816,   735,  3412,     0,
       0,     0,     0,  1345,     0,     0,   735,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2313,   817,     0,   818,     0,  2313,     0,   819,     0,     0,
     754,     0,     0,     0,     0,   820,     0,  2313,  3440,     0,
     821,   754,     0,  3447,  3448,     0,  3450,  3451,  3452,  3453,
    3454,  3455,  3456,     0,     0,     0,     0,     0,     0,     0,
       0,  3463,     0,     0,   822,     0,     0,     0,     0,     0,
       0,     0,   735,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1344,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1344,     0,   735,     0,   735,     0,     0,
       0,     0,     0,     0,   735,  1344,     0,   735,     0,     0,
     735,     0,     0,     0,     0,     0,     0,     0,   735,   735,
    3512,  3514,  3516,     0,     0,  3519,   735,     0,     0,   735,
     735,   735,   735,     0,  1343,     0,     0,     0,     0,   735,
     735,     0,   735,  1344,   735,   735,     0,     0,   735,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1345,   735,  1720,     0,     0,     0,
     735,     0,  1343,  1343,   735,  1343,     0,     0,   735,     0,
     735,   735,   735,   735,   735,   735,   735,   735,   735,     0,
     735,     0,     0,     0,     0,   735,     0,   735,     0,     0,
       0,     0,     0,  2952,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1343,     0,  1343,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3795,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1343,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1344,
       0,     0,  1343,     0,     0,     0,     0,     0,  1574,     0,
       0,  1575,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   755,     0,     0,     0,     0,   755,  1343,  1576,     0,
       0,   735,     0,     0,     0,   755,  1578,     0,     0,     0,
       0,     0,  1579,     0,     0,  1343,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1580,     0,     0,     0,
       0,     0,     0,     0,     0,   754,     0,     0,     0,  1720,
     754,     0,     0,   754,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2449,     0,
       0,     0,     0,     0,     0,   754,   735,     0,     0,  1343,
       0,   735,     0,     0,     0,     0,     0,   735,     0,     0,
       0,     0,  1343,  3697,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1343,   754,     0,     0,     0,     0,     0,
       0,     0,  3708,  3709,  4135,     0,     0,  1345,     0,     0,
       0,     0,  1345,  1345,  3718,  3719,     0,   754,     0,     0,
       0,     0,     0,  1345,     0,     0,  1581,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,  1720,
     754,     0,  1720,     0,  2449,     0,     0,     0,     0,     0,
       0,  1583,  1584,     0,     0,     0,     0,     0,  1343,     0,
     754,     0,     0,   754,     0,  1344,  1585,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1343,     0,     0,
     754,     0,     0,     0,     0,     0,     0,   754,     0,     0,
       0,  1586,     0,     0,  1587,  1344,     0,     0,     0,     0,
     754,     0,  1343,     0,     0,     0,     0,  1588,     0,   754,
    1589,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3765,     0,     0,     0,     0,     0,  4136,     0,  1344,
       0,     0,     0,  1344,  1344,     0,     0,     0,  1343,     0,
       0,     0,     0,     0,     0,  3785,     0,     0,   735,     0,
    1345,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1574,     0,  3803,  1575,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1590,     0,  1576,     0,     0,  2760,     0,     0,
       0,     0,  1578,     0,     0,  3795,     0,     0,  1579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     755,     0,  1580,  1345,   755,     0,   754,     0,     0,     0,
       0,     0,     0,     0,     0,   755,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   755,
       0,     0,   497,     0,     0,     0,     0,     0,   754,     0,
       0,     0,     0,   735,     0,     0,     0,     0,     0,     0,
    1591,  1592,  1593,     0,  1594,  1595,  1596,  1597,  1598,  1599,
       0,     0,     0,     0,     0,   755,     0,     0,     0,     0,
    1343,   754,     0,     0,     0,     0,     0,  1335,     0,     0,
       0,     0,     0,  1345,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   754,     0,     0,     0,   735,     0,     0,
       0,   735,  1581,     0,     0,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   735,   735,     0,     0,
       0,     0,     0,     0,  3909,     0,     0,  1583,  1584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     755,     0,  1585,     0,     0,     0,   735,   735,     0,     0,
       0,   735,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2952,     0,   735,   735,   735,   735,  1586,     0,     0,
    1587,  1720,     0,     0,     0,     0,   735,  1720,     0,   735,
       0,   735,     0,  1588,     0,     0,  1589,     0,     0,     0,
       0,   735,   735,     0,     0,   735,     0,     0,     0,     0,
       0,     0,  1335,     0,     0,     0,     0,     0,   735,     0,
     735,     0,     0,     0,   735,     0,     0,  1343,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,     0,     0,     0,     0,  1574,     0,     0,  1575,
       0,   735,     0,   735,   735,   735,     0,     0,     0,     0,
       0,  1343,     0,     0,     0,     0,  1576,   754,  1590,     0,
     735,     0,     0,   756,  1578,     0,     0,     0,   756,     0,
    1579,   735,     0,     0,     0,     0,   735,   756,     0,     0,
       0,     0,     0,   735,     0,     0,     0,     0,     0,   735,
       0,     0,     0,     0,  1580,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   754,     0,     0,     0,     0,
    2952,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   754,     0,     0,  1345,  1591,  1592,  1593,     0,
    1594,  1595,  1596,  1597,  1598,  1599,     0,     0,  1343,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1343,
       0,     0,     0,     0,     0,     0,  4074,     0,     0,     0,
       0,     0,     0,  1345,  1345,     0,  1345,   755,     0,     0,
       0,     0,     0,  1335,  1581,     0,     0,     0,  1582,   755,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1720,  1720,  1720,     0,     0,     0,  1583,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1574,     0,   754,  1575,  1585,     0,  1345,     0,  1345,   754,
    1335,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1576,     0,   755,  2804,     0,     0,     0,     0,  1578,  1586,
       0,     0,  1587,     0,  1579,     0,     0,     0,  1343,  1335,
       0,     0,     0,     0,     0,  1588,     0,     0,  1589,     0,
       0,     0,  1345,     0,     0,     0,     0,     0,  1580,  1343,
       0,     0,  2774,     0,     0,     0,     0,   754,     0,     0,
       0,  1343,     0,  1345,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1720,     0,     0,  1345,     0,
       0,     0,     0,     0,     0,  1335,     0,     0,     0,  1343,
       0,     0,     0,     0,     0,  1720,  1345,     0,     0,     0,
    1590,     0,     0,     0,  1335,     0,     0,     0,     0,   754,
       0,   754,   755,     0,     0,     0,     0,     0,     0,   755,
     755,     0,     0,     0,  1335,     0,     0,     0,     0,  1721,
       0,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,  1582,     0,     0,     0,     0,     0,     0,  1335,
       0,     0,   756,     0,     0,     0,   756,     0,     0,     0,
    1345,     0,     0,  1583,  1584,     0,     0,   756,     0,     0,
       0,     0,   754,  1345,     0,     0,     0,     0,  1585,     0,
       0,   756,  1721,     0,  1345,     0,     0,     0,  1591,  1592,
    1593,     0,  1594,  1595,  1596,  1597,  1598,  1599,     0,   754,
       0,  1335,     0,  1586,     0,     0,  1587,     0,     0,     0,
       0,   735,     0,  1574,   754,     0,  1575,   756,     0,  1588,
       0,     0,  1589,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   754,  1576,     0,  1343,     0,     0,     0,     0,
       0,  1578,     0,     0,     0,     0,   735,  1579,     0,  1345,
       0,     0,     0,     0,     0,   735,     0,     0,     0,     0,
       0,   735,     0,   735,     0,     0,     0,     0,  1345,   735,
       0,  1580,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,     0,     0,     0,   735,   735,     0,     0,     0,
       0,     0,   756,  1345,  1590,     0,     0,     0,   735,   755,
       0,     0,   735,     0,  1720,     0,   735,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,     0,   735,
       0,   735,     0,     0,     0,     0,     0,     0,     0,  1345,
     735,   735,   735,     0,  1343,     0,   735,     0,     0,   735,
       0,     0,  1574,     0,     0,  1575,     0,     0,     0,   735,
       0,     0,     0,     0,     0,  2809,     0,     0,     0,   735,
       0,     0,  1576,     0,     0,  2815,     0,   735,     0,   735,
    1578,  1581,  1335,     0,     0,  1582,  1579,  1721,     0,     0,
       0,     0,  1591,  1592,  1593,     0,  1594,  1595,  1596,  1597,
    1598,  1599,   735,     0,   755,     0,  1583,  1584,   735,     0,
    1580,     0,     0,     0,   735,     0,     0,     0,     0,     0,
     755,  1585,     0,     0,     0,     0,     0,     0,     0,   735,
    1343,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1586,     0,     0,  1587,
       0,  1343,     0,     0,   754,     0,     0,     0,     0,     0,
       0,     0,  1588,     0,     0,  1589,     0,     0,     0,     0,
       0,   755,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1343,   755,     0,     0,     0,  1720,     0,     0,     0,
    1720,  1345,  1720,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,  1582,  1343,     0,     0,   754,  1343,
    1343,   754,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1583,  1584,  1590,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   756,
    1585,     0,     0,     0,     0,     0,     0,     0,     0,   754,
       0,   756,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1586,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1588,     0,     0,  1589,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   735,     0,   756,     0,     0,  1721,     0,     0,
       0,     0,     0,     0,     0,  1591,  1592,  1593,     0,  1594,
    1595,  1596,  1597,  1598,  1599,     0,     0,     0,  1345,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1335,     0,     0,     0,     0,
    1335,  1335,     0,     0,     0,     0,  1590,     0,     0,     0,
       0,  1335,  1345,   735,   735,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   754,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   756,     0,     0,     0,     0,     0,
     735,   756,   756,     0,     0,     0,     0,     0,     0,     0,
       0,  1722,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1591,  1592,  1593,     0,  1594,  1595,
    1596,  1597,  1598,  1599,     0,     0,   735,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   735,   735,     0,  1345,
       0,     0,     0,     0,   735,   735,     0,     0,     0,   735,
    1345,     0,     0,     0,  1722,   735,   735,     0,  1335,   735,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   735,     0,   755,     0,   735,     0,
    1721,   755,     0,     0,   755,     0,     0,   735,     0,     0,
       0,     0,   735,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   735,     0,   755,     0,     0,     0,
       0,  1056,     0,     0,     0,     0,  1574,     0,     0,  1575,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1335,     0,     0,   735,   755,  1576,     0,     0,     0,
    1112,     0,     0,     0,  1578,     0,     0,     0,     0,  1345,
    1579,     0,     0,     0,     0,     0,     0,     0,   755,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1345,   756,     0,     0,  1580,     0,     0,   754,     0,     0,
    1721,   755,  1345,  1721,     0,     0,     0,     0,     0,   754,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   755,     0,     0,   755,     0,     0,     0,     0,     0,
       0,  1335,     0,     0,     0,     0,     0,     0,     0,     0,
    1345,   755,     0,     0,     0,     0,     0,     0,   755,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1720,     0,
     754,   755,     0,     0,     0,     0,     0,     0,     0,  1722,
     755,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   756,     0,     0,     0,
       0,     0,     0,     0,  1581,     0,   735,     0,  1582,     0,
       0,     0,   756,     0,     0,     0,     0,     0,  1720,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1583,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1585,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1345,     0,   756,     0,     0,     0,     0,     0,  1586,
       0,     0,  1587,     0,   756,     0,     0,     0,     0,     0,
     754,     0,     0,     0,     0,  1588,     0,     0,  1589,     0,
       0,     0,   735,     0,     0,     0,  1345,   755,     0,     0,
       0,   735,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   735,   735,
       0,     0,   735,     0,     0,     0,     0,     0,     0,   755,
       0,     0,     0,   735,     0,     0,     0,     0,   735,     0,
       0,   735,     0,     0,     0,     0,   735,   735,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1590,     0,   755,     0,     0,   754,     0,   754,     0,     0,
    1513,   735,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   755,  3231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1345,     0,     0,  1536,   735,
       0,     0,     0,  1335,     0,     0,     0,     0,     0,  1722,
       0,     0,     0,     0,     0,     0,     0,  1574,     0,     0,
    1575,     0,     0,     0,     0,     0,  1561,  1562,     0,  1564,
       0,     0,     0,     0,     0,   735,     0,  1576,     0,     0,
    3280,  1335,  1335,     0,  1335,  1578,  1604,     0,  1591,  1592,
    1593,  1579,  1594,  1595,  1596,  1597,  1598,  1599,     0,     0,
       0,     0,  1721,     0,     0,     0,     0,     0,  1721,     0,
       0,     0,     0,     0,     0,  1580,     0,     0,     0,   735,
       0,  1345,     0,     0,  1639,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1335,     0,  1335,     0,     0,     0,
       0,   735,  1345,     0,   735,     0,   735,     0,     0,     0,
       0,     0,     0,  1741,     0,     0,     0,  1751,  1754,     0,
       0,     0,     0,   735,     0,     0,     0,   735,     0,     0,
       0,     0,  1345,     0,     0,     0,     0,     0,     0,     0,
    1335,     0,     0,     0,     0,     0,     0,     0,   755,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1335,     0,     0,     0,     0,  1345,     0,     0,     0,
    1345,  1345,     0,     0,     0,  1581,     0,     0,     0,  1582,
       0,     0,     0,   754,     0,     0,  1335,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   755,  1720,     0,     0,
    1583,  1584,     0,     0,  1335,   735,     0,     0,   756,     0,
       0,     0,  1722,   756,     0,  1585,   756,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1345,   755,     0,     0,     0,     0,   756,     0,
    1586,     0,     0,  1587,     0,     0,     0,     0,     0,  1574,
       0,     0,  1575,     0,     0,     0,  1588,     0,     0,  1589,
     735,     0,     0,     0,     0,     0,     0,   756,  1335,  1576,
       0,     0,     0,     0,     0,   735,     0,  1578,     0,     0,
       0,  1335,     0,  1579,     0,     0,     0,     0,     0,     0,
     756,     0,  1335,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1721,  1721,  1721,  1580,   735,     0,
       0,     0,  1722,   756,     0,  1722,     0,   735,     0,     0,
       0,     0,     0,   755,     0,     0,     0,     0,     0,     0,
     755,  1590,     0,   756,   735,   735,   756,   754,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,     0,
       0,     0,     0,   756,     0,     0,     0,  1335,     0,     0,
     756,     0,  1601,     0,     0,     0,     0,  1337,     0,     0,
       0,     0,     0,   756,     0,     0,  1335,     0,     0,     0,
     735,     0,   756,   172,     0,     0,     0,     0,   755,     0,
     735,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1335,     0,     0,     0,     0,  1720,  1581,     0,     0,
       0,  1582,     0,     0,     0,     0,  1721,     0,  1601,  1591,
    1592,  1593,     0,  1594,  1595,  1596,  1597,  1598,  1599,   173,
       0,     0,  1583,  1584,     0,     0,  1721,  1335,     0,     0,
       0,     0,   174,     0,     0,     0,     0,  1585,     0,   735,
     755,     0,   755,     0,  1720,     0,     0,     0,   735,   175,
       0,     0,  1720,     0,     0,   176,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,  1587,     0,     0,     0,     0,
     177,     0,     0,     0,     0,     0,     0,     0,  1588,     0,
       0,  1589,  1337,     0,     0,     0,     0,     0,   178,   756,
       0,  2181,     0,     0,     0,     0,     0,     0,     0,   179,
       0,     0,     0,   755,   180,     0,     0,     0,     0,     0,
     181,     0,     0,  2203,     0,     0,  2205,     0,     0,  2216,
       0,   756,     0,     0,     0,   182,  2223,  2228,     0,     0,
     755,     0,  2234,     0,     0,  2239,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   755,     0,     0,     0,     0,
     183,     0,  2248,  1590,   756,     0,     0,  2255,     0,     0,
       0,  2267,     0,   755,     0,  2274,     0,  2276,  2277,  2278,
    2279,  2280,  2281,  2282,  2283,  2284,   756,  2285,     0,  1335,
       0,     0,  1056,     0,  2310,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   184,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   185,     0,     0,
       0,     0,     0,     0,     0,  1721,     0,     0,     0,     0,
       0,  1591,  1592,  1593,     0,  1594,  1595,  1596,  1597,  1598,
    1599,     0,   186,     0,  1722,     0,     0,     0,   187,     0,
    1722,     0,     0,     0,   188,     0,     0,   189,     0,     0,
       0,     0,     0,  1337,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   190,     0,   191,     0,     0,     0,   192,     0,
       0,     0,     0,     0,     0,     0,   193,     0,  1112,     0,
       0,   194,     0,     0,     0,     0,     0,     0,     0,     0,
    1337,     0,   195,     0,     0,     0,  1335,     0,     0,     0,
       0,     0,     0,     0,  1601,   196,     0,     0,     0,     0,
     756,     0,     0,     0,     0,     0,     0,     0,     0,  1337,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1335,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   755,     0,     0,     0,     0,
       0,     0,     0,  2399,     0,     0,     0,     0,   756,     0,
     509,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   510,     0,     0,     0,     0,  1721,     0,  1601,
       0,  1721,     0,  1721,     0,  1337,     0,     0,     0,     0,
       0,     0,     0,   511,     0,   756,     0,     0,     0,     0,
       0,     0,  1601,     0,  1337,     0,   512,  2212,     0,   755,
       0,     0,   755,     0,     0,   513,     0,     0,     0,  -682,
       0,     0,     0,     0,  1337,     0,     0,  1601,  1601,     0,
    1601,     0,     0,     0,     0,     0,   514,  1335,     0,     0,
       0,  1338,   515,     0,     0,     0,     0,     0,  1335,  1337,
     755,     0,     0,     0,     0,     0,     0,   516,     0,     0,
       0,     0,     0,     0,     0,     0,  1722,  1722,  1722,     0,
    1601,     0,     0,     0,     0,   517,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   756,   518,     0,     0,     0,
       0,     0,   756,   519,     0,     0,     0,   520,     0,     0,
       0,  1337,     0,     0,     0,  1601,     0,     0,     0,     0,
       0,     0,  -863,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2592,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1335,     0,   521,
     756,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1340,     0,     0,  1338,     0,  1335,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1722,     0,
    1335,     0,     0,     0,     0,     0,   522,     0,     0,   523,
       0,     0,     0,     0,     0,     0,     0,     0,  1722,     0,
       0,     0,     0,     0,     0,   755,     0,  1601,     0,     0,
       0,     0,   756,     0,   756,     0,     0,  1601,  1335,     0,
    1601,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   524,
       0,     0,     0,     0,     0,   525,     0,     0,     0,     0,
    2713,  -360,     0,     0,   526,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1337,     0,     0,   756,     0,     0,     0,  -360,
       0,   527,   528,     0,   529,   530,     0,     0,  1340,     0,
       0,     0,     0,   531,     0,     0,     0,     0,   532,     0,
       0,     0,   756,   533,     0,     0,   534,     0,     0,   535,
       0,     0,     0,     0,     0,     0,     0,   756,     0,     0,
       0,     0,  -360,     0,  2756,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   756,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1338,     0,     0,
       0,     0,     0,     0,  1335,     0,     0,     0,     0,     0,
    2228,     0,  2228,  2228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2818,     0,     0,  2821,     0,  2823,     0,
       0,  1341,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1338,     0,     0,  1722,   755,     0,
       0,     0,     0,     0,     0,  2844,     0,  2846,     0,     0,
     755,  2849,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1338,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2310,  2310,  2310,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1335,     0,     0,     0,  2886,     0,  1721,
       0,   755,     0,     0,     0,     0,     0,     0,  1741,  1340,
       0,     0,     0,  2896,     0,     0,     0,     0,     0,     0,
    1754,     0,     0,     0,     0,     0,     0,     0,     0,  1338,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1341,     0,  1338,  1721,
       0,     0,     0,     0,     0,     0,  1340,     0,     0,     0,
       0,     0,     0,  2927,     0,     0,     0,     0,  1338,     0,
       0,     0,     0,     0,     0,  1337,     0,   756,     0,  1335,
    1337,  1337,     0,     0,     0,  1340,     0,     0,     0,     0,
       0,  1337,     0,  1338,     0,     0,     0,     0,     0,     0,
    1335,     0,     0,     0,     0,     0,     0,     0,     0,  1722,
       0,   755,     0,  1722,     0,  1722,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1335,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   756,     0,     0,   756,  1338,     0,     0,     0,     0,
       0,  1340,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1335,     0,     0,     0,  1335,  1335,
    1340,     0,     0,     0,     0,     0,     0,  1601,     0,     0,
       0,     0,   756,     0,     0,     0,     0,     0,     0,     0,
    1340,     0,     0,     0,     0,     0,   755,     0,   755,  1601,
       0,  1601,     0,  2212,  2212,  2792,     0,     0,  2212,     0,
       0,     0,  1601,     0,     0,  1340,     0,     0,  1337,  1601,
       0,     0,     0,     0,  1601,     0,     0,     0,     0,     0,
    1601,     0,     0,     0,     0,  1601,     0,  1341,     0,     0,
       0,     0,     0,     0,  1601,     0,     0,     0,  2212,  2212,
       0,  1601,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1601,     0,     0,     0,  1340,     0,     0,
    1601,     0,  1601,  1601,  1601,  1601,  1601,  1601,  1601,  1601,
    1601,  1601,     0,     0,  1341,     0,     0,     0,     0,     0,
       0,  1337,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1601,     0,     0,     0,
       0,     0,     0,  1341,     0,     0,  1338,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   756,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1342,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1337,     0,     0,     0,     0,     0,     0,     0,  1341,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1601,     0,     0,  1341,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   755,     0,     0,     0,  1341,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1721,     0,
       0,     0,     0,  3232,     0,     0,     0,     0,  1340,     0,
       0,     0,  3235,  1341,     0,     0,     0,     0,  3236,     0,
    3237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3255,  3256,     0,     0,  1342,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2234,     0,  1341,     0,     0,     0,     0,
       0,     0,     0,  3284,     0,     0,  3287,     0,  3289,     0,
       0,     0,     0,     0,     0,     0,     0,  3293,     0,     0,
       0,     0,     0,  3298,     0,     0,  3301,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     756,     0,     0,     0,     0,     0,  3330,     0,     0,     0,
       0,     0,   756,     0,  3342,     0,  2310,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   755,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3356,
       0,     0,     0,     0,     0,  1056,     0,     0,  1601,  1338,
       0,  1112,     0,     0,  1338,  1338,     0,     0,     0,     0,
       0,  1722,     0,   756,     0,  1338,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1337,     0,     0,     0,  1721,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1722,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1341,  1342,     0,     0,
       0,  1337,  1337,     0,  1337,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1721,     0,     0,     0,     0,
       0,     0,     0,  1721,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1601,
       0,  1340,     0,   756,  1342,     0,  1340,  1340,     0,     0,
       0,     0,     0,     0,  1337,     0,  1337,  1340,     0,     0,
       0,     0,  1338,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1342,     0,     0,     0,     0,     0,     0,
       0,     0,  1601,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1337,     0,     0,  2792,  2792,     0,  2212,     0,     0,  2212,
    2212,  2212,  2212,  2212,  2212,  2212,  2212,  2212,  2212,  2792,
       0,  1337,     0,     0,     0,     0,     0,     0,   756,     0,
     756,     0,     0,     0,     0,  1338,     0,     0,     0,  1342,
       0,     0,     0,     0,  1601,     0,  1337,  1601,     0,  1601,
       0,     0,     0,     0,  2792,  2792,     0,     0,  1342,     0,
       0,     0,     0,     0,  1337,     0,     0,     0,  2212,  2212,
    1601,     0,  1601,     0,     0,  1601,     0,     0,  1342,     0,
    3569,  3570,     0,     0,  1340,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1342,     0,     0,     0,     0,     0,     0,
       0,     0,  1601,     0,     0,  1338,     0,     0,     0,     0,
       0,     0,  1601,     0,     0,     0,     0,     0,  1337,     0,
       0,     0,     0,     0,     0,     0,     0,  3599,     0,     0,
       0,  1337,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1337,  1601,     0,  1342,     0,  1340,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1341,
       0,     0,     0,     0,  1341,  1341,     0,     0,     0,     0,
       0,     0,     0,  3617,  3619,  1341,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3626,     0,     0,     0,
       0,     0,  3631,  3632,     0,     0,  3634,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1337,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2310,     0,  1337,  1340,     0,  2310,
       0,     0,     0,     0,     0,     0,   756,     0,     0,     0,
       0,  2310,     0,     0,     0,     0,     0,     0,     0,     0,
    1722,  1337,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3680,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1337,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1341,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1342,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1338,     0,     0,
       0,     0,     0,     0,     0,  1341,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     756,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1338,  1338,     0,  1338,     0,
       0,     0,     0,  3752,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1337,
       0,     0,     0,     0,     0,     0,     0,     0,  1601,     0,
       0,  1601,  1601,  1601,     0,  1341,  2792,     0,  1338,  1722,
    1338,  2792,  2792,  2792,  2792,  2792,  2792,  2792,  2792,  2792,
    2792,  1601,  1601,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1340,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1601,  2212,  2212,  1601,  1338,  1601,     0,  1722,     0,  1601,
    2792,  2792,     0,     0,  1601,  1722,     0,  1601,     0,     0,
       0,     0,     0,     0,     0,  1338,     0,  1340,  1340,  3829,
    1340,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1601,     0,     0,     0,
    1338,     0,     0,     0,  3846,     0,     0,     0,  1601,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1338,     0,
       0,     0,  1601,     0,     0,     0,     0,     0,     0,     0,
    1340,     0,  1340,     0,     0,     0,  1337,     0,     0,  1342,
       0,     0,     0,     0,  1342,  1342,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1342,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1337,     0,     0,     0,     0,     0,  1340,     0,     0,     0,
       0,     0,  1338,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1338,     0,  1340,     0,     0,
       0,     0,     0,     0,     0,     0,  1338,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1340,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1340,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2234,     0,     0,     0,     0,     0,  1341,     0,     0,
       0,  1338,     0,     0,     0,     0,     0,  1337,     0,     0,
    3961,     0,  1342,     0,     0,     0,  2792,     0,  1337,     0,
    1338,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1340,  1341,  1341,     0,  1341,     0,
       0,     0,     0,     0,     0,  1338,     0,  1340,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1340,     0,
       0,     0,     0,     0,     0,  1601,  1601,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1338,     0,     0,     0,  1342,     0,     0,  1341,     0,
    1341,     0,  4018,     0,     0,  1601,     0,     0,     0,  2212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1601,     0,  1601,     0,  1337,     0,     0,
    2792,  2792,  1601,  1340,     0,  2212,  2212,  1601,  1601,     0,
    1601,     0,     0,     0,  1341,     0,     0,     0,  1337,     0,
       0,     0,  1340,     0,     0,     0,     0,     0,     0,     0,
    1337,     0,     0,     0,     0,  1341,     0,     0,     0,     0,
       0,     0,  4057,     0,     0,  1342,     0,  1340,     0,     0,
       0,     0,     0,     0,     0,     0,  1601,     0,     0,     0,
    1341,     0,     0,     0,     0,     0,     0,     0,  1337,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1341,     0,
       0,     0,     0,  1340,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4094,  4094,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1338,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1601,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1341,     0,     0,     0,     0,  4094,     0,     0,
       0,     0,     0,     0,     0,  1341,     0,  4139,     0,     0,
       0,     0,     0,     0,     0,     0,  1341,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2792,  2212,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2792,  2792,  1601,     0,     0,     0,     0,
       0,     0,     0,     0,  1337,     0,  4094,     0,     0,     0,
       0,     0,  1601,     0,     0,     0,     0,     0,     0,     0,
       0,  1341,     0,     0,     0,  1340,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1341,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1338,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1341,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1338,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1342,     0,     0,
       0,  1341,     0,  1337,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2792,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1601,     0,     0,
       0,     0,     0,     0,     0,  1342,  1342,     0,  1342,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1340,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1601,     0,     0,     0,  1342,  1337,
    1342,  1338,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1338,     0,     0,     0,  1340,     0,     0,     0,
    1337,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1601,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1342,     0,     0,     0,     0,     0,
    1337,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1341,     0,  1342,     0,     0,     0,     0,
    1601,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1337,     0,     0,     0,  1337,  1337,
    1342,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1342,     0,
       0,  1338,     0,     0,     0,  1601,     0,     0,     0,     0,
       0,     0,     0,  1340,     0,     0,     0,     0,     0,     0,
       0,     0,  1338,     0,  1340,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1338,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1342,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1338,     0,     0,  1342,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1342,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1341,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1340,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1341,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1340,     0,     0,     0,     0,     0,
       0,  1342,     0,     0,     0,     0,  1340,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1342,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1340,  1342,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1338,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1342,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1341,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1341,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1338,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1340,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1341,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1341,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1342,  1341,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1338,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1341,     0,  1338,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1340,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1338,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1338,     0,
       0,     0,  1338,  1338,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1340,     0,     0,     0,     0,
    1342,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1340,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1342,     0,     0,     0,  1341,     0,
       0,     0,     0,     0,     0,     0,  1340,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1340,     0,     0,     0,  1340,  1340,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1341,     0,     0,
       0,  1342,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1342,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1341,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1341,     0,     0,     0,     0,     0,
       0,  1342,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1342,     0,  1341,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1341,     0,
       0,     0,  1341,  1341,     0,     0,     0,     0,     0,     0,
       0,     0,  1342,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1342,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1342,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1342,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   709,   975,   548,   976,   977,   978,
     595,   979,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,  2304,   209,   210,   211,     0,  1342,     0,
       0,   980,  1342,  1342,   212,   213,     0,   214,   215,   710,
     216,   217,   218,   219,   981,   711,   982,   983,     0,   223,
     224,   225,   226,   227,   984,   985,   228,   229,   986,   987,
     232,     0,   233,   234,   235,   236,   988,     0,   238,     0,
     239,   240,   241,   242,   712,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   713,   251,   252,   989,   990,
     991,   992,   993,   994,   995,   253,   254,   255,   256,   257,
     258,   996,   997,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,  2305,     0,   271,   272,
     998,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   999,   286,   287,   288,  1000,
    1001,   290,     0,   291,  1002,   293,     0,   294,     0,   295,
     715,     0,   716,   296,   297,   298,     0,   299,  1003,     0,
     301,     0,   302,   303,   304,   305,   306,   717,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
     718,   317,   318,   319,   320,   321,  1004,  1005,     0,  1006,
       0,   325,   719,   720,   326,   721,   327,   328,   329,   330,
     331,   332,   333,     0,  1007,   722,   335,   723,     0,   336,
     337,   338,  1008,  1009,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,  1010,   724,  1011,   353,
     354,   355,  1012,   356,   357,   725,   358,  1013,  1014,   360,
    1015,   362,   363,   364,     0,   365,     0,     0,  1016,   367,
     368,     0,     0,   369,   726,   727,   728,  1017,   371,   372,
     373,   374,   375,   376,   377,     0,   378,  1018,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1019,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     729,   409,   410,  1020,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,  1021,   425,
     426,   427,   428,   730,   429,  1022,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,  1023,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,  1024,
    1025,     0,     0,   452,  1026,   454,  1027,  1028,   456,   457,
     458,   459,   460,   461,     0,  1029,   462,   463,   464,   465,
     466,  1030,     0,   467,   468,   469,   470,   471,   472,  1031,
    2306,   474,   731,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,   484,  1032,  1033,  1034,
    1035,  1036,  1037,  1038,  1039,   493,   494,   495,     0,     0,
       0,     0,     0,     0,     0,  1040,  1041,  2307,     0,     0,
       0,     0,     0,     0,  1043,  2308,   709,   975,   548,   976,
     977,   978,   595,   979,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   980,     0,     0,   212,   213,     0,   214,
     215,   710,   216,   217,   218,   219,   981,   711,   982,   983,
       0,   223,   224,   225,   226,   227,   984,   985,   228,   229,
     986,   987,   232,     0,   233,   234,   235,   236,   988,     0,
     238,     0,   239,   240,   241,   242,   712,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   713,   251,   252,
     989,   990,   991,   992,   993,   994,   995,   253,   254,   255,
     256,   257,   258,   996,   997,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   998,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   999,   286,   287,
     288,  1000,  1001,   290,     0,   291,  1002,   293,     0,   294,
       0,   295,   715,     0,   716,   296,   297,   298,     0,   299,
    1003,     0,   301,     0,   302,   303,   304,   305,   306,   717,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,   718,   317,   318,   319,   320,   321,  1004,  1005,
       0,  1006,     0,   325,   719,   720,   326,   721,   327,   328,
     329,   330,   331,   332,   333,     0,  1007,   722,   335,   723,
       0,   336,   337,   338,  1008,  1009,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1010,   724,
    1011,   353,   354,   355,  1012,   356,   357,   725,   358,  1013,
    1014,   360,  1015,   362,   363,   364,     0,   365,     0,     0,
    1016,   367,   368,     0,     0,   369,   726,   727,   728,  1017,
     371,   372,   373,   374,   375,   376,   377,     0,   378,  1018,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1019,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   729,   409,   410,  1020,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
    1021,   425,   426,   427,   428,   730,   429,  1022,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,  1023,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,  1024,  1025,     0,     0,   452,  1026,   454,  1027,  1028,
     456,   457,   458,   459,   460,   461,     0,  1029,   462,   463,
     464,   465,   466,  1030,     0,   467,   468,   469,   470,   471,
     472,  1031,     0,   474,   731,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,  1032,
    1033,  1034,  1035,  1036,  1037,  1038,  1039,   493,   494,   495,
       0,     0,     0,     0,     0,     0,     0,  1040,  1041,   199,
       0,     0,     0,     0,     0,     0,  1043,  2214,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,  3312,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,     0,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
   -1367,   251,   252,     0,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,     0,   295,     0,     0, -1367,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   306,     0,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316, -1367,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,     0,     0,   326,
   -1367,   327,   328,   329,   330,   331,   332,   333,     0,   334,
   -1367,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351, -1367,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408, -1367,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,     0,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,     0,     0,     0,     0,     0,     0,     0,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1119,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   306,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     0,     0,     0,     0,     0,     0,
       0,  1311,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2627,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,   710,   216,   217,   218,
       0,  1312,   711,  1313,  1314,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,  1315,  1316,   232,     0,   233,
     234,   235,   236,     0,     0,   238,     0,   239,   240,   241,
     242,   712,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   713,   251,   252,     0,     0,     0,   714,     0,
       0,     0,   253,   254,   255,   256,   257,   258,  1317,  1318,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   998,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,     0,   286,   287,   288,     0,     0,   290,     0,
     291,  1319,   293,     0,   294,     0,   295,   715,     0,   716,
     296,   297,   298,     0,   299,     0,     0,   301,     0,   302,
     303,   304,   305,   306,   717,   307,   308,   309,  1845,   310,
     311,   312,   313,   314,   315,     0,   316,   718,  1846,   318,
     319,   320,   321,  1320,  1321,     0,  1322,     0,   325,   719,
     720,   326,   721,   327,   328,   329,   330,   331,   332,   333,
       0,     0,   722,   335,   723,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1323,   724,  1324,   353,   354,     0,     0,
     356,   357,   725,   358,     0,     0,   360,  1325,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
    1847,   726,   727,   728,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,     0,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1326,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   729,   409,   410,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,  1848,   427,   428,
     730,   429,  1328,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,     0,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,  1329,  1330,     0,     0,
     452,     0,   454,     0,     0,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,     0,  1331,  1849,   474,   731,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,     0,  1311,     0,     0,     0,     0,     0,
       0,     0,   493,   494,   495,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,  1850,     0,   212,   213,     0,   214,   215,   710,
     216,   217,   218,     0,  1312,   711,  1313,  1314,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,  1315,  1316,
     232,     0,   233,   234,   235,   236,     0,     0,   238,     0,
     239,   240,   241,   242,   712,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   713,   251,   252,     0,     0,
       0,   714,     0,     0,     0,   253,   254,   255,   256,   257,
     258,  1317,  1318,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     998,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,     0,   286,   287,   288,     0,
       0,   290,     0,   291,  1319,   293,     0,   294,     0,   295,
     715,     0,   716,   296,   297,   298,     0,   299,     0,     0,
     301,     0,   302,   303,   304,   305,   306,   717,   307,   308,
     309,  1845,   310,   311,   312,   313,   314,   315,     0,   316,
     718,  1846,   318,   319,   320,   321,  1320,  1321,     0,  1322,
       0,   325,   719,   720,   326,   721,   327,   328,   329,   330,
     331,   332,   333,     0,     0,   722,   335,   723,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,  1323,   724,  1324,   353,
     354,     0,     0,   356,   357,   725,   358,     0,     0,   360,
    1325,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,  1847,   726,   727,   728,     0,   371,   372,
     373,   374,   375,   376,   377,     0,   378,     0,   380,     0,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1326,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     729,   409,   410,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
    1848,   427,   428,   730,   429,  1328,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,     0,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,  1329,
    1330,     0,     0,   452,     0,   454,     0,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,     0,  1331,
    1849,   474,   731,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,     0,   709,   975,   548,
     976,   977,   978,   595,   979,   493,   494,   495,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,   980,  2678,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,   219,   981,   711,   982,
     983,  2224,   223,   224,   225,   226,   227,   984,   985,   228,
     229,   986,   987,   232,     0,   233,   234,   235,   236,   988,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,   989,   990,   991,   992,   993,   994,   995,   253,   254,
     255,   256,   257,   258,   996,   997,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   998,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   999,   286,
     287,   288,  1000,  1001,   290,     0,   291,  1002,   293,     0,
     294,     0,   295,   715,  2225,   716,   296,   297,   298,     0,
     299,  1003,     0,   301,     0,   302,   303,   304,   305,   306,
     717,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,   317,   318,   319,   320,   321,  1004,
    1005,     0,  1006,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,  2226,  1007,   722,   335,
     723,     0,   336,   337,   338,  1008,  1009,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1010,
     724,  1011,   353,   354,   355,  1012,   356,   357,   725,   358,
    1013,  1014,   360,  1015,   362,   363,   364,     0,   365,     0,
       0,  1016,   367,   368,     0,     0,   369,   726,   727,   728,
    1017,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1018,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1019,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,  1020,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1021,   425,   426,   427,   428,   730,   429,  1022,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
    1023,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,  1024,  1025,     0,  2227,   452,  1026,   454,  1027,
    1028,   456,   457,   458,   459,   460,   461,     0,  1029,   462,
     463,   464,   465,   466,  1030,     0,   467,   468,   469,   470,
     471,   472,  1031,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
    1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,   493,   494,
     495,     0,     0,     0,     0,     0,     0,     0,  1040,  1041,
       0,     0,     0,     0,     0,     0,     0,  1043,   709,   975,
     548,   976,   977,   978,   595,   979,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   980,     0,     0,   212,   213,
       0,   214,   215,   710,   216,   217,   218,   219,   981,   711,
     982,   983,     0,   223,   224,   225,   226,   227,   984,   985,
     228,   229,   986,   987,   232,     0,   233,   234,   235,   236,
     988,     0,   238,     0,   239,   240,   241,   242,   712,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   713,
     251,   252,   989,   990,   991,   992,   993,   994,   995,   253,
     254,   255,   256,   257,   258,   996,   997,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   998,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   999,
     286,   287,   288,  1000,  1001,   290,     0,   291,  1002,   293,
       0,   294,     0,   295,   715,     0,   716,   296,   297,   298,
       0,   299,  1003,     0,   301,     0,   302,   303,   304,   305,
     306,   717,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,   718,   317,   318,   319,   320,   321,
    1004,  1005,     0,  1006,     0,   325,   719,   720,   326,   721,
     327,   328,   329,   330,   331,   332,   333,     0,  1007,   722,
     335,   723,     0,   336,   337,   338,  1008,  1009,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
    1010,   724,  1011,   353,   354,   355,  1012,   356,   357,   725,
     358,  1013,  1014,   360,  1015,   362,   363,   364,     0,   365,
       0,     0,  1016,   367,   368,     0,     0,   369,   726,   727,
     728,  1017,   371,   372,   373,   374,   375,   376,   377,     0,
     378,  1018,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1019,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   729,   409,   410,  1020,   412,   413,
     414,   415,   416,   417,   418,   419,    37,   420,   421,   422,
     423,   424,  1021,   425,   426,   427,   428,   730,   429,  1022,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,  1023,     0,   442,   443,    41,   444,   445,   446,   447,
     448,   449,     0,  1024,  1025,     0,     0,   452,  1026,   454,
    1027,  1028,   456,   457,   458,   459,   460,   461,     0,  1029,
     462,   463,   464,   465,   466,  1030,     0,   467,   468,   469,
     470,   471,   915,  1031,     0,   474,   731,   475,   476,   477,
       0,     0,   478,     0,    46,   479,   480,   481,   482,   483,
     484,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,   493,
     494,   495,     0,     0,     0,     0,     0,     0,     0,  1040,
    1041,     0,     0,     0,     0,     0,     0,     0,  1043,   709,
     975,   548,   976,   977,   978,   595,   979,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,   980,     0,     0,   212,
     213,     0,   214,   215,   710,   216,   217,   218,   219,   981,
     711,   982,   983,     0,   223,   224,   225,   226,   227,   984,
     985,   228,   229,   986,   987,   232,     0,   233,   234,   235,
     236,   988,     0,   238,     0,   239,   240,   241,   242,   712,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     713,   251,   252,   989,   990,   991,   992,   993,   994,   995,
     253,   254,   255,   256,   257,   258,   996,   997,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   998,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     999,   286,   287,   288,  1000,  1001,   290,     0,   291,  1002,
     293,     0,   294,     0,   295,   715,     0,   716,   296,   297,
     298,     0,   299,  1003,     0,   301,     0,   302,   303,   304,
     305,   306,   717,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,   718,   317,   318,   319,   320,
     321,  1004,  1005,     0,  1006,     0,   325,   719,   720,   326,
     721,   327,   328,   329,   330,   331,   332,   333,     0,  1007,
     722,   335,   723,     0,   336,   337,   338,  1008,  1009,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1010,   724,  1011,   353,   354,   355,  1012,   356,   357,
     725,   358,  1013,  1014,   360,  1015,   362,   363,   364,     0,
     365,     0,     0,  1016,   367,   368,     0,     0,   369,   726,
     727,   728,  1017,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1018,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1019,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   729,   409,   410,  1020,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1021,   425,   426,   427,   428,   730,   429,
    1022,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,  1023,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,  1024,  1025,     0,     0,   452,  1026,
     454,  1027,  1028,   456,   457,   458,   459,   460,   461,     0,
    1029,   462,   463,   464,   465,   466,  1030,     0,   467,   468,
     469,   470,   471,   472,  1031,     0,   474,   731,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,
     493,   494,   495,     0,     0,     0,     0,     0,     0,     0,
    1040,  1041,     0,     0,     0,     0,     0,  1508,  2173,  1043,
     709,   975,   548,   976,   977,   978,   595,   979,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,   980,     0,     0,
     212,   213,     0,   214,   215,   710,   216,   217,   218,   219,
     981,   711,   982,   983,     0,   223,   224,   225,   226,   227,
     984,   985,   228,   229,   986,   987,   232,     0,   233,   234,
     235,   236,   988,     0,   238,     0,   239,   240,   241,   242,
     712,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   713,   251,   252,   989,   990,   991,   992,   993,   994,
     995,   253,   254,   255,   256,   257,   258,   996,   997,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   998,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   999,   286,   287,   288,  1000,  1001,   290,     0,   291,
    1002,   293,     0,   294,     0,   295,   715,     0,   716,   296,
     297,   298,     0,   299,  1003,     0,   301,     0,   302,   303,
     304,   305,   306,   717,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,   718,   317,   318,   319,
     320,   321,  1004,  1005,     0,  1006,     0,   325,   719,   720,
     326,   721,   327,   328,   329,   330,   331,   332,   333,     0,
    1007,   722,   335,   723,     0,   336,   337,   338,  1008,  1009,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1010,   724,  1011,   353,   354,   355,  1012,   356,
     357,   725,   358,  1013,  1014,   360,  1015,   362,   363,   364,
       0,   365,     0,     0,  1016,   367,   368,     0,     0,   369,
     726,   727,   728,  1017,   371,   372,   373,   374,   375,   376,
     377,     0,   378,  1018,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1019,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   729,   409,   410,  1020,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,  1021,   425,   426,   427,   428,   730,
     429,  1022,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,  1023,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,  1024,  1025,     0,     0,   452,
    1026,   454,  1027,  1028,   456,   457,   458,   459,   460,   461,
       0,  1029,   462,   463,   464,   465,   466,  1030,     0,   467,
     468,   469,   470,   471,   472,  1031,     0,   474,   731,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,  1032,  1033,  1034,  1035,  1036,  1037,  1038,
    1039,   493,   494,   495,     0,     0,     0,     0,     0,     0,
       0,  1040,  1041,  1042,     0,     0,     0,     0,     0,     0,
    1043,   709,   975,   548,   976,   977,   978,   595,   979,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,   980,     0,
       0,   212,   213,     0,   214,   215,   710,   216,   217,   218,
     219,   981,   711,   982,   983,     0,   223,   224,   225,   226,
     227,   984,   985,   228,   229,   986,   987,   232,     0,   233,
     234,   235,   236,   988,     0,   238,     0,   239,   240,   241,
     242,   712,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   713,   251,   252,   989,   990,   991,   992,   993,
     994,   995,   253,   254,   255,   256,   257,   258,   996,   997,
     261,  1111,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   998,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   999,   286,   287,   288,  1000,  1001,   290,     0,
     291,  1002,   293,     0,   294,     0,   295,   715,     0,   716,
     296,   297,   298,     0,   299,  1003,     0,   301,     0,   302,
     303,   304,   305,   306,   717,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,   718,   317,   318,
     319,   320,   321,  1004,  1005,     0,  1006,     0,   325,   719,
     720,   326,   721,   327,   328,   329,   330,   331,   332,   333,
       0,  1007,   722,   335,   723,     0,   336,   337,   338,  1008,
    1009,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1010,   724,  1011,   353,   354,   355,  1012,
     356,   357,   725,   358,  1013,  1014,   360,  1015,   362,   363,
     364,     0,   365,     0,     0,  1016,   367,   368,     0,     0,
     369,   726,   727,   728,  1017,   371,   372,   373,   374,   375,
     376,   377,     0,   378,  1018,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1019,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   729,   409,   410,
    1020,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,  1021,   425,   426,   427,   428,
     730,   429,  1022,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,  1023,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,  1024,  1025,     0,     0,
     452,  1026,   454,  1027,  1028,   456,   457,   458,   459,   460,
     461,     0,  1029,   462,   463,   464,   465,   466,  1030,     0,
     467,   468,   469,   470,   471,   472,  1031,     0,   474,   731,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,  1032,  1033,  1034,  1035,  1036,  1037,
    1038,  1039,   493,   494,   495,     0,     0,     0,     0,     0,
       0,     0,  1040,  1041,     0,     0,     0,     0,     0,     0,
       0,  1043,   709,   975,   548,   976,   977,   978,   595,   979,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,  1749,   209,   210,   211,     0,     0,     0,     0,   980,
       0,     0,   212,   213,     0,   214,   215,   710,   216,   217,
     218,   219,   981,   711,   982,   983,     0,   223,   224,   225,
     226,   227,   984,   985,   228,   229,   986,   987,   232,     0,
     233,   234,   235,   236,   988,     0,   238,     0,   239,   240,
     241,   242,   712,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   713,   251,   252,   989,   990,   991,   992,
     993,   994,   995,   253,   254,   255,   256,   257,   258,   996,
     997,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   998,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   999,   286,   287,   288,  1000,  1001,   290,
       0,   291,  1002,   293,     0,   294,     0,   295,   715,     0,
     716,   296,   297,   298,     0,   299,  1003,     0,   301,     0,
     302,   303,   304,   305,   306,   717,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,   718,   317,
     318,   319,   320,   321,  1004,  1005,     0,  1006,     0,   325,
     719,   720,   326,   721,   327,   328,   329,   330,   331,   332,
     333,     0,  1007,   722,   335,   723,     0,   336,   337,   338,
    1008,  1009,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,  1010,   724,  1011,   353,   354,   355,
    1012,   356,   357,   725,   358,  1013,  1014,   360,  1015,   362,
     363,   364,     0,   365,     0,     0,  1016,   367,   368,     0,
       0,   369,   726,   727,   728,  1017,   371,   372,   373,   374,
     375,   376,   377,     0,   378,  1018,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1019,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   729,   409,
     410,  1020,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,  1021,   425,   426,   427,
     428,   730,   429,  1022,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,  1023,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,  1024,  1025,     0,
       0,   452,  1026,   454,  1027,  1028,   456,   457,   458,   459,
     460,   461,     0,  1029,   462,   463,   464,   465,   466,  1030,
       0,   467,   468,   469,   470,   471,   472,  1031,     0,   474,
     731,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,  1032,  1033,  1034,  1035,  1036,
    1037,  1038,  1039,   493,   494,   495,     0,     0,     0,     0,
       0,     0,     0,  1040,  1041,     0,     0,     0,     0,     0,
       0,     0,  1043,   709,   975,   548,   976,   977,   978,   595,
     979,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
     980,     0,     0,   212,   213,     0,   214,   215,   710,   216,
     217,   218,   219,   981,   711,   982,   983,     0,   223,   224,
     225,   226,   227,   984,   985,   228,   229,   986,   987,   232,
       0,   233,   234,   235,   236,   988,     0,   238,     0,   239,
     240,   241,   242,   712,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   713,   251,   252,   989,   990,   991,
     992,   993,   994,   995,   253,   254,   255,   256,   257,   258,
     996,   997,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   998,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   999,   286,   287,   288,  1000,  1001,
     290,     0,   291,  1002,   293,     0,   294,     0,   295,   715,
    2225,   716,   296,   297,   298,     0,   299,  1003,     0,   301,
       0,   302,   303,   304,   305,   306,   717,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,   718,
     317,   318,   319,   320,   321,  1004,  1005,     0,  1006,     0,
     325,   719,   720,   326,   721,   327,   328,   329,   330,   331,
     332,   333,     0,  1007,   722,   335,   723,     0,   336,   337,
     338,  1008,  1009,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1010,   724,  1011,   353,   354,
     355,  1012,   356,   357,   725,   358,  1013,  1014,   360,  1015,
     362,   363,   364,     0,   365,     0,     0,  1016,   367,   368,
       0,     0,   369,   726,   727,   728,  1017,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1018,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1019,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   729,
     409,   410,  1020,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1021,   425,   426,
     427,   428,   730,   429,  1022,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,  1023,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,  1024,  1025,
       0,     0,   452,  1026,   454,  1027,  1028,   456,   457,   458,
     459,   460,   461,     0,  1029,   462,   463,   464,   465,   466,
    1030,     0,   467,   468,   469,   470,   471,   472,  1031,     0,
     474,   731,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,   484,  1032,  1033,  1034,  1035,
    1036,  1037,  1038,  1039,   493,   494,   495,     0,     0,     0,
       0,     0,     0,     0,  1040,  1041,     0,     0,     0,     0,
       0,     0,     0,  1043,   709,   975,   548,   976,   977,   978,
     595,   979,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,   980,     0,     0,   212,   213,     0,   214,   215,   710,
     216,   217,   218,   219,   981,   711,   982,   983,     0,   223,
     224,   225,   226,   227,   984,   985,   228,   229,   986,   987,
     232,     0,   233,   234,   235,   236,   988,     0,   238,     0,
     239,   240,   241,   242,   712,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   713,   251,   252,   989,   990,
     991,   992,   993,   994,   995,   253,   254,   255,   256,   257,
     258,   996,   997,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     998,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   999,   286,   287,   288,  1000,
    1001,   290,     0,   291,  1002,   293,     0,   294,     0,   295,
     715,     0,   716,   296,   297,   298,     0,   299,  1003,     0,
     301,     0,   302,   303,   304,   305,   306,   717,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
     718,   317,   318,   319,   320,   321,  1004,  1005,     0,  1006,
       0,   325,   719,   720,   326,   721,   327,   328,   329,   330,
     331,   332,   333,     0,  1007,   722,   335,   723,     0,   336,
     337,   338,  1008,  1009,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,  1010,   724,  1011,   353,
     354,   355,  1012,   356,   357,   725,   358,  1013,  1014,   360,
    1015,   362,   363,   364,     0,   365,     0,     0,  1016,   367,
     368,     0,     0,   369,   726,   727,   728,  1017,   371,   372,
     373,   374,   375,   376,   377,     0,   378,  1018,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1019,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     729,   409,   410,  1020,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,  1021,   425,
     426,   427,   428,   730,   429,  1022,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,  1023,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,  1024,
    1025,     0,     0,   452,  1026,   454,  1027,  1028,   456,   457,
     458,   459,   460,   461,     0,  1029,   462,   463,   464,   465,
     466,  1030,     0,   467,   468,   469,   470,   471,   472,  1031,
    3345,   474,   731,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,   484,  1032,  1033,  1034,
    1035,  1036,  1037,  1038,  1039,   493,   494,   495,     0,     0,
       0,     0,     0,     0,     0,  1040,  1041,     0,     0,     0,
       0,     0,     0,     0,  1043,   709,   975,   548,   976,   977,
     978,   595,   979,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,   980,     0,     0,   212,   213,     0,   214,   215,
     710,   216,   217,   218,   219,   981,   711,   982,   983,     0,
     223,   224,   225,   226,   227,   984,   985,   228,   229,   986,
     987,   232,     0,   233,   234,   235,   236,   988,     0,   238,
       0,   239,   240,   241,   242,   712,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   713,   251,   252,   989,
     990,   991,   992,   993,   994,   995,   253,   254,   255,   256,
     257,   258,   996,   997,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   998,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   999,   286,   287,   288,
    1000,  1001,   290,     0,   291,  1002,   293,     0,   294,     0,
     295,   715,     0,   716,   296,   297,   298,     0,   299,  1003,
       0,   301,     0,   302,   303,   304,   305,   306,   717,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,   718,   317,   318,   319,   320,   321,  1004,  1005,     0,
    1006,     0,   325,   719,   720,   326,   721,   327,   328,   329,
     330,   331,   332,   333,     0,  1007,   722,   335,   723,     0,
     336,   337,   338,  1008,  1009,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1010,   724,  1011,
     353,   354,   355,  1012,   356,   357,   725,   358,  1013,  1014,
     360,  1015,   362,   363,   364,     0,   365,     0,     0,  1016,
     367,   368,     0,     0,   369,   726,   727,   728,  1017,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1018,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1019,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   729,   409,   410,  1020,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1021,
     425,   426,   427,   428,   730,   429,  1022,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,  1023,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
    1024,  1025,     0,     0,   452,  1026,   454,  1027,  1028,   456,
     457,   458,   459,   460,   461,     0,  1029,   462,   463,   464,
     465,   466,  1030,     0,   467,   468,   469,   470,   471,   472,
    1031,     0,   474,   731,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,  1032,  1033,
    1034,  1035,  1036,  1037,  1038,  1039,   493,   494,   495,     0,
       0,     0,     0,     0,     0,     0,  1040,  1041,     0,     0,
       0,     0,     0,     0,     0,  1043,   709,   975,   548,   976,
     977,   978,   595,   979,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   980,     0,     0,   212,   213,     0,   214,
     215,   710,   216,   217,   218,   219,   981,   711,   982,   983,
       0,   223,   224,   225,   226,   227,   984,   985,   228,   229,
     986,   987,   232,     0,   233,   234,   235,   236,   988,     0,
     238,     0,   239,   240,   241,   242,   712,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   713,   251,  3355,
     989,   990,   991,   992,   993,   994,   995,   253,   254,   255,
     256,   257,   258,   996,   997,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   998,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   999,   286,   287,
     288,  1000,  1001,   290,     0,   291,  1002,   293,     0,   294,
       0,   295,   715,     0,   716,   296,   297,   298,     0,   299,
    1003,     0,   301,     0,   302,   303,   304,   305,   306,   717,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,   718,   317,   318,   319,   320,   321,  1004,  1005,
       0,  1006,     0,   325,   719,   720,   326,   721,   327,   328,
     329,   330,   331,   332,   333,     0,  1007,   722,   335,   723,
       0,   336,   337,   338,  1008,  1009,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1010,   724,
    1011,   353,   354,   355,  1012,   356,   357,   725,   358,  1013,
    1014,   360,  1015,   362,   363,   364,     0,   365,     0,     0,
    1016,   367,   368,     0,     0,   369,   726,   727,   728,  1017,
     371,   372,   373,   374,   375,   376,   377,     0,   378,  1018,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1019,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   729,   409,   410,  1020,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
    1021,   425,   426,   427,   428,   730,   429,  1022,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,  1023,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,  1024,  1025,     0,     0,   452,  1026,   454,  1027,  1028,
     456,   457,   458,   459,   460,   461,     0,  1029,   462,   463,
     464,   465,   466,  1030,     0,   467,   468,   469,   470,   471,
     472,  1031,     0,   474,   731,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,  1032,
    1033,  1034,  1035,  1036,  1037,  1038,  1039,   493,   494,   495,
       0,     0,     0,     0,     0,     0,     0,  1040,  1041,     0,
       0,     0,     0,     0,     0,     0,  1043,   709,   975,   548,
     976,   977,   978,   595,   979,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,   980,     0,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,   219,   981,   711,   982,
     983,     0,   223,   224,   225,   226,   227,   984,   985,   228,
     229,   986,   987,   232,     0,   233,   234,   235,   236,   988,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,   989,   990,   991,   992,   993,   994,   995,   253,   254,
     255,   256,   257,   258,   996,   997,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   998,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   999,   286,
     287,   288,  1000,  1001,   290,     0,   291,  1002,   293,     0,
     294,     0,   295,   715,     0,   716,   296,   297,   298,     0,
     299,  1003,     0,   301,     0,   302,   303,   304,   305,   306,
     717,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,   317,   318,   319,   320,   321,  1004,
    1005,     0,  1006,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,     0,  1007,   722,   335,
     723,     0,   336,   337,   338,  1008,  1009,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1010,
     724,  1011,   353,   354,   355,  1012,   356,   357,   725,   358,
    1013,  1014,   360,  1015,   362,   363,   364,     0,   365,     0,
       0,  1016,   367,   368,     0,     0,   369,   726,   727,   728,
    1017,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1018,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1019,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,  1020,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1021,   425,   426,   427,   428,   730,   429,  1022,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
    1023,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,  1024,  1025,     0,     0,   452,  1026,   454,  1027,
    1028,   456,   457,   458,   459,   460,   461,     0,  1029,   462,
     463,   464,   465,   466,  1030,     0,   467,   468,   469,   470,
     471,   472,  1031,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,  3609,
    1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,   493,   494,
     495,     0,     0,     0,     0,     0,     0,     0,  1040,  1041,
       0,     0,     0,     0,     0,     0,     0,  1043,   709,   975,
     548,   976,   977,   978,   595,   979,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   980,     0,     0,   212,   213,
       0,   214,   215,   710,   216,   217,   218,   219,   981,   711,
     982,   983,     0,   223,   224,   225,   226,   227,   984,   985,
     228,   229,   986,   987,   232,     0,   233,   234,   235,   236,
     988,     0,   238,     0,   239,   240,   241,   242,   712,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   713,
     251,   252,   989,   990,   991,   992,   993,   994,   995,   253,
     254,   255,   256,   257,   258,   996,   997,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   998,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   999,
     286,   287,   288,  1000,  1001,   290,     0,   291,  1002,   293,
       0,   294,     0,   295,   715,     0,   716,   296,   297,   298,
       0,   299,  1003,     0,   301,     0,   302,   303,   304,   305,
     306,   717,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,   718,   317,   318,   319,   320,   321,
    1004,  1005,     0,  1006,     0,   325,   719,   720,   326,   721,
     327,   328,   329,   330,   331,   332,   333,     0,  1007,   722,
     335,   723,     0,   336,   337,   338,  1008,  1009,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
    1010,   724,  1011,   353,  3618,   355,  1012,   356,   357,   725,
     358,  1013,  1014,   360,  1015,   362,   363,   364,     0,   365,
       0,     0,  1016,   367,   368,     0,     0,   369,   726,   727,
     728,  1017,   371,   372,   373,   374,   375,   376,   377,     0,
     378,  1018,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1019,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   729,   409,   410,  1020,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,  1021,   425,   426,   427,   428,   730,   429,  1022,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,  1023,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,  1024,  1025,     0,     0,   452,  1026,   454,
    1027,  1028,   456,   457,   458,   459,   460,   461,     0,  1029,
     462,   463,   464,   465,   466,  1030,     0,   467,   468,   469,
     470,   471,   472,  1031,     0,   474,   731,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,   493,
     494,   495,     0,     0,     0,     0,     0,     0,     0,  1040,
    1041,     0,     0,     0,     0,     0,     0,     0,  1043,   709,
     975,   548,   976,   977,   978,   595,   979,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,   980,     0,     0,   212,
     213,     0,   214,   215,   710,   216,   217,   218,  4091,   981,
     711,   982,   983,     0,   223,   224,   225,   226,   227,   984,
     985,   228,   229,   986,   987,   232,     0,   233,   234,   235,
     236,   988,     0,   238,     0,   239,   240,   241,   242,   712,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     713,   251,  4092,   989,   990,   991,   992,   993,   994,   995,
     253,   254,   255,   256,   257,   258,   996,   997,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   998,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     999,   286,   287,   288,  1000,  1001,   290,     0,   291,  1002,
     293,     0,   294,     0,   295,   715,     0,   716,   296,   297,
     298,     0,   299,  1003,     0,   301,     0,   302,   303,   304,
     305,   306,   717,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,   718,   317,   318,   319,   320,
     321,  1004,  1005,     0,  1006,     0,   325,   719,   720,   326,
     721,   327,   328,   329,   330,   331,   332,   333,     0,  1007,
     722,   335,   723,     0,   336,   337,   338,  1008,  1009,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1010,   724,  1011,   353,   354,   355,  1012,   356,   357,
     725,   358,  1013,  1014,   360,  1015,   362,   363,   364,     0,
     365,     0,     0,  1016,   367,   368,     0,     0,   369,   726,
     727,   728,  1017,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1018,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1019,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   729,   409,   410,  1020,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1021,   425,   426,   427,   428,   730,   429,
    1022,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,  1023,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,  1024,  1025,     0,     0,   452,  1026,
     454,  1027,  1028,   456,   457,   458,  4093,   460,   461,     0,
    1029,   462,   463,   464,   465,   466,  1030,     0,   467,   468,
     469,   470,   471,   472,  1031,     0,   474,   731,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,
     493,   494,   495,     0,     0,     0,     0,     0,     0,     0,
    1040,  1041,     0,     0,     0,     0,     0,     0,     0,  1043,
     709,   975,   548,   976,   977,   978,   595,   979,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,   980,     0,     0,
     212,   213,     0,   214,   215,   710,   216,   217,   218,   219,
     981,   711,   982,   983,     0,   223,   224,   225,   226,   227,
     984,   985,   228,   229,   986,   987,   232,     0,   233,   234,
     235,   236,   988,     0,   238,     0,   239,   240,   241,   242,
     712,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   713,   251,  4092,   989,   990,   991,   992,   993,   994,
     995,   253,   254,   255,   256,   257,   258,   996,   997,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   998,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   999,   286,   287,   288,  1000,  1001,   290,     0,   291,
    1002,   293,     0,   294,     0,   295,   715,     0,   716,   296,
     297,   298,     0,   299,  1003,     0,   301,     0,   302,   303,
     304,   305,   306,   717,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,   718,   317,   318,   319,
     320,   321,  1004,  1005,     0,  1006,     0,   325,   719,   720,
     326,   721,   327,   328,   329,   330,   331,   332,   333,     0,
    1007,   722,   335,   723,     0,   336,   337,   338,  1008,  1009,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1010,   724,  1011,   353,   354,   355,  1012,   356,
     357,   725,   358,  1013,  1014,   360,  1015,   362,   363,   364,
       0,   365,     0,     0,  1016,   367,   368,     0,     0,   369,
     726,   727,   728,  1017,   371,   372,   373,   374,   375,   376,
     377,     0,   378,  1018,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1019,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   729,   409,   410,  1020,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,  1021,   425,   426,   427,   428,   730,
     429,  1022,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,  1023,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,  1024,  1025,     0,     0,   452,
    1026,   454,  1027,  1028,   456,   457,   458,  4093,   460,   461,
       0,  1029,   462,   463,   464,   465,   466,  1030,     0,   467,
     468,   469,   470,   471,   472,  1031,     0,   474,   731,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,  1032,  1033,  1034,  1035,  1036,  1037,  1038,
    1039,   493,   494,   495,     0,     0,     0,     0,     0,     0,
       0,  1040,  1041,     0,     0,     0,     0,     0,     0,     0,
    1043,   709,   975,   548,   976,   977,   978,   595,   979,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,   980,     0,
       0,   212,   213,     0,   214,   215,   710,   216,   217,   218,
     219,   981,   711,   982,   983,     0,   223,   224,   225,   226,
     227,   984,   985,   228,   229,   986,   987,   232,     0,   233,
     234,   235,   236,   988,     0,   238,     0,   239,   240,   241,
     242,   712,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   713,   251,   252,   989,   990,   991,   992,   993,
     994,   995,   253,   254,   255,   256,   257,   258,   996,   997,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   998,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   999,   286,   287,   288,  1000,  1001,   290,     0,
     291,  1002,   293,     0,   294,     0,   295,   715,     0,   716,
     296,   297,   298,     0,   299,  1003,     0,   301,     0,   302,
     303,   304,   305,   306,   717,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,   718,   317,   318,
     319,   320,   321,  1004,  1005,     0,  1006,     0,   325,   719,
     720,   326,   721,   327,   328,   329,   330,   331,   332,   333,
       0,  1007,   722,   335,   723,     0,   336,   337,   338,  1008,
    1009,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1010,   724,  1011,   353,   354,   355,     0,
     356,   357,   725,   358,  1013,  1014,   360,  1015,   362,   363,
     364,     0,   365,     0,     0,  1016,   367,   368,     0,     0,
     369,   726,   727,   728,  1017,   371,   372,   373,   374,   375,
     376,   377,     0,   378,  1018,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1019,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   729,   409,   410,
    1020,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,  1021,   425,   426,   427,   428,
     730,   429,  1022,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,  1023,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,  1024,  1025,     0,     0,
     452,  1026,   454,  1027,  1028,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,  1030,     0,
     467,   468,   469,   470,   471,   472,  1031,     0,   474,   731,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,  1032,  1033,  1034,  1035,  1036,  1037,
    1038,  1039,   493,   494,   495,     0,     0,     0,     0,     0,
       0,     0,  2207,  2208,     0,     0,     0,     0,     0,     0,
       0,  1043,   709,   975,   548,   976,   977,   978,   595,   979,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,   980,
       0,     0,   212,   213,     0,   214,   215,   710,   216,   217,
     218, -2124,   981,   711,   982,   983,     0,   223,   224,   225,
     226,   227,   984,   985,   228,   229,   986,   987,   232,     0,
     233,   234,   235,   236,   988,     0,   238,     0,   239,   240,
     241,   242,   712,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   713,   251,  4092,   989,   990,   991,   992,
     993,   994,   995,   253,   254,   255,   256,   257,   258,   996,
     997,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   998,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   999,   286,   287,   288,  1000,  1001,   290,
       0,   291,  1002,   293,     0,   294,     0,   295,   715,     0,
     716,   296,   297,   298,     0,   299,  1003,     0,   301,     0,
     302,   303,   304,   305,   306,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,   718,   317,
     318,   319,   320,   321,  1004,  1005,     0,  1006,     0,   325,
     719,   720,   326,   721,   327,   328,   329,   330,   331,   332,
     333,     0,  1007,   722,   335,     0,     0,   336,   337,   338,
    1008,  1009,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,  1010,   724,  1011,   353,   354,   355,
       0,   356,   357,   725,   358,  1013,  1014,   360,  1015,   362,
     363,   364,     0,   365,     0,     0,  1016,   367,   368,     0,
       0,   369,   726,   727,   728,  1017,   371,   372,   373,   374,
     375,   376,   377,     0,   378,  1018,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1019,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   729,   409,
     410,  1020,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,  1021,   425,   426,   427,
     428,     0,   429,  1022,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,  1023,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,  1024,  1025,     0,
       0,   452,  1026,   454,  1027,  1028,   456,   457,   458,  4093,
     460,   461,     0,  1029,   462,   463,   464,   465,   466,  1030,
       0,   467,   468,   469,   470,   471,   472,  1031,     0,   474,
     731,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,  1032,  1033,  1034,  1035,  1036,
    1037,  1038,  1039,   493,   494,   495,     0,     0,     0,     0,
       0,     0,     0,  1040,  1041,     0,     0,   709,   975,   548,
     976,   977,  1043,   595,   979,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,   980,     0,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,   219,   981,   711,   982,
     983,     0,   223,   224,   225,   226,   227,   984,   985,   228,
     229,   986,   987,   232,     0,   233,   234,   235,   236,   988,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,   989,   990,   991,   992,   993,   994,   995,   253,   254,
     255,   256,   257,   258,   996,   997,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   998,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   999,   286,
     287,   288,  1000,  1001,   290,     0,   291,  1002,   293,     0,
     294,     0,   295,   715,     0,   716,   296,   297,   298,     0,
     299,  1003,     0,   301,     0,   302,   303,   304,   305,   306,
     717,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,   317,   318,   319,   320,   321,  1004,
    1005,     0,  1006,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,     0,  1007,   722,   335,
     723,     0,   336,   337,   338,  1008,  1009,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1010,
     724,  1011,   353,   354,   355,     0,   356,   357,   725,   358,
    1013,  1014,   360,  1015,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,   726,   727,   728,
    1017,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1018,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1019,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,  1020,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1021,   425,   426,   427,   428,   730,   429,  1022,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
    1023,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,  1024,  1025,     0,     0,   452,  1026,   454,  1027,
    1028,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,  1030,     0,   467,   468,   469,   470,
     471,   472,  1031,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
    1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,   493,   494,
     495,     0,     0,     0,     0,     0,     0,   709,   975,   548,
     976,   977,     0,   595,   979,     0,     0,  1043,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,   980,     0,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,   219,   981,   711,   982,
     983,     0,  3268,   224,   225,   226,   227,   984,   985,   228,
     229,   986,   987,   232,     0,   233,   234,   235,   236,   988,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,   989,   990,   991,   992,   993,   994,   995,   253,   254,
     255,   256,   257,   258,   996,   997,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   998,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   999,   286,
     287,   288,  1000,  1001,   290,     0,   291,  1002,   293,     0,
     294,     0,   295,   715,     0,   716,   296,   297,   298,     0,
     299,  1003,     0,   301,     0,   302,   303,   304,   305,   306,
     717,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,   317,   318,   319,   320,   321,  1004,
    1005,     0,  1006,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,     0,  1007,   722,   335,
     723,     0,   336,   337,   338,  1008,  1009,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1010,
     724,  1011,   353,   354,   355,     0,   356,   357,   725,   358,
    1013,  1014,   360,  1015,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,   726,   727,   728,
    1017,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1018,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1019,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,  1020,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1021,   425,   426,   427,   428,   730,   429,  1022,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
    1023,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,  1024,  1025,     0,     0,   452,  1026,   454,  1027,
    1028,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,  1030,     0,   467,   468,   469,   470,
     471,   472,  1031,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
    1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,   493,   494,
     495,     0,     0,     0,     0,     0,     0,   709,   975,   548,
     976,   977,   978,   595,   979,     0,     0,  1043,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,   980,     0,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,     0,   981,   711,   982,
     983,     0,   223,   224,   225,   226,   227,   984,   985,   228,
     229,   986,   987,   232,     0,   233,   234,   235,   236,   988,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,   989,   990,   991,   992,   993,   994,   995,   253,   254,
     255,   256,   257,   258,   996,   997,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   998,   274,   275,     0,   276,   277,   278,
       0,   279,     0,     0,   281,   282,   283,   284,   999,   286,
     287,   288,  1000,  1001,   290,     0,   291,  1002,   293,     0,
     294,     0,   295,   715,     0,   716,   296,   297,   298,     0,
     299,  1003,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,   317,   318,   319,   320,   321,  1004,
    1005,     0,  1006,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,     0,  1007,   722,   335,
       0,     0,   336,   337,   338,  1008,  1009,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1010,
     724,  1011,   353,   354,   355,     0,   356,   357,   725,   358,
    1013,  1014,   360,  1015,   362,   363,   364,     0,   365,     0,
       0,  1016,   367,   368,     0,     0,   369,   726,   727,   728,
    1017,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1018,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1019,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,  1020,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1021,   425,   426,   427,   428,     0,   429,  1022,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
    1023,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,  1024,  1025,     0,     0,   452,  1026,   454,  1027,
    1028,   456,   457,   458,   459,   460,   461,     0,  1029,   462,
     463,   464,   465,   466,  1030,     0,   467,   468,   469,   470,
     471,   472,  1031,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
    1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,   493,   494,
     495,     0,     0,     0,     0,     0,     0,     0,  1040,  1041,
       0,     0,     0,     0,     0,     0,     0,  1043,   709,   975,
     548,   976,   977,   978,   595,   979,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   980,     0,     0,   212,   213,
       0,   214,   215,   710,   216,   217,   218,     0,   981,   711,
     982,   983,     0,   223,   224,   225,   226,   227,   984,   985,
     228,   229,   986,   987,   232,     0,   233,   234,   235,   236,
     988,     0,   238,     0,   239,   240,   241,   242,   712,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   713,
     251,   252,   989,   990,   991,   992,   993,   994,   995,   253,
     254,   255,   256,   257,   258,   996,   997,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   998,   274,   275,     0,   276,   277,
     278,     0,   279,     0,     0,   281,   282,   283,   284,   999,
     286,   287,   288,  1000,  1001,   290,     0,   291,  1002,   293,
       0,   294,     0,   295,   715,     0,   716,   296,   297,   298,
       0,   299,  1003,     0,   301,     0,   302,   303,   304,   305,
     306,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,   718,   317,   318,   319,   320,   321,
    1004,  1005,     0,  1006,     0,   325,   719,   720,   326,   721,
     327,   328,   329,   330,   331,   332,   333,     0,  1007,   722,
     335,     0,     0,   336,   337,   338,  1008,  1009,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
    1010,   724,  1011,   353,   354,   355,     0,   356,   357,   725,
     358,  1013,  1014,   360,  1015,   362,   363,   364,     0,   365,
       0,     0,  1016,   367,   368,     0,     0,   369,   726,   727,
     728,  1017,   371,   372,   373,   374,   375,   376,   377,     0,
     378,  1018,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1019,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   729,   409,   410,  1020,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,  1021,   425,   426,   427,   428,     0,   429,  1022,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,  1023,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,  1024,  1025,     0,     0,   452,  1026,   454,
    1027,  1028,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,  1030,     0,   467,   468,   469,
     470,   471,   472,  1031,     0,   474,   731,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,   493,
     494,   495,     0,     0,     0,     0,     0,     0,   709,  2207,
    2208,     0,     0,     0,     0,     0,     0,     0,  1043,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   710,   216,   217,   218,   219,   220,   711,
     221,   222,     0,   223,   224,   225,   226,   227,     0,   985,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     988,     0,   238,     0,   239,   240,   241,   242,   712,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   713,
     251,   252,   989,   990,   991,   992,   993,   994,   995,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,  1000,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,   715,     0,   716,   296,   297,   298,
       0,   299,  1003,     0,   301,     0,   302,   303,   304,   305,
     306,   717,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,   718,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   719,   720,   326,   721,
     327,   328,   329,   330,   331,   332,   333,     0,  1007,   722,
     335,   723,     0,   336,   337,   338,  1008,  1009,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   724,   352,   353,   354,   355,     0,   356,   357,   725,
     358,     0,  1014,   360,   361,   362,   363,   364,     0,   365,
       0,   674,   366,   367,   368,     0,     0,   369,   726,   727,
     728,  1017,   371,   372,   373,   374,   375,   376,   377,     0,
     378,  1018,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   729,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,    37,   420,   421,   422,
     423,   424,  1021,   425,   426,   427,   428,   730,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,  1023,     0,   442,   443,    41,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,  1026,   454,
    1027,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,  1030,     0,   467,   468,   469,
     470,   471,   915,   473,     0,   474,   731,   475,   476,   477,
       0,     0,   478,     0,    46,   479,   480,   481,   482,   483,
     484,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,   493,
     494,   495,     0,     0,     0,     0,     0,     0,   709,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2860,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   710,   216,   217,   218,   219,   220,   711,
     221,   222,     0,   223,   224,   225,   226,   227,     0,   985,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     988,     0,   238,     0,   239,   240,   241,   242,   712,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   713,
     251,   252,   989,   990,   991,   992,   993,   994,   995,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,  1000,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,   715,     0,   716,   296,   297,   298,
       0,   299,  1003,     0,   301,     0,   302,   303,   304,   305,
     306,   717,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,   718,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   719,   720,   326,   721,
     327,   328,   329,   330,   331,   332,   333,     0,  1007,   722,
     335,   723,     0,   336,   337,   338,  1008,  1009,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   724,   352,   353,   354,   355,     0,   356,   357,   725,
     358,     0,  1014,   360,   361,   362,   363,   364,     0,   365,
       0,   674,   366,   367,   368,     0,     0,   369,   726,   727,
     728,  1017,   371,   372,   373,   374,   375,   376,   377,     0,
     378,  1018,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   729,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,  1021,   425,   426,   427,   428,   730,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,  1023,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,  1026,   454,
    1027,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,  1030,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   731,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,   493,
     494,   495,     0,     0,     0,     0,     0,     0,   709,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2860,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   710,   216,   217,   218,   219,   220,   711,
     221,   222,     0,   223,   224,   225,   226,   227,     0,   985,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     988,     0,   238,     0,   239,   240,   241,   242,   712,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   713,
     251,   252,   989,   990,   991,   992,   993,   994,   995,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,  1000,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,   715,     0,   716,   296,   297,   298,
       0,   299,  1003,     0,   301,     0,   302,   303,   304,   305,
     306,   717,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,   718,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   719,   720,   326,   721,
     327,   328,   329,   330,   331,   332,   333,     0,  1007,   722,
     335,   723,     0,   336,   337,   338,  1008,  1009,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   724,   352,   353,   354,   355,     0,   356,   357,   725,
     358,     0,  1014,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,   726,   727,
     728,  1017,   371,   372,   373,   374,   375,   376,   377,     0,
     378,  1018,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   729,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,  1021,   425,   426,   427,   428,   730,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,  1023,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,  1026,   454,
    1027,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,  1030,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   731,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,   493,
     494,   495,     0,     0,     0,     0,     0,     0,   751,  1216,
     548,     0,     0,     0,   595,     0,     0,     0,  3375,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   710,   216,   217,   218,   219,   220,   711,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,   712,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   713,
     251,   252,     0,     0,     0,   714,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,  1443,   290,     0,   291,   292,   293,
       0,   294,     0,   295,   715,     0,   716,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     306,   717,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,   718,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   719,   720,   326,   721,
     327,   328,   329,   330,   331,   332,   333,     0,   334,   722,
     335,   723,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   724,   352,   353,   354,   355,     0,   356,   357,   725,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
    1444,     0,   366,   367,   368,     0,     0,   369,   726,   727,
     728,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   729,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   730,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,  1445,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   731,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     0,     0,     0,     0,     0,     0,   751,   607,
    1217,  3480,     0,     0,     0,     0,     0,     0,  3481,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     3,     4,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   710,   216,   217,   218,   219,   220,   711,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,   712,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   713,
     251,   252,     0,     0,     0,   714,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,   715,     0,   716,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     306,   717,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,   718,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   719,   720,   326,   721,
     327,   328,   329,   330,   331,   332,   333,     0,   334,   722,
     335,   723,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   724,   352,   353,   354,   355,     0,   356,   357,   725,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,   726,   727,
     728,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   729,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,    37,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   730,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,    41,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   915,   473,     0,   474,   731,   475,   476,   477,
       0,     0,   478,     0,    46,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     0,     0,     0,     0,     0,     0,   709,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    47,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   710,   216,   217,   218,   219,   220,   711,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,   712,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   713,
     251,   252,     0,     0,     0,   714,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,   715,     0,   716,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     306,   717,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,   718,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   719,   720,   326,   721,
     327,   328,   329,   330,   331,   332,   333,     0,   334,   722,
     335,   723,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   724,   352,   353,   354,   355,     0,   356,   357,   725,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,   726,   727,
     728,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   729,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   730,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   731,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     0,     0,     0,     0,     0,     0,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3877,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     306,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,    37,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,    41,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   915,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,    46,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     0,     0,     0,     0,     0,     0,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    47,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     306,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     0,     0,     0,     0,     0,     0,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1095,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     306,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     0,     0,     0,     0,     0,     0,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2357,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     306,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     0,     0,     0,     0,     0,     0,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3339,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     306,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     0,     0,     0,     0,     0,     0,  1311,  1216,
     548,     0,     0,   759,   595,     0,     0,     0,  3653,   200,
     201,   202,   203,   204,   205,   206,   207,  1641,   209,   210,
     211,  1642,  1643,  1644,  1645,  1646,  1647,  1648,   212,   213,
    1649,   214,   215,   710,   216,   217,   218,     0,  1312,   711,
    1313,  1314,  1650,   223,   224,   225,   226,   227,  1651,  1652,
     228,   229,  1315,  1316,   232,  1653,   233,   234,   235,   236,
       0,  1654,   238,  1655,   239,   240,   241,   242,   712,   243,
     244,  1656,   245,   246,   247,   248,   249,   250,  1657,   713,
     251,   252,  1658,  1659,  1660,   714,  1661,  1662,  1663,   253,
     254,   255,   256,   257,   258,  1317,  1318,   261,  1664,   262,
    1665,   263,   264,   265,   266,   267,  1666,   268,   269,   270,
    1667,  1668,   271,   272,   998,   274,   275,  1669,   276,   277,
     278,  1670,   279,   280,  1671,   281,   282,   283,   284,     0,
     286,   287,   288,     0,  1672,   290,  1673,   291,  1319,   293,
    1674,   294,  1675,   295,   715,  1676,   716,   296,   297,   298,
    1677,   299,     0,  1678,   301,  1679,   302,   303,   304,   305,
     306,   717,   307,   308,   309,  1680,   310,   311,   312,   313,
     314,   315,  1681,   316,   718,     0,   318,   319,   320,   321,
    1320,  1321,  1682,  1322,  1683,   325,   719,   720,   326,   721,
     327,   328,   329,   330,   331,   332,   333,  1684,     0,   722,
     335,   723,  1685,   336,   337,   338,  1686,  1687,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
    1323,   724,  1324,   353,   354,     0,  1688,   356,   357,   725,
     358,  1689,     0,   360,  1325,   362,   363,   364,  1690,   365,
    1691,  1692,  3072,   367,   368,  1693,  1694,     0,   726,   727,
     728,     0,   371,   372,   373,   374,   375,   376,   377,  1695,
     378,     0,   380,     0,   382,   383,   384,  1696,   385,   386,
     387,   388,   389,   390,   391,  1326,   393,   394,   395,   396,
    1697,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,  1698,   407,   408,   729,   409,   410,     0,   412,   413,
     414,   415,   416,   417,   418,   419,  1699,   420,   421,   422,
     423,   424,  1700,   425,  1848,   427,   428,   730,   429,  1328,
    1701,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,     0,  1702,   442,   443,  1703,   444,   445,   446,   447,
     448,   449,  1704,  1329,  1330,  1705,  1706,   452,     0,   454,
       0,  1707,   456,   457,   458,   459,   460,   461,  1708,  1709,
     462,   463,   464,   465,   466,  1710,  1711,   467,   468,   469,
     470,   471,     0,  1331,  1712,   474,   731,   475,   476,   477,
    1713,  1714,   478,  1715,  1716,   479,   480,   481,   482,   483,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   493,
     494,   495,     0,     0,     0,   762,   763,   764,     0,  3073,
    3074,   767,   768,   769,   770,   199,     0,     0,     0,     0,
     759,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   760,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,     0,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,     0,   251,   252,     0,
       0,     0,     0,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   761,     0,   291,   292,   293,     0,   294,     0,
     295,     0,     0,     0,   296,   297,   298,     0,   299,   300,
       0,   301,     0,   302,   303,   304,   305,   306,     0,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,     0,     0,   326,     0,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,     0,   452,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,     0,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     0,
       0,     0,   762,   763,   764,     0,   765,   766,   767,   768,
     769,   770,   199,     0,     0,     0,     0,   759,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   844,   235,   236,   237,     0,   238,     0,   239,   240,
     241,   242,     0,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,     0,   251,   252,     0,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   845,
       0,   291,   292,   293,     0,   294,     0,   295,     0,     0,
       0,   296,   297,   298,     0,   299,   300,     0,   301,     0,
     302,   303,   304,   305,   306,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,     0,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
       0,   452,   453,   454,   455,     0,   456,   457,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,   473,     0,   474,
       0,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     0,     0,     0,   762,
     763,   764,     0,   765,   766,   767,   768,   769,   770,   199,
       0,     0,     0,     0,   759,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   888,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,     0,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
       0,   251,   252,     0,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   889,     0,   291,   292,
     293,     0,   294,     0,   295,     0,     0,     0,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   890,     0,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,     0,     0,   326,
       0,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,     0,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,     0,     0,     0,   762,   763,   764,     0,
     765,   766,   767,   768,   769,   770,   199,     0,     0,     0,
       0,   759,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,  1294,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,     0,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,  1295,     0,   291,   292,   293,     0,   294,
       0,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,     0,   301,     0,   302,   303,   304,   305,   306,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,     0,   452,   453,   454,   455,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       0,     0,     0,   762,   763,   764,     0,   765,   766,   767,
     768,   769,   770,   199,     0,     0,     0,     0,   759,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   238,     0,   239,
     240,   241,   242,     0,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,     0,   251,   252,     0,     0,     0,
       0,     0,     0,     0,   253,   254,   255,   256,   257,   258,
     259,   260,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,     0,   294,     0,   295,     0,
       0,     0,   296,   297,   298,     0,   299,   300,     0,   301,
       0,   302,   303,   304,   305,   306,     0,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,     0,     0,   326,     0,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,     0,   452,   453,   454,   455,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,   473,     0,
     474,     0,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,     0,     0,     0,
     762,   763,   764,     0,   765,   766,   767,   768,   769,   770,
     199,     0,     0,     0,     0,   759,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,  2413,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,  2414,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   306,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     0,     0,     0,   762,   763,   764,
       0,   765,   766,   767,   768,   769,   770,   199,     0,     0,
       0,     0,   759,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,  3864,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     0,     0,  1640,   762,   763,   764,     0,   765,   766,
     767,   768,   769,   770,   200,   201,   202,   203,   204,   205,
     206,   207,  1641,   209,   210,   211,  1642,  1643,  1644,  1645,
    1646,  1647,  1648,   212,   213,  1649,   214,   215,   710,   216,
     217,   218,   219,   220,   711,   221,   222,  1650,   223,   224,
     225,   226,   227,  1651,  1652,   228,   229,   230,   231,   232,
    1653,   233,   234,   235,   236,   237,  1654,   238,  1655,   239,
     240,   241,   242,   712,   243,   244,  1656,   245,   246,   247,
     248,   249,   250,  1657,   713,   251,   252,  1658,  1659,  1660,
     714,  1661,  1662,  1663,   253,   254,   255,   256,   257,   258,
     259,   260,   261,  1664,   262,  1665,   263,   264,   265,   266,
     267,  1666,   268,   269,   270,  1667,  1668,   271,   272,   273,
     274,   275,  1669,   276,   277,   278,  1670,   279,   280,  1671,
     281,   282,   283,   284,   285,   286,   287,   288,   289,  1672,
     290,  1673,   291,   292,   293,  1674,   294,  1675,   295,   715,
    1676,   716,   296,   297,   298,  1677,   299,   300,  1678,   301,
    1679,   302,   303,   304,   305,   306,   717,   307,   308,   309,
    1680,   310,   311,   312,   313,   314,   315,  1681,   316,   718,
     317,   318,   319,   320,   321,   322,   323,  1682,   324,  1683,
     325,   719,   720,   326,   721,   327,   328,   329,   330,   331,
     332,   333,  1684,   334,   722,   335,   723,  1685,   336,   337,
     338,  1686,  1687,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   724,   352,   353,   354,
     355,  1688,   356,   357,   725,   358,  1689,   359,   360,   361,
     362,   363,   364,  1690,   365,  1691,  1692,   366,   367,   368,
    1693,  1694,   369,   726,   727,   728,   370,   371,   372,   373,
     374,   375,   376,   377,  1695,   378,   379,   380,   381,   382,
     383,   384,  1696,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,  1697,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,  1698,   407,   408,   729,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,  1699,   420,   421,   422,   423,   424,  1700,   425,   426,
     427,   428,   730,   429,   430,  1701,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1702,   442,   443,
    1703,   444,   445,   446,   447,   448,   449,  1704,   450,   451,
    1705,  1706,   452,   453,   454,   455,  1707,   456,   457,   458,
     459,   460,   461,  1708,  1709,   462,   463,   464,   465,   466,
    1710,  1711,   467,   468,   469,   470,   471,   472,   473,  1712,
     474,   731,   475,   476,   477,  1713,  1714,   478,  1715,  1716,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   199,     0,     0,
       0,     0,     0,     0,     0,     0,  1717,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   199,     0,     0,     0,     0,     0,     0,     0,     0,
     679,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,     0,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,     0,   251,   252,     0,     0,     0,     0,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,     0,
     291,   292,   293,     0,   294,     0,   295,     0,     0,     0,
     296,   297,   298,     0,   299,   300,     0,   301,     0,   302,
     303,   304,   305,   306,     0,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,     0,
       0,   326,     0,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,     0,
     452,   453,   454,   455,     0,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,     0,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,  1311,     0,     0,     0,     0,
       0,     0,     0,     0,  3741,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
     710,   216,   217,   218,     0,  1312,   711,  1313,  1314,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,  1315,
    1316,   232,     0,   233,   234,   235,   236,     0,     0,   238,
       0,   239,   240,   241,   242,   712,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   713,   251,   252,     0,
       0,     0,   714,     0,     0,     0,   253,   254,   255,   256,
     257,   258,  1317,  1318,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   998,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,     0,   286,   287,   288,
       0,     0,   290,     0,   291,  1319,   293,     0,   294,     0,
     295,   715,     0,   716,   296,   297,   298,     0,   299,     0,
       0,   301,     0,   302,   303,   304,   305,   306,   717,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,   718,     0,   318,   319,   320,   321,  1320,  1321,     0,
    1322,     0,   325,   719,   720,   326,   721,   327,   328,   329,
     330,   331,   332,   333,     0,     0,   722,   335,   723,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1323,   724,  1324,
     353,   354,     0,     0,   356,   357,   725,   358,     0,     0,
     360,  1325,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,     0,   726,   727,   728,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
       0,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1326,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   729,   409,   410,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,  1327,   427,   428,   730,   429,  1328,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,     0,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
    1329,  1330,     0,     0,   452,     0,   454,     0,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,     0,
    1331,     0,   474,   731,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,     0,     0,  1985,
       0,     0,     0,     0,     0,     0,   493,   494,   495,     0,
     200,   201,   202,   203,   204,   205,   206,   207,  1771,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   710,   216,   217,   218,     0,  1312,
     711,  1313,  1314,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,  1315,  1316,   232,     0,   233,   234,   235,
     236,     0,     0,   238,     0,   239,   240,   241,   242,   712,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     713,   251,   252,     0,     0,     0,   714,     0,     0,     0,
     253,   254,   255,   256,   257,   258,  1317,  1318,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   998,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
       0,   286,   287,   288,     0,     0,   290,     0,   291,  1319,
     293,     0,   294,     0,   295,   715,     0,   716,   296,   297,
     298,     0,   299,     0,     0,   301,     0,   302,   303,   304,
     305,   306,   717,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,   718,     0,   318,   319,   320,
     321,  1320,  1321,     0,  1322,     0,   325,   719,   720,   326,
     721,   327,   328,   329,   330,   331,   332,   333,     0,     0,
     722,   335,   723,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1323,   724,  1324,   353,   354,     0,     0,   356,   357,
     725,   358,     0,     0,   360,  1325,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,     0,   726,
     727,   728,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,     0,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1326,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   729,   409,   410,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,  1327,   427,   428,   730,   429,
    1328,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,     0,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,  1329,  1330,     0,     0,   452,     0,
     454,     0,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,     0,  1331,     0,   474,   731,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,     0,     0,   751,  1216,   548,     0,     0,     0,   595,
     493,   494,   495,     0,   200,   201,   202,   203,   204,   205,
     206,   207,  1771,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,   710,   216,
     217,   218,   219,   220,   711,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   238,     0,   239,
     240,   241,   242,   712,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   713,   251,   252,     0,     0,     0,
     714,     0,     0,     0,   253,   254,   255,   256,   257,   258,
     259,   260,   261,  1630,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,  1443,
     290,     0,   291,   292,   293,     0,   294,     0,   295,   715,
       0,   716,   296,   297,   298,     0,   299,   300,     0,   301,
       0,   302,   303,   304,   305,   306,   717,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,   718,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   719,   720,   326,   721,   327,   328,   329,   330,   331,
     332,   333,     0,   334,   722,   335,   723,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   724,   352,   353,   354,
     355,     0,   356,   357,   725,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,  1444,     0,   366,   367,   368,
       0,     0,   369,   726,   727,   728,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   729,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   730,   429,   430,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,     0,   452,   453,   454,   455,  1445,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   731,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   751,  1216,   548,
       0,     0,     0,   595,   607,  1217,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,   219,   220,   711,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,     0,     0,     0,   714,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,  1635,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,  1443,   290,     0,   291,   292,   293,     0,
     294,     0,   295,   715,     0,   716,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
     717,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,     0,   334,   722,   335,
     723,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     724,   352,   353,   354,   355,     0,   356,   357,   725,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,  1444,
       0,   366,   367,   368,     0,     0,   369,   726,   727,   728,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   730,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
    1445,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   751,  1216,   548,     0,     0,     0,   595,   607,  1217,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,   710,   216,   217,   218,
     219,   220,   711,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,   712,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   713,   251,   252,     0,     0,     0,   714,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,  1443,   290,     0,
     291,   292,   293,     0,   294,     0,   295,   715,     0,   716,
     296,   297,   298,     0,   299,   300,     0,   301,     0,   302,
     303,   304,   305,   306,   717,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,   718,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   719,
     720,   326,   721,   327,   328,   329,   330,   331,   332,   333,
       0,   334,   722,   335,   723,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   724,   352,   353,   354,   355,     0,
     356,   357,   725,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,  1444,     0,   366,   367,   368,     0,     0,
     369,   726,   727,   728,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   729,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     730,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,     0,
     452,   453,   454,   455,  1445,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   731,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   199,     0,     0,     0,     0,
       0,   595,   607,  1217,     0,     0,   200,   596,   202,   203,
     204,   205,   206,   207,   597,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   598,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,     0,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,     0,   251,   252,     0,
       0,     0,     0,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   599,   292,   293,     0,   294,     0,
     600,     0,   601,     0,   296,   297,   298,     0,   299,   300,
       0,   301,     0,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   602,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,     0,     0,   326,     0,   327,   328,   329,
     330,   603,   332,   333,     0,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     604,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   605,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   606,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,     0,   452,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,     0,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,  1640,
    4147,   548,     0,     0,     0,   595,   607,   608,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,  1641,   209,
     210,   211,  1642,  1643,  1644,  1645,  1646,  1647,  1648,   212,
     213,  1649,   214,   215,   710,   216,   217,   218,   219,   220,
     711,   221,   222,  1650,   223,   224,   225,   226,   227,  1651,
    1652,   228,   229,   230,   231,   232,  1653,   233,   234,   235,
     236,   237,  1654,   238,  1655,   239,   240,   241,   242,   712,
     243,   244,  1656,   245,   246,   247,   248,   249,   250,  1657,
     713,   251,   252,  1658,  1659,  1660,   714,  1661,  1662,  1663,
     253,   254,   255,   256,   257,   258,   259,   260,   261,  1664,
     262,  1665,   263,   264,   265,   266,   267,  1666,   268,   269,
     270,  1667,  1668,   271,   272,   273,   274,   275,  1669,   276,
     277,   278,  1670,   279,   280,  1671,   281,   282,   283,   284,
     285,   286,   287,   288,   289,  1672,   290,  1673,   291,   292,
     293,  1674,   294,  1675,   295,   715,  1676,   716,   296,   297,
     298,  1677,   299,   300,  1678,   301,  1679,   302,   303,   304,
     305,   306,   717,   307,   308,   309,  1680,   310,   311,   312,
     313,   314,   315,  1681,   316,   718,   317,   318,   319,   320,
     321,   322,   323,  1682,   324,  1683,   325,   719,   720,   326,
     721,   327,   328,   329,   330,   331,   332,   333,  1684,   334,
     722,   335,   723,  1685,   336,   337,   338,  1686,  1687,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   724,   352,   353,   354,   355,  1688,   356,   357,
     725,   358,  1689,   359,   360,   361,   362,   363,   364,  1690,
     365,  1691,  1692,   366,   367,   368,  1693,  1694,   369,   726,
     727,   728,   370,   371,   372,   373,   374,   375,   376,   377,
    1695,   378,   379,   380,   381,   382,   383,   384,  1696,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,  1697,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,  1698,   407,   408,   729,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,  1699,   420,   421,
     422,   423,   424,  1700,   425,   426,   427,   428,   730,   429,
     430,  1701,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1702,   442,   443,  1703,   444,   445,   446,
     447,   448,   449,  1704,   450,   451,  1705,  1706,   452,   453,
     454,   455,  1707,   456,   457,   458,   459,   460,   461,  1708,
    1709,   462,   463,   464,   465,   466,  1710,  1711,   467,   468,
     469,   470,   471,   472,   473,  1712,   474,   731,   475,   476,
     477,  1713,  1714,   478,  1715,  1716,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,  1640,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,  1641,   209,   210,   211,  1642,  1643,  1644,  1645,
    1646,  1647,  1648,   212,   213,  1649,   214,   215,   710,   216,
     217,   218,   219,   220,   711,   221,   222,  1650,   223,   224,
     225,   226,   227,  1651,  1652,   228,   229,   230,   231,   232,
    1653,   233,   234,   235,   236,   237,  1654,   238,  1655,   239,
     240,   241,   242,   712,   243,   244,  1656,   245,   246,   247,
     248,   249,   250,  1657,   713,   251,   252,  1658,  1659,  1660,
     714,  1661,  1662,  1663,   253,   254,   255,   256,   257,   258,
     259,   260,   261,  1664,   262,  1665,   263,   264,   265,   266,
     267,  1666,   268,   269,   270,  1667,  1668,   271,   272,   273,
     274,   275,  1669,   276,   277,   278,  1670,   279,   280,  1671,
     281,   282,   283,   284,   285,   286,   287,   288,   289,  1672,
     290,  1673,   291,   292,   293,  1674,   294,  1675,   295,   715,
    1676,   716,   296,   297,   298,  1677,   299,   300,  1678,   301,
    1679,   302,   303,   304,   305,   306,   717,   307,   308,   309,
    1680,   310,   311,   312,   313,   314,   315,  1681,   316,   718,
     317,   318,   319,   320,   321,   322,   323,  1682,   324,  1683,
     325,   719,   720,   326,   721,   327,   328,   329,   330,   331,
     332,   333,  1684,   334,   722,   335,   723,  1685,   336,   337,
     338,  1686,  1687,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   724,   352,   353,   354,
     355,  1688,   356,   357,   725,   358,  1689,   359,   360,   361,
     362,   363,   364,  1690,   365,  1691,  1692,   366,   367,   368,
    1693,  1694,   369,   726,   727,   728,   370,   371,   372,   373,
     374,   375,   376,   377,  1695,   378,   379,   380,   381,   382,
     383,   384,  1696,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,  1697,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,  1698,   407,   408,   729,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,  1699,   420,   421,   422,   423,   424,  1700,   425,   426,
     427,   428,   730,   429,   430,  1701,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1702,   442,   443,
    1703,   444,   445,   446,   447,   448,   449,  1704,   450,   451,
    1705,  1706,   452,   453,   454,   455,  1707,   456,   457,   458,
     459,   460,   461,  1708,  1709,   462,   463,   464,   465,   466,
    1710,  1711,   467,   468,   469,   470,   471,   472,   473,  1712,
     474,   731,   475,   476,   477,  1713,  1714,   478,  1715,  1716,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,  1640,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,  2474,   205,   206,   207,  1641,   209,   210,   211,
    1642,  1643,  1644,  1645,  1646,  1647,  1648,   212,   213,  1649,
     214,   215,   710,   216,   217,   218,   219,   220,   711,   221,
     222,  1650,   223,   224,   225,   226,   227,  1651,  1652,   228,
     229,   230,   231,   232,  1653,   233,   234,   235,   236,   237,
    1654,   238,  1655,   239,   240,   241,   242,   712,   243,   244,
    1656,   245,   246,   247,   248,   249,   250,  1657,   713,   251,
     252,  1658,  1659,  1660,   714,  1661,  1662,  1663,   253,   254,
     255,   256,   257,   258,   259,   260,   261,  1664,   262,  1665,
     263,   264,   265,   266,   267,  1666,   268,   269,   270,  1667,
    1668,   271,   272,   273,  2475,   275,  1669,   276,   277,   278,
    1670,   279,   280,  1671,   281,   282,   283,   284,   285,   286,
     287,   288,   289,  1672,   290,  1673,   291,   292,   293,  1674,
     294,  1675,   295,   715,  1676,   716,   296,   297,   298,  1677,
     299,   300,  1678,   301,  1679,   302,   303,   304,   305,   306,
     717,   307,   308,   309,  1680,   310,   311,   312,   313,   314,
     315,  1681,   316,   718,   317,   318,   319,   320,   321,   322,
     323,  1682,   324,  1683,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,  1684,   334,   722,   335,
     723,  1685,   336,   337,   338,  1686,  1687,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     724,   352,   353,   354,   355,  1688,   356,   357,   725,   358,
    1689,   359,   360,   361,   362,   363,   364,  1690,   365,  1691,
    1692,   366,   367,   368,  1693,  1694,   369,   726,   727,   728,
     370,   371,   372,   373,   374,   375,   376,   377,  1695,   378,
     379,   380,   381,   382,   383,   384,  1696,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,  1697,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
    1698,   407,   408,   729,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,  1699,   420,   421,   422,   423,
     424,  1700,  2476,   426,   427,   428,   730,   429,   430,  1701,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1702,   442,   443,  1703,   444,   445,   446,   447,   448,
     449,  1704,   450,   451,  1705,  1706,   452,   453,   454,   455,
    1707,   456,   457,   458,   459,   460,   461,  1708,  1709,   462,
     463,   464,   465,   466,  1710,  1711,   467,   468,   469,   470,
     471,   472,   473,  1712,   474,   731,   475,   476,   477,  1713,
    1714,   478,  1715,  1716,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   751,     0,   548,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,   710,   216,   217,   218,
     219,   220,   711,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,   712,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   713,   251,   252,     0,     0,     0,   714,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,  1443,   290,     0,
     291,   292,   293,     0,   294,     0,   295,   715,     0,   716,
     296,   297,   298,     0,   299,   300,     0,   301,     0,   302,
     303,   304,   305,   306,   717,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,   718,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   719,
     720,   326,   721,   327,   328,   329,   330,   331,   332,   333,
       0,   334,   722,   335,   723,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   724,   352,   353,   354,   355,     0,
     356,   357,   725,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,  1444,     0,   366,   367,   368,     0,     0,
     369,   726,   727,   728,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   729,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     730,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,     0,
     452,   453,   454,   455,  1445,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   731,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   751,     0,   548,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
     710,   216,   217,   218,   219,   220,   711,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,   712,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   713,   251,   252,     0,
       0,     0,   714,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,  1616,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,     0,   294,     0,
     295,   715,     0,   716,   296,   297,   298,     0,   299,   300,
       0,   301,     0,   302,   303,   304,   305,   306,   717,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,   718,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   719,   720,   326,   721,   327,   328,   329,
     330,   331,   332,   333,     0,   334,   722,   335,   723,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   724,   352,
     353,   354,   355,     0,   356,   357,   725,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,   726,   727,   728,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   729,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   730,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,     0,   452,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   731,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   751,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   710,   216,   217,   218,   219,   220,
     711,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,   712,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     713,   251,   252,     0,     0,     0,   714,     0,     0,  1946,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,     0,   295,   715,     0,   716,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   306,   717,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,   718,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   719,   720,   326,
     721,   327,   328,   329,   330,   331,   332,   333,     0,   334,
     722,   335,   723,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   724,   352,   353,   354,   355,     0,   356,   357,
     725,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,   726,
     727,   728,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   729,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   730,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,  1947,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   731,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   751,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     3,     4,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,   710,   216,
     217,   218,   219,   220,   711,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   238,     0,   239,
     240,   241,   242,   712,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   713,   251,   252,     0,     0,     0,
     714,     0,     0,     0,   253,   254,   255,   256,   257,   258,
     259,   260,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,     0,   294,     0,   295,   715,
       0,   716,   296,   297,   298,     0,   299,   300,     0,   301,
       0,   302,   303,   304,   305,   306,   717,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,   718,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   719,   720,   326,   721,   327,   328,   329,   330,   331,
     332,   333,     0,   334,   722,   335,   723,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   724,   352,   353,   354,
     355,     0,   356,   357,   725,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,   726,   727,   728,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   729,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   730,   429,   430,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,     0,   452,   453,   454,   455,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   731,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   751,     0,   548,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,   219,   220,   711,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,     0,     0,     0,   714,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,   715,     0,   716,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
     717,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,     0,   334,   722,   335,
     723,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     724,   352,   353,   354,   355,     0,   356,   357,   725,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,   726,   727,   728,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   730,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   751,     0,   548,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,   710,   216,   217,   218,
     219,   220,   711,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,   712,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   713,   251,   252,     0,     0,     0,   714,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,     0,
     291,   292,   293,     0,   294,     0,   295,   715,     0,   716,
     296,   297,   298,     0,   299,   300,     0,   301,     0,   302,
     303,   304,   305,  1433,   717,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,   718,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   719,
     720,   326,   721,   327,   328,   329,   330,   331,   332,   333,
       0,   334,   722,   335,   723,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   724,   352,   353,   354,   355,     0,
     356,   357,   725,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,   726,   727,   728,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   729,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     730,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,     0,
     452,   453,   454,   455,     0,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   731,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   751,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
     710,   216,   217,   218,   219,   220,   711,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,   712,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   713,   251,   252,     0,
       0,     0,   714,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,     0,   294,     0,
     295,   715,     0,   716,   296,   297,   298,     0,   299,   300,
    2725,   301,     0,   302,   303,   304,   305,   306,   717,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,   718,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   719,   720,   326,   721,   327,   328,   329,
     330,   331,   332,   333,     0,   334,   722,   335,   723,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   724,   352,
     353,   354,   355,     0,   356,   357,   725,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,   726,   727,   728,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   729,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   730,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,     0,   452,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   731,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   709,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   710,   216,   217,   218,   219,   220,
     711,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,   712,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     713,   251,   252,     0,     0,     0,   714,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,     0,   295,   715,     0,   716,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   306,   717,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,   718,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   719,   720,   326,
     721,   327,   328,   329,   330,   331,   332,   333,     0,   334,
     722,   335,   723,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   724,   352,   353,   354,   355,     0,   356,   357,
     725,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,   726,
     727,   728,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   729,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   730,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   731,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   751,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,   710,   216,
     217,   218,   219,   220,   711,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   238,     0,   239,
     240,   241,   242,   712,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   713,   251,   252,     0,     0,     0,
     714,     0,     0,     0,   253,   254,   255,   256,   257,   258,
     259,   260,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,     0,   294,     0,   295,   715,
       0,   716,   296,   297,   298,     0,   299,   300,     0,   301,
       0,   302,   303,   304,   305,   306,   717,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,   718,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   719,   720,   326,   721,   327,   328,   329,   330,   331,
     332,   333,     0,   334,   722,   335,   723,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   724,   352,   353,   354,
     355,     0,   356,   357,   725,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,   726,   727,   728,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   729,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   730,   429,   430,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,     0,   452,   453,   454,   455,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,   473,     0,
     474,   731,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   751,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,   219,   220,   711,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,     0,     0,     0,   714,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,   715,     0,   716,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
     717,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,     0,   334,   722,   335,
     723,     0,   336,   337,   338,     0,     0,   339,   340,   784,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     724,   352,   353,   354,   355,     0,   356,   357,   725,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,   726,   727,   728,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   730,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   751,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,   710,   216,   217,   218,
     219,   220,   711,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,   712,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   713,   251,   252,     0,     0,     0,   714,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,     0,
     291,   292,   293,     0,   294,     0,   295,   715,     0,   716,
     296,   297,   298,     0,   299,   300,     0,   301,     0,   302,
     303,   304,   305,   306,   717,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,   718,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   719,
     720,   326,   721,   327,   328,   329,   330,   331,   332,   333,
       0,   334,   722,   335,   723,     0,   336,   337,   338,     0,
       0,   339,   340,   856,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   724,   352,   353,   354,   355,     0,
     356,   357,   725,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,   726,   727,   728,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   729,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     730,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,     0,
     452,   453,   454,   455,     0,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   731,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   709,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
     710,   216,   217,   218,   219,   220,   711,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,   712,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   713,   251,   252,     0,
       0,     0,   714,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,     0,   294,     0,
     295,   715,     0,   716,   296,   297,   298,     0,   299,   300,
       0,   301,     0,   302,   303,   304,   305,   874,   717,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,   718,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   719,   720,   326,   721,   327,   328,   329,
     330,   331,   332,   333,     0,   334,   722,   335,   723,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   724,   352,
     353,   354,   355,     0,   356,   357,   725,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,   726,   727,   728,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   729,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   730,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,     0,   452,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,   731,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   709,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   710,   216,   217,   218,   219,   220,
     711,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,   712,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     713,   251,   252,     0,     0,     0,   714,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,     0,   295,   715,     0,   716,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   883,   717,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,   718,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   719,   720,   326,
     721,   327,   328,   329,   330,   331,   332,   333,     0,   334,
     722,   335,   723,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   724,   352,   353,   354,   355,     0,   356,   357,
     725,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,   726,
     727,   728,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   729,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   730,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   731,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
    1795,   233,   234,   235,   236,   237,     0,   238,  1860,   239,
     240,   241,   242,     0,   243,   244,  1796,   245,   246,   247,
     248,   249,   250,     0,     0,   251,   252,     0,     0,     0,
       0,     0,     0,     0,   253,   254,   255,   256,   257,   258,
     259,   260,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
    1861,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,     0,   294,  1798,   295,     0,
       0,     0,   296,   297,   298,     0,   299,   300,     0,   301,
       0,   302,   303,   304,   305,   306,     0,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,     0,     0,   326,     0,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1799,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,     0,   452,   453,   454,   455,     0,   456,   457,   458,
     459,   460,   461,     0,  1800,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,   473,     0,
     474,     0,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,  1795,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
    1796,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,  1861,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,  1798,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
    2662,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,  1799,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,  1800,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   645,   206,   207,
     614,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,     0,   243,   244,     0,   245,   246,   247,   248,   249,
     250,   615,     0,   251,   252,     0,     0,     0,     0,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,     0,
     291,   292,   293,     0,   294,     0,   295,     0,     0,     0,
     296,   297,   298,   646,   299,   300,     0,   301,     0,   302,
     303,   304,   305,   306,     0,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,     0,
       0,   326,     0,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   616,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   617,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,     0,
     452,   453,   454,   455,     0,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,     0,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,   614,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,     0,   243,   244,     0,   245,
     246,   247,   248,   249,   250,   615,     0,   251,   252,     0,
       0,     0,     0,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,     0,   294,     0,
     295,     0,     0,     0,   296,   297,   298,  2385,   299,   300,
       0,   301,     0,   302,   303,   304,   305,   306,     0,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,     0,     0,   326,     0,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   616,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   617,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,     0,   452,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,     0,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,  1795,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,     0,
     243,   244,  1796,   245,   246,   247,   248,   249,   250,     0,
       0,   251,   252,     0,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,  1861,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,  1798,   295,     0,     0,     0,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   306,     0,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,     0,     0,   326,
       0,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,  1799,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
    1800,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,     0,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,   614,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   238,     0,   239,
     240,   241,   242,     0,   243,   244,     0,   245,   246,   247,
     248,   249,   250,   615,     0,   251,   252,     0,     0,     0,
       0,     0,     0,     0,   253,   254,   255,   256,   257,   258,
     259,   260,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,     0,   294,     0,   295,     0,
       0,     0,   296,   297,   298,     0,   299,   300,     0,   301,
       0,   302,   303,   304,   305,   306,     0,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,     0,     0,   326,     0,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   616,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   617,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,     0,   452,   453,   454,   455,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,   473,     0,
     474,     0,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,  1470,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,  1471,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,  1472,   295,     0,     0,     0,  1473,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,  1474,  1475,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
    1476,   416,   417,   418,   419,     0,  1477,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,  1478,   444,  1479,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,     0,   243,   244,     0,   245,   246,   247,   248,   249,
     250,   615,     0,   251,   252,     0,     0,     0,     0,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,     0,
     291,   292,   293,     0,   294,     0,   295,     0,     0,     0,
     296,   297,   298,     0,   299,   300,     0,   301,     0,   302,
     303,   304,   305,   306,     0,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,     0,
       0,   326,     0,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   616,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   617,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,     0,
     452,   453,   454,   455,     0,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,     0,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     3,     4,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,     0,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,     0,   251,   252,     0,
       0,     0,     0,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,     0,   294,     0,
     295,     0,     0,     0,   296,   297,   298,     0,   299,   300,
       0,   301,     0,   302,   303,   304,   305,   306,     0,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,     0,     0,   326,     0,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,     0,   452,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,     0,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,  2458,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,     0,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
       0,   251,   252,     0,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,     0,   295,     0,     0,     0,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   306,     0,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,     0,     0,   326,
       0,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,  2459,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,     0,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,  2470,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   238,     0,   239,
     240,   241,   242,     0,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,     0,   251,   252,     0,     0,     0,
       0,     0,     0,     0,   253,   254,   255,   256,   257,   258,
     259,   260,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,     0,   294,     0,   295,     0,
       0,     0,   296,   297,   298,     0,   299,   300,     0,   301,
       0,   302,   303,   304,   305,   306,     0,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,     0,     0,   326,     0,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,     0,   452,   453,   454,   455,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
    2471,     0,   467,   468,   469,   470,   471,   472,   473,     0,
     474,     0,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
     540,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,     0,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,     0,   251,   252,     0,     0,     0,     0,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,     0,
     291,   292,   293,     0,   294,     0,   295,     0,     0,     0,
     296,   297,   298,     0,   299,   300,     0,   301,     0,   302,
     303,   304,   305,   306,     0,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,     0,
       0,   326,     0,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   541,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,     0,
     452,   453,   454,   455,     0,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,     0,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,   639,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,     0,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,     0,   251,   252,     0,
       0,     0,     0,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,     0,   294,     0,
     295,     0,     0,     0,   296,   297,   298,     0,   299,   300,
       0,   301,     0,   302,   303,   304,   305,   306,     0,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,     0,     0,   326,     0,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   640,     0,
     425,   426,   427,   428,     0,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     641,   451,     0,     0,   642,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,     0,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,   668,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,     0,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
       0,   251,   252,     0,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,     0,   295,     0,     0,     0,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   306,     0,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,     0,     0,   326,
       0,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   669,     0,   425,   426,   427,   428,     0,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   670,   451,     0,     0,   671,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,     0,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   238,     0,   239,
     240,   241,   242,     0,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,     0,   251,   252,     0,     0,     0,
       0,     0,     0,     0,   253,   254,   255,   256,   257,   258,
     259,   260,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,     0,   294,     0,   295,     0,
       0,     0,   296,   297,   298,     0,   299,   300,     0,   301,
       0,   302,   303,   304,   305,   306,     0,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,     0,     0,   326,     0,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   674,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,     0,   452,   453,   454,   455,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,   473,     0,
     474,     0,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,   867,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
    1071,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,     0,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,     0,   251,   252,     0,     0,     0,     0,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,     0,
     291,   292,   293,     0,   294,     0,   295,     0,     0,     0,
     296,   297,   298,     0,   299,   300,     0,   301,     0,   302,
     303,   304,   305,   306,     0,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,     0,
       0,   326,     0,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,     0,
     452,   453,   454,   455,     0,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,     0,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
    1082,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   656,   229,   230,
     231,  1083,     0,   233,   234,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,     0,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,     0,   251,   252,     0,
       0,     0,     0,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,     0,   294,     0,
     295,     0,     0,     0,   296,   297,   298,     0,   299,   300,
       0,   301,     0,   302,   303,   304,   305,   306,     0,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,     0,     0,   326,     0,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   659,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   660,   410,   411,   412,   413,   414,   661,   416,
     417,   418,   419,     0,   420,   421,   422,   423,  1075,     0,
     425,   426,   427,   428,     0,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     663,   451,     0,     0,   664,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,     0,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   665,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,     0,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
       0,   251,   252,     0,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,     0,   295,     0,     0,     0,   296,   297,
    2293,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   306,     0,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,     0,     0,   326,
       0,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,     0,     0,   336,   337,  2294,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,  2295,   444,   445,  2296,
     447,  2297,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,  2298,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,     0,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   199,     0,   548,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   238,     0,   239,
     240,   241,   242,     0,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,     0,   251,   252,     0,     0,     0,
       0,     0,     0,     0,   253,   254,   255,   256,   257,   258,
     259,   260,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,     0,   294,     0,   295,     0,
       0,     0,   296,   297,   298,     0,   299,   300,     0,   301,
       0,   302,   303,   304,   305,   306,     0,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,     0,     0,   326,     0,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,     0,   452,   453,   454,   455,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,   473,     0,
     474,     0,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,  3312,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,  3325,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,     0,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,     0,   251,   252,     0,     0,     0,     0,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,     0,
     291,   292,   293,     0,   294,     0,   295,     0,     0,     0,
     296,   297,   298,     0,   299,   300,     0,   301,     0,   302,
     303,   304,   305,   306,     0,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,     0,
       0,   326,     0,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,     0,
     452,   453,   454,   455,     0,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,     0,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,     0,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,     0,   251,   252,     0,
       0,     0,     0,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,  3511,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,     0,   294,     0,
     295,     0,     0,     0,   296,   297,   298,     0,   299,   300,
       0,   301,     0,   302,   303,   304,   305,   306,     0,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,     0,     0,   326,     0,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,     0,   452,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,     0,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,     0,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
       0,   251,   252,     0,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,  3513,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,     0,   295,     0,     0,     0,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   306,     0,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,     0,     0,   326,
       0,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,     0,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   238,     0,   239,
     240,   241,   242,     0,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,     0,   251,   252,     0,     0,     0,
       0,     0,     0,     0,   253,   254,   255,   256,   257,   258,
     259,   260,   261,  3515,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,     0,   294,     0,   295,     0,
       0,     0,   296,   297,   298,     0,   299,   300,     0,   301,
       0,   302,   303,   304,   305,   306,     0,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,     0,     0,   326,     0,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,     0,   452,   453,   454,   455,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,   473,     0,
     474,     0,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,  3867,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,     0,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,     0,   251,   252,     0,     0,     0,     0,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,     0,
     291,   292,   293,     0,   294,     0,   295,     0,     0,     0,
     296,   297,   298,     0,   299,   300,     0,   301,     0,   302,
     303,   304,   305,   306,     0,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,     0,
       0,   326,     0,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,     0,
     452,   453,   454,   455,     0,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,     0,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,     0,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,     0,   251,   252,     0,
       0,     0,     0,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,     0,   294,     0,
     295,     0,     0,     0,   296,   297,   298,     0,   299,   300,
       0,   301,     0,   302,   303,   304,   305,   306,     0,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,     0,     0,   326,     0,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,     0,   629,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,     0,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,     0,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
       0,   251,   252,     0,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,     0,   295,     0,     0,     0,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   306,     0,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,     0,     0,   326,
       0,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   637,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,     0,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   656,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   238,     0,   239,
     240,   241,   242,     0,   243,   244,     0,   657,   246,   247,
     248,   249,   250,     0,     0,   251,   252,     0,     0,     0,
       0,     0,     0,     0,   253,   254,   255,   256,   257,   258,
     259,   260,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,     0,   294,     0,   295,     0,
       0,     0,   296,   297,   298,     0,   299,   300,     0,   301,
       0,   302,   303,   304,   305,   306,     0,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,     0,     0,   326,     0,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,     0,     0,   336,   337,
     658,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   659,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     660,   410,   411,   412,   413,   414,   661,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   662,     0,   425,   426,
     427,   428,     0,   429,   430,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,   663,   451,
       0,     0,   664,   453,   454,   455,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,   473,     0,
     474,     0,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   665,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   686,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,     0,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,     0,   251,   252,     0,     0,     0,     0,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,     0,
     291,   292,   293,     0,   294,     0,   295,     0,     0,     0,
     296,   297,   298,     0,   299,   300,     0,   301,     0,   302,
     303,   304,   305,   835,     0,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,     0,
       0,   326,     0,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,     0,
     452,   453,   454,   455,     0,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,     0,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,     0,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,     0,   251,   252,     0,
       0,     0,     0,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,     0,   294,     0,
     295,     0,     0,     0,   296,   297,   298,     0,   299,   300,
       0,   301,     0,   302,   303,   304,   305,   879,     0,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,     0,     0,   326,     0,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,     0,   452,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,     0,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,     0,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
       0,   251,   252,     0,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,     0,   295,     0,     0,     0,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   885,     0,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,     0,     0,   326,
       0,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,     0,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   238,     0,   239,
     240,   241,   242,     0,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,     0,   251,   252,     0,     0,     0,
       0,     0,     0,     0,   253,   254,   255,   256,   257,   258,
     259,   260,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,     0,   294,     0,   295,     0,
       0,     0,   296,   297,   298,     0,   299,   300,     0,   301,
       0,   302,   303,   304,   305,   893,     0,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,     0,     0,   326,     0,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,     0,   452,   453,   454,   455,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,   473,     0,
     474,     0,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   895,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,     0,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,     0,   251,   252,     0,     0,     0,     0,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,     0,
     291,   292,   293,     0,   294,     0,   295,     0,     0,     0,
     296,   297,   298,     0,   299,   300,     0,   301,     0,   302,
     303,   304,   305,   897,     0,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,     0,
       0,   326,     0,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,     0,
     452,   453,   454,   455,     0,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,     0,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,     0,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,     0,   251,   252,     0,
       0,     0,     0,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,     0,   294,     0,
     295,     0,     0,     0,   296,   297,   298,     0,   299,   300,
       0,   301,     0,   302,   303,   304,   305,   899,     0,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,     0,     0,   326,     0,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,     0,   452,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,     0,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,     0,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
       0,   251,   252,     0,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,     0,   295,     0,     0,     0,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   902,     0,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,     0,     0,   326,
       0,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,     0,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   238,     0,   239,
     240,   241,   242,     0,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,     0,   251,   252,     0,     0,     0,
       0,     0,     0,     0,   253,   254,   255,   256,   257,   258,
     259,   260,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,     0,   294,     0,   295,     0,
       0,     0,   296,   297,   298,     0,   299,   300,     0,   301,
       0,   302,   303,   304,   305,   904,     0,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,     0,     0,   326,     0,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   905,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,     0,   452,   453,   454,   455,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,   473,     0,
     474,     0,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   908,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   656,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,     0,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,     0,   251,   252,     0,     0,     0,     0,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,     0,
     291,   292,   293,     0,   294,     0,   295,     0,     0,     0,
     296,   297,   298,     0,   299,   300,     0,   301,     0,   302,
     303,   304,   305,   306,     0,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,     0,
       0,   326,     0,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   659,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   660,   410,
     411,   412,   413,   414,   661,   416,   417,   418,   419,     0,
     420,   421,   422,   423,  1075,     0,   425,   426,   427,   428,
       0,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   663,   451,     0,     0,
     664,   453,   454,   455,     0,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,     0,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   665,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,     0,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,     0,   251,   252,     0,
       0,     0,     0,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,     0,   294,     0,
     295,     0,     0,     0,   296,   297,   298,     0,   299,   300,
       0,   301,     0,   302,   303,   304,   305,  1356,     0,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,     0,     0,   326,     0,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,     0,   452,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,     0,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,     0,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
       0,   251,   252,     0,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,     0,   295,     0,     0,     0,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,  1383,     0,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,     0,     0,   326,
       0,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,     0,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   238,     0,   239,
     240,   241,   242,     0,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,     0,   251,   252,     0,     0,     0,
       0,     0,     0,     0,   253,   254,   255,   256,   257,   258,
     259,   260,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,     0,   294,     0,   295,     0,
       0,     0,   296,   297,   298,     0,   299,   300,     0,   301,
       0,   302,   303,   304,   305,  1411,     0,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,     0,     0,   326,     0,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,   450,   451,
       0,     0,   452,   453,   454,   455,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,   473,     0,
     474,     0,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,  1413,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,     0,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,     0,   251,   252,     0,     0,     0,     0,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,     0,
     291,   292,   293,     0,   294,     0,   295,     0,     0,     0,
     296,   297,   298,     0,   299,   300,     0,   301,     0,   302,
     303,   304,   305,   306,     0,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,     0,
       0,   326,     0,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,  1502,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,     0,
     452,   453,   454,   455,     0,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,     0,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,  1768,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,     0,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,     0,   251,   252,     0,
       0,     0,     0,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,     0,   294,     0,
     295,     0,     0,     0,   296,   297,   298,     0,   299,   300,
       0,   301,     0,   302,   303,   304,   305,   306,     0,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,     0,     0,   326,     0,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
       0,   426,   427,   428,     0,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,     0,   452,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,     0,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   656,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,     0,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
       0,   251,   252,     0,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,     0,   295,     0,     0,     0,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   306,     0,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,     0,     0,   326,
       0,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     659,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   660,   410,   411,   412,
     413,   414,   661,   416,   417,   418,   419,     0,   420,   421,
     422,   423,  1075,     0,   425,   426,   427,   428,     0,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,  1786,   446,
     447,   448,   449,     0,   663,   451,     0,     0,   664,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,     0,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     665,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   656,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   238,     0,   239,
     240,   241,   242,     0,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,     0,   251,   252,     0,     0,     0,
       0,     0,     0,     0,   253,   254,   255,   256,   257,   258,
     259,   260,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   273,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,     0,
     290,     0,   291,   292,   293,     0,   294,     0,   295,     0,
       0,     0,   296,   297,   298,     0,   299,   300,     0,   301,
       0,   302,   303,   304,   305,   306,     0,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,     0,     0,   326,     0,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   659,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     660,   410,   411,   412,   413,   414,  1841,   416,   417,   418,
     419,     0,   420,   421,   422,   423,  1075,     0,   425,   426,
     427,   428,     0,   429,   430,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,   663,   451,
       0,     0,   664,   453,   454,   455,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,   473,     0,
     474,     0,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   665,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,  2076,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,     0,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,     0,   251,   252,     0,     0,     0,     0,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   290,     0,
     291,   292,   293,     0,   294,     0,   295,     0,     0,     0,
     296,   297,   298,     0,   299,   300,     0,   301,     0,   302,
     303,   304,   305,  2461,     0,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,     0,
       0,   326,     0,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,     0,
     452,   453,   454,   455,     0,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,     0,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,     0,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,     0,   251,   252,     0,
       0,     0,     0,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,   290,     0,   291,   292,   293,     0,   294,     0,
     295,     0,     0,     0,   296,   297,   298,     0,   299,   300,
       0,   301,     0,   302,   303,   304,   305,  2463,     0,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,     0,     0,   326,     0,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,     0,   452,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,     0,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,     0,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
       0,   251,   252,     0,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,     0,   295,     0,     0,     0,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,  2546,     0,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,     0,     0,   326,
       0,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,     0,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,  1311,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,   710,   216,
     217,   218,     0,  1312,   711,  1313,  1314,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,  1315,  1316,   232,
       0,   233,   234,   235,   236,     0,     0,   238,     0,   239,
     240,   241,   242,   712,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   713,   251,   252,     0,     0,     0,
     714,     0,     0,     0,   253,   254,   255,   256,   257,   258,
    1317,  1318,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   998,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,     0,   286,   287,   288,     0,     0,
     290,     0,   291,  1319,   293,     0,   294,     0,   295,   715,
       0,   716,   296,   297,   298,     0,   299,     0,     0,   301,
       0,   302,   303,   304,   305,   306,   717,   307,   308,   309,
    1845,   310,   311,   312,   313,   314,   315,     0,   316,   718,
    1846,   318,   319,   320,   321,  1320,  1321,     0,  1322,     0,
     325,   719,   720,   326,   721,   327,   328,   329,   330,   331,
     332,   333,     0,     0,   722,   335,   723,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1323,   724,  1324,   353,   354,
       0,     0,   356,   357,   725,   358,     0,     0,   360,  1325,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,  1847,   726,   727,   728,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,     0,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1326,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   729,
     409,   410,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,  1848,
     427,   428,   730,   429,  1328,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,     0,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,  1329,  1330,
       0,     0,   452,     0,   454,     0,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,     0,  1331,  1849,
     474,   731,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,     0,  1311,     0,     0,     0,
       0,     0,     0,     0,   493,   494,   495,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,   710,   216,   217,   218,     0,  1312,   711,  1313,  1314,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
    1315,  1316,   232,     0,   233,   234,   235,   236,     0,     0,
     238,     0,   239,   240,   241,   242,   712,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   713,   251,   252,
       0,     0,     0,   714,     0,     0,     0,   253,   254,   255,
     256,   257,   258,  1317,  1318,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   998,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,     0,   286,   287,
     288,     0,     0,   290,     0,   291,  1319,   293,     0,   294,
       0,   295,   715,     0,   716,   296,   297,   298,     0,   299,
       0,     0,   301,     0,   302,   303,   304,   305,   306,   717,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,   718,     0,   318,   319,   320,   321,  1320,  1321,
       0,  1322,     0,   325,   719,   720,   326,   721,   327,   328,
     329,   330,   331,   332,   333,     0,     0,   722,   335,   723,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1323,   724,
    1324,   353,   354,     0,     0,   356,   357,   725,   358,  1837,
       0,   360,  1325,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,     0,   726,   727,   728,     0,
     371,   372,   373,   374,   375,   376,   377,     0,   378,     0,
     380,     0,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1326,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   729,   409,   410,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,  1848,   427,   428,   730,   429,  1328,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,     0,
       0,   442,   443,  3179,   444,   445,   446,   447,   448,   449,
       0,  1329,  1330,     0,     0,   452,     0,   454,     0,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
       0,  1331,     0,   474,   731,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,     0,   199,
       0,     0,     0,     0,     0,     0,     0,   493,   494,   495,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,     0,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
       0,   251,   252,     0,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,     0,   295,     0,     0,     0,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   306,     0,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,     0,     0,   326,
       0,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,     0,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,     0,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,     0,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,     0,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,  1311,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,   710,   216,
     217,   218,     0,  1312,   711,  1313,  1314,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,  1315,  1316,   232,
       0,   233,   234,   235,   236,     0,     0,   238,     0,   239,
     240,   241,   242,   712,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   713,   251,   252,     0,     0,     0,
     714,     0,     0,     0,   253,   254,   255,   256,   257,   258,
    1317,  1318,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   998,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,     0,   286,   287,   288,     0,     0,
     290,     0,   291,  1319,   293,     0,   294,     0,   295,   715,
       0,   716,   296,   297,   298,     0,   299,     0,     0,   301,
       0,   302,   303,   304,   305,   306,   717,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,   718,
       0,   318,   319,   320,   321,  1320,  1321,     0,  1322,     0,
     325,   719,   720,   326,   721,   327,   328,   329,   330,   331,
     332,   333,     0,     0,   722,   335,   723,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1323,   724,  1324,   353,   354,
    1895,     0,   356,   357,   725,   358,     0,     0,   360,  1325,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,     0,   726,   727,   728,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,     0,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1326,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   729,
     409,   410,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,  1327,
     427,   428,   730,   429,  1328,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,     0,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,  1329,  1330,
       0,     0,   452,     0,   454,     0,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,     0,  1331,     0,
     474,   731,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,     0,  1311,     0,     0,     0,
       0,     0,     0,     0,   493,   494,   495,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,   710,   216,   217,   218,     0,  1312,   711,  1313,  1314,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
    1315,  1316,   232,     0,   233,   234,   235,   236,     0,     0,
     238,     0,   239,   240,   241,   242,   712,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   713,   251,   252,
       0,     0,     0,   714,     0,     0,     0,   253,   254,   255,
     256,   257,   258,  1317,  1318,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   998,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,     0,   286,   287,
     288,     0,     0,   290,     0,   291,  1319,   293,     0,   294,
       0,   295,   715,     0,   716,   296,   297,   298,     0,   299,
       0,     0,   301,     0,   302,   303,   304,   305,   306,   717,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,   718,     0,   318,   319,   320,   321,  1320,  1321,
       0,  1322,     0,   325,   719,   720,   326,   721,   327,   328,
     329,   330,   331,   332,   333,     0,     0,   722,   335,   723,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1323,   724,
    1324,   353,   354,  3004,     0,   356,   357,   725,   358,     0,
       0,   360,  1325,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,     0,   726,   727,   728,     0,
     371,   372,   373,   374,   375,   376,   377,     0,   378,     0,
     380,     0,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1326,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   729,   409,   410,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,  1327,   427,   428,   730,   429,  1328,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,     0,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,  1329,  1330,     0,     0,   452,     0,   454,     0,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
       0,  1331,     0,   474,   731,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,     0,  1311,
       0,     0,     0,     0,     0,     0,     0,   493,   494,   495,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   710,   216,   217,   218,     0,  1312,
     711,  1313,  1314,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,  1315,  1316,   232,     0,   233,   234,   235,
     236,     0,     0,   238,     0,   239,   240,   241,   242,   712,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     713,   251,   252,     0,     0,     0,   714,     0,     0,     0,
     253,   254,   255,   256,   257,   258,  1317,  1318,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   998,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
       0,   286,   287,   288,     0,     0,   290,     0,   291,  1319,
     293,     0,   294,     0,   295,   715,     0,   716,   296,   297,
     298,     0,   299,     0,     0,   301,     0,   302,   303,   304,
     305,   306,   717,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,   718,     0,   318,   319,   320,
     321,  1320,  1321,     0,  1322,     0,   325,   719,   720,   326,
     721,   327,   328,   329,   330,   331,   332,   333,     0,     0,
     722,   335,   723,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1323,   724,  1324,   353,   354,     0,     0,   356,   357,
     725,   358,     0,     0,   360,  1325,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,     0,   726,
     727,   728,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,     0,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1326,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   729,   409,   410,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,  1327,   427,   428,   730,   429,
    1328,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,     0,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,  1329,  1330,     0,     0,   452,     0,
     454,     0,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,     0,  1331,     0,   474,   731,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,     0,  1311,     0,     0,     0,     0,     0,     0,     0,
     493,   494,   495,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,   710,   216,   217,
     218,     0,  1312,   711,  1313,  1314,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,  1315,  1316,   232,     0,
     233,   234,   235,   236,     0,     0,   238,     0,   239,   240,
     241,   242,   712,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   713,   251,   252,     0,     0,     0,   714,
       0,     0,     0,   253,   254,   255,   256,   257,   258,  1317,
    1318,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   998,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,     0,   286,   287,   288,     0,     0,   290,
       0,   291,  1319,   293,     0,   294,     0,   295,   715,     0,
     716,   296,   297,   298,     0,   299,     0,     0,   301,     0,
     302,   303,   304,   305,   306,   717,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,   718,     0,
     318,   319,   320,   321,  1320,  1321,     0,  1322,     0,   325,
     719,   720,   326,   721,   327,   328,   329,   330,   331,   332,
     333,     0,     0,   722,   335,   723,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,  1323,   724,  1324,   353,   354,     0,
       0,   356,   357,   725,   358,     0,     0,   360,  1325,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,     0,   726,   727,   728,     0,   371,   372,   373,   374,
     375,   376,   377,     0,   378,     0,   380,     0,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1326,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   729,   409,
     410,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,  1848,   427,
     428,   730,   429,  1328,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,     0,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,  1329,  1330,     0,
       0,   452,     0,   454,     0,     0,   456,   457,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,   466,     0,
       0,   467,   468,   469,   470,   471,     0,  1331,     0,   474,
     731,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,     0,  1311,     0,     0,     0,     0,
       0,     0,     0,   493,   494,   495,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
     710,   216,   217,   218,     0,  1312,   711,  1313,  1314,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,  1315,
    1316,   232,     0,   233,   234,   235,   236,     0,     0,   238,
       0,   239,   240,   241,   242,   712,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   713,   251,   252,     0,
       0,     0,   714,     0,     0,     0,   253,   254,   255,   256,
     257,   258,  1317,  1318,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   998,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,     0,   286,   287,   288,
       0,     0,   290,     0,   291,  1319,   293,     0,   294,     0,
     295,   715,     0,   716,   296,   297,   298,     0,   299,     0,
       0,   301,     0,   302,   303,   304,   305,   306,   717,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,   718,     0,   318,   319,   320,   321,  1320,  1321,     0,
    1322,     0,   325,   719,   720,   326,   721,   327,   328,   329,
     330,   331,   332,   333,     0,     0,   722,   335,   723,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1323,   724,  1324,
     353,   354,     0,     0,   356,   357,   725,   358,     0,     0,
     360,  1325,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,     0,   726,   727,   728,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
       0,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1326,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   729,   409,   410,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,     0,   427,   428,   730,   429,  1328,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,     0,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
    1329,  1330,     0,     0,   452,     0,   454,     0,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,     0,
    1331,     0,   474,   731,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,     0,  1311,     0,
       0,     0,     0,     0,     0,     0,   493,   494,   495,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   710,   216,   217,   218,     0,     0,   711,
       0,     0,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,     0,     0,   232,     0,   233,   234,   235,   236,
       0,     0,   238,     0,   239,   240,   241,   242,   712,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   713,
     251,   252,     0,     0,     0,   714,     0,     0,     0,   253,
     254,   255,   256,   257,   258,     0,     0,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,     0,
     286,   287,   288,     0,     0,   290,     0,   291,     0,   293,
       0,   294,     0,   295,   715,     0,   716,   296,   297,   298,
       0,   299,     0,     0,   301,     0,   302,   303,   304,   305,
     306,   717,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,   718,     0,   318,   319,   320,   321,
       0,     0,     0,     0,     0,   325,   719,   720,   326,   721,
     327,   328,   329,   330,   331,   332,   333,     0,     0,   722,
     335,   723,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
       0,   724,     0,   353,   354,     0,     0,   356,   357,   725,
     358,     0,     0,   360,     0,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,     0,   726,   727,
     728,     0,   371,   372,   373,   374,   375,   376,   377,     0,
     378,     0,   380,     0,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   729,   409,   410,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,     0,   427,   428,   730,   429,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,     0,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,     0,     0,     0,     0,   452,     0,   454,
       0,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,     0,     0,     0,   474,   731,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   493,
     494,   495
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-3604))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-2124))

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    47,    16,   884,   164,
     522,    11,    33,   172,   703,    24,   657,   708,   891,   184,
      20,   180,    20,   919,   616,   617,  1193,  1435,    21,   621,
     846,   733,  1473,    26,   793,   955,   778,  1210,   775,   855,
    1165,   549,  1099,    12,  1572,   968,    21,    47,   785,   942,
    2154,    26,    42,   565,   758,  1327,  1197,   664,  1025,  1284,
    1101,  2454,   549,    17,     7,   828,  2427,   996,   997,  1894,
    1380,    14,  1197,   514,   181,  1981,  1365,   585,    20,   186,
      41,  1254,  1255,  2686,  1344,  1132,  1015,  1365,   195,    22,
    1365,  1365,  1365,  1508,  1365,  1152,   833,  1853,  1854,   836,
      33,  2308,  1193,  1937,   841,  2892,   911,  1148,  1122,  1732,
    2589,   848,   875,  2933,  2474,  2134,  2476,   558,  2607,  2926,
     857,  1431,  2302,  2357,  2860,   151,  1243,   166,  2607,  3158,
    3180,   584,  2306,  2304,  2305,  2241,  2865,  2866,     0,  3133,
       0,  3120,   740,  3380,   166,     0,     0,     0,  1201,  1152,
    3555,  2904,   660,   749,    38,     5,    58,     9,  3152,  2798,
       5,   700,   700,    13,  1389,     0,   166,   986,   987,     5,
    2350,    44,     5,   660,  3777,     5,     0,    13,     0,  2611,
    2612,  2613,  2614,  2615,  2616,  2207,  2208,   785,     5,    79,
    2212,     5,  1011,     5,    37,  2020,  1249,    37,    66,    13,
      11,     5,     0,     0,     5,    18,    31,   103,   182,     0,
      25,     9,   150,    58,   188,   919,   173,   174,  3797,     5,
     177,   178,   196,     5,    22,    36,    11,  3686,    58,   190,
    2252,  2253,    35,   145,   826,   150,     5,   194,  1043,   156,
       0,   105,   563,    35,   170,   189,   567,   151,    96,     9,
     830,    18,   122,   150,    96,    66,   577,  2363,  2083,     5,
    2085,     5,    22,  3083,   127,   159,     9,  2429,    74,    22,
     150,   110,   251,     5,   777,    20,   779,     4,  3689,  3869,
    3870,     5,     9,   786,   159,   274,    83,   153,    72,    64,
    1347,   158,  3748,    23,    34,    40,   153,   246,   103,   811,
      52,    26,    27,   249,   145,    22,   112,   120,    60,    96,
     218,     5,   258,    32,    51,   150,     5,    70,   350,    83,
     302,   251,   258,   300,    77,     9,   150,  1086,   150,  3932,
     389,    78,    98,   258,   115,   170,   117,     5,   302,   107,
      38,     5,  1044,   381,  3755,   410,   170,   105,   170,   142,
     509,   104,   150,   120,   229,     5,   312,   522,   155,   150,
     425,    59,     0,  1330,   289,   329,    51,  1069,   427,     4,
     117,   103,   170,    22,     9,   955,  3781,  1818,   308,   170,
      29,  1085,   318,   258,   340,  1089,  1090,   369,  1317,  1318,
     150,   155,   111,   370,   553,   427,  1325,   163,   115,   907,
     565,   309,    68,   562,   294,     8,  3385,    22,    11,   103,
     170,   919,   350,   520,    29,    51,  1292,   524,   150,    96,
     907,   174,   190,  1296,   149,    68,   151,   383,   535,   169,
      22,   236,   898,   300,   423,   228,   382,    29,    11,   184,
    3896,   150,   229,   909,   393,    83,     8,   313,   427,   245,
     291,  3862,   218,   259,   184,   221,   313,   150,   210,  4049,
     241,  3872,  2624,    36,   972,    11,  1507,   315,   921,   244,
     350,    11,   410,   197,  1178,   341,  4079,   292,   236,  4082,
    1184,   375,  3790,   427,   341,   972,   108,   425,  2920,   304,
     236,   258,  1308,    66,  1541,   504,  1315,  1316,   340,   296,
     375,   427,  1239,  2992,  1241,  1324,  1248,   350,  1555,   373,
     427,   423,   427,  2992,   410,   385,  4119,   155,  3977,   423,
    1577,   423,   289,  1282,  1287,  1566,   423,  1231,   502,  3558,
    1234,  1235,   371,   507,   337,   380,   376,   427,   344,   354,
     549,   550,  4121,   309,   585,   337,  3525,   380,   703,   503,
     423,   318,    11,   421,  3374,   512,   369,   425,   295,   516,
     423,   587,   331,   332,  2389,   254,  1146,   170,  1305,  1610,
     422,   892,  1465,   423,  1082,   532,  1848,   361,   423,  3315,
     333,  1089,  1090,  3319,   584,   585,   584,   423,   191,  1293,
     423,   426,   389,   423,  3573,  1082,  1192,  1857,   423,  3238,
    1139,  1139,   426,   596,   426,   598,   423,   600,   419,   423,
     295,   423,  3365,   606,   583,  4020,   414,   415,   350,   423,
     629,   596,   423,   598,  3861,   600,   947,   424,   426,   426,
    1228,   606,   607,   608,   419,   426,   957,   423,   404,   798,
     649,   423,  1222,   585,   247,   191,   811,   656,   969,   808,
     659,   660,   661,   692,   414,   415,   381,  2563,   296,   295,
    2566,  2567,   636,   340,  2570,   626,   426,   610,  2875,  3101,
     692,   414,   415,  1176,  2580,  4080,   325,   421,   410,   423,
    2860,   425,    22,   657,   350,   247,  1853,   414,   415,  2445,
     427,  2447,   692,   425,   694,   694,   694,   694,   694,   694,
     674,  1506,  3681,  1508,   863,    60,  2880,   350,  1288,  3688,
     325,    16,  1224,  1518,  1533,  1534,  1521,   678,   427,  1860,
    4028,   695,   390,  1780,  1529,  1530,   390,  1307,    96,    18,
     414,   415,   191,   325,   427,   103,    60,  1542,  1543,   423,
     682,   409,   427,  2568,  2569,   409,   707,   369,  1553,   229,
    2930,   389,    76,   241,   389,   423,    57,    58,  2780,   423,
      96,  2783,  2784,  2785,  2786,  2787,  2788,  2789,  2790,  2791,
    2792,  3765,  1352,   132,   658,   130,  1829,  1780,   662,   414,
     415,    96,    51,   758,   129,     5,   424,   748,   426,  2317,
      74,   427,   147,    30,  1386,    60,  1117,    74,   152,     3,
       4,     5,  2908,   760,   761,     9,   130,   410,   411,   412,
       5,   414,   415,   416,   417,   418,   419,    96,   827,   105,
    2842,  2843,   132,   147,  1404,   120,  1883,   132,   112,  3190,
     150,   120,   694,  2589,   694,   112,  1477,  1478,   103,   694,
     694,   694,   187,   416,   417,   418,   419,    11,   410,   411,
     412,  2607,   414,   415,   416,   417,   418,   419,   245,     8,
     244,  1563,    11,   231,   838,     5,   103,   824,   414,   415,
     416,   417,   418,   419,    22,  2016,   416,   417,   418,   419,
    3653,   241,  3655,   141,   858,   859,   860,   844,   845,  3918,
     241,   107,  3942,   247,  2775,   375,   103,  2064,   907,   103,
      74,   229,    66,  1415,   861,   152,   251,   193,  3644,    74,
     919,  3640,   866,  3649,   108,  3909,  3652,   272,  2799,   251,
     103,   921,   144,   921,     8,   265,   120,    11,  2684,   320,
    3750,   888,   889,  1399,  1442,   423,     3,  2054,   112,   108,
     152,    51,  1408,   952,   919,   231,   108,   112,   272,   207,
    1416,  1417,    18,   150,    42,   414,   415,   416,   417,   418,
     419,   320,   330,   972,  1405,   333,   231,   115,  1434,   108,
    3573,   236,   946,   170,   190,   259,    11,   159,   369,   333,
     980,   924,   259,   926,   188,   928,   306,   930,  1441,   932,
     933,   934,  4021,   279,   968,  1575,   939,   302,   293,   999,
     289,    36,  1043,   343,   340,   345,   210,   272,    75,   364,
     320,   115,    95,   117,   183,   320,   236,     3,   363,     5,
     285,   183,    18,   318,   231,   340,   295,  1539,    24,  1029,
     159,    66,  4091,     5,   421,   247,  1045,    97,   425,   423,
     364,   236,   191,  1043,   183,   267,  1055,   229,   231,   340,
    4029,   302,  3859,  3873,   120,   423,  1065,   304,   125,  1224,
     344,   340,   382,   423,   598,   599,   600,   344,  3841,   603,
     604,   605,   423,  1082,  2003,   269,  1085,   405,   166,   613,
    1089,  1090,   170,   196,  1110,   259,  1125,  1126,  1409,  1128,
     318,  3113,   424,   106,   259,   427,   236,  1418,   247,   364,
     229,  4160,  3838,  1125,  1126,   106,  1128,   191,   175,  1430,
    1085,   358,    98,   173,  1089,  1090,   257,  1933,   206,   229,
     249,  1095,   191,   306,   120,  1125,  1126,   231,  1128,  3363,
    3337,   103,   251,    83,   217,  3315,   219,   241,  3044,  3319,
    3347,   427,   311,   163,  3050,  3051,  3052,  3053,  3054,  3055,
    1471,    98,   102,  1474,   167,  1476,   191,  3328,  1479,  3333,
    2207,  2208,  1269,   247,  3984,  2212,   167,   106,  1142,  3529,
     344,  3345,   423,   410,   291,  2232,   245,   163,     5,   344,
    1141,  2238,  2442,   133,   421,   295,   423,   424,   425,  2449,
     427,   133,   258,   375,  3981,  3982,   263,   425,   218,   352,
     369,  3220,  2078,  1178,  1908,  2252,  2253,   369,   318,  1184,
     414,   415,  1916,  2086,  1918,   131,   163,  3706,   357,   154,
    1174,   145,  2038,  2039,  2040,  2041,   152,  3706,   167,  1203,
     369,  4051,   218,   145,   322,   221,  2992,  1246,   141,  1398,
       0,   165,  1217,   155,   271,  1902,   375,   151,  1407,  1206,
    1415,    76,   318,   423,   180,   171,  1231,  1364,   170,  1234,
    1235,  1727,   258,  3285,  3286,   414,   415,   416,   417,   418,
     419,   218,   389,  1380,   221,   210,   103,  2444,   103,   339,
     340,  2722,    84,   105,  1864,    18,  1260,     8,   350,   309,
      11,    24,  2915,   289,  1951,   362,  3703,   271,   258,  1256,
    1257,  1258,  1259,   370,   207,   424,   373,  1819,   427,  2072,
     427,  2325,  1286,  4100,  1473,    36,   293,  3151,  1293,  3726,
    4140,    42,   318,   309,  1431,   352,   410,   411,   412,   289,
     414,   415,   416,   417,   418,   419,    75,  1294,  1295,  2754,
     243,   318,   103,  1300,  1785,    66,    44,   426,    18,   151,
      11,   278,  2641,  2444,    24,   177,   260,  1366,   318,   427,
     371,   311,   309,  2641,   391,   427,  2641,  2641,  2641,   311,
    2641,  3196,  2177,  3198,  1539,    36,   303,   179,   352,   414,
     415,   416,   417,   418,   419,   124,   298,   120,   922,  1346,
     340,   925,   194,   927,   240,   929,    94,   931,   340,   279,
    2710,   935,   204,   258,   371,    66,   231,   128,   343,   231,
     345,  1991,   423,  1370,  1371,  1372,  1373,   391,   404,   323,
    2225,   352,    60,  2127,   226,   304,  4029,   377,    66,     5,
     371,     4,   367,     9,   289,   377,     9,  3798,    76,   389,
     320,  1441,   231,  1441,    76,   166,  1420,   389,   383,   170,
     120,  2256,   308,  3660,  3661,  1429,   423,   404,   105,  1900,
     391,   200,   201,   423,  3644,   103,  1440,   105,   304,  3649,
     191,   192,  3652,   423,   213,   354,   423,     8,  1499,  1436,
      11,   423,   423,   274,   182,   206,  2291,  3591,   277,   369,
    1490,  1490,  1490,  1490,  1490,  1490,   390,   299,   389,  2672,
    1442,  2394,  3682,  1477,  1478,    36,   424,   197,  1451,   427,
    1453,    42,  1455,   234,  1457,   409,  1459,  1526,   354,   258,
    1463,  2450,   154,   115,  1485,   117,   247,   103,  3921,  2586,
      32,   229,   151,    95,   154,    66,   427,    39,  1859,   177,
    1541,   173,  2415,   350,  1519,  1520,   193,   139,  3908,  2606,
     311,  1505,  1527,    21,  1555,   105,  1531,  1532,   311,  2067,
     179,  3467,  3468,   289,  2144,  1498,   170,  3392,  3393,  3097,
     304,  1546,  3676,  1548,  3678,   194,    26,    27,   210,   340,
    2067,  3603,  1582,   389,   231,   204,  3947,   340,   258,   423,
     210,  2099,   318,   231,  1569,   145,  1571,    20,   236,   354,
      68,   322,  1603,   342,  1363,   344,   291,  3629,  3630,   307,
    3790,  2077,  2099,   175,  2318,  1624,   377,    40,   250,   289,
     354,   427,  1381,  1580,   377,  2091,  2092,   177,   389,  2095,
     308,  1605,   279,    83,   272,  2101,   389,    68,     5,   170,
    1614,   258,  2405,    10,   236,    76,  3853,   285,   318,   241,
     118,    18,   102,  1812,  1819,   217,   173,   219,  3838,  1818,
     191,   192,   423,   115,   165,   117,    11,    34,   245,  1776,
     423,   258,   289,   250,  1781,   289,   293,  1784,   289,   147,
     299,   231,   293,   133,   152,   289,   390,   139,  2430,   293,
    2156,    36,  2952,   414,   415,   416,   417,   418,   419,  1806,
    2341,   318,   289,   234,   318,   409,   312,   318,  2315,  2934,
     418,   343,   342,   345,   318,   423,   247,   425,    80,   423,
     141,    66,   354,   343,   145,   345,   364,   343,  1835,   345,
     198,   318,   364,  2780,   340,   367,  2783,  2784,  2785,  2786,
    2787,  2788,  2789,  2790,  2791,  2792,   306,   367,    48,   141,
      84,  1858,  1745,   145,  1728,  3283,  1730,  2650,  2815,   389,
     390,  2273,   308,   145,   356,   279,  2813,  1767,  1767,  1790,
    1745,  1792,   389,   365,  1881,   245,   290,   383,   389,   231,
     250,  2822,   342,   165,   236,   389,   207,  1729,   421,   241,
    3812,   197,   425,   423,  1901,  2842,  2843,  1904,  2971,  2972,
     314,   423,  2123,    21,   422,   245,   390,   275,    26,   427,
    2318,   311,   302,   303,  1921,   207,     9,   151,  2741,   258,
     423,  1928,   243,  3729,   424,   409,  2406,   427,   422,   389,
     390,   427,  1841,   427,  1941,  2802,  2803,   423,   306,   423,
     340,    48,   258,  1950,   312,   179,   191,   192,  4028,   258,
     289,   243,   406,  2224,   293,  2226,  2227,  1814,  1815,  1816,
     194,   311,  1557,   423,  1821,  1560,  1823,    38,  1825,  1826,
     204,  2747,   340,   289,    31,  2916,   306,   377,   306,   318,
     289,   193,  2619,   414,   415,   416,   417,   418,   419,   234,
     340,   359,   226,    50,  3063,  2403,  3065,   232,   233,  3068,
     425,  3070,   318,  1877,   356,   424,   306,   258,   427,   318,
     248,   245,   342,   365,   342,   383,  2403,  2497,   245,  2499,
    2840,   418,   421,   423,   423,    82,   423,   377,   425,  1938,
    2396,   381,   424,  1908,  2991,   427,  2993,  3762,   289,   389,
     248,  1916,   342,  1918,  4048,   421,   343,   423,   345,   425,
    3706,     0,  3592,  3593,  3594,  3595,   423,  1914,   425,   389,
     390,   389,   390,  2543,  1973,   299,   424,   318,   424,   427,
     350,   427,  1981,   423,   245,   424,   311,   423,   427,   425,
     137,   145,  2745,   424,  2564,   343,   427,   345,   406,   389,
     390,  3132,   424,   423,   426,   423,  2462,   424,  2464,  2158,
     427,   389,   390,  2162,  2809,   340,  3173,     8,  3280,  1966,
      11,   168,   424,   424,   248,   427,   427,  1974,  1975,  1976,
    1977,  1978,  1979,   423,    38,  2000,     8,    28,  2037,    11,
     424,   193,  3157,   427,    83,  2964,  3792,   371,  2931,  2932,
     197,   343,   377,   345,  2748,   406,    28,  2021,  2640,   424,
     424,   426,  2061,   427,   389,  2024,  2056,  2056,  2067,     8,
    2381,  2382,    11,  2384,   424,   424,  3113,   427,   427,   414,
     415,   416,   417,   418,   419,   424,  2542,   416,   427,     8,
     129,  2547,    11,   424,   407,   408,   427,    36,   423,   149,
    2099,  2671,   141,    42,   424,   424,   145,   427,   427,    28,
    2057,   150,   424,   427,   129,   427,   155,   423,  2273,   158,
       8,   160,  2620,    11,  2622,  2695,   141,    66,   424,   424,
     145,     8,   427,  2882,    11,  2082,   424,  2084,   424,   427,
      28,   427,   424,  2620,   233,  2622,   293,    48,   187,  3667,
     297,   424,   424,  2302,   427,   427,   303,   424,   424,   189,
     427,   427,  2127,   310,   424,   150,  2311,   427,   207,   425,
     424,   318,   187,   427,  3060,   424,   423,  2869,   427,   326,
    2335,   424,   318,   424,   427,  2683,   427,   334,   424,   128,
    2760,   427,   207,  2872,  2873,   424,   302,   303,   427,  2510,
     191,  2350,   424,   392,   243,   427,  2683,   424,   424,  2779,
     427,   427,   251,   389,   390,   424,  2207,  2208,   427,   191,
     423,  2212,   311,  2170,   423,  2256,   424,   166,   243,   427,
     424,   170,   424,   427,  2804,   427,   251,   384,  2694,   425,
     424,   388,  2698,   427,  2700,   245,  2702,  2703,  3285,  3286,
     145,   340,   191,   192,   205,  2711,   247,   296,   389,   390,
     424,  2252,  2253,   427,   105,   424,  2256,   206,   427,  2366,
    2840,   424,   191,   424,   427,   247,   427,   371,   424,   424,
    2270,   427,   427,   697,   424,   699,  2742,   427,   377,   424,
     424,   424,   427,   427,   427,   234,   959,   960,  3329,  2289,
     389,   340,   424,   191,   245,   427,   424,  3039,   247,   427,
     424,   423,  2302,   427,   191,  3746,  2296,  2297,  2298,  2318,
     240,  2632,  2353,  2634,   363,  2342,  2343,   424,   247,  3360,
     427,  2295,   308,   424,   423,   424,   427,   426,  2598,  2599,
    2600,  2331,  2331,  2331,  2331,  2331,  2331,   386,   363,   388,
     389,  2316,   424,  2318,   424,   427,   423,   427,   424,   247,
    2350,   427,   424,  2353,   424,   427,  3060,   427,   424,   197,
     247,   427,  3320,    60,  3322,   389,  3182,  2341,    31,   231,
     392,  3291,   421,   322,    38,   424,   425,   426,   423,    38,
     359,   258,   145,    73,   275,   134,  2493,   134,     3,   423,
     134,   134,   392,  2500,  2403,   134,   427,   134,   134,  2720,
     134,   245,   134,   134,    19,  3572,   134,   134,   245,   410,
     411,   412,   134,   414,   415,   416,   417,   418,   419,  2740,
     340,   423,  3479,    31,  2589,   146,   205,   145,   410,   411,
     412,    44,   414,   415,   416,   417,   418,   419,   145,   245,
     423,     5,  2607,     5,   268,   423,   423,    49,   423,   423,
     423,  2558,   423,   423,  2411,     5,  2413,  2414,     5,   423,
      75,   423,  3267,   423,   423,   414,   415,   416,   417,   418,
     419,  2480,    85,   423,     5,   423,  3884,   423,  3886,   423,
       5,   410,   411,   412,   423,   414,   415,   416,   417,   418,
     419,   423,   423,    95,   255,   423,   109,   423,   423,  2508,
     423,   423,   423,   427,   423,   423,    86,    31,  3212,   205,
     125,   124,   410,   411,   412,   128,   414,   415,   416,   417,
     418,   419,    31,   145,   411,   412,   243,   414,   415,   416,
     417,   418,   419,   146,   145,   318,   350,   350,   306,   425,
     350,   350,   306,   350,   306,   350,   350,   245,   161,   350,
       0,   310,  3060,   350,  2563,   170,  3603,  2566,  2567,  3139,
     175,  2570,   236,  2722,   350,  3612,    68,   370,   245,   175,
     172,  2580,   241,   423,   350,   350,  2585,   423,    76,   427,
    2589,   371,  3629,  3630,   371,  3481,   258,    97,    48,    48,
     350,   249,   350,   350,   350,   350,  3489,   350,  2607,   350,
      37,    37,   350,  2710,   306,   427,   245,   392,   350,   350,
     245,  2620,   191,  2622,  2589,   217,   389,   219,  2725,    31,
      30,  2596,  2597,   236,   423,   423,  2601,   229,   380,   423,
      20,   244,  2607,    83,   134,   231,  2743,   103,   371,   423,
     213,   241,   231,   383,  2653,    31,   145,   382,   263,   423,
    3775,    31,  2626,   197,   307,   257,   134,   371,   134,   371,
    2635,   134,   134,    31,   277,   240,   350,   235,   150,   423,
     385,   223,   348,  2682,  2683,  2675,  2675,  2651,  3380,   129,
     406,   223,    50,    11,  2658,   300,   318,  3607,  2662,   427,
     350,   141,   294,  2693,  2693,   145,   348,   150,   423,   423,
     150,  2860,   352,  2677,   427,   155,   164,   164,   158,   246,
     160,  3291,   187,   424,    82,   423,   371,   427,   241,   424,
     350,   427,   350,   338,   306,    75,   328,   371,  3194,   306,
    2704,   423,   195,  2707,   195,  3201,  3202,   187,   350,  3476,
     236,   236,   423,   308,   236,   197,   252,   362,   245,   350,
     244,   350,   427,   306,   289,   370,   315,   207,   373,   350,
     350,   279,   191,    31,   191,  3812,   191,  2741,   371,   137,
     191,  2930,   191,  2748,   371,   244,  3943,   423,    30,  2780,
     421,   410,  2783,  2784,  2785,  2786,  2787,  2788,  2789,  2790,
    2791,  2792,  2749,   243,   421,   129,   350,   423,   134,   350,
     168,   251,   350,   410,   350,   145,   147,   141,   315,  2850,
    3390,   145,  2813,   241,  3135,  3136,   134,  2826,   423,  2860,
      31,   245,   315,   245,   162,   162,   145,  2992,    31,   197,
     134,  3411,   245,   145,   245,   315,   423,   170,   170,  3351,
     170,  2842,  2843,  3423,   427,    19,   296,  3740,  2955,   392,
    2850,   156,  3657,   187,   220,   427,   245,    48,   240,   340,
    2860,   424,  2852,  2853,  2854,  2855,   197,   424,   424,   150,
    2879,   262,   427,   207,   150,   424,   350,   254,    13,   424,
     406,  3461,   423,  2857,  2858,  2859,  3207,  3208,  3209,   423,
     340,   424,   424,  3813,   424,   424,   424,   424,   406,   386,
      13,   386,   424,    31,   424,   424,   377,   424,  4081,   243,
     424,   296,  3019,   363,   207,  3022,   245,   251,   423,   410,
     245,   248,    50,   173,   392,   293,   181,   350,   236,   297,
     134,   215,   134,   423,  3526,   303,   386,   207,   388,   389,
     263,   263,   310,   350,   215,   350,  3412,  3413,   368,   215,
     318,   350,   306,   350,    82,    21,   350,  3877,   326,   306,
     306,  3881,  3882,   350,   306,   318,   334,    33,   134,   350,
      37,   421,   350,  3481,   424,   425,   426,   350,   191,   191,
       3,  3672,   191,  2992,   191,   191,   191,   421,    54,  2946,
    2947,  2948,  2949,   191,   424,   309,  3462,  3463,  3894,   221,
    3009,    67,  3878,  3012,   410,  3014,  3879,   424,   207,   137,
     249,   359,  3817,   291,    80,  3008,   384,  2992,    96,   427,
     388,   389,   424,  3032,  3033,   389,   424,  3607,   423,   363,
     244,    97,   159,  3008,   427,  3044,   371,   245,   248,   350,
     168,  3050,  3051,  3052,  3053,  3054,  3055,   371,   306,   306,
     306,  3060,   118,   427,   191,  3064,   132,   132,   421,   150,
    4117,   126,    11,   145,   424,   424,   424,   424,    58,   197,
     136,   150,   382,   424,   423,   427,   246,   158,   423,    31,
     424,   147,   145,   371,   423,  3060,   152,   421,   371,   350,
     424,   425,   158,   181,  3103,  3104,  3105,  3106,  3073,  3074,
      50,   350,   350,   424,   424,   359,   359,   173,  4165,  3084,
     306,  3577,  3113,  3579,  3580,   424,  4173,   350,   350,   306,
    3441,  3442,   424,  3444,  3590,   424,  3100,   424,  3103,   145,
      66,    96,    82,   359,   424,   191,   191,   422,   424,  3780,
     422,   195,   389,   423,   423,  3119,    31,   392,   145,   424,
     427,   176,    71,   427,  3111,   389,  3315,   342,   427,   423,
    3319,  3170,   350,  3852,   424,   293,  3971,   315,  3142,   297,
     155,  3683,   150,   191,   191,   303,   191,   191,   424,   150,
     423,   247,   310,   424,   284,    48,  3351,   137,   424,   427,
     318,   257,   387,   387,   424,   423,   194,    48,   326,  3711,
     253,   194,   423,   160,   424,   424,   334,   241,   350,   275,
     427,    22,    23,   410,   389,   150,    27,    66,   168,  3228,
      31,    32,    33,   359,    35,   236,   236,    38,    39,  4105,
      41,   410,    43,  3813,   300,   427,   134,  3212,   304,   110,
     306,   427,   236,   191,    21,   422,   312,   152,   150,   315,
     371,   315,   371,   121,   385,    96,   384,   389,   423,   150,
     388,   423,   178,  3843,   248,   423,     8,   150,   423,    11,
     376,   284,   424,   424,   340,   327,   342,    54,   423,   194,
     346,   388,   423,   245,  3285,  3286,    28,   261,   354,   285,
      67,   424,   389,   359,    36,   424,    31,  3877,   424,   423,
      42,  3881,  3882,    80,   370,   423,   145,   236,   216,   173,
     133,  3418,   423,    60,   424,  3315,   249,   383,   248,  3319,
     303,   303,    60,  3430,    66,    48,    48,   423,  3302,  3303,
    3304,  3305,   371,   251,   423,   245,   342,   140,   276,  3348,
    3806,   118,   248,   293,   248,   295,   116,   297,   375,    31,
     284,  3372,   376,   303,   427,   150,   386,   282,  3358,  3358,
     310,   172,   173,   174,   175,   145,   177,   178,   318,   180,
     147,   182,   121,   184,  3367,   152,   326,   188,   427,   190,
     389,    31,   389,   194,   334,   196,  3894,   245,   245,   424,
     423,  3983,  3367,   424,  3860,   423,    48,   108,    17,   302,
     369,   423,   302,    28,   133,   694,   276,    18,  1272,   752,
    2023,   423,  1090,    24,  2455,  3408,     0,  2318,  1890,  2991,
    3732,  1945,  2585,  3889,   166,  3479,  3894,  3546,   170,  3771,
    3161,  3775,  3519,  3408,   384,  2388,  3779,  2116,  4055,  3682,
    4104,  4012,  4011,  4069,  3919,  3163,  3421,  3422,  2392,   191,
     192,  3426,  3427,    64,  3124,  1382,  2014,  2014,  3467,  3468,
    2987,  2475,  2009,  1367,   206,  3130,  2652,  3979,  4173,  3132,
     247,  4109,  3481,  4165,  2606,  2591,  3485,  4076,  3487,  3713,
    1359,  3490,  3491,  3992,  4063,  3644,  3443,  3716,    26,   231,
    3649,  3858,   234,  3652,   948,  3215,  3171,  1854,   275,    83,
    3457,  3656,   113,  3943,  3173,   247,   550,  2545,  3501,   120,
    3831,  4087,   123,  4167,   673,  3763,  1730,  1729,  3683,  2331,
    3841,  3154,  3359,  3682,  2913,  1442,  3501,  2332,  1116,   306,
     686,  1135,  1765,  3542,  2344,   312,  3536,  3536,   315,  1134,
    2338,  3706,  1764,  1137,  2358,   129,  3711,  1748,  2860,  2350,
    3321,  3710,  3839,    18,  1990,   678,  1141,   141,  2914,    24,
    3815,   145,  3571,   340,   175,  2825,   150,  3888,  2817,   346,
    4042,   155,  4043,  4046,   158,  2270,   160,  2335,  2179,  2268,
     322,    -1,   359,  3592,  3593,  3594,  3595,  3746,  3545,  1606,
    2909,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,  3575,  3603,   187,    -1,    -1,   383,    -1,    -1,    -1,
      -1,  3612,    -1,    -1,    -1,    -1,    -1,    -1,   229,    50,
     231,    -1,    -1,   207,    -1,    -1,    -1,    -1,  3629,  3630,
     241,  3790,    -1,  4099,    -1,    -1,    -1,    -1,   249,    -1,
      -1,  3962,    -1,    -1,  3644,    -1,    -1,   258,   113,  3649,
      -1,    82,  3652,    -1,    -1,   120,    -1,    -1,   123,   243,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   289,  3838,
      -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   502,    -1,    -1,    -1,    -1,   507,  3706,   509,    -1,
      -1,   512,    -1,   514,    -1,   516,   137,   318,    -1,    -1,
     175,   522,   296,    -1,   525,    -1,    -1,    -1,    -1,    -1,
    3729,   532,    -1,    -1,  3733,    -1,  3669,  3684,  3685,  3686,
      -1,  3706,    -1,    -1,    -1,    -1,    -1,   168,    -1,    -1,
      -1,    -1,   553,    -1,    -1,    -1,    -1,   558,    -1,    -1,
      -1,   562,    -1,    -1,   565,    -1,   340,    -1,    -1,    -1,
      -1,    -1,    -1,   374,   229,    -1,   231,    -1,    -1,   580,
      -1,    -1,    -1,    -1,    -1,  3749,   241,    -1,    -1,   363,
      -1,    -1,    -1,    -1,   249,     8,    -1,    -1,    11,    -1,
      -1,    -1,    -1,   258,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,   386,    -1,   388,   389,  3780,    -1,    -1,    -1,
      -1,  3812,    -1,    36,  3979,   626,    -1,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    36,   636,   637,   258,   293,    -1,
      42,     8,  3789,    -1,    11,    -1,    -1,   421,  3838,    -1,
     424,   425,   426,    66,   655,    -1,   657,   658,    -1,    -1,
      -1,   662,    -1,   318,    66,    -1,    -1,    -1,   289,    36,
    4019,    -1,   293,   674,    -1,    42,   297,   678,    -1,  4028,
      -1,    -1,   303,   684,    -1,    -1,    -1,    -1,    -1,   310,
      -1,    -1,    -1,    -1,   695,  3894,    -1,   318,    -1,    66,
      -1,    -1,    -1,    -1,    -1,   326,   707,  3871,    -1,  4058,
      -1,    -1,    -1,   334,    -1,    -1,    -1,    -1,    -1,   374,
    3867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3885,    -1,
    3887,    -1,    -1,    -1,    -1,    -1,    -1,   748,    -1,    -1,
      -1,    -1,    -1,   166,    -1,    -1,    -1,   170,    -1,   760,
     761,   128,    -1,   384,   166,    -1,    -1,    -1,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,   192,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,
     192,    -1,    -1,   206,    -1,    -1,    -1,   798,    -1,   166,
      -1,    -1,    -1,   170,   206,    -1,    -1,   808,    -1,    -1,
     811,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   231,    -1,
    4169,   234,    -1,   824,   191,   192,    -1,    -1,    -1,    -1,
    3977,    -1,   234,    -1,   247,    -1,    -1,   838,    -1,   206,
      -1,    -1,    -1,   844,   845,   247,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   858,   859,   860,
     861,    -1,   863,    -1,    -1,    -1,    -1,   234,    -1,  4016,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     247,    -1,    -1,    -1,    -1,    -1,    -1,   888,   889,    -1,
      -1,    -1,  4123,    -1,    -1,    -1,    -1,  4087,  4087,  4087,
    4087,  4087,  4087,    -1,    -1,    -1,    -1,    -1,    -1,   322,
     911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4117,  4066,
     322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4123,  4123,  4123,  4123,  4123,  4123,    -1,
     941,   942,    -1,    -1,    -1,   946,    -1,   948,    -1,    -1,
      -1,    -1,  4117,    -1,    -1,   322,    -1,    -1,    -1,  4106,
      -1,    -1,    -1,    -1,   965,    -1,  4165,   968,    -1,    -1,
     971,    -1,    -1,    -1,  4173,    -1,    -1,  4167,  4167,  4167,
    4167,  4167,  4167,   984,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    -1,    -1,    -1,    -1,    -1,    24,   410,   411,   412,
    4165,   414,   415,   416,   417,   418,   419,    -1,  4173,   411,
     412,  1012,   414,   415,   416,   417,   418,   419,    -1,     0,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    -1,    -1,    64,    -1,    -1,  1040,
    1041,    -1,  1043,    24,    -1,    26,    27,   414,   415,   416,
     417,   418,   419,    -1,    -1,    -1,    -1,    -1,    -1,  1060,
      41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      61,    -1,    63,    64,    -1,   113,    -1,    -1,    69,    -1,
      71,    -1,   120,    -1,  1095,   123,    -1,  1098,    -1,    -1,
      81,    -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    99,    -1,
      -1,   102,    -1,    -1,    -1,    -1,  1127,    -1,    -1,    -1,
    1131,  1132,    -1,   114,    -1,   116,    -1,    -1,    -1,   120,
    1141,  1142,  1143,    -1,    -1,   126,    -1,   175,    -1,    -1,
      -1,    -1,   133,    -1,   135,    -1,    -1,    -1,  1159,    -1,
     141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1186,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1197,    -1,    -1,    -1,
      -1,   229,  1203,   231,    -1,  1206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   241,    -1,    -1,    -1,     8,    -1,    -1,
      11,   249,    -1,  1224,    -1,    -1,    -1,   208,   209,    -1,
     258,    -1,    -1,   214,    -1,    -1,    -1,    28,    -1,    -1,
      -1,   222,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      -1,    42,   233,    -1,    -1,  1256,  1257,  1258,  1259,  1260,
      -1,   289,    -1,    -1,     8,   293,    -1,    11,    -1,    -1,
    1271,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1284,    28,  1286,    -1,    -1,    -1,   270,
     318,    -1,    36,  1294,  1295,    -1,    -1,    -1,    42,  1300,
     281,    -1,    -1,    -1,    -1,   286,    -1,   288,    -1,    -1,
      -1,    -1,   293,    -1,    -1,    -1,    -1,   298,    -1,    -1,
     301,    -1,    66,    -1,   305,    -1,    -1,    -1,    -1,   310,
     311,    -1,    -1,    -1,    -1,    -1,    -1,   318,    -1,    -1,
     321,    -1,    -1,    -1,    -1,  1346,   374,   328,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   340,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1370,
    1371,  1372,  1373,    -1,    -1,   166,   357,    -1,    -1,   170,
      -1,    -1,    -1,    -1,    -1,   366,    -1,    -1,  1389,    -1,
      -1,   372,    -1,    -1,    -1,    -1,   377,  1398,    -1,    -1,
     191,   192,    -1,    -1,  1405,    -1,  1407,    -1,   389,    -1,
      -1,    -1,    -1,    -1,  1415,   206,    -1,    -1,    -1,  1420,
      -1,    -1,   166,    -1,    -1,    -1,   170,    -1,  1429,    -1,
      -1,    -1,    -1,    -1,  1435,  1436,    -1,    -1,    -1,  1440,
     231,    -1,   423,   234,    -1,   426,    -1,   191,   192,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,   250,
      -1,    -1,   206,    -1,  1465,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1473,    -1,    -1,    -1,  1477,  1478,    -1,    -1,
      -1,    -1,    -1,    -1,  1485,    -1,    -1,   231,    -1,    -1,
     234,    -1,    -1,    -1,    -1,    -1,    -1,  1498,  1499,    -1,
      -1,  1502,    -1,   247,    -1,  1506,   250,  1508,    -1,    -1,
      -1,    -1,    -1,    -1,  1515,    -1,    -1,  1518,    -1,    -1,
    1521,    -1,    -1,     8,    -1,    -1,    11,    -1,  1529,  1530,
      -1,   322,    -1,    -1,    -1,    -1,  1537,    -1,  1539,  1540,
    1541,  1542,  1543,    28,    -1,    -1,    -1,    -1,    -1,  1550,
    1551,    36,  1553,    -1,  1555,  1556,    -1,    42,  1559,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1576,    -1,    -1,   322,  1580,
    1581,    66,    -1,    -1,  1585,    -1,    -1,    -1,  1589,    -1,
    1591,  1592,  1593,  1594,  1595,  1596,  1597,  1598,  1599,    -1,
    1601,    -1,    -1,    -1,  1605,  1606,    -1,  1608,    -1,    -1,
      -1,    -1,    -1,  1614,    -1,    -1,    -1,    -1,    -1,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,    -1,
      -1,   422,    -1,    -1,    -1,    -1,    -1,   428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,    -1,    -1,    -1,    -1,
      -1,   166,    -1,   427,    -1,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,   191,   192,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,   206,    -1,    -1,    -1,     8,    36,  1728,    11,  1730,
      -1,  1732,    42,    -1,    -1,    -1,    -1,    28,    -1,    -1,
      31,    -1,    -1,    -1,    -1,    36,   231,    -1,    -1,   234,
      -1,    42,    -1,    36,    -1,    -1,    66,    -1,    -1,    42,
      -1,    -1,   247,    -1,    -1,   250,    -1,  1768,    -1,  1770,
      -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    66,  1785,    -1,    -1,    -1,    -1,  1790,
      -1,  1792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1807,    -1,    -1,    -1,
      -1,  1812,    -1,  1814,  1815,  1816,    -1,  1818,  1819,    -1,
    1821,    -1,  1823,    -1,  1825,  1826,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   128,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,  1860,
     170,    -1,    -1,    -1,    -1,  1866,    -1,    -1,    -1,    -1,
    1871,    -1,    -1,    -1,    -1,   166,  1877,    -1,    -1,   170,
      -1,   191,   192,   166,    -1,    -1,    -1,   170,    -1,    -1,
      -1,    -1,  1893,  1894,    -1,    -1,   206,    -1,    -1,  1900,
     191,   192,    -1,    -1,    -1,    -1,    -1,    -1,   191,   192,
      -1,    -1,    -1,  1914,    -1,   206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   206,   234,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,    -1,  1937,   247,  1939,  1940,
     231,    -1,   427,   234,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,   247,    -1,    -1,   250,
      -1,    -1,    -1,    -1,   247,  1966,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1974,  1975,  1976,  1977,  1978,  1979,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1989,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   322,    -1,    -1,  2016,    -1,    -1,    -1,  2020,
    2021,    -1,    -1,    -1,  2025,    -1,    -1,    -1,    -1,    -1,
      -1,   322,    -1,    -1,     8,    -1,    -1,    11,    -1,   322,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2050,
      -1,    -1,    -1,    -1,    28,    -1,  2057,  2058,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2082,  2083,  2084,  2085,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     410,   411,   412,  2104,   414,   415,   416,   417,   418,   419,
      -1,    -1,    -1,    -1,    -1,  2116,    -1,    -1,    -1,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,    -1,
      -1,   414,   415,   416,   417,   418,   419,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2158,    -1,    18,
      -1,  2162,    -1,    -1,    -1,    24,    -1,    -1,    -1,  2170,
      -1,    -1,    -1,    -1,    -1,    -1,  2177,  2178,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   166,    -1,    -1,    -1,   170,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    -1,    64,  2207,  2208,    36,    -1,
      -1,  2212,    -1,    -1,    42,    -1,    -1,   191,   192,    -1,
      -1,    -1,    -1,  2224,  2225,  2226,  2227,    -1,    -1,    -1,
      -1,    -1,   206,    -1,    -1,    -1,  2237,    -1,    66,  2240,
      -1,  2242,  2243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2252,  2253,    -1,   113,  2256,    -1,   231,    -1,    -1,
     234,   120,    -1,     8,   123,    -1,    11,    -1,  2269,    -1,
    2271,    -1,  2273,   247,  2275,    -1,   250,    -1,    -1,    -1,
      -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
    2291,    36,    -1,    -1,  2295,    -1,    -1,    42,    -1,    -1,
      -1,  2302,    -1,  2304,  2305,  2306,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,
    2321,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2332,    -1,    -1,    -1,    -1,  2337,    -1,   166,    -1,
    2341,    -1,   170,  2344,    -1,    -1,    -1,    -1,   322,  2350,
      -1,    -1,  2353,    -1,    -1,    -1,  2357,    -1,    -1,    -1,
      -1,    -1,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,
     229,    -1,   231,    -1,    -1,    -1,    -1,    -1,   206,    -1,
      -1,    -1,   241,    -1,    -1,    -1,  2387,    -1,  2389,    -1,
     249,    -1,    -1,  2394,    -1,    -1,    -1,    -1,    -1,   258,
      -1,    -1,    -1,   231,    -1,    -1,   234,    -1,    -1,    -1,
    2411,    -1,  2413,  2414,    -1,    -1,    -1,    -1,    -1,   247,
      -1,   166,   250,    -1,    -1,   170,    -1,    -1,    -1,    -1,
     289,    -1,    -1,    -1,   293,    -1,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   191,   192,    -1,    -1,
     424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
      -1,   206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,   231,    -1,    -1,   234,
      -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   247,    -1,    -1,   250,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,    -1,   374,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    -1,
      -1,    -1,    -1,    -1,    24,    -1,    -1,    66,    -1,    -1,
       7,    -1,    -1,    -1,    -1,    -1,    13,    14,    -1,    -1,
      -1,    -1,    19,    -1,    21,    -1,    -1,    -1,    -1,    26,
      -1,    28,    -1,    -1,    -1,    -1,    -1,  2568,  2569,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    -1,   322,    -1,    46,
      -1,    -1,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,    -1,    -1,    -1,    -1,   424,    -1,    -1,   128,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,  2626,    -1,    -1,    -1,    -1,
     120,    -1,    -1,   123,    -1,    -1,    -1,   166,    -1,    -1,
      -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2650,
    2651,    -1,    -1,    -1,    -1,    -1,    -1,  2658,    -1,    -1,
      -1,  2662,   191,   192,    -1,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,    -1,  2677,   206,    -1,   424,
      -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2704,    -1,   234,  2707,    -1,    -1,    -1,
      -1,   178,    -1,  2714,    -1,    -1,    -1,    -1,   247,    -1,
     187,  2722,   189,    -1,   191,    -1,   193,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   229,
    2741,   231,    -1,    -1,    -1,    -1,    -1,    -1,  2749,    -1,
      -1,   241,    -1,    -1,    -1,    -1,  2757,    -1,    -1,   249,
      -1,    -1,    -1,    -1,    -1,  2766,    -1,    -1,   258,    -1,
      -1,  2772,    -1,  2774,    -1,    -1,    -1,     8,    -1,  2780,
      11,    -1,  2783,  2784,  2785,  2786,  2787,  2788,  2789,  2790,
    2791,  2792,    -1,   322,    -1,  2796,  2797,    28,    -1,   289,
      -1,    -1,    -1,   293,    -1,    36,    -1,    -1,  2809,    -1,
      -1,    42,  2813,    -1,    -1,    -1,  2817,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2827,    -1,   318,  2830,
      -1,  2832,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,
    2841,  2842,  2843,    -1,    -1,    -1,  2847,    -1,    -1,  2850,
      -1,    -1,    -1,    -1,    -1,    -1,  2857,  2858,  2859,  2860,
    2861,    -1,    -1,    -1,  2865,  2866,    -1,    -1,    -1,  2870,
      -1,    -1,    -1,    -1,    -1,  2876,    -1,  2878,    -1,  2880,
      -1,    -1,    -1,    -1,   374,   414,   415,   416,   417,   418,
     419,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2903,    -1,    -1,    -1,    -1,    -1,  2909,    -1,
      -1,    -1,  2913,    -1,  2915,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2930,
    2931,  2932,    -1,  2934,    -1,   166,    -1,    -1,    -1,   170,
      -1,    -1,    -1,    -1,    -1,  2946,  2947,  2948,  2949,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     191,   192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   206,  2977,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     231,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,   250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   830,    -1,    -1,  3036,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   510,    -1,    -1,    -1,    -1,    -1,    -1,
     517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,
     527,    -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   541,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   554,    -1,     8,
      -1,   322,    11,    -1,    -1,    -1,    -1,    -1,    -1,  3100,
      -1,   568,    -1,    -1,   571,    -1,   573,    -1,   575,    28,
    3111,    -1,  3113,    -1,    -1,    -1,    -1,    36,  3119,    -1,
      -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3142,    -1,   610,    -1,    -1,    -1,    66,    -1,    -1,
    3151,    -1,    -1,    -1,    -1,    -1,  3157,   955,    -1,    -1,
    3161,    -1,  3163,    -1,    -1,   632,    -1,   634,    -1,    -1,
      -1,    -1,    -1,  3174,  3175,    -1,    -1,    -1,    -1,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,    -1,
      -1,    -1,    -1,   424,    -1,  3196,    -1,  3198,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   686,
      -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,
    3231,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      42,    -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,
      -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,    -1,  3267,    -1,    -1,    -1,
      -1,    -1,   191,   192,    -1,    -1,  3277,  3278,    -1,    -1,
      -1,    -1,    -1,    -1,  3285,  3286,    -1,   206,    -1,  3290,
      -1,    -1,    -1,    -1,    -1,  3296,  3297,    -1,    -1,  3300,
      -1,  3302,  3303,  3304,  3305,    -1,    -1,    -1,  3309,    -1,
      -1,  3312,   231,    -1,  3315,   234,    -1,    -1,  3319,    -1,
     787,    -1,    -1,    -1,  3325,    -1,    -1,  3328,   247,    -1,
      -1,   250,  3333,    -1,    -1,   802,    -1,    -1,  3339,    -1,
      -1,    -1,    -1,    -1,  3345,    -1,   813,    -1,  1146,     8,
    3351,    -1,    11,   820,    -1,    -1,    -1,    -1,  3359,    -1,
      -1,    -1,  3363,    -1,   166,   832,    -1,    -1,   170,    28,
      -1,  3372,    -1,    -1,  3375,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,   191,
     192,  3392,  3393,    -1,    -1,  1193,    -1,   864,    -1,    -1,
      -1,    -1,    -1,   322,   206,    -1,    -1,    66,  3409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1222,    -1,    -1,    -1,    -1,   231,
      -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3443,    -1,    -1,   247,    -1,    -1,   250,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3457,   924,    -1,   926,
      -1,   928,    -1,   930,    -1,   932,   933,   934,    -1,    -1,
      -1,    -1,   939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3489,    -1,
    1288,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,    -1,    -1,    -1,    -1,   424,    -1,   166,    -1,  1307,
      -1,   170,    -1,    -1,    -1,    -1,  3517,    -1,    -1,    -1,
     322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1327,
      -1,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3545,  3546,    -1,   206,    -1,    -1,
      -1,    -1,    -1,    -1,  1352,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   231,    -1,  3575,   234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,
      -1,   250,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,  3603,    -1,    -1,    -1,  1404,    -1,   410,   411,
     412,  3612,   414,   415,   416,   417,   418,   419,    -1,    -1,
      36,    -1,   424,    -1,    -1,    -1,    42,    -1,  3629,  3630,
      -1,    -1,  3633,    -1,    -1,    -1,    -1,    -1,    -1,  3640,
      -1,    -1,    -1,  3644,    -1,    -1,    -1,    -1,  3649,  1116,
      66,  3652,  3653,    -1,  3655,    -1,  3657,  3658,    -1,    -1,
      -1,    -1,    -1,   322,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,  3682,  3683,  3684,  3685,  3686,    28,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    28,    -1,    -1,
      42,    -1,    -1,    -1,    -1,    36,    -1,    -1,  1175,  3710,
    3711,    42,   128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,  3740,
      -1,    -1,    -1,    -1,    -1,  3746,    -1,    -1,  3749,    -1,
     166,   410,   411,   412,   170,   414,   415,   416,   417,   418,
     419,  3762,    -1,  3764,    -1,   424,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3775,   191,   192,  1575,    -1,  3780,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3789,  3790,
     206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1608,  3812,    -1,    -1,  3815,    -1,  3817,    -1,   234,    -1,
      -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,   170,    -1,
      -1,   247,    -1,  3834,    -1,   166,    -1,  3838,    -1,   170,
    3841,    -1,    -1,    -1,    -1,    -1,  3847,    -1,    -1,   191,
     192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     191,   192,    -1,    -1,   206,    -1,  3867,    -1,    -1,    -1,
    3871,    -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3884,  3885,  3886,  3887,    -1,  1355,   231,
      -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     231,  1368,    -1,   234,    -1,   247,   322,    -1,   250,    -1,
      -1,    -1,    -1,    -1,    -1,  3916,   247,    -1,    -1,   250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    -1,    -1,    -1,  1406,
      -1,    24,    -1,  1410,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1419,    -1,  1421,     8,  1423,    -1,    11,    -1,
      -1,  1428,    -1,    -1,    -1,    -1,    49,    -1,    -1,    -1,
    3971,    -1,    -1,    -1,    -1,    28,  3977,    -1,  3979,    -1,
     322,    64,    -1,    36,  1451,  3986,  1453,    -1,  1455,    42,
    1457,   322,  1459,    -1,    -1,    -1,  1463,    -1,   414,   415,
     416,   417,   418,   419,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    66,    -1,  4016,    -1,    -1,  4019,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4028,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,
     123,  4042,    -1,    -1,  4045,  4046,    -1,    -1,    -1,    -1,
    1848,    -1,    -1,    -1,    -1,  1853,  1854,  4058,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4066,  1864,    -1,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   830,   410,
     411,   412,   424,   414,   415,   416,   417,   418,   419,   172,
    4091,    -1,   175,   424,    -1,    -1,    -1,    -1,    -1,    -1,
    4101,    -1,    -1,    -1,    -1,  4106,    -1,    -1,    -1,     8,
      -1,    -1,    11,   166,    -1,    -1,    -1,   170,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,   217,    -1,   219,    36,   191,   192,
      -1,    -1,    -1,    42,    -1,    -1,   229,    -1,   231,    -1,
      -1,    -1,    -1,   206,    -1,    -1,    -1,    -1,   241,  4160,
      -1,    -1,    -1,    -1,    -1,    -1,   249,    66,  4169,    -1,
      -1,    -1,    -1,    -1,   257,   258,    -1,    -1,   231,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1991,   247,    -1,    -1,   250,    -1,    -1,
      -1,    -1,    -1,   955,    -1,    -1,   289,    -1,    -1,    -1,
     293,   294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2064,   166,    -1,   322,
      -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,
     181,   374,   191,   192,    -1,   186,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   195,    -1,    -1,   206,    -1,    -1,
    1777,  1778,    -1,    -1,    -1,  1782,  1783,    -1,    -1,  1786,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1796,
      -1,    -1,   231,  1085,    -1,   234,  1803,    -1,    -1,    -1,
      -1,    -1,  1809,  1810,    -1,    -1,  2144,    -1,   247,    -1,
      -1,   250,    -1,  1820,    -1,  1822,    -1,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,    -1,    -1,  1836,
       8,   424,    -1,    11,  1841,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      28,    -1,    -1,    -1,  1146,    -1,    -1,    -1,    36,    -1,
    1867,  1868,  1869,  1870,    42,    -1,    -1,  1874,  1875,    -1,
      -1,    -1,    -1,    -1,    -1,  1882,    -1,    -1,  1885,    -1,
      -1,    -1,  1889,   322,    -1,    -1,    -1,    -1,    66,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,  1905,    -1,
      -1,  1193,    -1,    -1,    -1,    -1,    -1,    -1,  1915,    -1,
    1917,    -1,    -1,    28,    -1,    -1,    -1,    -1,  1925,  1926,
    1927,    36,  1929,    -1,    -1,    -1,    -1,    42,    -1,    -1,
    1222,    -1,    -1,    -1,    -1,  1942,  1943,  1944,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1952,  1953,    -1,    -1,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2304,  2305,  2306,    -1,
      -1,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,    -1,    -1,    -1,    -1,   424,    -1,    -1,   166,    -1,
      -1,    -1,   170,    -1,    -1,    -1,  1288,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2012,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   191,   192,  1307,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,
      -1,    -1,    -1,    -1,    -1,  1327,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   166,    -1,   231,    -1,   170,   234,    -1,    -1,    -1,
    1352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2406,   247,
      -1,    -1,   250,    -1,    -1,    -1,   191,   192,   509,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   520,
      -1,   206,    -1,   524,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   535,    -1,  2444,  2445,    -1,  2447,
      -1,    -1,  1404,    -1,    -1,    -1,   231,    -1,   549,   234,
      -1,    -1,   553,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   562,   247,    -1,    -1,   250,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2150,   322,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   585,    -1,    -1,    -1,    -1,  2497,
      -1,  2499,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,
      -1,    32,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      -1,    42,    -1,    -1,    -1,  2543,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   655,    66,  2564,    -1,    -1,   660,
      -1,    -1,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,    -1,    -1,    -1,    -1,   424,    -1,    -1,    -1,
      -1,  2589,    -1,   684,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2607,
     111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1575,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,    -1,    -1,   422,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,   170,
      -1,    -1,    -1,  2671,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2684,    -1,    -1,    -1,
     191,   192,    -1,    -1,    -1,    -1,    -1,  2695,    -1,    -1,
    2367,  2368,    -1,    -1,    -1,   206,    -1,   798,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   808,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     231,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,   830,
      -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,   250,
      -1,    -1,    -1,    -1,    -1,    -1,  2423,  2424,    -1,    -1,
    2427,    -1,  2760,    -1,  2431,  2432,  2433,    -1,    -1,    -1,
      -1,    -1,   863,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,  2779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,  2465,  2466,
    2467,  2468,    -1,    -1,     8,    36,  2804,    11,    -1,    -1,
      -1,    42,    -1,    -1,    -1,    -1,   907,    -1,    -1,    -1,
     911,   322,    -1,    -1,    28,    -1,    -1,    -1,   919,    -1,
      -1,    -1,    36,    -1,  2501,    66,    -1,    -1,    42,    -1,
      -1,    -1,  2840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    66,    -1,   955,    -1,    -1,    -1,    -1,    -1,
     371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   972,  2880,    -1,    -1,    -1,    -1,  2554,    -1,    -1,
      -1,    -1,  2559,   984,    -1,    -1,  1848,    -1,    -1,    -1,
      -1,  1853,  1854,    -1,    -1,    -1,    -1,    -1,    -1,   410,
     411,   412,  1864,   414,   415,   416,   417,   418,   419,    -1,
      -1,  1012,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,   170,
      -1,   145,    -1,    -1,    -1,    -1,   150,    -1,    -1,  1040,
    1041,    -1,  1043,    -1,  2621,    -1,    -1,    -1,    -1,    -1,
     191,   192,   166,    -1,  2631,    -1,   170,    -1,    -1,  1060,
      -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,   192,    -1,
    2657,  1082,  2659,    -1,  2992,    -1,    -1,    -1,  1089,  1090,
     231,    -1,   206,   234,    -1,    -1,    -1,  1098,  1099,    -1,
      -1,    -1,    21,    -1,    -1,    -1,   247,    -1,    -1,   250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   231,    -1,  2696,
     234,    -1,    -1,    -1,    -1,    -1,  1127,    -1,   269,  1991,
    1131,  1132,  2709,   247,    -1,    54,   250,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1146,    -1,    -1,    67,    68,
      -1,  1152,    -1,    -1,    -1,    -1,    -1,    76,    -1,    -1,
      -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    -1,
      -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1193,    -1,   335,    -1,    -1,    -1,    -1,   118,
      -1,    -1,  2064,    -1,    -1,    -1,    -1,    -1,   322,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,    -1,
      -1,  1222,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,
      -1,  3139,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   173,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3173,    -1,    -1,  1269,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   198,
      -1,    -1,  2144,    -1,    -1,    -1,    -1,  1288,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,  1307,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1327,    -1,   247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1347,    -1,    -1,    -1,
      -1,  1352,    -1,    -1,    -1,    -1,   275,    -1,    -1,    -1,
      -1,    -1,    -1,  1364,  2941,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3280,    -1,    -1,    -1,    -1,    -1,    -1,  1380,
      -1,   300,    -1,  3291,    -1,   304,    -1,   306,    -1,    -1,
      -1,    -1,    -1,   312,    -1,    -1,   315,  1398,  2975,    -1,
      -1,    -1,    -1,  1404,    -1,    -1,  1407,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3328,   340,    -1,   342,    -1,  3333,    -1,   346,    -1,    -1,
    1431,    -1,    -1,    -1,    -1,   354,    -1,  3345,  3015,    -1,
     359,  1442,    -1,  3020,  3021,    -1,  3023,  3024,  3025,  3026,
    3027,  3028,  3029,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3038,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3411,    -1,  1506,    -1,  1508,    -1,    -1,
      -1,    -1,    -1,    -1,  1515,  3423,    -1,  1518,    -1,    -1,
    1521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1529,  1530,
    3107,  3108,  3109,    -1,    -1,  3112,  1537,    -1,    -1,  1540,
    1541,  1542,  1543,    -1,  2406,    -1,    -1,    -1,    -1,  1550,
    1551,    -1,  1553,  3461,  1555,  1556,    -1,    -1,  1559,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1575,  1576,  1577,    -1,    -1,    -1,
    1581,    -1,  2444,  2445,  1585,  2447,    -1,    -1,  1589,    -1,
    1591,  1592,  1593,  1594,  1595,  1596,  1597,  1598,  1599,    -1,
    1601,    -1,    -1,    -1,    -1,  1606,    -1,  1608,    -1,    -1,
      -1,    -1,    -1,  3190,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2497,    -1,  2499,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3572,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3607,
      -1,    -1,  2564,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,    -1,    -1,    -1,    -1,   186,  2589,    28,    -1,
      -1,  1732,    -1,    -1,    -1,   195,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,    -1,  2607,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1776,    -1,    -1,    -1,  1780,
    1781,    -1,    -1,  1784,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3706,    -1,
      -1,    -1,    -1,    -1,    -1,  1806,  1807,    -1,    -1,  2671,
      -1,  1812,    -1,    -1,    -1,    -1,    -1,  1818,    -1,    -1,
      -1,    -1,  2684,  3400,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2695,  1835,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3419,  3420,   144,    -1,    -1,  1848,    -1,    -1,
      -1,    -1,  1853,  1854,  3431,  3432,    -1,  1858,    -1,    -1,
      -1,    -1,    -1,  1864,    -1,    -1,   166,    -1,    -1,    -1,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1880,
    1881,    -1,  1883,    -1,  3792,    -1,    -1,    -1,    -1,    -1,
      -1,   191,   192,    -1,    -1,    -1,    -1,    -1,  2760,    -1,
    1901,    -1,    -1,  1904,    -1,  3813,   206,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2779,    -1,    -1,
    1921,    -1,    -1,    -1,    -1,    -1,    -1,  1928,    -1,    -1,
      -1,   231,    -1,    -1,   234,  3843,    -1,    -1,    -1,    -1,
    1941,    -1,  2804,    -1,    -1,    -1,    -1,   247,    -1,  1950,
     250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3538,    -1,    -1,    -1,    -1,    -1,   267,    -1,  3877,
      -1,    -1,    -1,  3881,  3882,    -1,    -1,    -1,  2840,    -1,
      -1,    -1,    -1,    -1,    -1,  3562,    -1,    -1,  1989,    -1,
    1991,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,  3583,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   322,    -1,    28,    -1,    -1,    31,    -1,    -1,
      -1,    -1,    36,    -1,    -1,  3943,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     520,    -1,    66,  2064,   524,    -1,  2067,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   535,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,
      -1,    -1,  3669,    -1,    -1,    -1,    -1,    -1,  2099,    -1,
      -1,    -1,    -1,  2104,    -1,    -1,    -1,    -1,    -1,    -1,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
      -1,    -1,    -1,    -1,    -1,   585,    -1,    -1,    -1,    -1,
    2992,  2132,    -1,    -1,    -1,    -1,    -1,   830,    -1,    -1,
      -1,    -1,    -1,  2144,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2154,    -1,    -1,    -1,  2158,    -1,    -1,
      -1,  2162,   166,    -1,    -1,    -1,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2177,  2178,    -1,    -1,
      -1,    -1,    -1,    -1,  3761,    -1,    -1,   191,   192,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     660,    -1,   206,    -1,    -1,    -1,  2207,  2208,    -1,    -1,
      -1,  2212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3798,    -1,  2224,  2225,  2226,  2227,   231,    -1,    -1,
     234,  2232,    -1,    -1,    -1,    -1,  2237,  2238,    -1,  2240,
      -1,  2242,    -1,   247,    -1,    -1,   250,    -1,    -1,    -1,
      -1,  2252,  2253,    -1,    -1,  2256,    -1,    -1,    -1,    -1,
      -1,    -1,   955,    -1,    -1,    -1,    -1,    -1,  2269,    -1,
    2271,    -1,    -1,    -1,  2275,    -1,    -1,  3139,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2291,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,  2302,    -1,  2304,  2305,  2306,    -1,    -1,    -1,    -1,
      -1,  3173,    -1,    -1,    -1,    -1,    28,  2318,   322,    -1,
    2321,    -1,    -1,   181,    36,    -1,    -1,    -1,   186,    -1,
      42,  2332,    -1,    -1,    -1,    -1,  2337,   195,    -1,    -1,
      -1,    -1,    -1,  2344,    -1,    -1,    -1,    -1,    -1,  2350,
      -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2366,    -1,    -1,    -1,    -1,
    3947,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2387,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2403,    -1,    -1,  2406,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,    -1,    -1,  3280,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3291,
      -1,    -1,    -1,    -1,    -1,    -1,  4013,    -1,    -1,    -1,
      -1,    -1,    -1,  2444,  2445,    -1,  2447,   907,    -1,    -1,
      -1,    -1,    -1,  1146,   166,    -1,    -1,    -1,   170,   919,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2474,  2475,  2476,    -1,    -1,    -1,   191,
     192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,  2493,    11,   206,    -1,  2497,    -1,  2499,  2500,
    1193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      28,    -1,   972,    31,    -1,    -1,    -1,    -1,    36,   231,
      -1,    -1,   234,    -1,    42,    -1,    -1,    -1,  3390,  1222,
      -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,   250,    -1,
      -1,    -1,  2543,    -1,    -1,    -1,    -1,    -1,    66,  3411,
      -1,    -1,   264,    -1,    -1,    -1,    -1,  2558,    -1,    -1,
      -1,  3423,    -1,  2564,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2586,    -1,    -1,  2589,    -1,
      -1,    -1,    -1,    -1,    -1,  1288,    -1,    -1,    -1,  3461,
      -1,    -1,    -1,    -1,    -1,  2606,  2607,    -1,    -1,    -1,
     322,    -1,    -1,    -1,  1307,    -1,    -1,    -1,    -1,  2620,
      -1,  2622,  1082,    -1,    -1,    -1,    -1,    -1,    -1,  1089,
    1090,    -1,    -1,    -1,  1327,    -1,    -1,    -1,    -1,  1099,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,
      -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,  1352,
      -1,    -1,   520,    -1,    -1,    -1,   524,    -1,    -1,    -1,
    2671,    -1,    -1,   191,   192,    -1,    -1,   535,    -1,    -1,
      -1,    -1,  2683,  2684,    -1,    -1,    -1,    -1,   206,    -1,
      -1,   549,  1152,    -1,  2695,    -1,    -1,    -1,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,    -1,  2710,
      -1,  1404,    -1,   231,    -1,    -1,   234,    -1,    -1,    -1,
      -1,  2722,    -1,     8,  2725,    -1,    11,   585,    -1,   247,
      -1,    -1,   250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2743,    28,    -1,  3607,    -1,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,  2757,    42,    -1,  2760,
      -1,    -1,    -1,    -1,    -1,  2766,    -1,    -1,    -1,    -1,
      -1,  2772,    -1,  2774,    -1,    -1,    -1,    -1,  2779,  2780,
      -1,    66,  2783,  2784,  2785,  2786,  2787,  2788,  2789,  2790,
    2791,  2792,    -1,    -1,    -1,  2796,  2797,    -1,    -1,    -1,
      -1,    -1,   660,  2804,   322,    -1,    -1,    -1,  2809,  1269,
      -1,    -1,  2813,    -1,  2815,    -1,  2817,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2827,    -1,    -1,  2830,
      -1,  2832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2840,
    2841,  2842,  2843,    -1,  3706,    -1,  2847,    -1,    -1,  2850,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,  2860,
      -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,  2870,
      -1,    -1,    28,    -1,    -1,    31,    -1,  2878,    -1,  2880,
      36,   166,  1575,    -1,    -1,   170,    42,  1347,    -1,    -1,
      -1,    -1,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,  2903,    -1,  1364,    -1,   191,   192,  2909,    -1,
      66,    -1,    -1,    -1,  2915,    -1,    -1,    -1,    -1,    -1,
    1380,   206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2930,
    3792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,   234,
      -1,  3813,    -1,    -1,  2955,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   247,    -1,    -1,   250,    -1,    -1,    -1,    -1,
      -1,  1431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3843,  1442,    -1,    -1,    -1,  2987,    -1,    -1,    -1,
    2991,  2992,  2993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     166,    -1,    -1,    -1,   170,  3877,    -1,    -1,  3019,  3881,
    3882,  3022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   191,   192,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   907,
     206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3060,
      -1,   919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   247,    -1,    -1,   250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3113,    -1,   972,    -1,    -1,  1577,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,    -1,    -1,    -1,  3139,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1848,    -1,    -1,    -1,    -1,
    1853,  1854,    -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,
      -1,  1864,  3173,  3174,  3175,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3215,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1082,    -1,    -1,    -1,    -1,    -1,
    3231,  1089,  1090,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,    -1,    -1,  3267,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3277,  3278,    -1,  3280,
      -1,    -1,    -1,    -1,  3285,  3286,    -1,    -1,    -1,  3290,
    3291,    -1,    -1,    -1,  1152,  3296,  3297,    -1,  1991,  3300,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3315,    -1,  1776,    -1,  3319,    -1,
    1780,  1781,    -1,    -1,  1784,    -1,    -1,  3328,    -1,    -1,
      -1,    -1,  3333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3345,    -1,  1806,    -1,    -1,    -1,
      -1,   655,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2064,    -1,    -1,  3375,  1835,    28,    -1,    -1,    -1,
     684,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,  3390,
      42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1858,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3411,  1269,    -1,    -1,    66,    -1,    -1,  3418,    -1,    -1,
    1880,  1881,  3423,  1883,    -1,    -1,    -1,    -1,    -1,  3430,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1901,    -1,    -1,  1904,    -1,    -1,    -1,    -1,    -1,
      -1,  2144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3461,  1921,    -1,    -1,    -1,    -1,    -1,    -1,  1928,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3479,    -1,
    3481,  1941,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1347,
    1950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1364,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   166,    -1,  3517,    -1,   170,    -1,
      -1,    -1,  1380,    -1,    -1,    -1,    -1,    -1,  3529,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,
     192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3572,    -1,  1431,    -1,    -1,    -1,    -1,    -1,   231,
      -1,    -1,   234,    -1,  1442,    -1,    -1,    -1,    -1,    -1,
    3591,    -1,    -1,    -1,    -1,   247,    -1,    -1,   250,    -1,
      -1,    -1,  3603,    -1,    -1,    -1,  3607,  2067,    -1,    -1,
      -1,  3612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3629,  3630,
      -1,    -1,  3633,    -1,    -1,    -1,    -1,    -1,    -1,  2099,
      -1,    -1,    -1,  3644,    -1,    -1,    -1,    -1,  3649,    -1,
      -1,  3652,    -1,    -1,    -1,    -1,  3657,  3658,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     322,    -1,  2132,    -1,    -1,  3676,    -1,  3678,    -1,    -1,
     984,  3682,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2154,   347,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3706,    -1,    -1,  1012,  3710,
      -1,    -1,    -1,  2406,    -1,    -1,    -1,    -1,    -1,  1577,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,  1040,  1041,    -1,  1043,
      -1,    -1,    -1,    -1,    -1,  3746,    -1,    28,    -1,    -1,
      31,  2444,  2445,    -1,  2447,    36,  1060,    -1,   410,   411,
     412,    42,   414,   415,   416,   417,   418,   419,    -1,    -1,
      -1,    -1,  2232,    -1,    -1,    -1,    -1,    -1,  2238,    -1,
      -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,  3790,
      -1,  3792,    -1,    -1,  1098,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2497,    -1,  2499,    -1,    -1,    -1,
      -1,  3812,  3813,    -1,  3815,    -1,  3817,    -1,    -1,    -1,
      -1,    -1,    -1,  1127,    -1,    -1,    -1,  1131,  1132,    -1,
      -1,    -1,    -1,  3834,    -1,    -1,    -1,  3838,    -1,    -1,
      -1,    -1,  3843,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2318,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2564,    -1,    -1,    -1,    -1,  3877,    -1,    -1,    -1,
    3881,  3882,    -1,    -1,    -1,   166,    -1,    -1,    -1,   170,
      -1,    -1,    -1,  3894,    -1,    -1,  2589,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2366,  3908,    -1,    -1,
     191,   192,    -1,    -1,  2607,  3916,    -1,    -1,  1776,    -1,
      -1,    -1,  1780,  1781,    -1,   206,  1784,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3943,  2403,    -1,    -1,    -1,    -1,  1806,    -1,
     231,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,   247,    -1,    -1,   250,
    3971,    -1,    -1,    -1,    -1,    -1,    -1,  1835,  2671,    28,
      -1,    -1,    -1,    -1,    -1,  3986,    -1,    36,    -1,    -1,
      -1,  2684,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
    1858,    -1,  2695,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2474,  2475,  2476,    66,  4019,    -1,
      -1,    -1,  1880,  1881,    -1,  1883,    -1,  4028,    -1,    -1,
      -1,    -1,    -1,  2493,    -1,    -1,    -1,    -1,    -1,    -1,
    2500,   322,    -1,  1901,  4045,  4046,  1904,  4048,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4058,    -1,    -1,
      -1,    -1,    -1,  1921,    -1,    -1,    -1,  2760,    -1,    -1,
    1928,    -1,  1056,    -1,    -1,    -1,    -1,   830,    -1,    -1,
      -1,    -1,    -1,  1941,    -1,    -1,  2779,    -1,    -1,    -1,
    4091,    -1,  1950,    21,    -1,    -1,    -1,    -1,  2558,    -1,
    4101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2804,    -1,    -1,    -1,    -1,  4117,   166,    -1,    -1,
      -1,   170,    -1,    -1,    -1,    -1,  2586,    -1,  1112,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,    67,
      -1,    -1,   191,   192,    -1,    -1,  2606,  2840,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    -1,    -1,   206,    -1,  4160,
    2620,    -1,  2622,    -1,  4165,    -1,    -1,    -1,  4169,    97,
      -1,    -1,  4173,    -1,    -1,   103,    -1,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,   234,    -1,    -1,    -1,    -1,
     118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,
      -1,   250,   955,    -1,    -1,    -1,    -1,    -1,   136,  2067,
      -1,  1515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,
      -1,    -1,    -1,  2683,   152,    -1,    -1,    -1,    -1,    -1,
     158,    -1,    -1,  1537,    -1,    -1,  1540,    -1,    -1,  1543,
      -1,  2099,    -1,    -1,    -1,   173,  1550,  1551,    -1,    -1,
    2710,    -1,  1556,    -1,    -1,  1559,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2725,    -1,    -1,    -1,    -1,
     198,    -1,  1576,   322,  2132,    -1,    -1,  1581,    -1,    -1,
      -1,  1585,    -1,  2743,    -1,  1589,    -1,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,  1598,  1599,  2154,  1601,    -1,  2992,
      -1,    -1,  1606,    -1,  1608,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   247,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   275,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2815,    -1,    -1,    -1,    -1,
      -1,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,    -1,   300,    -1,  2232,    -1,    -1,    -1,   306,    -1,
    2238,    -1,    -1,    -1,   312,    -1,    -1,   315,    -1,    -1,
      -1,    -1,    -1,  1146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   340,    -1,   342,    -1,    -1,    -1,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   354,    -1,  1732,    -1,
      -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1193,    -1,   370,    -1,    -1,    -1,  3139,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1438,   383,    -1,    -1,    -1,    -1,
    2318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2955,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1807,    -1,    -1,    -1,    -1,  2366,    -1,
      21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    -1,    -1,    -1,    -1,  2987,    -1,  1513,
      -1,  2991,    -1,  2993,    -1,  1288,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    54,    -1,  2403,    -1,    -1,    -1,    -1,
      -1,    -1,  1536,    -1,  1307,    -1,    67,  1541,    -1,  3019,
      -1,    -1,  3022,    -1,    -1,    76,    -1,    -1,    -1,    80,
      -1,    -1,    -1,    -1,  1327,    -1,    -1,  1561,  1562,    -1,
    1564,    -1,    -1,    -1,    -1,    -1,    97,  3280,    -1,    -1,
      -1,   830,   103,    -1,    -1,    -1,    -1,    -1,  3291,  1352,
    3060,    -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2474,  2475,  2476,    -1,
    1604,    -1,    -1,    -1,    -1,   136,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2493,   147,    -1,    -1,    -1,
      -1,    -1,  2500,   154,    -1,    -1,    -1,   158,    -1,    -1,
      -1,  1404,    -1,    -1,    -1,  1639,    -1,    -1,    -1,    -1,
      -1,    -1,   173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1989,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3390,    -1,   210,
    2558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   830,    -1,    -1,   955,    -1,  3411,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2586,    -1,
    3423,    -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,   250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2606,    -1,
      -1,    -1,    -1,    -1,    -1,  3215,    -1,  1741,    -1,    -1,
      -1,    -1,  2620,    -1,  2622,    -1,    -1,  1751,  3461,    -1,
    1754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,
      -1,    -1,    -1,    -1,    -1,   306,    -1,    -1,    -1,    -1,
    2104,   312,    -1,    -1,   315,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1575,    -1,    -1,  2683,    -1,    -1,    -1,   340,
      -1,   342,   343,    -1,   345,   346,    -1,    -1,   955,    -1,
      -1,    -1,    -1,   354,    -1,    -1,    -1,    -1,   359,    -1,
      -1,    -1,  2710,   364,    -1,    -1,   367,    -1,    -1,   370,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2725,    -1,    -1,
      -1,    -1,   383,    -1,  2178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2743,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1146,    -1,    -1,
      -1,    -1,    -1,    -1,  3607,    -1,    -1,    -1,    -1,    -1,
    2224,    -1,  2226,  2227,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2237,    -1,    -1,  2240,    -1,  2242,    -1,
      -1,   830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1193,    -1,    -1,  2815,  3418,    -1,
      -1,    -1,    -1,    -1,    -1,  2269,    -1,  2271,    -1,    -1,
    3430,  2275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1222,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2304,  2305,  2306,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3706,    -1,    -1,    -1,  2321,    -1,  3479,
      -1,  3481,    -1,    -1,    -1,    -1,    -1,    -1,  2332,  1146,
      -1,    -1,    -1,  2337,    -1,    -1,    -1,    -1,    -1,    -1,
    2344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1288,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   955,    -1,  1307,  3529,
      -1,    -1,    -1,    -1,    -1,    -1,  1193,    -1,    -1,    -1,
      -1,    -1,    -1,  2387,    -1,    -1,    -1,    -1,  1327,    -1,
      -1,    -1,    -1,    -1,    -1,  1848,    -1,  2955,    -1,  3792,
    1853,  1854,    -1,    -1,    -1,  1222,    -1,    -1,    -1,    -1,
      -1,  1864,    -1,  1352,    -1,    -1,    -1,    -1,    -1,    -1,
    3813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2987,
      -1,  3591,    -1,  2991,    -1,  2993,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3843,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3019,    -1,    -1,  3022,  1404,    -1,    -1,    -1,    -1,
      -1,  1288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3877,    -1,    -1,    -1,  3881,  3882,
    1307,    -1,    -1,    -1,    -1,    -1,    -1,  2181,    -1,    -1,
      -1,    -1,  3060,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1327,    -1,    -1,    -1,    -1,    -1,  3676,    -1,  3678,  2203,
      -1,  2205,    -1,  2207,  2208,  2209,    -1,    -1,  2212,    -1,
      -1,    -1,  2216,    -1,    -1,  1352,    -1,    -1,  1991,  2223,
      -1,    -1,    -1,    -1,  2228,    -1,    -1,    -1,    -1,    -1,
    2234,    -1,    -1,    -1,    -1,  2239,    -1,  1146,    -1,    -1,
      -1,    -1,    -1,    -1,  2248,    -1,    -1,    -1,  2252,  2253,
      -1,  2255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2267,    -1,    -1,    -1,  1404,    -1,    -1,
    2274,    -1,  2276,  2277,  2278,  2279,  2280,  2281,  2282,  2283,
    2284,  2285,    -1,    -1,  1193,    -1,    -1,    -1,    -1,    -1,
      -1,  2064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2310,    -1,    -1,    -1,
      -1,    -1,    -1,  1222,    -1,    -1,  1575,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3215,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1288,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2399,    -1,    -1,  1307,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3894,    -1,    -1,    -1,  1327,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3908,    -1,
      -1,    -1,    -1,  2757,    -1,    -1,    -1,    -1,  1575,    -1,
      -1,    -1,  2766,  1352,    -1,    -1,    -1,    -1,  2772,    -1,
    2774,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2796,  2797,    -1,    -1,   955,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2817,    -1,  1404,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2827,    -1,    -1,  2830,    -1,  2832,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2841,    -1,    -1,
      -1,    -1,    -1,  2847,    -1,    -1,  2850,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3418,    -1,    -1,    -1,    -1,    -1,  2870,    -1,    -1,    -1,
      -1,    -1,  3430,    -1,  2878,    -1,  2880,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4048,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2903,
      -1,    -1,    -1,    -1,    -1,  2909,    -1,    -1,  2592,  1848,
      -1,  2915,    -1,    -1,  1853,  1854,    -1,    -1,    -1,    -1,
      -1,  3479,    -1,  3481,    -1,  1864,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2406,    -1,    -1,    -1,  4117,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1575,  1146,    -1,    -1,
      -1,  2444,  2445,    -1,  2447,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4165,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4173,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2713,
      -1,  1848,    -1,  3591,  1193,    -1,  1853,  1854,    -1,    -1,
      -1,    -1,    -1,    -1,  2497,    -1,  2499,  1864,    -1,    -1,
      -1,    -1,  1991,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1222,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2756,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2543,    -1,    -1,  2777,  2778,    -1,  2780,    -1,    -1,  2783,
    2784,  2785,  2786,  2787,  2788,  2789,  2790,  2791,  2792,  2793,
      -1,  2564,    -1,    -1,    -1,    -1,    -1,    -1,  3676,    -1,
    3678,    -1,    -1,    -1,    -1,  2064,    -1,    -1,    -1,  1288,
      -1,    -1,    -1,    -1,  2818,    -1,  2589,  2821,    -1,  2823,
      -1,    -1,    -1,    -1,  2828,  2829,    -1,    -1,  1307,    -1,
      -1,    -1,    -1,    -1,  2607,    -1,    -1,    -1,  2842,  2843,
    2844,    -1,  2846,    -1,    -1,  2849,    -1,    -1,  1327,    -1,
    3174,  3175,    -1,    -1,  1991,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1352,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2886,    -1,    -1,  2144,    -1,    -1,    -1,    -1,
      -1,    -1,  2896,    -1,    -1,    -1,    -1,    -1,  2671,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3231,    -1,    -1,
      -1,  2684,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2695,  2927,    -1,  1404,    -1,  2064,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1848,
      -1,    -1,    -1,    -1,  1853,  1854,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3277,  3278,  1864,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3290,    -1,    -1,    -1,
      -1,    -1,  3296,  3297,    -1,    -1,  3300,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2760,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3328,    -1,  2779,  2144,    -1,  3333,
      -1,    -1,    -1,    -1,    -1,    -1,  3894,    -1,    -1,    -1,
      -1,  3345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3908,  2804,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2840,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1991,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1575,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3113,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2064,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2444,  2445,    -1,  2447,    -1,
      -1,    -1,    -1,  3517,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2992,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3232,    -1,
      -1,  3235,  3236,  3237,    -1,  2144,  3240,    -1,  2497,  4117,
    2499,  3245,  3246,  3247,  3248,  3249,  3250,  3251,  3252,  3253,
    3254,  3255,  3256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3284,  3285,  3286,  3287,  2543,  3289,    -1,  4165,    -1,  3293,
    3294,  3295,    -1,    -1,  3298,  4173,    -1,  3301,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2564,    -1,  2444,  2445,  3633,
    2447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3330,    -1,    -1,    -1,
    2589,    -1,    -1,    -1,  3658,    -1,    -1,    -1,  3342,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2607,    -1,
      -1,    -1,  3356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2497,    -1,  2499,    -1,    -1,    -1,  3139,    -1,    -1,  1848,
      -1,    -1,    -1,    -1,  1853,  1854,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1864,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3173,    -1,    -1,    -1,    -1,    -1,  2543,    -1,    -1,    -1,
      -1,    -1,  2671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2684,    -1,  2564,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2695,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2607,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3815,    -1,    -1,    -1,    -1,    -1,  2406,    -1,    -1,
      -1,  2760,    -1,    -1,    -1,    -1,    -1,  3280,    -1,    -1,
    3834,    -1,  1991,    -1,    -1,    -1,  3520,    -1,  3291,    -1,
    2779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2671,  2444,  2445,    -1,  2447,    -1,
      -1,    -1,    -1,    -1,    -1,  2804,    -1,  2684,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2695,    -1,
      -1,    -1,    -1,    -1,    -1,  3569,  3570,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2840,    -1,    -1,    -1,  2064,    -1,    -1,  2497,    -1,
    2499,    -1,  3916,    -1,    -1,  3599,    -1,    -1,    -1,  3603,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3617,    -1,  3619,    -1,  3390,    -1,    -1,
    3624,  3625,  3626,  2760,    -1,  3629,  3630,  3631,  3632,    -1,
    3634,    -1,    -1,    -1,  2543,    -1,    -1,    -1,  3411,    -1,
      -1,    -1,  2779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3423,    -1,    -1,    -1,    -1,  2564,    -1,    -1,    -1,    -1,
      -1,    -1,  3986,    -1,    -1,  2144,    -1,  2804,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3680,    -1,    -1,    -1,
    2589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3461,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2607,    -1,
      -1,    -1,    -1,  2840,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4045,  4046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2992,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3752,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2671,    -1,    -1,    -1,    -1,  4091,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2684,    -1,  4101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2695,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3811,  3812,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3827,  3828,  3829,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3607,    -1,  4160,    -1,    -1,    -1,
      -1,    -1,  3846,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2760,    -1,    -1,    -1,  2992,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2804,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3173,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2406,    -1,    -1,
      -1,  2840,    -1,  3706,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3951,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3961,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2444,  2445,    -1,  2447,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4018,    -1,    -1,    -1,  2497,  3792,
    2499,  3280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3291,    -1,    -1,    -1,  3173,    -1,    -1,    -1,
    3813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4057,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2543,    -1,    -1,    -1,    -1,    -1,
    3843,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2992,    -1,  2564,    -1,    -1,    -1,    -1,
    4094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3877,    -1,    -1,    -1,  3881,  3882,
    2589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2607,    -1,
      -1,  3390,    -1,    -1,    -1,  4139,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3280,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3411,    -1,  3291,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3461,    -1,    -1,  2684,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2695,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3390,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3173,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3411,    -1,    -1,    -1,    -1,    -1,
      -1,  2760,    -1,    -1,    -1,    -1,  3423,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3461,  2804,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3607,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3706,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3607,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2992,  3423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3792,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3461,    -1,  3813,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3706,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3843,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3877,    -1,
      -1,    -1,  3881,  3882,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3792,    -1,    -1,    -1,    -1,
    3139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3813,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3173,    -1,    -1,    -1,  3607,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3843,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3877,    -1,    -1,    -1,  3881,  3882,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3706,    -1,    -1,
      -1,  3280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3792,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3813,    -1,    -1,    -1,    -1,    -1,
      -1,  3390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3411,    -1,  3843,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3877,    -1,
      -1,    -1,  3881,  3882,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3607,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3706,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3792,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3813,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3843,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,  3877,    -1,
      -1,    30,  3881,  3882,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,   115,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   414,   415,   416,    -1,    -1,
      -1,    -1,    -1,    -1,   423,   424,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,   415,     3,
      -1,    -1,    -1,    -1,    -1,    -1,   423,   424,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
      -1,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,    -1,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     424,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   424,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    -1,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,    -1,   135,   136,   137,    -1,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,    -1,   204,   205,   206,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,    -1,
     232,   233,   234,   235,    -1,    -1,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,    -1,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,    -1,   354,    -1,    -1,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   404,   405,   406,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,   424,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,    -1,   135,   136,   137,    -1,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,    -1,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,    -1,   204,   205,   206,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,    -1,   232,   233,   234,   235,    -1,    -1,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,    -1,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,    -1,   354,    -1,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,     3,     4,     5,
       6,     7,     8,     9,    10,   404,   405,   406,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,   424,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,   150,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,   415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,    -1,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,
     415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     414,   415,    -1,    -1,    -1,    -1,    -1,   421,   422,   423,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   414,   415,   416,    -1,    -1,    -1,    -1,    -1,    -1,
     423,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   414,   415,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   423,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   414,   415,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   423,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
     150,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   414,   415,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   423,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   414,   415,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   423,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   414,   415,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   423,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,   415,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   423,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,   415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,
     415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     414,   415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   414,   415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     423,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   414,   415,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   423,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,    -1,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   414,   415,    -1,    -1,     3,     4,     5,
       6,     7,   423,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,
       6,     7,    -1,     9,    10,    -1,    -1,   423,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,   423,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,    -1,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
      -1,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,   415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,    -1,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,    -1,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,     3,   414,
     415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,   246,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,    -1,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,   246,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,    -1,    -1,    -1,     9,    -1,    -1,    -1,   423,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,     3,   414,
     415,   416,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,    -1,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,    -1,    -1,     8,     9,    -1,    -1,    -1,   423,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,    -1,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,    -1,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,
     405,   406,    -1,    -1,    -1,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,   233,    -1,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
      -1,    -1,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,     3,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,   233,    -1,   235,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,    -1,    -1,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
      -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,    -1,    -1,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,   233,
      -1,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,    -1,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,    -1,    -1,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,     3,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,    -1,    -1,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,   233,    -1,   235,    -1,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,    -1,    -1,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,    -1,    -1,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,     3,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,     3,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,   233,    -1,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,    -1,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,    -1,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   416,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,    -1,   135,   136,   137,
      -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,    -1,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,    -1,   204,   205,   206,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,    -1,   232,   233,   234,   235,    -1,    -1,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,    -1,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,    -1,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,    -1,   354,    -1,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,    -1,
     378,    -1,   380,   381,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,   404,   405,   406,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,   416,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
      -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,    -1,
     204,   205,   206,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,    -1,   232,   233,
     234,   235,    -1,    -1,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,    -1,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,    -1,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,    -1,
     354,    -1,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,    -1,   378,    -1,   380,   381,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,    -1,    -1,     3,     4,     5,    -1,    -1,    -1,     9,
     404,   405,   406,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,   416,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
      -1,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     3,     4,     5,
      -1,    -1,    -1,     9,   414,   415,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     3,     4,     5,    -1,    -1,    -1,     9,   414,   415,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,
      -1,     9,   414,   415,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,   150,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,   233,    -1,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     3,
       4,     5,    -1,    -1,    -1,     9,   414,   415,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    26,    27,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     3,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,   233,    -1,   235,    -1,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,   233,    -1,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,    -1,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,    -1,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,   233,    -1,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,   233,
      -1,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,    -1,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,   233,    -1,   235,    -1,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,   233,    -1,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,    -1,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,    -1,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    26,    27,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,   233,    -1,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,   233,
      -1,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,    -1,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,   233,    -1,   235,    -1,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,   233,    -1,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,    -1,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,    -1,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,   233,    -1,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,   233,
      -1,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,    -1,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,   233,    -1,   235,    -1,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,   246,   247,   248,   249,
      -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,   233,    -1,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,    -1,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,    -1,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,   233,    -1,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,   233,
      -1,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,    -1,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,   233,    -1,   235,    -1,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,   233,    -1,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,    -1,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,    -1,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,   233,    -1,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,   233,
      -1,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,    -1,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,   233,    -1,   235,    -1,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,   233,    -1,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,    -1,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,    -1,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,   233,    -1,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,   233,
      -1,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,    -1,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,   233,    -1,   235,    -1,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,   233,    -1,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,    -1,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,    -1,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,   233,    -1,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,   233,
      -1,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,    -1,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,   233,    -1,   235,    -1,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,   233,    -1,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,    -1,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,    -1,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,   233,    -1,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,   233,
      -1,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,    -1,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,   233,    -1,   235,    -1,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,   233,    -1,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,    -1,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,    -1,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,   233,    -1,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,   233,
      -1,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,    -1,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,   233,    -1,   235,    -1,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,   233,    -1,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,    -1,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,    -1,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,   233,    -1,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
      -1,   319,   320,   321,    -1,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,   233,
      -1,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,    -1,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,   233,    -1,   235,    -1,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,   233,    -1,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,    -1,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,    -1,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,   233,    -1,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,   233,
      -1,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,    -1,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,    -1,   135,   136,   137,    -1,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,    -1,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,    -1,   204,   205,   206,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,    -1,   232,   233,   234,   235,    -1,    -1,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,    -1,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,    -1,   354,    -1,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   404,   405,   406,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,    -1,   135,   136,
     137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
      -1,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,    -1,   204,   205,   206,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,    -1,   232,   233,   234,   235,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,    -1,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,    -1,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,    -1,   354,    -1,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,   405,   406,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,   233,
      -1,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,
      -1,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,    -1,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,    -1,   135,   136,   137,    -1,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,    -1,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,    -1,   204,   205,   206,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,    -1,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,    -1,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,    -1,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,    -1,   354,    -1,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,    -1,   378,    -1,
     380,   381,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   404,   405,   406,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,    -1,   135,   136,
     137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
      -1,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,    -1,   204,   205,   206,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,    -1,
      -1,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,    -1,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,    -1,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,    -1,   354,    -1,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,   405,   406,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
      -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,    -1,
     204,   205,   206,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,    -1,   232,   233,
     234,   235,    -1,    -1,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,    -1,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,    -1,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,    -1,
     354,    -1,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,    -1,   378,    -1,   380,   381,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     404,   405,   406,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,    -1,   135,   136,   137,    -1,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,    -1,   204,   205,   206,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
      -1,   232,   233,   234,   235,    -1,    -1,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,    -1,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,    -1,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,    -1,   354,    -1,    -1,   357,   358,   359,   360,
     361,   362,    -1,    -1,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,    -1,   378,    -1,   380,
     381,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   404,   405,   406,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,    -1,   135,   136,   137,
      -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,    -1,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,    -1,   204,   205,   206,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,    -1,   232,   233,   234,   235,    -1,    -1,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,    -1,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,    -1,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,    -1,   354,    -1,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,    -1,
     378,    -1,   380,   381,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   404,   405,   406,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    -1,    44,
      -1,    -1,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    -1,    -1,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,    -1,    -1,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,    -1,
     135,   136,   137,    -1,    -1,   140,    -1,   142,    -1,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,    -1,   181,   182,   183,   184,
      -1,    -1,    -1,    -1,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,    -1,   204,
     205,   206,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
      -1,   226,    -1,   228,   229,    -1,    -1,   232,   233,   234,
     235,    -1,    -1,   238,    -1,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,    -1,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,    -1,   320,   321,   322,   323,    -1,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,    -1,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,    -1,    -1,    -1,    -1,   352,    -1,   354,
      -1,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,    -1,    -1,    -1,   380,   381,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,
     405,   406
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    41,    61,    63,    64,    69,
      71,    81,    83,    99,   102,   114,   116,   120,   126,   133,
     135,   141,   155,   208,   209,   214,   222,   233,   270,   281,
     286,   288,   293,   298,   301,   305,   310,   311,   318,   321,
     328,   340,   357,   366,   372,   377,   389,   423,   430,   431,
     432,   433,   439,   440,   442,   443,   444,   445,   446,   447,
     448,   450,   451,   455,   465,   467,   468,   471,   472,   473,
     484,   487,   488,   503,   539,   545,   546,   553,   559,   561,
     563,   564,   567,   570,   571,   575,   576,   585,   589,   590,
     591,   595,   596,   598,   599,   600,   613,   614,   615,   616,
     627,   628,   635,   636,   639,   640,   641,   642,   643,   648,
     650,   653,   657,   661,   662,   672,   673,   676,   681,   692,
     711,   714,   715,   716,   719,   722,   724,   726,   729,   732,
     733,   734,   741,   742,   744,   745,   746,   751,   753,   754,
     758,   759,   762,   763,   764,   766,   767,   768,   769,   771,
     774,   775,   780,   786,   789,   791,   792,   797,   799,   803,
     810,   814,   815,   816,   817,   818,   819,   822,   849,   352,
     391,   747,    21,    67,    80,    97,   103,   118,   136,   147,
     152,   158,   173,   198,   247,   275,   300,   306,   312,   315,
     340,   342,   346,   354,   359,   370,   383,   560,   747,     3,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    33,    34,    36,    37,    39,    40,    41,    42,
      43,    45,    46,    48,    49,    50,    51,    52,    55,    56,
      57,    58,    59,    61,    62,    63,    64,    65,    67,    69,
      70,    71,    72,    74,    75,    77,    78,    79,    80,    81,
      82,    85,    86,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   104,   106,   107,   108,   109,   110,   112,   113,
     114,   117,   118,   119,   120,   121,   123,   124,   125,   127,
     128,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     140,   142,   143,   144,   146,   148,   152,   153,   154,   156,
     157,   159,   161,   162,   163,   164,   165,   167,   168,   169,
     171,   172,   173,   174,   175,   176,   178,   180,   181,   182,
     183,   184,   185,   186,   188,   190,   193,   195,   196,   197,
     198,   199,   200,   201,   203,   205,   208,   209,   210,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   227,   228,   229,   230,   232,   233,   235,   237,
     238,   239,   240,   241,   242,   244,   247,   248,   249,   252,
     256,   257,   258,   259,   260,   261,   262,   263,   265,   266,
     267,   268,   269,   270,   271,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   297,   298,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     312,   313,   314,   315,   316,   318,   319,   320,   321,   323,
     324,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   338,   339,   341,   342,   343,   344,   345,   346,
     348,   349,   352,   353,   354,   355,   357,   358,   359,   360,
     361,   362,   365,   366,   367,   368,   369,   372,   373,   374,
     375,   376,   377,   378,   380,   382,   383,   384,   387,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   811,   954,   966,   970,
     971,   381,   776,   245,   271,   747,    44,   494,   815,    21,
      33,    54,    67,    76,    97,   103,   118,   136,   147,   154,
     158,   210,   247,   250,   300,   306,   315,   342,   343,   345,
     346,   354,   359,   364,   367,   370,   504,   631,   682,   693,
      22,   270,   954,   811,    22,   265,   343,   345,     5,   197,
     720,   721,   963,    21,    33,    54,    67,    80,    97,   118,
     136,   147,   152,   158,   173,   247,   257,   300,   304,   306,
     312,   315,   340,   342,   346,   354,   359,   370,   383,   560,
     644,   747,   954,    83,   381,   423,   539,   775,   781,   789,
     792,   797,   803,   810,   814,     9,    15,    22,    39,   142,
     148,   150,   170,   199,   228,   273,   287,   414,   415,   658,
     659,   811,   962,   965,    22,    83,   285,   311,   663,   664,
     665,   966,   966,   959,   963,   340,   825,   658,   966,   352,
     954,   257,    97,   173,   339,   340,   727,   305,   966,    22,
     316,   348,   352,   457,   966,    19,   155,   663,   664,   271,
     747,   966,   196,    22,   115,   827,    55,    77,   210,   224,
     300,   306,   316,   348,   352,   394,   456,   457,    22,   316,
     348,   352,   457,   352,   246,   858,   952,   966,   825,   416,
     966,   151,   423,   777,   423,   948,   283,   820,   821,   954,
     815,   816,   819,     0,   426,   776,   129,   187,   251,   363,
     828,   829,   815,   817,   818,   108,   183,   369,   427,     3,
      38,    44,    73,    84,    90,   149,   151,   166,   179,   191,
     192,   194,   204,   206,   226,   234,   253,   254,   255,   299,
     322,   381,   960,   966,   967,   970,   972,   646,   966,   646,
     955,   966,   274,   646,   646,   954,   966,    96,   340,   671,
     960,     3,   964,   968,   970,   971,   972,   952,   240,     8,
      62,   140,   410,   411,   412,   414,   415,   416,   417,   418,
     419,   718,   915,   916,   966,   964,   954,   952,   954,   858,
     954,   308,   954,   646,   215,   964,   952,   197,   105,   193,
     231,   279,   748,   749,   750,   952,   958,   966,    21,    54,
      67,    68,    76,    80,    97,   118,   136,   147,   152,   173,
     198,   247,   300,   304,   306,   312,   315,   340,   342,   346,
     354,   359,   383,   560,   651,   963,   952,   350,   960,   954,
     423,   646,   354,   955,   646,   165,   954,    96,   340,   343,
     345,   964,   343,   345,    62,   140,   718,   291,   964,   452,
     966,   954,   954,   308,   954,   646,   215,   964,   312,   340,
     383,    80,   173,   152,   304,   358,   554,    22,   954,   812,
     464,   963,   968,   721,   165,   960,   954,   165,   725,   165,
     955,    96,   340,   165,   960,   165,   953,   954,    62,   140,
     165,   718,    48,   165,   953,   165,   954,   165,   954,   165,
     954,   308,   165,   954,   165,   215,   953,   197,   165,   645,
     646,   423,   790,   504,   781,   377,   775,   782,   783,   784,
     968,   776,   965,   659,   660,    22,   660,   965,   660,    22,
     660,   965,   660,   660,   660,   965,   962,   962,   811,   660,
     274,   423,   423,   522,   522,   522,   245,   350,   427,   522,
     858,   859,   427,   743,   963,   423,   787,    48,   954,   954,
     952,   966,    38,   406,   193,   425,   248,   248,   245,   150,
     963,   350,   145,   654,   245,     4,     6,     7,     8,    10,
      30,    43,    45,    46,    53,    54,    57,    58,    65,    87,
      88,    89,    90,    91,    92,    93,   100,   101,   119,   134,
     138,   139,   143,   157,   185,   186,   188,   203,   211,   212,
     225,   227,   231,   236,   237,   239,   247,   256,   266,   280,
     302,   317,   324,   336,   348,   349,   353,   355,   356,   364,
     370,   378,   396,   397,   398,   399,   400,   401,   402,   403,
     414,   415,   416,   423,   815,   870,   873,   876,   877,   878,
     880,   881,   882,   883,   886,   887,   891,   893,   894,   913,
     917,   936,   941,   949,   950,   960,   961,   962,   963,   966,
     963,    22,   469,   951,   952,   316,   456,   103,   463,   963,
     464,   963,    38,    59,   456,   406,   749,   248,   150,   350,
     410,    38,   406,   193,   750,   423,   952,   416,   421,   425,
     942,   943,   859,   149,   151,   381,   772,   773,   775,   149,
     778,   103,   891,   946,   947,   820,   427,   423,   779,   424,
     424,   432,   952,    22,   115,   826,   826,    48,   826,   141,
     145,   207,   243,   832,   834,   835,   844,   846,   847,   828,
     829,   150,   189,   858,   860,   948,   423,   621,   943,   258,
     289,   318,   425,   647,   258,   289,   318,   258,   289,   318,
     389,   434,   465,   466,   677,    18,   120,   258,   318,   476,
     318,    18,   120,   369,   449,   392,   858,    50,    82,   137,
     168,   258,   289,   297,   303,   310,   318,   326,   334,   384,
     466,   705,   712,   423,   694,   289,   449,    18,    24,    64,
     113,   120,   123,   175,   229,   231,   241,   249,   258,   289,
     293,   318,   374,   474,   475,   579,     4,   415,   551,   965,
     646,   646,   423,   717,   425,   170,   289,   434,   441,   258,
     289,    49,    95,   172,   217,   219,   229,   257,   289,   294,
     318,   328,   474,   548,   549,   258,   382,   579,   587,   289,
     318,   474,   258,   289,   293,   318,    74,   112,   259,   344,
     245,    18,    24,   120,   258,   289,   318,   485,   486,   145,
     289,   318,   434,   466,   289,   318,   474,   954,   205,   105,
     246,   393,   427,   748,   371,   770,   245,   960,   423,   954,
      96,   340,   960,   240,    62,   140,   718,   954,   308,   954,
     197,   646,   522,   331,   332,   490,   963,   423,   621,   622,
      60,     3,    43,    45,    46,    57,    58,   100,   101,   143,
     185,   186,   188,   225,   227,   239,   280,   319,   324,   348,
     349,   378,   867,   869,   871,   873,   875,   877,   878,   879,
     881,   882,   886,   887,   967,   970,   150,   423,   617,   954,
     434,    31,   765,   231,   434,   392,   165,   952,   434,   646,
     646,   617,   504,   434,    38,   453,   359,   586,   258,   562,
      74,   112,   259,   344,    20,    40,   184,   601,    31,   617,
     145,   434,   952,   165,   540,   952,   952,   646,    73,   683,
     960,   954,   560,    44,    94,   182,   229,   307,   134,   621,
      51,   295,   477,   134,   423,   134,   392,   134,   694,   134,
     427,   165,   646,   165,   646,   134,   717,   953,   134,   134,
     245,   134,   477,   134,    74,   112,   259,   344,   134,   245,
     134,   145,   165,   165,   464,   134,   427,   477,   891,   920,
     340,   424,   427,   139,   245,   356,   461,   464,   551,   785,
     781,   660,   811,   660,   811,   660,   811,   660,   811,   660,
     811,   811,   811,   660,   811,   423,   523,   524,   966,   523,
      22,    97,   147,   152,   197,   198,   306,   312,   340,   342,
     666,   951,   953,   665,   170,   427,   800,   963,   867,   923,
      31,   953,   146,   728,   728,   728,   205,   966,   145,   145,
     666,   953,   305,   966,   464,   245,   423,   944,   421,   815,
     924,   380,   884,   891,   940,   423,   884,   884,   423,   423,
     423,   423,   872,   872,   268,   815,   423,   423,   874,   423,
     423,   423,   423,    57,    58,   884,   891,   423,   872,   423,
     423,   423,   423,   423,   390,   409,   423,   888,   423,   888,
     423,   423,   815,   423,   423,   423,   423,   423,   423,   423,
     423,   891,   891,   815,   891,   920,   943,   963,    58,   423,
     885,   423,   963,     3,     8,    11,    28,    31,    36,    42,
      66,   166,   170,   191,   192,   206,   231,   234,   247,   250,
     322,   410,   411,   412,   414,   415,   416,   417,   418,   419,
     915,   917,   919,   255,   891,   189,   427,   823,   423,   963,
     943,   106,   167,   470,   427,    59,   103,   464,    31,     3,
     103,   210,   462,   551,   887,   963,    78,   117,   900,    86,
     103,   458,   459,   461,   551,   103,   458,   205,   952,   891,
       3,    22,    26,    27,    28,    29,    30,    31,    32,    35,
      47,    53,    54,    60,    66,    68,    76,    83,    87,    88,
      89,    91,    92,    93,   103,   105,   111,   115,   116,   122,
     126,   129,   139,   141,   145,   147,   150,   155,   158,   160,
     170,   177,   187,   189,   202,   207,   211,   212,   231,   236,
     243,   245,   246,   250,   251,   264,   272,   285,   296,   311,
     317,   325,   337,   340,   347,   350,   351,   356,   363,   364,
     370,   371,   379,   385,   386,   388,   389,   416,   957,   969,
     970,   971,   972,   973,   942,    79,   294,   649,   424,   427,
     776,   424,   427,   821,   953,    31,   779,   817,   817,   830,
     831,   891,   817,   142,   228,   841,   279,   320,   369,    22,
     836,   891,   837,   839,   891,   893,   844,   845,   835,   834,
     832,   833,   145,   847,   832,   844,   860,   952,    31,   966,
     318,   416,   923,   258,   289,   318,   350,   350,   306,   957,
     425,   350,   350,   306,   350,   350,   342,   456,   760,   145,
     155,   170,   298,   678,   679,    60,    76,   130,   147,   272,
     364,   520,   521,    76,   103,   231,   350,   103,   231,   306,
     306,   568,    21,    54,    67,    80,   118,   147,   152,   247,
     306,   312,   315,   340,   346,   359,   383,   560,   954,   289,
     318,   474,   245,   551,   310,   350,   350,   236,   551,   107,
     190,   306,   295,   705,   713,   170,   180,   252,   319,   379,
     424,   695,   698,   699,   700,   702,   867,   967,   350,   370,
      68,   130,   511,   520,   966,    68,   730,   245,   304,   354,
      76,   730,    25,   292,   304,   354,   952,   175,   241,   646,
     423,   350,   350,   423,   480,   342,   389,   390,   480,    76,
     427,     4,   258,   371,   371,   230,   867,   258,   318,   718,
      97,   350,   436,   466,   350,   350,   551,    48,   550,   551,
     551,    95,   217,   219,    48,   350,   434,   306,   434,   229,
     549,   350,   236,   963,   579,   350,   730,   306,   350,   350,
     480,   480,   646,   646,   646,   646,   952,    37,   376,    37,
      37,   350,    37,   350,   306,   427,    93,   370,   597,   964,
     350,   436,   350,   306,   258,   289,   279,   290,   314,   460,
     748,   958,   966,   952,   621,   867,   245,   392,   694,   551,
     646,   646,   717,   191,   245,    74,   112,   259,   344,   245,
     646,   191,   389,   495,   434,     3,   623,   624,   617,   423,
     869,    31,    30,   868,    98,   163,   218,   221,   309,   404,
     423,   889,   890,   647,   872,   646,   618,   619,   969,    20,
     755,   867,   134,   565,   954,   231,   423,   592,   435,   631,
     371,   383,   435,   964,    83,   155,   454,   503,   545,   600,
     661,   681,   751,   963,   587,   588,   954,   213,   646,   646,
     646,   646,   241,   108,   183,   357,   369,   602,   603,   127,
     423,   597,   435,   547,   548,   231,    31,   241,   423,   541,
     522,   145,   684,   958,   423,   696,    31,   197,   389,   390,
     813,   307,   960,   477,   867,   955,   165,   954,   960,   477,
     953,   954,   134,   371,   134,   371,   718,   477,   477,   953,
     954,   952,   954,   954,   954,   952,   953,   597,   134,   134,
     477,   645,   646,   424,   427,   952,   781,   783,   811,   811,
     811,   811,   811,   811,   523,   424,   427,   424,   153,   313,
     341,   953,    96,   315,   670,   671,   953,   240,   953,   951,
     951,   953,   350,   389,   674,    16,   132,   302,   320,   801,
     858,   235,   802,   424,   427,   788,   792,   797,   803,   814,
     350,   664,   663,   664,   150,   156,   675,   966,    21,    68,
     118,   147,   152,   198,   306,   312,   340,   359,   383,   560,
     655,   920,   942,   422,   920,   924,   925,   423,   385,   937,
     938,   891,   920,   962,   962,   920,     3,    98,   163,   218,
     221,   309,   404,   926,   927,   963,   962,   920,   920,   962,
     962,   884,   884,   891,   718,   891,   928,   414,   415,   892,
     893,   913,   917,   930,   424,   920,   891,   920,   931,   348,
     406,   962,   962,   891,    47,   150,   202,   351,   891,   920,
     934,   920,   223,   893,   891,   898,   899,   900,   223,   891,
     900,   424,   427,   318,   962,   962,   889,   867,   891,   969,
     348,    35,   337,   945,   646,   891,   423,   815,   935,   115,
     117,   139,   231,   236,   241,   356,   365,   891,    42,   166,
     170,   206,   322,   423,   891,   350,   891,   891,   891,   891,
     891,   891,   891,   891,   891,   891,    22,    29,   325,   914,
     302,   423,   913,   154,   210,   340,   343,   345,   367,   824,
     952,   950,   150,   850,    22,   115,   379,   416,   424,   700,
     891,   921,   922,   967,   952,   352,   423,   963,   427,   424,
     422,   428,   164,   164,   477,   952,   773,   774,   952,   946,
     424,   423,   427,    32,   111,   371,   690,   423,   838,   965,
     246,   241,   848,   848,   427,   302,   303,   840,   845,   833,
     371,   798,   103,   423,   793,   814,   966,   423,   804,   805,
     806,   807,   808,   966,   424,   424,   350,   350,   306,   964,
     954,   954,   957,   964,   954,   954,   964,   955,   954,    75,
     761,   300,   370,   663,   306,   155,   663,   423,   954,   371,
     685,   195,   195,   371,   423,   538,   954,   236,   964,   891,
     236,   954,   954,   350,   569,   960,   423,   646,   646,   646,
      96,   340,   671,    62,   140,   718,   954,   646,   954,   646,
     308,   646,   646,   197,   159,   229,   258,   375,   572,   573,
     574,   350,   730,   306,   236,   107,   190,   964,   954,   245,
     954,   252,   967,   424,   427,   700,   702,   699,   702,   967,
     647,   964,   953,   511,   867,   966,   954,   954,    22,   370,
     954,   165,   954,   165,   966,   304,   354,   304,   354,   954,
      22,   370,   954,   952,    18,   120,   318,   580,   581,   582,
     583,   969,   964,   954,   482,   483,   969,   954,   244,    64,
     244,   954,   475,   350,   956,   966,   956,   427,   424,   427,
     350,   306,   955,   964,     3,    75,   125,   175,   263,   362,
     370,   373,   437,   964,   954,   551,   646,   954,   551,   954,
     551,   964,   954,   954,   954,   964,   954,    18,    24,   120,
     258,   289,   318,   258,   289,   318,   617,   289,   318,   289,
     318,   289,   866,   966,   963,   966,   165,   966,   964,   954,
     954,   954,    18,   486,   315,   964,   954,   954,   350,   350,
      72,   361,   279,   191,    31,   646,   191,   191,   371,   371,
     191,   236,   652,   963,   646,   646,   646,   646,   646,   646,
     191,   652,   244,   150,   350,   489,   423,   491,   492,   410,
     424,   427,   891,    30,   868,   867,   421,   421,   350,   350,
     350,   423,   350,   962,   872,   424,   427,   410,   602,    75,
     124,   200,   201,   213,   258,   342,   344,   756,   513,   954,
     150,   306,   382,   566,   573,   574,   134,   424,   511,   593,
     594,   315,    19,   170,   300,   338,   437,   438,   145,   956,
     952,   453,   250,   504,   147,   963,   617,   617,   617,   617,
     241,   245,   250,   423,   864,   865,   866,   315,   134,   133,
     814,   646,   206,   505,   507,   509,   511,   517,   520,   542,
     543,   966,   389,   390,   534,    31,   963,   245,   424,   697,
     698,   703,    31,   197,   297,   388,   704,   705,   706,   245,
     464,   162,   162,   145,   621,    31,   134,   477,   694,   646,
     956,   646,   956,   717,   245,   477,   477,   245,   477,   315,
     145,   464,   477,   891,   423,   424,   524,   170,   170,   170,
     392,   953,   427,   551,   552,   158,   667,   668,   964,    19,
     675,   132,   320,   132,   320,   302,   369,   220,   867,   954,
     150,   245,   667,    48,   477,   960,   340,   960,   240,   197,
     646,   424,   422,   422,   427,   920,   891,   122,   938,   939,
      31,   424,   424,   424,   424,   424,   150,   424,   424,   424,
     424,   424,   427,   424,   264,   929,   424,   892,   892,    11,
     170,   191,   247,   410,   411,   412,   414,   415,   416,   417,
     418,   419,   917,   892,   424,   424,   145,   150,   932,   933,
     424,   406,   424,   424,    31,   934,   920,   934,   934,   150,
     424,   424,   969,   262,   902,    31,   424,   427,   891,   969,
     427,   891,   944,   891,   966,   424,   424,   406,   892,   892,
     128,   920,   150,   115,   117,   139,   236,   241,   356,   365,
     423,   128,   337,   945,   891,   935,   891,   350,   718,   891,
     423,   815,   343,   345,   343,   345,   952,   825,   825,   825,
     423,   815,   851,   852,   853,   858,   861,   894,   960,   966,
     386,   862,   921,   921,   922,   424,   254,   906,    13,   424,
     427,   829,   749,   962,   889,   459,   891,   779,   788,   831,
     247,   915,   918,   407,   408,   691,   891,   840,   951,   802,
     802,   837,   851,   386,   863,   377,   794,   795,   966,   296,
     796,   808,   809,   427,   850,   410,   944,   964,   954,   954,
     207,   953,   953,   245,   953,   248,   245,   891,   521,   956,
     423,   423,   423,   538,   173,   523,   611,   477,   464,   621,
     867,   392,   646,   646,   646,   717,    74,   112,   259,   344,
     954,   555,   954,   159,   375,   350,   555,   572,   579,   954,
     954,   954,   181,   236,   647,   698,   702,   702,   418,   513,
     120,   293,   318,   476,   731,   134,   477,   134,   477,   954,
     954,   954,   954,   582,   583,   582,   424,   427,   584,   963,
     424,   427,   410,   425,   964,   258,   289,   318,    18,   120,
     258,   289,   318,   867,   230,   867,   964,   954,   207,   263,
     236,   963,   263,   953,   368,   350,   215,   215,   215,   350,
     350,   306,   350,   350,   306,   350,   306,   350,   306,   350,
     477,   867,    20,    40,   318,   731,   134,   477,   350,   954,
     964,   954,   652,   867,   191,   652,   652,   956,   956,   652,
     191,   191,   191,   191,   191,   191,   652,   490,   498,   499,
     969,    44,    85,   109,   124,   128,   146,   161,   236,   244,
     277,   493,   247,   414,   415,   551,   620,   702,   918,   963,
     973,     3,   624,   424,   421,   424,   962,   422,   962,   163,
     218,   890,   218,   890,   890,   962,   221,   424,   619,   620,
     245,   207,   410,   757,   757,   757,   757,   757,   757,   757,
      60,    66,    76,   103,   105,   177,   231,   236,   272,   285,
     364,   514,   515,   516,   434,   464,   954,   464,   249,   577,
     952,   424,   427,   954,   953,   158,   300,   953,   962,   359,
     522,   291,   340,    96,   523,   952,   603,   625,   626,   963,
     424,   427,   954,   952,   954,   389,   544,   423,   506,   952,
     424,   427,   424,   427,   244,   480,   244,   245,   535,   814,
     350,   952,   424,   427,   103,   410,   707,   963,   464,   340,
     701,   702,   389,   706,   708,   108,   183,   311,   369,   739,
     159,   814,   477,   867,   954,   477,   371,   477,   371,   477,
     477,   952,   952,   954,   597,   477,   966,   306,   306,   306,
     953,   671,   427,   964,   389,   427,   669,   248,   132,   132,
     953,   666,   477,   964,   621,   694,   551,   646,   191,   924,
     424,   347,   891,   126,   867,   891,   891,   891,   932,   867,
     892,   115,   117,   231,   241,   892,   892,   892,   892,   892,
     892,   892,   892,   892,   892,   891,   891,   933,   932,   888,
     888,   867,   424,   424,   424,   920,   424,   427,    48,   893,
     424,   969,   899,   269,   335,   901,   424,   427,   382,   895,
      31,   424,   885,   963,   891,    28,    28,   891,   424,   891,
     150,   423,   923,   891,   892,   892,   128,   128,   891,   424,
     128,   891,   825,   825,   825,   825,   952,   952,   952,   815,
     852,   853,    31,   854,   966,   427,    84,   151,   179,   194,
     204,   226,   299,   855,   854,    31,   854,   966,   423,   943,
     891,   158,   842,   427,   828,   829,   828,   424,   906,   423,
     907,   966,   891,   906,   963,   379,   922,   424,   424,   422,
     424,   423,   691,   424,   246,    86,   891,   796,   424,   427,
     944,   949,   424,   427,   805,   863,   946,   757,   153,   313,
     341,   680,   145,   680,   424,   423,   526,   527,   687,   894,
     966,   523,   523,   611,   958,   424,   105,   177,   231,   612,
      31,   954,   371,   371,   646,   646,   646,   646,   647,   964,
     350,   181,   418,   359,   231,   480,    96,   231,   330,   333,
     480,   359,   954,   966,   581,   483,   620,   969,   350,   350,
     306,   152,   247,   333,   629,   630,   152,   247,   637,   638,
     350,   350,   306,   424,   424,   424,   965,   963,   963,   963,
     954,   145,   145,   291,   145,   165,   964,   954,   954,   964,
     954,   954,   954,   954,   954,   954,   954,    66,   478,   963,
     963,   359,   966,   954,   579,   424,   652,   191,   191,   652,
     652,   652,   652,   652,   652,   371,   496,   497,   424,   427,
     416,   423,   461,   500,   551,   765,   963,   765,   231,   277,
     765,   765,   611,   962,   389,   390,   422,   422,   424,   889,
     952,   757,   103,   962,   963,   103,   963,   103,   963,   103,
     963,   103,   954,   103,   954,   103,   954,   423,   646,   954,
     892,   106,   167,   105,   236,   195,   952,   708,   565,   423,
     592,   594,   577,   953,   953,   867,    31,   952,   392,   145,
     604,   424,   427,   866,   577,   241,   423,   790,    96,   229,
     508,   510,   512,   520,   966,   534,   518,   176,   533,   509,
     543,    71,   342,   536,   389,   752,   963,   685,   703,   891,
     891,   427,   423,   704,   617,   350,   555,   424,   477,   956,
     956,   477,   477,   315,   953,   953,   953,   551,   155,   668,
     675,   150,   191,   191,   191,   191,   236,   656,   963,   891,
     424,   424,   933,   150,   115,   117,   241,   423,   424,   395,
     897,   920,   284,    48,   387,   387,   424,   891,   229,   891,
     427,   896,   869,   889,   892,   892,   891,   923,   424,    28,
      28,   891,   891,   128,   891,   424,   952,   952,   952,   952,
     424,   966,   423,   852,   194,   253,   856,   852,   856,   194,
     855,   856,   194,   423,   966,   423,   921,    48,   160,   843,
     424,   424,   906,   908,   966,   922,   906,   963,   718,   241,
     814,   795,   410,   808,   796,   965,   350,   663,   150,   611,
     891,   424,   427,   389,    66,   688,   688,   424,   424,   708,
     106,   167,   105,   373,   867,   956,   956,   954,   359,   236,
     236,   965,   966,   867,   477,   477,   410,   964,   954,   954,
     962,   962,   867,   427,   962,   962,   427,   964,   954,   954,
     953,   953,   646,   953,   134,   646,   867,   477,   477,   191,
     652,   652,   434,   110,   499,   461,   501,   502,   963,   963,
     236,   416,   523,   963,   963,   422,   152,   180,   152,   150,
     610,   965,   891,   231,   515,   708,   522,   371,   537,   578,
     582,   315,   371,   814,   423,   954,   121,   605,   385,   607,
     963,   646,   505,    96,   424,   427,   389,   535,   131,   171,
     423,   534,   108,   120,   269,   954,    52,    60,   210,   150,
     423,   963,   700,   709,   710,   967,   708,   952,   178,   556,
     477,   477,   477,   954,   248,   477,   667,   656,   656,   656,
     656,   892,   150,   423,   923,   423,   424,   427,   424,   893,
     284,   424,   376,   327,   424,   424,   424,   892,   892,   891,
     854,   423,   953,   852,   245,   371,   857,   852,   194,   852,
     865,   423,   865,   966,   424,   920,   891,   388,   903,   906,
     906,   261,   909,   424,   889,   424,   811,   948,   667,   245,
     667,   424,   708,   527,   247,   718,   646,   371,   646,   689,
     689,   285,   708,   537,   424,   478,   620,   423,   960,   718,
     630,   423,   423,   638,   389,   291,   389,   389,   145,   478,
     652,   491,   963,   424,   427,   523,   671,    31,   723,   723,
     952,   611,   424,   537,   216,   525,   173,   424,   427,   954,
     956,   752,   577,   302,   329,   606,   423,   133,   506,   424,
     510,   249,   536,    22,    70,    77,   104,   174,   333,   519,
     519,   951,   535,   303,   303,    60,   248,    60,   646,   686,
     687,   702,   424,   427,   862,   555,   229,   375,   557,   558,
     477,   892,   923,   424,   898,   920,    48,   229,   405,   953,
     424,   891,   423,   852,   857,   424,   865,   424,   904,   905,
     966,    48,   828,   906,   669,   680,   477,   688,   537,   423,
     646,   690,   690,   952,   537,   611,   371,   479,   923,   694,
     145,   633,   717,   923,   923,   645,   646,   645,   646,   953,
     477,   502,   723,    34,   169,   145,   151,   260,   323,   245,
     529,   530,   531,   342,   582,   577,   140,   632,   891,   276,
     534,   533,   513,   424,   536,   248,   248,   424,   427,   704,
     709,   116,   375,   555,   424,   424,   424,   284,   376,   424,
     953,   424,   427,    31,   920,   278,   303,   910,   150,   689,
     386,   528,   718,   691,   691,   522,   611,   891,   424,   251,
     308,   282,   634,   633,   424,   424,   389,   121,   108,   369,
     245,   531,   245,   530,   954,   646,    31,   424,   960,   535,
     534,   389,   481,   687,   708,    23,   184,   740,   424,   905,
     907,    42,    86,   360,   891,   911,   912,   911,   424,   667,
     690,   423,   611,   424,   525,   960,    48,   634,   646,   302,
      51,   229,   295,   318,   532,   532,   629,   423,   536,   535,
     480,   536,   232,   423,   735,   737,   742,   792,   797,   803,
     814,   912,   302,   144,   267,   144,   267,   477,   691,   891,
     529,   694,   646,   607,    17,   103,   236,     4,   608,   609,
     962,   963,   969,   536,   862,   736,   737,   738,   815,   816,
      28,   424,   611,   133,   424,   427,   424,   426,   912,   276,
     609,   738,   960,   423,   608,   424
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (&yylval, &yylloc, YYLEX_PARAM)
#else
# define YYLEX yylex (&yylval, &yylloc, yyscanner)
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
  YYUSE (yyscanner);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule, yyscanner)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
    core_yyscan_t yyscanner;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule, yyscanner); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp, yyscanner)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (core_yyscan_t yyscanner);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (core_yyscan_t yyscanner)
#else
int
yyparse (yyscanner)
    core_yyscan_t yyscanner;
#endif
#endif
{
/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1806 of yacc.c  */
#line 657 "gram.y"
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[(1) - (1)].list);
			}
    break;

  case 3:

/* Line 1806 of yacc.c  */
#line 664 "gram.y"
    {
					if ((yyvsp[(3) - (3)].node) != NULL)
						(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
					else
						(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 671 "gram.y"
    {
					if ((yyvsp[(1) - (1)].node) != NULL)
						(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
					else
						(yyval.list) = NIL;
				}
    break;

  case 115:

/* Line 1806 of yacc.c  */
#line 791 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 116:

/* Line 1806 of yacc.c  */
#line 802 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 117:

/* Line 1806 of yacc.c  */
#line 812 "gram.y"
    {}
    break;

  case 118:

/* Line 1806 of yacc.c  */
#line 813 "gram.y"
    {}
    break;

  case 119:

/* Line 1806 of yacc.c  */
#line 822 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 120:

/* Line 1806 of yacc.c  */
#line 823 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 121:

/* Line 1806 of yacc.c  */
#line 827 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 122:

/* Line 1806 of yacc.c  */
#line 828 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 833 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 838 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 842 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 847 "gram.y"
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 852 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 856 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				}
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 860 "gram.y"
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 865 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 869 "gram.y"
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[(1) - (1)].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[(1) - (1)].str)),
									 parser_errposition((yylsp[(1) - (1)]))));
				}
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 922 "gram.y"
    { (yyval.defelt) = (yyvsp[(1) - (1)].defelt); }
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 925 "gram.y"
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[(2) - (2)].ival)));
				}
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 929 "gram.y"
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 933 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 937 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 941 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 955 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 973 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 983 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 984 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 989 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 1007 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 1019 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (4)].str);
					n->database = NULL;
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 1040 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 1047 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 1066 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 1073 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[(5) - (5)].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 1090 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 1108 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[(6) - (6)].list)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 1118 "gram.y"
    { (yyval.ival) = +1; }
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 1119 "gram.y"
    { (yyval.ival) = -1; }
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 1132 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 1139 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 1156 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[(3) - (6)].str) != NULL)
						n->schemaname = (yyvsp[(3) - (6)].str);
					else
						n->schemaname = (yyvsp[(5) - (6)].str);
					n->authid = (yyvsp[(5) - (6)].str);
					n->schemaElts = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 1168 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(3) - (4)].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 1179 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 1180 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 1184 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 1185 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 1213 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(2) - (2)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 1219 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 1225 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 170:

/* Line 1806 of yacc.c  */
#line 1234 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 171:

/* Line 1806 of yacc.c  */
#line 1242 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 172:

/* Line 1806 of yacc.c  */
#line 1250 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 173:

/* Line 1806 of yacc.c  */
#line 1257 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 174:

/* Line 1806 of yacc.c  */
#line 1264 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 175:

/* Line 1806 of yacc.c  */
#line 1272 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[(3) - (3)].node) != NULL)
						n->args = list_make1((yyvsp[(3) - (3)].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 1283 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 1291 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[(5) - (5)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 1299 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 1307 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 1315 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[(2) - (2)].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 181:

/* Line 1806 of yacc.c  */
#line 1326 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 1334 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 1342 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 1349 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 1358 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 1360 "gram.y"
    {
					(yyval.str) = palloc(strlen((yyvsp[(1) - (3)].str)) + strlen((yyvsp[(3) - (3)].str)) + 2);
					sprintf((yyval.str), "%s.%s", (yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str));
				}
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 1366 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 1367 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 1371 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); }
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 1373 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 1376 "gram.y"
    { (yyval.str) = "read uncommitted"; }
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 1377 "gram.y"
    { (yyval.str) = "read committed"; }
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 1378 "gram.y"
    { (yyval.str) = "repeatable read"; }
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 1379 "gram.y"
    { (yyval.str) = "serializable"; }
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 1383 "gram.y"
    { (yyval.str) = "true"; }
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 1384 "gram.y"
    { (yyval.str) = "false"; }
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 1385 "gram.y"
    { (yyval.str) = "on"; }
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 1391 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 1404 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 1408 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 1412 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					if ((yyvsp[(3) - (3)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(3) - (3)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(3) - (3)]))));
					}
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 202:

/* Line 1806 of yacc.c  */
#line 1427 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(6) - (6)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(6) - (6)]))));
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				}
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 1449 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 1450 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 1451 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 1455 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 1456 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 1457 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 209:

/* Line 1806 of yacc.c  */
#line 1461 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 1462 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 1467 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 1474 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 1481 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 1488 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 1495 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 1504 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); }
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 1505 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); }
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 1511 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 1517 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 1523 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 1529 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 1535 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 1545 "gram.y"
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[(3) - (4)].list);
					n->deferred    = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 1554 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 1555 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 1559 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 1560 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 1569 "gram.y"
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 1584 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 1590 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 1596 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 1602 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 1620 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TABLE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 1628 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_INDEX;
					(yyval.node) = (Node *)n;
				}
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 1636 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_SEQUENCE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 1644 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_VIEW;
					(yyval.node) = (Node *)n;
				}
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 1654 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 1655 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 1661 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 1669 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (3)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 1677 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 1686 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 1694 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 1702 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeInteger((yyvsp[(6) - (6)].ival));
					(yyval.node) = (Node *)n;
				}
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 1711 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 1720 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 1729 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeString((yyvsp[(6) - (6)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 1738 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 1748 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 1761 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = (yyvsp[(8) - (8)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 1775 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 1783 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 1791 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 1801 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 1811 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 1818 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 1825 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 1833 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 1841 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 1849 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 1857 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 1865 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 1872 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 1879 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 1887 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 1894 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 1901 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 1909 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 1917 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 1925 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 1933 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[(2) - (2)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 1941 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[(3) - (3)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 1949 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[(2) - (2)].list));
					def->location = (yylsp[(2) - (2)]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 1959 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 1966 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 1974 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 1982 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 1990 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 1997 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[(1) - (1)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 2006 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (3)].node); }
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 2007 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 2011 "gram.y"
    { (yyval.dbehavior) = DROP_CASCADE; }
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 2012 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; }
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 2013 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 2018 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 2025 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 2029 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 2030 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 2034 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 2037 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 2038 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 2042 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 2043 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 2049 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				}
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 2053 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				}
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 2057 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (5)].str), (yyvsp[(3) - (5)].str), (Node *) (yyvsp[(5) - (5)].node),
											 DEFELEM_UNSPEC);
				}
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 2062 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str), NULL, DEFELEM_UNSPEC);
				}
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 2077 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (4)].list), (yylsp[(3) - (4)]), yyscanner);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 2089 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 2090 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 301:

/* Line 1806 of yacc.c  */
#line 2096 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (4)].node);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 2105 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 2115 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 2125 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 2150 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 2156 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 2184 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[(3) - (10)].range);
					n->query = NULL;
					n->attlist = (yyvsp[(4) - (10)].list);
					n->is_from = (yyvsp[(6) - (10)].boolean);
					n->filename = (yyvsp[(7) - (10)].str);

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[(2) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(2) - (10)].defelt));
					if ((yyvsp[(5) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(5) - (10)].defelt));
					if ((yyvsp[(8) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(8) - (10)].defelt));
					if ((yyvsp[(10) - (10)].list))
						n->options = list_concat(n->options, (yyvsp[(10) - (10)].list));
					(yyval.node) = (Node *)n;
				}
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 2205 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[(2) - (6)].node);
					n->attlist = NIL;
					n->is_from = false;
					n->filename = (yyvsp[(4) - (6)].str);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 2218 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 2219 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 2228 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 2229 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 2230 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 2233 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 2234 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 2239 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 2240 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 2245 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 2249 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 2253 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 2257 "gram.y"
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 2261 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 2265 "gram.y"
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 2269 "gram.y"
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 2273 "gram.y"
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 2277 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 2281 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 2285 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[(4) - (4)].list));
				}
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 2289 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 2298 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 2301 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 2306 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 2309 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 2314 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 2317 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 2321 "gram.y"
    {}
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 2322 "gram.y"
    {}
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 2328 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 2332 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 2339 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 2345 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 2346 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); }
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 2347 "gram.y"
    { (yyval.node) = (Node *) makeNode(A_Star); }
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 2348 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(2) - (3)].list); }
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 2349 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 2354 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 2358 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 2365 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 2378 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (11)].range)->relpersistence = (yyvsp[(2) - (11)].ival);
					n->relation = (yyvsp[(4) - (11)].range);
					n->tableElts = (yyvsp[(6) - (11)].list);
					n->inhRelations = (yyvsp[(8) - (11)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(9) - (11)].list);
					n->oncommit = (yyvsp[(10) - (11)].oncommit);
					n->tablespacename = (yyvsp[(11) - (11)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 2394 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (14)].range)->relpersistence = (yyvsp[(2) - (14)].ival);
					n->relation = (yyvsp[(7) - (14)].range);
					n->tableElts = (yyvsp[(9) - (14)].list);
					n->inhRelations = (yyvsp[(11) - (14)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(12) - (14)].list);
					n->oncommit = (yyvsp[(13) - (14)].oncommit);
					n->tablespacename = (yyvsp[(14) - (14)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 2409 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (10)].range)->relpersistence = (yyvsp[(2) - (10)].ival);
					n->relation = (yyvsp[(4) - (10)].range);
					n->tableElts = (yyvsp[(7) - (10)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(6) - (10)].list));
					n->ofTypename->location = (yylsp[(6) - (10)]);
					n->constraints = NIL;
					n->options = (yyvsp[(8) - (10)].list);
					n->oncommit = (yyvsp[(9) - (10)].oncommit);
					n->tablespacename = (yyvsp[(10) - (10)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 2425 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (13)].range)->relpersistence = (yyvsp[(2) - (13)].ival);
					n->relation = (yyvsp[(7) - (13)].range);
					n->tableElts = (yyvsp[(10) - (13)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(9) - (13)].list));
					n->ofTypename->location = (yylsp[(9) - (13)]);
					n->constraints = NIL;
					n->options = (yyvsp[(11) - (13)].list);
					n->oncommit = (yyvsp[(12) - (13)].oncommit);
					n->tablespacename = (yyvsp[(13) - (13)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 2448 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 2449 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 2450 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 2451 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 2452 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 2453 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 2454 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 2455 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 2459 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 2460 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 2464 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 2465 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 2470 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 2474 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 2481 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 2485 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 2491 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 2492 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 2493 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 2497 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 2498 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 2502 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[(3) - (3)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 2521 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 2540 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 2541 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 2546 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 2553 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 2554 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 2556 "gram.y"
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 2587 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 2594 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 2601 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NULL;
					n->options = (yyvsp[(2) - (3)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 2612 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NULL;
					n->options = (yyvsp[(3) - (4)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 2623 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (4)]);
					n->raw_expr = (yyvsp[(3) - (4)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 2632 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[(1) - (2)]);
					n->raw_expr = (yyvsp[(2) - (2)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 2641 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (5)]);
					n->pktable			= (yyvsp[(2) - (5)].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[(3) - (5)].list);
					n->fk_matchtype		= (yyvsp[(4) - (5)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(5) - (5)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(5) - (5)].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 2674 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 2681 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 2688 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 2695 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 2714 "gram.y"
    {
					InhRelation *n = makeNode(InhRelation);
					n->relation = (yyvsp[(2) - (3)].range);
					n->options = (yyvsp[(3) - (3)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 2723 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 2724 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) & ~(yyvsp[(3) - (3)].ival); }
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 2725 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 2729 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 2730 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 2731 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 2732 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 2733 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 2734 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 2744 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 2751 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 2756 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[(5) - (5)].ival), (yylsp[(5) - (5)]), "CHECK",
								   NULL, NULL, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 2769 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (7)]);
					n->keys = (yyvsp[(3) - (7)].list);
					n->options = (yyvsp[(5) - (7)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(6) - (7)].str);
					processCASbits((yyvsp[(7) - (7)].ival), (yylsp[(7) - (7)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 2783 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(2) - (3)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(3) - (3)].ival), (yylsp[(3) - (3)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 2798 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (8)]);
					n->keys = (yyvsp[(4) - (8)].list);
					n->options = (yyvsp[(6) - (8)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(7) - (8)].str);
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 2812 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(3) - (4)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(4) - (4)].ival), (yylsp[(4) - (4)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 2828 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[(1) - (9)]);
					n->access_method	= (yyvsp[(2) - (9)].str);
					n->exclusions		= (yyvsp[(4) - (9)].list);
					n->options			= (yyvsp[(6) - (9)].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[(7) - (9)].str);
					n->where_clause		= (yyvsp[(8) - (9)].node);
					processCASbits((yyvsp[(9) - (9)].ival), (yylsp[(9) - (9)]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 2845 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (11)]);
					n->pktable			= (yyvsp[(7) - (11)].range);
					n->fk_attrs			= (yyvsp[(4) - (11)].list);
					n->pk_attrs			= (yyvsp[(8) - (11)].list);
					n->fk_matchtype		= (yyvsp[(9) - (11)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(10) - (11)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(10) - (11)].ival) & 0xFF);
					processCASbits((yyvsp[(11) - (11)].ival), (yylsp[(11) - (11)]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 2865 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 2866 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 2870 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 2871 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 2875 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str));
				}
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 2881 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 2885 "gram.y"
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[(1) - (2)]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 2893 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			}
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 2897 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			}
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 2903 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 2905 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 2909 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (3)].ielem), (yyvsp[(3) - (3)].list));
			}
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 2914 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (6)].ielem), (yyvsp[(5) - (6)].list));
			}
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 2920 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 2921 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 2932 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (1)].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 2934 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[(1) - (1)].ival) & 0xFF); }
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 2936 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (2)].ival) << 8) | ((yyvsp[(2) - (2)].ival) & 0xFF); }
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 2938 "gram.y"
    { (yyval.ival) = ((yyvsp[(2) - (2)].ival) << 8) | ((yyvsp[(1) - (2)].ival) & 0xFF); }
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 2940 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 2943 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 2946 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 2950 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 2951 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 2952 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 2953 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 2954 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 2957 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 2958 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 2963 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 2964 "gram.y"
    { (yyval.list) = list_make1(defWithOids(true)); }
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 2965 "gram.y"
    { (yyval.list) = list_make1(defWithOids(false)); }
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 2966 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 2969 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DROP; }
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 2970 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 2971 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 2972 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 2975 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 2976 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 2979 "gram.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 2980 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 2983 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 2994 "gram.y"
    {
					/*
					 * When the SelectStmt is a set-operation tree, we must
					 * stuff the INTO information into the leftmost component
					 * Select, because that's where analyze.c will expect
					 * to find it.	Similarly, the output column names must
					 * be attached to that Select's target list.
					 */
					SelectStmt *n = findLeftmostSelect((SelectStmt *) (yyvsp[(6) - (7)].node));
					if (n->intoClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("CREATE TABLE AS cannot specify INTO"),
								 parser_errposition(exprLocation((Node *) n->intoClause))));
					(yyvsp[(4) - (7)].into)->rel->relpersistence = (yyvsp[(2) - (7)].ival);
					n->intoClause = (yyvsp[(4) - (7)].into);
					/* Implement WITH NO DATA by forcing top-level LIMIT 0 */
					if (!(yyvsp[(7) - (7)].boolean))
						((SelectStmt *) (yyvsp[(6) - (7)].node))->limitCount = makeIntConst(0, -1);
					(yyval.node) = (yyvsp[(6) - (7)].node);
				}
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 3019 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (5)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (5)].list);
					(yyval.into)->options = (yyvsp[(3) - (5)].list);
					(yyval.into)->onCommit = (yyvsp[(4) - (5)].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[(5) - (5)].str);
				}
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 3030 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 3031 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 3035 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 3036 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 460:

/* Line 1806 of yacc.c  */
#line 3041 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (1)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = NULL;
					n->collOid = InvalidOid;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 3060 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 3061 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 3062 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 3076 "gram.y"
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[(4) - (5)].range)->relpersistence = (yyvsp[(2) - (5)].ival);
					n->sequence = (yyvsp[(4) - (5)].range);
					n->options = (yyvsp[(5) - (5)].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 3088 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(3) - (4)].range);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 3096 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 3097 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 3100 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 3101 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 3105 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 3109 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 3113 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 3117 "gram.y"
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 3121 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 3125 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 3129 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 3133 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 3137 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 3141 "gram.y"
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 3145 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 3149 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 3154 "gram.y"
    {}
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 3155 "gram.y"
    {}
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 3159 "gram.y"
    { (yyval.value) = makeFloat((yyvsp[(1) - (1)].str)); }
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 3161 "gram.y"
    {
					(yyval.value) = makeFloat((yyvsp[(2) - (2)].str));
					doNegateFloat((yyval.value));
				}
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 3165 "gram.y"
    { (yyval.value) = makeInteger((yyvsp[(1) - (1)].ival)); }
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 3168 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 3169 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 3182 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (6)].boolean);
				n->plname = (yyvsp[(6) - (6)].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 3195 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (10)].boolean);
				n->plname = (yyvsp[(6) - (10)].str);
				n->plhandler = (yyvsp[(8) - (10)].list);
				n->plinline = (yyvsp[(9) - (10)].list);
				n->plvalidator = (yyvsp[(10) - (10)].list);
				n->pltrusted = (yyvsp[(3) - (10)].boolean);
				(yyval.node) = (Node *)n;
			}
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 3208 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 3209 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 3217 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 3218 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 3222 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 3223 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 3227 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 3228 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 3232 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 3233 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 3238 "gram.y"
    {
					DropPLangStmt *n = makeNode(DropPLangStmt);
					n->plname = (yyvsp[(4) - (5)].str);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 3246 "gram.y"
    {
					DropPLangStmt *n = makeNode(DropPLangStmt);
					n->plname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 3256 "gram.y"
    {}
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 3257 "gram.y"
    {}
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 3268 "gram.y"
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (6)].str);
					n->owner = (yyvsp[(4) - (6)].str);
					n->location = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 3277 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 3278 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 3292 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (3)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 3299 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(5) - (5)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 3316 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->if_not_exists = false;
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 3324 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(6) - (8)].str);
					n->if_not_exists = true;
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 3335 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 3337 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 3342 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 3346 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 3350 "gram.y"
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 3362 "gram.y"
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 3372 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 3374 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 3379 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 3392 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 3402 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (10)].str);
					n->action = (yyvsp[(4) - (10)].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(7) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(9) - (10)].typnam));
					(yyval.node) = (Node *) n;
				}
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 3412 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 3421 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 3430 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 3439 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (6)].funwithargs)->funcname;
					n->objargs = (yyvsp[(6) - (6)].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 3449 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[(7) - (7)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 3458 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 3468 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 3478 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 3488 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 3497 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 3506 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 3515 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 3524 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 3533 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 3542 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 3551 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 3560 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 540:

/* Line 1806 of yacc.c  */
#line 3569 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[(8) - (8)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 541:

/* Line 1806 of yacc.c  */
#line 3578 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 542:

/* Line 1806 of yacc.c  */
#line 3587 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 543:

/* Line 1806 of yacc.c  */
#line 3605 "gram.y"
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 3615 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[(2) - (2)].list)); }
    break;

  case 545:

/* Line 1806 of yacc.c  */
#line 3616 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", NULL); }
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 3617 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[(2) - (2)].list)); }
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 3618 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", NULL); }
    break;

  case 548:

/* Line 1806 of yacc.c  */
#line 3622 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 549:

/* Line 1806 of yacc.c  */
#line 3623 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 550:

/* Line 1806 of yacc.c  */
#line 3627 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 551:

/* Line 1806 of yacc.c  */
#line 3628 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 3639 "gram.y"
    {
					DropFdwStmt *n = makeNode(DropFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 3647 "gram.y"
    {
					DropFdwStmt *n = makeNode(DropFdwStmt);
					n->fdwname = (yyvsp[(7) - (8)].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 3664 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 555:

/* Line 1806 of yacc.c  */
#line 3672 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->func_options = (yyvsp[(6) - (6)].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 556:

/* Line 1806 of yacc.c  */
#line 3683 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 557:

/* Line 1806 of yacc.c  */
#line 3684 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 558:

/* Line 1806 of yacc.c  */
#line 3689 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 3693 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 560:

/* Line 1806 of yacc.c  */
#line 3700 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 3705 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 3709 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 3716 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 3720 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 3725 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 3730 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[(2) - (2)].str), NULL, DEFELEM_DROP);
				}
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 3737 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 3743 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 3748 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 3760 "gram.y"
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[(3) - (10)].str);
					n->servertype = (yyvsp[(4) - (10)].str);
					n->version = (yyvsp[(5) - (10)].str);
					n->fdwname = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 3772 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 3773 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 3778 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 3779 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 3783 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 3784 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 3795 "gram.y"
    {
					DropForeignServerStmt *n = makeNode(DropForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 3803 "gram.y"
    {
					DropForeignServerStmt *n = makeNode(DropForeignServerStmt);
					n->servername = (yyvsp[(5) - (6)].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 3820 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (5)].str);
					n->version = (yyvsp[(4) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 580:

/* Line 1806 of yacc.c  */
#line 3829 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->version = (yyvsp[(4) - (4)].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 581:

/* Line 1806 of yacc.c  */
#line 3837 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 3856 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(4) - (8)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(4) - (8)].range);
					n->base.tableElts = (yyvsp[(5) - (8)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 3871 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(7) - (11)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(7) - (11)].range);
					n->base.tableElts = (yyvsp[(8) - (11)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[(10) - (11)].str);
					n->options = (yyvsp[(11) - (11)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 3886 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 3887 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 586:

/* Line 1806 of yacc.c  */
#line 3892 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 3896 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 588:

/* Line 1806 of yacc.c  */
#line 3902 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 589:

/* Line 1806 of yacc.c  */
#line 3914 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(4) - (5)].range);
					n->cmds = (yyvsp[(5) - (5)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 590:

/* Line 1806 of yacc.c  */
#line 3931 "gram.y"
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 591:

/* Line 1806 of yacc.c  */
#line 3942 "gram.y"
    { (yyval.str) = "current_user"; }
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 3943 "gram.y"
    { (yyval.str) = "current_user"; }
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 3944 "gram.y"
    { (yyval.str) = (strcmp((yyvsp[(1) - (1)].str), "public") == 0) ? NULL : (yyvsp[(1) - (1)].str); }
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 3955 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(5) - (7)].str);
					n->servername = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 3963 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(7) - (9)].str);
					n->servername = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 3980 "gram.y"
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 4001 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (15)].str);
					n->relation = (yyvsp[(7) - (15)].range);
					n->funcname = (yyvsp[(12) - (15)].list);
					n->args = (yyvsp[(14) - (15)].list);
					n->row = (yyvsp[(8) - (15)].boolean);
					n->timing = (yyvsp[(4) - (15)].ival);
					n->events = intVal(linitial((yyvsp[(5) - (15)].list)));
					n->columns = (List *) lsecond((yyvsp[(5) - (15)].list));
					n->whenClause = (yyvsp[(9) - (15)].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 4022 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(4) - (20)].str);
					n->relation = (yyvsp[(8) - (20)].range);
					n->funcname = (yyvsp[(17) - (20)].list);
					n->args = (yyvsp[(19) - (20)].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[(6) - (20)].list)));
					n->columns = (List *) lsecond((yyvsp[(6) - (20)].list));
					n->whenClause = (yyvsp[(14) - (20)].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(10) - (20)].ival), (yylsp[(10) - (20)]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					n->constrrel = (yyvsp[(9) - (20)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 4043 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 4044 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 4045 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 4050 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 4052 "gram.y"
    {
					int		events1 = intVal(linitial((yyvsp[(1) - (3)].list)));
					int		events2 = intVal(linitial((yyvsp[(3) - (3)].list)));
					List   *columns1 = (List *) lsecond((yyvsp[(1) - (3)].list));
					List   *columns2 = (List *) lsecond((yyvsp[(3) - (3)].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 4074 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
    break;

  case 605:

/* Line 1806 of yacc.c  */
#line 4076 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
    break;

  case 606:

/* Line 1806 of yacc.c  */
#line 4078 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
    break;

  case 607:

/* Line 1806 of yacc.c  */
#line 4080 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[(3) - (3)].list)); }
    break;

  case 608:

/* Line 1806 of yacc.c  */
#line 4082 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
    break;

  case 609:

/* Line 1806 of yacc.c  */
#line 4087 "gram.y"
    {
					(yyval.boolean) = (yyvsp[(3) - (3)].boolean);
				}
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 4091 "gram.y"
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 4101 "gram.y"
    {}
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 4102 "gram.y"
    {}
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 4106 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 4107 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 4111 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 4112 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 617:

/* Line 1806 of yacc.c  */
#line 4116 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 618:

/* Line 1806 of yacc.c  */
#line 4117 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 619:

/* Line 1806 of yacc.c  */
#line 4118 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 620:

/* Line 1806 of yacc.c  */
#line 4123 "gram.y"
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[(1) - (1)].ival));
					(yyval.value) = makeString(pstrdup(buf));
				}
    break;

  case 621:

/* Line 1806 of yacc.c  */
#line 4128 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 4129 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 623:

/* Line 1806 of yacc.c  */
#line 4130 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 624:

/* Line 1806 of yacc.c  */
#line 4134 "gram.y"
    { (yyval.range) = (yyvsp[(2) - (2)].range); }
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 4135 "gram.y"
    { (yyval.range) = NULL; }
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 4140 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 4142 "gram.y"
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[(2) - (2)]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.ival) = newspec;
				}
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 4168 "gram.y"
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 4169 "gram.y"
    { (yyval.ival) = CAS_DEFERRABLE; }
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 4170 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
    break;

  case 631:

/* Line 1806 of yacc.c  */
#line 4171 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 4172 "gram.y"
    { (yyval.ival) = CAS_NOT_VALID; }
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 4178 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->property = (yyvsp[(3) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->removeType = OBJECT_TRIGGER;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 4188 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(7) - (8)].range);
					n->property = (yyvsp[(5) - (8)].str);
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->removeType = OBJECT_TRIGGER;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 635:

/* Line 1806 of yacc.c  */
#line 4211 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (8)].str);
					n->args = list_make1((yyvsp[(6) - (8)].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 4230 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = NULL;
					n->property = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 4253 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->definition = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 4263 "gram.y"
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 4274 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 4284 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 4294 "gram.y"
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (3)].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 4305 "gram.y"
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[(3) - (7)].list), (yylsp[(3) - (7)]), yyscanner);
					n->coldeflist = (yyvsp[(6) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 4314 "gram.y"
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[(3) - (8)].list);
					n->vals = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 644:

/* Line 1806 of yacc.c  */
#line 4321 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 4330 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 4339 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 647:

/* Line 1806 of yacc.c  */
#line 4348 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 648:

/* Line 1806 of yacc.c  */
#line 4357 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 649:

/* Line 1806 of yacc.c  */
#line 4366 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[(5) - (5)].list)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 650:

/* Line 1806 of yacc.c  */
#line 4376 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 4379 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 652:

/* Line 1806 of yacc.c  */
#line 4380 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 4384 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				}
    break;

  case 654:

/* Line 1806 of yacc.c  */
#line 4388 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				}
    break;

  case 655:

/* Line 1806 of yacc.c  */
#line 4394 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].typnam); }
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 4395 "gram.y"
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[(1) - (1)].keyword))); }
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 4396 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].list); }
    break;

  case 658:

/* Line 1806 of yacc.c  */
#line 4397 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].value); }
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 4398 "gram.y"
    { (yyval.node) = (Node *)makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 4401 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 4402 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 4405 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 4408 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 4409 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 4418 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *)(yyvsp[(3) - (3)].node));
				}
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 4424 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 4425 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 4429 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 4431 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 4442 "gram.y"
    {
				 AlterEnumStmt *n = makeNode(AlterEnumStmt);
				 n->typeName = (yyvsp[(3) - (6)].list);
				 n->newVal = (yyvsp[(6) - (6)].str);
				 n->newValNeighbor = NULL;
				 n->newValIsAfter = true;
				 (yyval.node) = (Node *) n;
			 }
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 4451 "gram.y"
    {
				 AlterEnumStmt *n = makeNode(AlterEnumStmt);
				 n->typeName = (yyvsp[(3) - (8)].list);
				 n->newVal = (yyvsp[(6) - (8)].str);
				 n->newValNeighbor = (yyvsp[(8) - (8)].str);
				 n->newValIsAfter = false;
				 (yyval.node) = (Node *) n;
			 }
    break;

  case 672:

/* Line 1806 of yacc.c  */
#line 4460 "gram.y"
    {
				 AlterEnumStmt *n = makeNode(AlterEnumStmt);
				 n->typeName = (yyvsp[(3) - (8)].list);
				 n->newVal = (yyvsp[(6) - (8)].str);
				 n->newValNeighbor = (yyvsp[(8) - (8)].str);
				 n->newValIsAfter = true;
				 (yyval.node) = (Node *) n;
			 }
    break;

  case 673:

/* Line 1806 of yacc.c  */
#line 4485 "gram.y"
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[(4) - (13)].list);
					n->isDefault = (yyvsp[(5) - (13)].boolean);
					n->datatype = (yyvsp[(8) - (13)].typnam);
					n->amname = (yyvsp[(10) - (13)].str);
					n->opfamilyname = (yyvsp[(11) - (13)].list);
					n->items = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 674:

/* Line 1806 of yacc.c  */
#line 4498 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 675:

/* Line 1806 of yacc.c  */
#line 4499 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 676:

/* Line 1806 of yacc.c  */
#line 4504 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = NIL;
					n->number = (yyvsp[(2) - (5)].ival);
					n->order_family = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 677:

/* Line 1806 of yacc.c  */
#line 4515 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (6)].list);
					n->args = (yyvsp[(4) - (6)].list);
					n->number = (yyvsp[(2) - (6)].ival);
					n->order_family = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 678:

/* Line 1806 of yacc.c  */
#line 4525 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(3) - (4)].list);
					n->args = extractArgTypes((yyvsp[(4) - (4)].list));
					n->number = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 679:

/* Line 1806 of yacc.c  */
#line 4534 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(6) - (7)].list);
					n->args = extractArgTypes((yyvsp[(7) - (7)].list));
					n->number = (yyvsp[(2) - (7)].ival);
					n->class_args = (yyvsp[(4) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 680:

/* Line 1806 of yacc.c  */
#line 4544 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[(2) - (2)].typnam);
					(yyval.node) = (Node *) n;
				}
    break;

  case 681:

/* Line 1806 of yacc.c  */
#line 4552 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 682:

/* Line 1806 of yacc.c  */
#line 4553 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 683:

/* Line 1806 of yacc.c  */
#line 4556 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 684:

/* Line 1806 of yacc.c  */
#line 4557 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 685:

/* Line 1806 of yacc.c  */
#line 4560 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 686:

/* Line 1806 of yacc.c  */
#line 4561 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (4)].list); }
    break;

  case 687:

/* Line 1806 of yacc.c  */
#line 4562 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 688:

/* Line 1806 of yacc.c  */
#line 4566 "gram.y"
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.boolean) = TRUE;
				}
    break;

  case 689:

/* Line 1806 of yacc.c  */
#line 4579 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 690:

/* Line 1806 of yacc.c  */
#line 4585 "gram.y"
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (6)].list);
					n->amname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 691:

/* Line 1806 of yacc.c  */
#line 4595 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = false;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 692:

/* Line 1806 of yacc.c  */
#line 4604 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = true;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 693:

/* Line 1806 of yacc.c  */
#line 4615 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 694:

/* Line 1806 of yacc.c  */
#line 4616 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 695:

/* Line 1806 of yacc.c  */
#line 4621 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 696:

/* Line 1806 of yacc.c  */
#line 4629 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 697:

/* Line 1806 of yacc.c  */
#line 4641 "gram.y"
    {
					RemoveOpClassStmt *n = makeNode(RemoveOpClassStmt);
					n->opclassname = (yyvsp[(4) - (7)].list);
					n->amname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 698:

/* Line 1806 of yacc.c  */
#line 4650 "gram.y"
    {
					RemoveOpClassStmt *n = makeNode(RemoveOpClassStmt);
					n->opclassname = (yyvsp[(6) - (9)].list);
					n->amname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 699:

/* Line 1806 of yacc.c  */
#line 4662 "gram.y"
    {
					RemoveOpFamilyStmt *n = makeNode(RemoveOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (7)].list);
					n->amname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 700:

/* Line 1806 of yacc.c  */
#line 4671 "gram.y"
    {
					RemoveOpFamilyStmt *n = makeNode(RemoveOpFamilyStmt);
					n->opfamilyname = (yyvsp[(6) - (9)].list);
					n->amname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 701:

/* Line 1806 of yacc.c  */
#line 4692 "gram.y"
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 702:

/* Line 1806 of yacc.c  */
#line 4702 "gram.y"
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[(4) - (6)].list);
					n->newrole = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 703:

/* Line 1806 of yacc.c  */
#line 4720 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (6)].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 704:

/* Line 1806 of yacc.c  */
#line 4729 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (4)].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 705:

/* Line 1806 of yacc.c  */
#line 4740 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 706:

/* Line 1806 of yacc.c  */
#line 4741 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 707:

/* Line 1806 of yacc.c  */
#line 4742 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 708:

/* Line 1806 of yacc.c  */
#line 4743 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 709:

/* Line 1806 of yacc.c  */
#line 4744 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 710:

/* Line 1806 of yacc.c  */
#line 4745 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 711:

/* Line 1806 of yacc.c  */
#line 4746 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; }
    break;

  case 712:

/* Line 1806 of yacc.c  */
#line 4747 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; }
    break;

  case 713:

/* Line 1806 of yacc.c  */
#line 4748 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 714:

/* Line 1806 of yacc.c  */
#line 4749 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 715:

/* Line 1806 of yacc.c  */
#line 4750 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; }
    break;

  case 716:

/* Line 1806 of yacc.c  */
#line 4751 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; }
    break;

  case 717:

/* Line 1806 of yacc.c  */
#line 4752 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
    break;

  case 718:

/* Line 1806 of yacc.c  */
#line 4753 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
    break;

  case 719:

/* Line 1806 of yacc.c  */
#line 4754 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
    break;

  case 720:

/* Line 1806 of yacc.c  */
#line 4758 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 721:

/* Line 1806 of yacc.c  */
#line 4759 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 722:

/* Line 1806 of yacc.c  */
#line 4762 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 723:

/* Line 1806 of yacc.c  */
#line 4763 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 724:

/* Line 1806 of yacc.c  */
#line 4767 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(2) - (2)].str))); }
    break;

  case 725:

/* Line 1806 of yacc.c  */
#line 4769 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 726:

/* Line 1806 of yacc.c  */
#line 4782 "gram.y"
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[(3) - (5)].list);
					n->restart_seqs = (yyvsp[(4) - (5)].boolean);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 727:

/* Line 1806 of yacc.c  */
#line 4792 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 728:

/* Line 1806 of yacc.c  */
#line 4793 "gram.y"
    { (yyval.boolean) = true; }
    break;

  case 729:

/* Line 1806 of yacc.c  */
#line 4794 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 4821 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[(3) - (6)].objtype);
					n->objname = (yyvsp[(4) - (6)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 4830 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 732:

/* Line 1806 of yacc.c  */
#line 4839 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = extractArgTypes((yyvsp[(5) - (7)].list));
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 733:

/* Line 1806 of yacc.c  */
#line 4848 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 4857 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 735:

/* Line 1806 of yacc.c  */
#line 4866 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 736:

/* Line 1806 of yacc.c  */
#line 4875 "gram.y"
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[(4) - (6)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 737:

/* Line 1806 of yacc.c  */
#line 4885 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 738:

/* Line 1806 of yacc.c  */
#line 4894 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 739:

/* Line 1806 of yacc.c  */
#line 4903 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 740:

/* Line 1806 of yacc.c  */
#line 4912 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(5) - (7)].value));
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 741:

/* Line 1806 of yacc.c  */
#line 4921 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(5) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(7) - (10)].typnam));
					n->comment = (yyvsp[(10) - (10)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 742:

/* Line 1806 of yacc.c  */
#line 4930 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(5) - (7)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 743:

/* Line 1806 of yacc.c  */
#line 4939 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 4947 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 4955 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 4963 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 4973 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; }
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 4974 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; }
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 4975 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 4976 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 4977 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 4978 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 4979 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; }
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 4980 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 4981 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 4982 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; }
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 4983 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 4984 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; }
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 4985 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; }
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 4986 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; }
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 4987 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 4988 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 4989 "gram.y"
    { (yyval.objtype) = OBJECT_FDW; }
    break;

  case 764:

/* Line 1806 of yacc.c  */
#line 4993 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 765:

/* Line 1806 of yacc.c  */
#line 4994 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 766:

/* Line 1806 of yacc.c  */
#line 5010 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (8)].str);
					n->objtype = (yyvsp[(5) - (8)].objtype);
					n->objname = (yyvsp[(6) - (8)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 767:

/* Line 1806 of yacc.c  */
#line 5021 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = (yyvsp[(7) - (9)].list);
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 768:

/* Line 1806 of yacc.c  */
#line 5032 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = extractArgTypes((yyvsp[(7) - (9)].list));
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 769:

/* Line 1806 of yacc.c  */
#line 5043 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(7) - (9)].value));
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 770:

/* Line 1806 of yacc.c  */
#line 5054 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 771:

/* Line 1806 of yacc.c  */
#line 5065 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 772:

/* Line 1806 of yacc.c  */
#line 5066 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 773:

/* Line 1806 of yacc.c  */
#line 5070 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; }
    break;

  case 774:

/* Line 1806 of yacc.c  */
#line 5071 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 775:

/* Line 1806 of yacc.c  */
#line 5072 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 776:

/* Line 1806 of yacc.c  */
#line 5073 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 777:

/* Line 1806 of yacc.c  */
#line 5074 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 778:

/* Line 1806 of yacc.c  */
#line 5075 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 779:

/* Line 1806 of yacc.c  */
#line 5076 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 780:

/* Line 1806 of yacc.c  */
#line 5077 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 781:

/* Line 1806 of yacc.c  */
#line 5080 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 782:

/* Line 1806 of yacc.c  */
#line 5081 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 783:

/* Line 1806 of yacc.c  */
#line 5092 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 784:

/* Line 1806 of yacc.c  */
#line 5098 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 785:

/* Line 1806 of yacc.c  */
#line 5106 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(1) - (1)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 786:

/* Line 1806 of yacc.c  */
#line 5114 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 787:

/* Line 1806 of yacc.c  */
#line 5122 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 788:

/* Line 1806 of yacc.c  */
#line 5130 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 789:

/* Line 1806 of yacc.c  */
#line 5138 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 790:

/* Line 1806 of yacc.c  */
#line 5146 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 791:

/* Line 1806 of yacc.c  */
#line 5154 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 792:

/* Line 1806 of yacc.c  */
#line 5162 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 793:

/* Line 1806 of yacc.c  */
#line 5170 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(1) - (3)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 794:

/* Line 1806 of yacc.c  */
#line 5178 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 795:

/* Line 1806 of yacc.c  */
#line 5186 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 796:

/* Line 1806 of yacc.c  */
#line 5194 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 797:

/* Line 1806 of yacc.c  */
#line 5202 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 798:

/* Line 1806 of yacc.c  */
#line 5210 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 799:

/* Line 1806 of yacc.c  */
#line 5218 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 800:

/* Line 1806 of yacc.c  */
#line 5226 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 801:

/* Line 1806 of yacc.c  */
#line 5235 "gram.y"
    {}
    break;

  case 802:

/* Line 1806 of yacc.c  */
#line 5236 "gram.y"
    {}
    break;

  case 803:

/* Line 1806 of yacc.c  */
#line 5239 "gram.y"
    {}
    break;

  case 804:

/* Line 1806 of yacc.c  */
#line 5240 "gram.y"
    {}
    break;

  case 805:

/* Line 1806 of yacc.c  */
#line 5252 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 806:

/* Line 1806 of yacc.c  */
#line 5268 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 807:

/* Line 1806 of yacc.c  */
#line 5282 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ((yyvsp[(7) - (10)].privtarget))->targtype;
					n->objtype = ((yyvsp[(7) - (10)].privtarget))->objtype;
					n->objects = ((yyvsp[(7) - (10)].privtarget))->objs;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 808:

/* Line 1806 of yacc.c  */
#line 5307 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 809:

/* Line 1806 of yacc.c  */
#line 5309 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 810:

/* Line 1806 of yacc.c  */
#line 5311 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 811:

/* Line 1806 of yacc.c  */
#line 5313 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(3) - (4)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 812:

/* Line 1806 of yacc.c  */
#line 5320 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(4) - (5)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 813:

/* Line 1806 of yacc.c  */
#line 5328 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].accesspriv)); }
    break;

  case 814:

/* Line 1806 of yacc.c  */
#line 5329 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].accesspriv)); }
    break;

  case 815:

/* Line 1806 of yacc.c  */
#line 5333 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 816:

/* Line 1806 of yacc.c  */
#line 5340 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 817:

/* Line 1806 of yacc.c  */
#line 5347 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 818:

/* Line 1806 of yacc.c  */
#line 5354 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[(1) - (2)].str);
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 819:

/* Line 1806 of yacc.c  */
#line 5368 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(1) - (1)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 820:

/* Line 1806 of yacc.c  */
#line 5376 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 821:

/* Line 1806 of yacc.c  */
#line 5384 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 822:

/* Line 1806 of yacc.c  */
#line 5392 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[(4) - (4)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 823:

/* Line 1806 of yacc.c  */
#line 5400 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 824:

/* Line 1806 of yacc.c  */
#line 5408 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 825:

/* Line 1806 of yacc.c  */
#line 5416 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 826:

/* Line 1806 of yacc.c  */
#line 5424 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 827:

/* Line 1806 of yacc.c  */
#line 5432 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 828:

/* Line 1806 of yacc.c  */
#line 5440 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 829:

/* Line 1806 of yacc.c  */
#line 5448 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 830:

/* Line 1806 of yacc.c  */
#line 5456 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 831:

/* Line 1806 of yacc.c  */
#line 5464 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 832:

/* Line 1806 of yacc.c  */
#line 5472 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 833:

/* Line 1806 of yacc.c  */
#line 5483 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 834:

/* Line 1806 of yacc.c  */
#line 5484 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 835:

/* Line 1806 of yacc.c  */
#line 5488 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[(1) - (1)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(1) - (1)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 836:

/* Line 1806 of yacc.c  */
#line 5498 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[(2) - (2)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 837:

/* Line 1806 of yacc.c  */
#line 5511 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 838:

/* Line 1806 of yacc.c  */
#line 5512 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 839:

/* Line 1806 of yacc.c  */
#line 5516 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].funwithargs)); }
    break;

  case 840:

/* Line 1806 of yacc.c  */
#line 5518 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].funwithargs)); }
    break;

  case 841:

/* Line 1806 of yacc.c  */
#line 5523 "gram.y"
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[(1) - (2)].list);
					n->funcargs = extractArgTypes((yyvsp[(2) - (2)].list));
					(yyval.funwithargs) = n;
				}
    break;

  case 842:

/* Line 1806 of yacc.c  */
#line 5539 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->admin_opt = (yyvsp[(5) - (6)].boolean);
					n->grantor = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node*)n;
				}
    break;

  case 843:

/* Line 1806 of yacc.c  */
#line 5552 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 844:

/* Line 1806 of yacc.c  */
#line 5562 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[(5) - (9)].list);
					n->grantee_roles = (yyvsp[(7) - (9)].list);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 845:

/* Line 1806 of yacc.c  */
#line 5573 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 846:

/* Line 1806 of yacc.c  */
#line 5574 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 847:

/* Line 1806 of yacc.c  */
#line 5577 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 848:

/* Line 1806 of yacc.c  */
#line 5578 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 849:

/* Line 1806 of yacc.c  */
#line 5589 "gram.y"
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[(4) - (5)].list);
					n->action = (GrantStmt *) (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node*)n;
				}
    break;

  case 850:

/* Line 1806 of yacc.c  */
#line 5598 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 851:

/* Line 1806 of yacc.c  */
#line 5599 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 852:

/* Line 1806 of yacc.c  */
#line 5604 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 853:

/* Line 1806 of yacc.c  */
#line 5608 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 854:

/* Line 1806 of yacc.c  */
#line 5612 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 855:

/* Line 1806 of yacc.c  */
#line 5624 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 856:

/* Line 1806 of yacc.c  */
#line 5637 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 857:

/* Line 1806 of yacc.c  */
#line 5651 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(7) - (10)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 858:

/* Line 1806 of yacc.c  */
#line 5666 "gram.y"
    { (yyval.ival) = ACL_OBJECT_RELATION; }
    break;

  case 859:

/* Line 1806 of yacc.c  */
#line 5667 "gram.y"
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
    break;

  case 860:

/* Line 1806 of yacc.c  */
#line 5668 "gram.y"
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
    break;

  case 861:

/* Line 1806 of yacc.c  */
#line 5683 "gram.y"
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[(2) - (14)].boolean);
					n->concurrent = (yyvsp[(4) - (14)].boolean);
					n->idxname = (yyvsp[(5) - (14)].str);
					n->relation = (yyvsp[(7) - (14)].range);
					n->accessMethod = (yyvsp[(8) - (14)].str);
					n->indexParams = (yyvsp[(10) - (14)].list);
					n->options = (yyvsp[(12) - (14)].list);
					n->tableSpace = (yyvsp[(13) - (14)].str);
					n->whereClause = (yyvsp[(14) - (14)].node);
					n->indexOid = InvalidOid;
					(yyval.node) = (Node *)n;
				}
    break;

  case 862:

/* Line 1806 of yacc.c  */
#line 5700 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 863:

/* Line 1806 of yacc.c  */
#line 5701 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 864:

/* Line 1806 of yacc.c  */
#line 5705 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 865:

/* Line 1806 of yacc.c  */
#line 5706 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 866:

/* Line 1806 of yacc.c  */
#line 5710 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 867:

/* Line 1806 of yacc.c  */
#line 5711 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 868:

/* Line 1806 of yacc.c  */
#line 5715 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 869:

/* Line 1806 of yacc.c  */
#line 5716 "gram.y"
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
    break;

  case 870:

/* Line 1806 of yacc.c  */
#line 5719 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].ielem)); }
    break;

  case 871:

/* Line 1806 of yacc.c  */
#line 5720 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].ielem)); }
    break;

  case 872:

/* Line 1806 of yacc.c  */
#line 5729 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[(1) - (5)].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				}
    break;

  case 873:

/* Line 1806 of yacc.c  */
#line 5740 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(1) - (5)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				}
    break;

  case 874:

/* Line 1806 of yacc.c  */
#line 5751 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(2) - (7)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(4) - (7)].list);
					(yyval.ielem)->opclass = (yyvsp[(5) - (7)].list);
					(yyval.ielem)->ordering = (yyvsp[(6) - (7)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(7) - (7)].ival);
				}
    break;

  case 875:

/* Line 1806 of yacc.c  */
#line 5763 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 876:

/* Line 1806 of yacc.c  */
#line 5764 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 877:

/* Line 1806 of yacc.c  */
#line 5767 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 878:

/* Line 1806 of yacc.c  */
#line 5768 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 879:

/* Line 1806 of yacc.c  */
#line 5769 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 880:

/* Line 1806 of yacc.c  */
#line 5772 "gram.y"
    { (yyval.ival) = SORTBY_ASC; }
    break;

  case 881:

/* Line 1806 of yacc.c  */
#line 5773 "gram.y"
    { (yyval.ival) = SORTBY_DESC; }
    break;

  case 882:

/* Line 1806 of yacc.c  */
#line 5774 "gram.y"
    { (yyval.ival) = SORTBY_DEFAULT; }
    break;

  case 883:

/* Line 1806 of yacc.c  */
#line 5777 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
    break;

  case 884:

/* Line 1806 of yacc.c  */
#line 5778 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_LAST; }
    break;

  case 885:

/* Line 1806 of yacc.c  */
#line 5779 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
    break;

  case 886:

/* Line 1806 of yacc.c  */
#line 5797 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (9)].boolean);
					n->funcname = (yyvsp[(4) - (9)].list);
					n->parameters = (yyvsp[(5) - (9)].list);
					n->returnType = (yyvsp[(7) - (9)].typnam);
					n->options = (yyvsp[(8) - (9)].list);
					n->withClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 887:

/* Line 1806 of yacc.c  */
#line 5809 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (12)].boolean);
					n->funcname = (yyvsp[(4) - (12)].list);
					n->parameters = mergeTableFuncParameters((yyvsp[(5) - (12)].list), (yyvsp[(9) - (12)].list));
					n->returnType = TableFuncTypeName((yyvsp[(9) - (12)].list));
					n->returnType->location = (yylsp[(7) - (12)]);
					n->options = (yyvsp[(11) - (12)].list);
					n->withClause = (yyvsp[(12) - (12)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 888:

/* Line 1806 of yacc.c  */
#line 5822 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (7)].boolean);
					n->funcname = (yyvsp[(4) - (7)].list);
					n->parameters = (yyvsp[(5) - (7)].list);
					n->returnType = NULL;
					n->options = (yyvsp[(6) - (7)].list);
					n->withClause = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 889:

/* Line 1806 of yacc.c  */
#line 5835 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 890:

/* Line 1806 of yacc.c  */
#line 5836 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 891:

/* Line 1806 of yacc.c  */
#line 5839 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 892:

/* Line 1806 of yacc.c  */
#line 5840 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 893:

/* Line 1806 of yacc.c  */
#line 5844 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 894:

/* Line 1806 of yacc.c  */
#line 5845 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 895:

/* Line 1806 of yacc.c  */
#line 5853 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 896:

/* Line 1806 of yacc.c  */
#line 5854 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 897:

/* Line 1806 of yacc.c  */
#line 5858 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 898:

/* Line 1806 of yacc.c  */
#line 5860 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 899:

/* Line 1806 of yacc.c  */
#line 5875 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(2) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(1) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 900:

/* Line 1806 of yacc.c  */
#line 5884 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(2) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 901:

/* Line 1806 of yacc.c  */
#line 5893 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 902:

/* Line 1806 of yacc.c  */
#line 5902 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = (yyvsp[(1) - (2)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 903:

/* Line 1806 of yacc.c  */
#line 5911 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(1) - (1)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 904:

/* Line 1806 of yacc.c  */
#line 5922 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
    break;

  case 905:

/* Line 1806 of yacc.c  */
#line 5923 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
    break;

  case 906:

/* Line 1806 of yacc.c  */
#line 5924 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 907:

/* Line 1806 of yacc.c  */
#line 5925 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 908:

/* Line 1806 of yacc.c  */
#line 5926 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
    break;

  case 910:

/* Line 1806 of yacc.c  */
#line 5937 "gram.y"
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 911:

/* Line 1806 of yacc.c  */
#line 5951 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 912:

/* Line 1806 of yacc.c  */
#line 5953 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (4)].str)), (yyvsp[(2) - (4)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[(1) - (4)]);
				}
    break;

  case 913:

/* Line 1806 of yacc.c  */
#line 5959 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[(2) - (5)]);
				}
    break;

  case 914:

/* Line 1806 of yacc.c  */
#line 5969 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
			    }
    break;

  case 915:

/* Line 1806 of yacc.c  */
#line 5973 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
				    (yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
			    }
    break;

  case 916:

/* Line 1806 of yacc.c  */
#line 5978 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
				    (yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
			    }
    break;

  case 917:

/* Line 1806 of yacc.c  */
#line 5987 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 918:

/* Line 1806 of yacc.c  */
#line 5988 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 919:

/* Line 1806 of yacc.c  */
#line 5996 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
    break;

  case 920:

/* Line 1806 of yacc.c  */
#line 6000 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
    break;

  case 921:

/* Line 1806 of yacc.c  */
#line 6004 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
    break;

  case 922:

/* Line 1806 of yacc.c  */
#line 6008 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
    break;

  case 923:

/* Line 1806 of yacc.c  */
#line 6012 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
    break;

  case 924:

/* Line 1806 of yacc.c  */
#line 6016 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
    break;

  case 925:

/* Line 1806 of yacc.c  */
#line 6020 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
    break;

  case 926:

/* Line 1806 of yacc.c  */
#line 6024 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
    break;

  case 927:

/* Line 1806 of yacc.c  */
#line 6028 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
    break;

  case 928:

/* Line 1806 of yacc.c  */
#line 6032 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
    break;

  case 929:

/* Line 1806 of yacc.c  */
#line 6036 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 930:

/* Line 1806 of yacc.c  */
#line 6040 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 931:

/* Line 1806 of yacc.c  */
#line 6044 "gram.y"
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[(1) - (1)].vsetstmt));
				}
    break;

  case 932:

/* Line 1806 of yacc.c  */
#line 6052 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 933:

/* Line 1806 of yacc.c  */
#line 6056 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 934:

/* Line 1806 of yacc.c  */
#line 6060 "gram.y"
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
    break;

  case 935:

/* Line 1806 of yacc.c  */
#line 6064 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 936:

/* Line 1806 of yacc.c  */
#line 6069 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 937:

/* Line 1806 of yacc.c  */
#line 6071 "gram.y"
    {
					(yyval.list) = list_make2(makeString((yyvsp[(1) - (3)].str)), makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 938:

/* Line 1806 of yacc.c  */
#line 6077 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 939:

/* Line 1806 of yacc.c  */
#line 6078 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 940:

/* Line 1806 of yacc.c  */
#line 6082 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 941:

/* Line 1806 of yacc.c  */
#line 6094 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param));
				}
    break;

  case 942:

/* Line 1806 of yacc.c  */
#line 6098 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param));
				}
    break;

  case 943:

/* Line 1806 of yacc.c  */
#line 6113 "gram.y"
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[(3) - (5)].funwithargs);
					n->actions = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 944:

/* Line 1806 of yacc.c  */
#line 6123 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 945:

/* Line 1806 of yacc.c  */
#line 6124 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 948:

/* Line 1806 of yacc.c  */
#line 6146 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_FUNCTION;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = extractArgTypes((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 949:

/* Line 1806 of yacc.c  */
#line 6156 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_FUNCTION;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = extractArgTypes((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 950:

/* Line 1806 of yacc.c  */
#line 6169 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_AGGREGATE;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 951:

/* Line 1806 of yacc.c  */
#line 6179 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_AGGREGATE;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 952:

/* Line 1806 of yacc.c  */
#line 6192 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 953:

/* Line 1806 of yacc.c  */
#line 6202 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_OPERATOR;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 954:

/* Line 1806 of yacc.c  */
#line 6215 "gram.y"
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[(3) - (3)]))));
				}
    break;

  case 955:

/* Line 1806 of yacc.c  */
#line 6223 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), (yyvsp[(4) - (5)].typnam)); }
    break;

  case 956:

/* Line 1806 of yacc.c  */
#line 6225 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(4) - (5)].typnam)); }
    break;

  case 957:

/* Line 1806 of yacc.c  */
#line 6227 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), NULL); }
    break;

  case 958:

/* Line 1806 of yacc.c  */
#line 6232 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 959:

/* Line 1806 of yacc.c  */
#line 6234 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(3) - (3)].list)); }
    break;

  case 960:

/* Line 1806 of yacc.c  */
#line 6247 "gram.y"
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 961:

/* Line 1806 of yacc.c  */
#line 6255 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 962:

/* Line 1806 of yacc.c  */
#line 6256 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 963:

/* Line 1806 of yacc.c  */
#line 6261 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[(1) - (1)].str)));
				}
    break;

  case 964:

/* Line 1806 of yacc.c  */
#line 6265 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 965:

/* Line 1806 of yacc.c  */
#line 6278 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (11)].typnam);
					n->targettype = (yyvsp[(6) - (11)].typnam);
					n->func = (yyvsp[(10) - (11)].funwithargs);
					n->context = (CoercionContext) (yyvsp[(11) - (11)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 966:

/* Line 1806 of yacc.c  */
#line 6289 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 967:

/* Line 1806 of yacc.c  */
#line 6300 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 968:

/* Line 1806 of yacc.c  */
#line 6311 "gram.y"
    { (yyval.ival) = COERCION_IMPLICIT; }
    break;

  case 969:

/* Line 1806 of yacc.c  */
#line 6312 "gram.y"
    { (yyval.ival) = COERCION_ASSIGNMENT; }
    break;

  case 970:

/* Line 1806 of yacc.c  */
#line 6313 "gram.y"
    { (yyval.ival) = COERCION_EXPLICIT; }
    break;

  case 971:

/* Line 1806 of yacc.c  */
#line 6318 "gram.y"
    {
					DropCastStmt *n = makeNode(DropCastStmt);
					n->sourcetype = (yyvsp[(5) - (9)].typnam);
					n->targettype = (yyvsp[(7) - (9)].typnam);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = (yyvsp[(3) - (9)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 972:

/* Line 1806 of yacc.c  */
#line 6328 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 973:

/* Line 1806 of yacc.c  */
#line 6329 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 974:

/* Line 1806 of yacc.c  */
#line 6344 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(2) - (4)].objtype);
					n->relation = (yyvsp[(3) - (4)].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 975:

/* Line 1806 of yacc.c  */
#line 6352 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 976:

/* Line 1806 of yacc.c  */
#line 6362 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 977:

/* Line 1806 of yacc.c  */
#line 6374 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 978:

/* Line 1806 of yacc.c  */
#line 6375 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 979:

/* Line 1806 of yacc.c  */
#line 6378 "gram.y"
    {  (yyval.boolean) = TRUE; }
    break;

  case 980:

/* Line 1806 of yacc.c  */
#line 6379 "gram.y"
    {  (yyval.boolean) = FALSE; }
    break;

  case 981:

/* Line 1806 of yacc.c  */
#line 6390 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 982:

/* Line 1806 of yacc.c  */
#line 6399 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 983:

/* Line 1806 of yacc.c  */
#line 6407 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 984:

/* Line 1806 of yacc.c  */
#line 6415 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 985:

/* Line 1806 of yacc.c  */
#line 6423 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 986:

/* Line 1806 of yacc.c  */
#line 6432 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 987:

/* Line 1806 of yacc.c  */
#line 6440 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->subname = (yyvsp[(4) - (7)].str);
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 988:

/* Line 1806 of yacc.c  */
#line 6448 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 989:

/* Line 1806 of yacc.c  */
#line 6457 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 990:

/* Line 1806 of yacc.c  */
#line 6466 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 991:

/* Line 1806 of yacc.c  */
#line 6474 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 992:

/* Line 1806 of yacc.c  */
#line 6483 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 993:

/* Line 1806 of yacc.c  */
#line 6492 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 994:

/* Line 1806 of yacc.c  */
#line 6501 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 995:

/* Line 1806 of yacc.c  */
#line 6510 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 996:

/* Line 1806 of yacc.c  */
#line 6519 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 997:

/* Line 1806 of yacc.c  */
#line 6529 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (9)].range);
					n->subname = (yyvsp[(7) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 998:

/* Line 1806 of yacc.c  */
#line 6539 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 999:

/* Line 1806 of yacc.c  */
#line 6548 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1000:

/* Line 1806 of yacc.c  */
#line 6556 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1001:

/* Line 1806 of yacc.c  */
#line 6564 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1002:

/* Line 1806 of yacc.c  */
#line 6572 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1003:

/* Line 1806 of yacc.c  */
#line 6581 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1004:

/* Line 1806 of yacc.c  */
#line 6590 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1005:

/* Line 1806 of yacc.c  */
#line 6598 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1006:

/* Line 1806 of yacc.c  */
#line 6606 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1007:

/* Line 1806 of yacc.c  */
#line 6614 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1008:

/* Line 1806 of yacc.c  */
#line 6622 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1009:

/* Line 1806 of yacc.c  */
#line 6630 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (9)].list), (yylsp[(3) - (9)]), yyscanner);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1010:

/* Line 1806 of yacc.c  */
#line 6642 "gram.y"
    { (yyval.ival) = COLUMN; }
    break;

  case 1011:

/* Line 1806 of yacc.c  */
#line 6643 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1012:

/* Line 1806 of yacc.c  */
#line 6646 "gram.y"
    { (yyval.ival) = 1; }
    break;

  case 1013:

/* Line 1806 of yacc.c  */
#line 6647 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1014:

/* Line 1806 of yacc.c  */
#line 6658 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1015:

/* Line 1806 of yacc.c  */
#line 6667 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1016:

/* Line 1806 of yacc.c  */
#line 6675 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1017:

/* Line 1806 of yacc.c  */
#line 6683 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1018:

/* Line 1806 of yacc.c  */
#line 6691 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1019:

/* Line 1806 of yacc.c  */
#line 6699 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1020:

/* Line 1806 of yacc.c  */
#line 6708 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1021:

/* Line 1806 of yacc.c  */
#line 6717 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newschema = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1022:

/* Line 1806 of yacc.c  */
#line 6726 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newschema = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1023:

/* Line 1806 of yacc.c  */
#line 6735 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1024:

/* Line 1806 of yacc.c  */
#line 6743 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1025:

/* Line 1806 of yacc.c  */
#line 6751 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1026:

/* Line 1806 of yacc.c  */
#line 6759 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1027:

/* Line 1806 of yacc.c  */
#line 6767 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1028:

/* Line 1806 of yacc.c  */
#line 6775 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1029:

/* Line 1806 of yacc.c  */
#line 6783 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1030:

/* Line 1806 of yacc.c  */
#line 6791 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->newschema = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1031:

/* Line 1806 of yacc.c  */
#line 6799 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1032:

/* Line 1806 of yacc.c  */
#line 6815 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1033:

/* Line 1806 of yacc.c  */
#line 6824 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1034:

/* Line 1806 of yacc.c  */
#line 6832 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1035:

/* Line 1806 of yacc.c  */
#line 6840 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1036:

/* Line 1806 of yacc.c  */
#line 6848 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1037:

/* Line 1806 of yacc.c  */
#line 6856 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1038:

/* Line 1806 of yacc.c  */
#line 6865 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1039:

/* Line 1806 of yacc.c  */
#line 6873 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[(4) - (7)].value));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1040:

/* Line 1806 of yacc.c  */
#line 6881 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1041:

/* Line 1806 of yacc.c  */
#line 6890 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1042:

/* Line 1806 of yacc.c  */
#line 6899 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1043:

/* Line 1806 of yacc.c  */
#line 6908 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1044:

/* Line 1806 of yacc.c  */
#line 6916 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1045:

/* Line 1806 of yacc.c  */
#line 6924 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1046:

/* Line 1806 of yacc.c  */
#line 6932 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1047:

/* Line 1806 of yacc.c  */
#line 6940 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1048:

/* Line 1806 of yacc.c  */
#line 6948 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[(5) - (8)].str)));
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1049:

/* Line 1806 of yacc.c  */
#line 6956 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1050:

/* Line 1806 of yacc.c  */
#line 6975 "gram.y"
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[(2) - (13)].boolean);
					n->relation = (yyvsp[(9) - (13)].range);
					n->rulename = (yyvsp[(4) - (13)].str);
					n->whereClause = (yyvsp[(10) - (13)].node);
					n->event = (yyvsp[(7) - (13)].ival);
					n->instead = (yyvsp[(12) - (13)].boolean);
					n->actions = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1051:

/* Line 1806 of yacc.c  */
#line 6989 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1052:

/* Line 1806 of yacc.c  */
#line 6990 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1053:

/* Line 1806 of yacc.c  */
#line 6991 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1054:

/* Line 1806 of yacc.c  */
#line 6997 "gram.y"
    { if ((yyvsp[(3) - (3)].node) != NULL)
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				  else
					(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 1055:

/* Line 1806 of yacc.c  */
#line 7003 "gram.y"
    { if ((yyvsp[(1) - (1)].node) != NULL)
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				  else
					(yyval.list) = NIL;
				}
    break;

  case 1061:

/* Line 1806 of yacc.c  */
#line 7019 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1062:

/* Line 1806 of yacc.c  */
#line 7020 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1063:

/* Line 1806 of yacc.c  */
#line 7023 "gram.y"
    { (yyval.ival) = CMD_SELECT; }
    break;

  case 1064:

/* Line 1806 of yacc.c  */
#line 7024 "gram.y"
    { (yyval.ival) = CMD_UPDATE; }
    break;

  case 1065:

/* Line 1806 of yacc.c  */
#line 7025 "gram.y"
    { (yyval.ival) = CMD_DELETE; }
    break;

  case 1066:

/* Line 1806 of yacc.c  */
#line 7026 "gram.y"
    { (yyval.ival) = CMD_INSERT; }
    break;

  case 1067:

/* Line 1806 of yacc.c  */
#line 7030 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1068:

/* Line 1806 of yacc.c  */
#line 7031 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1069:

/* Line 1806 of yacc.c  */
#line 7032 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1070:

/* Line 1806 of yacc.c  */
#line 7038 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->property = (yyvsp[(3) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->removeType = OBJECT_RULE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1071:

/* Line 1806 of yacc.c  */
#line 7048 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(7) - (8)].range);
					n->property = (yyvsp[(5) - (8)].str);
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->removeType = OBJECT_RULE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1072:

/* Line 1806 of yacc.c  */
#line 7069 "gram.y"
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[(2) - (3)].str);
					n->payload = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1073:

/* Line 1806 of yacc.c  */
#line 7078 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1074:

/* Line 1806 of yacc.c  */
#line 7079 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1075:

/* Line 1806 of yacc.c  */
#line 7083 "gram.y"
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1076:

/* Line 1806 of yacc.c  */
#line 7092 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1077:

/* Line 1806 of yacc.c  */
#line 7098 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1078:

/* Line 1806 of yacc.c  */
#line 7117 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1079:

/* Line 1806 of yacc.c  */
#line 7124 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1080:

/* Line 1806 of yacc.c  */
#line 7131 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1081:

/* Line 1806 of yacc.c  */
#line 7138 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1082:

/* Line 1806 of yacc.c  */
#line 7145 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1083:

/* Line 1806 of yacc.c  */
#line 7152 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1084:

/* Line 1806 of yacc.c  */
#line 7159 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1085:

/* Line 1806 of yacc.c  */
#line 7167 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(3) - (3)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1086:

/* Line 1806 of yacc.c  */
#line 7175 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1087:

/* Line 1806 of yacc.c  */
#line 7183 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(5) - (5)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1088:

/* Line 1806 of yacc.c  */
#line 7191 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(4) - (4)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1089:

/* Line 1806 of yacc.c  */
#line 7199 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1090:

/* Line 1806 of yacc.c  */
#line 7206 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1091:

/* Line 1806 of yacc.c  */
#line 7213 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1092:

/* Line 1806 of yacc.c  */
#line 7221 "gram.y"
    {}
    break;

  case 1093:

/* Line 1806 of yacc.c  */
#line 7222 "gram.y"
    {}
    break;

  case 1094:

/* Line 1806 of yacc.c  */
#line 7223 "gram.y"
    {}
    break;

  case 1095:

/* Line 1806 of yacc.c  */
#line 7228 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)]))); }
    break;

  case 1096:

/* Line 1806 of yacc.c  */
#line 7231 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[(1) - (2)]))); }
    break;

  case 1097:

/* Line 1806 of yacc.c  */
#line 7234 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); }
    break;

  case 1098:

/* Line 1806 of yacc.c  */
#line 7237 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[(1) - (1)]))); }
    break;

  case 1099:

/* Line 1806 of yacc.c  */
#line 7240 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); }
    break;

  case 1100:

/* Line 1806 of yacc.c  */
#line 7247 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 1101:

/* Line 1806 of yacc.c  */
#line 7249 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 1102:

/* Line 1806 of yacc.c  */
#line 7251 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1104:

/* Line 1806 of yacc.c  */
#line 7257 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1105:

/* Line 1806 of yacc.c  */
#line 7271 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(4) - (8)].range);
					n->view->relpersistence = (yyvsp[(2) - (8)].ival);
					n->aliases = (yyvsp[(5) - (8)].list);
					n->query = (yyvsp[(7) - (8)].node);
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1106:

/* Line 1806 of yacc.c  */
#line 7282 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(6) - (10)].range);
					n->view->relpersistence = (yyvsp[(4) - (10)].ival);
					n->aliases = (yyvsp[(7) - (10)].list);
					n->query = (yyvsp[(9) - (10)].node);
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1107:

/* Line 1806 of yacc.c  */
#line 7295 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 1108:

/* Line 1806 of yacc.c  */
#line 7301 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 1109:

/* Line 1806 of yacc.c  */
#line 7307 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 1110:

/* Line 1806 of yacc.c  */
#line 7312 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1111:

/* Line 1806 of yacc.c  */
#line 7323 "gram.y"
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1112:

/* Line 1806 of yacc.c  */
#line 7339 "gram.y"
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1113:

/* Line 1806 of yacc.c  */
#line 7348 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1114:

/* Line 1806 of yacc.c  */
#line 7349 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1115:

/* Line 1806 of yacc.c  */
#line 7354 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1116:

/* Line 1806 of yacc.c  */
#line 7358 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				}
    break;

  case 1117:

/* Line 1806 of yacc.c  */
#line 7362 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1118:

/* Line 1806 of yacc.c  */
#line 7366 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				}
    break;

  case 1119:

/* Line 1806 of yacc.c  */
#line 7370 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1120:

/* Line 1806 of yacc.c  */
#line 7374 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				}
    break;

  case 1121:

/* Line 1806 of yacc.c  */
#line 7378 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1122:

/* Line 1806 of yacc.c  */
#line 7382 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				}
    break;

  case 1123:

/* Line 1806 of yacc.c  */
#line 7386 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				}
    break;

  case 1124:

/* Line 1806 of yacc.c  */
#line 7390 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1125:

/* Line 1806 of yacc.c  */
#line 7394 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				}
    break;

  case 1126:

/* Line 1806 of yacc.c  */
#line 7398 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1127:

/* Line 1806 of yacc.c  */
#line 7402 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				}
    break;

  case 1128:

/* Line 1806 of yacc.c  */
#line 7406 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				}
    break;

  case 1129:

/* Line 1806 of yacc.c  */
#line 7410 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1130:

/* Line 1806 of yacc.c  */
#line 7414 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				}
    break;

  case 1131:

/* Line 1806 of yacc.c  */
#line 7423 "gram.y"
    {}
    break;

  case 1132:

/* Line 1806 of yacc.c  */
#line 7424 "gram.y"
    {}
    break;

  case 1133:

/* Line 1806 of yacc.c  */
#line 7436 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1134:

/* Line 1806 of yacc.c  */
#line 7443 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (6)].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[(6) - (6)].str))));
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1135:

/* Line 1806 of yacc.c  */
#line 7454 "gram.y"
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[(3) - (4)].str);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1136:

/* Line 1806 of yacc.c  */
#line 7464 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1137:

/* Line 1806 of yacc.c  */
#line 7465 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1138:

/* Line 1806 of yacc.c  */
#line 7470 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				}
    break;

  case 1139:

/* Line 1806 of yacc.c  */
#line 7484 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(3) - (3)].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1140:

/* Line 1806 of yacc.c  */
#line 7491 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(5) - (5)].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1141:

/* Line 1806 of yacc.c  */
#line 7508 "gram.y"
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[(3) - (6)].list);
					n->typeName = (yyvsp[(5) - (6)].typnam);
					SplitColQualList((yyvsp[(6) - (6)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1142:

/* Line 1806 of yacc.c  */
#line 7521 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[(3) - (4)].list);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1143:

/* Line 1806 of yacc.c  */
#line 7530 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1144:

/* Line 1806 of yacc.c  */
#line 7538 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1145:

/* Line 1806 of yacc.c  */
#line 7546 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[(3) - (5)].list);
					n->def = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1146:

/* Line 1806 of yacc.c  */
#line 7555 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (7)].list);
					n->name = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1147:

/* Line 1806 of yacc.c  */
#line 7565 "gram.y"
    {}
    break;

  case 1148:

/* Line 1806 of yacc.c  */
#line 7566 "gram.y"
    {}
    break;

  case 1149:

/* Line 1806 of yacc.c  */
#line 7578 "gram.y"
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[(5) - (6)].list);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1150:

/* Line 1806 of yacc.c  */
#line 7588 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1151:

/* Line 1806 of yacc.c  */
#line 7598 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1152:

/* Line 1806 of yacc.c  */
#line 7608 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[(9) - (11)].list),(yyvsp[(11) - (11)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1153:

/* Line 1806 of yacc.c  */
#line 7618 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (13)].list);
					n->tokentype = (yyvsp[(9) - (13)].list);
					n->dicts = list_make2((yyvsp[(11) - (13)].list),(yyvsp[(13) - (13)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1154:

/* Line 1806 of yacc.c  */
#line 7628 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (9)].list);
					n->tokentype = (yyvsp[(9) - (9)].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1155:

/* Line 1806 of yacc.c  */
#line 7636 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(11) - (11)].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1156:

/* Line 1806 of yacc.c  */
#line 7658 "gram.y"
    {
			  CreateConversionStmt *n = makeNode(CreateConversionStmt);
			  n->conversion_name = (yyvsp[(4) - (10)].list);
			  n->for_encoding_name = (yyvsp[(6) - (10)].str);
			  n->to_encoding_name = (yyvsp[(8) - (10)].str);
			  n->func_name = (yyvsp[(10) - (10)].list);
			  n->def = (yyvsp[(2) - (10)].boolean);
			  (yyval.node) = (Node *)n;
			}
    break;

  case 1157:

/* Line 1806 of yacc.c  */
#line 7680 "gram.y"
    {
			       ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = (yyvsp[(3) - (4)].range);
				   n->indexname = (yyvsp[(4) - (4)].str);
				   n->verbose = (yyvsp[(2) - (4)].boolean);
				   (yyval.node) = (Node*)n;
				}
    break;

  case 1158:

/* Line 1806 of yacc.c  */
#line 7688 "gram.y"
    {
				   ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = NULL;
				   n->indexname = NULL;
				   n->verbose = (yyvsp[(2) - (2)].boolean);
				   (yyval.node) = (Node*)n;
				}
    break;

  case 1159:

/* Line 1806 of yacc.c  */
#line 7697 "gram.y"
    {
				   ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = (yyvsp[(5) - (5)].range);
				   n->indexname = (yyvsp[(3) - (5)].str);
				   n->verbose = (yyvsp[(2) - (5)].boolean);
				   (yyval.node) = (Node*)n;
				}
    break;

  case 1160:

/* Line 1806 of yacc.c  */
#line 7707 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1161:

/* Line 1806 of yacc.c  */
#line 7708 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1162:

/* Line 1806 of yacc.c  */
#line 7721 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1163:

/* Line 1806 of yacc.c  */
#line 7735 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->relation = (yyvsp[(5) - (5)].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1164:

/* Line 1806 of yacc.c  */
#line 7749 "gram.y"
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[(5) - (5)].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1165:

/* Line 1806 of yacc.c  */
#line 7761 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (4)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1166:

/* Line 1806 of yacc.c  */
#line 7773 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (6)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = (yyvsp[(5) - (6)].range);
					n->va_cols = (yyvsp[(6) - (6)].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1167:

/* Line 1806 of yacc.c  */
#line 7789 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1168:

/* Line 1806 of yacc.c  */
#line 7790 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 1169:

/* Line 1806 of yacc.c  */
#line 7794 "gram.y"
    { (yyval.ival) = VACOPT_ANALYZE; }
    break;

  case 1170:

/* Line 1806 of yacc.c  */
#line 7795 "gram.y"
    { (yyval.ival) = VACOPT_VERBOSE; }
    break;

  case 1171:

/* Line 1806 of yacc.c  */
#line 7796 "gram.y"
    { (yyval.ival) = VACOPT_FREEZE; }
    break;

  case 1172:

/* Line 1806 of yacc.c  */
#line 7797 "gram.y"
    { (yyval.ival) = VACOPT_FULL; }
    break;

  case 1173:

/* Line 1806 of yacc.c  */
#line 7802 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (2)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1174:

/* Line 1806 of yacc.c  */
#line 7814 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = (yyvsp[(3) - (4)].range);
					n->va_cols = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1175:

/* Line 1806 of yacc.c  */
#line 7828 "gram.y"
    {}
    break;

  case 1176:

/* Line 1806 of yacc.c  */
#line 7829 "gram.y"
    {}
    break;

  case 1177:

/* Line 1806 of yacc.c  */
#line 7833 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1178:

/* Line 1806 of yacc.c  */
#line 7834 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1179:

/* Line 1806 of yacc.c  */
#line 7837 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1180:

/* Line 1806 of yacc.c  */
#line 7838 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1181:

/* Line 1806 of yacc.c  */
#line 7841 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1182:

/* Line 1806 of yacc.c  */
#line 7842 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1183:

/* Line 1806 of yacc.c  */
#line 7846 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1184:

/* Line 1806 of yacc.c  */
#line 7847 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1185:

/* Line 1806 of yacc.c  */
#line 7861 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(2) - (2)].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1186:

/* Line 1806 of yacc.c  */
#line 7868 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(4) - (4)].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[(3) - (4)].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1187:

/* Line 1806 of yacc.c  */
#line 7878 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(3) - (3)].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1188:

/* Line 1806 of yacc.c  */
#line 7885 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(5) - (5)].node);
					n->options = (yyvsp[(3) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1196:

/* Line 1806 of yacc.c  */
#line 7905 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 1197:

/* Line 1806 of yacc.c  */
#line 7909 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 1198:

/* Line 1806 of yacc.c  */
#line 7916 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 1199:

/* Line 1806 of yacc.c  */
#line 7922 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1200:

/* Line 1806 of yacc.c  */
#line 7923 "gram.y"
    { (yyval.str) = "analyze"; }
    break;

  case 1201:

/* Line 1806 of yacc.c  */
#line 7927 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 1202:

/* Line 1806 of yacc.c  */
#line 7928 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); }
    break;

  case 1203:

/* Line 1806 of yacc.c  */
#line 7929 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1204:

/* Line 1806 of yacc.c  */
#line 7940 "gram.y"
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[(2) - (5)].str);
					n->argtypes = (yyvsp[(3) - (5)].list);
					n->query = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1205:

/* Line 1806 of yacc.c  */
#line 7949 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1206:

/* Line 1806 of yacc.c  */
#line 7950 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1211:

/* Line 1806 of yacc.c  */
#line 7968 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(2) - (3)].str);
					n->params = (yyvsp[(3) - (3)].list);
					n->into = NULL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1212:

/* Line 1806 of yacc.c  */
#line 7977 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(7) - (8)].str);
					n->params = (yyvsp[(8) - (8)].list);
					(yyvsp[(4) - (8)].into)->rel->relpersistence = (yyvsp[(2) - (8)].ival);
					n->into = (yyvsp[(4) - (8)].into);
					if ((yyvsp[(4) - (8)].into)->colNames)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("column name list not allowed in CREATE TABLE / AS EXECUTE")));
					/* ... because it's not implemented, but it could be */
					(yyval.node) = (Node *) n;
				}
    break;

  case 1213:

/* Line 1806 of yacc.c  */
#line 7992 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1214:

/* Line 1806 of yacc.c  */
#line 7993 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1215:

/* Line 1806 of yacc.c  */
#line 8004 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(2) - (2)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1216:

/* Line 1806 of yacc.c  */
#line 8010 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(3) - (3)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1217:

/* Line 1806 of yacc.c  */
#line 8016 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1218:

/* Line 1806 of yacc.c  */
#line 8022 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1219:

/* Line 1806 of yacc.c  */
#line 8038 "gram.y"
    {
					(yyvsp[(5) - (6)].istmt)->relation = (yyvsp[(4) - (6)].range);
					(yyvsp[(5) - (6)].istmt)->returningList = (yyvsp[(6) - (6)].list);
					(yyvsp[(5) - (6)].istmt)->withClause = (yyvsp[(1) - (6)].with);
					(yyval.node) = (Node *) (yyvsp[(5) - (6)].istmt);
				}
    break;

  case 1220:

/* Line 1806 of yacc.c  */
#line 8048 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[(1) - (1)].node);
				}
    break;

  case 1221:

/* Line 1806 of yacc.c  */
#line 8054 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[(2) - (4)].list);
					(yyval.istmt)->selectStmt = (yyvsp[(4) - (4)].node);
				}
    break;

  case 1222:

/* Line 1806 of yacc.c  */
#line 8060 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
    break;

  case 1223:

/* Line 1806 of yacc.c  */
#line 8069 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1224:

/* Line 1806 of yacc.c  */
#line 8071 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1225:

/* Line 1806 of yacc.c  */
#line 8076 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1226:

/* Line 1806 of yacc.c  */
#line 8086 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1227:

/* Line 1806 of yacc.c  */
#line 8087 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1228:

/* Line 1806 of yacc.c  */
#line 8100 "gram.y"
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[(4) - (7)].range);
					n->usingClause = (yyvsp[(5) - (7)].list);
					n->whereClause = (yyvsp[(6) - (7)].node);
					n->returningList = (yyvsp[(7) - (7)].list);
					n->withClause = (yyvsp[(1) - (7)].with);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1229:

/* Line 1806 of yacc.c  */
#line 8112 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1230:

/* Line 1806 of yacc.c  */
#line 8113 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1231:

/* Line 1806 of yacc.c  */
#line 8125 "gram.y"
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[(3) - (5)].list);
					n->mode = (yyvsp[(4) - (5)].ival);
					n->nowait = (yyvsp[(5) - (5)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1232:

/* Line 1806 of yacc.c  */
#line 8135 "gram.y"
    { (yyval.ival) = (yyvsp[(2) - (3)].ival); }
    break;

  case 1233:

/* Line 1806 of yacc.c  */
#line 8136 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1234:

/* Line 1806 of yacc.c  */
#line 8139 "gram.y"
    { (yyval.ival) = AccessShareLock; }
    break;

  case 1235:

/* Line 1806 of yacc.c  */
#line 8140 "gram.y"
    { (yyval.ival) = RowShareLock; }
    break;

  case 1236:

/* Line 1806 of yacc.c  */
#line 8141 "gram.y"
    { (yyval.ival) = RowExclusiveLock; }
    break;

  case 1237:

/* Line 1806 of yacc.c  */
#line 8142 "gram.y"
    { (yyval.ival) = ShareUpdateExclusiveLock; }
    break;

  case 1238:

/* Line 1806 of yacc.c  */
#line 8143 "gram.y"
    { (yyval.ival) = ShareLock; }
    break;

  case 1239:

/* Line 1806 of yacc.c  */
#line 8144 "gram.y"
    { (yyval.ival) = ShareRowExclusiveLock; }
    break;

  case 1240:

/* Line 1806 of yacc.c  */
#line 8145 "gram.y"
    { (yyval.ival) = ExclusiveLock; }
    break;

  case 1241:

/* Line 1806 of yacc.c  */
#line 8146 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1242:

/* Line 1806 of yacc.c  */
#line 8149 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1243:

/* Line 1806 of yacc.c  */
#line 8150 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1244:

/* Line 1806 of yacc.c  */
#line 8166 "gram.y"
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[(3) - (8)].range);
					n->targetList = (yyvsp[(5) - (8)].list);
					n->fromClause = (yyvsp[(6) - (8)].list);
					n->whereClause = (yyvsp[(7) - (8)].node);
					n->returningList = (yyvsp[(8) - (8)].list);
					n->withClause = (yyvsp[(1) - (8)].with);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1245:

/* Line 1806 of yacc.c  */
#line 8179 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1246:

/* Line 1806 of yacc.c  */
#line 8180 "gram.y"
    { (yyval.list) = list_concat((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].list)); }
    break;

  case 1247:

/* Line 1806 of yacc.c  */
#line 8184 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1248:

/* Line 1806 of yacc.c  */
#line 8185 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1249:

/* Line 1806 of yacc.c  */
#line 8190 "gram.y"
    {
					(yyval.target) = (yyvsp[(1) - (3)].target);
					(yyval.target)->val = (Node *) (yyvsp[(3) - (3)].node);
				}
    break;

  case 1250:

/* Line 1806 of yacc.c  */
#line 8198 "gram.y"
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[(2) - (5)].list)) != list_length((yyvsp[(5) - (5)].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[(1) - (5)]))));
					forboth(col_cell, (yyvsp[(2) - (5)].list), val_cell, (yyvsp[(5) - (5)].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[(2) - (5)].list);
				}
    break;

  case 1251:

/* Line 1806 of yacc.c  */
#line 8226 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1252:

/* Line 1806 of yacc.c  */
#line 8236 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1253:

/* Line 1806 of yacc.c  */
#line 8237 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].target)); }
    break;

  case 1254:

/* Line 1806 of yacc.c  */
#line 8248 "gram.y"
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[(2) - (7)].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[(3) - (7)].ival) | (yyvsp[(5) - (7)].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1255:

/* Line 1806 of yacc.c  */
#line 8258 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1256:

/* Line 1806 of yacc.c  */
#line 8261 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1257:

/* Line 1806 of yacc.c  */
#line 8262 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | CURSOR_OPT_NO_SCROLL; }
    break;

  case 1258:

/* Line 1806 of yacc.c  */
#line 8263 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_SCROLL; }
    break;

  case 1259:

/* Line 1806 of yacc.c  */
#line 8264 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_BINARY; }
    break;

  case 1260:

/* Line 1806 of yacc.c  */
#line 8265 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_INSENSITIVE; }
    break;

  case 1261:

/* Line 1806 of yacc.c  */
#line 8268 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1262:

/* Line 1806 of yacc.c  */
#line 8269 "gram.y"
    { (yyval.ival) = CURSOR_OPT_HOLD; }
    break;

  case 1263:

/* Line 1806 of yacc.c  */
#line 8270 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1266:

/* Line 1806 of yacc.c  */
#line 8323 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1267:

/* Line 1806 of yacc.c  */
#line 8324 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1268:

/* Line 1806 of yacc.c  */
#line 8338 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1269:

/* Line 1806 of yacc.c  */
#line 8340 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (2)].node);
				}
    break;

  case 1270:

/* Line 1806 of yacc.c  */
#line 8347 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(3) - (4)].list),
										list_nth((yyvsp[(4) - (4)].list), 0), list_nth((yyvsp[(4) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1271:

/* Line 1806 of yacc.c  */
#line 8355 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(4) - (4)].list),
										list_nth((yyvsp[(3) - (4)].list), 0), list_nth((yyvsp[(3) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1272:

/* Line 1806 of yacc.c  */
#line 8363 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (2)].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[(1) - (2)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (2)].node);
				}
    break;

  case 1273:

/* Line 1806 of yacc.c  */
#line 8371 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].list), NIL,
										NULL, NULL,
										(yyvsp[(1) - (3)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (3)].node);
				}
    break;

  case 1274:

/* Line 1806 of yacc.c  */
#line 8379 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(4) - (5)].list),
										list_nth((yyvsp[(5) - (5)].list), 0), list_nth((yyvsp[(5) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1275:

/* Line 1806 of yacc.c  */
#line 8387 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(5) - (5)].list),
										list_nth((yyvsp[(4) - (5)].list), 0), list_nth((yyvsp[(4) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1276:

/* Line 1806 of yacc.c  */
#line 8397 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1277:

/* Line 1806 of yacc.c  */
#line 8398 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1278:

/* Line 1806 of yacc.c  */
#line 8428 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[(2) - (9)].list);
					n->targetList = (yyvsp[(3) - (9)].list);
					n->intoClause = (yyvsp[(4) - (9)].into);
					n->fromClause = (yyvsp[(5) - (9)].list);
					n->whereClause = (yyvsp[(6) - (9)].node);
					n->groupClause = (yyvsp[(7) - (9)].list);
					n->havingClause = (yyvsp[(8) - (9)].node);
					n->windowClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1279:

/* Line 1806 of yacc.c  */
#line 8440 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1280:

/* Line 1806 of yacc.c  */
#line 8442 "gram.y"
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[(2) - (2)].range));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1281:

/* Line 1806 of yacc.c  */
#line 8461 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1282:

/* Line 1806 of yacc.c  */
#line 8465 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1283:

/* Line 1806 of yacc.c  */
#line 8469 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1284:

/* Line 1806 of yacc.c  */
#line 8484 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(2) - (2)].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[(1) - (2)]);
			}
    break;

  case 1285:

/* Line 1806 of yacc.c  */
#line 8491 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(3) - (3)].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[(1) - (3)]);
			}
    break;

  case 1286:

/* Line 1806 of yacc.c  */
#line 8500 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1287:

/* Line 1806 of yacc.c  */
#line 8501 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1288:

/* Line 1806 of yacc.c  */
#line 8505 "gram.y"
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[(1) - (6)].str);
				n->aliascolnames = (yyvsp[(2) - (6)].list);
				n->ctequery = (yyvsp[(5) - (6)].node);
				n->location = (yylsp[(1) - (6)]);
				(yyval.node) = (Node *) n;
			}
    break;

  case 1289:

/* Line 1806 of yacc.c  */
#line 8516 "gram.y"
    { (yyval.with) = (yyvsp[(1) - (1)].with); }
    break;

  case 1290:

/* Line 1806 of yacc.c  */
#line 8517 "gram.y"
    { (yyval.with) = NULL; }
    break;

  case 1291:

/* Line 1806 of yacc.c  */
#line 8522 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(2) - (2)].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
				}
    break;

  case 1292:

/* Line 1806 of yacc.c  */
#line 8531 "gram.y"
    { (yyval.into) = NULL; }
    break;

  case 1293:

/* Line 1806 of yacc.c  */
#line 8540 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1294:

/* Line 1806 of yacc.c  */
#line 8545 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1295:

/* Line 1806 of yacc.c  */
#line 8550 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1296:

/* Line 1806 of yacc.c  */
#line 8555 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1297:

/* Line 1806 of yacc.c  */
#line 8560 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1298:

/* Line 1806 of yacc.c  */
#line 8565 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1299:

/* Line 1806 of yacc.c  */
#line 8570 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
    break;

  case 1300:

/* Line 1806 of yacc.c  */
#line 8575 "gram.y"
    {
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
    break;

  case 1301:

/* Line 1806 of yacc.c  */
#line 8580 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
    break;

  case 1302:

/* Line 1806 of yacc.c  */
#line 8586 "gram.y"
    {}
    break;

  case 1303:

/* Line 1806 of yacc.c  */
#line 8587 "gram.y"
    {}
    break;

  case 1304:

/* Line 1806 of yacc.c  */
#line 8590 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1305:

/* Line 1806 of yacc.c  */
#line 8591 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1306:

/* Line 1806 of yacc.c  */
#line 8592 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1307:

/* Line 1806 of yacc.c  */
#line 8599 "gram.y"
    { (yyval.list) = list_make1(NIL); }
    break;

  case 1308:

/* Line 1806 of yacc.c  */
#line 8600 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); }
    break;

  case 1309:

/* Line 1806 of yacc.c  */
#line 8601 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1310:

/* Line 1806 of yacc.c  */
#line 8602 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1311:

/* Line 1806 of yacc.c  */
#line 8606 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list);}
    break;

  case 1312:

/* Line 1806 of yacc.c  */
#line 8607 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1313:

/* Line 1806 of yacc.c  */
#line 8611 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1314:

/* Line 1806 of yacc.c  */
#line 8615 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].sortby)); }
    break;

  case 1315:

/* Line 1806 of yacc.c  */
#line 8616 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].sortby)); }
    break;

  case 1316:

/* Line 1806 of yacc.c  */
#line 8620 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (4)].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[(4) - (4)].ival);
					(yyval.sortby)->useOp = (yyvsp[(3) - (4)].list);
					(yyval.sortby)->location = (yylsp[(3) - (4)]);
				}
    break;

  case 1317:

/* Line 1806 of yacc.c  */
#line 8629 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (3)].node);
					(yyval.sortby)->sortby_dir = (yyvsp[(2) - (3)].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[(3) - (3)].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
    break;

  case 1318:

/* Line 1806 of yacc.c  */
#line 8641 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (2)].node), (yyvsp[(1) - (2)].node)); }
    break;

  case 1319:

/* Line 1806 of yacc.c  */
#line 8642 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node)); }
    break;

  case 1320:

/* Line 1806 of yacc.c  */
#line 8643 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(1) - (1)].node)); }
    break;

  case 1321:

/* Line 1806 of yacc.c  */
#line 8644 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (1)].node), NULL); }
    break;

  case 1322:

/* Line 1806 of yacc.c  */
#line 8648 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1323:

/* Line 1806 of yacc.c  */
#line 8649 "gram.y"
    { (yyval.list) = list_make2(NULL,NULL); }
    break;

  case 1324:

/* Line 1806 of yacc.c  */
#line 8654 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1325:

/* Line 1806 of yacc.c  */
#line 8656 "gram.y"
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[(1) - (4)]))));
				}
    break;

  case 1326:

/* Line 1806 of yacc.c  */
#line 8666 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (5)].node); }
    break;

  case 1327:

/* Line 1806 of yacc.c  */
#line 8671 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1328:

/* Line 1806 of yacc.c  */
#line 8674 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1329:

/* Line 1806 of yacc.c  */
#line 8678 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1330:

/* Line 1806 of yacc.c  */
#line 8680 "gram.y"
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1331:

/* Line 1806 of yacc.c  */
#line 8687 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1332:

/* Line 1806 of yacc.c  */
#line 8697 "gram.y"
    { (yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)])); }
    break;

  case 1333:

/* Line 1806 of yacc.c  */
#line 8698 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1334:

/* Line 1806 of yacc.c  */
#line 8699 "gram.y"
    { (yyval.node) = makeIntConst(1, -1); }
    break;

  case 1335:

/* Line 1806 of yacc.c  */
#line 8707 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1336:

/* Line 1806 of yacc.c  */
#line 8711 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1337:

/* Line 1806 of yacc.c  */
#line 8712 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1338:

/* Line 1806 of yacc.c  */
#line 8715 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1339:

/* Line 1806 of yacc.c  */
#line 8716 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1340:

/* Line 1806 of yacc.c  */
#line 8721 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1341:

/* Line 1806 of yacc.c  */
#line 8722 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1342:

/* Line 1806 of yacc.c  */
#line 8726 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1343:

/* Line 1806 of yacc.c  */
#line 8727 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1344:

/* Line 1806 of yacc.c  */
#line 8731 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1345:

/* Line 1806 of yacc.c  */
#line 8732 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1346:

/* Line 1806 of yacc.c  */
#line 8736 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1347:

/* Line 1806 of yacc.c  */
#line 8737 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1348:

/* Line 1806 of yacc.c  */
#line 8741 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1349:

/* Line 1806 of yacc.c  */
#line 8742 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1350:

/* Line 1806 of yacc.c  */
#line 8747 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = TRUE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1351:

/* Line 1806 of yacc.c  */
#line 8755 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = FALSE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1352:

/* Line 1806 of yacc.c  */
#line 8765 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1353:

/* Line 1806 of yacc.c  */
#line 8766 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1354:

/* Line 1806 of yacc.c  */
#line 8772 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1355:

/* Line 1806 of yacc.c  */
#line 8778 "gram.y"
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[(1) - (3)].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1356:

/* Line 1806 of yacc.c  */
#line 8795 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1357:

/* Line 1806 of yacc.c  */
#line 8796 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1358:

/* Line 1806 of yacc.c  */
#line 8800 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1359:

/* Line 1806 of yacc.c  */
#line 8801 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1360:

/* Line 1806 of yacc.c  */
#line 8812 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].range);
				}
    break;

  case 1361:

/* Line 1806 of yacc.c  */
#line 8816 "gram.y"
    {
					(yyvsp[(1) - (2)].range)->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) (yyvsp[(1) - (2)].range);
				}
    break;

  case 1362:

/* Line 1806 of yacc.c  */
#line 8821 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (1)].node);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1363:

/* Line 1806 of yacc.c  */
#line 8828 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1364:

/* Line 1806 of yacc.c  */
#line 8836 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1365:

/* Line 1806 of yacc.c  */
#line 8843 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (6)].node);
					a->aliasname = (yyvsp[(3) - (6)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1366:

/* Line 1806 of yacc.c  */
#line 8853 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					a->aliasname = (yyvsp[(2) - (5)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1367:

/* Line 1806 of yacc.c  */
#line 8863 "gram.y"
    {
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if (IsA((yyvsp[(1) - (1)].node), SelectStmt) &&
						((SelectStmt *) (yyvsp[(1) - (1)].node))->valuesLists)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("VALUES in FROM must have an alias"),
								 errhint("For example, FROM (VALUES ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("subquery in FROM must have an alias"),
								 errhint("For example, FROM (SELECT ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.node) = NULL;
				}
    break;

  case 1368:

/* Line 1806 of yacc.c  */
#line 8891 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->subquery = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1369:

/* Line 1806 of yacc.c  */
#line 8898 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].jexpr);
				}
    break;

  case 1370:

/* Line 1806 of yacc.c  */
#line 8902 "gram.y"
    {
					(yyvsp[(2) - (4)].jexpr)->alias = (yyvsp[(4) - (4)].alias);
					(yyval.node) = (Node *) (yyvsp[(2) - (4)].jexpr);
				}
    break;

  case 1371:

/* Line 1806 of yacc.c  */
#line 8928 "gram.y"
    {
					(yyval.jexpr) = (yyvsp[(2) - (3)].jexpr);
				}
    break;

  case 1372:

/* Line 1806 of yacc.c  */
#line 8932 "gram.y"
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
    break;

  case 1373:

/* Line 1806 of yacc.c  */
#line 8944 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(2) - (5)].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(4) - (5)].node);
					if ((yyvsp[(5) - (5)].node) != NULL && IsA((yyvsp[(5) - (5)].node), List))
						n->usingClause = (List *) (yyvsp[(5) - (5)].node); /* USING clause */
					else
						n->quals = (yyvsp[(5) - (5)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1374:

/* Line 1806 of yacc.c  */
#line 8957 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(3) - (4)].node);
					if ((yyvsp[(4) - (4)].node) != NULL && IsA((yyvsp[(4) - (4)].node), List))
						n->usingClause = (List *) (yyvsp[(4) - (4)].node); /* USING clause */
					else
						n->quals = (yyvsp[(4) - (4)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1375:

/* Line 1806 of yacc.c  */
#line 8971 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(3) - (5)].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(5) - (5)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1376:

/* Line 1806 of yacc.c  */
#line 8982 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1377:

/* Line 1806 of yacc.c  */
#line 8997 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.alias)->colnames = (yyvsp[(4) - (5)].list);
				}
    break;

  case 1378:

/* Line 1806 of yacc.c  */
#line 9003 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (2)].str);
				}
    break;

  case 1379:

/* Line 1806 of yacc.c  */
#line 9008 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.alias)->colnames = (yyvsp[(3) - (4)].list);
				}
    break;

  case 1380:

/* Line 1806 of yacc.c  */
#line 9014 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (1)].str);
				}
    break;

  case 1381:

/* Line 1806 of yacc.c  */
#line 9020 "gram.y"
    { (yyval.jtype) = JOIN_FULL; }
    break;

  case 1382:

/* Line 1806 of yacc.c  */
#line 9021 "gram.y"
    { (yyval.jtype) = JOIN_LEFT; }
    break;

  case 1383:

/* Line 1806 of yacc.c  */
#line 9022 "gram.y"
    { (yyval.jtype) = JOIN_RIGHT; }
    break;

  case 1384:

/* Line 1806 of yacc.c  */
#line 9023 "gram.y"
    { (yyval.jtype) = JOIN_INNER; }
    break;

  case 1385:

/* Line 1806 of yacc.c  */
#line 9027 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1386:

/* Line 1806 of yacc.c  */
#line 9028 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1387:

/* Line 1806 of yacc.c  */
#line 9040 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(3) - (4)].list); }
    break;

  case 1388:

/* Line 1806 of yacc.c  */
#line 9041 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1389:

/* Line 1806 of yacc.c  */
#line 9047 "gram.y"
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1390:

/* Line 1806 of yacc.c  */
#line 9054 "gram.y"
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[(1) - (2)].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1391:

/* Line 1806 of yacc.c  */
#line 9061 "gram.y"
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1392:

/* Line 1806 of yacc.c  */
#line 9068 "gram.y"
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[(3) - (4)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1393:

/* Line 1806 of yacc.c  */
#line 9078 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1394:

/* Line 1806 of yacc.c  */
#line 9079 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1395:

/* Line 1806 of yacc.c  */
#line 9093 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
				}
    break;

  case 1396:

/* Line 1806 of yacc.c  */
#line 9097 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(2) - (2)].str);
					(yyvsp[(1) - (2)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (2)].range);
				}
    break;

  case 1397:

/* Line 1806 of yacc.c  */
#line 9104 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(3) - (3)].str);
					(yyvsp[(1) - (3)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (3)].range);
				}
    break;

  case 1398:

/* Line 1806 of yacc.c  */
#line 9113 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1399:

/* Line 1806 of yacc.c  */
#line 9118 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1400:

/* Line 1806 of yacc.c  */
#line 9119 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1401:

/* Line 1806 of yacc.c  */
#line 9124 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1402:

/* Line 1806 of yacc.c  */
#line 9126 "gram.y"
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[(4) - (4)].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1403:

/* Line 1806 of yacc.c  */
#line 9133 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1404:

/* Line 1806 of yacc.c  */
#line 9138 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1405:

/* Line 1806 of yacc.c  */
#line 9139 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1406:

/* Line 1806 of yacc.c  */
#line 9144 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1407:

/* Line 1806 of yacc.c  */
#line 9148 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1408:

/* Line 1806 of yacc.c  */
#line 9154 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[(3) - (3)].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1409:

/* Line 1806 of yacc.c  */
#line 9183 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1410:

/* Line 1806 of yacc.c  */
#line 9188 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1411:

/* Line 1806 of yacc.c  */
#line 9195 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(4) - (5)].ival)));
				}
    break;

  case 1412:

/* Line 1806 of yacc.c  */
#line 9200 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (6)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(5) - (6)].ival)));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1413:

/* Line 1806 of yacc.c  */
#line 9206 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
    break;

  case 1414:

/* Line 1806 of yacc.c  */
#line 9211 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1415:

/* Line 1806 of yacc.c  */
#line 9220 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeInteger(-1)); }
    break;

  case 1416:

/* Line 1806 of yacc.c  */
#line 9222 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (4)].list), makeInteger((yyvsp[(3) - (4)].ival))); }
    break;

  case 1417:

/* Line 1806 of yacc.c  */
#line 9224 "gram.y"
    {  (yyval.list) = NIL; }
    break;

  case 1418:

/* Line 1806 of yacc.c  */
#line 9228 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1419:

/* Line 1806 of yacc.c  */
#line 9229 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1420:

/* Line 1806 of yacc.c  */
#line 9230 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1421:

/* Line 1806 of yacc.c  */
#line 9231 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1422:

/* Line 1806 of yacc.c  */
#line 9232 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1423:

/* Line 1806 of yacc.c  */
#line 9234 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1424:

/* Line 1806 of yacc.c  */
#line 9239 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					if ((yyvsp[(5) - (5)].list) != NIL)
					{
						if (list_length((yyvsp[(5) - (5)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (5)]))));
						(yyval.typnam)->typmods = lappend((yyvsp[(5) - (5)].list), makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
				}
    break;

  case 1425:

/* Line 1806 of yacc.c  */
#line 9268 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1426:

/* Line 1806 of yacc.c  */
#line 9269 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1427:

/* Line 1806 of yacc.c  */
#line 9270 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1428:

/* Line 1806 of yacc.c  */
#line 9271 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1429:

/* Line 1806 of yacc.c  */
#line 9283 "gram.y"
    {
					(yyval.typnam) = makeTypeName((yyvsp[(1) - (2)].str));
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1430:

/* Line 1806 of yacc.c  */
#line 9289 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(2) - (3)].list)));
					(yyval.typnam)->typmods = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1431:

/* Line 1806 of yacc.c  */
#line 9296 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1432:

/* Line 1806 of yacc.c  */
#line 9297 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1433:

/* Line 1806 of yacc.c  */
#line 9304 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1434:

/* Line 1806 of yacc.c  */
#line 9309 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1435:

/* Line 1806 of yacc.c  */
#line 9314 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1436:

/* Line 1806 of yacc.c  */
#line 9319 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1437:

/* Line 1806 of yacc.c  */
#line 9324 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1438:

/* Line 1806 of yacc.c  */
#line 9329 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (2)].typnam);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1439:

/* Line 1806 of yacc.c  */
#line 9334 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1440:

/* Line 1806 of yacc.c  */
#line 9339 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1441:

/* Line 1806 of yacc.c  */
#line 9345 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1442:

/* Line 1806 of yacc.c  */
#line 9351 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1443:

/* Line 1806 of yacc.c  */
#line 9357 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1444:

/* Line 1806 of yacc.c  */
#line 9364 "gram.y"
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[(2) - (3)].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[(2) - (3)]))));
					else if ((yyvsp[(2) - (3)].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[(2) - (3)].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[(2) - (3)]))));
				}
    break;

  case 1445:

/* Line 1806 of yacc.c  */
#line 9385 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
    break;

  case 1446:

/* Line 1806 of yacc.c  */
#line 9395 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1447:

/* Line 1806 of yacc.c  */
#line 9399 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1448:

/* Line 1806 of yacc.c  */
#line 9407 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1449:

/* Line 1806 of yacc.c  */
#line 9411 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1450:

/* Line 1806 of yacc.c  */
#line 9419 "gram.y"
    {
					char *typname;

					typname = (yyvsp[(2) - (5)].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[(4) - (5)].list);
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1451:

/* Line 1806 of yacc.c  */
#line 9431 "gram.y"
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[(2) - (2)].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1452:

/* Line 1806 of yacc.c  */
#line 9452 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1453:

/* Line 1806 of yacc.c  */
#line 9456 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1454:

/* Line 1806 of yacc.c  */
#line 9462 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1455:

/* Line 1806 of yacc.c  */
#line 9466 "gram.y"
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1456:

/* Line 1806 of yacc.c  */
#line 9479 "gram.y"
    {
					if (((yyvsp[(5) - (5)].str) != NULL) && (strcmp((yyvsp[(5) - (5)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (5)].str)) + 1 + strlen((yyvsp[(5) - (5)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (5)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(5) - (5)].str));
						(yyvsp[(1) - (5)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (5)].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1457:

/* Line 1806 of yacc.c  */
#line 9498 "gram.y"
    {
					if (((yyvsp[(2) - (2)].str) != NULL) && (strcmp((yyvsp[(2) - (2)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (2)].str)) + 1 + strlen((yyvsp[(2) - (2)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (2)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(2) - (2)].str));
						(yyvsp[(1) - (2)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (2)].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[(1) - (2)].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1458:

/* Line 1806 of yacc.c  */
#line 9521 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1459:

/* Line 1806 of yacc.c  */
#line 9523 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1460:

/* Line 1806 of yacc.c  */
#line 9525 "gram.y"
    { (yyval.str) = "varchar"; }
    break;

  case 1461:

/* Line 1806 of yacc.c  */
#line 9527 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1462:

/* Line 1806 of yacc.c  */
#line 9529 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1463:

/* Line 1806 of yacc.c  */
#line 9531 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1464:

/* Line 1806 of yacc.c  */
#line 9535 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1465:

/* Line 1806 of yacc.c  */
#line 9536 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1466:

/* Line 1806 of yacc.c  */
#line 9540 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 1467:

/* Line 1806 of yacc.c  */
#line 9541 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1468:

/* Line 1806 of yacc.c  */
#line 9549 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1469:

/* Line 1806 of yacc.c  */
#line 9558 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1470:

/* Line 1806 of yacc.c  */
#line 9566 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1471:

/* Line 1806 of yacc.c  */
#line 9575 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1472:

/* Line 1806 of yacc.c  */
#line 9586 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1473:

/* Line 1806 of yacc.c  */
#line 9593 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1474:

/* Line 1806 of yacc.c  */
#line 9594 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1475:

/* Line 1806 of yacc.c  */
#line 9595 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1476:

/* Line 1806 of yacc.c  */
#line 9600 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[(1) - (1)]))); }
    break;

  case 1477:

/* Line 1806 of yacc.c  */
#line 9602 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[(1) - (1)]))); }
    break;

  case 1478:

/* Line 1806 of yacc.c  */
#line 9604 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[(1) - (1)]))); }
    break;

  case 1479:

/* Line 1806 of yacc.c  */
#line 9606 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[(1) - (1)]))); }
    break;

  case 1480:

/* Line 1806 of yacc.c  */
#line 9608 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[(1) - (1)]))); }
    break;

  case 1481:

/* Line 1806 of yacc.c  */
#line 9610 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1482:

/* Line 1806 of yacc.c  */
#line 9612 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[(1) - (3)])));
				}
    break;

  case 1483:

/* Line 1806 of yacc.c  */
#line 9617 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[(1) - (3)])));
				}
    break;

  case 1484:

/* Line 1806 of yacc.c  */
#line 9622 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1485:

/* Line 1806 of yacc.c  */
#line 9628 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1486:

/* Line 1806 of yacc.c  */
#line 9636 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1487:

/* Line 1806 of yacc.c  */
#line 9641 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1488:

/* Line 1806 of yacc.c  */
#line 9648 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1489:

/* Line 1806 of yacc.c  */
#line 9654 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1490:

/* Line 1806 of yacc.c  */
#line 9659 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (1)])));
				}
    break;

  case 1491:

/* Line 1806 of yacc.c  */
#line 9663 "gram.y"
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (4)])),
									makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
				}
    break;

  case 1492:

/* Line 1806 of yacc.c  */
#line 9692 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1493:

/* Line 1806 of yacc.c  */
#line 9694 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1494:

/* Line 1806 of yacc.c  */
#line 9696 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[(1) - (3)].node);
					n->collname = (yyvsp[(3) - (3)].list);
					n->location = (yylsp[(2) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1495:

/* Line 1806 of yacc.c  */
#line 9704 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("timezone");
					n->args = list_make2((yyvsp[(5) - (5)].node), (yyvsp[(1) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1496:

/* Line 1806 of yacc.c  */
#line 9726 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1497:

/* Line 1806 of yacc.c  */
#line 9728 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1498:

/* Line 1806 of yacc.c  */
#line 9730 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1499:

/* Line 1806 of yacc.c  */
#line 9732 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1500:

/* Line 1806 of yacc.c  */
#line 9734 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1501:

/* Line 1806 of yacc.c  */
#line 9736 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1502:

/* Line 1806 of yacc.c  */
#line 9738 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1503:

/* Line 1806 of yacc.c  */
#line 9740 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1504:

/* Line 1806 of yacc.c  */
#line 9742 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1505:

/* Line 1806 of yacc.c  */
#line 9744 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1506:

/* Line 1806 of yacc.c  */
#line 9746 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1507:

/* Line 1806 of yacc.c  */
#line 9749 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1508:

/* Line 1806 of yacc.c  */
#line 9751 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1509:

/* Line 1806 of yacc.c  */
#line 9753 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1510:

/* Line 1806 of yacc.c  */
#line 9756 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1511:

/* Line 1806 of yacc.c  */
#line 9758 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1512:

/* Line 1806 of yacc.c  */
#line 9760 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1513:

/* Line 1806 of yacc.c  */
#line 9763 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1514:

/* Line 1806 of yacc.c  */
#line 9765 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1515:

/* Line 1806 of yacc.c  */
#line 9778 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); }
    break;

  case 1516:

/* Line 1806 of yacc.c  */
#line 9780 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1517:

/* Line 1806 of yacc.c  */
#line 9793 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1518:

/* Line 1806 of yacc.c  */
#line 9795 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1519:

/* Line 1806 of yacc.c  */
#line 9808 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); }
    break;

  case 1520:

/* Line 1806 of yacc.c  */
#line 9810 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1521:

/* Line 1806 of yacc.c  */
#line 9824 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (4)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (4)].node), (Node *) n, (yylsp[(2) - (4)]));
				}
    break;

  case 1522:

/* Line 1806 of yacc.c  */
#line 9837 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1523:

/* Line 1806 of yacc.c  */
#line 9850 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (5)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1524:

/* Line 1806 of yacc.c  */
#line 9863 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (7)].node), (yyvsp[(7) - (7)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (7)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (7)].node), (Node *) n, (yylsp[(2) - (7)]));
				}
    break;

  case 1525:

/* Line 1806 of yacc.c  */
#line 9886 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (3)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1526:

/* Line 1806 of yacc.c  */
#line 9893 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1527:

/* Line 1806 of yacc.c  */
#line 9900 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (4)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1528:

/* Line 1806 of yacc.c  */
#line 9907 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1529:

/* Line 1806 of yacc.c  */
#line 9914 "gram.y"
    {
					(yyval.node) = (Node *)makeOverlaps((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list), (yylsp[(2) - (3)]), yyscanner);
				}
    break;

  case 1530:

/* Line 1806 of yacc.c  */
#line 9918 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1531:

/* Line 1806 of yacc.c  */
#line 9925 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1532:

/* Line 1806 of yacc.c  */
#line 9932 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1533:

/* Line 1806 of yacc.c  */
#line 9939 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1534:

/* Line 1806 of yacc.c  */
#line 9946 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1535:

/* Line 1806 of yacc.c  */
#line 9953 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1536:

/* Line 1806 of yacc.c  */
#line 9960 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1537:

/* Line 1806 of yacc.c  */
#line 9964 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));

				}
    break;

  case 1538:

/* Line 1806 of yacc.c  */
#line 9972 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1539:

/* Line 1806 of yacc.c  */
#line 9976 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1540:

/* Line 1806 of yacc.c  */
#line 9986 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				}
    break;

  case 1541:

/* Line 1806 of yacc.c  */
#line 9993 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				}
    break;

  case 1542:

/* Line 1806 of yacc.c  */
#line 10000 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				}
    break;

  case 1543:

/* Line 1806 of yacc.c  */
#line 10013 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				}
    break;

  case 1544:

/* Line 1806 of yacc.c  */
#line 10026 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(3) - (3)].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[(3) - (3)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (3)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(2) - (3)]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]));
					}
				}
    break;

  case 1545:

/* Line 1806 of yacc.c  */
#line 10045 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(4) - (4)].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[(4) - (4)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (4)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(3) - (4)]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[(2) - (4)]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)]));
					}
				}
    break;

  case 1546:

/* Line 1806 of yacc.c  */
#line 10066 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[(3) - (4)].ival);
					n->testexpr = (yyvsp[(1) - (4)].node);
					n->operName = (yyvsp[(2) - (4)].list);
					n->subselect = (yyvsp[(4) - (4)].node);
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1547:

/* Line 1806 of yacc.c  */
#line 10076 "gram.y"
    {
					if ((yyvsp[(3) - (6)].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
				}
    break;

  case 1548:

/* Line 1806 of yacc.c  */
#line 10083 "gram.y"
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[(1) - (2)]))));
				}
    break;

  case 1549:

/* Line 1806 of yacc.c  */
#line 10099 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1550:

/* Line 1806 of yacc.c  */
#line 10104 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				}
    break;

  case 1551:

/* Line 1806 of yacc.c  */
#line 10122 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1552:

/* Line 1806 of yacc.c  */
#line 10124 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1553:

/* Line 1806 of yacc.c  */
#line 10126 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1554:

/* Line 1806 of yacc.c  */
#line 10128 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1555:

/* Line 1806 of yacc.c  */
#line 10130 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1556:

/* Line 1806 of yacc.c  */
#line 10132 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1557:

/* Line 1806 of yacc.c  */
#line 10134 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1558:

/* Line 1806 of yacc.c  */
#line 10136 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1559:

/* Line 1806 of yacc.c  */
#line 10138 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1560:

/* Line 1806 of yacc.c  */
#line 10140 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1561:

/* Line 1806 of yacc.c  */
#line 10142 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1562:

/* Line 1806 of yacc.c  */
#line 10144 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1563:

/* Line 1806 of yacc.c  */
#line 10146 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1564:

/* Line 1806 of yacc.c  */
#line 10148 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1565:

/* Line 1806 of yacc.c  */
#line 10150 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1566:

/* Line 1806 of yacc.c  */
#line 10152 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1567:

/* Line 1806 of yacc.c  */
#line 10154 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1568:

/* Line 1806 of yacc.c  */
#line 10158 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])), (yylsp[(2) - (6)]));
				}
    break;

  case 1569:

/* Line 1806 of yacc.c  */
#line 10163 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1570:

/* Line 1806 of yacc.c  */
#line 10167 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1571:

/* Line 1806 of yacc.c  */
#line 10171 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1572:

/* Line 1806 of yacc.c  */
#line 10176 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				}
    break;

  case 1573:

/* Line 1806 of yacc.c  */
#line 10192 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1574:

/* Line 1806 of yacc.c  */
#line 10193 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1575:

/* Line 1806 of yacc.c  */
#line 10195 "gram.y"
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[(1) - (2)].ival);
					p->location = (yylsp[(1) - (2)]);
					if ((yyvsp[(2) - (2)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
    break;

  case 1576:

/* Line 1806 of yacc.c  */
#line 10210 "gram.y"
    {
					if ((yyvsp[(4) - (4)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[(2) - (4)].node);
						n->indirection = check_indirection((yyvsp[(4) - (4)].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[(2) - (4)].node);
				}
    break;

  case 1577:

/* Line 1806 of yacc.c  */
#line 10222 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1578:

/* Line 1806 of yacc.c  */
#line 10224 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1579:

/* Line 1806 of yacc.c  */
#line 10226 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (1)].node);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1580:

/* Line 1806 of yacc.c  */
#line 10236 "gram.y"
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
    break;

  case 1581:

/* Line 1806 of yacc.c  */
#line 10259 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1582:

/* Line 1806 of yacc.c  */
#line 10269 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1583:

/* Line 1806 of yacc.c  */
#line 10279 "gram.y"
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[(2) - (2)].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1584:

/* Line 1806 of yacc.c  */
#line 10287 "gram.y"
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[(1) - (1)].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)r;
				}
    break;

  case 1585:

/* Line 1806 of yacc.c  */
#line 10305 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (4)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(4) - (4)].windef);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1586:

/* Line 1806 of yacc.c  */
#line 10318 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = (yyvsp[(3) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1587:

/* Line 1806 of yacc.c  */
#line 10331 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = list_make1((yyvsp[(4) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1588:

/* Line 1806 of yacc.c  */
#line 10344 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (8)].list);
					n->args = lappend((yyvsp[(3) - (8)].list), (yyvsp[(6) - (8)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(8) - (8)].windef);
					n->location = (yylsp[(1) - (8)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1589:

/* Line 1806 of yacc.c  */
#line 10357 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = (yyvsp[(3) - (6)].list);
					n->agg_order = (yyvsp[(4) - (6)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1590:

/* Line 1806 of yacc.c  */
#line 10370 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1591:

/* Line 1806 of yacc.c  */
#line 10387 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = TRUE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1592:

/* Line 1806 of yacc.c  */
#line 10400 "gram.y"
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL92 that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = TRUE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1593:

/* Line 1806 of yacc.c  */
#line 10423 "gram.y"
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), -1);
				}
    break;

  case 1594:

/* Line 1806 of yacc.c  */
#line 10444 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), -1);
				}
    break;

  case 1595:

/* Line 1806 of yacc.c  */
#line 10454 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1596:

/* Line 1806 of yacc.c  */
#line 10467 "gram.y"
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("now");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1597:

/* Line 1806 of yacc.c  */
#line 10484 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1598:

/* Line 1806 of yacc.c  */
#line 10497 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), -1);
				}
    break;

  case 1599:

/* Line 1806 of yacc.c  */
#line 10507 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast((Node *)n, d, -1);
				}
    break;

  case 1600:

/* Line 1806 of yacc.c  */
#line 10520 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), -1);
				}
    break;

  case 1601:

/* Line 1806 of yacc.c  */
#line 10530 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1602:

/* Line 1806 of yacc.c  */
#line 10543 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1603:

/* Line 1806 of yacc.c  */
#line 10556 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1604:

/* Line 1806 of yacc.c  */
#line 10569 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("session_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1605:

/* Line 1806 of yacc.c  */
#line 10582 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1606:

/* Line 1806 of yacc.c  */
#line 10595 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_database");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1607:

/* Line 1806 of yacc.c  */
#line 10608 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_schema");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1608:

/* Line 1806 of yacc.c  */
#line 10621 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].typnam), (yylsp[(1) - (6)])); }
    break;

  case 1609:

/* Line 1806 of yacc.c  */
#line 10623 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("date_part");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1610:

/* Line 1806 of yacc.c  */
#line 10636 "gram.y"
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlay");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1611:

/* Line 1806 of yacc.c  */
#line 10654 "gram.y"
    {
					/* position(A in B) is converted to position(B, A) */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("position");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1612:

/* Line 1806 of yacc.c  */
#line 10668 "gram.y"
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("substring");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1613:

/* Line 1806 of yacc.c  */
#line 10684 "gram.y"
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 */
					FuncCall *n = makeNode(FuncCall);
					/* Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					n->funcname = SystemFuncName(((Value *)llast((yyvsp[(5) - (6)].typnam)->names))->val.str);
					n->args = list_make1((yyvsp[(3) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1614:

/* Line 1806 of yacc.c  */
#line 10706 "gram.y"
    {
					/* various trim expressions are defined in SQL92
					 * - thomas 1997-07-19
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1615:

/* Line 1806 of yacc.c  */
#line 10722 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("ltrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1616:

/* Line 1806 of yacc.c  */
#line 10735 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("rtrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1617:

/* Line 1806 of yacc.c  */
#line 10748 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1618:

/* Line 1806 of yacc.c  */
#line 10761 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(1) - (6)]));
				}
    break;

  case 1619:

/* Line 1806 of yacc.c  */
#line 10765 "gram.y"
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[(3) - (4)].list);
					c->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 1620:

/* Line 1806 of yacc.c  */
#line 10772 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 1621:

/* Line 1806 of yacc.c  */
#line 10780 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_LEAST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 1622:

/* Line 1806 of yacc.c  */
#line 10788 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1623:

/* Line 1806 of yacc.c  */
#line 10792 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (5)].str), NIL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 1624:

/* Line 1806 of yacc.c  */
#line 10796 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), (yyvsp[(6) - (7)].list), NIL, (yylsp[(1) - (7)]));
				}
    break;

  case 1625:

/* Line 1806 of yacc.c  */
#line 10800 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), NIL, (yyvsp[(6) - (7)].list), (yylsp[(1) - (7)]));
				}
    break;

  case 1626:

/* Line 1806 of yacc.c  */
#line 10804 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (9)].str), (yyvsp[(6) - (9)].list), (yyvsp[(8) - (9)].list), (yylsp[(1) - (9)]));
				}
    break;

  case 1627:

/* Line 1806 of yacc.c  */
#line 10808 "gram.y"
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("xmlexists");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(4) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1628:

/* Line 1806 of yacc.c  */
#line 10823 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[(3) - (4)].list), NIL, (yylsp[(1) - (4)]));
				}
    break;

  case 1629:

/* Line 1806 of yacc.c  */
#line 10827 "gram.y"
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[(4) - (6)].node), makeBoolAConst((yyvsp[(5) - (6)].boolean), -1)),
									(yylsp[(1) - (6)]));
					x->xmloption = (yyvsp[(3) - (6)].ival);
					(yyval.node) = (Node *)x;
				}
    break;

  case 1630:

/* Line 1806 of yacc.c  */
#line 10836 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (5)].str), NULL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 1631:

/* Line 1806 of yacc.c  */
#line 10840 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (7)].str), NULL, list_make1((yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 1632:

/* Line 1806 of yacc.c  */
#line 10844 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[(3) - (7)].node), (yyvsp[(5) - (7)].node), (yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 1633:

/* Line 1806 of yacc.c  */
#line 10849 "gram.y"
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[(3) - (7)].ival);
					n->expr = (yyvsp[(4) - (7)].node);
					n->typeName = (yyvsp[(6) - (7)].typnam);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1634:

/* Line 1806 of yacc.c  */
#line 10863 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1635:

/* Line 1806 of yacc.c  */
#line 10865 "gram.y"
    { (yyval.node) = makeNullAConst(-1); }
    break;

  case 1636:

/* Line 1806 of yacc.c  */
#line 10869 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
    break;

  case 1637:

/* Line 1806 of yacc.c  */
#line 10871 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
    break;

  case 1638:

/* Line 1806 of yacc.c  */
#line 10873 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
    break;

  case 1639:

/* Line 1806 of yacc.c  */
#line 10875 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
    break;

  case 1640:

/* Line 1806 of yacc.c  */
#line 10878 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1641:

/* Line 1806 of yacc.c  */
#line 10881 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1642:

/* Line 1806 of yacc.c  */
#line 10882 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1643:

/* Line 1806 of yacc.c  */
#line 10886 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1644:

/* Line 1806 of yacc.c  */
#line 10894 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1645:

/* Line 1806 of yacc.c  */
#line 10903 "gram.y"
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
    break;

  case 1646:

/* Line 1806 of yacc.c  */
#line 10904 "gram.y"
    { (yyval.ival) = XMLOPTION_CONTENT; }
    break;

  case 1647:

/* Line 1806 of yacc.c  */
#line 10907 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1648:

/* Line 1806 of yacc.c  */
#line 10908 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1649:

/* Line 1806 of yacc.c  */
#line 10909 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1650:

/* Line 1806 of yacc.c  */
#line 10915 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (2)].node);
				}
    break;

  case 1651:

/* Line 1806 of yacc.c  */
#line 10919 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (4)].node);
				}
    break;

  case 1652:

/* Line 1806 of yacc.c  */
#line 10923 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (4)].node);
				}
    break;

  case 1653:

/* Line 1806 of yacc.c  */
#line 10927 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (6)].node);
				}
    break;

  case 1654:

/* Line 1806 of yacc.c  */
#line 10937 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1655:

/* Line 1806 of yacc.c  */
#line 10938 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1656:

/* Line 1806 of yacc.c  */
#line 10942 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].windef)); }
    break;

  case 1657:

/* Line 1806 of yacc.c  */
#line 10944 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].windef)); }
    break;

  case 1658:

/* Line 1806 of yacc.c  */
#line 10949 "gram.y"
    {
					WindowDef *n = (yyvsp[(3) - (3)].windef);
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.windef) = n;
				}
    break;

  case 1659:

/* Line 1806 of yacc.c  */
#line 10957 "gram.y"
    { (yyval.windef) = (yyvsp[(2) - (2)].windef); }
    break;

  case 1660:

/* Line 1806 of yacc.c  */
#line 10959 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[(2) - (2)].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[(2) - (2)]);
					(yyval.windef) = n;
				}
    break;

  case 1661:

/* Line 1806 of yacc.c  */
#line 10972 "gram.y"
    { (yyval.windef) = NULL; }
    break;

  case 1662:

/* Line 1806 of yacc.c  */
#line 10977 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[(2) - (6)].str);
					n->partitionClause = (yyvsp[(3) - (6)].list);
					n->orderClause = (yyvsp[(4) - (6)].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[(5) - (6)].windef)->frameOptions;
					n->startOffset = (yyvsp[(5) - (6)].windef)->startOffset;
					n->endOffset = (yyvsp[(5) - (6)].windef)->endOffset;
					n->location = (yylsp[(1) - (6)]);
					(yyval.windef) = n;
				}
    break;

  case 1663:

/* Line 1806 of yacc.c  */
#line 11002 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1664:

/* Line 1806 of yacc.c  */
#line 11003 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1665:

/* Line 1806 of yacc.c  */
#line 11006 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1666:

/* Line 1806 of yacc.c  */
#line 11007 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1667:

/* Line 1806 of yacc.c  */
#line 11019 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.windef) = n;
				}
    break;

  case 1668:

/* Line 1806 of yacc.c  */
#line 11037 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
    break;

  case 1669:

/* Line 1806 of yacc.c  */
#line 11043 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1670:

/* Line 1806 of yacc.c  */
#line 11053 "gram.y"
    {
					WindowDef *n = (yyvsp[(1) - (1)].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(1) - (1)]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[(1) - (1)]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
    break;

  case 1671:

/* Line 1806 of yacc.c  */
#line 11070 "gram.y"
    {
					WindowDef *n1 = (yyvsp[(2) - (4)].windef);
					WindowDef *n2 = (yyvsp[(4) - (4)].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(2) - (4)]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
    break;

  case 1672:

/* Line 1806 of yacc.c  */
#line 11115 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1673:

/* Line 1806 of yacc.c  */
#line 11123 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1674:

/* Line 1806 of yacc.c  */
#line 11131 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1675:

/* Line 1806 of yacc.c  */
#line 11139 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1676:

/* Line 1806 of yacc.c  */
#line 11147 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1677:

/* Line 1806 of yacc.c  */
#line 11167 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1678:

/* Line 1806 of yacc.c  */
#line 11168 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1679:

/* Line 1806 of yacc.c  */
#line 11169 "gram.y"
    { (yyval.list) = lappend((yyvsp[(2) - (5)].list), (yyvsp[(4) - (5)].node)); }
    break;

  case 1680:

/* Line 1806 of yacc.c  */
#line 11172 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 1681:

/* Line 1806 of yacc.c  */
#line 11173 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 1682:

/* Line 1806 of yacc.c  */
#line 11174 "gram.y"
    { (yyval.ival) = ALL_SUBLINK; }
    break;

  case 1683:

/* Line 1806 of yacc.c  */
#line 11177 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1684:

/* Line 1806 of yacc.c  */
#line 11178 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1685:

/* Line 1806 of yacc.c  */
#line 11181 "gram.y"
    { (yyval.str) = "+"; }
    break;

  case 1686:

/* Line 1806 of yacc.c  */
#line 11182 "gram.y"
    { (yyval.str) = "-"; }
    break;

  case 1687:

/* Line 1806 of yacc.c  */
#line 11183 "gram.y"
    { (yyval.str) = "*"; }
    break;

  case 1688:

/* Line 1806 of yacc.c  */
#line 11184 "gram.y"
    { (yyval.str) = "/"; }
    break;

  case 1689:

/* Line 1806 of yacc.c  */
#line 11185 "gram.y"
    { (yyval.str) = "%"; }
    break;

  case 1690:

/* Line 1806 of yacc.c  */
#line 11186 "gram.y"
    { (yyval.str) = "^"; }
    break;

  case 1691:

/* Line 1806 of yacc.c  */
#line 11187 "gram.y"
    { (yyval.str) = "<"; }
    break;

  case 1692:

/* Line 1806 of yacc.c  */
#line 11188 "gram.y"
    { (yyval.str) = ">"; }
    break;

  case 1693:

/* Line 1806 of yacc.c  */
#line 11189 "gram.y"
    { (yyval.str) = "="; }
    break;

  case 1694:

/* Line 1806 of yacc.c  */
#line 11193 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1695:

/* Line 1806 of yacc.c  */
#line 11195 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1696:

/* Line 1806 of yacc.c  */
#line 11200 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1697:

/* Line 1806 of yacc.c  */
#line 11202 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1698:

/* Line 1806 of yacc.c  */
#line 11207 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1699:

/* Line 1806 of yacc.c  */
#line 11209 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1700:

/* Line 1806 of yacc.c  */
#line 11211 "gram.y"
    { (yyval.list) = list_make1(makeString("~~")); }
    break;

  case 1701:

/* Line 1806 of yacc.c  */
#line 11213 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~")); }
    break;

  case 1702:

/* Line 1806 of yacc.c  */
#line 11215 "gram.y"
    { (yyval.list) = list_make1(makeString("~~*")); }
    break;

  case 1703:

/* Line 1806 of yacc.c  */
#line 11217 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~*")); }
    break;

  case 1704:

/* Line 1806 of yacc.c  */
#line 11229 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1705:

/* Line 1806 of yacc.c  */
#line 11233 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1706:

/* Line 1806 of yacc.c  */
#line 11240 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1707:

/* Line 1806 of yacc.c  */
#line 11244 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1708:

/* Line 1806 of yacc.c  */
#line 11250 "gram.y"
    {
					(yyval.node) = (yyvsp[(1) - (1)].node);
				}
    break;

  case 1709:

/* Line 1806 of yacc.c  */
#line 11254 "gram.y"
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[(1) - (3)].str);
					na->arg = (Expr *) (yyvsp[(3) - (3)].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) na;
				}
    break;

  case 1710:

/* Line 1806 of yacc.c  */
#line 11264 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].typnam)); }
    break;

  case 1711:

/* Line 1806 of yacc.c  */
#line 11265 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].typnam)); }
    break;

  case 1712:

/* Line 1806 of yacc.c  */
#line 11269 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1713:

/* Line 1806 of yacc.c  */
#line 11273 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1714:

/* Line 1806 of yacc.c  */
#line 11277 "gram.y"
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[(1) - (2)]));
				}
    break;

  case 1715:

/* Line 1806 of yacc.c  */
#line 11282 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1716:

/* Line 1806 of yacc.c  */
#line 11283 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1717:

/* Line 1806 of yacc.c  */
#line 11289 "gram.y"
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[(1) - (3)].str), (yylsp[(1) - (3)])), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1718:

/* Line 1806 of yacc.c  */
#line 11292 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1719:

/* Line 1806 of yacc.c  */
#line 11299 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1720:

/* Line 1806 of yacc.c  */
#line 11300 "gram.y"
    { (yyval.str) = "year"; }
    break;

  case 1721:

/* Line 1806 of yacc.c  */
#line 11301 "gram.y"
    { (yyval.str) = "month"; }
    break;

  case 1722:

/* Line 1806 of yacc.c  */
#line 11302 "gram.y"
    { (yyval.str) = "day"; }
    break;

  case 1723:

/* Line 1806 of yacc.c  */
#line 11303 "gram.y"
    { (yyval.str) = "hour"; }
    break;

  case 1724:

/* Line 1806 of yacc.c  */
#line 11304 "gram.y"
    { (yyval.str) = "minute"; }
    break;

  case 1725:

/* Line 1806 of yacc.c  */
#line 11305 "gram.y"
    { (yyval.str) = "second"; }
    break;

  case 1726:

/* Line 1806 of yacc.c  */
#line 11306 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1727:

/* Line 1806 of yacc.c  */
#line 11317 "gram.y"
    {
					(yyval.list) = list_make4((yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].node), (yyvsp[(3) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1728:

/* Line 1806 of yacc.c  */
#line 11321 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1729:

/* Line 1806 of yacc.c  */
#line 11328 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1730:

/* Line 1806 of yacc.c  */
#line 11334 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(3) - (3)].node), (yyvsp[(1) - (3)].node)); }
    break;

  case 1731:

/* Line 1806 of yacc.c  */
#line 11335 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1732:

/* Line 1806 of yacc.c  */
#line 11352 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1733:

/* Line 1806 of yacc.c  */
#line 11356 "gram.y"
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yyvsp[(2) - (3)].node));
				}
    break;

  case 1734:

/* Line 1806 of yacc.c  */
#line 11361 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node));
				}
    break;

  case 1735:

/* Line 1806 of yacc.c  */
#line 11365 "gram.y"
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[(1) - (2)].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[(2) - (2)].node),
												 SystemTypeName("int4"), -1));
				}
    break;

  case 1736:

/* Line 1806 of yacc.c  */
#line 11380 "gram.y"
    {
					(yyval.list) = (yyvsp[(1) - (1)].list);
				}
    break;

  case 1737:

/* Line 1806 of yacc.c  */
#line 11384 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1738:

/* Line 1806 of yacc.c  */
#line 11388 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1739:

/* Line 1806 of yacc.c  */
#line 11391 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1740:

/* Line 1806 of yacc.c  */
#line 11394 "gram.y"
    { (yyval.list) = lappend((yyvsp[(3) - (3)].list), (yyvsp[(1) - (3)].node)); }
    break;

  case 1741:

/* Line 1806 of yacc.c  */
#line 11395 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1742:

/* Line 1806 of yacc.c  */
#line 11396 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1743:

/* Line 1806 of yacc.c  */
#line 11400 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[(1) - (1)].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
    break;

  case 1744:

/* Line 1806 of yacc.c  */
#line 11406 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(2) - (3)].list); }
    break;

  case 1745:

/* Line 1806 of yacc.c  */
#line 11417 "gram.y"
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[(2) - (5)].node);
					c->args = (yyvsp[(3) - (5)].list);
					c->defresult = (Expr *) (yyvsp[(4) - (5)].node);
					c->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 1746:

/* Line 1806 of yacc.c  */
#line 11430 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1747:

/* Line 1806 of yacc.c  */
#line 11431 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1748:

/* Line 1806 of yacc.c  */
#line 11436 "gram.y"
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[(2) - (4)].node);
					w->result = (Expr *) (yyvsp[(4) - (4)].node);
					w->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)w;
				}
    break;

  case 1749:

/* Line 1806 of yacc.c  */
#line 11446 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1750:

/* Line 1806 of yacc.c  */
#line 11447 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1751:

/* Line 1806 of yacc.c  */
#line 11450 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1752:

/* Line 1806 of yacc.c  */
#line 11451 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1753:

/* Line 1806 of yacc.c  */
#line 11455 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (1)].str), NIL, (yylsp[(1) - (1)]), yyscanner);
				}
    break;

  case 1754:

/* Line 1806 of yacc.c  */
#line 11459 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]), yyscanner);
				}
    break;

  case 1755:

/* Line 1806 of yacc.c  */
#line 11466 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(2) - (2)].str));
				}
    break;

  case 1756:

/* Line 1806 of yacc.c  */
#line 11470 "gram.y"
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
    break;

  case 1757:

/* Line 1806 of yacc.c  */
#line 11474 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[(2) - (3)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 1758:

/* Line 1806 of yacc.c  */
#line 11481 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[(2) - (5)].node);
					ai->uidx = (yyvsp[(4) - (5)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 1759:

/* Line 1806 of yacc.c  */
#line 11490 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1760:

/* Line 1806 of yacc.c  */
#line 11491 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1761:

/* Line 1806 of yacc.c  */
#line 11495 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1762:

/* Line 1806 of yacc.c  */
#line 11496 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1765:

/* Line 1806 of yacc.c  */
#line 11511 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].node); }
    break;

  case 1766:

/* Line 1806 of yacc.c  */
#line 11513 "gram.y"
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1767:

/* Line 1806 of yacc.c  */
#line 11521 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1768:

/* Line 1806 of yacc.c  */
#line 11522 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1769:

/* Line 1806 of yacc.c  */
#line 11530 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1770:

/* Line 1806 of yacc.c  */
#line 11541 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1771:

/* Line 1806 of yacc.c  */
#line 11542 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1772:

/* Line 1806 of yacc.c  */
#line 11546 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1773:

/* Line 1806 of yacc.c  */
#line 11562 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(2) - (2)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (2)].node);
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1774:

/* Line 1806 of yacc.c  */
#line 11570 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1775:

/* Line 1806 of yacc.c  */
#line 11578 "gram.y"
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[(1) - (1)]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1776:

/* Line 1806 of yacc.c  */
#line 11599 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1777:

/* Line 1806 of yacc.c  */
#line 11600 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1778:

/* Line 1806 of yacc.c  */
#line 11612 "gram.y"
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1779:

/* Line 1806 of yacc.c  */
#line 11616 "gram.y"
    {
					check_qualified_name((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[(1) - (2)]));
					switch (list_length((yyvsp[(2) - (2)].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[(1) - (2)].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[(2) - (2)].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[(1) - (2)].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[(2) - (2)].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[(2) - (2)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)))),
									 parser_errposition((yylsp[(1) - (2)]))));
							break;
					}
				}
    break;

  case 1780:

/* Line 1806 of yacc.c  */
#line 11643 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1781:

/* Line 1806 of yacc.c  */
#line 11645 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 1782:

/* Line 1806 of yacc.c  */
#line 11649 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1783:

/* Line 1806 of yacc.c  */
#line 11652 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1784:

/* Line 1806 of yacc.c  */
#line 11655 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1785:

/* Line 1806 of yacc.c  */
#line 11657 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1786:

/* Line 1806 of yacc.c  */
#line 11659 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1787:

/* Line 1806 of yacc.c  */
#line 11661 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1788:

/* Line 1806 of yacc.c  */
#line 11672 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1789:

/* Line 1806 of yacc.c  */
#line 11674 "gram.y"
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)),
											 yyscanner);
					}
    break;

  case 1790:

/* Line 1806 of yacc.c  */
#line 11685 "gram.y"
    {
					(yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)]));
				}
    break;

  case 1791:

/* Line 1806 of yacc.c  */
#line 11689 "gram.y"
    {
					(yyval.node) = makeFloatConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1792:

/* Line 1806 of yacc.c  */
#line 11693 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1793:

/* Line 1806 of yacc.c  */
#line 11697 "gram.y"
    {
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1794:

/* Line 1806 of yacc.c  */
#line 11701 "gram.y"
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1795:

/* Line 1806 of yacc.c  */
#line 11710 "gram.y"
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (2)].list));
					t->location = (yylsp[(1) - (2)]);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), t);
				}
    break;

  case 1796:

/* Line 1806 of yacc.c  */
#line 11717 "gram.y"
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (5)].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list in the production to avoid
					 * reduce/reduce conflicts, but we don't actually wish
					 * to allow NamedArgExpr in this context.
					 */
					foreach(lc, (yyvsp[(3) - (5)].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
								    (errcode(ERRCODE_SYNTAX_ERROR),
								     errmsg("type modifier cannot have parameter name"),
								     parser_errposition(arg->location)));
					}
					t->typmods = (yyvsp[(3) - (5)].list);
					t->location = (yylsp[(1) - (5)]);
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (5)].str), (yylsp[(5) - (5)]), t);
				}
    break;

  case 1797:

/* Line 1806 of yacc.c  */
#line 11742 "gram.y"
    {
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), (yyvsp[(1) - (2)].typnam));
				}
    break;

  case 1798:

/* Line 1806 of yacc.c  */
#line 11746 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 1799:

/* Line 1806 of yacc.c  */
#line 11752 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				}
    break;

  case 1800:

/* Line 1806 of yacc.c  */
#line 11769 "gram.y"
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[(1) - (1)]));
				}
    break;

  case 1801:

/* Line 1806 of yacc.c  */
#line 11773 "gram.y"
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[(1) - (1)]));
				}
    break;

  case 1802:

/* Line 1806 of yacc.c  */
#line 11777 "gram.y"
    {
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1803:

/* Line 1806 of yacc.c  */
#line 11782 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1804:

/* Line 1806 of yacc.c  */
#line 11783 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1805:

/* Line 1806 of yacc.c  */
#line 11784 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1806:

/* Line 1806 of yacc.c  */
#line 11786 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1807:

/* Line 1806 of yacc.c  */
#line 11787 "gram.y"
    { (yyval.ival) = + (yyvsp[(2) - (2)].ival); }
    break;

  case 1808:

/* Line 1806 of yacc.c  */
#line 11788 "gram.y"
    { (yyval.ival) = - (yyvsp[(2) - (2)].ival); }
    break;

  case 1809:

/* Line 1806 of yacc.c  */
#line 11804 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1810:

/* Line 1806 of yacc.c  */
#line 11805 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1811:

/* Line 1806 of yacc.c  */
#line 11806 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1812:

/* Line 1806 of yacc.c  */
#line 11811 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1813:

/* Line 1806 of yacc.c  */
#line 11812 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1814:

/* Line 1806 of yacc.c  */
#line 11813 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1815:

/* Line 1806 of yacc.c  */
#line 11818 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1816:

/* Line 1806 of yacc.c  */
#line 11819 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1817:

/* Line 1806 of yacc.c  */
#line 11820 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1818:

/* Line 1806 of yacc.c  */
#line 11821 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1819:

/* Line 1806 of yacc.c  */
#line 11827 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1820:

/* Line 1806 of yacc.c  */
#line 11828 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1821:

/* Line 1806 of yacc.c  */
#line 11829 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1822:

/* Line 1806 of yacc.c  */
#line 11830 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1823:

/* Line 1806 of yacc.c  */
#line 11831 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;



/* Line 1806 of yacc.c  */
#line 36626 "gram.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc, yyscanner);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 12281 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeOverlaps()
 * Create and populate a FuncCall node to support the OVERLAPS operator.
 */
static FuncCall *
makeOverlaps(List *largs, List *rargs, int location, core_yyscan_t yyscanner)
{
	FuncCall *n = makeNode(FuncCall);

	n->funcname = SystemFuncName("overlaps");
	if (list_length(largs) == 1)
		largs = lappend(largs, largs);
	else if (list_length(largs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
				 parser_errposition(location)));
	if (list_length(rargs) == 1)
		rargs = lappend(rargs, rargs);
	else if (list_length(rargs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
				 parser_errposition(location)));
	n->args = list_concat(largs, rargs);
	n->agg_order = NIL;
	n->agg_star = FALSE;
	n->agg_distinct = FALSE;
	n->func_variadic = FALSE;
	n->over = NULL;
	n->location = location;
	return n;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* findLeftmostSelect()
 * Find the leftmost component SelectStmt in a set-operation parsetree.
 */
static SelectStmt *
findLeftmostSelect(SelectStmt *node)
{
	while (node && node->op != SETOP_NONE)
		node = node->larg;
	Assert(node && IsA(node, SelectStmt) && node->larg == NULL);
	return node;
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
	{
		char   *newval = (char *) palloc(strlen(oldval) + 2);

		*newval = '-';
		strcpy(newval+1, oldval);
		v->val.str = newval;
	}
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr    *x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));;
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

/*
 * Must undefine this stuff before including scan.c, since it has different
 * definitions for these macros.
 */
#undef yyerror
#undef yylval
#undef yylloc

#include "scan.c"

