/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2012, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *	  SQL92-specific syntax is separated from plain SQL/Postgres syntax
 *	  to help isolate the non-extensible portions of the parser.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (Rhs)[0]; \
	} while (0)

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static FuncCall *makeOverlaps(List *largs, List *rargs,
							  int location, core_yyscan_t yyscanner);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);



/* Line 268 of yacc.c  */
#line 230 "gram.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENT = 258,
     FCONST = 259,
     SCONST = 260,
     BCONST = 261,
     XCONST = 262,
     Op = 263,
     ICONST = 264,
     PARAM = 265,
     TYPECAST = 266,
     DOT_DOT = 267,
     COLON_EQUALS = 268,
     ABORT_P = 269,
     ABSOLUTE_P = 270,
     ACCESS = 271,
     ACTION = 272,
     ADD_P = 273,
     ADMIN = 274,
     AFTER = 275,
     AGGREGATE = 276,
     ALL = 277,
     ALSO = 278,
     ALTER = 279,
     ALWAYS = 280,
     ANALYSE = 281,
     ANALYZE = 282,
     AND = 283,
     ANY = 284,
     ARRAY = 285,
     AS = 286,
     ASC = 287,
     ASSERTION = 288,
     ASSIGNMENT = 289,
     ASYMMETRIC = 290,
     AT = 291,
     ATTRIBUTE = 292,
     AUTHORIZATION = 293,
     BACKWARD = 294,
     BEFORE = 295,
     BEGIN_P = 296,
     BETWEEN = 297,
     BIGINT = 298,
     BINARY = 299,
     BIT = 300,
     BOOLEAN_P = 301,
     BOTH = 302,
     BY = 303,
     CACHE = 304,
     CALLED = 305,
     CASCADE = 306,
     CASCADED = 307,
     CASE = 308,
     CAST = 309,
     CATALOG_P = 310,
     CHAIN = 311,
     CHAR_P = 312,
     CHARACTER = 313,
     CHARACTERISTICS = 314,
     CHECK = 315,
     CHECKPOINT = 316,
     CLASS = 317,
     CLOSE = 318,
     CLUSTER = 319,
     COALESCE = 320,
     COLLATE = 321,
     COLLATION = 322,
     COLUMN = 323,
     COMMENT = 324,
     COMMENTS = 325,
     COMMIT = 326,
     COMMITTED = 327,
     CONCURRENTLY = 328,
     CONFIGURATION = 329,
     CONNECTION = 330,
     CONSTRAINT = 331,
     CONSTRAINTS = 332,
     CONTENT_P = 333,
     CONTINUE_P = 334,
     CONVERSION_P = 335,
     COPY = 336,
     COST = 337,
     CREATE = 338,
     CROSS = 339,
     CSV = 340,
     CURRENT_P = 341,
     CURRENT_CATALOG = 342,
     CURRENT_DATE = 343,
     CURRENT_ROLE = 344,
     CURRENT_SCHEMA = 345,
     CURRENT_TIME = 346,
     CURRENT_TIMESTAMP = 347,
     CURRENT_USER = 348,
     CURSOR = 349,
     CYCLE = 350,
     DATA_P = 351,
     DATABASE = 352,
     DAY_P = 353,
     DEALLOCATE = 354,
     DEC = 355,
     DECIMAL_P = 356,
     DECLARE = 357,
     DEFAULT = 358,
     DEFAULTS = 359,
     DEFERRABLE = 360,
     DEFERRED = 361,
     DEFINER = 362,
     DELETE_P = 363,
     DELIMITER = 364,
     DELIMITERS = 365,
     DESC = 366,
     DICTIONARY = 367,
     DISABLE_P = 368,
     DISCARD = 369,
     DISTINCT = 370,
     DO = 371,
     DOCUMENT_P = 372,
     DOMAIN_P = 373,
     DOUBLE_P = 374,
     DROP = 375,
     EACH = 376,
     ELSE = 377,
     ENABLE_P = 378,
     ENCODING = 379,
     ENCRYPTED = 380,
     END_P = 381,
     ENUM_P = 382,
     ESCAPE = 383,
     EXCEPT = 384,
     EXCLUDE = 385,
     EXCLUDING = 386,
     EXCLUSIVE = 387,
     EXECUTE = 388,
     EXISTS = 389,
     EXPLAIN = 390,
     EXTENSION = 391,
     EXTERNAL = 392,
     EXTRACT = 393,
     FALSE_P = 394,
     FAMILY = 395,
     FETCH = 396,
     FIRST_P = 397,
     FLOAT_P = 398,
     FOLLOWING = 399,
     FOR = 400,
     FORCE = 401,
     FOREIGN = 402,
     FORWARD = 403,
     FREEZE = 404,
     FROM = 405,
     FULL = 406,
     FUNCTION = 407,
     FUNCTIONS = 408,
     GLOBAL = 409,
     GRANT = 410,
     GRANTED = 411,
     GREATEST = 412,
     GROUP_P = 413,
     HANDLER = 414,
     HAVING = 415,
     HEADER_P = 416,
     HOLD = 417,
     HOUR_P = 418,
     IDENTITY_P = 419,
     IF_P = 420,
     ILIKE = 421,
     IMMEDIATE = 422,
     IMMUTABLE = 423,
     IMPLICIT_P = 424,
     IN_P = 425,
     INCLUDING = 426,
     INCREMENT = 427,
     INDEX = 428,
     INDEXES = 429,
     INHERIT = 430,
     INHERITS = 431,
     INITIALLY = 432,
     INLINE_P = 433,
     INNER_P = 434,
     INOUT = 435,
     INPUT_P = 436,
     INSENSITIVE = 437,
     INSERT = 438,
     INSTEAD = 439,
     INT_P = 440,
     INTEGER = 441,
     INTERSECT = 442,
     INTERVAL = 443,
     INTO = 444,
     INVOKER = 445,
     IS = 446,
     ISNULL = 447,
     ISOLATION = 448,
     JOIN = 449,
     KEY = 450,
     LABEL = 451,
     LANGUAGE = 452,
     LARGE_P = 453,
     LAST_P = 454,
     LC_COLLATE_P = 455,
     LC_CTYPE_P = 456,
     LEADING = 457,
     LEAKPROOF = 458,
     LEAST = 459,
     LEFT = 460,
     LEVEL = 461,
     LIKE = 462,
     LIMIT = 463,
     LISTEN = 464,
     LOAD = 465,
     LOCAL = 466,
     LOCALTIME = 467,
     LOCALTIMESTAMP = 468,
     LOCATION = 469,
     LOCK_P = 470,
     MAPPING = 471,
     MATCH = 472,
     MAXVALUE = 473,
     MINUTE_P = 474,
     MINVALUE = 475,
     MODE = 476,
     MONTH_P = 477,
     MOVE = 478,
     NAME_P = 479,
     NAMES = 480,
     NATIONAL = 481,
     NATURAL = 482,
     NCHAR = 483,
     NEXT = 484,
     NO = 485,
     NONE = 486,
     NOT = 487,
     NOTHING = 488,
     NOTIFY = 489,
     NOTNULL = 490,
     NOWAIT = 491,
     NULL_P = 492,
     NULLIF = 493,
     NULLS_P = 494,
     NUMERIC = 495,
     OBJECT_P = 496,
     OF = 497,
     OFF = 498,
     OFFSET = 499,
     OIDS = 500,
     ON = 501,
     ONLY = 502,
     OPERATOR = 503,
     OPTION = 504,
     OPTIONS = 505,
     OR = 506,
     ORDER = 507,
     OUT_P = 508,
     OUTER_P = 509,
     OVER = 510,
     OVERLAPS = 511,
     OVERLAY = 512,
     OWNED = 513,
     OWNER = 514,
     PARSER = 515,
     PARTIAL = 516,
     PARTITION = 517,
     PASSING = 518,
     PASSWORD = 519,
     PLACING = 520,
     PLANS = 521,
     POSITION = 522,
     PRECEDING = 523,
     PRECISION = 524,
     PRESERVE = 525,
     PREPARE = 526,
     PREPARED = 527,
     PRIMARY = 528,
     PRIOR = 529,
     PRIVILEGES = 530,
     PROCEDURAL = 531,
     PROCEDURE = 532,
     QUOTE = 533,
     RANGE = 534,
     READ = 535,
     REAL = 536,
     REASSIGN = 537,
     RECHECK = 538,
     RECURSIVE = 539,
     REF = 540,
     REFERENCES = 541,
     REINDEX = 542,
     RELATIVE_P = 543,
     RELEASE = 544,
     RENAME = 545,
     REPEATABLE = 546,
     REPLACE = 547,
     REPLICA = 548,
     RESET = 549,
     RESTART = 550,
     RESTRICT = 551,
     RETURNING = 552,
     RETURNS = 553,
     REVOKE = 554,
     RIGHT = 555,
     ROLE = 556,
     ROLLBACK = 557,
     ROW = 558,
     ROWS = 559,
     RULE = 560,
     SAVEPOINT = 561,
     SCHEMA = 562,
     SCROLL = 563,
     SEARCH = 564,
     SECOND_P = 565,
     SECURITY = 566,
     SELECT = 567,
     SEQUENCE = 568,
     SEQUENCES = 569,
     SERIALIZABLE = 570,
     SERVER = 571,
     SESSION = 572,
     SESSION_USER = 573,
     SET = 574,
     SETOF = 575,
     SHARE = 576,
     SHOW = 577,
     SIMILAR = 578,
     SIMPLE = 579,
     SMALLINT = 580,
     SNAPSHOT = 581,
     SOME = 582,
     STABLE = 583,
     STANDALONE_P = 584,
     START = 585,
     STATEMENT = 586,
     STATISTICS = 587,
     STDIN = 588,
     STDOUT = 589,
     STORAGE = 590,
     STRICT_P = 591,
     STRIP_P = 592,
     SUBSTRING = 593,
     SYMMETRIC = 594,
     SYSID = 595,
     SYSTEM_P = 596,
     TABLE = 597,
     TABLES = 598,
     TABLESPACE = 599,
     TEMP = 600,
     TEMPLATE = 601,
     TEMPORARY = 602,
     TEXT_P = 603,
     THEN = 604,
     TIME = 605,
     TIMESTAMP = 606,
     TO = 607,
     TRAILING = 608,
     TRANSACTION = 609,
     TREAT = 610,
     TRIGGER = 611,
     TRIM = 612,
     TRUE_P = 613,
     TRUNCATE = 614,
     TRUSTED = 615,
     TYPE_P = 616,
     TYPES_P = 617,
     UNBOUNDED = 618,
     UNCOMMITTED = 619,
     UNENCRYPTED = 620,
     UNION = 621,
     UNIQUE = 622,
     UNKNOWN = 623,
     UNLISTEN = 624,
     UNLOGGED = 625,
     UNTIL = 626,
     UPDATE = 627,
     USER = 628,
     USING = 629,
     VACUUM = 630,
     VALID = 631,
     VALIDATE = 632,
     VALIDATOR = 633,
     VALUE_P = 634,
     VALUES = 635,
     VARCHAR = 636,
     VARIADIC = 637,
     VARYING = 638,
     VERBOSE = 639,
     VERSION_P = 640,
     VIEW = 641,
     VOLATILE = 642,
     WHEN = 643,
     WHERE = 644,
     WHITESPACE_P = 645,
     WINDOW = 646,
     WITH = 647,
     WITHOUT = 648,
     WORK = 649,
     WRAPPER = 650,
     WRITE = 651,
     XML_P = 652,
     XMLATTRIBUTES = 653,
     XMLCONCAT = 654,
     XMLELEMENT = 655,
     XMLEXISTS = 656,
     XMLFOREST = 657,
     XMLPARSE = 658,
     XMLPI = 659,
     XMLROOT = 660,
     XMLSERIALIZE = 661,
     YEAR_P = 662,
     YES_P = 663,
     ZONE = 664,
     NULLS_FIRST = 665,
     NULLS_LAST = 666,
     WITH_TIME = 667,
     POSTFIXOP = 668,
     UMINUS = 669
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 160 "gram.y"

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;



/* Line 293 of yacc.c  */
#line 719 "gram.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 744 "gram.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  696
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   74118

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  432
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  545
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2258
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4295

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   669

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   421,     2,     2,
     426,   427,   419,   417,   430,   418,   428,   420,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   431,   429,
     414,   413,   415,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   424,     2,   425,   422,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   416,   423
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     9,    11,    13,    15,    17,    19,
      21,    23,    25,    27,    29,    31,    33,    35,    37,    39,
      41,    43,    45,    47,    49,    51,    53,    55,    57,    59,
      61,    63,    65,    67,    69,    71,    73,    75,    77,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    97,    99,
     101,   103,   105,   107,   109,   111,   113,   115,   117,   119,
     121,   123,   125,   127,   129,   131,   133,   135,   137,   139,
     141,   143,   145,   147,   149,   151,   153,   155,   157,   159,
     161,   163,   165,   167,   169,   171,   173,   175,   177,   179,
     181,   183,   185,   187,   189,   191,   193,   195,   197,   199,
     201,   203,   205,   207,   209,   211,   213,   215,   217,   219,
     221,   223,   225,   227,   229,   231,   232,   238,   240,   241,
     244,   245,   248,   249,   252,   255,   259,   263,   265,   269,
     273,   276,   278,   280,   283,   286,   289,   293,   297,   303,
     309,   310,   314,   320,   326,   331,   335,   341,   345,   351,
     357,   364,   366,   368,   372,   378,   385,   390,   392,   393,
     396,   397,   399,   401,   403,   405,   407,   409,   412,   416,
     420,   423,   429,   431,   435,   439,   443,   447,   451,   455,
     458,   461,   464,   467,   471,   475,   479,   483,   485,   489,
     491,   495,   497,   499,   502,   505,   508,   510,   512,   514,
     516,   518,   520,   522,   526,   533,   535,   537,   539,   541,
     543,   544,   546,   548,   551,   555,   560,   564,   567,   570,
     572,   575,   577,   580,   584,   589,   593,   596,   601,   603,
     605,   607,   609,   611,   614,   617,   620,   623,   628,   635,
     640,   647,   652,   659,   664,   671,   673,   677,   680,   684,
     689,   696,   703,   710,   716,   722,   729,   736,   741,   750,
     755,   758,   762,   769,   774,   778,   782,   786,   790,   794,
     799,   804,   808,   812,   816,   820,   824,   828,   833,   838,
     842,   845,   849,   852,   855,   859,   863,   866,   869,   871,
     875,   878,   880,   882,   883,   886,   887,   890,   891,   895,
     898,   899,   901,   905,   909,   911,   917,   921,   926,   928,
     932,   937,   944,   949,   958,   961,   964,   975,   982,   984,
     986,   988,   990,   992,   994,   998,  1001,  1002,  1004,  1006,
    1010,  1014,  1016,  1018,  1022,  1026,  1030,  1034,  1039,  1042,
    1044,  1045,  1048,  1049,  1053,  1054,  1056,  1057,  1059,  1063,
    1066,  1068,  1070,  1072,  1076,  1077,  1079,  1083,  1085,  1097,
    1112,  1123,  1137,  1139,  1141,  1144,  1147,  1150,  1153,  1155,
    1156,  1158,  1159,  1163,  1164,  1166,  1170,  1172,  1176,  1178,
    1180,  1182,  1184,  1186,  1191,  1196,  1199,  1200,  1204,  1206,
    1208,  1211,  1214,  1216,  1220,  1225,  1231,  1234,  1240,  1242,
    1245,  1248,  1251,  1255,  1259,  1263,  1264,  1266,  1268,  1270,
    1272,  1274,  1276,  1280,  1282,  1288,  1296,  1300,  1309,  1314,
    1324,  1336,  1339,  1340,  1344,  1345,  1347,  1351,  1353,  1356,
    1359,  1362,  1363,  1365,  1369,  1373,  1380,  1385,  1386,  1388,
    1390,  1393,  1396,  1397,  1401,  1405,  1408,  1410,  1412,  1415,
    1418,  1423,  1424,  1427,  1430,  1433,  1434,  1438,  1443,  1448,
    1449,  1452,  1453,  1458,  1459,  1463,  1471,  1477,  1480,  1484,
    1485,  1491,  1496,  1503,  1505,  1506,  1508,  1511,  1514,  1516,
    1519,  1523,  1526,  1529,  1532,  1535,  1539,  1543,  1545,  1549,
    1551,  1552,  1554,  1557,  1559,  1561,  1565,  1572,  1583,  1585,
    1586,  1588,  1591,  1594,  1595,  1598,  1601,  1603,  1604,  1610,
    1618,  1620,  1621,  1628,  1631,  1632,  1636,  1642,  1648,  1657,
    1660,  1661,  1664,  1667,  1670,  1676,  1679,  1680,  1683,  1691,
    1702,  1709,  1716,  1723,  1730,  1738,  1746,  1756,  1766,  1773,
    1780,  1789,  1798,  1807,  1816,  1823,  1830,  1838,  1847,  1854,
    1861,  1869,  1872,  1875,  1878,  1881,  1883,  1886,  1888,  1889,
    1896,  1905,  1913,  1920,  1925,  1926,  1928,  1932,  1937,  1939,
    1943,  1945,  1948,  1951,  1954,  1957,  1959,  1961,  1972,  1975,
    1976,  1979,  1982,  1984,  1985,  1990,  1997,  2003,  2008,  2013,
    2022,  2034,  2038,  2041,  2043,  2047,  2049,  2055,  2063,  2072,
    2074,  2076,  2078,  2086,  2096,  2105,  2121,  2142,  2144,  2146,
    2149,  2151,  2155,  2157,  2159,  2161,  2165,  2167,  2171,  2172,
    2174,  2175,  2177,  2179,  2184,  2185,  2187,  2191,  2192,  2194,
    2196,  2198,  2200,  2203,  2204,  2205,  2208,  2211,  2213,  2216,
    2219,  2222,  2225,  2232,  2241,  2250,  2255,  2261,  2266,  2271,
    2276,  2280,  2288,  2297,  2304,  2311,  2318,  2325,  2332,  2337,
    2343,  2347,  2349,  2353,  2357,  2359,  2361,  2363,  2365,  2367,
    2369,  2373,  2377,  2381,  2383,  2387,  2391,  2393,  2394,  2396,
    2400,  2407,  2416,  2425,  2439,  2441,  2445,  2451,  2458,  2463,
    2471,  2474,  2476,  2477,  2480,  2481,  2484,  2489,  2490,  2492,
    2493,  2500,  2509,  2518,  2520,  2524,  2530,  2536,  2544,  2554,
    2562,  2572,  2578,  2585,  2592,  2597,  2603,  2611,  2613,  2615,
    2617,  2619,  2622,  2624,  2626,  2628,  2630,  2632,  2634,  2638,
    2642,  2646,  2650,  2652,  2656,  2658,  2661,  2664,  2668,  2674,
    2677,  2680,  2681,  2688,  2696,  2704,  2712,  2721,  2730,  2737,
    2746,  2756,  2766,  2774,  2785,  2793,  2802,  2811,  2820,  2829,
    2831,  2833,  2835,  2837,  2839,  2841,  2843,  2845,  2847,  2849,
    2851,  2853,  2855,  2857,  2860,  2862,  2866,  2868,  2870,  2879,
    2889,  2899,  2909,  2919,  2922,  2923,  2925,  2927,  2930,  2932,
    2934,  2936,  2938,  2940,  2942,  2944,  2946,  2948,  2950,  2953,
    2956,  2958,  2961,  2965,  2969,  2973,  2977,  2982,  2987,  2991,
    2995,  2999,  3004,  3009,  3013,  3018,  3023,  3025,  3027,  3029,
    3030,  3038,  3046,  3057,  3059,  3061,  3064,  3069,  3075,  3077,
    3081,  3084,  3087,  3090,  3093,  3095,  3098,  3101,  3106,  3110,
    3113,  3116,  3119,  3122,  3126,  3129,  3132,  3135,  3141,  3147,
    3153,  3155,  3159,  3161,  3164,  3168,  3169,  3171,  3175,  3178,
    3185,  3192,  3202,  3206,  3207,  3211,  3212,  3218,  3221,  3222,
    3226,  3230,  3234,  3242,  3250,  3261,  3263,  3265,  3267,  3269,
    3284,  3286,  3287,  3289,  3290,  3292,  3293,  3296,  3297,  3299,
    3303,  3309,  3315,  3323,  3326,  3327,  3329,  3332,  3333,  3335,
    3337,  3338,  3340,  3342,  3343,  3353,  3366,  3374,  3377,  3378,
    3382,  3385,  3387,  3391,  3395,  3398,  3400,  3404,  3408,  3412,
    3415,  3418,  3420,  3422,  3424,  3426,  3429,  3431,  3433,  3435,
    3437,  3442,  3448,  3450,  3454,  3458,  3460,  3463,  3468,  3474,
    3476,  3478,  3480,  3482,  3486,  3490,  3493,  3496,  3498,  3501,
    3504,  3507,  3509,  3512,  3515,  3517,  3519,  3521,  3525,  3528,
    3529,  3532,  3534,  3538,  3544,  3546,  3549,  3551,  3552,  3558,
    3566,  3572,  3580,  3586,  3594,  3598,  3604,  3610,  3616,  3618,
    3622,  3625,  3627,  3630,  3632,  3635,  3647,  3658,  3669,  3672,
    3675,  3676,  3686,  3689,  3690,  3695,  3700,  3705,  3707,  3709,
    3711,  3712,  3720,  3727,  3734,  3741,  3748,  3757,  3766,  3773,
    3780,  3788,  3798,  3808,  3815,  3822,  3829,  3838,  3845,  3854,
    3861,  3870,  3877,  3886,  3894,  3904,  3913,  3924,  3933,  3943,
    3955,  3964,  3971,  3978,  3985,  3991,  3997,  4006,  4015,  4024,
    4033,  4040,  4050,  4052,  4053,  4056,  4057,  4065,  4072,  4079,
    4086,  4093,  4100,  4108,  4118,  4128,  4135,  4144,  4153,  4162,
    4171,  4180,  4187,  4196,  4203,  4212,  4220,  4230,  4237,  4245,
    4252,  4259,  4266,  4273,  4280,  4288,  4296,  4304,  4314,  4324,
    4331,  4338,  4345,  4354,  4363,  4372,  4379,  4393,  4395,  4397,
    4401,  4405,  4407,  4409,  4411,  4413,  4415,  4417,  4419,  4420,
    4422,  4424,  4426,  4428,  4430,  4432,  4433,  4440,  4449,  4453,
    4456,  4457,  4460,  4463,  4466,  4469,  4473,  4477,  4480,  4483,
    4486,  4489,  4493,  4496,  4502,  4507,  4511,  4515,  4519,  4521,
    4523,  4524,  4528,  4531,  4534,  4536,  4539,  4541,  4545,  4548,
    4550,  4551,  4561,  4573,  4577,  4582,  4587,  4588,  4591,  4597,
    4600,  4601,  4605,  4609,  4613,  4617,  4621,  4625,  4629,  4633,
    4637,  4641,  4645,  4649,  4653,  4658,  4662,  4666,  4668,  4669,
    4675,  4682,  4687,  4690,  4691,  4696,  4700,  4706,  4713,  4718,
    4725,  4732,  4738,  4746,  4756,  4763,  4765,  4766,  4773,  4785,
    4797,  4809,  4823,  4833,  4845,  4856,  4861,  4864,  4870,  4873,
    4874,  4879,  4885,  4891,  4896,  4903,  4905,  4909,  4911,  4913,
    4915,  4917,  4920,  4925,  4927,  4929,  4931,  4932,  4934,  4935,
    4937,  4938,  4942,  4943,  4946,  4951,  4955,  4961,  4963,  4965,
    4967,  4969,  4971,  4973,  4975,  4977,  4981,  4984,  4986,  4988,
    4990,  4992,  4993,  4999,  5003,  5004,  5006,  5008,  5010,  5012,
    5016,  5026,  5030,  5031,  5034,  5038,  5041,  5045,  5052,  5054,
    5059,  5062,  5064,  5068,  5071,  5074,  5075,  5083,  5086,  5087,
    5093,  5097,  5098,  5101,  5104,  5107,  5111,  5113,  5117,  5119,
    5122,  5124,  5125,  5134,  5136,  5140,  5142,  5144,  5148,  5154,
    5157,  5159,  5163,  5171,  5173,  5174,  5178,  5181,  5184,  5187,
    5188,  5191,  5194,  5196,  5198,  5202,  5206,  5208,  5211,  5216,
    5221,  5224,  5228,  5234,  5240,  5242,  5244,  5254,  5256,  5259,
    5264,  5269,  5274,  5277,  5281,  5283,  5287,  5294,  5296,  5297,
    5300,  5301,  5305,  5309,  5314,  5319,  5324,  5329,  5333,  5336,
    5338,  5340,  5341,  5343,  5345,  5346,  5348,  5354,  5356,  5357,
    5359,  5360,  5364,  5366,  5370,  5375,  5379,  5382,  5385,  5387,
    5389,  5391,  5392,  5395,  5400,  5406,  5409,  5413,  5415,  5417,
    5419,  5421,  5425,  5426,  5428,  5430,  5432,  5434,  5436,  5440,
    5441,  5444,  5445,  5447,  5451,  5453,  5454,  5456,  5459,  5464,
    5469,  5472,  5473,  5476,  5480,  5483,  5484,  5486,  5490,  5492,
    5495,  5497,  5500,  5506,  5513,  5519,  5521,  5524,  5526,  5531,
    5535,  5540,  5546,  5551,  5557,  5562,  5568,  5571,  5576,  5578,
    5581,  5584,  5587,  5589,  5591,  5592,  5597,  5600,  5602,  5605,
    5608,  5613,  5615,  5619,  5621,  5624,  5628,  5630,  5633,  5634,
    5637,  5642,  5643,  5645,  5646,  5648,  5652,  5656,  5659,  5663,
    5669,  5676,  5679,  5683,  5687,  5692,  5693,  5695,  5697,  5699,
    5701,  5703,  5706,  5712,  5714,  5716,  5718,  5720,  5723,  5727,
    5731,  5732,  5734,  5736,  5738,  5740,  5742,  5745,  5748,  5751,
    5754,  5757,  5759,  5763,  5764,  5766,  5768,  5770,  5772,  5778,
    5781,  5783,  5785,  5787,  5789,  5795,  5798,  5801,  5804,  5806,
    5810,  5814,  5817,  5819,  5820,  5824,  5825,  5831,  5834,  5840,
    5843,  5845,  5848,  5852,  5853,  5855,  5857,  5859,  5861,  5863,
    5865,  5869,  5873,  5877,  5881,  5885,  5889,  5893,  5894,  5896,
    5901,  5903,  5907,  5911,  5917,  5920,  5923,  5927,  5931,  5935,
    5939,  5943,  5947,  5951,  5955,  5959,  5963,  5966,  5969,  5973,
    5977,  5980,  5984,  5990,  5995,  6002,  6006,  6012,  6017,  6024,
    6029,  6036,  6042,  6050,  6054,  6057,  6062,  6065,  6069,  6073,
    6078,  6082,  6087,  6091,  6096,  6102,  6109,  6116,  6124,  6131,
    6139,  6146,  6154,  6158,  6163,  6168,  6175,  6178,  6182,  6187,
    6189,  6193,  6196,  6199,  6203,  6207,  6211,  6215,  6219,  6223,
    6227,  6231,  6235,  6239,  6242,  6245,  6251,  6258,  6265,  6273,
    6277,  6282,  6284,  6286,  6289,  6294,  6296,  6298,  6300,  6303,
    6306,  6309,  6312,  6314,  6319,  6325,  6332,  6341,  6348,  6356,
    6364,  6370,  6376,  6378,  6380,  6385,  6387,  6392,  6394,  6399,
    6401,  6406,  6408,  6410,  6412,  6414,  6416,  6418,  6425,  6430,
    6435,  6440,  6445,  6452,  6458,  6464,  6470,  6475,  6482,  6487,
    6492,  6497,  6502,  6508,  6516,  6524,  6534,  6540,  6545,  6552,
    6558,  6566,  6574,  6582,  6585,  6589,  6593,  6597,  6602,  6603,
    6608,  6610,  6614,  6618,  6620,  6622,  6624,  6627,  6630,  6631,
    6634,  6639,  6644,  6651,  6654,  6655,  6657,  6661,  6665,  6668,
    6671,  6672,  6679,  6681,  6682,  6686,  6687,  6690,  6693,  6694,
    6696,  6701,  6704,  6707,  6710,  6713,  6716,  6721,  6725,  6731,
    6733,  6735,  6737,  6739,  6741,  6743,  6745,  6747,  6749,  6751,
    6753,  6755,  6757,  6759,  6761,  6766,  6768,  6773,  6775,  6780,
    6782,  6785,  6787,  6790,  6792,  6796,  6798,  6802,  6804,  6808,
    6810,  6814,  6818,  6822,  6825,  6827,  6831,  6835,  6836,  6838,
    6840,  6842,  6844,  6846,  6848,  6850,  6852,  6857,  6861,  6864,
    6868,  6869,  6873,  6877,  6880,  6883,  6885,  6886,  6889,  6892,
    6896,  6899,  6901,  6903,  6907,  6913,  6915,  6918,  6923,  6926,
    6927,  6929,  6930,  6932,  6935,  6938,  6941,  6945,  6951,  6953,
    6956,  6957,  6960,  6962,  6963,  6965,  6967,  6969,  6973,  6977,
    6979,  6983,  6987,  6990,  6992,  6994,  6996,  7000,  7002,  7005,
    7007,  7011,  7013,  7015,  7017,  7019,  7021,  7023,  7025,  7028,
    7030,  7032,  7034,  7036,  7038,  7041,  7047,  7050,  7054,  7061,
    7063,  7065,  7067,  7069,  7071,  7073,  7075,  7078,  7081,  7083,
    7085,  7087,  7089,  7091,  7093,  7095,  7097,  7099,  7101,  7103,
    7105,  7107,  7109,  7111,  7113,  7115,  7117,  7119,  7121,  7123,
    7125,  7127,  7129,  7131,  7133,  7135,  7137,  7139,  7141,  7143,
    7145,  7147,  7149,  7151,  7153,  7155,  7157,  7159,  7161,  7163,
    7165,  7167,  7169,  7171,  7173,  7175,  7177,  7179,  7181,  7183,
    7185,  7187,  7189,  7191,  7193,  7195,  7197,  7199,  7201,  7203,
    7205,  7207,  7209,  7211,  7213,  7215,  7217,  7219,  7221,  7223,
    7225,  7227,  7229,  7231,  7233,  7235,  7237,  7239,  7241,  7243,
    7245,  7247,  7249,  7251,  7253,  7255,  7257,  7259,  7261,  7263,
    7265,  7267,  7269,  7271,  7273,  7275,  7277,  7279,  7281,  7283,
    7285,  7287,  7289,  7291,  7293,  7295,  7297,  7299,  7301,  7303,
    7305,  7307,  7309,  7311,  7313,  7315,  7317,  7319,  7321,  7323,
    7325,  7327,  7329,  7331,  7333,  7335,  7337,  7339,  7341,  7343,
    7345,  7347,  7349,  7351,  7353,  7355,  7357,  7359,  7361,  7363,
    7365,  7367,  7369,  7371,  7373,  7375,  7377,  7379,  7381,  7383,
    7385,  7387,  7389,  7391,  7393,  7395,  7397,  7399,  7401,  7403,
    7405,  7407,  7409,  7411,  7413,  7415,  7417,  7419,  7421,  7423,
    7425,  7427,  7429,  7431,  7433,  7435,  7437,  7439,  7441,  7443,
    7445,  7447,  7449,  7451,  7453,  7455,  7457,  7459,  7461,  7463,
    7465,  7467,  7469,  7471,  7473,  7475,  7477,  7479,  7481,  7483,
    7485,  7487,  7489,  7491,  7493,  7495,  7497,  7499,  7501,  7503,
    7505,  7507,  7509,  7511,  7513,  7515,  7517,  7519,  7521,  7523,
    7525,  7527,  7529,  7531,  7533,  7535,  7537,  7539,  7541,  7543,
    7545,  7547,  7549,  7551,  7553,  7555,  7557,  7559,  7561,  7563,
    7565,  7567,  7569,  7571,  7573,  7575,  7577,  7579,  7581,  7583,
    7585,  7587,  7589,  7591,  7593,  7595,  7597,  7599,  7601,  7603,
    7605,  7607,  7609,  7611,  7613,  7615,  7617,  7619,  7621,  7623,
    7625,  7627,  7629,  7631,  7633,  7635,  7637,  7639,  7641,  7643,
    7645,  7647,  7649,  7651,  7653,  7655,  7657,  7659,  7661,  7663,
    7665,  7667,  7669,  7671,  7673,  7675,  7677,  7679,  7681,  7683,
    7685,  7687,  7689,  7691,  7693,  7695,  7697,  7699,  7701,  7703,
    7705,  7707,  7709,  7711,  7713,  7715,  7717,  7719,  7721,  7723,
    7725,  7727,  7729,  7731,  7733,  7735,  7737,  7739,  7741,  7743,
    7745,  7747,  7749,  7751,  7753,  7755,  7757,  7759,  7761,  7763,
    7765,  7767,  7769,  7771,  7773,  7775,  7777,  7779,  7781,  7783,
    7785,  7787,  7789,  7791,  7793,  7795,  7797,  7799,  7801,  7803,
    7805,  7807,  7809,  7811,  7813,  7815,  7817,  7819,  7821,  7823,
    7825,  7827,  7829,  7831,  7833,  7835,  7837,  7839,  7841,  7843,
    7845,  7847,  7849,  7851,  7853,  7855,  7857,  7859,  7861,  7863,
    7865,  7867,  7869,  7871,  7873,  7875,  7877,  7879,  7881,  7883,
    7885,  7887,  7889,  7891,  7893,  7895,  7897,  7899,  7901
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     433,     0,    -1,   434,    -1,   434,   429,   435,    -1,   435,
      -1,   761,    -1,   762,    -1,   679,    -1,   767,    -1,   630,
      -1,   570,    -1,   573,    -1,   579,    -1,   593,    -1,   598,
      -1,   714,    -1,   451,    -1,   735,    -1,   736,    -1,   549,
      -1,   478,    -1,   489,    -1,   445,    -1,   443,    -1,   770,
      -1,   769,    -1,   602,    -1,   447,    -1,   446,    -1,   777,
      -1,   476,    -1,   492,    -1,   772,    -1,   653,    -1,   473,
      -1,   493,    -1,   545,    -1,   617,    -1,   725,    -1,   771,
      -1,   766,    -1,   567,    -1,   574,    -1,   588,    -1,   594,
      -1,   695,    -1,   450,    -1,   631,    -1,   638,    -1,   639,
      -1,   556,    -1,   454,    -1,   548,    -1,   508,    -1,   564,
      -1,   603,    -1,   436,    -1,   442,    -1,   599,    -1,   757,
      -1,   794,    -1,   813,    -1,   619,    -1,   800,    -1,   477,
      -1,   722,    -1,   618,    -1,   727,    -1,   578,    -1,   592,
      -1,   453,    -1,   642,    -1,   643,    -1,   644,    -1,   562,
      -1,   744,    -1,   646,    -1,   566,    -1,   616,    -1,   448,
      -1,   449,    -1,   601,    -1,   765,    -1,   792,    -1,   783,
      -1,   660,    -1,   664,    -1,   675,    -1,   684,    -1,   795,
      -1,   747,    -1,   756,    -1,   802,    -1,   745,    -1,   789,
      -1,   645,    -1,   729,    -1,   718,    -1,   717,    -1,   719,
      -1,   732,    -1,   665,    -1,   676,    -1,   737,    -1,   656,
      -1,   817,    -1,   749,    -1,   651,    -1,   748,    -1,   806,
      -1,   774,    -1,   469,    -1,   458,    -1,   472,    -1,   754,
      -1,    -1,    83,   301,   967,   437,   438,    -1,   392,    -1,
      -1,   438,   441,    -1,    -1,   439,   440,    -1,    -1,   264,
     966,    -1,   264,   237,    -1,   125,   264,   966,    -1,   365,
     264,   966,    -1,   175,    -1,    75,   208,   968,    -1,   376,
     371,   966,    -1,   373,   956,    -1,     3,    -1,   440,    -1,
     340,   965,    -1,    19,   956,    -1,   301,   956,    -1,   170,
     301,   956,    -1,   170,   158,   956,    -1,    83,   373,   967,
     437,   438,    -1,    24,   301,   967,   437,   439,    -1,    -1,
     170,    97,   958,    -1,    24,   301,   967,   444,   470,    -1,
      24,   373,   967,   437,   439,    -1,    24,   373,   967,   470,
      -1,   120,   301,   956,    -1,   120,   301,   165,   134,   956,
      -1,   120,   373,   956,    -1,   120,   373,   165,   134,   956,
      -1,    83,   158,   967,   437,   438,    -1,    24,   158,   967,
     452,   373,   956,    -1,    18,    -1,   120,    -1,   120,   158,
     956,    -1,   120,   158,   165,   134,   956,    -1,    83,   307,
     455,    38,   967,   456,    -1,    83,   307,   969,   456,    -1,
     969,    -1,    -1,   456,   457,    -1,    -1,   508,    -1,   684,
      -1,   548,    -1,   603,    -1,   664,    -1,   754,    -1,   319,
     459,    -1,   319,   211,   459,    -1,   319,   317,   459,    -1,
     354,   752,    -1,   317,    59,    31,   354,   752,    -1,   460,
      -1,   461,   352,   462,    -1,   461,   413,   462,    -1,   461,
     352,   103,    -1,   461,   413,   103,    -1,   461,   150,    86,
      -1,   350,   409,   466,    -1,    55,   966,    -1,   307,   966,
      -1,   225,   467,    -1,   301,   468,    -1,   317,    38,   468,
      -1,   317,    38,   103,    -1,   397,   249,   903,    -1,   354,
     326,   966,    -1,   969,    -1,   461,   428,   969,    -1,   463,
      -1,   462,   430,   463,    -1,   465,    -1,   554,    -1,   280,
     364,    -1,   280,    72,    -1,   291,   280,    -1,   315,    -1,
     358,    -1,   139,    -1,   246,    -1,   468,    -1,   966,    -1,
       3,    -1,   890,   966,   892,    -1,   890,   426,   965,   427,
     966,   892,    -1,   554,    -1,   103,    -1,   211,    -1,   966,
      -1,   103,    -1,    -1,   971,    -1,   966,    -1,   294,   461,
      -1,   294,   350,   409,    -1,   294,   354,   193,   206,    -1,
     294,   317,    38,    -1,   294,    22,    -1,   319,   459,    -1,
     469,    -1,   319,   460,    -1,   469,    -1,   322,   461,    -1,
     322,   350,   409,    -1,   322,   354,   193,   206,    -1,   322,
     317,    38,    -1,   322,    22,    -1,   319,    77,   474,   475,
      -1,    22,    -1,   954,    -1,   106,    -1,   167,    -1,    61,
      -1,   114,    22,    -1,   114,   345,    -1,   114,   347,    -1,
     114,   266,    -1,    24,   342,   861,   479,    -1,    24,   342,
     165,   134,   861,   479,    -1,    24,   173,   955,   479,    -1,
      24,   173,   165,   134,   955,   479,    -1,    24,   313,   955,
     479,    -1,    24,   313,   165,   134,   955,   479,    -1,    24,
     386,   955,   479,    -1,    24,   386,   165,   134,   955,   479,
      -1,   480,    -1,   479,   430,   480,    -1,    18,   516,    -1,
      18,    68,   516,    -1,    24,   733,   969,   481,    -1,    24,
     733,   969,   120,   232,   237,    -1,    24,   733,   969,   319,
     232,   237,    -1,    24,   733,   969,   319,   332,   968,    -1,
      24,   733,   969,   319,   485,    -1,    24,   733,   969,   294,
     485,    -1,    24,   733,   969,   319,   335,   969,    -1,   120,
     733,   165,   134,   969,   482,    -1,   120,   733,   969,   482,
      -1,    24,   733,   969,   734,   361,   870,   483,   484,    -1,
      24,   733,   969,   582,    -1,    18,   525,    -1,   377,    76,
     957,    -1,   120,    76,   165,   134,   957,   482,    -1,   120,
      76,   957,   482,    -1,   319,   392,   245,    -1,   319,   393,
     245,    -1,    64,   246,   957,    -1,   319,   393,    64,    -1,
     123,   356,   957,    -1,   123,    25,   356,   957,    -1,   123,
     293,   356,   957,    -1,   123,   356,    22,    -1,   123,   356,
     373,    -1,   113,   356,   957,    -1,   113,   356,    22,    -1,
     113,   356,   373,    -1,   123,   305,   957,    -1,   123,    25,
     305,   957,    -1,   123,   293,   305,   957,    -1,   113,   305,
     957,    -1,   175,   955,    -1,   230,   175,   955,    -1,   242,
     649,    -1,   232,   242,    -1,   259,   352,   967,    -1,   319,
     344,   957,    -1,   319,   485,    -1,   294,   485,    -1,   582,
      -1,   319,   103,   894,    -1,   120,   103,    -1,    51,    -1,
     296,    -1,    -1,    66,   649,    -1,    -1,   374,   894,    -1,
      -1,   426,   487,   427,    -1,   392,   485,    -1,    -1,   488,
      -1,   487,   430,   488,    -1,   972,   413,   623,    -1,   972,
      -1,   972,   428,   972,   413,   623,    -1,   972,   428,   972,
      -1,    24,   361,   649,   490,    -1,   491,    -1,   490,   430,
     491,    -1,    18,    37,   869,   482,    -1,   120,    37,   165,
     134,   969,   482,    -1,   120,    37,   969,   482,    -1,    24,
      37,   969,   734,   361,   870,   483,   482,    -1,    63,   814,
      -1,    63,    22,    -1,    81,   499,   955,   528,   500,   494,
     495,   501,   437,   496,    -1,    81,   818,   352,   495,   437,
     496,    -1,   150,    -1,   352,    -1,   966,    -1,   333,    -1,
     334,    -1,   497,    -1,   426,   503,   427,    -1,   497,   498,
      -1,    -1,    44,    -1,   245,    -1,   109,   768,   966,    -1,
     237,   768,   966,    -1,    85,    -1,   161,    -1,   278,   768,
     966,    -1,   128,   768,   966,    -1,   146,   278,   529,    -1,
     146,   278,   419,    -1,   146,   232,   237,   529,    -1,   124,
     966,    -1,    44,    -1,    -1,   392,   245,    -1,    -1,   502,
     110,   966,    -1,    -1,   374,    -1,    -1,   504,    -1,   503,
     430,   504,    -1,   972,   505,    -1,   465,    -1,   554,    -1,
     419,    -1,   426,   506,   427,    -1,    -1,   507,    -1,   506,
     430,   507,    -1,   465,    -1,    83,   509,   342,   955,   426,
     510,   427,   539,   540,   541,   542,    -1,    83,   509,   342,
     165,   232,   134,   955,   426,   510,   427,   539,   540,   541,
     542,    -1,    83,   509,   342,   955,   242,   649,   511,   540,
     541,   542,    -1,    83,   509,   342,   165,   232,   134,   955,
     242,   649,   511,   540,   541,   542,    -1,   347,    -1,   345,
      -1,   211,   347,    -1,   211,   345,    -1,   154,   347,    -1,
     154,   345,    -1,   370,    -1,    -1,   512,    -1,    -1,   426,
     513,   427,    -1,    -1,   514,    -1,   512,   430,   514,    -1,
     515,    -1,   513,   430,   515,    -1,   516,    -1,   522,    -1,
     525,    -1,   517,    -1,   525,    -1,   969,   870,   580,   518,
      -1,   969,   392,   250,   518,    -1,   518,   519,    -1,    -1,
      76,   957,   520,    -1,   520,    -1,   521,    -1,    66,   649,
      -1,   232,   237,    -1,   237,    -1,   367,   711,   543,    -1,
     273,   195,   711,   543,    -1,    60,   426,   894,   427,   527,
      -1,   103,   895,    -1,   286,   955,   528,   531,   535,    -1,
     105,    -1,   232,   105,    -1,   177,   106,    -1,   177,   167,
      -1,   207,   955,   523,    -1,   523,   171,   524,    -1,   523,
     131,   524,    -1,    -1,   104,    -1,    77,    -1,   174,    -1,
     335,    -1,    70,    -1,    22,    -1,    76,   957,   526,    -1,
     526,    -1,    60,   426,   894,   427,   614,    -1,   367,   426,
     529,   427,   711,   543,   614,    -1,   367,   544,   614,    -1,
     273,   195,   426,   529,   427,   711,   543,   614,    -1,   273,
     195,   544,   614,    -1,   130,   688,   426,   532,   427,   711,
     543,   534,   614,    -1,   147,   195,   426,   529,   427,   286,
     955,   528,   531,   535,   614,    -1,   230,   175,    -1,    -1,
     426,   529,   427,    -1,    -1,   530,    -1,   529,   430,   530,
      -1,   969,    -1,   217,   151,    -1,   217,   261,    -1,   217,
     324,    -1,    -1,   533,    -1,   532,   430,   533,    -1,   690,
     392,   721,    -1,   690,   392,   248,   426,   721,   427,    -1,
     389,   426,   894,   427,    -1,    -1,   536,    -1,   537,    -1,
     536,   537,    -1,   537,   536,    -1,    -1,   246,   372,   538,
      -1,   246,   108,   538,    -1,   230,    17,    -1,   296,    -1,
      51,    -1,   319,   237,    -1,   319,   103,    -1,   176,   426,
     954,   427,    -1,    -1,   392,   485,    -1,   392,   245,    -1,
     393,   245,    -1,    -1,   246,    71,   120,    -1,   246,    71,
     108,   304,    -1,   246,    71,   270,   304,    -1,    -1,   344,
     957,    -1,    -1,   374,   173,   344,   957,    -1,    -1,   374,
     173,   961,    -1,    83,   509,   342,   546,    31,   817,   547,
      -1,   955,   528,   540,   541,   542,    -1,   392,    96,    -1,
     392,   230,    96,    -1,    -1,    83,   509,   313,   955,   550,
      -1,    24,   313,   955,   551,    -1,    24,   313,   165,   134,
     955,   551,    -1,   551,    -1,    -1,   552,    -1,   551,   552,
      -1,    49,   554,    -1,    95,    -1,   230,    95,    -1,   172,
     553,   554,    -1,   218,   554,    -1,   220,   554,    -1,   230,
     218,    -1,   230,   220,    -1,   258,    48,   649,    -1,   330,
     437,   554,    -1,   295,    -1,   295,   437,   554,    -1,    48,
      -1,    -1,     4,    -1,   418,     4,    -1,   968,    -1,   554,
      -1,   555,   430,   554,    -1,    83,   696,   557,   563,   197,
     468,    -1,    83,   696,   557,   563,   197,   468,   159,   558,
     559,   561,    -1,   360,    -1,    -1,   957,    -1,   957,   650,
      -1,   178,   558,    -1,    -1,   378,   558,    -1,   230,   378,
      -1,   560,    -1,    -1,   120,   563,   197,   468,   482,    -1,
     120,   563,   197,   165,   134,   468,   482,    -1,   276,    -1,
      -1,    83,   344,   957,   565,   214,   966,    -1,   259,   957,
      -1,    -1,   120,   344,   957,    -1,   120,   344,   165,   134,
     957,    -1,    83,   136,   957,   437,   568,    -1,    83,   136,
     165,   232,   134,   957,   437,   568,    -1,   568,   569,    -1,
      -1,   307,   957,    -1,   385,   468,    -1,   150,   468,    -1,
      24,   136,   957,   372,   571,    -1,   571,   572,    -1,    -1,
     352,   468,    -1,    24,   136,   957,   452,    21,   963,   624,
      -1,    24,   136,   957,   452,    54,   426,   870,    31,   870,
     427,    -1,    24,   136,   957,   452,    67,   649,    -1,    24,
     136,   957,   452,    80,   649,    -1,    24,   136,   957,   452,
     118,   649,    -1,    24,   136,   957,   452,   152,   674,    -1,
      24,   136,   957,   452,   563,   197,   957,    -1,    24,   136,
     957,   452,   248,   721,   720,    -1,    24,   136,   957,   452,
     248,    62,   649,   374,   959,    -1,    24,   136,   957,   452,
     248,   140,   649,   374,   959,    -1,    24,   136,   957,   452,
     307,   957,    -1,    24,   136,   957,   452,   342,   649,    -1,
      24,   136,   957,   452,   348,   309,   260,   649,    -1,    24,
     136,   957,   452,   348,   309,   112,   649,    -1,    24,   136,
     957,   452,   348,   309,   346,   649,    -1,    24,   136,   957,
     452,   348,   309,    74,   649,    -1,    24,   136,   957,   452,
     313,   649,    -1,    24,   136,   957,   452,   386,   649,    -1,
      24,   136,   957,   452,   147,   342,   649,    -1,    24,   136,
     957,   452,   147,    96,   395,   957,    -1,    24,   136,   957,
     452,   316,   957,    -1,    24,   136,   957,   452,   361,   649,
      -1,    83,   147,    96,   395,   957,   577,   580,    -1,   159,
     558,    -1,   230,   159,    -1,   378,   558,    -1,   230,   378,
      -1,   575,    -1,   576,   575,    -1,   576,    -1,    -1,   120,
     147,    96,   395,   957,   482,    -1,   120,   147,    96,   395,
     165,   134,   957,   482,    -1,    24,   147,    96,   395,   957,
     577,   582,    -1,    24,   147,    96,   395,   957,   576,    -1,
     250,   426,   581,   427,    -1,    -1,   585,    -1,   581,   430,
     585,    -1,   250,   426,   583,   427,    -1,   584,    -1,   583,
     430,   584,    -1,   585,    -1,   319,   585,    -1,    18,   585,
      -1,   120,   586,    -1,   586,   587,    -1,   972,    -1,   966,
      -1,    83,   316,   957,   589,   591,   147,    96,   395,   957,
     580,    -1,   361,   966,    -1,    -1,   385,   966,    -1,   385,
     237,    -1,   590,    -1,    -1,   120,   316,   957,   482,    -1,
     120,   316,   165,   134,   957,   482,    -1,    24,   316,   957,
     590,   582,    -1,    24,   316,   957,   590,    -1,    24,   316,
     957,   582,    -1,    83,   147,   342,   955,   595,   316,   957,
     580,    -1,    83,   147,   342,   165,   232,   134,   955,   595,
     316,   957,   580,    -1,   426,   596,   427,    -1,   426,   427,
      -1,   597,    -1,   596,   430,   597,    -1,   516,    -1,    24,
     147,   342,   861,   479,    -1,    24,   147,   342,   165,   134,
     861,   479,    -1,    83,   373,   216,   145,   600,   316,   957,
     580,    -1,    93,    -1,   373,    -1,   967,    -1,   120,   373,
     216,   145,   600,   316,   957,    -1,   120,   373,   216,   165,
     134,   145,   600,   316,   957,    -1,    24,   373,   216,   145,
     600,   316,   957,   582,    -1,    83,   356,   957,   604,   605,
     246,   955,   607,   610,   133,   277,   963,   426,   611,   427,
      -1,    83,    76,   356,   957,    20,   605,   246,   955,   613,
     614,   145,   121,   303,   610,   133,   277,   963,   426,   611,
     427,    -1,    40,    -1,    20,    -1,   184,   242,    -1,   606,
      -1,   605,   251,   606,    -1,   183,    -1,   108,    -1,   372,
      -1,   372,   242,   529,    -1,   359,    -1,   145,   608,   609,
      -1,    -1,   121,    -1,    -1,   303,    -1,   331,    -1,   388,
     426,   894,   427,    -1,    -1,   612,    -1,   611,   430,   612,
      -1,    -1,   965,    -1,     4,    -1,   966,    -1,   972,    -1,
     150,   955,    -1,    -1,    -1,   614,   615,    -1,   232,   105,
      -1,   105,    -1,   177,   167,    -1,   177,   106,    -1,   232,
     376,    -1,   230,   175,    -1,   120,   356,   957,   246,   649,
     482,    -1,   120,   356,   165,   134,   957,   246,   649,   482,
      -1,    83,    33,   957,    60,   426,   894,   427,   614,    -1,
     120,    33,   957,   482,    -1,    83,    21,   963,   624,   620,
      -1,    83,    21,   963,   625,    -1,    83,   248,   721,   620,
      -1,    83,   361,   649,   620,    -1,    83,   361,   649,    -1,
      83,   361,   649,    31,   426,   867,   427,    -1,    83,   361,
     649,    31,   127,   426,   628,   427,    -1,    83,   361,   649,
      31,   279,   620,    -1,    83,   348,   309,   260,   649,   620,
      -1,    83,   348,   309,   112,   649,   620,    -1,    83,   348,
     309,   346,   649,   620,    -1,    83,   348,   309,    74,   649,
     620,    -1,    83,    67,   649,   620,    -1,    83,    67,   649,
     150,   649,    -1,   426,   621,   427,    -1,   622,    -1,   621,
     430,   622,    -1,   972,   413,   623,    -1,   972,    -1,   705,
      -1,   976,    -1,   921,    -1,   554,    -1,   966,    -1,   426,
     926,   427,    -1,   426,   419,   427,    -1,   426,   626,   427,
      -1,   627,    -1,   626,   430,   627,    -1,     3,   413,   623,
      -1,   629,    -1,    -1,   966,    -1,   629,   430,   966,    -1,
      24,   361,   649,    18,   379,   966,    -1,    24,   361,   649,
      18,   379,   966,    40,   966,    -1,    24,   361,   649,    18,
     379,   966,    20,   966,    -1,    83,   248,    62,   649,   634,
     145,   361,   870,   374,   959,   635,    31,   632,    -1,   633,
      -1,   632,   430,   633,    -1,   248,   965,   721,   636,   637,
      -1,   248,   965,   721,   720,   636,   637,    -1,   152,   965,
     963,   697,    -1,   152,   965,   426,   926,   427,   963,   697,
      -1,   335,   870,    -1,   103,    -1,    -1,   140,   649,    -1,
      -1,   145,   309,    -1,   145,   252,    48,   649,    -1,    -1,
     283,    -1,    -1,    83,   248,   140,   649,   374,   959,    -1,
      24,   248,   140,   649,   374,   959,    18,   632,    -1,    24,
     248,   140,   649,   374,   959,   120,   640,    -1,   641,    -1,
     640,   430,   641,    -1,   248,   965,   426,   926,   427,    -1,
     152,   965,   426,   926,   427,    -1,   120,   248,    62,   649,
     374,   959,   482,    -1,   120,   248,    62,   165,   134,   649,
     374,   959,   482,    -1,   120,   248,   140,   649,   374,   959,
     482,    -1,   120,   248,   140,   165,   134,   649,   374,   959,
     482,    -1,   120,   258,    48,   956,   482,    -1,   282,   258,
      48,   956,   352,   957,    -1,   120,   647,   165,   134,   648,
     482,    -1,   120,   647,   648,   482,    -1,   120,   173,    73,
     648,   482,    -1,   120,   173,    73,   165,   134,   648,   482,
      -1,   342,    -1,   313,    -1,   386,    -1,   173,    -1,   147,
     342,    -1,   361,    -1,   118,    -1,    67,    -1,    80,    -1,
     307,    -1,   136,    -1,   348,   309,   260,    -1,   348,   309,
     112,    -1,   348,   309,   346,    -1,   348,   309,    74,    -1,
     649,    -1,   648,   430,   649,    -1,   969,    -1,   969,   650,
      -1,   428,   960,    -1,   650,   428,   960,    -1,   359,   828,
     862,   652,   482,    -1,    79,   164,    -1,   295,   164,    -1,
      -1,    69,   246,   654,   649,   191,   655,    -1,    69,   246,
      21,   963,   624,   191,   655,    -1,    69,   246,   152,   963,
     697,   191,   655,    -1,    69,   246,   248,   721,   720,   191,
     655,    -1,    69,   246,    76,   957,   246,   649,   191,   655,
      -1,    69,   246,   305,   957,   246,   649,   191,   655,    -1,
      69,   246,   305,   957,   191,   655,    -1,    69,   246,   356,
     957,   246,   649,   191,   655,    -1,    69,   246,   248,    62,
     649,   374,   959,   191,   655,    -1,    69,   246,   248,   140,
     649,   374,   959,   191,   655,    -1,    69,   246,   198,   241,
     554,   191,   655,    -1,    69,   246,    54,   426,   870,    31,
     870,   427,   191,   655,    -1,    69,   246,   563,   197,   649,
     191,   655,    -1,    69,   246,   348,   309,   260,   649,   191,
     655,    -1,    69,   246,   348,   309,   112,   649,   191,   655,
      -1,    69,   246,   348,   309,   346,   649,   191,   655,    -1,
      69,   246,   348,   309,    74,   649,   191,   655,    -1,    68,
      -1,    97,    -1,   307,    -1,   173,    -1,   313,    -1,   342,
      -1,   118,    -1,   361,    -1,   386,    -1,    67,    -1,    80,
      -1,   344,    -1,   136,    -1,   301,    -1,   147,   342,    -1,
     316,    -1,   147,    96,   395,    -1,   966,    -1,   237,    -1,
     311,   196,   657,   246,   658,   649,   191,   659,    -1,   311,
     196,   657,   246,    21,   963,   624,   191,   659,    -1,   311,
     196,   657,   246,   152,   963,   697,   191,   659,    -1,   311,
     196,   657,   246,   198,   241,   554,   191,   659,    -1,   311,
     196,   657,   246,   563,   197,   649,   191,   659,    -1,   145,
     468,    -1,    -1,    68,    -1,    97,    -1,   147,   342,    -1,
     307,    -1,   313,    -1,   342,    -1,   118,    -1,   301,    -1,
     344,    -1,   361,    -1,   386,    -1,   966,    -1,   237,    -1,
     141,   661,    -1,   223,   661,    -1,   814,    -1,   662,   814,
      -1,   229,   663,   814,    -1,   274,   663,   814,    -1,   142,
     663,   814,    -1,   199,   663,   814,    -1,    15,   968,   663,
     814,    -1,   288,   968,   663,   814,    -1,   968,   663,   814,
      -1,    22,   663,   814,    -1,   148,   663,   814,    -1,   148,
     968,   663,   814,    -1,   148,    22,   663,   814,    -1,    39,
     663,   814,    -1,    39,   968,   663,   814,    -1,    39,    22,
     663,   814,    -1,   150,    -1,   170,    -1,   662,    -1,    -1,
     155,   666,   246,   669,   352,   670,   672,    -1,   299,   666,
     246,   669,   150,   670,   482,    -1,   299,   155,   249,   145,
     666,   246,   669,   150,   670,   482,    -1,   667,    -1,    22,
      -1,    22,   275,    -1,    22,   426,   529,   427,    -1,    22,
     275,   426,   529,   427,    -1,   668,    -1,   667,   430,   668,
      -1,   312,   528,    -1,   286,   528,    -1,    83,   528,    -1,
     969,   528,    -1,   954,    -1,   342,   954,    -1,   313,   954,
      -1,   147,    96,   395,   956,    -1,   147,   316,   956,    -1,
     152,   673,    -1,    97,   956,    -1,   118,   648,    -1,   197,
     956,    -1,   198,   241,   555,    -1,   307,   956,    -1,   344,
     956,    -1,   361,   648,    -1,    22,   343,   170,   307,   956,
      -1,    22,   314,   170,   307,   956,    -1,    22,   153,   170,
     307,   956,    -1,   671,    -1,   670,   430,   671,    -1,   967,
      -1,   158,   967,    -1,   392,   155,   249,    -1,    -1,   674,
      -1,   673,   430,   674,    -1,   963,   697,    -1,   155,   667,
     352,   956,   677,   678,    -1,   299,   667,   150,   956,   678,
     482,    -1,   299,    19,   249,   145,   667,   150,   956,   678,
     482,    -1,   392,    19,   249,    -1,    -1,   156,    48,   967,
      -1,    -1,    24,   103,   275,   680,   682,    -1,   680,   681,
      -1,    -1,   170,   307,   956,    -1,   145,   301,   956,    -1,
     145,   373,   956,    -1,   155,   666,   246,   683,   352,   670,
     672,    -1,   299,   666,   246,   683,   150,   670,   482,    -1,
     299,   155,   249,   145,   666,   246,   683,   150,   670,   482,
      -1,   343,    -1,   153,    -1,   314,    -1,   362,    -1,    83,
     685,   173,   686,   687,   246,   955,   688,   426,   689,   427,
     486,   542,   865,    -1,   367,    -1,    -1,    73,    -1,    -1,
     961,    -1,    -1,   374,   959,    -1,    -1,   690,    -1,   689,
     430,   690,    -1,   969,   691,   692,   693,   694,    -1,   897,
     691,   692,   693,   694,    -1,   426,   894,   427,   691,   692,
     693,   694,    -1,    66,   649,    -1,    -1,   649,    -1,   374,
     649,    -1,    -1,    32,    -1,   111,    -1,    -1,   410,    -1,
     411,    -1,    -1,    83,   696,   152,   963,   699,   298,   704,
     707,   711,    -1,    83,   696,   152,   963,   699,   298,   342,
     426,   713,   427,   707,   711,    -1,    83,   696,   152,   963,
     699,   707,   711,    -1,   251,   292,    -1,    -1,   426,   698,
     427,    -1,   426,   427,    -1,   701,    -1,   698,   430,   701,
      -1,   426,   700,   427,    -1,   426,   427,    -1,   706,    -1,
     700,   430,   706,    -1,   702,   703,   705,    -1,   703,   702,
     705,    -1,   703,   705,    -1,   702,   705,    -1,   705,    -1,
     170,    -1,   253,    -1,   180,    -1,   170,   253,    -1,   382,
      -1,   970,    -1,   705,    -1,   870,    -1,   970,   650,   421,
     361,    -1,   320,   970,   650,   421,   361,    -1,   701,    -1,
     701,   103,   894,    -1,   701,   413,   894,    -1,   709,    -1,
     707,   709,    -1,    50,   246,   237,   181,    -1,   298,   237,
     246,   237,   181,    -1,   336,    -1,   168,    -1,   328,    -1,
     387,    -1,   137,   311,   107,    -1,   137,   311,   190,    -1,
     311,   107,    -1,   311,   190,    -1,   203,    -1,   232,   203,
      -1,    82,   554,    -1,   304,   554,    -1,   471,    -1,    31,
     710,    -1,   197,   468,    -1,   391,    -1,   708,    -1,   966,
      -1,   966,   430,   966,    -1,   392,   620,    -1,    -1,   703,
     705,    -1,   712,    -1,   713,   430,   712,    -1,    24,   152,
     674,   715,   716,    -1,   708,    -1,   715,   708,    -1,   296,
      -1,    -1,   120,   152,   963,   697,   482,    -1,   120,   152,
     165,   134,   963,   697,   482,    -1,   120,    21,   963,   624,
     482,    -1,   120,    21,   165,   134,   963,   624,   482,    -1,
     120,   248,   721,   720,   482,    -1,   120,   248,   165,   134,
     721,   720,   482,    -1,   426,   870,   427,    -1,   426,   870,
     430,   870,   427,    -1,   426,   231,   430,   870,   427,    -1,
     426,   870,   430,   231,   427,    -1,   918,    -1,   969,   428,
     721,    -1,   116,   723,    -1,   724,    -1,   723,   724,    -1,
     966,    -1,   197,   468,    -1,    83,    54,   426,   870,    31,
     870,   427,   392,   152,   674,   726,    -1,    83,    54,   426,
     870,    31,   870,   427,   393,   152,   726,    -1,    83,    54,
     426,   870,    31,   870,   427,   392,   180,   726,    -1,    31,
     169,    -1,    31,    34,    -1,    -1,   120,    54,   728,   426,
     870,    31,   870,   427,   482,    -1,   165,   134,    -1,    -1,
     287,   730,   955,   731,    -1,   287,   341,   957,   731,    -1,
     287,    97,   957,   731,    -1,   173,    -1,   342,    -1,   146,
      -1,    -1,    24,    21,   963,   624,   290,   352,   957,    -1,
      24,    67,   649,   290,   352,   957,    -1,    24,    80,   649,
     290,   352,   957,    -1,    24,    97,   958,   290,   352,   958,
      -1,    24,   118,   649,   290,   352,   957,    -1,    24,   118,
     649,   290,    76,   957,   352,   957,    -1,    24,   147,    96,
     395,   957,   290,   352,   957,    -1,    24,   152,   674,   290,
     352,   957,    -1,    24,   158,   967,   290,   352,   967,    -1,
      24,   563,   197,   957,   290,   352,   957,    -1,    24,   248,
      62,   649,   374,   959,   290,   352,   957,    -1,    24,   248,
     140,   649,   374,   959,   290,   352,   957,    -1,    24,   307,
     957,   290,   352,   957,    -1,    24,   316,   957,   290,   352,
     957,    -1,    24,   342,   861,   290,   352,   957,    -1,    24,
     342,   165,   134,   861,   290,   352,   957,    -1,    24,   313,
     955,   290,   352,   957,    -1,    24,   313,   165,   134,   955,
     290,   352,   957,    -1,    24,   386,   955,   290,   352,   957,
      -1,    24,   386,   165,   134,   955,   290,   352,   957,    -1,
      24,   173,   955,   290,   352,   957,    -1,    24,   173,   165,
     134,   955,   290,   352,   957,    -1,    24,   147,   342,   861,
     290,   352,   957,    -1,    24,   147,   342,   165,   134,   861,
     290,   352,   957,    -1,    24,   342,   861,   290,   733,   957,
     352,   957,    -1,    24,   342,   165,   134,   861,   290,   733,
     957,   352,   957,    -1,    24,   342,   861,   290,    76,   957,
     352,   957,    -1,    24,   147,   342,   861,   290,   733,   957,
     352,   957,    -1,    24,   147,   342,   165,   134,   861,   290,
     733,   957,   352,   957,    -1,    24,   356,   957,   246,   955,
     290,   352,   957,    -1,    24,   301,   967,   290,   352,   967,
      -1,    24,   373,   967,   290,   352,   967,    -1,    24,   344,
     957,   290,   352,   957,    -1,    24,   344,   957,   319,   485,
      -1,    24,   344,   957,   294,   485,    -1,    24,   348,   309,
     260,   649,   290,   352,   957,    -1,    24,   348,   309,   112,
     649,   290,   352,   957,    -1,    24,   348,   309,   346,   649,
     290,   352,   957,    -1,    24,   348,   309,    74,   649,   290,
     352,   957,    -1,    24,   361,   649,   290,   352,   957,    -1,
      24,   361,   649,   290,    37,   957,   352,   957,   482,    -1,
      68,    -1,    -1,   319,    96,    -1,    -1,    24,    21,   963,
     624,   319,   307,   957,    -1,    24,    67,   649,   319,   307,
     957,    -1,    24,    80,   649,   319,   307,   957,    -1,    24,
     118,   649,   319,   307,   957,    -1,    24,   136,   649,   319,
     307,   957,    -1,    24,   152,   674,   319,   307,   957,    -1,
      24,   248,   721,   720,   319,   307,   957,    -1,    24,   248,
      62,   649,   374,   959,   319,   307,   957,    -1,    24,   248,
     140,   649,   374,   959,   319,   307,   957,    -1,    24,   342,
     861,   319,   307,   957,    -1,    24,   342,   165,   134,   861,
     319,   307,   957,    -1,    24,   348,   309,   260,   649,   319,
     307,   957,    -1,    24,   348,   309,   112,   649,   319,   307,
     957,    -1,    24,   348,   309,   346,   649,   319,   307,   957,
      -1,    24,   348,   309,    74,   649,   319,   307,   957,    -1,
      24,   313,   955,   319,   307,   957,    -1,    24,   313,   165,
     134,   955,   319,   307,   957,    -1,    24,   386,   955,   319,
     307,   957,    -1,    24,   386,   165,   134,   955,   319,   307,
     957,    -1,    24,   147,   342,   861,   319,   307,   957,    -1,
      24,   147,   342,   165,   134,   861,   319,   307,   957,    -1,
      24,   361,   649,   319,   307,   957,    -1,    24,    21,   963,
     624,   259,   352,   967,    -1,    24,    67,   649,   259,   352,
     967,    -1,    24,    80,   649,   259,   352,   967,    -1,    24,
      97,   958,   259,   352,   967,    -1,    24,   118,   649,   259,
     352,   967,    -1,    24,   152,   674,   259,   352,   967,    -1,
      24,   563,   197,   957,   259,   352,   967,    -1,    24,   198,
     241,   554,   259,   352,   967,    -1,    24,   248,   721,   720,
     259,   352,   967,    -1,    24,   248,    62,   649,   374,   959,
     259,   352,   967,    -1,    24,   248,   140,   649,   374,   959,
     259,   352,   967,    -1,    24,   307,   957,   259,   352,   967,
      -1,    24,   361,   649,   259,   352,   967,    -1,    24,   344,
     957,   259,   352,   967,    -1,    24,   348,   309,   112,   649,
     259,   352,   967,    -1,    24,   348,   309,    74,   649,   259,
     352,   967,    -1,    24,   147,    96,   395,   957,   259,   352,
     967,    -1,    24,   316,   957,   259,   352,   967,    -1,    83,
     696,   305,   957,    31,   246,   742,   352,   955,   865,   116,
     743,   738,    -1,   233,    -1,   740,    -1,   426,   739,   427,
      -1,   739,   429,   741,    -1,   741,    -1,   817,    -1,   795,
      -1,   806,    -1,   800,    -1,   745,    -1,   740,    -1,    -1,
     312,    -1,   372,    -1,   108,    -1,   183,    -1,   184,    -1,
      23,    -1,    -1,   120,   305,   957,   246,   649,   482,    -1,
     120,   305,   165,   134,   957,   246,   649,   482,    -1,   234,
     969,   746,    -1,   430,   966,    -1,    -1,   209,   969,    -1,
     369,   969,    -1,   369,   419,    -1,    14,   750,    -1,    41,
     750,   753,    -1,   330,   354,   753,    -1,    71,   750,    -1,
     126,   750,    -1,   302,   750,    -1,   306,   969,    -1,   289,
     306,   969,    -1,   289,   969,    -1,   302,   750,   352,   306,
     969,    -1,   302,   750,   352,   969,    -1,   271,   354,   966,
      -1,    71,   272,   966,    -1,   302,   272,   966,    -1,   394,
      -1,   354,    -1,    -1,   193,   206,   464,    -1,   280,   247,
      -1,   280,   396,    -1,   105,    -1,   232,   105,    -1,   751,
      -1,   752,   430,   751,    -1,   752,   751,    -1,   752,    -1,
      -1,    83,   509,   386,   955,   528,   486,    31,   817,   755,
      -1,    83,   251,   292,   509,   386,   955,   528,   486,    31,
     817,   755,    -1,   392,    60,   249,    -1,   392,    52,    60,
     249,    -1,   392,   211,    60,   249,    -1,    -1,   210,   962,
      -1,    83,    97,   958,   437,   758,    -1,   758,   759,    -1,
      -1,   344,   760,   957,    -1,   344,   760,   103,    -1,   214,
     760,   966,    -1,   214,   760,   103,    -1,   346,   760,   957,
      -1,   346,   760,   103,    -1,   124,   760,   966,    -1,   124,
     760,   965,    -1,   124,   760,   103,    -1,   200,   760,   966,
      -1,   200,   760,   103,    -1,   201,   760,   966,    -1,   201,
     760,   103,    -1,    75,   208,   760,   968,    -1,   259,   760,
     957,    -1,   259,   760,   103,    -1,   413,    -1,    -1,    24,
      97,   958,   437,   763,    -1,    24,    97,   958,   319,   344,
     957,    -1,    24,    97,   958,   470,    -1,   763,   764,    -1,
      -1,    75,   208,   760,   968,    -1,   120,    97,   958,    -1,
     120,    97,   165,   134,   958,    -1,    83,   118,   649,   768,
     870,   518,    -1,    24,   118,   649,   481,    -1,    24,   118,
     649,   120,   232,   237,    -1,    24,   118,   649,   319,   232,
     237,    -1,    24,   118,   649,    18,   525,    -1,    24,   118,
     649,   120,    76,   957,   482,    -1,    24,   118,   649,   120,
      76,   165,   134,   957,   482,    -1,    24,   118,   649,   377,
      76,   957,    -1,    31,    -1,    -1,    24,   348,   309,   112,
     649,   620,    -1,    24,   348,   309,    74,   649,    18,   216,
     145,   956,   392,   648,    -1,    24,   348,   309,    74,   649,
      24,   216,   145,   956,   392,   648,    -1,    24,   348,   309,
      74,   649,    24,   216,   292,   649,   392,   649,    -1,    24,
     348,   309,    74,   649,    24,   216,   145,   956,   292,   649,
     392,   649,    -1,    24,   348,   309,    74,   649,   120,   216,
     145,   956,    -1,    24,   348,   309,    74,   649,   120,   216,
     165,   134,   145,   956,    -1,    83,   634,    80,   649,   145,
     966,   352,   966,   150,   649,    -1,    64,   779,   955,   773,
      -1,    64,   779,    -1,    64,   779,   961,   246,   955,    -1,
     374,   961,    -1,    -1,   375,   780,   781,   779,    -1,   375,
     780,   781,   779,   955,    -1,   375,   780,   781,   779,   777,
      -1,   375,   426,   775,   427,    -1,   375,   426,   775,   427,
     955,   782,    -1,   776,    -1,   775,   430,   776,    -1,   778,
      -1,   384,    -1,   149,    -1,   151,    -1,   778,   779,    -1,
     778,   779,   955,   782,    -1,    27,    -1,    26,    -1,   384,
      -1,    -1,   151,    -1,    -1,   149,    -1,    -1,   426,   956,
     427,    -1,    -1,   135,   784,    -1,   135,   778,   779,   784,
      -1,   135,   384,   784,    -1,   135,   426,   785,   427,   784,
      -1,   817,    -1,   795,    -1,   806,    -1,   800,    -1,   813,
      -1,   545,    -1,   792,    -1,   786,    -1,   785,   430,   786,
      -1,   787,   788,    -1,   971,    -1,   778,    -1,   465,    -1,
     554,    -1,    -1,   271,   957,   790,    31,   791,    -1,   426,
     926,   427,    -1,    -1,   817,    -1,   795,    -1,   806,    -1,
     800,    -1,   133,   957,   793,    -1,    83,   509,   342,   546,
      31,   133,   957,   793,   547,    -1,   426,   923,   427,    -1,
      -1,    99,   957,    -1,    99,   271,   957,    -1,    99,    22,
      -1,    99,   271,    22,    -1,   825,   183,   189,   955,   796,
     799,    -1,   817,    -1,   426,   797,   427,   817,    -1,   103,
     380,    -1,   798,    -1,   797,   430,   798,    -1,   969,   947,
      -1,   297,   952,    -1,    -1,   825,   108,   150,   863,   801,
     866,   799,    -1,   374,   854,    -1,    -1,   215,   828,   862,
     803,   805,    -1,   170,   804,   221,    -1,    -1,    16,   321,
      -1,   303,   321,    -1,   303,   132,    -1,   321,   372,   132,
      -1,   321,    -1,   321,   303,   132,    -1,   132,    -1,    16,
     132,    -1,   236,    -1,    -1,   825,   372,   863,   319,   807,
     853,   866,   799,    -1,   808,    -1,   807,   430,   808,    -1,
     809,    -1,   810,    -1,   811,   413,   949,    -1,   426,   812,
     427,   413,   951,    -1,   969,   947,    -1,   811,    -1,   812,
     430,   811,    -1,   102,   814,   815,    94,   816,   145,   817,
      -1,   957,    -1,    -1,   815,   230,   308,    -1,   815,   308,
      -1,   815,    44,    -1,   815,   182,    -1,    -1,   392,   162,
      -1,   393,   162,    -1,   819,    -1,   818,    -1,   426,   819,
     427,    -1,   426,   818,   427,    -1,   821,    -1,   820,   832,
      -1,   820,   831,   847,   836,    -1,   820,   831,   835,   848,
      -1,   822,   820,    -1,   822,   820,   832,    -1,   822,   820,
     831,   847,   836,    -1,   822,   820,   831,   835,   848,    -1,
     821,    -1,   818,    -1,   312,   830,   952,   826,   853,   865,
     845,   846,   906,    -1,   852,    -1,   342,   861,    -1,   820,
     366,   829,   820,    -1,   820,   187,   829,   820,    -1,   820,
     129,   829,   820,    -1,   392,   823,    -1,   392,   284,   823,
      -1,   824,    -1,   823,   430,   824,    -1,   957,   782,    31,
     426,   791,   427,    -1,   822,    -1,    -1,   189,   827,    -1,
      -1,   347,   828,   955,    -1,   345,   828,   955,    -1,   211,
     347,   828,   955,    -1,   211,   345,   828,   955,    -1,   154,
     347,   828,   955,    -1,   154,   345,   828,   955,    -1,   370,
     828,   955,    -1,   342,   955,    -1,   955,    -1,   342,    -1,
      -1,    22,    -1,   115,    -1,    -1,   115,    -1,   115,   246,
     426,   923,   427,    -1,    22,    -1,    -1,   832,    -1,    -1,
     252,    48,   833,    -1,   834,    -1,   833,   430,   834,    -1,
     894,   374,   921,   694,    -1,   894,   693,   694,    -1,   837,
     838,    -1,   838,   837,    -1,   837,    -1,   838,    -1,   835,
      -1,    -1,   208,   839,    -1,   208,   839,   430,   840,    -1,
     141,   844,   841,   843,   247,    -1,   244,   840,    -1,   244,
     842,   843,    -1,   894,    -1,    22,    -1,   894,    -1,   968,
      -1,   426,   894,   427,    -1,    -1,   896,    -1,   303,    -1,
     304,    -1,   142,    -1,   229,    -1,   158,    48,   923,    -1,
      -1,   160,   894,    -1,    -1,   849,    -1,   145,   280,   247,
      -1,   847,    -1,    -1,   850,    -1,   849,   850,    -1,   145,
     372,   851,   805,    -1,   145,   321,   851,   805,    -1,   242,
     954,    -1,    -1,   380,   951,    -1,   852,   430,   951,    -1,
     150,   854,    -1,    -1,   855,    -1,   854,   430,   855,    -1,
     861,    -1,   861,   857,    -1,   864,    -1,   864,   857,    -1,
     864,    31,   426,   868,   427,    -1,   864,    31,   969,   426,
     868,   427,    -1,   864,   969,   426,   868,   427,    -1,   818,
      -1,   818,   857,    -1,   856,    -1,   426,   856,   427,   857,
      -1,   426,   856,   427,    -1,   855,    84,   194,   855,    -1,
     855,   858,   194,   855,   860,    -1,   855,   194,   855,   860,
      -1,   855,   227,   858,   194,   855,    -1,   855,   227,   194,
     855,    -1,    31,   969,   426,   956,   427,    -1,    31,   969,
      -1,   969,   426,   956,   427,    -1,   969,    -1,   151,   859,
      -1,   205,   859,    -1,   300,   859,    -1,   179,    -1,   254,
      -1,    -1,   374,   426,   956,   427,    -1,   246,   894,    -1,
     955,    -1,   955,   419,    -1,   247,   955,    -1,   247,   426,
     955,   427,    -1,   861,    -1,   862,   430,   861,    -1,   861,
      -1,   861,   969,    -1,   861,    31,   969,    -1,   897,    -1,
     389,   894,    -1,    -1,   389,   894,    -1,   389,    86,   242,
     814,    -1,    -1,   868,    -1,    -1,   869,    -1,   868,   430,
     869,    -1,   969,   870,   483,    -1,   872,   871,    -1,   320,
     872,   871,    -1,   872,    30,   424,   965,   425,    -1,   320,
     872,    30,   424,   965,   425,    -1,   872,    30,    -1,   320,
     872,    30,    -1,   871,   424,   425,    -1,   871,   424,   965,
     425,    -1,    -1,   874,    -1,   876,    -1,   878,    -1,   882,
      -1,   889,    -1,   890,   892,    -1,   890,   426,   965,   427,
     892,    -1,   876,    -1,   879,    -1,   883,    -1,   889,    -1,
     970,   875,    -1,   970,   650,   875,    -1,   426,   923,   427,
      -1,    -1,   185,    -1,   186,    -1,   325,    -1,    43,    -1,
     281,    -1,   143,   877,    -1,   119,   269,    -1,   101,   875,
      -1,   100,   875,    -1,   240,   875,    -1,    46,    -1,   426,
     965,   427,    -1,    -1,   880,    -1,   881,    -1,   880,    -1,
     881,    -1,    45,   887,   426,   923,   427,    -1,    45,   887,
      -1,   884,    -1,   885,    -1,   884,    -1,   885,    -1,   886,
     426,   965,   427,   888,    -1,   886,   888,    -1,    58,   887,
      -1,    57,   887,    -1,   381,    -1,   226,    58,   887,    -1,
     226,    57,   887,    -1,   228,   887,    -1,   383,    -1,    -1,
      58,   319,   969,    -1,    -1,   351,   426,   965,   427,   891,
      -1,   351,   891,    -1,   350,   426,   965,   427,   891,    -1,
     350,   891,    -1,   188,    -1,   412,   409,    -1,   393,   350,
     409,    -1,    -1,   407,    -1,   222,    -1,    98,    -1,   163,
      -1,   219,    -1,   893,    -1,   407,   352,   222,    -1,    98,
     352,   163,    -1,    98,   352,   219,    -1,    98,   352,   893,
      -1,   163,   352,   219,    -1,   163,   352,   893,    -1,   219,
     352,   893,    -1,    -1,   310,    -1,   310,   426,   965,   427,
      -1,   896,    -1,   894,    11,   870,    -1,   894,    66,   649,
      -1,   894,    36,   350,   409,   894,    -1,   417,   894,    -1,
     418,   894,    -1,   894,   417,   894,    -1,   894,   418,   894,
      -1,   894,   419,   894,    -1,   894,   420,   894,    -1,   894,
     421,   894,    -1,   894,   422,   894,    -1,   894,   414,   894,
      -1,   894,   415,   894,    -1,   894,   413,   894,    -1,   894,
     920,   894,    -1,   920,   894,    -1,   894,   920,    -1,   894,
      28,   894,    -1,   894,   251,   894,    -1,   232,   894,    -1,
     894,   207,   894,    -1,   894,   207,   894,   128,   894,    -1,
     894,   232,   207,   894,    -1,   894,   232,   207,   894,   128,
     894,    -1,   894,   166,   894,    -1,   894,   166,   894,   128,
     894,    -1,   894,   232,   166,   894,    -1,   894,   232,   166,
     894,   128,   894,    -1,   894,   323,   352,   894,    -1,   894,
     323,   352,   894,   128,   894,    -1,   894,   232,   323,   352,
     894,    -1,   894,   232,   323,   352,   894,   128,   894,    -1,
     894,   191,   237,    -1,   894,   192,    -1,   894,   191,   232,
     237,    -1,   894,   235,    -1,   916,   256,   916,    -1,   894,
     191,   358,    -1,   894,   191,   232,   358,    -1,   894,   191,
     139,    -1,   894,   191,   232,   139,    -1,   894,   191,   368,
      -1,   894,   191,   232,   368,    -1,   894,   191,   115,   150,
     894,    -1,   894,   191,   232,   115,   150,   894,    -1,   894,
     191,   242,   426,   926,   427,    -1,   894,   191,   232,   242,
     426,   926,   427,    -1,   894,    42,   948,   895,    28,   895,
      -1,   894,   232,    42,   948,   895,    28,   895,    -1,   894,
      42,   339,   895,    28,   895,    -1,   894,   232,    42,   339,
     895,    28,   895,    -1,   894,   170,   938,    -1,   894,   232,
     170,   938,    -1,   894,   922,   917,   818,    -1,   894,   922,
     917,   426,   894,   427,    -1,   367,   818,    -1,   894,   191,
     117,    -1,   894,   191,   232,   117,    -1,   896,    -1,   895,
      11,   870,    -1,   417,   895,    -1,   418,   895,    -1,   895,
     417,   895,    -1,   895,   418,   895,    -1,   895,   419,   895,
      -1,   895,   420,   895,    -1,   895,   421,   895,    -1,   895,
     422,   895,    -1,   895,   414,   895,    -1,   895,   415,   895,
      -1,   895,   413,   895,    -1,   895,   920,   895,    -1,   920,
     895,    -1,   895,   920,    -1,   895,   191,   115,   150,   895,
      -1,   895,   191,   232,   115,   150,   895,    -1,   895,   191,
     242,   426,   926,   427,    -1,   895,   191,   232,   242,   426,
     926,   427,    -1,   895,   191,   117,    -1,   895,   191,   232,
     117,    -1,   944,    -1,   964,    -1,    10,   947,    -1,   426,
     894,   427,   947,    -1,   939,    -1,   897,    -1,   818,    -1,
     818,   946,    -1,   134,   818,    -1,    30,   818,    -1,    30,
     927,    -1,   916,    -1,   963,   426,   427,   909,    -1,   963,
     426,   924,   427,   909,    -1,   963,   426,   382,   925,   427,
     909,    -1,   963,   426,   924,   430,   382,   925,   427,   909,
      -1,   963,   426,   924,   832,   427,   909,    -1,   963,   426,
      22,   924,   831,   427,   909,    -1,   963,   426,   115,   924,
     831,   427,   909,    -1,   963,   426,   419,   427,   909,    -1,
      67,   145,   426,   894,   427,    -1,    88,    -1,    91,    -1,
      91,   426,   965,   427,    -1,    92,    -1,    92,   426,   965,
     427,    -1,   212,    -1,   212,   426,   965,   427,    -1,   213,
      -1,   213,   426,   965,   427,    -1,    89,    -1,    93,    -1,
     318,    -1,   373,    -1,    87,    -1,    90,    -1,    54,   426,
     894,    31,   870,   427,    -1,   138,   426,   929,   427,    -1,
     257,   426,   931,   427,    -1,   267,   426,   933,   427,    -1,
     338,   426,   934,   427,    -1,   355,   426,   894,    31,   870,
     427,    -1,   357,   426,    47,   937,   427,    -1,   357,   426,
     202,   937,   427,    -1,   357,   426,   353,   937,   427,    -1,
     357,   426,   937,   427,    -1,   238,   426,   894,   430,   894,
     427,    -1,    65,   426,   923,   427,    -1,   157,   426,   923,
     427,    -1,   204,   426,   923,   427,    -1,   399,   426,   923,
     427,    -1,   400,   426,   224,   972,   427,    -1,   400,   426,
     224,   972,   430,   900,   427,    -1,   400,   426,   224,   972,
     430,   923,   427,    -1,   400,   426,   224,   972,   430,   900,
     430,   923,   427,    -1,   401,   426,   896,   905,   427,    -1,
     402,   426,   901,   427,    -1,   403,   426,   903,   894,   904,
     427,    -1,   404,   426,   224,   972,   427,    -1,   404,   426,
     224,   972,   430,   894,   427,    -1,   405,   426,   894,   430,
     898,   899,   427,    -1,   406,   426,   903,   894,    31,   872,
     427,    -1,   385,   894,    -1,   385,   230,   379,    -1,   430,
     329,   408,    -1,   430,   329,   230,    -1,   430,   329,   230,
     379,    -1,    -1,   398,   426,   901,   427,    -1,   902,    -1,
     901,   430,   902,    -1,   894,    31,   972,    -1,   894,    -1,
     117,    -1,    78,    -1,   270,   390,    -1,   337,   390,    -1,
      -1,   263,   896,    -1,   263,   896,    48,   285,    -1,   263,
      48,   285,   896,    -1,   263,    48,   285,   896,    48,   285,
      -1,   391,   907,    -1,    -1,   908,    -1,   907,   430,   908,
      -1,   969,    31,   910,    -1,   255,   910,    -1,   255,   969,
      -1,    -1,   426,   911,   912,   831,   913,   427,    -1,   969,
      -1,    -1,   262,    48,   923,    -1,    -1,   279,   914,    -1,
     304,   914,    -1,    -1,   915,    -1,    42,   915,    28,   915,
      -1,   363,   268,    -1,   363,   144,    -1,    86,   303,    -1,
     894,   268,    -1,   894,   144,    -1,   303,   426,   923,   427,
      -1,   303,   426,   427,    -1,   426,   923,   430,   894,   427,
      -1,    29,    -1,   327,    -1,    22,    -1,     8,    -1,   919,
      -1,   417,    -1,   418,    -1,   419,    -1,   420,    -1,   421,
      -1,   422,    -1,   414,    -1,   415,    -1,   413,    -1,     8,
      -1,   248,   426,   721,   427,    -1,   918,    -1,   248,   426,
     721,   427,    -1,   918,    -1,   248,   426,   721,   427,    -1,
     207,    -1,   232,   207,    -1,   166,    -1,   232,   166,    -1,
     894,    -1,   923,   430,   894,    -1,   925,    -1,   924,   430,
     925,    -1,   894,    -1,   703,    13,   894,    -1,   870,    -1,
     926,   430,   870,    -1,   424,   923,   425,    -1,   424,   928,
     425,    -1,   424,   425,    -1,   927,    -1,   928,   430,   927,
      -1,   930,   150,   894,    -1,    -1,     3,    -1,   407,    -1,
     222,    -1,    98,    -1,   163,    -1,   219,    -1,   310,    -1,
     966,    -1,   894,   932,   935,   936,    -1,   894,   932,   935,
      -1,   265,   894,    -1,   895,   170,   895,    -1,    -1,   894,
     935,   936,    -1,   894,   936,   935,    -1,   894,   935,    -1,
     894,   936,    -1,   923,    -1,    -1,   150,   894,    -1,   145,
     894,    -1,   894,   150,   923,    -1,   150,   923,    -1,   923,
      -1,   818,    -1,   426,   923,   427,    -1,    53,   943,   940,
     942,   126,    -1,   941,    -1,   940,   941,    -1,   388,   894,
     349,   894,    -1,   122,   894,    -1,    -1,   894,    -1,    -1,
     969,    -1,   969,   946,    -1,   428,   960,    -1,   428,   419,
      -1,   424,   894,   425,    -1,   424,   894,   431,   894,   425,
      -1,   945,    -1,   946,   945,    -1,    -1,   947,   945,    -1,
      35,    -1,    -1,   894,    -1,   103,    -1,   949,    -1,   950,
     430,   949,    -1,   426,   950,   427,    -1,   953,    -1,   952,
     430,   953,    -1,   894,    31,   972,    -1,   894,     3,    -1,
     894,    -1,   419,    -1,   955,    -1,   954,   430,   955,    -1,
     969,    -1,   969,   946,    -1,   957,    -1,   956,   430,   957,
      -1,   969,    -1,   969,    -1,   969,    -1,   972,    -1,   969,
      -1,   966,    -1,   970,    -1,   969,   946,    -1,   965,    -1,
       4,    -1,   966,    -1,     6,    -1,     7,    -1,   963,   966,
      -1,   963,   426,   924,   427,   966,    -1,   873,   966,    -1,
     890,   966,   892,    -1,   890,   426,   965,   427,   966,   892,
      -1,   358,    -1,   139,    -1,   237,    -1,     9,    -1,     5,
      -1,   971,    -1,   965,    -1,   417,   965,    -1,   418,   965,
      -1,     3,    -1,   973,    -1,   974,    -1,     3,    -1,   973,
      -1,   975,    -1,     3,    -1,   973,    -1,   974,    -1,   975,
      -1,     3,    -1,   973,    -1,   974,    -1,   975,    -1,   976,
      -1,    14,    -1,    15,    -1,    16,    -1,    17,    -1,    18,
      -1,    19,    -1,    20,    -1,    21,    -1,    23,    -1,    24,
      -1,    25,    -1,    33,    -1,    34,    -1,    36,    -1,    37,
      -1,    39,    -1,    40,    -1,    41,    -1,    48,    -1,    49,
      -1,    50,    -1,    51,    -1,    52,    -1,    55,    -1,    56,
      -1,    59,    -1,    61,    -1,    62,    -1,    63,    -1,    64,
      -1,    69,    -1,    70,    -1,    71,    -1,    72,    -1,    74,
      -1,    75,    -1,    77,    -1,    78,    -1,    79,    -1,    80,
      -1,    81,    -1,    82,    -1,    85,    -1,    86,    -1,    94,
      -1,    95,    -1,    96,    -1,    97,    -1,    98,    -1,    99,
      -1,   102,    -1,   104,    -1,   106,    -1,   107,    -1,   108,
      -1,   109,    -1,   110,    -1,   112,    -1,   113,    -1,   114,
      -1,   117,    -1,   118,    -1,   119,    -1,   120,    -1,   121,
      -1,   123,    -1,   124,    -1,   125,    -1,   127,    -1,   128,
      -1,   130,    -1,   131,    -1,   132,    -1,   133,    -1,   135,
      -1,   136,    -1,   137,    -1,   140,    -1,   142,    -1,   144,
      -1,   146,    -1,   148,    -1,   152,    -1,   153,    -1,   154,
      -1,   156,    -1,   159,    -1,   161,    -1,   162,    -1,   163,
      -1,   164,    -1,   165,    -1,   167,    -1,   168,    -1,   169,
      -1,   171,    -1,   172,    -1,   173,    -1,   174,    -1,   175,
      -1,   176,    -1,   178,    -1,   181,    -1,   182,    -1,   183,
      -1,   184,    -1,   190,    -1,   193,    -1,   195,    -1,   196,
      -1,   197,    -1,   198,    -1,   199,    -1,   200,    -1,   201,
      -1,   203,    -1,   206,    -1,   209,    -1,   210,    -1,   211,
      -1,   214,    -1,   215,    -1,   216,    -1,   217,    -1,   218,
      -1,   219,    -1,   220,    -1,   221,    -1,   222,    -1,   223,
      -1,   224,    -1,   225,    -1,   229,    -1,   230,    -1,   233,
      -1,   234,    -1,   236,    -1,   239,    -1,   241,    -1,   242,
      -1,   243,    -1,   245,    -1,   248,    -1,   249,    -1,   250,
      -1,   258,    -1,   259,    -1,   260,    -1,   261,    -1,   262,
      -1,   263,    -1,   264,    -1,   266,    -1,   268,    -1,   271,
      -1,   272,    -1,   270,    -1,   274,    -1,   275,    -1,   276,
      -1,   277,    -1,   278,    -1,   279,    -1,   280,    -1,   282,
      -1,   283,    -1,   284,    -1,   285,    -1,   287,    -1,   288,
      -1,   289,    -1,   290,    -1,   291,    -1,   292,    -1,   293,
      -1,   294,    -1,   295,    -1,   296,    -1,   298,    -1,   299,
      -1,   301,    -1,   302,    -1,   304,    -1,   305,    -1,   306,
      -1,   307,    -1,   308,    -1,   309,    -1,   310,    -1,   311,
      -1,   313,    -1,   314,    -1,   315,    -1,   316,    -1,   317,
      -1,   319,    -1,   321,    -1,   322,    -1,   324,    -1,   326,
      -1,   328,    -1,   329,    -1,   330,    -1,   331,    -1,   332,
      -1,   333,    -1,   334,    -1,   335,    -1,   336,    -1,   337,
      -1,   340,    -1,   341,    -1,   343,    -1,   344,    -1,   345,
      -1,   346,    -1,   347,    -1,   348,    -1,   354,    -1,   356,
      -1,   359,    -1,   360,    -1,   361,    -1,   362,    -1,   363,
      -1,   364,    -1,   365,    -1,   368,    -1,   369,    -1,   370,
      -1,   371,    -1,   372,    -1,   375,    -1,   376,    -1,   377,
      -1,   378,    -1,   379,    -1,   383,    -1,   385,    -1,   386,
      -1,   387,    -1,   390,    -1,   393,    -1,   394,    -1,   395,
      -1,   396,    -1,   397,    -1,   407,    -1,   408,    -1,   409,
      -1,    42,    -1,    43,    -1,    45,    -1,    46,    -1,    57,
      -1,    58,    -1,    65,    -1,   100,    -1,   101,    -1,   134,
      -1,   138,    -1,   143,    -1,   157,    -1,   180,    -1,   185,
      -1,   186,    -1,   188,    -1,   204,    -1,   226,    -1,   228,
      -1,   231,    -1,   238,    -1,   240,    -1,   253,    -1,   257,
      -1,   267,    -1,   269,    -1,   281,    -1,   303,    -1,   320,
      -1,   325,    -1,   338,    -1,   350,    -1,   351,    -1,   355,
      -1,   357,    -1,   380,    -1,   381,    -1,   398,    -1,   399,
      -1,   400,    -1,   401,    -1,   402,    -1,   403,    -1,   404,
      -1,   405,    -1,   406,    -1,    38,    -1,    44,    -1,    67,
      -1,    73,    -1,    84,    -1,    90,    -1,   149,    -1,   151,
      -1,   166,    -1,   179,    -1,   191,    -1,   192,    -1,   194,
      -1,   205,    -1,   207,    -1,   227,    -1,   235,    -1,   254,
      -1,   255,    -1,   256,    -1,   300,    -1,   323,    -1,   384,
      -1,    22,    -1,    26,    -1,    27,    -1,    28,    -1,    29,
      -1,    30,    -1,    31,    -1,    32,    -1,    35,    -1,    47,
      -1,    53,    -1,    54,    -1,    60,    -1,    66,    -1,    68,
      -1,    76,    -1,    83,    -1,    87,    -1,    88,    -1,    89,
      -1,    91,    -1,    92,    -1,    93,    -1,   103,    -1,   105,
      -1,   111,    -1,   115,    -1,   116,    -1,   122,    -1,   126,
      -1,   129,    -1,   139,    -1,   141,    -1,   145,    -1,   147,
      -1,   150,    -1,   155,    -1,   158,    -1,   160,    -1,   170,
      -1,   177,    -1,   187,    -1,   189,    -1,   202,    -1,   208,
      -1,   212,    -1,   213,    -1,   232,    -1,   237,    -1,   244,
      -1,   246,    -1,   247,    -1,   251,    -1,   252,    -1,   265,
      -1,   273,    -1,   286,    -1,   297,    -1,   312,    -1,   318,
      -1,   327,    -1,   339,    -1,   342,    -1,   349,    -1,   352,
      -1,   353,    -1,   358,    -1,   366,    -1,   367,    -1,   373,
      -1,   374,    -1,   382,    -1,   388,    -1,   389,    -1,   391,
      -1,   392,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   655,   655,   662,   669,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   778,   779,   780,   781,   782,   783,
     784,   785,   786,   787,   788,   790,   800,   811,   812,   821,
     822,   826,   827,   831,   836,   840,   845,   850,   854,   858,
     863,   867,   921,   923,   927,   931,   935,   939,   953,   971,
     982,   983,   987,  1005,  1017,  1038,  1045,  1064,  1071,  1088,
    1106,  1117,  1118,  1130,  1137,  1154,  1166,  1178,  1179,  1183,
    1184,  1192,  1193,  1194,  1195,  1196,  1197,  1211,  1217,  1223,
    1232,  1240,  1248,  1252,  1260,  1268,  1275,  1282,  1290,  1301,
    1309,  1317,  1328,  1336,  1344,  1351,  1360,  1370,  1371,  1378,
    1379,  1382,  1384,  1388,  1389,  1390,  1391,  1395,  1396,  1397,
    1403,  1415,  1419,  1423,  1438,  1461,  1462,  1463,  1467,  1468,
    1469,  1473,  1474,  1478,  1485,  1492,  1499,  1506,  1516,  1517,
    1522,  1523,  1528,  1534,  1540,  1546,  1552,  1562,  1572,  1573,
    1577,  1578,  1586,  1601,  1607,  1613,  1619,  1637,  1646,  1655,
    1664,  1673,  1682,  1691,  1700,  1712,  1713,  1718,  1726,  1734,
    1743,  1751,  1759,  1768,  1777,  1786,  1795,  1805,  1818,  1832,
    1841,  1849,  1857,  1867,  1877,  1884,  1891,  1899,  1907,  1915,
    1923,  1931,  1938,  1945,  1953,  1960,  1967,  1975,  1983,  1991,
    1999,  2007,  2015,  2025,  2032,  2040,  2048,  2056,  2063,  2073,
    2074,  2078,  2079,  2080,  2084,  2092,  2096,  2097,  2101,  2104,
    2105,  2109,  2110,  2115,  2119,  2123,  2128,  2143,  2156,  2157,
    2162,  2171,  2181,  2191,  2216,  2222,  2249,  2271,  2285,  2286,
    2295,  2296,  2297,  2300,  2301,  2306,  2307,  2311,  2315,  2319,
    2323,  2327,  2331,  2335,  2339,  2343,  2347,  2351,  2355,  2364,
    2368,  2372,  2376,  2380,  2384,  2388,  2389,  2394,  2398,  2405,
    2412,  2413,  2414,  2415,  2416,  2420,  2424,  2432,  2443,  2458,
    2474,  2490,  2519,  2520,  2521,  2522,  2523,  2530,  2537,  2538,
    2542,  2543,  2547,  2548,  2552,  2556,  2563,  2567,  2574,  2575,
    2576,  2580,  2581,  2584,  2604,  2624,  2625,  2629,  2637,  2638,
    2639,  2670,  2677,  2684,  2695,  2706,  2716,  2725,  2758,  2765,
    2772,  2779,  2790,  2800,  2801,  2802,  2806,  2807,  2808,  2809,
    2810,  2811,  2820,  2828,  2832,  2845,  2860,  2874,  2889,  2903,
    2921,  2942,  2943,  2947,  2948,  2952,  2953,  2956,  2962,  2966,
    2974,  2979,  2985,  2986,  2990,  2995,  3002,  3003,  3013,  3015,
    3017,  3019,  3022,  3025,  3028,  3032,  3033,  3034,  3035,  3036,
    3039,  3040,  3045,  3046,  3047,  3048,  3051,  3052,  3053,  3054,
    3057,  3058,  3061,  3062,  3065,  3080,  3094,  3107,  3108,  3109,
    3122,  3134,  3142,  3153,  3154,  3157,  3158,  3161,  3165,  3169,
    3173,  3177,  3181,  3185,  3189,  3193,  3197,  3201,  3205,  3211,
    3212,  3216,  3217,  3222,  3225,  3226,  3238,  3250,  3265,  3266,
    3274,  3275,  3279,  3280,  3284,  3285,  3289,  3290,  3294,  3305,
    3318,  3319,  3329,  3339,  3340,  3353,  3360,  3377,  3385,  3396,
    3399,  3403,  3407,  3411,  3423,  3433,  3436,  3440,  3453,  3463,
    3473,  3482,  3491,  3500,  3510,  3519,  3529,  3539,  3549,  3558,
    3567,  3576,  3585,  3594,  3603,  3612,  3621,  3630,  3639,  3648,
    3666,  3677,  3678,  3679,  3680,  3684,  3685,  3689,  3690,  3700,
    3711,  3731,  3739,  3751,  3752,  3756,  3760,  3768,  3772,  3776,
    3783,  3787,  3792,  3797,  3804,  3811,  3816,  3826,  3840,  3841,
    3846,  3847,  3851,  3852,  3862,  3873,  3893,  3902,  3910,  3927,
    3942,  3960,  3961,  3965,  3969,  3976,  3987,  3996,  4014,  4026,
    4027,  4028,  4038,  4046,  4063,  4082,  4102,  4127,  4128,  4129,
    4133,  4135,  4157,  4159,  4161,  4163,  4165,  4170,  4175,  4185,
    4186,  4190,  4191,  4195,  4196,  4200,  4201,  4202,  4206,  4212,
    4213,  4214,  4218,  4219,  4224,  4225,  4252,  4253,  4254,  4255,
    4256,  4257,  4262,  4273,  4296,  4316,  4339,  4349,  4360,  4370,
    4380,  4391,  4400,  4407,  4414,  4423,  4432,  4441,  4450,  4459,
    4470,  4473,  4474,  4477,  4481,  4488,  4489,  4490,  4491,  4492,
    4495,  4496,  4499,  4502,  4503,  4511,  4518,  4519,  4522,  4524,
    4535,  4544,  4553,  4577,  4592,  4593,  4597,  4607,  4618,  4627,
    4637,  4646,  4647,  4650,  4651,  4654,  4655,  4656,  4659,  4673,
    4678,  4688,  4697,  4709,  4710,  4714,  4722,  4734,  4745,  4759,
    4770,  4793,  4803,  4821,  4832,  4843,  4854,  4868,  4869,  4870,
    4871,  4872,  4873,  4874,  4875,  4876,  4877,  4878,  4879,  4880,
    4881,  4882,  4886,  4887,  4890,  4891,  4894,  4896,  4909,  4920,
    4921,  4922,  4948,  4957,  4966,  4975,  4984,  4993,  5002,  5012,
    5021,  5030,  5039,  5048,  5057,  5066,  5074,  5082,  5090,  5101,
    5102,  5103,  5104,  5105,  5106,  5107,  5108,  5109,  5110,  5111,
    5112,  5113,  5114,  5115,  5116,  5117,  5121,  5122,  5136,  5147,
    5158,  5169,  5180,  5193,  5194,  5198,  5199,  5200,  5201,  5202,
    5203,  5204,  5205,  5206,  5207,  5208,  5211,  5212,  5222,  5228,
    5236,  5244,  5252,  5260,  5268,  5276,  5284,  5292,  5300,  5308,
    5316,  5324,  5332,  5340,  5348,  5356,  5366,  5367,  5370,  5371,
    5381,  5397,  5411,  5437,  5439,  5441,  5443,  5450,  5459,  5460,
    5463,  5470,  5477,  5484,  5498,  5506,  5514,  5522,  5530,  5538,
    5546,  5554,  5562,  5570,  5578,  5586,  5594,  5602,  5610,  5618,
    5630,  5631,  5634,  5644,  5658,  5659,  5663,  5664,  5669,  5685,
    5698,  5708,  5720,  5721,  5724,  5725,  5735,  5745,  5746,  5750,
    5754,  5758,  5769,  5782,  5796,  5813,  5814,  5815,  5816,  5828,
    5855,  5856,  5860,  5861,  5865,  5866,  5870,  5871,  5874,  5875,
    5883,  5894,  5905,  5918,  5919,  5922,  5923,  5924,  5927,  5928,
    5929,  5932,  5933,  5934,  5950,  5962,  5975,  5990,  5991,  5994,
    5995,  5999,  6000,  6008,  6009,  6013,  6014,  6029,  6038,  6047,
    6056,  6065,  6077,  6078,  6079,  6080,  6081,  6087,  6091,  6106,
    6107,  6113,  6123,  6127,  6132,  6142,  6143,  6150,  6154,  6158,
    6162,  6166,  6170,  6174,  6178,  6182,  6186,  6190,  6194,  6198,
    6202,  6206,  6214,  6218,  6222,  6226,  6232,  6233,  6240,  6241,
    6244,  6256,  6260,  6275,  6286,  6287,  6292,  6293,  6308,  6319,
    6333,  6344,  6358,  6369,  6383,  6391,  6393,  6395,  6400,  6402,
    6415,  6424,  6425,  6429,  6433,  6445,  6456,  6467,  6480,  6481,
    6482,  6486,  6499,  6500,  6514,  6522,  6532,  6545,  6546,  6549,
    6550,  6560,  6570,  6579,  6588,  6597,  6606,  6616,  6625,  6635,
    6644,  6653,  6663,  6673,  6682,  6691,  6701,  6711,  6721,  6731,
    6741,  6751,  6761,  6771,  6781,  6791,  6802,  6813,  6823,  6834,
    6845,  6855,  6864,  6873,  6882,  6891,  6900,  6909,  6918,  6927,
    6936,  6945,  6959,  6960,  6963,  6964,  6974,  6984,  6993,  7002,
    7011,  7020,  7030,  7040,  7050,  7060,  7069,  7078,  7087,  7096,
    7105,  7114,  7123,  7132,  7141,  7150,  7159,  7168,  7185,  7194,
    7202,  7210,  7218,  7226,  7235,  7243,  7251,  7260,  7269,  7278,
    7286,  7294,  7302,  7310,  7318,  7326,  7343,  7360,  7361,  7362,
    7367,  7373,  7382,  7383,  7384,  7385,  7386,  7390,  7391,  7394,
    7395,  7396,  7397,  7401,  7402,  7403,  7408,  7419,  7441,  7451,
    7452,  7455,  7464,  7470,  7489,  7496,  7503,  7510,  7517,  7524,
    7531,  7539,  7547,  7555,  7563,  7571,  7578,  7585,  7594,  7595,
    7596,  7600,  7603,  7606,  7609,  7612,  7619,  7621,  7623,  7628,
    7630,  7642,  7654,  7669,  7675,  7681,  7687,  7697,  7713,  7723,
    7724,  7728,  7732,  7736,  7740,  7744,  7748,  7752,  7756,  7760,
    7764,  7768,  7772,  7776,  7780,  7784,  7788,  7798,  7799,  7810,
    7817,  7828,  7839,  7840,  7844,  7858,  7865,  7882,  7895,  7904,
    7912,  7920,  7929,  7940,  7951,  7961,  7962,  7973,  7983,  7993,
    8003,  8013,  8023,  8031,  8052,  8075,  8083,  8092,  8103,  8104,
    8116,  8130,  8144,  8156,  8168,  8185,  8186,  8190,  8191,  8192,
    8193,  8197,  8209,  8224,  8225,  8229,  8230,  8233,  8234,  8237,
    8238,  8242,  8243,  8256,  8263,  8273,  8280,  8290,  8291,  8292,
    8293,  8294,  8295,  8296,  8300,  8304,  8311,  8318,  8319,  8323,
    8324,  8325,  8335,  8345,  8346,  8350,  8351,  8352,  8353,  8363,
    8370,  8387,  8388,  8398,  8404,  8410,  8416,  8432,  8442,  8448,
    8454,  8463,  8465,  8470,  8481,  8482,  8493,  8507,  8508,  8519,
    8530,  8531,  8534,  8535,  8536,  8537,  8538,  8539,  8540,  8541,
    8544,  8545,  8556,  8574,  8575,  8579,  8580,  8584,  8592,  8620,
    8631,  8632,  8642,  8653,  8656,  8657,  8658,  8659,  8660,  8663,
    8664,  8665,  8713,  8714,  8718,  8719,  8733,  8734,  8741,  8749,
    8757,  8765,  8773,  8781,  8792,  8793,  8820,  8835,  8836,  8855,
    8859,  8863,  8878,  8885,  8895,  8896,  8899,  8911,  8912,  8916,
    8927,  8935,  8940,  8945,  8950,  8955,  8963,  8971,  8976,  8981,
    8988,  8989,  8992,  8993,  8994,  9001,  9002,  9003,  9004,  9008,
    9009,  9013,  9017,  9018,  9021,  9030,  9043,  9044,  9045,  9046,
    9050,  9051,  9055,  9057,  9067,  9072,  9075,  9080,  9081,  9089,
    9099,  9100,  9101,  9109,  9113,  9114,  9117,  9118,  9123,  9124,
    9128,  9129,  9133,  9134,  9138,  9139,  9143,  9144,  9148,  9156,
    9167,  9168,  9173,  9179,  9197,  9198,  9202,  9203,  9213,  9217,
    9222,  9229,  9237,  9244,  9254,  9264,  9292,  9299,  9303,  9329,
    9333,  9345,  9358,  9372,  9383,  9398,  9404,  9409,  9415,  9422,
    9423,  9424,  9425,  9429,  9430,  9442,  9443,  9448,  9455,  9462,
    9469,  9480,  9481,  9494,  9498,  9505,  9515,  9520,  9521,  9526,
    9527,  9535,  9540,  9541,  9545,  9549,  9555,  9584,  9589,  9596,
    9601,  9607,  9612,  9621,  9623,  9626,  9630,  9631,  9632,  9633,
    9634,  9635,  9640,  9670,  9671,  9672,  9673,  9684,  9690,  9698,
    9699,  9705,  9710,  9715,  9720,  9725,  9730,  9735,  9740,  9746,
    9752,  9758,  9765,  9787,  9796,  9800,  9808,  9812,  9820,  9832,
    9853,  9857,  9863,  9867,  9880,  9899,  9922,  9924,  9926,  9928,
    9930,  9932,  9937,  9938,  9942,  9943,  9950,  9959,  9967,  9976,
    9987,  9995,  9996,  9997, 10001, 10003, 10005, 10007, 10009, 10011,
   10013, 10018, 10023, 10029, 10037, 10042, 10049, 10056, 10060, 10064,
   10094, 10095, 10097, 10105, 10127, 10129, 10131, 10133, 10135, 10137,
   10139, 10141, 10143, 10145, 10147, 10150, 10152, 10154, 10157, 10159,
   10161, 10164, 10166, 10179, 10181, 10194, 10196, 10209, 10211, 10225,
   10238, 10251, 10264, 10287, 10294, 10301, 10308, 10315, 10319, 10326,
   10333, 10340, 10347, 10354, 10361, 10365, 10373, 10377, 10387, 10394,
   10401, 10414, 10427, 10446, 10467, 10477, 10484, 10500, 10505, 10523,
   10525, 10527, 10529, 10531, 10533, 10535, 10537, 10539, 10541, 10543,
   10545, 10547, 10549, 10551, 10553, 10555, 10559, 10564, 10568, 10572,
   10577, 10594, 10595, 10596, 10611, 10623, 10625, 10627, 10637, 10660,
   10670, 10680, 10688, 10707, 10720, 10733, 10746, 10759, 10772, 10789,
   10802, 10825, 10838, 10859, 10869, 10882, 10899, 10912, 10922, 10935,
   10945, 10958, 10971, 10984, 10997, 11010, 11023, 11036, 11038, 11051,
   11069, 11083, 11099, 11121, 11137, 11150, 11163, 11176, 11180, 11187,
   11195, 11203, 11207, 11211, 11215, 11219, 11223, 11238, 11242, 11251,
   11255, 11259, 11264, 11278, 11280, 11284, 11286, 11288, 11291, 11294,
   11297, 11298, 11301, 11309, 11319, 11320, 11323, 11324, 11325, 11330,
   11334, 11338, 11342, 11353, 11354, 11358, 11359, 11364, 11372, 11374,
   11388, 11391, 11418, 11419, 11422, 11423, 11434, 11452, 11459, 11468,
   11485, 11530, 11538, 11546, 11554, 11562, 11583, 11584, 11585, 11588,
   11589, 11590, 11593, 11594, 11597, 11598, 11599, 11600, 11601, 11602,
   11603, 11604, 11605, 11608, 11610, 11615, 11617, 11622, 11624, 11626,
   11628, 11630, 11632, 11644, 11648, 11655, 11659, 11665, 11669, 11680,
   11681, 11684, 11688, 11692, 11698, 11699, 11704, 11708, 11715, 11716,
   11717, 11718, 11719, 11720, 11721, 11722, 11732, 11736, 11743, 11750,
   11751, 11767, 11771, 11776, 11780, 11795, 11800, 11804, 11807, 11810,
   11811, 11812, 11815, 11822, 11832, 11846, 11847, 11851, 11862, 11863,
   11866, 11867, 11870, 11874, 11881, 11885, 11889, 11896, 11906, 11907,
   11911, 11912, 11915, 11916, 11927, 11928, 11937, 11938, 11946, 11957,
   11958, 11961, 11977, 11985, 11993, 12015, 12016, 12027, 12031, 12058,
   12060, 12065, 12068, 12071, 12073, 12075, 12077, 12087, 12089, 12100,
   12104, 12108, 12112, 12116, 12125, 12132, 12157, 12161, 12167, 12184,
   12188, 12192, 12198, 12199, 12200, 12202, 12203, 12204, 12220, 12221,
   12222, 12227, 12228, 12229, 12234, 12235, 12236, 12237, 12243, 12244,
   12245, 12246, 12247, 12267, 12268, 12269, 12270, 12271, 12272, 12273,
   12274, 12275, 12276, 12277, 12278, 12279, 12280, 12281, 12282, 12283,
   12284, 12285, 12286, 12287, 12288, 12289, 12290, 12291, 12292, 12293,
   12294, 12295, 12296, 12297, 12298, 12299, 12300, 12301, 12302, 12303,
   12304, 12305, 12306, 12307, 12308, 12309, 12310, 12311, 12312, 12313,
   12314, 12315, 12316, 12317, 12318, 12319, 12320, 12321, 12322, 12323,
   12324, 12325, 12326, 12327, 12328, 12329, 12330, 12331, 12332, 12333,
   12334, 12335, 12336, 12337, 12338, 12339, 12340, 12341, 12342, 12343,
   12344, 12345, 12346, 12347, 12348, 12349, 12350, 12351, 12352, 12353,
   12354, 12355, 12356, 12357, 12358, 12359, 12360, 12361, 12362, 12363,
   12364, 12365, 12366, 12367, 12368, 12369, 12370, 12371, 12372, 12373,
   12374, 12375, 12376, 12377, 12378, 12379, 12380, 12381, 12382, 12383,
   12384, 12385, 12386, 12387, 12388, 12389, 12390, 12391, 12392, 12393,
   12394, 12395, 12396, 12397, 12398, 12399, 12400, 12401, 12402, 12403,
   12404, 12405, 12406, 12407, 12408, 12409, 12410, 12411, 12412, 12413,
   12414, 12415, 12416, 12417, 12418, 12419, 12420, 12421, 12422, 12423,
   12424, 12425, 12426, 12427, 12428, 12429, 12430, 12431, 12432, 12433,
   12434, 12435, 12436, 12437, 12438, 12439, 12440, 12441, 12442, 12443,
   12444, 12445, 12446, 12447, 12448, 12449, 12450, 12451, 12452, 12453,
   12454, 12455, 12456, 12457, 12458, 12459, 12460, 12461, 12462, 12463,
   12464, 12465, 12466, 12467, 12468, 12469, 12470, 12471, 12472, 12473,
   12474, 12475, 12476, 12477, 12478, 12479, 12480, 12481, 12482, 12483,
   12484, 12485, 12486, 12487, 12488, 12489, 12490, 12491, 12492, 12493,
   12494, 12495, 12496, 12497, 12498, 12499, 12500, 12501, 12502, 12503,
   12504, 12505, 12506, 12507, 12508, 12509, 12510, 12511, 12512, 12513,
   12514, 12515, 12516, 12530, 12531, 12532, 12533, 12534, 12535, 12536,
   12537, 12538, 12539, 12540, 12541, 12542, 12543, 12544, 12545, 12546,
   12547, 12548, 12549, 12550, 12551, 12552, 12553, 12554, 12555, 12556,
   12557, 12558, 12559, 12560, 12561, 12562, 12563, 12564, 12565, 12566,
   12567, 12568, 12569, 12570, 12571, 12572, 12573, 12574, 12575, 12576,
   12590, 12591, 12592, 12593, 12594, 12595, 12596, 12597, 12598, 12599,
   12600, 12601, 12602, 12603, 12604, 12605, 12606, 12607, 12608, 12609,
   12610, 12611, 12612, 12622, 12623, 12624, 12625, 12626, 12627, 12628,
   12629, 12630, 12631, 12632, 12633, 12634, 12635, 12636, 12637, 12638,
   12639, 12640, 12641, 12642, 12643, 12644, 12645, 12646, 12647, 12648,
   12649, 12650, 12651, 12652, 12653, 12654, 12655, 12656, 12657, 12658,
   12659, 12660, 12661, 12662, 12663, 12664, 12665, 12666, 12667, 12668,
   12669, 12670, 12671, 12672, 12673, 12674, 12675, 12676, 12677, 12678,
   12679, 12680, 12681, 12682, 12683, 12684, 12685, 12686, 12687, 12688,
   12689, 12690, 12691, 12692, 12693, 12694, 12695, 12696, 12697
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT",
  "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY",
  "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT",
  "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P", "OUTER_P", "OVER",
  "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P",
  "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VOLATILE",
  "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'",
  "$accept", "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt",
  "opt_with", "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "RoleId", "SignedIconst", "ColId",
  "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,    61,    60,    62,   668,    43,    45,    42,
      47,    37,    94,   669,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   432,   433,   434,   434,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   436,   437,   437,   438,
     438,   439,   439,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   441,   441,   441,   441,   441,   441,   442,   443,
     444,   444,   445,   446,   447,   448,   448,   449,   449,   450,
     451,   452,   452,   453,   453,   454,   454,   455,   455,   456,
     456,   457,   457,   457,   457,   457,   457,   458,   458,   458,
     459,   459,   459,   460,   460,   460,   460,   460,   460,   460,
     460,   460,   460,   460,   460,   460,   460,   461,   461,   462,
     462,   463,   463,   464,   464,   464,   464,   465,   465,   465,
     465,   466,   466,   466,   466,   466,   466,   466,   467,   467,
     467,   468,   468,   469,   469,   469,   469,   469,   470,   470,
     471,   471,   472,   472,   472,   472,   472,   473,   474,   474,
     475,   475,   476,   477,   477,   477,   477,   478,   478,   478,
     478,   478,   478,   478,   478,   479,   479,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   481,
     481,   482,   482,   482,   483,   483,   484,   484,   485,   486,
     486,   487,   487,   488,   488,   488,   488,   489,   490,   490,
     491,   491,   491,   491,   492,   492,   493,   493,   494,   494,
     495,   495,   495,   496,   496,   497,   497,   498,   498,   498,
     498,   498,   498,   498,   498,   498,   498,   498,   498,   499,
     499,   500,   500,   501,   501,   502,   502,   503,   503,   504,
     505,   505,   505,   505,   505,   506,   506,   507,   508,   508,
     508,   508,   509,   509,   509,   509,   509,   509,   509,   509,
     510,   510,   511,   511,   512,   512,   513,   513,   514,   514,
     514,   515,   515,   516,   517,   518,   518,   519,   519,   519,
     519,   520,   520,   520,   520,   520,   520,   520,   521,   521,
     521,   521,   522,   523,   523,   523,   524,   524,   524,   524,
     524,   524,   525,   525,   526,   526,   526,   526,   526,   526,
     526,   527,   527,   528,   528,   529,   529,   530,   531,   531,
     531,   531,   532,   532,   533,   533,   534,   534,   535,   535,
     535,   535,   535,   536,   537,   538,   538,   538,   538,   538,
     539,   539,   540,   540,   540,   540,   541,   541,   541,   541,
     542,   542,   543,   543,   544,   545,   546,   547,   547,   547,
     548,   549,   549,   550,   550,   551,   551,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   553,
     553,   554,   554,   554,   555,   555,   556,   556,   557,   557,
     558,   558,   559,   559,   560,   560,   561,   561,   562,   562,
     563,   563,   564,   565,   565,   566,   566,   567,   567,   568,
     568,   569,   569,   569,   570,   571,   571,   572,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     574,   575,   575,   575,   575,   576,   576,   577,   577,   578,
     578,   579,   579,   580,   580,   581,   581,   582,   583,   583,
     584,   584,   584,   584,   585,   586,   587,   588,   589,   589,
     590,   590,   591,   591,   592,   592,   593,   593,   593,   594,
     594,   595,   595,   596,   596,   597,   598,   598,   599,   600,
     600,   600,   601,   601,   602,   603,   603,   604,   604,   604,
     605,   605,   606,   606,   606,   606,   606,   607,   607,   608,
     608,   609,   609,   610,   610,   611,   611,   611,   612,   612,
     612,   612,   613,   613,   614,   614,   615,   615,   615,   615,
     615,   615,   616,   616,   617,   618,   619,   619,   619,   619,
     619,   619,   619,   619,   619,   619,   619,   619,   619,   619,
     620,   621,   621,   622,   622,   623,   623,   623,   623,   623,
     624,   624,   625,   626,   626,   627,   628,   628,   629,   629,
     630,   630,   630,   631,   632,   632,   633,   633,   633,   633,
     633,   634,   634,   635,   635,   636,   636,   636,   637,   637,
     638,   639,   639,   640,   640,   641,   641,   642,   642,   643,
     643,   644,   645,   646,   646,   646,   646,   647,   647,   647,
     647,   647,   647,   647,   647,   647,   647,   647,   647,   647,
     647,   647,   648,   648,   649,   649,   650,   650,   651,   652,
     652,   652,   653,   653,   653,   653,   653,   653,   653,   653,
     653,   653,   653,   653,   653,   653,   653,   653,   653,   654,
     654,   654,   654,   654,   654,   654,   654,   654,   654,   654,
     654,   654,   654,   654,   654,   654,   655,   655,   656,   656,
     656,   656,   656,   657,   657,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   659,   659,   660,   660,
     661,   661,   661,   661,   661,   661,   661,   661,   661,   661,
     661,   661,   661,   661,   661,   661,   662,   662,   663,   663,
     664,   665,   665,   666,   666,   666,   666,   666,   667,   667,
     668,   668,   668,   668,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   669,
     670,   670,   671,   671,   672,   672,   673,   673,   674,   675,
     676,   676,   677,   677,   678,   678,   679,   680,   680,   681,
     681,   681,   682,   682,   682,   683,   683,   683,   683,   684,
     685,   685,   686,   686,   687,   687,   688,   688,   689,   689,
     690,   690,   690,   691,   691,   692,   692,   692,   693,   693,
     693,   694,   694,   694,   695,   695,   695,   696,   696,   697,
     697,   698,   698,   699,   699,   700,   700,   701,   701,   701,
     701,   701,   702,   702,   702,   702,   702,   703,   704,   705,
     705,   705,   706,   706,   706,   707,   707,   708,   708,   708,
     708,   708,   708,   708,   708,   708,   708,   708,   708,   708,
     708,   708,   709,   709,   709,   709,   710,   710,   711,   711,
     712,   713,   713,   714,   715,   715,   716,   716,   717,   717,
     718,   718,   719,   719,   720,   720,   720,   720,   721,   721,
     722,   723,   723,   724,   724,   725,   725,   725,   726,   726,
     726,   727,   728,   728,   729,   729,   729,   730,   730,   731,
     731,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   733,   733,   734,   734,   735,   735,   735,   735,
     735,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   735,   735,   735,   735,   735,   735,   736,   736,
     736,   736,   736,   736,   736,   736,   736,   736,   736,   736,
     736,   736,   736,   736,   736,   736,   737,   738,   738,   738,
     739,   739,   740,   740,   740,   740,   740,   741,   741,   742,
     742,   742,   742,   743,   743,   743,   744,   744,   745,   746,
     746,   747,   748,   748,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   750,   750,
     750,   751,   751,   751,   751,   751,   752,   752,   752,   753,
     753,   754,   754,   755,   755,   755,   755,   756,   757,   758,
     758,   759,   759,   759,   759,   759,   759,   759,   759,   759,
     759,   759,   759,   759,   759,   759,   759,   760,   760,   761,
     761,   762,   763,   763,   764,   765,   765,   766,   767,   767,
     767,   767,   767,   767,   767,   768,   768,   769,   770,   770,
     770,   770,   770,   770,   771,   772,   772,   772,   773,   773,
     774,   774,   774,   774,   774,   775,   775,   776,   776,   776,
     776,   777,   777,   778,   778,   779,   779,   780,   780,   781,
     781,   782,   782,   783,   783,   783,   783,   784,   784,   784,
     784,   784,   784,   784,   785,   785,   786,   787,   787,   788,
     788,   788,   789,   790,   790,   791,   791,   791,   791,   792,
     792,   793,   793,   794,   794,   794,   794,   795,   796,   796,
     796,   797,   797,   798,   799,   799,   800,   801,   801,   802,
     803,   803,   804,   804,   804,   804,   804,   804,   804,   804,
     805,   805,   806,   807,   807,   808,   808,   809,   810,   811,
     812,   812,   813,   814,   815,   815,   815,   815,   815,   816,
     816,   816,   817,   817,   818,   818,   819,   819,   819,   819,
     819,   819,   819,   819,   820,   820,   821,   821,   821,   821,
     821,   821,   822,   822,   823,   823,   824,   825,   825,   826,
     826,   827,   827,   827,   827,   827,   827,   827,   827,   827,
     828,   828,   829,   829,   829,   830,   830,   830,   830,   831,
     831,   832,   833,   833,   834,   834,   835,   835,   835,   835,
     836,   836,   837,   837,   837,   838,   838,   839,   839,   840,
     841,   841,   841,   842,   843,   843,   844,   844,   845,   845,
     846,   846,   847,   847,   848,   848,   849,   849,   850,   850,
     851,   851,   852,   852,   853,   853,   854,   854,   855,   855,
     855,   855,   855,   855,   855,   855,   855,   855,   855,   856,
     856,   856,   856,   856,   856,   857,   857,   857,   857,   858,
     858,   858,   858,   859,   859,   860,   860,   861,   861,   861,
     861,   862,   862,   863,   863,   863,   864,   865,   865,   866,
     866,   866,   867,   867,   868,   868,   869,   870,   870,   870,
     870,   870,   870,   871,   871,   871,   872,   872,   872,   872,
     872,   872,   872,   873,   873,   873,   873,   874,   874,   875,
     875,   876,   876,   876,   876,   876,   876,   876,   876,   876,
     876,   876,   877,   877,   878,   878,   879,   879,   880,   881,
     882,   882,   883,   883,   884,   885,   886,   886,   886,   886,
     886,   886,   887,   887,   888,   888,   889,   889,   889,   889,
     890,   891,   891,   891,   892,   892,   892,   892,   892,   892,
     892,   892,   892,   892,   892,   892,   892,   892,   893,   893,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   896,   896,   896,   896,   896,   896,   896,   896,   896,
     896,   896,   896,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   898,   898,   899,   899,   899,   899,   900,
     901,   901,   902,   902,   903,   903,   904,   904,   904,   905,
     905,   905,   905,   906,   906,   907,   907,   908,   909,   909,
     909,   910,   911,   911,   912,   912,   913,   913,   913,   914,
     914,   915,   915,   915,   915,   915,   916,   916,   916,   917,
     917,   917,   918,   918,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   920,   920,   921,   921,   922,   922,   922,
     922,   922,   922,   923,   923,   924,   924,   925,   925,   926,
     926,   927,   927,   927,   928,   928,   929,   929,   930,   930,
     930,   930,   930,   930,   930,   930,   931,   931,   932,   933,
     933,   934,   934,   934,   934,   934,   934,   935,   936,   937,
     937,   937,   938,   938,   939,   940,   940,   941,   942,   942,
     943,   943,   944,   944,   945,   945,   945,   945,   946,   946,
     947,   947,   948,   948,   949,   949,   950,   950,   951,   952,
     952,   953,   953,   953,   953,   954,   954,   955,   955,   956,
     956,   957,   958,   959,   960,   961,   962,   963,   963,   964,
     964,   964,   964,   964,   964,   964,   964,   964,   964,   964,
     964,   964,   965,   966,   967,   968,   968,   968,   969,   969,
     969,   970,   970,   970,   971,   971,   971,   971,   972,   972,
     972,   972,   972,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   976,   976,   976,   976,   976,   976,   976,
     976,   976,   976,   976,   976,   976,   976,   976,   976,   976,
     976,   976,   976,   976,   976,   976,   976,   976,   976,   976,
     976,   976,   976,   976,   976,   976,   976,   976,   976,   976,
     976,   976,   976,   976,   976,   976,   976,   976,   976,   976,
     976,   976,   976,   976,   976,   976,   976,   976,   976,   976,
     976,   976,   976,   976,   976,   976,   976,   976,   976,   976,
     976,   976,   976,   976,   976,   976,   976,   976,   976
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     5,     1,     0,     2,
       0,     2,     0,     2,     2,     3,     3,     1,     3,     3,
       2,     1,     1,     2,     2,     2,     3,     3,     5,     5,
       0,     3,     5,     5,     4,     3,     5,     3,     5,     5,
       6,     1,     1,     3,     5,     6,     4,     1,     0,     2,
       0,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       2,     5,     1,     3,     3,     3,     3,     3,     3,     2,
       2,     2,     2,     3,     3,     3,     3,     1,     3,     1,
       3,     1,     1,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     6,     1,     1,     1,     1,     1,
       0,     1,     1,     2,     3,     4,     3,     2,     2,     1,
       2,     1,     2,     3,     4,     3,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     4,     6,     4,
       6,     4,     6,     4,     6,     1,     3,     2,     3,     4,
       6,     6,     6,     5,     5,     6,     6,     4,     8,     4,
       2,     3,     6,     4,     3,     3,     3,     3,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     1,     3,
       2,     1,     1,     0,     2,     0,     2,     0,     3,     2,
       0,     1,     3,     3,     1,     5,     3,     4,     1,     3,
       4,     6,     4,     8,     2,     2,    10,     6,     1,     1,
       1,     1,     1,     1,     3,     2,     0,     1,     1,     3,
       3,     1,     1,     3,     3,     3,     3,     4,     2,     1,
       0,     2,     0,     3,     0,     1,     0,     1,     3,     2,
       1,     1,     1,     3,     0,     1,     3,     1,    11,    14,
      10,    13,     1,     1,     2,     2,     2,     2,     1,     0,
       1,     0,     3,     0,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     4,     4,     2,     0,     3,     1,     1,
       2,     2,     1,     3,     4,     5,     2,     5,     1,     2,
       2,     2,     3,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     1,     5,     7,     3,     8,     4,     9,
      11,     2,     0,     3,     0,     1,     3,     1,     2,     2,
       2,     0,     1,     3,     3,     6,     4,     0,     1,     1,
       2,     2,     0,     3,     3,     2,     1,     1,     2,     2,
       4,     0,     2,     2,     2,     0,     3,     4,     4,     0,
       2,     0,     4,     0,     3,     7,     5,     2,     3,     0,
       5,     4,     6,     1,     0,     1,     2,     2,     1,     2,
       3,     2,     2,     2,     2,     3,     3,     1,     3,     1,
       0,     1,     2,     1,     1,     3,     6,    10,     1,     0,
       1,     2,     2,     0,     2,     2,     1,     0,     5,     7,
       1,     0,     6,     2,     0,     3,     5,     5,     8,     2,
       0,     2,     2,     2,     5,     2,     0,     2,     7,    10,
       6,     6,     6,     6,     7,     7,     9,     9,     6,     6,
       8,     8,     8,     8,     6,     6,     7,     8,     6,     6,
       7,     2,     2,     2,     2,     1,     2,     1,     0,     6,
       8,     7,     6,     4,     0,     1,     3,     4,     1,     3,
       1,     2,     2,     2,     2,     1,     1,    10,     2,     0,
       2,     2,     1,     0,     4,     6,     5,     4,     4,     8,
      11,     3,     2,     1,     3,     1,     5,     7,     8,     1,
       1,     1,     7,     9,     8,    15,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     2,     6,     8,     8,     4,     5,     4,     4,     4,
       3,     7,     8,     6,     6,     6,     6,     6,     4,     5,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     1,     3,     3,     1,     0,     1,     3,
       6,     8,     8,    13,     1,     3,     5,     6,     4,     7,
       2,     1,     0,     2,     0,     2,     4,     0,     1,     0,
       6,     8,     8,     1,     3,     5,     5,     7,     9,     7,
       9,     5,     6,     6,     4,     5,     7,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     1,     3,     1,     2,     2,     3,     5,     2,
       2,     0,     6,     7,     7,     7,     8,     8,     6,     8,
       9,     9,     7,    10,     7,     8,     8,     8,     8,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     3,     1,     1,     8,     9,
       9,     9,     9,     2,     0,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     4,     4,     3,     4,     4,     1,     1,     1,     0,
       7,     7,    10,     1,     1,     2,     4,     5,     1,     3,
       2,     2,     2,     2,     1,     2,     2,     4,     3,     2,
       2,     2,     2,     3,     2,     2,     2,     5,     5,     5,
       1,     3,     1,     2,     3,     0,     1,     3,     2,     6,
       6,     9,     3,     0,     3,     0,     5,     2,     0,     3,
       3,     3,     7,     7,    10,     1,     1,     1,     1,    14,
       1,     0,     1,     0,     1,     0,     2,     0,     1,     3,
       5,     5,     7,     2,     0,     1,     2,     0,     1,     1,
       0,     1,     1,     0,     9,    12,     7,     2,     0,     3,
       2,     1,     3,     3,     2,     1,     3,     3,     3,     2,
       2,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       4,     5,     1,     3,     3,     1,     2,     4,     5,     1,
       1,     1,     1,     3,     3,     2,     2,     1,     2,     2,
       2,     1,     2,     2,     1,     1,     1,     3,     2,     0,
       2,     1,     3,     5,     1,     2,     1,     0,     5,     7,
       5,     7,     5,     7,     3,     5,     5,     5,     1,     3,
       2,     1,     2,     1,     2,    11,    10,    10,     2,     2,
       0,     9,     2,     0,     4,     4,     4,     1,     1,     1,
       0,     7,     6,     6,     6,     6,     8,     8,     6,     6,
       7,     9,     9,     6,     6,     6,     8,     6,     8,     6,
       8,     6,     8,     7,     9,     8,    10,     8,     9,    11,
       8,     6,     6,     6,     5,     5,     8,     8,     8,     8,
       6,     9,     1,     0,     2,     0,     7,     6,     6,     6,
       6,     6,     7,     9,     9,     6,     8,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     6,     7,     6,
       6,     6,     6,     6,     7,     7,     7,     9,     9,     6,
       6,     6,     8,     8,     8,     6,    13,     1,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     1,     0,     6,     8,     3,     2,
       0,     2,     2,     2,     2,     3,     3,     2,     2,     2,
       2,     3,     2,     5,     4,     3,     3,     3,     1,     1,
       0,     3,     2,     2,     1,     2,     1,     3,     2,     1,
       0,     9,    11,     3,     4,     4,     0,     2,     5,     2,
       0,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     4,     3,     3,     1,     0,     5,
       6,     4,     2,     0,     4,     3,     5,     6,     4,     6,
       6,     5,     7,     9,     6,     1,     0,     6,    11,    11,
      11,    13,     9,    11,    10,     4,     2,     5,     2,     0,
       4,     5,     5,     4,     6,     1,     3,     1,     1,     1,
       1,     2,     4,     1,     1,     1,     0,     1,     0,     1,
       0,     3,     0,     2,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     2,     1,     1,     1,
       1,     0,     5,     3,     0,     1,     1,     1,     1,     3,
       9,     3,     0,     2,     3,     2,     3,     6,     1,     4,
       2,     1,     3,     2,     2,     0,     7,     2,     0,     5,
       3,     0,     2,     2,     2,     3,     1,     3,     1,     2,
       1,     0,     8,     1,     3,     1,     1,     3,     5,     2,
       1,     3,     7,     1,     0,     3,     2,     2,     2,     0,
       2,     2,     1,     1,     3,     3,     1,     2,     4,     4,
       2,     3,     5,     5,     1,     1,     9,     1,     2,     4,
       4,     4,     2,     3,     1,     3,     6,     1,     0,     2,
       0,     3,     3,     4,     4,     4,     4,     3,     2,     1,
       1,     0,     1,     1,     0,     1,     5,     1,     0,     1,
       0,     3,     1,     3,     4,     3,     2,     2,     1,     1,
       1,     0,     2,     4,     5,     2,     3,     1,     1,     1,
       1,     3,     0,     1,     1,     1,     1,     1,     3,     0,
       2,     0,     1,     3,     1,     0,     1,     2,     4,     4,
       2,     0,     2,     3,     2,     0,     1,     3,     1,     2,
       1,     2,     5,     6,     5,     1,     2,     1,     4,     3,
       4,     5,     4,     5,     4,     5,     2,     4,     1,     2,
       2,     2,     1,     1,     0,     4,     2,     1,     2,     2,
       4,     1,     3,     1,     2,     3,     1,     2,     0,     2,
       4,     0,     1,     0,     1,     3,     3,     2,     3,     5,
       6,     2,     3,     3,     4,     0,     1,     1,     1,     1,
       1,     2,     5,     1,     1,     1,     1,     2,     3,     3,
       0,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     1,     3,     0,     1,     1,     1,     1,     5,     2,
       1,     1,     1,     1,     5,     2,     2,     2,     1,     3,
       3,     2,     1,     0,     3,     0,     5,     2,     5,     2,
       1,     2,     3,     0,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     3,     3,     3,     0,     1,     4,
       1,     3,     3,     5,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     3,     3,
       2,     3,     5,     4,     6,     3,     5,     4,     6,     4,
       6,     5,     7,     3,     2,     4,     2,     3,     3,     4,
       3,     4,     3,     4,     5,     6,     6,     7,     6,     7,
       6,     7,     3,     4,     4,     6,     2,     3,     4,     1,
       3,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     2,     5,     6,     6,     7,     3,
       4,     1,     1,     2,     4,     1,     1,     1,     2,     2,
       2,     2,     1,     4,     5,     6,     8,     6,     7,     7,
       5,     5,     1,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       4,     4,     6,     5,     5,     5,     4,     6,     4,     4,
       4,     4,     5,     7,     7,     9,     5,     4,     6,     5,
       7,     7,     7,     2,     3,     3,     3,     4,     0,     4,
       1,     3,     3,     1,     1,     1,     2,     2,     0,     2,
       4,     4,     6,     2,     0,     1,     3,     3,     2,     2,
       0,     6,     1,     0,     3,     0,     2,     2,     0,     1,
       4,     2,     2,     2,     2,     2,     4,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     1,     4,     1,     4,     1,
       2,     1,     2,     1,     3,     1,     3,     1,     3,     1,
       3,     3,     3,     2,     1,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     3,     2,     3,
       0,     3,     3,     2,     2,     1,     0,     2,     2,     3,
       2,     1,     1,     3,     5,     1,     2,     4,     2,     0,
       1,     0,     1,     2,     2,     2,     3,     5,     1,     2,
       0,     2,     1,     0,     1,     1,     1,     3,     3,     1,
       3,     3,     2,     1,     1,     1,     3,     1,     2,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     2,     5,     2,     3,     6,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1328,  1130,   511,  1214,  1213,  1130,   232,     0,  1216,     0,
    1130,   340,   908,     0,     0,     0,     0,   511,  1130,     0,
    1328,     0,     0,     0,     0,  1341,     0,     0,     0,     0,
       0,     0,     0,     0,  1130,     0,     0,  1348,     0,     0,
       0,     0,  1341,     0,  1218,     0,     0,     0,     0,     2,
       4,    56,    57,    23,    22,    28,    27,    79,    80,    46,
      16,    70,    51,   112,   111,   113,    34,    30,    64,    20,
      21,    31,    35,    53,    36,    52,    19,    50,    74,    54,
      77,    41,    10,    11,    42,    68,    12,    43,    69,    13,
      44,    14,    58,    81,    26,    55,    78,    37,    66,    62,
       9,    47,    48,    49,    71,    72,    73,    95,    76,   107,
      33,   104,    85,    86,   101,    87,   102,     7,    88,    45,
      15,    98,    97,    99,    65,    38,    67,    96,   100,    17,
      18,   103,    75,    93,    90,   108,   106,   114,    91,    59,
       5,     6,    82,    40,     8,    25,    24,    39,    32,   110,
      29,  1216,    84,    94,    83,    60,    89,    63,    92,   109,
      61,   105,  1315,  1302,  1350,  1314,  1327,     0,  1317,  1129,
    1128,  1114,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   510,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1140,  1848,
    1863,  1864,  1865,  1866,  1867,  1868,  1869,  1870,   315,  1871,
    1872,  1873,  1874,  1875,  1876,  1877,  1878,  1879,  1880,  2113,
    2114,  2115,  2116,  1881,  1882,  1883,  1884,  1885,  1886,  1887,
    2117,  2118,  1888,  1889,  1890,  1891,  1892,  2119,  1893,  1894,
    1895,  1896,  1897,  1898,  1899,  1900,  1901,  1902,  1903,  1904,
    1905,  1906,  1907,  1908,  1909,  1910,  1911,  1912,  2120,  2121,
    1913,  1914,  1915,  1916,  1917,  1918,  1919,  1920,  1921,  1922,
    1923,  1924,  1925,  1926,  1927,  1928,  1929,  1930,  1931,  1932,
    1933,  1934,  1935,  1936,  2122,  1937,  1938,  1939,  2123,  1940,
    1941,  2124,  1942,  1943,  1944,  1945,  1946,  1947,  1948,  2125,
    1949,  1950,  1951,  1952,  1953,  1954,  1955,  1956,  1957,  1958,
    1959,  1960,  1961,  1962,  1963,  1964,  2126,  1965,  1966,  1967,
    1968,  2127,  2128,  2129,  1969,  1970,  1971,  1972,  1973,  1974,
    1975,  1976,  1977,  1978,  2130,  1979,  1980,  1981,  1982,  1983,
    1984,  1985,  1986,  1987,  1988,  1989,  1990,  1991,  1992,  1993,
    1994,  2131,  2132,  1995,  1996,  2133,  1997,  1998,  1999,  2134,
    2000,  2135,  2001,  2002,  2003,  2004,  2005,  2006,  2007,  2136,
    2137,  2008,  2009,  2010,  2011,  2012,  2013,  2014,  2015,  2138,
    2016,  2139,  2019,  2017,  2018,  2020,  2021,  2022,  2023,  2024,
    2025,  2026,  2140,  2027,  2028,  2029,  2030,  2031,  2032,  2033,
    2034,  2035,  2036,  2037,  2038,  2039,  2040,  2041,  2042,  2043,
    2044,  2141,  2045,  2046,  2047,  2048,  2049,  2050,  2051,  2052,
    2053,  2054,  2055,  2056,  2057,  2058,  2142,  2059,  2060,  2061,
    2143,  2062,  2063,  2064,  2065,  2066,  2067,  2068,  2069,  2070,
    2071,  2072,  2144,  2073,  2074,  2075,  2076,  2077,  2078,  2079,
    2080,  2145,  2146,  2081,  2147,  2082,  2148,  2083,  2084,  2085,
    2086,  2087,  2088,  2089,  2090,  2091,  2092,  2093,  2094,  2095,
    2096,  2097,  2098,  2099,  2149,  2150,  2100,  2101,  2102,  2103,
    2104,  2105,  2106,  2107,  2108,  2109,  2151,  2152,  2153,  2154,
    2155,  2156,  2157,  2158,  2159,  2110,  2111,  2112,   314,  1293,
    1821,  1849,  1850,  1215,  1196,   511,     0,  1117,   339,     0,
       0,     0,     0,     0,     0,     0,     0,   691,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   158,     0,     0,
     363,   362,     0,     0,     0,   880,   368,     0,     0,     0,
       0,   499,  1255,  2017,  1253,  1294,   233,   236,   234,   235,
    1843,     0,   980,   981,   983,     0,     0,   993,   724,   725,
       0,   723,   727,     0,     0,     0,   720,     0,     0,     0,
       0,   726,   718,     0,   717,     0,     0,     0,   722,     0,
     719,     0,     0,  1118,  1252,   369,  1328,     0,  1232,  1216,
    1223,  1233,  1228,  1230,  1229,  1231,  1227,  1842,  1864,   819,
     819,   819,   819,   816,   817,   819,   819,   819,  2032,     0,
       0,   798,     0,   800,  1845,   819,   824,   424,   424,   424,
       0,   823,   828,   424,  1111,  1147,  1826,  1340,     0,   799,
    1110,  2081,  1244,     0,     0,   997,     0,   998,     0,  2047,
    1122,   217,  2057,  2145,  2081,   213,   187,  1868,     0,     0,
     823,     0,  1119,  1120,   784,  1347,  1345,     0,  1886,  1899,
    1982,   210,  2043,  2048,  2057,  2145,  2081,  2109,   167,   172,
       0,   226,  2057,  2145,  2081,   222,  1140,     0,  1318,  1427,
    1817,     0,  1113,  1112,  1217,     0,  1220,     0,  1392,  2029,
    1322,  1324,  1222,  1315,     0,     0,     1,  1328,  1211,  1344,
    1344,     0,  1344,     0,  1307,  1315,  1310,  1314,     0,     0,
       0,     0,  1848,  2160,  2161,  2162,  2163,  2164,  2165,  2166,
    2167,  2168,  2169,  2170,  2171,  2172,  2173,  2174,  2175,  2176,
    2177,  2178,  2179,  2180,  2181,  2182,     0,     0,  1827,  1849,
    1853,     0,   734,     0,   118,  1822,   868,     0,     0,     0,
    1821,     0,     0,     0,     0,  1854,     0,  1844,  1855,  1856,
    1857,  1954,     0,     0,  1722,  1890,  1940,  1732,  1730,  1731,
    1724,  1725,  1726,  1727,  1728,  1729,     0,   978,  1723,     0,
     118,     0,  1954,     0,     0,  1954,     0,     0,     0,     0,
       0,  1985,   118,  1954,     0,     0,  1134,     0,     0,     0,
    1136,  1139,  1115,  1199,     0,  1817,     0,     0,   768,   759,
       0,   769,   760,   765,   771,     0,     0,   762,     0,     0,
     772,     0,   761,   763,   774,   764,   770,     0,     0,   766,
     767,     0,     0,  1126,   424,     0,     0,     0,     0,     0,
       0,   118,  1186,  1954,   118,     0,     0,   367,   366,   118,
     365,   364,  1890,  1940,     0,   907,   118,     0,   160,   579,
     514,     0,     0,   650,  1985,   118,     0,     0,     0,     0,
     883,     0,     0,   498,   511,  1256,  1254,     0,   984,   212,
     211,   982,  1954,     0,   293,     0,     0,  1954,  1175,     0,
     721,  1954,     0,  1954,   153,  1819,     0,  1890,  1940,  1954,
       0,     0,  1954,   145,  1954,     0,  1954,   293,  1954,   515,
       0,  1954,     0,  1954,  1985,   147,     0,  1954,   293,   732,
       0,  1249,     0,  1225,  2149,  1238,     0,  1234,  1241,  1237,
    1328,   819,   818,     0,   819,     0,   819,     0,   819,     0,
     819,     0,     0,     0,   819,  1846,  1847,   801,     0,   825,
       0,     0,   832,   831,   830,     0,     0,     0,   833,  1431,
    1271,     0,  1108,  1125,     0,     0,     0,  1000,  1000,  1000,
    1121,   216,   214,     0,     0,     0,     0,     0,     0,  1127,
       0,     0,     0,     0,  1830,  1832,  1833,  1733,  1800,     0,
    2114,  2115,  2116,  1791,     0,  2117,  2118,  2119,  2162,  1645,
    1632,  1641,  1646,  1633,  1635,  1642,  2120,  2121,  1925,  2122,
    2123,  1840,  2124,  2125,  2127,  2128,  2129,  2130,  1637,  1639,
    2131,  2132,     0,  1841,  2134,  2135,  2005,  2137,  2138,  2140,
    2141,  1643,  2143,  2144,  2145,  2146,  2147,  2148,  1839,     0,
    1644,  2150,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,
       0,     0,  1814,     0,  1617,     0,  1463,  1464,  1486,  1487,
    1465,  1492,  1493,  1505,  1466,     0,  1813,  1530,  1616,  1622,
       0,  1615,  1611,  1330,  1809,     0,  1612,  1829,  1831,  1792,
     179,   228,     0,   229,  1815,  2057,   168,   209,   181,   208,
     182,   180,     0,  1888,   169,     0,     0,   170,     0,     0,
       0,     0,   225,   223,     0,  1116,     0,  1429,  1428,     0,
       0,  1798,  1818,   741,  1209,  1210,  1208,     0,  1205,  1207,
    1219,  1216,  1805,  1804,  1806,     0,  1323,     0,     0,     0,
    1305,  1304,     3,  1222,  1342,  1343,     0,     0,     0,     0,
       0,     0,     0,     0,  1385,  1358,  1359,  1361,  1382,  1386,
       0,  1311,     0,     0,  1433,     0,  1393,     0,     0,  1828,
       0,     0,     0,     0,   735,     0,     0,     0,     0,     0,
       0,   117,  1173,   219,  1171,     0,     0,     0,     0,     0,
       0,     0,  1178,     0,   151,   152,   526,   511,     0,  1954,
       0,     0,     0,     0,   940,   947,     0,     0,     0,     0,
       0,     0,     0,   941,   939,   942,   221,   951,   964,   967,
       0,   858,     0,     0,     0,     0,  1043,     0,     0,  1043,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   245,   288,   491,     0,     0,   493,     0,     0,
       0,     0,     0,     0,     0,   122,     0,     0,     0,     0,
       0,   478,   490,     0,     0,     0,     0,     0,   487,     0,
     118,   241,   471,   475,     0,     0,     0,   588,   587,     0,
    1043,     0,   237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   307,   308,
       0,     0,     0,   122,   144,     0,     0,     0,   243,     0,
       0,  1135,  1132,  1133,     0,  1138,     0,  1195,     0,     0,
       0,     0,     0,   773,     0,     0,  1890,  1940,     0,     0,
       0,     0,     0,     0,   342,   321,   322,   118,   320,     0,
       0,   647,     0,  1851,  1474,  1503,  1481,  1503,  1503,  1470,
    1470,  1483,  1471,  1472,  1510,     0,  1503,  1470,  1475,     0,
    1473,  1513,  1513,  1498,     0,  1455,  1456,  1457,  1458,  1484,
    1485,  1459,  1490,  1491,  1460,  1527,  1470,  1852,     0,     0,
     658,     0,  1150,  1185,     0,     0,   520,     0,  1954,     0,
     120,   692,     0,   648,     0,   120,     0,   156,     0,   583,
       0,     0,     0,     0,     0,     0,   608,   607,     0,     0,
       0,   649,     0,   120,   474,  1954,     0,   424,   424,     0,
     882,   885,     0,     0,     0,  1297,  1299,  1298,     0,  1296,
       0,   293,   291,   292,   645,   992,     0,     0,     0,     0,
     293,     0,     0,  1954,   293,  1954,     0,  1954,     0,     0,
     293,   293,     0,     0,     0,     0,   584,     0,   731,   729,
     728,   730,     0,     0,     0,     0,     0,  1954,   293,     0,
       0,   714,  1743,     0,     0,  1328,     0,   198,   199,   197,
    1239,   200,  1240,  1236,  1224,     0,   809,     0,   813,     0,
     804,     0,   810,     0,   805,   802,   803,     0,   808,     0,
       0,   425,   427,     0,     0,  1910,  1924,     0,  1945,  1973,
    1974,  2048,  2053,     0,  2076,  2085,     0,   834,   863,   829,
       0,     0,  1281,  1109,  1749,     0,  1328,     0,   999,   996,
     995,   994,   215,   188,     0,     0,     0,   865,  2047,  1124,
     783,   511,     0,  1613,     0,  1620,  1621,  1502,  1489,  1790,
       0,     0,  1497,  1496,     0,     0,     0,     0,     0,  1479,
    1478,  1477,  1619,  1757,     0,  1476,     0,     0,     0,     0,
    1503,  1503,  1501,  1550,     0,  1480,     0,     0,  1770,     0,
    1776,     0,     0,     0,  1509,     0,  1507,     0,     0,  1586,
       0,     0,     0,     0,     0,     0,     0,     0,  1534,  1535,
    1617,  1743,     0,  1618,  1836,     0,     0,  1495,     0,  1527,
    1812,  1733,     0,     0,     0,     0,  1803,     0,  1741,     0,
       0,  1564,  1739,     0,  1566,     0,     0,     0,  1732,  1730,
    1731,  1724,  1725,  1726,  1727,  1728,  1729,  1737,  1547,     0,
       0,  1546,     0,     0,  1395,     0,  1834,  1793,   230,   231,
     227,     0,     0,   184,   183,     0,   202,   206,   207,   178,
     205,     0,   201,   186,  1685,  1684,   185,   177,   175,   173,
     189,   191,   192,   176,   174,   224,     0,     0,  1858,  2183,
    2184,  2185,  2186,  2187,  2188,  2189,  2190,  2191,  2192,  2193,
    2194,  2195,  2196,  2197,  2198,  2199,  2200,  2201,  2202,  2203,
    2204,  2205,  2206,  2207,  2208,  2209,  2210,  2211,  2212,  2213,
    2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,
    2224,  2225,  2226,  2227,  2228,  2229,  2230,  2231,  2232,  2233,
    2234,  2235,  2236,  2237,  2238,  2239,  2240,  2241,  2242,  2243,
    2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,  2252,  2253,
    2254,  2255,  2256,  2257,  2258,  1795,  1794,  1824,  1859,  1860,
    1861,  1862,  1799,     0,     0,   293,  1203,     0,  1200,  1808,
       0,  1325,     0,     0,  1212,  1321,  1320,  1351,  1352,   900,
    1319,  1376,  1377,  1372,     0,  1391,  1391,  1368,  1362,  1367,
    1365,     0,  1369,  1530,  1384,  1309,  1356,  1357,  1360,  1308,
       0,  1387,  1385,  1361,  1268,     0,     0,  1434,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   736,     0,     0,
       0,     0,     0,     0,  2076,   218,  1169,     0,     0,     0,
       0,   867,   866,     0,     0,   887,     0,     0,     0,  1181,
     413,     0,   290,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   524,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   558,
       0,  1043,     0,   596,     0,   949,     0,   948,     0,     0,
       0,   950,   945,   946,  2048,  2057,  2081,   220,   966,     0,
     965,   963,   922,   924,   923,     0,   926,   910,     0,   911,
       0,     0,   921,   929,   927,     0,     0,     0,     0,  1933,
     247,   260,     0,  1042,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   280,     0,   283,   282,     0,     0,
       0,     0,   287,     0,     0,     0,   286,     0,     0,   492,
       0,     0,     0,     0,     0,     0,     0,   979,     0,     0,
     139,   142,     0,     0,     0,   477,   489,     0,   481,   482,
     479,   483,   484,     0,     0,     0,     0,     0,     0,   476,
       0,     0,   581,   580,   586,     0,     0,     0,     0,     0,
       0,     0,  1035,  1034,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   599,   600,
       0,   601,     0,   143,     0,     0,     0,     0,     0,     0,
       0,   196,  1131,  1137,  1198,  1825,  1197,     0,     0,     0,
     775,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   326,  1851,     0,
     673,   646,     0,  1455,     0,  1451,  1447,  1516,  1517,  1518,
    1515,  1528,  1514,     0,  1461,  1519,  1470,  1467,   659,     0,
     661,   664,     0,  1148,   386,     0,   517,   558,     0,     0,
       0,   149,     0,     0,     0,   116,   160,   369,     0,   159,
     161,   163,   164,   165,   162,   166,   578,   582,     0,   513,
       0,     0,     0,     0,     0,   609,   613,   612,   616,   614,
       0,   610,     0,     0,  1443,     0,   138,   470,   473,     0,
       0,     0,   371,   455,   300,     0,     0,   884,     0,     0,
       0,     0,     0,     0,     0,  1295,     0,   970,     0,  1176,
    1954,   293,     0,   968,   154,  1820,     0,   715,     0,     0,
       0,     0,     0,   972,   711,   146,     0,   293,   293,   516,
       0,   293,   148,     0,     0,     0,   508,   293,   733,  1251,
       0,   424,  1226,  1235,   806,   815,   814,   812,   811,   807,
       0,   826,     0,   423,     0,     0,     0,   840,   841,     0,
       0,   839,   856,   842,     0,   844,   836,   835,   845,   846,
       0,     0,   865,     0,  1278,     0,  1276,     0,  1432,  1280,
    1269,  1243,     0,  1242,  1246,  1248,  1247,  1245,     0,     0,
       0,   823,     0,     0,   293,  1123,     0,   785,   786,   791,
       0,     0,     0,   792,   788,   789,   790,   793,   794,   795,
       0,     0,     0,  1801,  1753,     0,  1754,     0,     0,     0,
    1789,  1785,     0,     0,     0,     0,     0,     0,  1758,  1761,
    1762,  1763,  1760,  1764,  1759,     0,     0,  1765,     0,     0,
       0,     0,     0,  1500,  1499,     0,     0,     0,     0,     0,
       0,     0,  1589,  1622,     0,     0,  1717,     0,  1743,  1775,
       0,     0,  1511,     0,     0,     0,     0,     0,     0,     0,
    1743,  1781,     0,     0,     0,     0,  1683,     0,  1680,     0,
       0,     0,     0,  1800,     0,     0,     0,     0,  1837,  1531,
    1548,  1811,     0,  1802,     0,     0,  1532,  1555,     0,  1782,
    1582,     0,  1587,  1570,     0,  1563,     0,  1568,  1572,  1551,
    1803,  1742,     0,  1740,     0,     0,  1549,     0,  1544,  1542,
    1543,  1536,  1537,  1538,  1539,  1540,  1541,  1545,  1721,  1719,
    1720,     0,     0,     0,  1567,  1947,  1982,     0,  1341,  1341,
    1341,  1329,  1339,  1810,     0,  1438,     0,     0,     0,     0,
    1700,     0,  1747,     0,  1745,  1827,  1816,     0,     0,  1527,
       0,  1430,  1796,     0,   739,   740,   738,  1222,  1206,  1202,
    1201,  1807,  1221,  1328,     0,   898,   899,     0,   903,     0,
       0,  1370,  1383,     0,  1281,  1281,     0,  1374,  1375,  1366,
    1313,  1312,     0,  1441,     0,     0,  1265,  1258,  1435,     0,
    1395,  1283,  1285,  1286,     0,  1800,   671,   670,     0,     0,
       0,  1069,  1002,  1047,   737,  1070,  1003,  1048,  1071,  1004,
    1170,     0,  1172,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   634,  1954,   293,
    1179,  1072,     0,  1005,   289,  1180,  1049,  1184,  1050,     0,
     525,     0,     0,   530,   531,   532,     0,     0,   533,  1890,
    1940,     0,   538,   544,   548,   539,     0,   549,   545,     0,
       0,     0,     0,     0,     0,   555,   562,     0,     0,     0,
       0,     0,     0,   943,   944,  1073,  1008,     0,  1051,   925,
    1470,   909,     0,     0,   920,     0,   919,  1470,  1470,  1009,
     150,     0,   240,   248,   564,  1045,   266,   279,   274,   275,
     273,  1954,   293,  1954,   293,     0,     0,     0,     0,   276,
     271,   272,   268,   281,  1867,  1926,  2058,     0,   568,   570,
       0,   575,   284,  1021,     0,   301,   304,   285,   264,   267,
     265,   261,   246,     0,     0,  1823,     0,     0,   974,     0,
       0,     0,   141,  1031,   131,     0,     0,   127,     0,     0,
       0,     0,   121,  1079,  1013,     0,     0,   242,   472,   480,
     485,  1017,   488,  1061,   486,  1085,  1014,  1043,     0,   238,
       0,  1015,     0,  1055,  1081,  1033,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1187,     0,     0,     0,     0,
       0,   293,     0,   680,  1045,  1954,   293,  1080,     0,  1040,
    1067,     0,   309,     0,  1032,     0,     0,   244,  1019,  1063,
       0,     0,   194,   193,   195,     0,     0,     0,     0,     0,
       0,     0,     0,   777,   748,   776,     0,     0,     0,     0,
       0,     0,     0,   742,   341,   318,   319,     0,     0,   317,
     323,     0,   672,     0,     0,  1452,  1448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1468,   660,     0,     0,
       0,     0,  1168,  1168,  1168,  1168,  1168,  1168,  1168,  1149,
    1177,   118,     0,     0,     0,   519,   557,   564,     0,   592,
     595,     0,   593,     0,     0,     0,     0,     0,   132,   119,
       0,   700,   424,   155,     0,     0,     0,   512,   657,   655,
     654,   656,     0,     0,     0,   677,   653,     0,  1442,  1444,
       0,     0,     0,   469,   373,     0,     0,   370,   374,   378,
     379,   380,   427,     0,     0,   459,     0,     0,     0,     0,
     914,     0,   932,   915,     0,     0,     0,   954,   959,   955,
     935,     0,   496,  1300,  1301,     0,   293,     0,     0,   559,
     293,   293,     0,   293,     0,   293,   293,     0,  1106,   585,
       0,   642,     0,     0,   293,   713,  1744,   827,   426,     0,
       0,     0,     0,   838,     0,   494,   843,     0,   855,   850,
     852,     0,   859,  1279,  1272,  1274,  1273,     0,     0,  1270,
    1750,   712,     0,     0,   293,     0,   860,     0,   787,     0,
       0,     0,     0,  1346,  1751,  1752,     0,     0,     0,     0,
    1786,     0,     0,  1658,     0,  1634,  1636,  1469,  1648,     0,
    1482,  1659,  1660,  1638,  1640,     0,  1734,     0,     0,  1649,
    1591,  1592,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1604,  1603,  1650,  1716,     0,
       0,  1773,  1774,  1651,  1512,  1513,  1513,     0,     0,  1780,
       0,     0,     0,  1656,  1661,     0,     0,     0,     0,  1667,
       0,  1688,     0,     0,     0,  1614,  1744,  1504,  1505,     0,
       0,     0,     0,     0,     0,     0,     0,  1588,  1571,  1565,
       0,  1569,  1573,     0,     0,     0,     0,  1557,  1583,  1553,
       0,     0,  1559,     0,  1584,  1341,  1341,  1341,  1341,  1338,
       0,     0,     0,     0,  1405,  1394,  1396,  1407,  1398,  1400,
    1436,     0,  1817,     0,  1379,  1350,  1350,     0,  1700,     0,
    1623,     0,  1700,     0,     0,   171,     0,   203,   190,     0,
    1204,     0,  1353,     0,  1735,   903,   901,   902,  1355,     0,
       0,  1390,  1389,  1388,  1363,  1267,     0,  1265,  1260,     0,
    1261,  1800,     0,  1257,  1290,     0,     0,  1441,     0,  1289,
    1068,  1001,  1046,  1168,   870,   871,     0,   869,     0,     0,
       0,   412,   886,     0,     0,     0,   634,     0,     0,   416,
       0,  1182,     0,   527,   528,     0,     0,   546,     0,     0,
     535,     0,     0,     0,     0,   534,   551,   500,   552,   554,
       0,     0,   553,   556,   561,  1043,     0,   597,  1023,     0,
    1065,   937,     0,  1470,   912,   917,   918,     0,     0,     0,
     386,     0,     0,     0,   249,   259,     0,     0,   263,     0,
     257,   277,   269,   278,   270,   572,   573,   571,   567,     0,
     574,   576,   298,     0,     0,     0,  1075,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1076,  1052,
       0,     0,   124,   123,     0,   130,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   310,   295,
       0,     0,     0,     0,     0,   312,     0,     0,     0,     0,
    1074,  1010,   743,     0,     0,   744,   752,     0,     0,   745,
       0,     0,     0,     0,     0,     0,   754,   344,     0,   347,
     354,   327,   331,  1186,     0,  1186,     0,   332,  1186,   328,
    1186,   325,  2005,  1724,  1725,   668,   675,   665,   667,   669,
     666,     0,   674,   634,     0,     0,     0,  1453,     0,  1521,
    1522,  1523,  1524,  1525,  1526,     0,  1520,  1527,   662,   663,
       0,  1168,  1167,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   398,     0,     0,   392,     0,     0,
     959,   385,   388,   389,   520,   523,   521,   522,   550,     0,
     591,     0,   564,   134,     0,     0,   135,   133,     0,   300,
     369,     0,     0,   615,   618,   611,     0,   676,   678,   651,
       0,   564,     0,  1252,     0,   465,     0,   455,   405,   451,
       0,   453,   452,   454,     0,   461,   299,     0,     0,   887,
     913,     0,     0,     0,   952,   956,   953,     0,     0,   928,
       0,   936,   906,  1101,  1102,  1099,  1100,     0,     0,  1292,
     971,     0,   293,   969,   716,     0,   707,     0,   709,   973,
     293,   293,   602,     0,   509,     0,     0,     0,   837,   857,
       0,   853,     0,     0,   820,   862,  1277,  1275,   865,     0,
     821,   864,     0,     0,     0,     0,     0,  1755,  1488,     0,
    1788,  1784,     0,  1631,  1756,     0,  1768,  1767,  1590,  1769,
       0,  1609,     0,     0,  1601,  1599,  1600,  1593,  1594,  1595,
    1596,  1597,  1598,  1602,  1778,  1777,  1771,  1772,  1508,  1506,
       0,  1653,  1654,  1655,  1779,  1662,     0,  1881,  1689,  1666,
    1682,  1681,     0,     0,     0,  1669,     0,     0,  1678,     0,
    1718,  1494,  1527,  1533,     0,     0,  1556,  1783,  1574,     0,
       0,     0,  1552,     0,     0,     0,     0,  1561,  1734,     0,
       0,     0,     0,     0,     0,  1332,  1331,  1337,  1315,     0,
    1407,     0,  1406,  1418,     0,     0,  1424,  1422,     0,  1424,
       0,  1424,     0,  1399,     0,  1401,  1418,     0,  1818,  1437,
       0,  1381,     0,     0,  1349,     0,  1700,  1630,  1703,  1698,
    1699,  1748,  1624,  1835,     0,  1746,  1700,     0,  1797,  1326,
       0,  1354,  1371,  1364,  1906,  1439,  1266,     0,     0,  1263,
    1264,     0,     0,  1284,  1265,  1287,     0,   876,   877,   875,
     878,     0,     0,     0,   634,     0,     0,   432,     0,   894,
     894,     0,     0,   418,   464,   959,   637,     0,     0,     0,
     635,   293,  1006,     0,   547,     0,     0,   543,   541,   540,
     542,   501,  1084,  1007,     0,     0,     0,     0,   938,     0,
     930,  1022,     0,   383,     0,   254,  1044,     0,     0,     0,
     253,     0,   293,   293,   569,   302,   303,   306,     0,     0,
       0,     0,     0,     0,   701,   684,     0,     0,   702,   703,
       0,     0,     0,   976,   977,   975,   128,   125,   126,   129,
    1018,  1062,  1016,     0,  1056,  1027,  1025,     0,     0,     0,
       0,     0,  1083,  1039,  1060,  1082,  1037,  1058,  1036,  1057,
    1038,  1059,  1030,     0,  1446,   682,   681,     0,   293,   293,
     604,  1020,  1064,     0,   746,     0,     0,   747,   758,   756,
     755,   757,   749,   345,   118,     0,   324,     0,   352,     0,
     350,   349,   351,     0,   338,     0,     0,     0,     0,     0,
     644,     0,     0,     0,  1449,  1454,  1529,  1462,   633,     0,
    1159,  1158,  1157,  1161,  1160,  1163,  1162,  1154,  1153,  1166,
    1165,  1152,  1151,  1156,  1155,     0,   390,     0,   396,   400,
     401,   399,   391,   959,   424,   463,   518,     0,   594,   589,
     137,   136,     0,     0,     0,     0,   620,   624,   652,     0,
    1445,   598,     0,   371,   469,   467,     0,     0,   376,   381,
     382,     0,   459,   402,     0,   455,   375,     0,     0,   466,
    1146,     0,     0,   916,   933,   934,     0,     0,   959,   958,
       0,   503,   293,   560,   293,   293,  1107,   643,     0,   849,
     848,   847,   495,     0,   851,   293,     0,     0,     0,     0,
       0,   797,   778,   796,  1787,  1647,  1657,  1766,     0,     0,
    1610,     0,     0,  1652,  2151,     0,     0,     0,     0,  1686,
    1687,  1668,     0,  1996,  1673,     0,     0,     0,  1838,  1580,
    1578,  1575,     0,  1576,     0,     0,  1558,  1554,     0,  1560,
    1585,  1336,  1335,  1334,  1333,  1409,  1416,     0,  1397,     0,
    1423,  1419,     0,  1420,     0,     0,  1421,     0,     0,  1416,
       0,     0,     0,     0,  1694,  1700,  1700,  1625,  1705,  1702,
       0,  1627,  1527,     0,     0,  1259,  1262,     0,  1291,  1282,
    1174,     0,     0,     0,   414,     0,   959,     0,     0,     0,
     897,   897,     0,   959,   463,   639,   638,   641,   636,   640,
    1183,     0,   536,   537,  1024,     0,  1066,  1028,   931,     0,
     565,   250,   251,   252,   255,   295,   262,   256,     0,  1077,
    1011,  1053,     0,     0,   690,     0,     0,     0,     0,  1078,
    1012,  1054,     0,     0,     0,     0,  1192,     0,   294,   295,
     311,  1041,     0,   750,   751,   326,     0,   348,   357,     0,
     355,   329,   334,     0,   336,   335,   330,   333,  1450,     0,
     990,   990,     0,   634,  1164,     0,     0,   387,   463,   431,
       0,   393,     0,     0,     0,   371,   564,   619,     0,     0,
       0,   679,   373,     0,  1250,   468,   372,     0,     0,   461,
       0,     0,     0,   459,     0,   456,     0,   460,     0,  1141,
       0,     0,   957,     0,   961,     0,   927,   904,  1438,     0,
     507,   991,   708,   710,   603,   854,   861,   293,   779,   780,
     781,   782,  1605,     0,     0,     0,     0,  1663,     0,  1664,
    1691,  1690,  1670,  1674,     0,  1671,  1672,  1577,  1581,  1579,
    1562,  1408,     0,     0,  1410,     0,     0,  1412,  1414,     0,
       0,     0,     0,     0,  1821,  1700,  1378,  1380,     0,  1316,
    1628,  1629,     0,  1350,  1700,   204,  1736,  1440,  1288,   855,
       0,   293,   894,   463,   433,  2005,   434,   893,     0,   895,
     900,   900,     0,   463,   634,   529,     0,   563,     0,   297,
     305,     0,     0,   697,   685,     0,     0,   704,  1026,     0,
       0,     0,     0,     0,   293,   753,   316,   343,   353,     0,
     337,   990,     0,   987,   986,   632,     0,   422,   394,     0,
     442,     0,   564,   694,  1146,   577,   621,   622,   617,     0,
       0,   455,   451,   377,   386,   360,   411,   410,   407,   406,
     408,   409,   404,   403,     0,   461,   457,   458,     0,     0,
       0,  1194,     0,   888,   960,     0,     0,     0,   502,     0,
       0,   506,   497,   822,  1606,     0,  1607,     0,     0,     0,
    1676,  1675,     0,  1417,  1426,     0,  1413,  1411,  1402,     0,
    1404,  1693,  1695,     0,     0,  1708,  1626,   872,     0,   873,
     897,   437,     0,   896,   903,   903,   424,   634,   415,  1029,
     566,     0,   258,     0,   688,     0,   699,   697,     0,     0,
    1188,     0,  1189,  1190,  1193,   313,   356,   985,   989,   988,
       0,     0,   395,   428,   429,   430,     0,   397,   438,   439,
       0,   590,     0,     0,  1142,     0,     0,   459,   455,   384,
     450,   358,     0,  1143,     0,   300,     0,   959,   962,  1105,
     505,   504,  1608,  1679,  1665,  1692,  1677,  1415,     0,  1403,
       0,     0,  1704,     0,     0,     0,     0,   900,     0,   634,
       0,   891,   890,   431,   417,   296,     0,     0,   695,   698,
     686,   699,   706,   705,     0,     0,   421,     0,     0,     0,
     440,     0,   441,   462,   693,     0,   623,     0,   461,   459,
    1144,  1145,   461,   889,   905,  1104,  1103,  1328,  1425,  1696,
    1697,  2113,  1906,  2087,     0,  1706,  1709,  1707,  1701,   293,
     903,     0,   419,   435,   442,     0,     0,   687,  1191,   624,
     447,     0,   446,     0,   444,   443,   683,   627,   361,   461,
    1438,  1087,  1328,  1086,  1088,  1096,  1093,  1095,  1094,  1092,
       0,  1713,  1712,  1711,  1715,  1714,   874,   892,     0,   634,
     689,   696,     0,   445,   449,   448,   629,     0,   625,   628,
     630,   631,   359,   879,     0,  1097,  1091,  1315,  1302,     0,
     436,   420,     0,   605,     0,  1089,  1328,  1710,     0,   626,
    1090,     0,   627,     0,   606
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    48,    49,    50,    51,  1172,  2061,  1940,  2708,  2709,
      52,    53,  1246,    54,    55,    56,    57,    58,    59,    60,
    1187,    61,    62,   857,  1387,  2069,    63,  1815,   669,   670,
    1659,  1660,  2002,  1661,  1649,  1088,  1471,  1206,  1174,  1207,
      65,    66,  1082,  1640,    67,    68,    69,  1231,  1232,  1182,
    1424,  3564,  4102,  1926,  2747,  2544,  2545,    70,  1288,  1289,
      71,    72,  2657,  1327,  2659,  2660,  3161,   509,  2026,  3584,
    3585,  3148,  3149,  3591,  3849,  3850,    73,  1384,  2736,  3247,
    2737,  3657,  2738,  3658,  2739,  3659,  2690,  3211,  3212,  3213,
    2740,  3663,  4042,  2741,  1830,  4122,  2103,  1493,  1491,  4020,
    3466,  3467,  4169,  4127,  4128,  4129,  4234,  3665,  2745,  3255,
    3669,  3871,  2447,   588,  1406,  3245,    75,    76,  2097,  1262,
    1263,  1947,  3165,  2796,    77,   874,  3026,  3910,  4061,  4062,
      78,   197,    79,  1391,    80,    81,  2056,  2695,    82,  1842,
    2460,    83,    84,  2485,  2486,  2487,    85,    86,  3050,  3809,
    1233,  2537,  2538,  2539,  2540,  3070,    87,  1389,  1268,  2078,
      88,    89,    90,  2060,  2701,  2702,    91,    92,  1990,    93,
      94,    95,  1399,  2090,  2091,  3647,  3878,  4028,  3880,  4267,
    4268,  3863,  3009,  3480,    96,    97,    98,    99,  1370,  2049,
    2050,  3166,  1158,  1331,  2029,  2030,  3236,  3237,   100,   101,
    3524,  3525,   539,  4133,  4106,  4180,   102,   103,  3528,  3529,
     104,   105,   106,   107,   108,   582,   918,   919,  1164,   109,
    1755,   110,   832,  2644,   111,   982,  2221,  3702,   112,   611,
     932,   933,   113,   114,   620,  2201,   622,  1506,  2798,  2799,
    3304,  2171,   753,   115,   116,  2182,  2204,   117,  1175,  1821,
    1822,  3461,   118,   540,  1411,  2106,  2442,  4052,  3468,  3790,
    3980,  2388,  2968,   119,   541,  1211,  1888,  2109,  2751,  2752,
    1890,  2361,  3268,  1892,  2753,  2758,  2759,  2760,  3264,  3272,
    3904,  3905,   120,  1209,  1881,   121,   122,   123,  1241,   776,
     124,   552,   553,   125,  4013,   126,   886,   127,   638,  1519,
     128,  1904,  3056,   129,   130,   131,  4243,  4274,  4275,  4276,
    3277,  4207,   132,  4245,   962,   134,   135,   136,   171,   800,
     801,   802,   137,  3899,   138,   139,  2053,  2689,  3193,   140,
     141,  1816,  2432,   142,   143,   144,  1374,   145,   146,   147,
     148,  1307,   149,  1117,  1118,   150,   151,   504,   686,  1121,
    1129,   152,   590,   926,   927,   928,  1473,   153,   965,  2193,
     591,   921,   155,   592,  2406,  2979,  2980,  2983,   593,  2403,
     158,  1512,  2187,  2190,   594,  2410,  2411,  2412,  2413,  2414,
    2985,   595,   613,   877,  2114,   596,  1054,   163,   164,   165,
     695,   690,   691,   167,  1634,  2351,   628,  1136,   657,   703,
    3424,  1767,  1768,  1788,  1789,  1145,  1146,  1778,  1780,  2390,
    1781,  2399,  1773,  3421,  3764,  1784,  1785,  1148,  1149,  2394,
     168,  2355,  2935,  2936,  2937,  3402,  3412,  3751,  3947,  2938,
     960,  1155,  2939,  2944,  2977,  2727,  2728,  2729,  1893,  2036,
    1355,  1055,  1356,  2047,  1056,  1555,  1358,  1057,  1058,  1059,
    1361,  1060,  1061,  1062,  1063,  1538,  1597,  1064,  1065,  1574,
    2044,  2045,  1462,  2261,  1067,  1068,  3368,  3726,  3715,  2287,
    2288,  1656,  3364,  2887,  3959,  4081,  4082,  3432,  3429,  3768,
    3963,  4165,  4215,  4216,  1069,  2341,  1627,   778,  1070,  3168,
    1629,  2281,  2363,  2364,  1800,  1536,  2227,  2245,  2246,  2258,
    2848,  2265,  2270,  2871,  2872,  2282,  2310,  1071,  2230,  2231,
    2831,  1540,  1072,  1111,  1112,  1533,  2305,  1124,  1125,   688,
    1073,  1074,  1507,   679,  3943,   895,   744,  2554,  1746,   804,
     625,  1075,  1076,  1077,  1078,  2800,  1237,   500,   738,   757,
    2541,   501,   502,   740,  1751
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -3711
static const int yypact[] =
{
    4875,  1143, 11638, -3711, -3711,  1143, -3711, 49366,    -8,   640,
    1239,   139, 12007, 49773, 56692,   770,   276,  5471,  1143, 56692,
    2176, 37970, 46924, 56692,   392,   643, 37970, 56692, 57099,   753,
     687, 57506, 50180, 45703,  1250, 56692,  1033,   936, 57913, 50587,
      86, 50994,   643, 35141,   323,   706, 58320,  1351,  1489,   976,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711,    -8, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711,   184, -3711,   144,   202,  1421,   653,  1048, -3711,
   -3711, -3711, 42447, 56692, 56692, 56692,  1232, 56692, 56692,   684,
   42447, 42854, 58727,  1314, 31805, -3711, 42854, 56692, 59134, 56692,
   51401, 56692,  1254, 56692, 56692, 43261, 59541,  1372,  1277, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, 56692, 10724,   392, -3711, -3711, 56692,
    1289, 42447, 56692,  1182, 56692,  1331, 56692, -3711, 56692, 59948,
     685,  1669, 42854,  1685, 32225,  1367, 42854, 56692, 56692, 56692,
   -3711, -3711,  1336, 56692, 56692, -3711, -3711, 43668,  1058,  1625,
    1536,   728, -3711, 51808, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, 41226,   276, -3711, -3711, 44075, 56692,  1579, -3711, -3711,
   60355, -3711, -3711,   705, 44482, 60762,  1662, 32645,  1723, 61169,
   61576, -3711, -3711, 61983, -3711, 62390,  1453, 62797, -3711, 63204,
   -3711,  1597, 63611, -3711,  1408,  1045,   867, 28494, -3711,    -8,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,   335,   964,
     188,   171,   256, -3711, -3711,   190,   192,   201,   335,  1857,
    1857, -3711, 56692, -3711, -3711,   964,    29,  1444,  1444,  1444,
    1659,   -19, -3711,  1444, -3711, -3711, -3711, -3711, 50994, -3711,
    1462,   392,  1502,  1884, 56692, -3711, 56692, -3711, 56692, 56692,
   -3711, -3711,  1905,  1557,  1801,  1580, -3711,  1782,  1787,  1758,
     136,   392,  1690, -3711,  1901, -3711,  1813, 19673,   392, 52215,
   64018,   244, 41226,   392, 52622,  1708,   157,  1879, -3711, -3711,
     610, -3711,  2096,  1731,  1973,  1580,  1277, 29733, -3711,  1743,
     983, 50994, -3711, -3711, -3711,   329,  2031, 20097, -3711, 56692,
    1751, -3711,  1763,  1774,  1781,  1421, -3711,  4875, 56692,  1255,
    1255,  2166,  1255,  1570,  1762, -3711,  1353, -3711,  2068,  2061,
   50994,   706,   210, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711,  1831,   983, -3711,   214,
   -3711,  1311,  1830,  1360,  1183, -3711, -3711,   194,  1945,   182,
      -3,  1880, 53029,  5022,  1873, -3711,   741, -3711, -3711, -3711,
   -3711,  2171,  4692,   291, -3711, 56692, 56692, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711,  1894, -3711, -3711,  1878,
    1040,   128,  2196,  3674,   946,  2197,  6561,  1398,   781,  2100,
     853,  2222,  1521,  2237,  6681, 56692, -3711,  2174,  2267,   587,
   -3711,    90, -3711,  2007,  2144,   645, 42447,  1965, -3711, -3711,
   56692, -3711, -3711, -3711, -3711,   721, 42447, -3711,  2157, 33065,
   -3711, 56692, -3711, -3711, -3711, -3711, -3711,  2107, 56692, -3711,
   -3711,  2226, 56692, -3711,  1444,   216,  2001,  2377, 72521,    68,
   56692,  2047,  2410,  2210,  2047,  2052, 64425, -3711, -3711,  2047,
   -3711, -3711, 56692, 56692,  2023,   981,  2047,  2413,  2415,  2098,
    2201,   824,   868,   151,  2317,  2047, 56692, 64832, 56692, 56692,
    2388, 42447, 56692, -3711,  2188, -3711, -3711,   866, -3711, -3711,
   -3711, -3711,  2331,  1831,   774,  2333,  2043,  2339, -3711,  2079,
   -3711,  2341,  1873,  2342,  2049, -3711, 65239, 65646, 66053,  2343,
    1894, 56692,  2346,  2049,  2347,  2236,  2349,   774,  2350, -3711,
     839,  2353,  2244,  2357,  1539,  2049, 41633,  2358,   143, -3711,
   21793, -3711,  2152, -3711,   706, -3711,   467, -3711, 37563, -3711,
     867,   964, -3711, 56692,   964, 56692,   964, 56692,   964, 56692,
     964, 56692, 56692, 56692,   964, -3711, -3711, -3711, 56692,  2069,
   56692, 56692, -3711, -3711, -3711, 47331, 56692, 47738, -3711, -3711,
      71,   392, -3711, -3711, 72521,  2465, 56692,  2352,  2352,  2352,
   -3711, -3711, -3711,  2295, 56692,  2360,  2361, 47331, 56692, -3711,
   66460, 41226,  2256,  2077, -3711, -3711, -3711, -3711, -3711,  1681,
    2503,   263,  2505, 21793,  2085,   254,   254,  2087,  2369, -3711,
   -3711, -3711,   217,  2090,  2091, -3711,   230,   230,  2250,  2094,
    2095, -3711,   245,  2097,  2519,  2520,   261,  2101,  2102,  2106,
    1616,   254, 21793, -3711,  2118,   230,  2119,  2120,  2122,  2521,
    2123, -3711,  2542,  2124,   266,   293,  2125,  2126, -3711,  2094,
   -3711,   221,  2127,  2131,  2135,  2136,  2137,  2139,  2140,  2141,
   21793, 21793, -3711, 18825,   983,   392, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711,   135, -3711,   264,  4431, -3711, -3711,  2315,
   21793, -3711, -3711,    59, -3711,   265, -3711, -3711, -3711,   983,
   -3711, -3711,  1095,  2143, -3711,  1355, -3711, -3711, -3711, -3711,
   -3711, -3711, 40005,  2543, -3711,   369,   392,    90,   306,  2489,
   36749, 37156, -3711, -3711,  2370, -3711, 56692, -3711, -3711, 21793,
   34734, -3711,   983,   110, -3711, -3711, -3711,  1405, -3711, -3711,
   -3711,    -8, -3711, 11209, -3711,  1422,  1751, 56692, 56692,  2547,
   -3711, -3711, -3711,  1763, -3711, -3711,  1421,  1421, 21793,  1421,
     892,  1204, 20521, 21793,  2434,  2336,   703,  1062,  2440, -3711,
    1570,  1762, 50994, 56692, 66867,  2269, -3711, 35955,  1430,   983,
    2240,  2245,  2291, 38784,  2172,  2249,  2251,  2297,  2253,  2254,
   67274, -3711, -3711, -3711, -3711,  1469,   709,   243,  2255,   152,
     172,  2532, -3711,  2303, -3711, -3711, -3711,  3050, 56692,  2479,
    7169,  2368,   291,  2304, -3711, -3711,  2416,  2264,  2268,  2384,
     291,   664, 67681, -3711, -3711, -3711, -3711, -3711, -3711,  4331,
   17195, -3711,  2270,  2252, 56692, 44889,  2555,  2382,  1056,   322,
     207, 56692,  2456,  2390, 56692,  2212,  2284,  2288,  2215,  1583,
    2566,  2217, -3711, -3711, -3711,  1749,  2386, -3711,  2275,  2280,
   71322,  1094, 33485,  2559,  2305, -3711,  1283,  2306,  2307, 56692,
     291, -3711,  2612,   291,   291,  1179,  2616,  2313,   373,  1497,
    2047,  2217,  1099, -3711,  2314,  2319,   255, -3711,  2417, 50994,
     170,  1565,  2217,  2323,  2327,  2215,  2215, 56692, 56692, 56692,
   56692, 56692,   154,  2632,  2643,  2329,   199,  2380,  2260, -3711,
   40412,  2332, 64018, -3711, -3711, 56692,  2340,  1576,  2217,  1160,
    1459, -3711, -3711, -3711,  1277, -3711, 56692, -3711, 56692,  1831,
   72521,  2449,  2301, -3711,  1873,   291, 56692, 56692,  1894,   962,
     966,  2453, 56692,  2509,  2309, -3711, -3711,  2047, -3711, 36352,
    2023, -3711,  2276, -3711, -3711,  2320, -3711,  2320,  2320,  2279,
    2279,  2281, -3711, -3711, -3711,  1616,  2320,  2279, -3711, 73313,
   -3711,  1410,  1419, -3711,  2675,  2680, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711,    98,  1707, -3711, 56692, 38784,
   -3711,  2691, -3711, -3711, 72521,  2581, -3711, 56692,  2485,  2292,
   -3711,  2617,  2345, -3711,  2335, -3711, 42854,  1170,   392,  2338,
   56692,  2510, 56692, 56692, 56692, 56692, -3711, -3711,  2483,   690,
      82, -3711, 40412, -3711,  1099,  2494,  2696,    32,  1444,  2583,
   -3711, 56692,  2318,  2708,  2546, -3711,   921, -3711,  2442, -3711,
   42447,   774, -3711, -3711, -3711, -3711, 72521, 56692, 68088, 42447,
     774, 56692, 56692,  2620,   143,  2621,  2383,  2622,  2393, 33485,
     774,   148, 56692, 56692, 56692, 56692, -3711, 56692, -3711, -3711,
   -3711, -3711, 56692, 56692, 56692, 40412,  2624,  2628,   774, 56692,
   56692, -3711, 11209,  1464, 56692,   867, 40819, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, 56692, -3711, 56692, -3711, 56692,
   -3711, 56692, -3711, 56692, -3711, -3711, -3711, 56692, -3711, 56692,
    1563, -3711, -3711,  1569,   692, 56692, 56692,   186, 42447, 56692,
    2523, 56692, 56692, 56692, 56692, 56692,  2419,  2143,   819, -3711,
     200, 50994,  2536, -3711, -3711,  1599,  1351,   850, -3711, -3711,
   -3711, -3711, -3711, -3711, 47738, 46924,  2623,   258, 56692, -3711,
   -3711,  2311, 21793,   983, 19249, -3711, -3711, -3711,  2348, 11209,
    2387, 21793, -3711, -3711, 21793,  2351,  1857,  1857, 21793, -3711,
   -3711, -3711, -3711,   897,  1857, -3711, 21793, 21793,  1857,  1857,
    2320,  2320, -3711,  6693, 21793, -3711, 33485, 21793, 24337, 16365,
   21793,  2431,  2374,  1857, -3711,  1857, -3711, 21793, 18401, -3711,
   21793,  2562, 25179, 21793,   306,  2563, 21793,   306,  2777,  2777,
    2325,  4466,  2359,   983, -3711,  2474,  1857, -3711,  1857,   932,
   -3711,   211, 72521, 21793, 38784,  2445,   178, 56692, 21793,  2371,
    1637, -3711, 21793,   284, -3711,  2372, 21793,  2444, 21793, 21793,
   21793, 21793, 21793, 21793, 21793, 21793, 21793, -3711, 26005,   305,
       7,  1129, 53436, 19673,  2649, 15940, -3711,   253, -3711, -3711,
   -3711, 56692,  2543, -3711, -3711,  2446, -3711, -3711, -3711, -3711,
   -3711,   267, -3711, -3711, -3711, -3711, -3711, -3711, -3711,  2373,
   -3711, -3711, -3711, -3711,  2373, -3711,  2375,  3947, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711,  2637,  2641,   774, 56692,   329, 48145, -3711,
   20097, -3711,  1611,  2389, -3711,  2626, -3711,  2378, -3711,  7678,
    2626, -3711, -3711,   298,  2567,  2574,  2574, -3711,  2379, 11209,
   -3711,  1556, 11209,  1577, -3711, -3711, -3711, -3711, -3711, -3711,
    1202, -3711,  2434,  1062,  2443,   663, 56692, -3711, 30146,  2391,
    1613,  2473,  2475,  2522, 42854, 56692, 56692, -3711, 38784, 42854,
   56692, 56692, 42854, 56692, 56692, -3711,  2751,    36, 46924,  2524,
   46110, -3711, -3711,  2404, 56692,  2458,  2651,  2653,   483, -3711,
   -3711, 68495, -3711,  2607, 42854, 56692, 56692, 21793,  2615, 56692,
   56692, 56692,  2497, 42447,  2427, 56692, 56692, 56692,   722, 42447,
   33905, 56692, 56692, 56692, 56692,  2545, 56692, 56692,  2659,  1451,
   50994,   187,  1618,  2217,  2625, -3711,   993, -3711, 42854, 56692,
    2611, -3711, -3711, -3711, 53843,  2820,  2534, -3711, -3711, 68902,
   -3711, -3711,  2608, -3711, -3711, 73313, -3711, -3711,  1627, -3711,
   72917, 69309, -3711, -3711,   732, 42854, 56692,  7615, 56692,   995,
   -3711, -3711, 72521, -3711, 56692, 56692, 56692, 48552, 69705, 70112,
    1251,  1261, 56692, 48959, -3711, 56692, -3711, -3711, 39191, 42854,
   56692, 38784, -3711, 56692,  2618,   225, -3711, 56692,  4063, -3711,
    2512, 56692, 56692,  2436,  1646,  2517,  2565, -3711, 56692, 42854,
     804, -3711, 42854, 56692,  6131, -3711, -3711,   291, -3711, -3711,
   -3711, -3711, -3711, 56692, 56692,   291, 56692,   291,  1166, -3711,
   42854, 56692, -3711, -3711, -3711,  7712, 56692, 56692, 56692, 56692,
   42854, 56692, -3711, -3711,   978,    33,   803,   833,  2580, 56692,
     392, 56692, 70519, 42854, 56692, 56692, 56692,   311, -3711, -3711,
    2557, -3711, 42854,   804,  8037, 56692, 56692,  2525,  2526,   159,
    2594, -3711, -3711, -3711, -3711, -3711, -3711,  2684,  2845, 56692,
   -3711,  2690,  2692,  2511,  2513,  2693,   771, 56692, 56692, 56692,
   56692, 56692, 56692,  2695,   771,  2644,   560,  2462,  2478,  1655,
   -3711, -3711, 21793,  2863, 72521,  2470,  2471,  2544,  2548,  2549,
   -3711,  2472,  2550,  1857, -3711, -3711,  1748, -3711, -3711,  1664,
   -3711,  2484,   690,  1435, -3711, 56692,   103,   646,  2769, 17591,
    2589,  1680,  2762, 56692, 56692,  1680, -3711,  1400, 46924, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,  2761, -3711,
     392,  2023,  2023,  2023,  2023, -3711, -3711, -3711, -3711,  2669,
    1587, -3711,  2486,  2023, 56692,  2597,  1680, -3711,  1099,  2780,
    1310, 56692, 45296,  1632,  2527,   392,  2670, -3711, 18005,  3782,
    2671, 41226,  2753,  2756,  2775, -3711,  1831, -3711,  2890, -3711,
    2788,   774,  1873, -3711,  2049, -3711, 56692, -3711, 56692, 56692,
   56692, 56692,  1894, -3711, -3711,  2049,  2682,   774,   774, -3711,
    2683,   774,  2049,  2614,  2789, 41226, -3711,   143, -3711, -3711,
   21793,  1444, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
    1682, -3711, 56692, -3711,  2765,  2766,  2767,  2049,  2514,  2551,
   56692,  2515, -3711,  2049,   291,  2049,  2143,  2143,  2049,  2514,
   42040,  2922,  2786,   738, -3711,   769,    64,  2727, -3711, -3711,
   -3711, -3711, 72521, -3711, -3711, -3711, -3711, -3711, 56692,   235,
    2703,  2528, 42040,  2902,   774, -3711, 42447, -3711, -3711, -3711,
    2609, 42447,  2711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
    2757, 56692,  1688, -3711, -3711,  1443, -3711,  1520, 21793, 21793,
     384, -3711,  8217,  1689, 21793,  2530,  2535,  1697, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711,  2538,  2803, -3711,  2539,  1712,
    1714,  2540,  2541, -3711, -3711,  2740,  2552,  8612,  2553, 24337,
   24337,  1247, -3711, -3711, 24337,  2558, -3711,  1724,  7705,  2529,
    2560,  2554, -3711,  2568,  2569,  8541, 20945, 21793, 20945, 20945,
    9226,  2529,  2571,  1725, 38784,  2698,  9497,  1726, -3711, 21793,
   38784,  3912, 21793, -3711, 21793, 56692,  2572,  2573, -3711, -3711,
    6693, -3711,  2561, -3711, 24337, 24337, -3711,  1956, 18825, -3711,
   -3711,  2819, -3711, -3711,  1354, -3711,  2556, -3711, -3711,  3620,
     179, 21793,  2371, 21793,  2619, 33485,  9560, 21793,  3357,  1516,
    1516,   402,   402,   228,   228,   228,  1477,  1129, -3711, -3711,
   -3711,  2578,  2123, 21793, -3711,  1850,  1953, 56692,  2028,  2285,
    3272, -3711, -3711, -3711, 27255,  2584, 21793, 21793, 21793,  2586,
    2721,  2961, 11209,   914, -3711,  2964, -3711,  1277,  1857,   932,
   37563, -3711, -3711, 21793, -3711, -3711, -3711,  1763, -3711, -3711,
   -3711, -3711, -3711,  1351, 21793, -3711, -3711,   526,  1667, 21793,
    1556, -3711, -3711, 56692,  2536,  2536, 21793, -3711, -3711, -3711,
   -3711, -3711, 27255,  2600,  2598, 29320,  2689, -3711, -3711, 56692,
     295, -3711, -3711, -3711,  2579, -3711, -3711, -3711, 42854, 56692,
   56692, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711,  2785, -3711, 56692, 56692,  2770, 56692,  2768,  2772, 21793,
     737, 56692,  2593,  2595,  1138,  2842, 56692, -3711,  2886,   774,
   -3711, -3711,  2672, -3711, 11209, -3711, -3711, -3711, -3711, 41226,
   -3711,  1831, 72521, -3711, -3711, -3711,  2627, 56692, -3711, 56692,
   56692,  1894, -3711, -3711, -3711, -3711,   970, -3711, -3711, 56692,
   56692,   104,  2673,  2674, 56692, -3711,   118,  2417,  8248, 56692,
   56692, 56692,  2846, -3711, -3711, -3711, -3711,  2791, -3711, -3711,
    1707, -3711, 69309, 72917, -3711, 72917, -3711,  1707,  1478, -3711,
    2049,  2677,  2217, -3711,  2773,   844, -3711, -3711, -3711, -3711,
   -3711,  2896,   774,  2897,   774, 56692, 56692, 56692, 56692, -3711,
   -3711, -3711, -3711, -3711, 38784, 38784, 38784,  1737, -3711, -3711,
     392, -3711, -3711, -3711,  1755, -3711,   975, -3711, -3711, -3711,
   -3711, -3711, -3711, 42854,  1438, -3711,   854, 72521, -3711, 71718,
   42854, 56692, -3711, -3711, -3711,  2825,  2774, -3711,   777,  2776,
   56692,  2663, -3711, -3711, -3711,  2685,  1711,  2217,  1099, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711,   220,  1753,  2217,
    2687, -3711,  2694, -3711, -3711, -3711,  2827,  2828,  2829,  2697,
    2706,  2729,  2707,  2712,  2734, -3711,  2714,  2741,  2715,  2748,
    2716,   774, 72521,  1676,  2728,  2926,   774, -3711,  2718, -3711,
   -3711,  3035, -3711, 56692, -3711,  2722,  1779,  2217, -3711, -3711,
   42854, 56692, -3711, -3711, -3711,   771, 72521,  2882,   771,   771,
   56692, 56692,   771, -3711, -3711, -3711,  2885,  2887,  2888,  2889,
    2893,  2895,   771, -3711, -3711, -3711, -3711,   216, 38784, -3711,
    2719, 31385, -3711,  3074,  4956,  2657,  2471,  2661,  1857,   165,
     668,   956,  2779,  1857,  2868,  2665, -3711, -3711, 38784, 31385,
    1695,  2892,  2701,  2701,  2701,  2701,  2701,  2701,  2701, -3711,
    1961,  2047, 41226, 56692, 41226, -3711,   646,  2773, 56692, -3711,
   -3711,  1783, -3711, 56692, 56692,   675, 56692,  1857, -3711, -3711,
    2732, -3711,  1444,  1170,  2804,  1068,  2999, -3711, -3711, -3711,
   -3711, -3711, 56692, 56692,   690,   392, -3711,  2676,  2667, -3711,
   56692, 56692, 56692,  2713,  2681, 56692,  2679,  2678, -3711, -3711,
   -3711, -3711, 72521,   671,  2865,  2870,  2215,  3087,  2771, 56692,
   -3711,  1810,   102, -3711,   392, 41226, 70926, -3711,  3599, -3711,
   -3711,   686,  2960, -3711, -3711,  1351,   774, 72521, 56692, -3711,
     774,   143,  2746,   774,  2747,   774,   774, 56692, -3711, -3711,
   56692, -3711, 56692, 40412,   774, -3711, 11209, -3711, -3711,  2815,
    2817,  2821, 56692,  2049, 42447, -3711,  2699, 42854,  1288, -3711,
   -3711,  2878, -3711, -3711, -3711, -3711, -3711,  3005,  3006, -3711,
   -3711, -3711, 56692, 47331,   169, 42854, -3711,  1831, -3711,  1873,
     291, 56692,  2948, -3711, -3711, -3711,  2723,  1814, 10095, 21793,
   -3711,  3014, 72521, -3711,  5240, -3711, -3711, -3711, -3711, 21793,
   -3711, -3711, -3711, -3711, -3711, 21793, -3711, 21793,  2993, -3711,
    3135,  3135, 72521, 24337,  1498,  2119, 24337, 24337, 24337, 24337,
   24337, 24337, 24337, 24337, 24337, 26429,   503, -3711, -3711, 21793,
   21793,  3003,  2993, -3711, -3711,  1088,  1088, 72521,  2724,  2529,
    2725,  2736, 21793, -3711, -3711,  1818, 25592,  2737, 38784, -3711,
   21793,  7979,  1819,  2764, 10775,   983,  5282, -3711,  3092,   392,
   21793,  1534,  2121, 21793,  1825, 21793,  3016, -3711, -3711, -3711,
    2730, -3711, -3711, 72521, 21793, 24337, 24337,  5065, -3711,  9080,
   21793,  2742, 10041, 18825, -3711,   643,   643,   643,   643, -3711,
   56692, 56692, 56692, 26842, 54250,  2743,  1916, -3711, 54250, 54657,
   -3711,  2745,   983, 21793,  3009,    47,    47,  2749,  2721, 30559,
   -3711, 21793,   238, 21369,  2750,    90,  2752, -3711, -3711,  7395,
   -3711,  2754, -3711,  2778, -3711,  1667, -3711, -3711, -3711,  5434,
    2925,  2143, -3711, -3711, -3711,  2743, 22217,  2689, -3711,  1835,
   -3711, -3711, 19673, -3711, -3711,  1836, 30146,  2600, 20097,   983,
   -3711, -3711, -3711,  2701,  2049,  2049,   884,  2049,  3029,   884,
    5542, -3711, -3711, 27668, 56692, 56692, -3711, 56692,  1841,  1145,
   56692, -3711, 56692, -3711, -3711,  3147, 56692, -3711,  2806,  2808,
   -3711, 56692, 56692, 56692, 56692, -3711, -3711,  1830, -3711, -3711,
   42854, 56692, -3711, -3711, -3711,   237,  1877,  2217, -3711,  2831,
   -3711, -3711,  3010,  1591, -3711, -3711, -3711,  2832, 56692,  2781,
   -3711,   772,  2215,   745, -3711, -3711,  2833, 56692, -3711, 56692,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, 39191,
   -3711, -3711, -3711, 38784, 31385, 38784, -3711,  2838,  2840,  2891,
     132,   990,  2843,  2844,  2894,  2782,  2783,  2784, -3711, -3711,
     335,   392, -3711, -3711,   392,  2049,   392, 56692, 56692, 56692,
   56692, 56692, 56692, 56692,  3055,   695,  1661, 42854, 56692, 56692,
   42854, 56692, 56692, 56692, 56692, 56692, 56692, 56692, -3711,  3137,
     392,   392,  3109,  2847, 56692, -3711, 56692,  2417, 56692, 56692,
   -3711, -3711, -3711,  2787,   771, -3711, -3711,  3015,  3022, -3711,
     771,   771,   771,   771,   771,   771, -3711,   142,  1847, -3711,
   28081, -3711, -3711,  2410,   392,  2410,   168, -3711,  2410, -3711,
    2410, -3711,  2778,  1857,  1749, -3711, -3711, -3711, -3711, -3711,
   -3711,  2478, -3711, -3711,  1857,  1700,  2790, -3711,  2792, -3711,
   -3711, -3711, -3711, -3711, -3711,  2794, -3711,   932, -3711, -3711,
   56692,  2701, -3711,  1173,   325,   338,   340, 55064, 55471, 55878,
    2793, 56692, 56692, 24337, -3711,  1266,   896, -3711,  3027, 56692,
    2834, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,  2292,
   -3711, 56692,  2773,  2049, 56692, 56692,  2049, -3711, 72521,  2527,
    1045, 64832,  2830,  2797,  3084, -3711,  2810,  2800, -3711, -3711,
   56692,  2773,    45,  1408,   219, -3711, 46517,  1632, -3711,  3059,
   45296, -3711, -3711, -3711,  3167,  2899, -3711,  1351,   392,  2458,
   -3711, 69309, 21793, 21793, -3711,  2816, -3711,  2822,  4226, -3711,
    2023, -3711, -3711, -3711, -3711, -3711, -3711,  2898, 56692, -3711,
   -3711,  2818,   774, -3711, -3711, 56692, -3711, 56692, -3711, -3711,
     774,   774, -3711,  2931, -3711, 56692, 56692, 56692,  2049, -3711,
     291, -3711,  3104, 42040, -3711, -3711, -3711, -3711,   258,  3111,
   -3711, -3711,  3071,  3072,  3073,  3075,   795, -3711, -3711, 21793,
   11209, -3711,  2841, -3711, 11209,  5877, 11209,  3003, -3711,  2588,
    3117, -3711,  1073,  2848,  2588,   881,   881,   408,   408,   161,
     161,   161,  3135,   503, 11209, 11209, -3711, -3711, -3711, -3711,
    2849, -3711, -3711, -3711,  2529, -3711, 22641,  2984,  3223, -3711,
   -3711, -3711,  2883,  2901,  2850, -3711, 21793, 23065,  2851, 73313,
   -3711, -3711,   932,  1252, 24337, 24337,  2402, -3711,   391, 21793,
   72521,  1854,  2402,  2316,  2420, 21793, 21793, 10130,   395, 21793,
    6304, 56692, 56692, 56692, 56692, -3711, -3711, -3711, 16781,  1916,
    2852, 56692, -3711,  2854, 27255,  3081,  3030, -3711, 27255,  3030,
    1527,  3030,  3089, -3711, 30972, -3711,  2859, 15940,  1535, 11209,
    3238,  3128, 21793,  2862, -3711,  2866,  2721, -3711, 72114, -3711,
   -3711, 11209, -3711, -3711, 21793, -3711,  2721,   392, -3711, -3711,
   33485, -3711, -3711, -3711,  3052, 11209, -3711,  1351, 56692,   983,
    2867,  2879, 56692, -3711,  2689, -3711,   335, -3711, -3711, -3711,
   -3711,  2943, 46924,  3146, -3711, 21793,  1859, -3711,  2907,  3234,
     320,  1860,  1861,  1145, -3711,  2834, -3711,  1312,  3126,   371,
   -3711,   774, -3711, 72521, -3711, 56692, 56692, -3711, -3711, -3711,
   -3711,  2172, -3711, -3711, 56692, 56692, 56692, 56692, -3711,  2941,
   -3711, -3711, 38784,  1961,  3067, -3711, -3711,  3068,   335, 56692,
   -3711, 72521,   774,   774, -3711, -3711, -3711,  2900, 42854, 56692,
   56692,  1857,  1857, 72521,  2876, -3711,  1857,  1857,  2880, -3711,
   42854, 56692, 56692, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711,  2956, -3711, -3711, -3711, 56692, 56692, 56692,
   56692,  3175, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, 56692, -3711, -3711, -3711, 72521,   774,   774,
   -3711, -3711, -3711,  3120, -3711,   771,   771, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711,  2047,  3202, -3711, 38784, -3711, 39598,
   -3711, -3711, -3711,   392, -3711,   392,  3077, 35548,   392,   392,
    1145,  2903,   223,  3163, -3711, -3711, -3711, -3711,  3166,   335,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711, -3711, 21793, -3711,  1101,  2588, -3711,
   -3711, -3711, -3711,  2834,  1444,  2944,   103,  3001, -3711, -3711,
    2049,  2049,  2945,  3289,    61, 56692,  3200,  2935, -3711,   392,
   -3711, -3711, 56692, 45296,  2713, -3711,  3228,  1865, -3711, -3711,
   -3711,  2937,  2870,  1449,  2904,  1632, -3711,  1108, 56692, -3711,
    2939,  3177,  2906, -3711, 11209, 11209,   392, 73709,  3599, -3711,
   56692,  3155,   774, -3711,   774,   774, -3711, -3711, 56692,  2049,
    2049,  2049, -3711,  3085, -3711,   774, 42040,   795,   795,   795,
     795, -3711, -3711, -3711, 11209, -3711, -3711, -3711, 24337,  3185,
   -3711,  2910, 72521, -3711,  2911,  1866,  1867, 25179,  3053, -3711,
   -3711, -3711,  6447,  2962, 11209,  3011,  2912,  2915, -3711,   870,
     870,   391,  1883, -3711, 24337, 24337,  2402,  2402, 21793,  2402,
   -3711, -3711, -3711, -3711, -3711, 54250,  2917, 56692,  1916, 27255,
   -3711, -3711,  1519, -3711, 27255,  3150, -3711, 27255, 56692,  2919,
   56692,   915, 21793, 21793,  2957,  2721,  2721, -3711,  3088, -3711,
    2920, -3711,   932,  2924, 56692, -3711, -3711,   706, -3711, -3711,
   -3711, 42040,  3103, 42040,  1145,  6592,  2834, 27668, 34325, 56692,
   56285, 56285,  3066,  2834,  2944, -3711, -3711, -3711, -3711, -3711,
   -3711,  2927, -3711, -3711, -3711,  3004, -3711, -3711, -3711,  1887,
   -3711, -3711, -3711, -3711, -3711,  3137, -3711, -3711, 31385, -3711,
   -3711, -3711, 28907, 33485, -3711,   132,  2932,  2933,   990, -3711,
   -3711, -3711, 56692,  1308,   943,  2968,  2049,  3208, -3711,  3137,
   -3711, -3711,   771, -3711, -3711,  2462,   392, -3711, -3711,  1888,
   -3711, -3711, -3711, 56692, -3711,  2797, -3711, -3711, -3711, 42447,
    3330,  3330, 56692, -3711, -3711,  7028,  3125, -3711,  2944,  3152,
    3191, -3711, 56692, 56692,  1351, 45296,  2773, -3711,  1322,  2946,
    3237, -3711,  2681,  2940, -3711, -3711, -3711, 46517,  3121,  2899,
     289,   289, 56692,  2870,  3076, -3711,  3078, -3711,   249, -3711,
   56692, 27668, -3711, 72917, -3711,  1899, -3711, -3711,  2584, 56692,
      83, -3711, -3711, -3711, -3711, -3711, -3711,   169, -3711, -3711,
   -3711, -3711,   598, 24337, 72521,  1908, 21793, -3711, 21793, -3711,
    3329, -3711, -3711, -3711,   563, -3711, -3711, -3711,   870,   870,
    2402, -3711, 56692,  1909, -3711, 21793,  2958, -3711, -3711, 27255,
    1519,  1910, 56692,  1915, 72521,  2721,  2529, 11209, 56692, -3711,
   -3711, -3711,  3338,  3136,  2721, -3711, -3711, -3711, -3711,  1288,
     884,   169,  3234,  2944, -3711,  2970, -3711, -3711, 56692, -3711,
     304,   304, 56692,  2944, -3711, -3711, 56692, -3711, 38784,  3013,
   -3711, 72521,  1873,   109, -3711, 72521, 72521, -3711, -3711, 56692,
   56692, 56692, 56692, 56692,   774, -3711, -3711, -3711, -3711, 39598,
    2797,  3330,   812, -3711, -3711, -3711,  1303,  3160, -3711,   928,
    3148,  3056,  2773,  3262,  2939, -3711, -3711, -3711, -3711, 21793,
    3132,  1632,  3059, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711,  1923,  2899, -3711, -3711,  3343,  3156,
    3350, -3711,  1925, -3711, -3711,  4226, 73709,  3296, -3711,  3036,
   56692, -3711, -3711, -3711,   598,  1929, -3711,  1935,  1936,  3130,
    3039, -3711,  1962, -3711, 11209, 56692, -3711, -3711, -3711,  1969,
   -3711,  2989, -3711,  3389, 21793,  1281, -3711, -3711,  3271, -3711,
   56285,  3037, 33485, -3711,  1667,  1667,  1444, -3711,  1145, -3711,
   -3711, 21793, -3711,  1970, -3711,   633,  3141,  3280,  1976,  1977,
    2514,  3041,  2514, -3711,  2049, -3711, -3711, -3711, -3711, -3711,
    3308,  3256, -3711, -3711, -3711, -3711,   324, -3711,  3188,  3189,
   56692, -3711, 56692,  3406, -3711,  7081, 42447,  2870,  1632,  1961,
   -3711, -3711,  3190, -3711,  3193,  2527, 27668,  3599, -3711,   285,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,  1988, -3711,
   56692,  3012,  2529, 23489, 23489,  3017, 42040,   304,  3019, -3711,
    3023, -3711, -3711,  3152,  1145, 11209, 42447,  3392, -3711, -3711,
   -3711,  3141, -3711, -3711, 56692,  3143, -3711,   726,   726,  3344,
   -3711,  3079, -3711, -3711, -3711,   132, -3711,  3028,  2899,  2870,
   -3711, -3711,  2899, -3711, -3711, -3711, -3711,  1334, -3711, -3711,
   -3711, 24761,  3153,   863,  8012, -3711, -3711, -3711, -3711,   169,
    1667, 21793,  1145, -3711,  3148,  1873, 56692, -3711, -3711,  2935,
   -3711,  3436, -3711,   834, -3711, -3711,  2876, 38377, -3711,  2899,
    2584, -3711,  1931, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
    3429, -3711, -3711, -3711, -3711, -3711, -3711, -3711,  7360, -3711,
   -3711, -3711,  3325, -3711, -3711, -3711, -3711,  1994, -3711, -3711,
   -3711, -3711, -3711, -3711,  1806, -3711, -3711,  1892,  1781, 23913,
   -3711,  1145,  3183, -3711, 38377, -3711,  1931, -3711, 42447, -3711,
   -3711,  3038, 38377,  1995, -3711
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3711, -3711, -3711,  2795, -3711,  -713,   196,  2168, -1612, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711, -3711,
    2709, -3711, -3711, -3711,  1396, -3711, -3711,   119, -1047,  1786,
    2362,  1096, -3711,  -911, -3711, -3711,  -517,   122,  -634, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -3711,  -549,  1540,   954,
    -701, -2430, -3711, -1151, -3088, -3711,   397, -3711, -3711,  1484,
   -3711, -3711, -3711,   815,  -372, -3711, -3711, -3711, -3711, -3711,
   -3711, -3711,  -113, -3711, -3711,  -532, -1311,    41,  -178,  -404,
   -3711, -3711,   229,  -405, -1142, -3711, -2923, -3711,  -144, -3711,
   -3711, -3711,  -407, -1140,  1046, -3711,  -592,  -915,  1323,  -686,
   -3711,  -299, -3711,  -735,  -639,  -637,  -695,  -538, -3096, -3492,
   -3334, -2898,  1051,   146, -3711,  -158, -1309, -3711, -3711, -1241,
   -1172, -3711,  -516, -3711, -3711, -3711, -2404, -3711, -3711, -3711,
   -3711,    57, -3711, -3711, -3711, -3711,   283, -3711, -3711, -3711,
   -3711, -3711, -3711, -2206,  1441,  1442, -3711, -3711, -2571, -3711,
    -715, -3711,   431, -2452,   967, -3711, -3711, -3711,  2114, -3711,
   -3711, -3711, -3711,   286, -3711,   287, -3711, -3711, -1317, -3711,
   -3711, -1286, -3711,  1454,   783, -3711, -3711, -3711,  -720,  -781,
    -772, -3711, -2883, -3711, -3711, -3711, -3711, -3711,  -799, -3711,
     835, -2567,  -784, -3711, -3711,   851, -3711, -3711, -3711, -3711,
    -680,  -308,  2138, -3711,  -587,  -660, -3711, -3711, -3711,  -306,
   -3711, -3711, -3711, -3711, -3711, -3711,  -857,    30, -1266, -3711,
   -3711, -3711, -3711, -1921, -3711, -3711, -3711, -1712, -3711,  3499,
    1939,  1256, -1285, -3711,   -21,    65,  2575,  -917, -2143,   226,
    -443, -3711, -1458, -3711, -3711, -3711, -2063, -3711, -3711, -3711,
   -3711, -2864, -1279, -3711, -3711, -3711,   269, -3711, -3605, -3305,
   -3534, -3656, -2855, -3711, -3711,  -879, -3711, -3711, -3711, -1113,
    1639, -1147, -3711, -1841,   270, -3121,  -591, -2675, -3711, -3023,
    -522, -3711, -3711, -3711, -3711, -3711, -3711, -3711,  -884,  -501,
   -3711, -3711,  2983, -3711, -3555, -3711, -3711, -3711, -3711,  1119,
   -3711, -1157,   922, -3711, -3711, -3711, -3711, -3711,  -670,  -745,
   -3711, -3711, -3711,   150, -3711, -3711, -3711, -3711,  1979,  -744,
    -594,  2869, -1278,  -482, -3711, -3711, -3711, -3711, -2508, -3711,
   -3711, -3711, -3711, -3711, -3711, -3711, -1307, -3711, -3711, -3711,
   -3711, -3711, -3711, -3711,  1796,  1785,    73,     9, -3711, -3711,
   -1019, -3711,  -444, -3711,  2078, -3711, -3711, -3711, -3711,  1171,
     153,   312, -3711,     3, -3711, -3711,   108, -2816,     4, -3711,
   -3711, -3711, -3711,  -296,     5, -3711,   571, -3711, -3711, -2288,
   -3711,   156,    51, -3711, -3711,     1,     0,   -41,   -34,   -29,
       2,  2871,  2432, -3711, -3711, -3711,    -1,  1709, -3711,  -685,
    -154, -3711,  1174,  -535,  1768,  2422,  2418, -3711,  1169, -3711,
   -3711,  1172, -3711, -3711, -3711,  -534,  1778, -3711,  2423,  1797,
   -3711,  1162,  1175, -2800,   641, -2790,   166,  -977,  -375,    54,
    2914,  2426, -3711, -3710,   594, -3711, -2985, -1874,    27,  1549,
   -1288, -3711, -3711,  -918,  8081, -3711, -3711, -3711,  9534, 10939,
   -3711, -3711, 11086, 11795, -3711,  -810,   689, 11976,  6639,  -964,
   -1555,  -862, 10248,  -633, -1073, -2258, -3711, -3711, -3711,  -343,
     698,   849, -3711, -3711, -3711, -3711,  -575, -2279,  -565, -3711,
   -3711, -3711,  -567, -3014, -1401, -3711,  -175, -3711, 10399,  1211,
   -3711,  -802, -2217, -2241,  -934, -1430, -3711, -3711, -3711, -3711,
   -3711, -3711, -3711, -1145, -2707,  -360,  1278, -3711, -3711,  1369,
   -3711, -3711, -3711, -1067,  -700, -2139,  1284, -1645, -3711,  -683,
     621,  1975,  -651,  -140,  -536,  5709,  -430, -1838, -1004, -1238,
   -3711,  -148, -3711,    25,    -9,   -75,    -7,  3201,  4563,  -533,
   -1072,  7551,  8673,  9595, -2545
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2166
static const yytype_int16 yytable[] =
{
     162,   161,   166,   156,   157,   159,   694,   554,  1083,   777,
     704,   510,   649,  1430,   615,   626,  1440,  1470,   880,   615,
     162,  1150,   166,   854,   736,   952,   953,   954,  1156,   894,
    1515,   958,   754,   903,   878,  1490,  1829,  1159,  1747,  1434,
    2172,   681,   762,   915,  2298,  1752,   614,   693,   783,  2504,
    2506,   614,  1330,   538,   929,  1383,   794,  1305,   498,  2814,
    1526,  2033,  1909,  1891,  1401,   545,   900,  1245,  2004,  1267,
    1783,  1576,  1097,  1900,   581,  1901,  2070,  1922,  2071,  1293,
    3032,  2950,  3065,  3271,  3067,  2095,   841,   621,  1549,  1550,
    1959,  1747,  1752,   589,  2556,   678,  2940,  1889,   650,  1421,
    2046,  2072,  2073,  2653,  2226,  2611,   756,  1565,  2074,  2075,
    3441,   780,  3189,  1968,  1764,  2381,  3170,  2947,  1463,  2802,
     792,  2984,    64,  3473,  1972,  1973,  3218,  3503,  1372,   880,
     888,  1376,   706,  3399,  3170,  3463,  1380,   707,  2143,  2945,
    2946,  3643,   923,  1385,  2940,  1090,    74,  3678,  3413,  3415,
     133,  3662,  1403,   154,  2895,  1877,   160,   668,  1294,  1807,
     698,  3446,  1208,  2098,  3346,  3791,   705,  2263,  1144,  1147,
    3889, -1941,  2852,  2107,   597,  3194,  3195,  3196,  3197,  3198,
    3199,  2263,  1400,   508, -1303,  1542,  1543,  3635, -1878,  1753,
   -1975,  1979, -1995,  1595,  1422,   796,  2037,   597,  4057,  1422,
    1184, -2020, -1306,   741,   743,  3262,  1446,   747,   748,  2092,
     934,  1562,  1176,  2303,  2303, -1851,  2183,  1461,  1368, -1852,
    1422,   550, -2165, -1851,   790,  2711, -1498, -1852,  1835,  2344,
   -2165,  2632,  1910, -1722,  1261, -1470,  1984,  1272,  1903,  1602,
   -1722,  1510,  1324,   550,   786,  1298,  1966,  1236,  1632,   550,
   -1483,  1592,  -346,  2692,  4105,  1903, -1944,  3981, -1828, -1503,
     550,  2038,   796,  3028,  1605,   597, -1510, -1303, -1503,   550,
     550, -1513,   550,   699,  2101,  1837,  2989,  2480,   938, -1498,
    3033,   550,  2169,   797,  3521, -1306,   978,  3652,  1903,  2549,
    3600,  2773,  2602,  2775,  1607,  1234,  4053,  2051, -1513,   701,
     597,  4048,  1185,  2101,   949,  1903,  4014,   597,  4205,  4049,
    2342,  4036, -1503,  4059,  1177,  3655,  -734,  2039,  1318,  1831,
    2040,   603,   798,  2603,  4094,  4095,  2320,  2338,  2572,  2621,
     550,   700,  2184,   956,  2339,  1283,  2385,  2433,   603, -1303,
     603,   604,   603,   550,   597,   550,  1832,  1087,  2481,   777,
     797,   603,  2604,  1305,  1593,     3,     4, -1306,   604,  4037,
     604,  2093,   604,   836,   803,  1441,  4038,  2807,  -557,   834,
     799,   604,  1646,  1234,   550,  3859,   503,  -118,   597,  1637,
    3522,  2572,  -118,   880,  1654,  2812,  3789,  1247,  1576,   798,
    1903,  2468,   777,  4039, -1994,   880,   701,   550,  1908,  1458,
    3596,  4045,  1602,  3860,  1838,  1754,   603,   883,  2041,  2434,
    2693,   957,  1472,  1602,  2203,  2386,   892, -1738,  1248,  2852,
    1508,  1549,  1550,  1655, -1738,  1163,   604,  1605,  3613,  1565,
    1517,  1284,  4187,  2343,  2015,  2011,  2808,   799,  1605,  1423,
     676,  3615,  1527,  3617,  1423,  2354,  3597,   849,   880,  3656,
    2321,   856,  3794,  1178,  2322,   950,  4117,  1607,  2102,  1369,
    4050,  4060,   865,  4040,  1530,  1423,  2223,  3523,  1607,  4206,
    2550,  3653,  1647,   551,   684,  1833,  3798,  3422,  1114,  1839,
    1115, -1303,  3029,  1096,  1179,  3456,  1474,  3875,  2694,  1633,
    3033,  2323,  1962,  2949,  1369,  2262,  2484,   833,   969, -1306,
    1911,  1511,  2170,  2185,  1836,  2042,  2829,  3516,  2094,  2285,
     702,  4220,  1912,  1180,  2852,  3263,  3583,  2304,  2915,  1084,
    1304,  2186,  1967,  2633,  2043,  2007,  1752,  1542,  1543,  3170,
    4273,  2031,  2301,  1980,   764,  1240,  1562,  1107, -1722,  2489,
    1511,  4203,   879,   554,   839,  1955,   694,  1957,   842,  1325,
    1326,  1985,  1151,  1964,  1186,  4035,  4167,  1344,  1133,   880,
    2003,  1596,   831,  1913,   863,    47,   957,   880,   880,  3893,
    1752,  1181,  3099,  1460,  2160,  1644, -1303,  1369,  1432,  1650,
    1648,  3784, -2166,  2864,  1662,  1662,   162,   693,   166,  3494,
    3177,   931,  1762,   936, -1306,   940, -1994,  2033,   930,  3303,
   -1941,   944,  2147,  3002,  3748,   609,   610,  2324,  3752,  2852,
    3868, -1303,  1941, -1303,  2027,  1792,  1793, -1878,  1880, -1975,
    3707, -1995,   963,   614,  4041,   614,   922,   614,  2508, -1306,
   -2020, -1306,  2340,   614,   945,   946, -1851,  1537,  3779,  2168,
   -1852,  1863,   979, -2165,   777,  4198,  1537, -1498,  2179,  1080,
    1626,  3639,  1089,   879,  1091,  3907,  1548, -1994,  1309,  1571,
     925,   706,  3045,   947,  3046,   957,   707,  4090,  1314,  3427,
    3651,  1554, -1994,   609,   610,  2940,  1865,  1109,  1572, -1828,
   -1503,  1110,   959,  3609,  1871, -1944,  1571, -1510,  1432, -1503,
    1598,  1635,  1573,  2368,  2854,   705,  4188,   162,   161,   166,
     156,   157,   159,  2578,  2490,  1572,  1379,  4239,   609,  1235,
    2655,  4141,  3435,  1116,  3132,   609,   610,  3135,  3136,  1575,
    2117,  3139, -1738,  1412,  2389,  2986,  1404,  1407,  1408,  2123,
    2222,  3146,  2225,  2127,  1945,   959,  1747,  1948,  1949,  2133,
    2134,  1937,  2233,  2503,  1109,  3469,  2237,  3799,  1110,   685,
    2253,  2254,   609,   610,  2249,  2250,  2513,  2146,  1119,  1184,
    1099,   708, -1470,  3973,  1154,  1171,  2404,  2267,  2269,  1823,
    3983,  1872,  2229,  3951,  2963,  3953,   550,  4230,  2283,  1086,
     751,   845,   550,  1094,   634,  1824,   609,  1235,   614, -2166,
    -118,  -118,   546,  4070,  3273,  1238,  1239,  1823,  2086,  2012,
     550,   889,  3137,  3138,  2424,  2480,  1190,  2564,  1621,  1622,
    1623,  1624,  1625,  1626,  2957,  1084,  2104,  1312,  2466,    64,
    3167,  1623,  1624,  1625,  1626,  1422,  1328,  2861,  2862,  2863,
    2864,  3179,  1877,  3224,  1302, -1470,   709,  1084,  3167,  1825,
    3548,  3506,  3449,    74,  1140,  2164,  4118,   133,  1837,  2546,
     154,  2176,  2177,   160,  1873,  1277,  1826,  2445,  2263,  2263,
     635,  1185,  1323,  2263,  4238,  1354,  1173,  1825,  4240,  3274,
    2803,  1282,  3080,  2087,  3681,  1832,  2481,  1283,   987,  2565,
     871,  2852,  1381,  1382,  1826,  4177,   505,  3180,  1396,   987,
    1593, -1825,  2852,  1278,  1465,  2124,  3984,  1466,  1392,  1409,
    2238,  2805,   550,  2263,  2263,  4272,  2135,   879,  1397,  2446,
    1415,  1142,  2656,  1448,  1173,  3269,  3251,  2700,  2142,   879,
    2859,  2860,  2861,  2862,  2863,  2864,  1959,  1436,  1438,  2566,
     162,  1414,   166,   929,  4147,  4137,  1393,  4264,  2132,   767,
     768,   769,  4178,   770,   771,   772,   773,   774,   775,  3944,
     585,  1449,  1513,   614,  3948,  3941,  4231,  3950,   655,  2167,
    1416,  1891,  1100,  2173,  3051,  2175,  1666,  4079,  2178,    14,
    4018,  4071,   879,  1284,  3081,    37,  3225,  3507,  2041,  2567,
    4016,  4119,  1827,  1303,  1476,   627,  1478,  3549,  1480,  1535,
    1482,  1514,  1484,  1485,  1486,  2239,  2596,  2119,  3275,  1488,
      19,  3631,  2597,  3271,  3504,    41,  2165,  4252,  2643,  1552,
    1827,   633,   694,  1795,  3092,  2859,  2860,  2861,  2862,  2863,
    2864,  2152,  4232,  1101,  2484,   710,   752,   846,   636,   637,
    2037,  1212,  3701,   872,  1771,  2166,   547,  3457,   974,  1579,
    2018,  1279,  4199,    45,  3021,  4233,  1594,   890,  1417,  2088,
    3810,   656,  1398,  1590,  2376,    46,  1599,  4202,  3276,  2804,
    2240,  2854,  2089,  1313,  2467,  2256,  1636,   777,  2568,  1109,
    1423,  4265,  2854,  1110,  1897,  4091,  1828,  3508,  2019,  4123,
    3509,  1914,  3022,   879,  1394,  4097,  1652,  1653,   873,  2405,
    2806,   879,   879,  2606,  1225,  2038,  1418,  1921,  2598,  1450,
    2493,  4098,  1765,  1766,  1828,  1770,  4088,   707,   707,  1944,
     707,  4139,  1285,  3082,   603,   548,  2241,   549,  2855,  2242,
     614,  1772,  2607,  2608,  4204,   614,   614,  1280,  2676,  2855,
    1758,  4253,   687,  3632,   604,   521,   705,   705,  3052,   705,
    1602,  1978,  3526,  1286,  3083, -1470,  2940,  3767,  1250,  4076,
    2940,  2039,  2609,  2016,  2040,  1994, -1470,  3771,  1548, -1470,
    1163,  3200, -1470,  3053,  3778,  1605,   701,   701,  2006,  2569,
    1395,  1921,  1287,  3084,  1419,  3182,  2605,  2570,   550,    37,
    2571,  3435,   597,  2494,  1514,  1451,  2262,  2262,  3709,  4124,
    3710,  2262,   523,  3770,  1251,  1607,  1225,  4250,  3458,   521,
    3761,  1638,  2198,  1140,  3203,  1264,  1154,  2243,  2017,    41,
    1243,  2181,  2885,  3574,  4174,  1991,  3894,   614,  2892,  3577,
    3578,  3579,  3580,  3581,  3582,   614,  2020,  3459,  3895,   654,
    3023,  2262,  2262,  3167,  3043,  4000,  1265,  2599,  3527,  4171,
    4172,  2508,  2041,  2770,  1858,  3695,  3460,    45,  2776,  1432,
    3476,  3990,  4125,  2067,  1917,   987,   523,  1963,  2852,    46,
     946,  1950,  1639,  1602,   777,  4287,  2041,  1934,  2600,  2771,
    1142,  1252,  2116,  3170,  1950,   614,  3610,  1134,   614,   614,
    1432,  2122,  2718,  2719,  2720,  2721,  4222,  2859,  2860,  2861,
    2862,  2863,  2864,    47,  2726, -2166, -2166,  2601,  2859,  2860,
    2861,  2862,  2863,  2864,  2244,  4025,  1143,  1974,  1975,  1976,
    1977,  2066,  2021,  2112,  2113,  3711,  3024,  1253,  1607,  1254,
    1610,  1611,  3477,  1965,  2151,  2068,   530,  1991,   531,  1958,
    1244,  1266,  2766,  3866,  -140,  4001,  3299,  2008,  3207,  2042,
     614,  2952,  3955,  3455,  2953,  2953,  2013,  2014,  2512,  2471,
     754,   536,  2023,  1935,  1915,  1891,  1514,  1256,  2960,  -140,
    2510,  1906,  1084,  1084,  1614,  4257,  3650,  -369,  1173,  2441,
    1135,   866,  3629,  1432,  3208,  3478,  4281,  3479,  3896,  2076,
    1991,   866,   796,  2429,  1951,  3989,  1952,  3209,  3074,  3044,
     530,   777,   531,  1092,  1258,  2577,  3317,  1951,  2048,  1952,
     867,  2054,  2070,  3075,  2071,   697,  1959,  1109,  3476,  4004,
    3231,  1110,  1907,  1936,  1642,   536,  2589,  2853,  3795,  1997,
    2769,  -887,  2081,  2082,  2083,  2084,  2827,  2072,  2073,  1260,
    3100,  2579,  1171,  3630,  2074,  2075,  2778,  2779,  2854,  2582,
    2781,  2584,  1168,  2732,   868,  2627,  2785,  3684,  4120,  3685,
    1998,  4131,  2263,  2118,   868,  2263,  2263,  2263,  2263,  2263,
    2263,  2263,  2263,  2263,  2263,   162,  3293,   166,  3210,  2906,
     797,  2907,  3271,  1169,  2137,  2879,   515,    32,   711,  3796,
    3477,  1571,   699,  2141,  1774,  2263,  3960,  3961,  1602,   696,
    2148,  2940,  2352,  2908, -1350,  2855,  2940,   169, -1350,  2940,
    1572,  2366,  1170,  2816,  2200,  4058,  2904,   746,  2562,   798,
    2681,   506,  2445,  1605,  2263,  2263,   162,  2197,   166,  2194,
    2195,  2196,   651,  1775,  1601,  1775,  2154,  1602,  2155,  3469,
    2156,  3008,  2157,  3478,  2158,  3479,  4100,   170,  2159,   925,
     700,  1592,   987,  1607,  2247,  2852,  1621,  1622,  1623,  1624,
    1625,  1626,  1605,  3917,   521,   763,  2525,   799,  1606,  2682,
    4163, -1350,  3374,   788,  3005,  2188,  2527,  4241,    27,   795,
    1160,  2235,  2236,  -881,  1776,  1171,  1776,    32,   880,  2248,
    3890,  2065,  1607,  2251,  2252,  4164,  3150,  3020,  2220,  2199,
    2676,  2909,  3252,   169,  2762,  3256,  2910, -1350,  2273,  2096,
    2274,  1161,  1292,  3405,   169,   701,  2051,  2526,   838,  2309,
    2480,   523,   880,  3330,  1817,  3331,  2377,  2528,  2380,  1165,
    3891,  2296,    37,  2297,  1818,  4026,  2850,  2851,  2784,  2299,
    1162,  2866,  3607,   170,  2793,  2683,  2684,  2306,  3969,  1819,
    3971,   835,  2369,  3469,   170,   861,    37,  3802,  3803,  2685,
    1166,  2714,    41,  4027,  3843,  3844,  4151,  1273,  2795,   855,
    2856,  2857,  2858,    37,  2859,  2860,  2861,  2862,  2863,  2864,
    3406,  2901,  2902,  1560,  1561,   777,    41,  3014,  3406,  1167,
    3302,  2481,  1608,  2564,  1455,  4086,  1609,   840,  1274,  1801,
      45,  2940,  1275,    41,  2686,  2461,  3120,  3077,  3407,  2704,
    3999,   754,    46,  3327,  1456,   869,  3407,  1610,  1611,   870,
    2482,  1140,  2911,  3408,    45,  1141,  3121,  1276,  3303,   702,
    1802,  3754,  2912,  1612,  3409,  2854,    46,  3347,  3078,  2421,
    3332,    45,  3409,    37,  2425,   896,    47,  2428,  1432,  1999,
    3333,  2483,  2971,    46,   885,   530,  3410,   531,  3011,  1803,
    2000,  1614,  2311,  1929,  2312,  2565,   533,  3079,   597,  2451,
    4242,  3491,   910,    41,  1615,  3945,  2391,   535,  1820,  3474,
     536,   901,  3034,  2955,  2001,  2533,  2313,    47,  1142,  2687,
    2262,  2688,  2855,  2262,  2262,  2262,  2262,  2262,  2262,  2262,
    2262,  2262,  2262,  2495,   916,   162,  2407,  2435,   614,  2438,
    3055,    45,  2263,  1571,  1956,  2566,  3550,  3233,  3181,  3183,
    3184,  1291,  1571,  3358,  1143,    32,  3360,  3728,   645,  3411,
    2509,  3058,  1572,  3060,  2921,   675,  3551,  3411,  2223,  2484,
    1119,  1572,  1756,  2723,   920,  1757,  1573,   880,  2724,  1617,
    1292,  1923,  2262,  2262,  2542,  1575,  3593,    47,  3595,  1759,
    2705,  3598,  1760,  3599,  1662,  2567,   935,   937,   939,  2397,
    2398,   941,   942,   943,  2563,  1091,   597,  2573,  2824,  2314,
     951,   948,  1969,  2150,  2315,  2463,  2464,  2465,  3495,  2316,
   -1373, -1373,  2473,  1996,  2475,  2585,  2477,  2478,  3469,  1924,
    1925,  2149,   961,  3946,  2150,  2594,  3309,  2994,  2995,  3047,
    2997,  3505,  3510, -1349,  1548,   955,  1808, -1349,  2617,  1923,
    3118,  3348,  3349,  1171,  2488,  3125,  2878,  2624,  2880,  2881,
    1923,  4005,  2223,  1921,  2712,  2491,   880,  1923,   964,  2514,
   -2166, -2166,   966,  1621,  1622,  1623,  1624,  1625,  1626,  3037,
    3313,  3190,  3013,   971,  2568,  2825,  2724,  2856,  2857,  2858,
    2826,  2859,  2860,  2861,  2862,  2863,  2864,  1924,  1925,  1109,
     612, -1828,  1923,  1110,  1601,   612,   972,  1602,  1924,  1925,
   -1349,  2613,   614,  2263,  2263,  1924,  1925,  3167,  3214,  3381,
     614,  2706,   614,  2580,   198,  3918,  3919,  3920,  3921,   507,
    2161,  1921,  1605,  2162,   973,  2317,  2163,   583,  1606,  2162,
    3405,  2546,  1921,  3517,   977,  2318, -1349,  2645,   974,  1921,
    1924,  1925,  3499,   652,   847,  2645,   848,  1548,  3098,  1808,
    2707,  3200,  1607,  4219,  2743,  2744,  2191,  3201, -2077,  2192,
     850,   975,   851,  3312,  3095,  4023,   976,  3202,  2382,  2637,
    2417,  1432,   980,  2192,  1921,  2569,   981,  2646,  2647,  2648,
    2649,  2650,  2651,  2570,  2501,  1923,  2571,  2502,  2817,   983,
    3101,  2667,  4054,  2819,  3203,  3280,  3204,  3406,  2675,  3283,
    3284,  2717,  3286,  2558,  3288,  3289,  2559,  2966,  2967,  2700,
    3354,  3727,  2662,  3294,  2903,  2663,  3129,  1520,  1521,  3471,
    3472,  2677,  3602,  3603,  2678,  3407,  2748,  1923,  2972,  2973,
     162,  2733,   879,  1924,  1925,  1534,  3660,    47,  2715,  2787,
    3408, -2077,  2162,  3310,  1891,  2823,  2833,  1095,  2150,  2150,
    3229,  3409, -2166,  1923,  2837,  2676,  1609,  2150,  1098,   987,
    2262,  2734,  2852,  1548,  1102,  1163,   879,  1921,  3205,  2841,
    1103,  2842,  2150,  3410,  2150,  1924,  1925,  1610,  1611,  3375,
     777,  2868,  2884,  2889,  2150,  2150,  2890, -2077,  2772,   880,
    2774,   880,  1108, -2166,  3068,    27,  1104,  3069,  3223, -2077,
    3226,  1924,  1925, -2077,  1548,  3215,  1808,  3217, -2077,  1921,
    1120,  1127,  3072, -2077,  3496,  3073, -2077,  1475, -2077,  1128,
    1477,  1614,  1479,  3206,  1481,  2925,  1483,  2926,  3207,   614,
    1487,  1130,     3,     4,  1615,  1921,  2941,  2929,  1131,  2954,
    3220,  1305,  2964,  3221,  1138, -2077,  3411,  3965,  1152,  2810,
    3329,  1923,   880,  3334,  3335,  3336,  3337,  3338,  3339,  3340,
    3341,  3342,  3343,  4285,  3208,  4286, -2077,  3260,  3266,  3590,
    3261,  3318,  3418,    37,  2150,  3355,  3365,  3209,  3356,  3366,
    1153,  2822,  3377,  1084,  2941,  2150,  3298,  1157,  1163,   585,
    3423,  3425,  3447,  3451,  1183,  3448,  3452,   694,  3475,  1924,
    1925,  2162, -2077,    41,  3586,  1188,  3308,  3587,    14, -2166,
   -2077,  3733,  3383,  3384,  2192, -2079,  3786,  3792,  3793,  3787,
    2162,  2162,  3886,  3927,  3929,  3887,  3928,  2150,  2927,  1210,
    2928,  2262,  2262,  1921,  3314,  1214,  1242,  2263,  1590,    19,
    3937,    45,  2854,  2192,  3987,  4008,  2263,  3988,  4009,  1130,
    1240, -1303,  2309,    46,   987, -2077,  4055,  2852,  3210,  4056,
    1249,  1269,  2206,  2263,  2263,  4066,  4073,  4078,  2192,  1432,
    3240,  2924,  4080,  2990,  3734,  3240,  1281,  2930,  2931,  2932,
    4140,  1752,  4145,  1641,  2934,  4146,  4152,    47, -1098,  2192,
   -1098,   879,  4153,  4154,   694,  2890,  2150,  1290, -2079,  2855,
     627,  1295,  1301,  1621,  1622,  1623,  1624,  1625,  1626,  2207,
    1300,  1306,  2223,   162,  2197,   166,  2194,  2195,  2196,  4157,
    1308,  1310,  1432,  2956, -2077,   614,  4159,  4176,  1315,  3240,
    2192,  4011,  2934,  4182,  4183,   693,  2192,  2192,  2208,  1137,
    1601,  1139,  3570,  1602, -2079,  4208,  1320, -2077,  1432, -2077,
   -2077,  4283,  4294,  1322,  4284,  4284, -2079,  1329,   987,  2209,
   -2079,  2852,  3753,  2289,  3756, -2079,  2292,  1332,  1605,  1171,
   -2079,  1373,  1375, -2079,  1606, -2079,  3732,  1377,  3735,  1369,
     879,  1386, -2077,  -157, -1315, -2077, -2077, -2077,  2210,  1388,
    1390,  1410,  1402,  2211,   185,  1420, -1315,  1425,  1607,  1426,
   -1315,  3679, -2079,  1427,  1428,  1429,  1431,  1439,  3076,  1432,
    1442,  1443,  1444,  1445,  1447,  3088,  2964,  1452,    37,  3015,
    1453,  1454,  1459, -2079,  1464,  1489,  1516,  3017,  1518,  3018,
    3019,  1522,  1531,  1532,  2964,  1524,  1525,  2854, -1474,  2212,
   -1481,  1541, -1315,  1544,  1545,  3150,  1546,  1547,    41,  1551,
      47,  1553,  2263,  1556, -1471, -1472, -1475,  1557,  1558, -2079,
    3903,  3071,  1559, -1315,  2856,  2857,  2858, -2079,  2859,  2860,
    2861,  2862,  2863,  2864,  1564,  1566,  1567, -1473,  1568,  1569,
    1570,  1577,  1578,  1580,  3716,  3130,    45,  1581,  3219,  3093,
     586,  1582,  1583,  1584,  2855,  1585,  1586,  1587,    46, -1315,
    3628,  1630,  1609,  1641,  1645,  1657,  1665, -1315,  1763,  1141,
    1143,  3683, -2079,  3234,  3085,  1790,  3087,   185,  1798,  3686,
    3687,  3242,  1804,  1610,  1611,  3248,   987,  1805,  1806,  2852,
    1808,  1809,   587,  1810,  1811,  1812,  1813,  1834,  1840,  3259,
    1841,  2854,  2213,  1860,  1864,  1866,  1868,   880,  2214,  1867,
    1869,  1870,  1895,  1903,  2215,  1896,  2645,   627,  1905,  2645,
    2645,  1915,  1916,  2645,  3592,  2262,  1919,  1614,  1918,  3119,
    1920,  1921,  1927,  2645,  3930,  1930,   754,  1928,  1328,  1931,
    1615, -2079,  3169,  2216,  1932,  2217,  1938,  1939,  1942,  1943,
    1946,  2262,  2262,  3133,  1953,  1954,  1960,  1225,  2855,  1981,
    3169,  1961,  2218,  1084, -2079,  1970, -2079, -2079,  3848,  1971,
    1982,  1983,  3855,   879,  1992,   879,   614,  1986,  3640,  3641,
    1987, -1315,  1995,  3176,  3178,  2009,  2010,  2219,  3185,  2022,
    2024,  2025,  2032,  1537,   614,  1548,  2034,  1554,  1991, -2079,
    2035,  2052, -2079, -2079, -2079,  2055,  3238,  2058,  2059,  2063,
     517,  2064,  3301,  1266,  2080,  2085,  2099,  2100,  2105,  2856,
    2857,  2858,  3227,  2859,  2860,  2861,  2862,  2863,  2864,  2110,
    3311,  3729,  3730,  2111,  2108,  3265,   879,  3660,  1601,  1109,
    2115,  1602,  1130,  1110,  2126,  2128,  2130,  2129,  2144,  3689,
    3690,  3691,  2145,  3151,  2174,   162,  3279,  2131,  1603,  2514,
    1159,  2180,  2189,  2202,  2228,  2229,  1605,  2234,  3925,  2854,
    3800,  2271,  1606,  2272,  3692,  2941,  2284,  2290,  1602,  2294,
    3395,  3396,  3397,  2295,  3281,  2302,  2327,  2308,  2325,  2354,
    2367,  2374,  2371,  2370,  3152,  2375,  1607,  3290,  2384,  2396,
    3291,  3816,  3817,   700,  2392,  2383,  2393,  2402,  2416,  1621,
    1622,  1623,  1624,  1625,  1626,  2418,  2431,  2419,  3153,  2420,
    2439,  2436,  2441,  2856,  2857,  2858,  2855,  2859,  2860,  2861,
    2862,  2863,  2864,  3154,  2450,   614,  2443,  3155,  2444,  2459,
    2262,  3315,  2455,  2462,  2476,  2941,  2479,  2497,  1092,  3322,
    1096,  2499,  2492,  2548,  2553,  3156,  2557,  3840,  3841,  2560,
    2610,  3845,  2561,  2623,  2634,  2635,  2636,  2630,  2631,  3328,
    3157,  2638,   694,  2639,  2642,  2640,  2652,  2641,  2658,  2654,
    3372,  2661,   694,  2665,  2668,  2669,  2670,  2679,  2673,  2964,
    2671,  2672,  2674,  2698,  3350,  2703,  1608,  2710,  2716,  3903,
    1609,  2722,  2725,  2730,  2731,  2763,  2749,  2761,  2764,  2746,
    2765,  2767,  2768,  1590,  3391,  3392,  3393,  3394,  2777,  2780,
    2782,  1610,  1611,  3398,  2783,  2789,  2790,  2791,  4010,  3773,
    1514,  2801,  2203,  3433,  1460,  2794,  2792,  1612,  2809,  2813,
    2815,  2818,  2820,  2839,  2821,  3492,  3158,  2835,   957,  2150,
    3956,  2886,  2836,  2874,  3159,  2838,  2840,  2843,  2844,  2905,
    2900,  2920,  1613,  2943,  2951,  1614,  2949,  -927,  2978,  2846,
    2849,  3911,  2913,  3912,  3913,  2867,  2982,  2873,  1615,  2976,
    4065,  1616,  2988,  2993,  3916,  2875,  2876,  3160,  2883,  2898,
    2899,  2856,  2857,  2858,  2923,  2859,  2860,  2861,  2862,  2863,
    2864,  3833,  3834,  2948,  3836,  3007,  2996,  2998,  2999,  3003,
    3010,  3004,  3016,  3049,  3012,  3030,  3031,  3041,  3042,  3048,
    3057,  3059,  3552,  3090,  3096,  3555,  3109,  3097,  3091,  3102,
    3094,  3112,  3869,  3104,  3105,  3106,  3103,  3122,  3114,  3107,
    3608,  3487,  3488,  3489,  3490,  3116,   880,  4103,  3108,  3110,
    3124,  4108,  4109,  1617,  3111,  3169,  3113,  3115,  3117,  3634,
    3126,  1843,  1979,  3134,  3128,  3922,  3140,  3171,  3141,  3142,
    3143,  3174,  3537,  3536,  3144,  3538,  3145,  3539,  3175,  2041,
    3186,  3644,  3187,  3228,  3968,  3232,  3230,  3240,  3848,   614,
    3191,  3938,  3939,  3239,  1844,  3244,  3249,  3246,  3250,  4107,
    3253,  3565,  3566,  4104,  3192,   614,  3254,  1845,  3257,  3278,
    3285,  3287,  3295,  3258,  3296,  2645,  4068,  3305,  3297,  3300,
    1846,  2645,  2645,  2645,  2645,  2645,  2645,  3306,  3307,  3316,
    3321,   879,  4110,  2870,  4112,  3594,  2852,  1534,  2869,  3367,
    1595,  3351,  3352,  1618,  1619,  1620,  3380,  1621,  1622,  1623,
    1624,  1625,  1626,  3353,  3359,  4271,  3379,  3420,  1847,  3388,
    2845,  3417,  3443,  3404,  3462,   614,  3426,  3436,  3483,  3437,
    3485,  3439,  3486,  3497,  3612,  3614,  3616,  3618,   945,   946,
    3518,  3498,  3519,  3500,  3511,  3530,  3531,  1848,  3520,  3601,
    3547,  3532,  1849,  3563,  3440,  3506,  3575,  3502,  3567,  3533,
    3534,  3535,  4271,  3576,  3573,  3604,  4063,  3605,  3611,  3625,
    4271,  3606,  3633,   623,   624,  3645,  3270,  2162,   630,  3646,
    3649,  3626,   640,   646,   623,  3664,   653,  3648,  3667,   646,
     646,  4044,   680,  3668,   683,  3682,  3676,  3688,  3677,  3671,
    3680,  3741,  3742,  3743,  3744,  3642,  2941,   162,  3670,  3693,
    2941,  3696,  3697,  3698,  3699,   777,  3700,  3708,  3705,  3717,
    4089,  3718, -2092,  3719,  3712,  3749,  3713,  3721,  4085,  3745,
    3747,  3725,  4162,  3757,  3750,  3760,  3762,  3976,  3763,  3765,
    4064,  3720,  3777,  3766,  3774,  3781,  3783,  1633,  1850,  3788,
    3789,  3797,  3808,  4115,  3811,  3812,  3825,  3703,  3832,  3837,
    3828,  3842,  3846,  3818,  3853,  3861,  3862,  3872,  3870,  3873,
    3874,  3877,  3993,  3879,  3885,   614,   185,  3900,  3858,  3888,
    3892,  3898,  3901,  3909,  3915,  3923,  3924,  3926,  3931,  3935,
    3934,  3933,  3936,  3942,  3949,  3952,  4260,  3964,  3958,  3970,
    3962,  3966,  3982,  4003,  3985, -2092,  3986,  1851,  3995,  3996,
    4002,  4012,  3632,  1852,  4021,  1601,  1853,  4032,  1602,  4019,
    4030,  4034,  4029,   737,   742,   742,   745,  4069,   742,   750,
    4046,   737,  4047,   680,  4075,   779,  4084,  4101,   701,   680,
    4121,   680,  1854,  1605,  4126,   742,  4092,   680,  1855,  1606,
    4130, -2092,  4132,  4142,  2934,  4143,  4072,  1514,  2934,  4136,
    4144,  1856,  4149, -2092,  4150,  4155,  4072, -2092,  4156,  4160,
    4161,  4166, -2092,  1607,  4179,  4105,  4168, -2092,  3772,  4185,
   -2092,  4186, -2092,  4184,  4189,  4191,  1857,  4195,  3428,  4200,
    4226,  3782,  4201,  3819,  4218,  4221,  4229,   162,  3775,  3780,
    4223,  4188,  4187,  4263,  4237,  3829,  4251,  4279,  4282, -2092,
    4288,  1993,  2713,  1664,  4292,  1213,  2958,  4114,  2552,  3054,
    3515,  2622,  3147,  4006,  3847,  3883,   880,  4116,  4031,  3666,
   -2092,   614,  4033,  3867,  4043,  2788,  3001,  4224,  3974,  4259,
    4192,  4190,  1132,  4235,  4138,  3006,  3884,  3636,  2696,  2697,
    3514,  3813,  3066,  2077,  4173,  3637,  2680,  3235,  3638,  4262,
    3801,  4293,  4289,  3188,  3172,  4236, -2092,  3994,  4256,  2062,
    4181,  4227,  3997,  1608, -2092,   629,  4087,  1609,  3672,  3694,
    2505,  3673,  1509,   614,  4148,   881,  3123,  4244,  3815,  4158,
    3908,  4290,  4134,  2379,  2153,  1105,  3822,  3823,  1610,  1611,
    3824,  3826,  3827,  2378,  2961,  3654,  3776,  3453,  2962,  1761,
    1126,  2401,  2970,  1786,  1612,  2974,  2645,  2645,  1787, -2092,
    2400,  1791,  2987,  2395,  3400,  4077,  3755,  2975,  1794,  3835,
     879,  3454,  2666,  4067,  3851,  4209,  3852,  3371,  3361,  3856,
    3857,  4170,  1614,  3838,  3839,  1113,  4210,  4217,  2965,  2830,
    2918,  2941,  3864,  3450,  2916,  1615,  2941,  2954,  2353,  2941,
       0,     0,     0,   777,   627,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1601,     0,
    2754,  1602,     0,     0,   614,     0,     0,     0, -2092,  2941,
    3881,     0,     0,  2964,     0,     0,     0,     0,   777,  1191,
       0,     0,     0,     0,     0,     0,  1605,     0,     0,     0,
       0, -2092,  1606, -2092, -2092,     0,     0,  3902,     0,     0,
       0,     0,     0,     0,  3992,     0,     0,     0,     0,     0,
    1617,  1192,  3882,     0,     0,     0,  1607,     0,  3703,  3703,
    3703,  3703,  1215,     0,     0,     0, -2092,     0,  1216, -2092,
   -2092, -2092,     0,     0,     0,   805,     0,     0,     0,     0,
     680,   754,   737,     0,     0,   742,     0,   745,     0,   742,
       0,     0,  4015,  1250,     0,   779,     0,     0,   858,     0,
       0,     0,     0,     0,     0,   742,  1193,     0,  1217,  1514,
       0,     0,     0,     0,     0,     0,     0,     0,  2914,  2934,
       0,     0,  1084,  2941,  2934,     0,   737,  2934,     0,     0,
       0,   745,     0,     0,     0,   737,     0,  1194,   779,  1251,
    1618,  1619,  1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,
       0,     0,     0,   742,     0,     0, -2166,  1218,     0,     0,
    1609,     0,     0,     0,  1219,     0,  2755,  1220,     0,     0,
       0,  2941,  1195,     0,     0,     0,     0,     0,     0,  3169,
       0,  1610,  1611,  2754,     0,     0,     0,     0,     0,  3977,
    3979,  3979,     0,     0,     0,  3967,     0, -2166,     0,   680,
       0,  1196,  1191,  2645,     0,     0,     0,  4007,     0,   680,
     970,     0,  4096,   614,     0,     0,  1252,     0,     0,  1221,
       0,     0,     0,     0,     0,  1614,     0,     0,  1079,     0,
     680,   646,     0,     0,  1192,   646,     0,     0,  1615,     0,
       0,     0,     0,     0,   162,  4024,     0,     0,   680,     0,
       0,     0,   680,     0,     0,     0,     0,     0,  1079,     0,
       0,     0,  1253,    32,  1254,     0,     0,  1199,     0,   680,
       0,     0,     0,  1200,  1255,     0,  1223,     0,     0,     0,
    1201,   680,     0,     0,     0,     0,  1224,   777,  1879,  1193,
    1601,     0,     0,  1602,  1225,     0,     0,  1203,     0,     0,
    4051,     0,  1256,  1226,     0,  1204,     0,     0,     0,     0,
    1603,     0,     0, -2166,     0,     0,     0,     0,  1605,  2934,
    1194,  1514,     0,   680,  1606,  1601,     0,     0,  1602,     0,
       0,     0,     0,     0,  1257,     0,   742,   742,  1228,  1258,
       0,     0,     0,     0,     0,  1603,     0,     0,  1607,  2755,
       0,  3119,     0,  1605,     0,  1195,  1205,     0,  4197,  1606,
    2757,  3270,     0,  1259,     0,     0,     0,     0,  2941,     0,
     879,     0,     0,     0,  1260,     0,     0,   737,  4093,     0,
       0,     0,     0,  1607,  1196,     0,     0,   737,  1514,     0,
     779,     0,  1514,  1514,     0,     0,     0,     0,  4225,     0,
    4111,     0,  4113,   742,     0,     0,     0,  1621,  1622,  1623,
    1624,  1625,  1626,     0,     0,     0,     0,   680,     0,     0,
       0,  1230,     0,   742,   742,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   680,   680,   680,
     742,     0,   737,     0,     0,     0,    32,     0,  1608,     0,
    2756,  1215,  1609,     0,     0,     0,  1200,  1216,     0,     0,
       0,     0,     0,  1201,     0,     0,     0,   742,   742,   742,
       0,  1879,     0,  1610,  1611,     0,     0,     0,     0,     0,
    1203,     0,     0,  1608,     0,     0,     0,  1609,  1204,  1612,
    3979,  1079,     0,     0,     0,     0,     0,  1217,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1610,  1611,
    4291,     0,     0,     0,  1613,     0,     0,  1614,     0,     0,
       0,  1492,  1492,     0,  1612,     0,   680,     0,   623,     0,
    1615,     0,  4194,  1616,     0,     0,     0,     0,     0,  1205,
       0,     0,     0,  2757,     0,  1523,  1218,     0,   680,  1613,
       0,  1529,  1614,  1219,     0,     0,  1220,     0,     0,     0,
       0,     0,     0,     0,  1079,  1615,     0,     0,  1616,     0,
       0,  4278,     0,     0,     0,     0,     0,   162,  4249,   166,
    4246,  4247,  4248,     0,  4228,     0,     0,     0,     0,     0,
       0,     0,     0,  1079,     0,     0,     0,     0,  4270,     0,
       0,     0,     0,     0,     0,  1617,     0,     0,  1221,     0,
       0,     0,  4277,  4249,   166,  4246,  4247,  4248,     0,     0,
       0,  1079,  1079,     0,  1079,     0,  4261,  2754,     0,     0,
       0,     0,  4269,     0,     0,     0,     0,     0,     0,     0,
    1617,  1079,     0,     0,     0,  4270,  1191,     0,     0,     0,
       0,     0,     0,  4270,     0,     0,   162,  4249,   166,  4246,
    4247,  4248,     0,  1222,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1224,     0,   680,  1192,  4269,
    1079,     0,     0,  1225,     0,     0,     0,  4269,     0,     0,
       0,     0,  1226,     0,     0,  1618,  1619,  1620,     0,  1621,
    1622,  1623,  1624,  1625,  1626,     0,     0,     0,     0,  1079,
       0,     0,  2893,  1079,  1079,     0,     0,     0,     0,     0,
       0,     0,     0,   680,   680,  1797,     0,  1228,     0,     0,
    1618,  1619,  1620,  1193,  1621,  1622,  1623,  1624,  1625,  1626,
       0,   646,  2372,     0,     0,     0,     0,     0,  2373,     0,
       0,  1191,  1229,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1194,     0,     0,     0,     0,     0,
       0,     0,     0,   646,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,   680,  1902,     0,     0,     0,
       0,     0,   680,  2755,     0,   742,     0,     0,     0,  1195,
       0,     0,     0,     0,  1600,     0,     0,     0,     0,  1601,
    1230,     0,  1602,   779,     0,     0,     0,     0,     0,     0,
     680,     0,     0,     0,     0,     0,     0,     0,  1196,  1603,
       0,     0,  1604,     0,     0,     0,     0,  1605,  1193,     0,
     680,     0,     0,  1606,  1601,     0,     0,  1602,   742,   742,
     742,   742,   680,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   646,  1603,     0,   680,  1607,     0,  1194,
       0,     0,  1605,     0,     0,     0,     0,  2005,  1606,   680,
       0,     0,     0,     0,     0,     0,     0,   742,   742,     0,
      32,     0,     0,   742,  1199,     0,     0,     0,     0,     0,
    1200,     0,  1607,     0,  1195,     0,     0,  1201,     0,     0,
       0,     0,     0,     0,     0,  1879,     0,     0,     0,     0,
       0,     0,     0,     0,  1203,     0,     0,     0,     0,     0,
       0,     0,  1204,  1196,     0,     0,     0,     0,     0,   742,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   742,   742,   742,   742,  1608,     0,     0,
       0,  1609,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2005,  1205,     0,     0,     0,  2757,     0,     0,
       0,   737,  1610,  1611,     0,    32,     0,  1878,   745,  1199,
     737,     0,  1608,     0,     0,  1200,  1609,     0,  1612,     0,
     779,     0,  1201,     0,     0,   742,     0,     0,     0,     0,
    1879,     0,     0,     0,   742,     0,     0,  1610,  1611,  1203,
     742,   742,     0,  1613,     0,   680,  1614,  1204,     0,     0,
       0,     0,     0,  1612,     0,     0,     0,     0,     0,  1615,
       0,     0,  1616,     0,     0,     0,     0,     0,     0,     0,
    1492,     0,     0,     0,     0,     0,     0,   742,  1613,   737,
       0,  1614,     0,   680,   680,     0,   742,     0,     0,     0,
    1215,     0,   680,     0,  1615,     0,  1216,  1616,  1205,     0,
       0,     0,     0,     0,     0,   623,   623,     0,     0,  2205,
       0,     0,     0,  1079,     0,  1079,     0,     0,     0,     0,
       0,     0,  1079,     0,     0,  1079,     0,     0,     0,  1079,
       0,     0,     0,     0,  1617,     0,  1217,  1079,  1079,     0,
       0,     0,     0,     0,     0,  1079,     0,   779,  1079,  1079,
    1079,  1079,     0,     0,     0,     0,     0,     0,  1079,  1079,
       0,  1079,     0,  1079,  1079,     0,     0,  1079,     0,  1617,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1079,  1218,     0,     0,   742,  1079,
       0,     0,  1219,  1079,     0,  1220,     0,  1079,     0,  1079,
    1079,  1079,  1079,  1079,  1079,  1079,  1079,  1079,     0,  1079,
       0,     0,     0,   680,  1079,     0,  1079,     0,     0,     0,
       0,     0,   680,     0,  1618,  1619,  1620,     0,  1621,  1622,
    1623,  1624,  1625,  1626,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1221,     0,     0,
       0,     0,     0,     0,     0,  -115,     0,     0,     0,  1618,
    1619,  1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,     1,
       0,     0,     0,  2293,     0,     0,     0,     0,     0,     2,
       0,     3,     4,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     5,     0,     0,     0,
       0,     0,  1222,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1224,     0,     6,     0,     7,     8,
       0,     0,  1225,     0,     9,     0,    10,     0,     0,     0,
       0,  1226,     0,     0,     0,     0,    11,   680,    12,   680,
       0,  1079,     0,     0,  1601,     0,     0,  1602,     0,     0,
       0,     0,     0,     0,    13,     0,     0,    14,     0,     0,
       0,     0,  1227,     0,  1603,     0,  1228,     0,     0,    15,
       0,    16,  1605,     0,     0,    17,     0,  2408,  1606,  2415,
       0,    18,     0,     0,     0,     0,     0,     0,    19,     0,
      20,  1229,     0,     0,   745,     0,    21,     0,     0,   623,
       0,   623,  1607,     0,     0,     0,     0,     0,     0,     0,
      22,     0,     0,     0,     0,     0,     0,     0,  1079,     0,
       0,     0,     0,     0,   737,     0,   742,   742,   742,     0,
     737,   779,     0,   742,     0,   742,     0,   742,   742,     0,
       0,   680,     0,     0,     0,     0,     0,     0,     0,  1230,
       0,     0,  1191,  1601,     0,     0,  1602,     0,     0,     0,
     646,     0,     0,     0,    23,    24,     0,     0,     0,     0,
      25,     0,     0,     0,     0,     0,     0,     0,    26,  1902,
       0,  1605,     0,     0,  1192,  2515,     0,  1606,     0,    27,
    2524,     0,     0,     0,     0,     0,   680,     0,     0,     0,
       0,     0,  1608,     0,     0,     0,  1609,     0,     0,     0,
       0,  1607,  2555,  2555,     0,     0,     0,     0,     0,   745,
       0,     0,     0,     0,     0,     0,    28,  1610,  1611,     0,
       0,     0,     0,     0,   742,     0,     0,    29,     0,  1193,
       0,     0,    30,  1612,    31,     0,     0,     0,     0,    32,
       0,     0,     0,     0,    33,     0,     0,    34,     0,     0,
    2612,    35,  2614,  2616,     0,     0,    36,    37,  1613,     0,
    1194,  1614,     0,  3385,    38,     0,     0,    39,     0,     0,
       0,     0,     0,     0,  1615,    40,     0,  1616,     0,     0,
     742,     0,     0,     0,     0,     0,     0,    41,   742,   742,
     742,   742,   742,   742,     0,  1195,     0,     0,     0,     0,
       0, -2166,     0,  1079,    42,  1609,     0,     0,     0,     0,
       0,     0,     0,     0,    43,     0,     0,     0,  1601,     0,
      44,  1602,     0,     0,  1196,    45,  1610,  1611,     0,     0,
    1902,     0,     0,     0,  2555,   680,     0,    46,  1603,   623,
       0,     0, -2166,     0,     0,     0,  1605,     0,     0,  1617,
       0,  1197,  1606,     0,     0,     0,     0,     0,     0,     0,
    1601,     0,     0,  1602,     0,  2612,     0,     0,     0,     0,
    1614,    47,   742,  2742,  -115,     0,  1607,     0,     0,     0,
    1603,     0,  1198,  1615,     0,     0,    32,     0,  1605,     0,
    1199,     0,     0,     0,  1606,     0,  1200,   742,     0,   742,
    2555,   742,  2555,  1201,     0,     0,     0,     0,     0,     0,
       0,  1202,     0,     0,     0,     0,     0,     0,  1607,     0,
    1203,  1079,     0,     0,     0,     0,     0,     0,  1204,     0,
       0,     0,     0,  1492,     0,     0,     0,     0,     0,  1618,
    1619,  1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,     0,
       0,     0,     0,  3173,     0,     0,     0,     0, -2166,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1366,     0,     0,     0,     0,  1608,   737,     0,  1205,
    1609,     0,   737,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   742,     0,     0,     0,     0,     0,     0,  1079,
    1079,  1610,  1611,     0,     0,  1079,     0,     0,     0,     0,
       0,     0,  1601,     0,     0,  1602,     0,  1612,  1608,     0,
       0,     0,  1609,     0,     0,     0,     0,     0,     0,     0,
    1079,  1079,  1603,     0,     0,  1079,     0,     0,     0,     0,
    1605,     0,  1613,  1610,  1611,  1614,  1606,  1079,  1079,  1079,
    1079,     0,  1621,  1622,  1623,  1624,  1625,  1626,  1615,  1612,
    1079,  1616,   555,  1079,     0,  1079,  2897,     0,     0,     0,
    1607,     0,     0,     0,   556,  1079,  1079,     0,     0,  1079,
       0,     0,     0,     0,  1613,     0,     0,  1614,     0,     0,
       0,     0,  1079,     0,  1079,   557,   779,  1366,  1079,     0,
    1615,     0,     0,  1616,     0,     0,     0,     0,   558,     0,
       0,     0,     0,     0,  1079,     0,     0,     0,   680,     0,
    1601,   559,     0,  1602,     0,  2942,     0,  1079,  1079,  1079,
       0,     0,     0,  1617,     0,     0,     0,     0,   560,     0,
    1603,     0,     0,     0,  1079,     0,     0,     0,  1605,     0,
       0,     0,     0,     0,  1606,  1079,     0,     0,     0,   561,
    1079,     0,     0,     0,   680,     0,     0,  1079,     0,     0,
    1608,     0,     0,  2942,  1609,  1617,  2981,   562,  1607,     0,
    2415,     0,     0,     0,     0,     0,     0,     0,   563,     0,
       0,     0,     0,   564,     0,  1610,  1611,     0,     0,   565,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1079,  1612,  2555,     0,   566,     0,     0,  1492,     0,     0,
       0,     0,     0,  1618,  1619,  1620,     0,  1621,  1622,  1623,
    1624,  1625,  1626,     0,     0,     0,  1613,  3323,   742,  1614,
     742,   742,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1615,     0,     0,  1616,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1618,  1619,  1620,     0,  1621,
    1622,  1623,  1624,  1625,  1626,     0,     0,     0,  1608,  3370,
       0,     0,  1609,     0,     0,     0,   499,     0,     0,   567,
    1366,     0,   544,   499,     0,     0,     0,     0,   584,   568,
     499,     0,     0,  1610,  1611,   499,     0,   632,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   185,     0,  1612,
       0,     0,     0,     0,     0,   692,     0,  1617,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   569,  1894,  1613,     0,   570,  1614,   571,     0,
       0,     0,     0,     0,   572,     0,     0,   573,     0,     0,
    1615,     0,     0,  1616,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1366,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   574,     0,   575,     0,     0,     0,   576,
       0,     0,     0,     0,     0,     0,     0,   577,     0,     0,
       0,     0,   578,     0,     0,     0,     0,     0,     0,     0,
       0,  2555,  2555,     0,   579,     0,     0,  1618,  1619,  1620,
       0,  1621,  1622,  1623,  1624,  1625,  1626,   580,     0,     0,
       0,  3442,     0,     0,     0,  1617,     0,     0,     0,     0,
       0,     0,     0,  1366,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1601,     0,   749,  1602,     0,
       0,     0,  1366,     0,     0,     0,   781,     0,   784,   680,
     787,     0,   789,     0,     0,  1603,     0,     0,     0,     0,
       0,     0,  1366,  1605,     0,     0,     0,     0,     0,  1606,
       0,     0,     0,  1492,   680,     0,     0,     0,     0,     0,
       0,     0,   680,     0,     0,     0,   680,  1366,     0,     0,
       0,     0,     0,  1607,     0,     0,     0,     0,     0,     0,
     680,     0,     0,     0,     0,  1618,  1619,  1620,     0,  1621,
    1622,  1623,  1624,  1625,  1626,     0,     0,     0,     0,  3464,
       0,     0,     0,     0,     0,     0,     0,     0,   742,     0,
       0,   742,     0,     0,     0,     0,     0,     0,     0,  1366,
       0,     0,     0,     0,     0,   737,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   680,     0,     0,     0,     0,     0,
       0,     0,   742,     0,     0,     0,     0,     0,     0,     0,
    1079,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1079,     0,     0,  1608,     0,     0,  1079,  1609,  1079,     0,
       0,     0,     0,     0,  1079,     0,     0,  1079,  1079,  1079,
    1079,  1079,  1079,  1079,  1079,  1079,  1079,     0,  1610,  1611,
    1079,  1079,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1079,  1612,     0,     0,  1079,     0,     0,
       0,  1079,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1079,     0,     0,  1079,     0,  1079,     0,     0,  1613,
       0,     0,  1614,     0,     0,  1079,  1079,  1079,     0,     0,
       0,  1079,     0,     0,  1079,  1615,     0,     0,  1616,     0,
       0,   680,   680,   680,  2942,  3403,     0,     0,     0,  3403,
    3416,     0,     0,     0,  1079,     0,     0,     0,     0,  1215,
    3430,     0,  1079,     0,  1079,  1216,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1366,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1079,     0,     0,
    1250,     0,     0,  1079,     0,     0,     0,  2415,     0,  1079,
       0,     0,     0,     0,     0,  1217,     0,     0,  2365,     0,
    1617,     0,     0,     0,  3470,  1492,  1492,     0,  2005,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   837,   742,   742,   742,   742,  1251,     0,   844,     0,
       0,     0,     0,     0,     0,     0,     0,   859,   860,     0,
       0,     0,   862,     0,  1218,     0,     0,     0,     0,     0,
       0,  1219,   876,     0,  1220,     0,     0,     0,     0,     0,
    3513,     0,     0,     0,     0,   884,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   905,
       0,     0,   907,     0,   909,     0,   912,     0,     0,     0,
    1618,  1619,  1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,
       0,     0,     0,  1252,  3706,     0,  1221,     0,     0,     0,
       0,     0,  1601,     0,     0,  1602,     0,     0,     0,     0,
       0,   499,     0,     0,     0,  3568,     0,     0,     0,     0,
       0,     0,  1603,     0,     0,     0,     0,     0,     0,     0,
    1605,     0,     0,   967,     0,   968,  1606,     0,     0,  1253,
       0,  1254,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1255,     0,  1223,     0,     0,     0,     0,     0,     0,
    1607,     0,     0,  1224,     0,     0,     0,     0,     0,     0,
       0,  1225,     0,     0,     0,     0,     0,     0,     0,  1256,
    1226,   680,     0,     0,     0,     0,     0,     0,   692,     0,
       0,     0,   742,     0,  1079,     0,     0,     0,     0,     0,
     680,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2575,  1902,     0,     0,  1228,  1258,     0,     0,     0,
       0,     0,   680,     0,     0,     0,     0,     0,     0,     0,
       0,  2612,     0,     0,     0,     0,     0,  3661,  2500,     0,
    2576,  1902,     0,  1894,  2507,  1601,     0,     0,  1602,     0,
       0,  1260,     0,  1079,  1079,  1366,     0,     0,     0,     0,
    1608,     0,     0,     0,  1609,  1603,     0,     0,     0,     0,
       0,     0,     0,  1605,     0,     0,  2555,     0,  2555,  1606,
       0,     0,     0,     0,     0,  1610,  1611,     0,     0,     0,
       0,     0,     0,     0,  1299,     0,     0,     0,  1230,     0,
       0,  1612,     0,  1607,     0,     0,     0,     0,     0,  1311,
    1079,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1319,     0,     0,     0,     0,     0,  1613,  1321,     0,  1614,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1371,
       0,     0,  1615,     0,     0,  1616,     0,  1079,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1079,  1079,     0,
       0,     0,     0,     0,     0,  1079,  1079,     0,     0,  1215,
    1079,  1413,     0,     0,     0,  1216,  1079,  1079,     0,     0,
    1079,     0,   680,   680,   680,   680,     0,  1366,     0,  3403,
    1601,     0,  3746,  1602,     0,  2942,     0,     0,     0,  2942,
       0,     0,     0,  1608,     0,  3759,     0,  1609,  1079,     0,
    1603,     0,     0,  1079,     0,  1217,     0,  1617,  1605,  3769,
       0,     0,     0,     0,  1606,  1079,     0,     0,  1610,  1611,
       0,   779,   499,     0,   499,     0,   499,     0,   499,  2981,
     499,   499,   499,  2415,  1612,     0,     0,   499,  1607,     0,
       0,     0,     0,   623,     0,     0,  1079,     0,     0,     0,
       0,  1894,     0,     0,  1218,     0,     0,     0,     0,  1613,
       0,  1219,  1614,     0,  1220,     0,  2555,  2555,     0,     0,
       0,     0,     0,     0,     0,  1615,     0,     0,  1616,  1215,
       0,  1601,     0,     0,  1602,  1216,     0,     0,     0,     0,
    3814,     0,     0,     0,     0,     0,     0,  1618,  1619,  1620,
       0,  1621,  1622,  1623,  1624,  1625,  1626,     0,     0,  1605,
       0,  3740,     0,     0,     0,  1606,  1221,     0,     0,     0,
       0,     0,     0,     0,     0,  1217,     0,     0,     0,     0,
     742,     0,     0,     0,     0,  1366,     0,     0,  1608,  1607,
       0,     0,  1609,     0,   742,     0,     0,     0,     0,     0,
    1617,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1610,  1611,     0,     0,     0,     0,     0,
       0,  1222,     0,  1223,  1218,     0,     0,     0,  1492,  1612,
       0,  1219,     0,  1224,  1220,     0,     0,     0,     0,     0,
       0,  1225,     0,     0,     0,     0,     0,     0,     0,     0,
    1226,     0,     0,     0,  1613,     0,  1079,  1614,     0,     0,
       0,     0,     0,     0,     0,     0,   692,     0,     0,     0,
    1615,     0,     0,  1616,     0,     0,     0,     0,     0,     0,
       0,  1270,     0,   742,  1902,  1228,  1221,     0,     0,  1608,
    1618,  1619,  1620,  1609,  1621,  1622,  1623,  1624,  1625,  1626,
       0,     0,     0,     0,  3932,     0,     0,     0,     0,     0,
    1271,   680,     0,     0,  1610,  1611,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1859,     0,     0,
    1612,     0,     0,     0,     0,     0,     0,     0,     0,  1079,
       0,  1222,     0,  1223,     0,  1617,     0,     0,  1079,  2365,
    2365,  2365,     0,  1224,     0,  1613,     0,     0,  1614,     0,
       0,  1225,     0,     0,     0,  1079,  1079,     0,  1230,  1079,
    1226,  1615,     0,     0,     0,     0,  3403,     0,     0,     0,
    2942,     0,     0,     0,     0,  2942,     0,     0,  2942,  2612,
       0,  3954,     0,  1079,  1079,     0,     0,     0,     0,     0,
       0,  1296,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3470,   779,
     742,   742,   742,     0,     0,     0,     0,     0,     0,     0,
    1297,     0,     0,     0,     0,  1618,  1619,  1620,     0,  1621,
    1622,  1623,  1624,  1625,  1626,     0,  1617,     0,     0,  3972,
       0,     0,     0,   737,   779,  1366,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1601,     0,     0,  1602,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1492,     0,  1603,     0,  1230,     0,
     737,     0,     0,   680,  1605,  1894,  2507,     0,  2507,     0,
    1606,     0,     0,     0,  2555,     0,  1902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2057,     0,  3661,  1601,
       0,     0,  1602,   680,  1607,     0,     0,     0,     0,  2079,
       0,   742,  3470,     0,     0,     0,  1618,  1619,  1620,  1603,
    1621,  1622,  1623,  1624,  1625,  1626,     0,  1605,     0,     0,
    1366,     0,  1366,  1606,  1079,     0,     0,  1079,     0,  1079,
       0,     0,     0,     0,     0,     0,     0,  2121,     0,     0,
       0,  2125,     0,     0,     0,     0,  1079,  1607,     0,     0,
    2942,     0,  2136,  3954,  2138,     0,  2139,     0,     0,  4083,
       0,  2140,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1366,     0,     0,     0,   742,
       0,     0,     0,   680,   499,     0,   499,  1215,   499,     0,
     499,     0,   499,  1216,  1608,     0,   499,     0,  1609,  1366,
     742,   742,   742,   742,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1610,
    1611,     0,     0,     0,  2507,     0,     0,     0,     0,     0,
    1079,     0,     0,  1217,     0,  1612,     0,     0,     0,     0,
       0,     0,  2507,     0,     0,     0,     0,  1608,     0,     0,
       0,  1609,     0,     0,     0,     0,     0,     0,     0,     0,
    1613,     0,     0,  1614,     0,     0,     0,     0,     0,     0,
       0,     0,  1610,  1611,     0,     0,  1615,     0,     0,  1616,
       0,     0,  1218,     0,     0,  1079,     0,     0,  1612,  1219,
       0,   742,  1220,   779,     0,     0,     0,     0,     0,     0,
       0,     0,  1079,     0,     0,  1366,     0,     0,     0,     0,
       0,     0,     0,  1613,     0,     0,  1614,     0,     0,  2507,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1615,
    1366,     0,  1616,   742,     0,     0,     0,   737,     0,     0,
       0,     0,     0,     0,  1221,     0,     0,  3470,     0,     0,
       0,  1617,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4083,     0,     0,  1079,  1079,     0,     0,  1601,     0,
       0,  1602,     0,     0,     0,     0,     0,   737,     0,     0,
       0,     0,     0,     0,     0,   742,     0,     0,  1603,     0,
       0,     0,     0,     0,     0,  1366,  1605,     0,     0,  1222,
       0,  1223,  1606,  1601,  1617,     0,  1602,     0,     0,     0,
       0,  1224,  1079,     0,     0,  1366,     0,     0,     0,  1225,
       0,     0,  1079,  1603,     0,     0,  1607,   742,  1226,     0,
       0,  1605,     0,     0,     0,     0,     0,  1606,     0,     0,
    1366,  1618,  1619,  1620,     0,  1621,  1622,  1623,  1624,  1625,
    1626,     0,     0,     0,     0,  4017,     0,     0,     0,  1861,
       0,  1607,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1366,  1365,     0,     0,
    1079,     0,     0,     0,     0,     0,     0,     0,  1862,   737,
       0,     0,     0,     0,  1618,  1619,  1620,     0,  1621,  1622,
    1623,  1624,  1625,  1626,     0,     0,     0,     0,  4196,     0,
       0,     0,     0,     0,  2422,  2423,  2365,     0,     0,  2426,
    2427,     0,     0,  2430,     0,     0,  1608,     0,     0,     0,
    1609,     0,     0,  2440,     0,     0,     0,     0,     0,     0,
    2449,     0,     0,     0,  2452,  2453,  1230,     0,  2456,  2457,
    2458,  1610,  1611,     0,     0,     0,     0,     0,     0,     0,
    2472,  1608,  2474,     0,     0,  1609,     0,  1612,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2496,     0,
       0,     0,     0,  2498,     0,     0,  1610,  1611,     0,     0,
       0,     0,  1613,     0,     0,  1614,     0,     0,     0,     0,
       0,     0,  1612,  1365,     0,     0,     0,     0,  1615,     0,
       0,  1616,     0,     0,  2516,  2517,  2520,  2522,     0,     0,
       0,  2529,  2532,     0,     0,     0,     0,  1613,     0,  2543,
    1614,     0,  2547,  1215,     0,     0,  2551,  2507,     0,  1216,
       0,     0,     0,  1615,     0,     0,  1616,     0,     0,     0,
       0,     0,  2574,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2581,     0,  2583,     0,     0,     0,     0,
    2586,     0,     0,     0,     0,  2590,  2591,  2592,  2593,  1217,
    2595,     0,     0,  1617,     0,     0,  1601,     0,     0,  1602,
       0,     0,     0,  2618,  2619,  2620,     0,     0,     0,     0,
       0,     0,     0,     0,  2628,  2629,  1603,     0,     0,     0,
    2385,     0,     0,  1601,  1605,     0,  1602,     0,  1617,     0,
    1606,     0,     0,   739,     0,     0,     0,     0,  1218,     0,
    1215,   739,   758,  1603,  1651,  1219,  1216,   758,  1220,     0,
       0,  1605,     0,     0,  1607,     0,   758,  1606,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2691,     0,     0,     0,     0,     0,
       0,  1607,     0,  1618,  1619,  1620,  1217,  1621,  1622,  1623,
    1624,  1625,  1626,     0,     0,     0,     0,  4280,     0,  2386,
    1221,  1366,     0,     0,     0,     0,  1365,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1618,  1619,
    1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,     0,     0,
    3438,     0,     0,     0,  1894,  1218,     0,     0,     0,     0,
       0,     0,  1219,     0,     0,  1220,     0,     0,     0,     0,
       0,     0,     0,     0,  1608,  1222,     0,  1223,  1609,  1365,
    2869,     0,     0,     0,     0,  2870,     0,  1224,     0,     0,
       0,     0,     0,     0,     0,  1225,     0,     0,     0,  1610,
    1611,  1608,     0,     0,  1226,  1609,     0,     0,     0,  1365,
       0,     0,     0,     0,     0,  1612,     0,  1221,     0,     0,
       0,     0,     0,     0,     0,     0,  1610,  1611,     0,     0,
       0,     0,     0,     0,     0,  2511,     0,  2811,     0,  1228,
    1613,     0,  1612,  1614,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1615,     0,     0,  1616,
       0,     0,  1366,     0,  1229,     0,     0,  1613,     0,     0,
    1614,     0,  1222,  1366,  1223,     0,     0,     0,     0,  1365,
       0,     0,     0,  1615,  1224,     0,  1616,     0,     0,     0,
       0,     0,  1225,     0,     0,     0,     0,     0,  1365,     0,
       0,  1226,     0,     0,     0,     0,     0,     0,     0,     0,
    2365,     0,     0,     0,     0,  2365,     0,  1601,  1365,     0,
    1602,     0,  1230,     0,     0,     0,     0,  2365,     0,     0,
       0,  1617,  2587,     0,     0,     0,  1228,  1603,     0,     0,
       0,     0,     0,  1365,     0,  1605,     0,     0,     0,     0,
    1601,  1606,     0,  1602,     0,     0,     0,     0,  1617,     0,
       0,  2588,     0,     0,     0,     0,     0,     0,     0,     0,
    1603,     0,     0,     0,     0,  1607,  1366,     0,  1605,     0,
       0,     0,  2387,     0,  1606,  1215,     0,     0,     0,     0,
       0,  1216,   739,     0,     0,  1365,     0,     0,     0,     0,
       0,     0,     0,   758,  1366,     0,     0,   758,  1607,     0,
       0,     0,     0,     0,     0,     0,  1366,     0,   758,  1230,
       0,  1618,  1619,  1620,     0,  1621,  1622,  1623,  1624,  1625,
    1626,  1217,   758,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   739,     0,     0,  1618,  1619,
    1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,  2991,  2992,
    1366,     0,     0,     0,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,  1608,     0,     0,     0,  1609,
    1218,     0,     0,     0,     0,     0,  4254,  1219,     0,     0,
    1220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1610,  1611,     0,     0,     0,     0,     0,     0,  1608,     0,
       0,     0,  1609,     0,     0,     0,  1612,     0,  3025,  3027,
       0,     0,     0,  3027,     0,     0,     0,     0,  3038,  3039,
    3040,     0,     0,  1610,  1611,     0,     0,     0,   739,     0,
       0,  1613,  1221,   758,  1614,     0,     0,     0,     0,  1612,
       0,     0,     0,     0,     0,  1601,     0,  1615,  1602,     0,
    1616,     0,     0,     0,  3061,  3062,  3063,  3064,   739,     0,
    3906,  1365,     0,     0,  1613,  1603,     0,  1614,  2832,  3362,
       0,     0,     0,  1605,     0,     0,     0,     0,     0,  1606,
    1615,     0,     0,  1616,     0,     0,  1215,  1222,     0,  1223,
    3089,     0,  1216,     0,     0,  1366,     0,     0,     0,  1224,
    4255,     0,     0,  1607,     0,     0,     0,  1225,     0,     0,
       0,     0,     0,     0,     0,     0,  1226,     0,     0,     0,
       0,     0,  1617,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1217,     0,     0,     0,  3363,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2625,     0,     0,
       0,  1228,  3127,     0,     0,  1617,     0,     0,     0,     0,
    3131,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2626,   739,     0,     0,
       0,  1218,     0,     0,     0,     0,     0,   739,  1219,     0,
       0,  1220,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2507,     0,  1608,     0,     0,     0,  1609,     0,  1367,
       0,     0,  1618,  1619,  1620,     0,  1621,  1622,  1623,  1624,
    1625,  1626,  3216,     0,     0,     0,     0,     0,  1610,  1611,
       0,     0,  3222,     0,  1230,     0,     0,     0,     0,     0,
       0,     0,   739,  1221,  1612,  1618,  1619,  1620,     0,  1621,
    1622,  1623,  1624,  1625,  1626,     0,     0,     0,     0,  3241,
       0,  3243,     0,     0,     0,     0,     0,     0,     0,  1613,
       0,     0,  1614,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1615,  2507,   758,  1616,     0,
       0,   739,     0,     0,     0,     0,     0,  3282,  1222,   758,
    1223,     0,     0,     0,     0,     0,     0,  1366,     0,     0,
    1224,  3292,     0,     0,     0,     0,     0,     0,  1225,     0,
       0,     0,     0,     0,     0,     0,     0,  1226,     0,     0,
       0,     0,     0,     0,     0,  1367,     0,  1366,     0,     0,
       0,     0,     0,     0,  1365,     0,     0,     0,     0,  1365,
    1365,     0,   758,     0,     0,     0,     0,     0,  3035,     0,
    1617,  1365,  1228,     0,   739,     0,     0,     0,     0,  1601,
       0,     0,  1602,     0,  1366,     0,     0,     0,  1366,  1366,
       0,     0,     0,     0,     0,     0,     0,  3036,     0,  1603,
       0,     0,  2877,   739,     0,     0,     0,  1605,     0,     0,
       0,     0,     0,  1606,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   739,   739,     0,   739,     0,     0,  1607,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3906,
    1601,   739,     0,  1602,     0,  1230,     0,     0,     0,     0,
    1618,  1619,  1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,
    1603,     0,     0,   758,     0,     0,     0,     0,  1605,     0,
       0,   758,   758,     0,  1606,     0,     0,     0,     0,     0,
     739,  1748,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1365,     0,     0,     0,     0,  1607,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   739,
       0,     0,     0,   739,   739,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1608,  1367,     0,
       0,  1609,     0,     0,  1748,     0,     0,     0,     0,  3481,
       0,  3482,     0,     0,     0,  3484,     0,     0,     0,     0,
       0,     0,  1610,  1611,     0,     0,     0,     0,     0,     0,
    3493,     0,     0,     0,     0,     0,     0,  1365,  1612,     0,
       0,     0,     0,     0,     0,     0,     0,  3501,     0,     0,
       0,  1367,     0,     0,     0,     0,  3512,     0,     0,     0,
       0,     0,     0,  1613,     0,     0,  1614,     0,  1608,     0,
       0,     0,  1609,     0,     0,     0,     0,     0,     0,  1615,
       0,  1367,  1616,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1610,  1611,     0,  3540,  3541,  3542,  3543,
    3544,  3545,  3546,     0,     0,     0,     0,  3553,  3554,  1612,
    3556,  3557,  3558,  3559,  3560,  3561,  3562,     0,     0,     0,
       0,  1365,     0,     0,     0,  3569,     0,  3571,  3572,     0,
       0,   758,     0,     0,  1613,     0,     0,  1614,     0,     0,
       0,     0,     0,     0,   759,     0,     0,     0,     0,   759,
    1615,  1367,     0,  1616,  1617,     0,     0,     0,   759,     0,
       0,     0,     0,     0,     0,     0,     0,  2847,     0,     0,
    1367,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1367,     0,     0,     0,     0,     0,  3620,  3622,  3624,     0,
       0,  3627,     0,     0,     0,     0,     0,     0,     0,  1357,
    1748,     0,     0,     0,     0,  1367,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1617,     0,   758,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   758,  1618,  1619,  1620,     0,  1621,  1622,
    1623,  1624,  1625,  1626,     0,     0,     0,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,  1367,     0,     0,
     739,     0,     0,     0,     0,     0,     0,  3027,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   758,     0,     0,
       0,     0,     0,     0,     0,  1618,  1619,  1620,     0,  1621,
    1622,  1623,  1624,  1625,  1626,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1357,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   739,     0,   739,     0,     0,  1601,     0,
       0,  1602,   739,     0,     0,   739,     0,     0,     0,   739,
       0,  1365,     0,     0,     0,     0,     0,   739,   739,     0,
       0,     0,     0,     0,     0,   739,  1605,     0,   739,   739,
     739,   739,  1606,     0,     0,     0,     0,     0,   739,   739,
       0,   739,     0,   739,   739,     0,     0,   739,     0,     0,
       0,  1365,  1365,     0,  1365,     0,  1607,     0,     0,     0,
       0,     0,     0,  1367,   739,  1748,     0,     0,     0,   739,
       0,     0,     0,   739,     0,     0,     0,   739,     0,   739,
     739,   739,   739,   739,   739,   739,   739,   739,     0,   739,
       0,     0,     0,     0,   739,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   759,  1365,     0,  1365,   759,
       0,     0,     0,  3804,  3805,  3806,  3807,     0,  3386,     0,
     759,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   759,     0,     0,     0,  3820,  3821,
       0,     0,     0,     0,  1601,     0,     0,  1602,  1357,     0,
    3830,  3831,     0,     0,     0,     0, -2166,     0,     0,     0,
    1609,  1365,     0,     0,  1603,     0,     0,     0,     0,     0,
     759,     0,  1605,     0,     0,     0,     0,     0,  1606,     0,
       0,  1610,  1611,     0,     0,  1365,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2166,     0,     0,
       0,  1357,  1607,     0,     0,     0,     0,     0,     0,     0,
    1365,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   739,     0,     0,     0,  1614,     0,     0,  1365,     0,
       0,  1357,     0,     0,     0,     0,     0,     0,  1615,     0,
       0,     0,     0,     0,     0,   759,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3876,   758,     0,     0,     0,  1748,
     758,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2882,  3897,     0,     0,
       0,  1365,     0,     0,     0,   758,     0,     0,   739,     0,
       0,  1357,  1608,     0,   739,  1365,  1609,  3914,     0,     0,
     739,     0,     0, -2166,     0,     0,  1365,     0,     0,     0,
    1357,     0,     0,     0,     0,     0,     0,  1610,  1611,   758,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1357,     0,     0,  1612,     0,     0,  1367,     0,     0,     0,
       0,  1367,  1367,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,  1367,     0,  1357,     0,     0,  1613,     0,
       0,  1614,     0,     0,     0,     0,     0,     0,     0,  1748,
     758,  1365,  1748,     0,  1615,     0,     0,  1616,     0,     0,
       0,     0,     0,   499,     0,     0,     0,     0,     0,     0,
     758,  1365,     0,   758,     0,     0,     0,  1621,  1622,  1623,
    1624,  1625,  1626,     0,     0,  1601,     0,  1357,  1602,     0,
       0,   758,     0,     0,     0,     0,  1365,     0,     0,     0,
       0,   758,     0,     0,     0,  1603,     0,     0,  2888,     0,
       0,     0,     0,  1605,   758,     0,     0,     0,     0,  1606,
       0,  3998,     0,   758,     0,     0,     0,     0,     0,  1617,
       0,     0,  1365,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1607,     0,     0,     0,     0,  1601,     0,
       0,  1602,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4022,     0,   739,     0,  1367,     0,     0,  1603,   759,
       0,     0,     0,     0,     0,     0,  1605,     0,     0,     0,
       0,   759,  1606,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3027,     0,
       0,     0,     0,     0,     0,     0,  1607,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1618,
    1619,  1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,     0,
       0,     0,     0,     0,   759,     0,     0,     0,     0,  1367,
       0,     0,   758,  1608,     0,     0,     0,  1609,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1357,     0,     0,     0,     0,  1610,  1611,
       0,     0,     0,     0,     0,  4099,   758,     0,     0,     0,
       0,   739,     0,     0,  1612,     0,     0,     0,     0,     0,
       0,     0,     0,  1365,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1608,     0,     0,  1613,
    1609,   758,  1614,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1367,     0,  1615,     0,     0,  1616,     0,
       0,  1610,  1611,   758,     0,     0,     0,   739,     0,     0,
       0,     0,   739,     0,     0,   759,     0,  1612,     0,  3027,
       0,     0,     0,   759,   759,     0,   760,     0,     0,   739,
     739,   760,     0,  1749,     0,   739,     0,     0,     0,     0,
     760,     0,  1613,     0,     0,  1614,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1615,     0,
     739,   739,     0,     0,     0,   739,     0,     0,     0,     0,
    1617,     0,     0,     0,     0,     0,     0,   739,   739,   739,
     739,     0,     0,     0,     0,  1748,  1749,     0,     0,  4193,
     739,  1748,     0,   739,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   739,   739,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,  1365,     0,     0,
       0,     0,   739,     0,   739,     0,     0,     0,   739,     0,
       0,     0,     0,  1617,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
    1365,     0,     0,     0,     0,   739,     0,   739,   739,   739,
    1618,  1619,  1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,
       0,   758,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   739,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,     0,  1357,     0,     0,   758,
       0,  1357,  1357,  1618,  1619,  1620,     0,  1621,  1622,  1623,
    1624,  1625,  1626,  1357,     0,     0,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1365,     0,
     758,     0,     0,  1367,     0,     0,     0,     0,     0,  1365,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1749,     0,     0,     0,     0,     0,     0,  1601,
       0,     0,  1602,  1367,  1367,     0,  1367,     0,     0,   759,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,  1605,     0,     0,
       0,     0,     0,  1606,     0,  1748,  1748,  1748,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1601,   758,     0,  1602,  1607,  1367,     0,
    1367,   758,     0,     0,     0,  1357,     0,   760,     0,     0,
       0,   760,  1365,  1603,     0,     0,     0,     0,   759,     0,
       0,  1605,   760,     0,     0,     0,     0,  1606,  1601,   759,
       0,  1602,     0,     0,     0,     0,   760,     0,     0,     0,
    1365,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1607,  1365,  1367,     0,     0,  1605,     0,     0,  3389,
       0,     0,  1606,     0,     0,     0,     0,     0,     0,     0,
       0,   758,   760,     0,     0,     0,     0,  1367,     0,  1357,
       0,     0,     0,     0,     0,     0,  1607,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1365, -2166,     0,  1748,
       0,  1609,  1367,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1748,
    1367,     0,  1610,  1611,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   758,     0,   758,     0,     0, -2166,     0,
       0,     0,     0,     0,     0,     0,     0,   760,  3738,     0,
       0,  1608,     0,     0,     0,  1609,     0,     0,     0,     0,
       0,     0,     0,  1357,     0,     0,  1614,  1749,     0,     0,
       0,     0,     0,     0,     0,     0,  1610,  1611,     0,  1615,
       0,     0,     0,  1367,     0,     0, -2166,     0,     0,     0,
    1609,     0,  1612,     0,     0,     0,   758,  1367,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1367,     0,
       0,  1610,  1611,     0,     0,     0,     0,  1613,     0,     0,
    1614,     0,     0,     0,   758,     0,     0, -2166,     0,     0,
       0,     0,     0,  1615,     0,   739,  1616,     0,   758,     0,
       0,  1365,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2166,  1614,   758,     0,     0,     0,
       0,     0,  1359,     0,     0,     0,     0,     0,  1615,     0,
     739,     0,     0,  1367,     0,     0,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,   739,     0,   739,     0,
       0,     0,     0,  1367,   739,     0,     0,   739,   739,   739,
     739,   739,   739,   739,   739,   739,   739,     0,  1617,     0,
     739,   739,     0,     0,     0,     0,     0,     0,  1367,     0,
       0,     0,     0,   739,     0,     0,     0,   739,     0,  1748,
       0,   739,     0,     0,  3319,     0,     0,     0,     0,     0,
       0,   739,     0, -2166,   739,     0,   739,  1365,  1621,  1622,
    1623,  1624,  1625,  1626,  1367,   739,   739,   739,     0,     0,
       0,   739,     0,     0,   739,     0,     0,   759,     0,     0,
       0,  1749,   759,     0,   739,   759,     0,     0,     0,     0,
       0,     0,     0,     0,   739,     0,     0,     0,  1359,     0,
       0,     0,   739,     0,   739,     0,     0,   759,  1618,  1619,
    1620,   760,  1621,  1622,  1623,  1624,  1625,  1626,     0,     0,
       0,     0,     0,   760,     0,     0,     0,   739,     0,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,   739,
       0,   759,  1365,  1357,     0,     0,     0,  1621,  1622,  1623,
    1624,  1625,  1626,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,  1365,     0,     0,     0,     0,   759,     0,
       0,     0,     0,     0,     0,     0,   760,     0,     0,     0,
       0,   758,     0,  1357,  1357,     0,  1357,     0,     0,     0,
       0,  1749,   759,  1365,  1749,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   759,     0,     0,   759,     0,     0,     0,     0,
    1748,     0,     0,     0,  1748,  1367,  1748,     0,     0,     0,
    1365,     0,     0,   759,  1365,  1365,     0,     0,  1357,     0,
    1357,     0,     0,   759,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   759,     0,   758,     0,
       0,   758,     0,     0,     0,   759,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   760,     0,     0,
       0,  1359,     0,  1357,     0,   760,   760,     0,     0,     0,
       0,   758,     0,     0,     0,  1750,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1357,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1357,     0,  1359,   806,     0,     0,     0,     0,
       0,     0,     0,     0,   739,     0,     0,     0,  1750,     0,
    1357,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1359,     0,     0,     0,   807,  1367,
       0,     0,     0,  1601,   759,     0,  1602,     0,     0,     0,
       0,   808,   809,     0,     0,     0,     0,     0,     0,     0,
     810,     0,     0,  1603,   811,     0,  3369,     0,     0,     0,
       0,  1605,  1367,   739,   739,     0,     0,  1606,   759,     0,
       0,   812,     0,  1357,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1357,     0,     0,
       0,  1607,   813,     0,  1359,     0,     0,     0,  1357,     0,
       0,     0,     0,   759,   758,     0,     0,     0,     0,     0,
     814,     0,     0,  1359,     0,     0,     0,     0,     0,     0,
     739,   815,     0,     0,     0,   759,   816,     0,     0,     0,
       0,     0,     0,  1359,     0,   760,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   817,     0,     0,
       0,     0,     0,     0,     0,  1066,     0,   739,  1359,     0,
       0,     0,     0,  1357,     0,     0,     0,   739,   739,     0,
    1367,     0,   818,     0,     0,   739,   739,     0,     0,     0,
     739,  1367,     0,  1357,     0,  1123,   739,   739,     0,     0,
     739,  1608,     0,     0,     0,  1609,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   739,     0,  1749,  1357,   739,
    1359,     0,     0,  1749,  1750,     0,  1610,  1611,   739,     0,
       0,     0,   819,   739,     0,     0,     0,     0,     0,     0,
       0,   760,  1612,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,  1357,     0,     0,   760,     0,     0,
     185,     0,     0,     0,     0,     0,     0,  1613,     0,     0,
    1614,     0,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,  1615,     0,   820,  1616,     0,     0,   821,
       0,   822,     0,     0,  1367,     0,     0,   823,     0,     0,
     824,     0,     0,   759,     0,     0,     0,     0,     0,     0,
     760,     0,     0,  1748,     0,     0,     0,     0,     0,     0,
       0,   760,  1367,     0,     0,     0,   825,     0,   826,   758,
       0,     0,   827,     0,  1367,     0,     0,     0,     0,     0,
     828,   758,     0,     0,     0,   829,     0,     0,     0,     0,
       0,   759,     0,     0,     0,     0,     0,     0,  1617,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     830,     0,     0,     0,     0,     0,     0,     0,  1367,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   759,     0,     0,     0,  1359,     0,  1748,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1357,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1618,  1619,
    1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,     0,  1750,
       0,     0,     0,     0,     0,     0,     0,  1749,  1749,  1749,
       0,     0,     0,     0,     0,     0,     0,  1601,     0,     0,
    1602,     0,     0,     0,     0,     0,   759,     0,  1367,     0,
       0,     0,     0,   759,     0,     0,     0,  1603,     0,     0,
       0,  1539,     0,     0,     0,  1605,     0,   758,     0,     0,
       0,  1606,     0,     0,     0,     0,     0,     0,     0,   739,
       0,     0,     0,  1367,     0,     0,     0,     0,   739,     0,
    1563,     0,     0,     0,     0,  1607,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   739,   739,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,  1588,  1589,
     739,  1591,     0,   759,     0,   739,     0,     0,   739,  1357,
       0,     0,     0,   739,   739,     0,     0,     0,  1631,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1749,   758,     0,   758,     0,     0,     0,   739,     0,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,     0,
       0,  1749,     0,     0,     0,     0,     0,  1667,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   759,     0,  1367,
       0,     0,     0,   739,     0,  1608,     0,     0,     0,  1609,
       0,     0,     0,     0,     0,     0,  1769,     0,     0,     0,
    1779,  1782,     0,     0,     0,     0,     0,     0,     0,   760,
    1610,  1611,     0,  1750,   760,     0,     0,   760,     0,     0,
     739,     0,     0,     0,     0,     0,  1612,     0,     0,  1359,
       0,     0,     0,     0,  1359,  1359,     0,     0,   759,   760,
       0,     0,     0,     0,     0,     0,  1359,     0,     0,     0,
       0,  1613,     0,     0,  1614,     0,     0,     0,     0,     0,
    1357,     0,   739,     0,  1367,     0,   759,  1615,     0,     0,
    1616,  1357,     0,   760,     0,  1628,     0,     0,     0,     0,
     759,     0,     0,     0,   739,  1367,     0,   739,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,     0,     0,     0,     0,   739,     0,     0,     0,
     739,     0,     0,     0,     0,  1367,     0,     0,     0,     0,
       0,     0,     0,  1750,   760,     0,  1750,     0,     0,     0,
       0,     0,  1628,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1617,     0,   760,     0,     0,   760,     0,  1748,
       0,     0,  1367,     0,     0,     0,  1367,  1367,     0,     0,
       0,     0,     0,     0,     0,   760,     0,     0,     0,     0,
     758,  1749,     0,     0,  1357,   760,     0,     0,  1359,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   760,     0,
     739,     0,     0,     0,     0,     0,     0,   760,     0,     0,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1357,     0,     0,  1367,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1618,  1619,  1620,     0,  1621,  1622,  1623,  1624,
    1625,  1626,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,  1359,     0,     0,     0,     0,     0,  1357,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,   759,     0,   173,   760,     0,     0,     0,
       0,     0,     0,     0,   739,   739,     0,   758,   174,     0,
       0,     0,     0,     0,     0,     0,  1359,   739,     0,     0,
       0,     0,     0,     0,     0,   175,     0,     0,     0,     0,
     760,   176,  1749,     0,     0,     0,  1749,     0,  1749,     0,
       0,     0,     0,     0,     0,     0,   177,     0,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   739,     0,   178,   760,     0,  1360,     0,     0,
     759,     0,     0,   759,     0,   179,     0,     0,  1748,  2232,
     180,     0,     0,  1357,     0,     0,   181,   760,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   182,  2255,     0,     0,  2257,     0,     0,  2268,     0,
       0,     0,     0,   759,     0,  2275,  2280,     0,     0,     0,
     739,  2286,     0,     0,  2291,  1748,   183,     0,     0,   739,
       0,     0,     0,  1748,     0,     0,     0,     0,     0,     0,
       0,  2300,     0,     0,     0,     0,  2307,     0,     0,     0,
    2319,  1628,     0,     0,  2326,     0,  2328,  2329,  2330,  2331,
    2332,  2333,  2334,  2335,  2336,     0,  2337,     0,     0,  1750,
       0,  1066,     0,  2362,     0,  1750,   184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1357,
       0,     0,     0,  1360,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1362,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1628,   186,
       0,     0,     0,     0,     0,   187,     0,     0,     0,     0,
       0,   188,     0,     0,   189,     0,     0,     0,     0,     0,
       0,     0,  1628,     0,     0,   760,     0,  2264,     0,     0,
       0,     0,     0,     0,     0,     0,   759,     0,     0,     0,
     190,     0,   191,     0,  1357,     0,   192,  1628,  1628,     0,
    1628,     0,     0,     0,   193,     0,  1359,     0,     0,   194,
       0,     0,     0,     0,     0,  1357,     0,     0,  1123,     0,
       0,   195,     0,   760,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   196,     0,     0,     0,   511,     0,
    1628,     0,     0,     0,     0,  1357,  1359,  1359,     0,  1359,
     512,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1362,     0,     0,     0,   760,     0,     0,     0,     0,     0,
       0,   513,     0,     0,     0,     0,  1628,     0,     0,     0,
       0,     0,  1357,     0,   514,     0,  1357,  1357,     0,     0,
       0,     0,     0,   515,     0,  2454,     0,  -692,     0,     0,
       0,  1359,     0,  1359,     0,     0,  1360,     0,     0,     0,
       0,     0,     0,     0,   516,     0,     0,     0,     0,     0,
     517,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   518,     0,     0,     0,  1750,
    1750,  1750,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   519,     0,     0,  1359,     0,   760,  1360,
       0,     0,     0,     0,   520,   760,     0,     0,     0,     0,
       0,   521,     0,     0,     0,   522,     0,     0,  1628,     0,
    1359,     0,     0,     0,     0,  1749,     0,     0,  1628,  1360,
    -881,  1628,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,     0,     0,  1359,     0,     0,     0,     0,
       0,     0,     0,   759,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1359,     0,     0,     0,     0,   523,     0,
       0,     0,     0,     0,     0,   760,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1362,     0,     0,     0,     0,     0,  1360,
       0,     0,     0,  1750,     0,   524,     0,     0,   525,     0,
    1749,     0,   759,     0,     0,     0,     0,     0,  1360,     0,
       0,     0,     0,  1750,     0,     0,  1359,     0,     0,     0,
    2664,     0,     0,     0,     0,     0,     0,   760,  1360,   760,
    1359,     0,     0,     0,     0,     0,  1362,     0,     0,     0,
       0,  1359,     0,     0,     0,     0,     0,     0,   526,     0,
       0,     0,     0,  1360,   527,     0,     0,     0,     0,     0,
    -369,     0,     0,   528,     0,     0,  1362,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  -369,
     760,   529,   530,     0,   531,   532,     0,     0,     0,     0,
       0,     0,     0,   533,     0,  1360,  1359,     0,   534,   759,
       0,     0,     0,     0,   535,     0,     0,   536,   760,     0,
     537,     0,     0,     0,     0,     0,  1359,     0,     0,     0,
       0,     0,   760,  -369,     0,     0,  1362,     0,  2786,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     760,  1359,     0,     0,     0,  1362,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1362,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1359,     0,     0,
       0,     0,     0,     0,   759,     0,   759,     0,     0,     0,
    1362,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2828,     0,     0,
       0,     0,  2834,  1750,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1362,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2280,     0,  2280,  2280,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2891,     0,     0,
    2894,  1360,  2896,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2917,
       0,  2919,     0,     0,     0,  2922,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2362,  2362,  2362,     0,  1359,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2959,     0,     0,     0,   760,     0,     0,     0,     0,
       0,  1628,  1769,  1363,     0,     0,     0,  2969,     0,     0,
       0,     0,     0,     0,  1782,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1628,     0,  1628,     0,  2264,  2264,
    2865,  1749,     0,  2264,  1750,     0,     0,  1628,  1750,     0,
    1750,     0,     0,     0,  1628,     0,     0,     0,     0,  1628,
       0,     0,   759,     0,     0,  1628,     0,  3000,  1362,     0,
    1628,     0,     0,     0,     0,     0,     0,     0,     0,  1628,
       0,     0,   760,  2264,  2264,   760,  1628,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1628,     0,
       0,     0,     0,     0,     0,  1628,     0,  1628,  1628,  1628,
    1628,  1628,  1628,  1628,  1628,  1628,  1628,     0,     0,     0,
       0,     0,     0,     0,     0,   760,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1363,
       0,  1628,  1359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1364,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1360,     0,     0,     0,     0,  1360,
    1360,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,  1360,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1628,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   760,     0,
       0,     0,     0,  1359,     0,     0,     0,     0,     0,     0,
    1749,     0,     0,     0,  1359,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1364,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1363,     0,     0,     0,     0,  1749,     0,     0,
       0,     0,     0,     0,     0,  1749,     0,     0,     0,     0,
       0,  1362,     0,  1360,     0,     0,  1362,  1362,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1362,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1363,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1359,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1363,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,  1360,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1359,     0,     0,
       0,     0,     0,  1628,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3320,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3324,     0,     0,
       0,     0,     0,  3325,     0,  3326,     0,  1750,     0,     0,
       0,  1359,     0,     0,     0,  1363,     0,     0,     0,     0,
       0,     0,     0,   760,     0,     0,     0,  3344,  3345,     0,
    1362,     0,     0,     0,  1363,   760,     0,     0,     0,     0,
       0,  1360,     0,  1364,     0,     0,     0,     0,  2286,     0,
       0,     0,     0,     0,  1363,     0,     0,     0,  3373,     0,
       0,  3376,     0,  3378,     0,     0,     0,     0,     0,     0,
       0,     0,  3382,     0,     0,     0,     0,     0,  3387,  1363,
       0,  3390,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1750,     0,   760,  1628,  1364,     0,     0,     0,
       0,  3419,     0,     0,  1362,     0,     0,     0,     0,  3431,
       0,  2362,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1364,     0,     0,     0,
       0,  1363,     0,     0,  3445,     0,     0,  1628,     0,     0,
    1066,     0,     0,  1628,     0,     0,  1123,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1359,     0,     0,  2865,
    2865,     0,  2264,     0,     0,  2264,  2264,  2264,  2264,  2264,
    2264,  2264,  2264,  2264,  2264,  2865,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1362,     0,
       0,     0,     0,     0,     0,     0,  1364,     0,     0,     0,
    1628,   760,     0,  1628,     0,  1628,     0,     0,     0,     0,
    2865,  2865,     0,     0,     0,  1364,     0,     0,     0,     0,
       0,     0,     0,     0,  2264,  2264,  1628,     0,  1628,     0,
       0,  1628,     0,     0,     0,  1364,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1364,     0,  1359,     0,     0,     0,     0,     0,  1628,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1628,     0,
       0,     0,     0,     0,     0,     0,   760,     0,   760,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1363,     0,  1628,
       0,  1360,  1364,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1359,     0,     0,
       0,  1360,  1360,     0,  1360,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1359,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1359,     0,
       0,     0,     0,     0,     0,     0,  1360,     0,  1360,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3674,  3675,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,     0,     0,  1359,
    1359,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1362,     0,
       0,  1360,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3704,     0,     0,
       0,     0,     0,     0,     0,  1360,     0,     0,  1364,     0,
       0,     0,     0,  1750,     0,     0,     0,     0,  1362,  1362,
       0,  1362,     0,     0,     0,     0,     0,     0,     0,     0,
    1360,     0,  2264,     0,   760,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3722,  3724,     0,     0,  1360,     0,
       0,     0,     0,     0,     0,     0,     0,  3731,     0,     0,
       0,     0,     0,  3736,  3737,     0,     0,  3739,     0,     0,
       0,     0,     0,  1362,     0,  1362,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2362,     0,     0,     0,     0,
    2362,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1363,  1360,  2362,     0,     0,  1363,  1363,     0,     0,     0,
       0,     0,     0,     0,     0,  1360,     0,  1363,  1362,     0,
       0,     0,     0,     0,     0,     0,  1360,     0,     0,     0,
       0,     0,     0,  3785,     0,     0,     0,     0,     0,  1628,
       0,     0,  1362,  1628,  1628,  1628,     0,     0,  2865,     0,
       0,     0,     0,  2865,  2865,  2865,  2865,  2865,  2865,  2865,
    2865,  2865,  2865,  1628,  1628,     0,     0,  1362,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   760,     0,     0,     0,  1362,     0,     0,     0,     0,
       0,  1360,  1628,  2264,  2264,  1628,     0,  1628,     0,     0,
       0,  1628,  2865,  2865,     0,     0,  1628,     0,     0,  1628,
       0,  1360,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1360,     0,  1628,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1362,  1363,
    1628,     0,  1750,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1362,     0,  1628,     0,     0,     0,     0,     0,
       0,     0,  1360,  1362,     0,     0,     0,     0,     0,     0,
       0,  1364,     0,     0,     0,     0,  1364,  1364,     0,     0,
       0,     0,     0,  3865,     0,     0,     0,     0,  1364,  1750,
       0,     0,     0,     0,     0,     0,     0,  1750,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1362,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1362,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1362,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3940,  1363,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1362,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1364,  3957,     0,  1360,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2865,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1628,  1628,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1364,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1628,     0,     0,     0,  2264,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1628,     0,  1628,     0,     0,     0,     0,  2865,  2865,
    1628,     0,     0,  2264,  2264,  1628,  1628,     0,  1628,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1362,     0,     0,     0,     0,     0,     0,  1360,  1364,     0,
       0,     0,     0,     0,  2286,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1628,     0,     0,     0,     0,     0,
       0,     0,     0,  4074,     0,     0,     0,     0,     0,     0,
    1360,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1363,     0,     0,
       0,     0,     0,     0,  1628,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4135,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1363,  1363,     0,
    1363,     0,     0,     0,     0,     0,     0,     0,  1360,     0,
       0,     0,     0,     0,  1362,     0,     0,     0,     0,  1360,
       0,  2865,  2264,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2865,  2865,  1628,
       0,     0,     0,     0,     0,     0,     0,  1362,     0,  4175,
       0,     0,  1363,     0,  1363,     0,  1628,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1363,     0,     0,
       0,  4214,  4214,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1360,     0,     0,     0,     0,     0,     0,     0,
       0,  1363,     0,     0,     0,     0,     0,     0,  1364,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1360,     0,     0,     0,     0,  1362,  1363,     0,     0,  4214,
       0,     0,  1360,  2865,     0,     0,  1362,     0,     0,  4258,
       0,     0,     0,  1628,  1363,     0,     0,     0,  1364,  1364,
       0,  1364,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1360,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4214,     0,     0,
       0,     0,     0,  1364,  1628,  1364,     0,  1363,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1363,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1363,     0,     0,     0,     0,     0,     0,  1362,
       0,     0,     0,     0,  1628,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1364,     0,
       0,     0,     0,     0,     0,     0,     0,  1362,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1362,
       0,     0,  1364,  1628,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1363,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1364,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1363,     0,     0,
       0,  1360,     0,  1362,     0,  1364,     0,  1628,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1363,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1364,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1364,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1364,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1360,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1362,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1364,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1364,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1360,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1364,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1360,     0,     0,     0,     0,     0,  1363,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1364,
       0,     0,     0,  1360,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1362,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1360,     0,     0,     0,  1360,  1360,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1362,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1362,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1362,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1364,     0,     0,     0,     0,     0,  1363,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1362,     0,     0,
       0,  1362,  1362,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1363,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1363,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1364,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1364,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1363,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1364,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1364,     0,     0,     0,
       0,     0,  1363,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1364,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1364,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1364,
       0,     0,     0,     0,     0,     0,     0,  1363,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1364,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1364,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1363,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1363,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1363,     0,     0,     0,
    1363,  1363,     0,     0,  1364,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1364,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1364,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1364,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   712,   984,   550,   985,   986,   987,   597,
     988,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,  2356,   209,   210,   211,     0,  1364,     0,     0,
     989,  1364,  1364,   212,   213,     0,   214,   215,   713,   216,
     217,   218,   219,   990,   714,   991,   992,     0,   223,   224,
     225,   226,   227,   993,   994,   228,   229,   995,   996,   232,
       0,   233,   234,   235,   236,   997,     0,   998,     0,   238,
     239,   240,   241,   716,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,   717,   250,   251,   999,  1000,  1001,
    1002,  1003,  1004,  1005,   252,   253,   254,   255,   256,   257,
    1006,  1007,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,  2357,     0,   270,   271,  1008,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,  1009,   285,   286,   287,  1010,  1011,
     289,     0,   290,  1012,   292,     0,   293,     0,   294,   719,
       0,   720,   295,   296,   297,     0,   298,  1013,     0,   300,
       0,   301,   302,   303,   304,   305,   721,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,   722,
     316,   317,   318,   319,   320,  1014,  1015,     0,  1016,     0,
     324,   723,   724,   325,   725,   326,   327,   328,   329,   330,
     331,   332,     0,   333,  1017,   726,   335,   727,     0,   336,
     337,   338,  1018,  1019,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,  1020,   728,  1021,   353,
     354,   355,  1022,   356,   357,   729,   358,  1023,  1024,   360,
    1025,   362,   363,   364,     0,   365,     0,     0,  1026,   367,
     368,     0,     0,   369,   730,   731,   732,  1027,   371,   372,
     373,   374,   375,   376,   377,     0,   378,  1028,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1029,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     733,   409,   410,  1030,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,  1031,   425,
     426,   427,   428,   734,   429,  1032,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,  1033,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
    1034,  1035,     0,     0,   453,  1036,   455,  1037,  1038,   457,
     458,   459,   460,   461,   462,   463,     0,  1039,   464,   465,
     466,   467,   468,  1040,     0,   469,   470,   471,   472,   473,
     474,  1041,  2358,   476,   735,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,  1042,
    1043,  1044,  1045,  1046,  1047,  1048,  1049,   495,   496,   497,
       0,     0,     0,     0,     0,     0,     0,  1050,  1051,  2359,
       0,     0,     0,     0,     0,     0,  1053,  2360,   712,   984,
     550,   985,   986,   987,   597,   988,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   989,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   990,   714,
     991,   992,     0,   223,   224,   225,   226,   227,   993,   994,
     228,   229,   995,   996,   232,     0,   233,   234,   235,   236,
     997,     0,   998,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,   999,  1000,  1001,  1002,  1003,  1004,  1005,   252,
     253,   254,   255,   256,   257,  1006,  1007,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1008,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,  1009,
     285,   286,   287,  1010,  1011,   289,     0,   290,  1012,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,  1013,     0,   300,     0,   301,   302,   303,   304,
     305,   721,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,   316,   317,   318,   319,   320,
    1014,  1015,     0,  1016,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,  1017,
     726,   335,   727,     0,   336,   337,   338,  1018,  1019,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1020,   728,  1021,   353,   354,   355,  1022,   356,   357,
     729,   358,  1023,  1024,   360,  1025,   362,   363,   364,     0,
     365,     0,     0,  1026,   367,   368,     0,     0,   369,   730,
     731,   732,  1027,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1028,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1029,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,  1030,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1031,   425,   426,   427,   428,   734,   429,
    1032,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1033,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1034,  1035,     0,     0,   453,
    1036,   455,  1037,  1038,   457,   458,   459,   460,   461,   462,
     463,     0,  1039,   464,   465,   466,   467,   468,  1040,     0,
     469,   470,   471,   472,   473,   474,  1041,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,  1042,  1043,  1044,  1045,  1046,  1047,
    1048,  1049,   495,   496,   497,     0,     0,     0,     0,     0,
       0,     0,  1050,  1051,   199,     0,     0,     0,     0,     0,
       0,  1053,  2266,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,  3401,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0, -1405,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0, -1405,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
   -1405,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325, -1405,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334, -1405,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351, -1405,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408, -1405,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,     0,     0,     0,     0,     0,     0,  1333,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1130,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,     0,  1334,   714,
    1335,  1336,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,  1337,  1338,   232,     0,   233,   234,   235,   236,
       0,     0,   715,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,     0,     0,     0,   718,     0,     0,     0,   252,
     253,   254,   255,   256,   257,  1339,  1340,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1008,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,     0,
     285,   286,   287,     0,     0,   289,     0,   290,  1341,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,     0,     0,   300,     0,   301,   302,   303,   304,
     305,   721,   306,   307,   308,  1882,   309,   310,   311,   312,
     313,   314,     0,   315,   722,  1883,   317,   318,   319,   320,
    1342,  1343,     0,  1344,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     726,   335,   727,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1345,   728,  1346,   353,   354,     0,     0,   356,   357,
     729,   358,     0,     0,   360,  1347,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,  1884,   730,
     731,   732,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,     0,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1348,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,  1885,   427,   428,   734,   429,
    1350,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1351,  1352,     0,     0,   453,
       0,   455,     0,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,     0,  1353,  1886,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,     0,   199,     0,     0,     0,     0,     0,
       0,     0,   495,   496,   497,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,  1887,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,     0,     0,     0,     0,     0,     0,  1333,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2699,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,     0,  1334,   714,
    1335,  1336,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,  1337,  1338,   232,     0,   233,   234,   235,   236,
       0,     0,   715,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,     0,     0,     0,   718,     0,     0,     0,   252,
     253,   254,   255,   256,   257,  1339,  1340,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1008,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,     0,
     285,   286,   287,     0,     0,   289,     0,   290,  1341,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,     0,     0,   300,     0,   301,   302,   303,   304,
     305,   721,   306,   307,   308,  1882,   309,   310,   311,   312,
     313,   314,     0,   315,   722,  1883,   317,   318,   319,   320,
    1342,  1343,     0,  1344,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     726,   335,   727,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1345,   728,  1346,   353,   354,     0,     0,   356,   357,
     729,   358,     0,     0,   360,  1347,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,  1884,   730,
     731,   732,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,     0,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1348,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,  1885,   427,   428,   734,   429,
    1350,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1351,  1352,     0,     0,   453,
       0,   455,     0,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,     0,  1353,  1886,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,     0,   712,   984,   550,   985,   986,   987,
     597,   988,   495,   496,   497,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,   989,  2750,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,   219,   990,   714,   991,   992,  2276,   223,
     224,   225,   226,   227,   993,   994,   228,   229,   995,   996,
     232,     0,   233,   234,   235,   236,   997,     0,   998,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,   251,   999,  1000,
    1001,  1002,  1003,  1004,  1005,   252,   253,   254,   255,   256,
     257,  1006,  1007,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
    1008,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,  1009,   285,   286,   287,  1010,
    1011,   289,     0,   290,  1012,   292,     0,   293,     0,   294,
     719,  2277,   720,   295,   296,   297,     0,   298,  1013,     0,
     300,     0,   301,   302,   303,   304,   305,   721,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,   316,   317,   318,   319,   320,  1014,  1015,     0,  1016,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,  2278,   333,  1017,   726,   335,   727,     0,
     336,   337,   338,  1018,  1019,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1020,   728,  1021,
     353,   354,   355,  1022,   356,   357,   729,   358,  1023,  1024,
     360,  1025,   362,   363,   364,     0,   365,     0,     0,  1026,
     367,   368,     0,     0,   369,   730,   731,   732,  1027,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1028,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1029,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,  1030,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1031,
     425,   426,   427,   428,   734,   429,  1032,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1033,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1034,  1035,     0,  2279,   453,  1036,   455,  1037,  1038,
     457,   458,   459,   460,   461,   462,   463,     0,  1039,   464,
     465,   466,   467,   468,  1040,     0,   469,   470,   471,   472,
     473,   474,  1041,     0,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
    1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,   495,   496,
     497,     0,     0,     0,     0,     0,     0,     0,  1050,  1051,
       0,     0,     0,     0,     0,     0,     0,  1053,   712,   984,
     550,   985,   986,   987,   597,   988,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   989,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   990,   714,
     991,   992,     0,   223,   224,   225,   226,   227,   993,   994,
     228,   229,   995,   996,   232,     0,   233,   234,   235,   236,
     997,     0,   998,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,   999,  1000,  1001,  1002,  1003,  1004,  1005,   252,
     253,   254,   255,   256,   257,  1006,  1007,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1008,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,  1009,
     285,   286,   287,  1010,  1011,   289,     0,   290,  1012,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,  1013,     0,   300,     0,   301,   302,   303,   304,
     305,   721,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,   316,   317,   318,   319,   320,
    1014,  1015,     0,  1016,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,  1017,
     726,   335,   727,     0,   336,   337,   338,  1018,  1019,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1020,   728,  1021,   353,   354,   355,  1022,   356,   357,
     729,   358,  1023,  1024,   360,  1025,   362,   363,   364,     0,
     365,     0,     0,  1026,   367,   368,     0,     0,   369,   730,
     731,   732,  1027,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1028,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1029,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,  1030,   412,
     413,   414,   415,   416,   417,   418,   419,    37,   420,   421,
     422,   423,   424,  1031,   425,   426,   427,   428,   734,   429,
    1032,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1033,     0,   443,   444,    41,   445,   446,
     447,   448,   449,   450,     0,  1034,  1035,     0,     0,   453,
    1036,   455,  1037,  1038,   457,   458,   459,   460,   461,   462,
     463,     0,  1039,   464,   465,   466,   467,   468,  1040,     0,
     469,   470,   471,   472,   473,   924,  1041,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,    46,   481,   482,
     483,   484,   485,   486,  1042,  1043,  1044,  1045,  1046,  1047,
    1048,  1049,   495,   496,   497,     0,     0,     0,     0,     0,
       0,     0,  1050,  1051,     0,     0,     0,     0,     0,     0,
       0,  1053,   712,   984,   550,   985,   986,   987,   597,   988,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,   989,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,   219,   990,   714,   991,   992,     0,   223,   224,   225,
     226,   227,   993,   994,   228,   229,   995,   996,   232,     0,
     233,   234,   235,   236,   997,     0,   998,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,   251,   999,  1000,  1001,  1002,
    1003,  1004,  1005,   252,   253,   254,   255,   256,   257,  1006,
    1007,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1008,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,  1009,   285,   286,   287,  1010,  1011,   289,
       0,   290,  1012,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,  1013,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,   316,
     317,   318,   319,   320,  1014,  1015,     0,  1016,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,  1017,   726,   335,   727,     0,   336,   337,
     338,  1018,  1019,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1020,   728,  1021,   353,   354,
     355,  1022,   356,   357,   729,   358,  1023,  1024,   360,  1025,
     362,   363,   364,     0,   365,     0,     0,  1026,   367,   368,
       0,     0,   369,   730,   731,   732,  1027,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1028,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1029,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,  1030,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1031,   425,   426,
     427,   428,   734,   429,  1032,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1033,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1034,
    1035,     0,     0,   453,  1036,   455,  1037,  1038,   457,   458,
     459,   460,   461,   462,   463,     0,  1039,   464,   465,   466,
     467,   468,  1040,     0,   469,   470,   471,   472,   473,   474,
    1041,     0,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,  1042,  1043,
    1044,  1045,  1046,  1047,  1048,  1049,   495,   496,   497,     0,
       0,     0,     0,     0,     0,     0,  1050,  1051,     0,     0,
       0,     0,     0,  1534,  2224,  1053,   712,   984,   550,   985,
     986,   987,   597,   988,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   989,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,   219,   990,   714,   991,   992,
       0,   223,   224,   225,   226,   227,   993,   994,   228,   229,
     995,   996,   232,     0,   233,   234,   235,   236,   997,     0,
     998,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,   251,
     999,  1000,  1001,  1002,  1003,  1004,  1005,   252,   253,   254,
     255,   256,   257,  1006,  1007,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,  1008,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,  1009,   285,   286,
     287,  1010,  1011,   289,     0,   290,  1012,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
    1013,     0,   300,     0,   301,   302,   303,   304,   305,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,   316,   317,   318,   319,   320,  1014,  1015,
       0,  1016,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,  1017,   726,   335,
     727,     0,   336,   337,   338,  1018,  1019,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1020,
     728,  1021,   353,   354,   355,  1022,   356,   357,   729,   358,
    1023,  1024,   360,  1025,   362,   363,   364,     0,   365,     0,
       0,  1026,   367,   368,     0,     0,   369,   730,   731,   732,
    1027,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1028,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1029,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,  1030,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1031,   425,   426,   427,   428,   734,   429,  1032,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1033,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,  1034,  1035,     0,     0,   453,  1036,   455,
    1037,  1038,   457,   458,   459,   460,   461,   462,   463,     0,
    1039,   464,   465,   466,   467,   468,  1040,     0,   469,   470,
     471,   472,   473,   474,  1041,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,
     495,   496,   497,     0,     0,     0,     0,     0,     0,     0,
    1050,  1051,  1052,     0,     0,     0,     0,     0,     0,  1053,
     712,   984,   550,   985,   986,   987,   597,   988,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,   989,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,   219,
     990,   714,   991,   992,     0,   223,   224,   225,   226,   227,
     993,   994,   228,   229,   995,   996,   232,     0,   233,   234,
     235,   236,   997,     0,   998,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,   251,   999,  1000,  1001,  1002,  1003,  1004,
    1005,   252,   253,   254,   255,   256,   257,  1006,  1007,   260,
    1122,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,  1008,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,  1009,   285,   286,   287,  1010,  1011,   289,     0,   290,
    1012,   292,     0,   293,     0,   294,   719,     0,   720,   295,
     296,   297,     0,   298,  1013,     0,   300,     0,   301,   302,
     303,   304,   305,   721,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   722,   316,   317,   318,
     319,   320,  1014,  1015,     0,  1016,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,  1017,   726,   335,   727,     0,   336,   337,   338,  1018,
    1019,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1020,   728,  1021,   353,   354,   355,  1022,
     356,   357,   729,   358,  1023,  1024,   360,  1025,   362,   363,
     364,     0,   365,     0,     0,  1026,   367,   368,     0,     0,
     369,   730,   731,   732,  1027,   371,   372,   373,   374,   375,
     376,   377,     0,   378,  1028,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1029,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
    1030,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,  1031,   425,   426,   427,   428,
     734,   429,  1032,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1033,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,  1034,  1035,     0,
       0,   453,  1036,   455,  1037,  1038,   457,   458,   459,   460,
     461,   462,   463,     0,  1039,   464,   465,   466,   467,   468,
    1040,     0,   469,   470,   471,   472,   473,   474,  1041,     0,
     476,   735,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,  1042,  1043,  1044,  1045,
    1046,  1047,  1048,  1049,   495,   496,   497,     0,     0,     0,
       0,     0,     0,     0,  1050,  1051,     0,     0,     0,     0,
       0,     0,     0,  1053,   712,   984,   550,   985,   986,   987,
     597,   988,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,  1777,   209,   210,   211,     0,     0,     0,
       0,   989,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,   219,   990,   714,   991,   992,     0,   223,
     224,   225,   226,   227,   993,   994,   228,   229,   995,   996,
     232,     0,   233,   234,   235,   236,   997,     0,   998,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,   251,   999,  1000,
    1001,  1002,  1003,  1004,  1005,   252,   253,   254,   255,   256,
     257,  1006,  1007,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
    1008,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,  1009,   285,   286,   287,  1010,
    1011,   289,     0,   290,  1012,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,  1013,     0,
     300,     0,   301,   302,   303,   304,   305,   721,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,   316,   317,   318,   319,   320,  1014,  1015,     0,  1016,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,  1017,   726,   335,   727,     0,
     336,   337,   338,  1018,  1019,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1020,   728,  1021,
     353,   354,   355,  1022,   356,   357,   729,   358,  1023,  1024,
     360,  1025,   362,   363,   364,     0,   365,     0,     0,  1026,
     367,   368,     0,     0,   369,   730,   731,   732,  1027,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1028,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1029,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,  1030,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1031,
     425,   426,   427,   428,   734,   429,  1032,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1033,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1034,  1035,     0,     0,   453,  1036,   455,  1037,  1038,
     457,   458,   459,   460,   461,   462,   463,     0,  1039,   464,
     465,   466,   467,   468,  1040,     0,   469,   470,   471,   472,
     473,   474,  1041,     0,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
    1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,   495,   496,
     497,     0,     0,     0,     0,     0,     0,     0,  1050,  1051,
       0,     0,     0,     0,     0,     0,     0,  1053,   712,   984,
     550,   985,   986,   987,   597,   988,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   989,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   990,   714,
     991,   992,     0,   223,   224,   225,   226,   227,   993,   994,
     228,   229,   995,   996,   232,     0,   233,   234,   235,   236,
     997,     0,   998,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,   999,  1000,  1001,  1002,  1003,  1004,  1005,   252,
     253,   254,   255,   256,   257,  1006,  1007,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1008,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,  1009,
     285,   286,   287,  1010,  1011,   289,     0,   290,  1012,   292,
       0,   293,     0,   294,   719,  2277,   720,   295,   296,   297,
       0,   298,  1013,     0,   300,     0,   301,   302,   303,   304,
     305,   721,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,   316,   317,   318,   319,   320,
    1014,  1015,     0,  1016,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,  1017,
     726,   335,   727,     0,   336,   337,   338,  1018,  1019,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1020,   728,  1021,   353,   354,   355,  1022,   356,   357,
     729,   358,  1023,  1024,   360,  1025,   362,   363,   364,     0,
     365,     0,     0,  1026,   367,   368,     0,     0,   369,   730,
     731,   732,  1027,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1028,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1029,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,  1030,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1031,   425,   426,   427,   428,   734,   429,
    1032,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1033,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1034,  1035,     0,     0,   453,
    1036,   455,  1037,  1038,   457,   458,   459,   460,   461,   462,
     463,     0,  1039,   464,   465,   466,   467,   468,  1040,     0,
     469,   470,   471,   472,   473,   474,  1041,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,  1042,  1043,  1044,  1045,  1046,  1047,
    1048,  1049,   495,   496,   497,     0,     0,     0,     0,     0,
       0,     0,  1050,  1051,     0,     0,     0,     0,     0,     0,
       0,  1053,   712,   984,   550,   985,   986,   987,   597,   988,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,   989,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,   219,   990,   714,   991,   992,     0,   223,   224,   225,
     226,   227,   993,   994,   228,   229,   995,   996,   232,     0,
     233,   234,   235,   236,   997,     0,   998,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,   251,   999,  1000,  1001,  1002,
    1003,  1004,  1005,   252,   253,   254,   255,   256,   257,  1006,
    1007,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1008,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,  1009,   285,   286,   287,  1010,  1011,   289,
       0,   290,  1012,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,  1013,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,   316,
     317,   318,   319,   320,  1014,  1015,     0,  1016,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,  1017,   726,   335,   727,     0,   336,   337,
     338,  1018,  1019,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1020,   728,  1021,   353,   354,
     355,  1022,   356,   357,   729,   358,  1023,  1024,   360,  1025,
     362,   363,   364,     0,   365,     0,     0,  1026,   367,   368,
       0,     0,   369,   730,   731,   732,  1027,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1028,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1029,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,  1030,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1031,   425,   426,
     427,   428,   734,   429,  1032,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1033,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1034,
    1035,     0,     0,   453,  1036,   455,  1037,  1038,   457,   458,
     459,   460,   461,   462,   463,     0,  1039,   464,   465,   466,
     467,   468,  1040,     0,   469,   470,   471,   472,   473,   474,
    1041,  3434,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,  1042,  1043,
    1044,  1045,  1046,  1047,  1048,  1049,   495,   496,   497,     0,
       0,     0,     0,     0,     0,     0,  1050,  1051,     0,     0,
       0,     0,     0,     0,     0,  1053,   712,   984,   550,   985,
     986,   987,   597,   988,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   989,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,   219,   990,   714,   991,   992,
       0,   223,   224,   225,   226,   227,   993,   994,   228,   229,
     995,   996,   232,     0,   233,   234,   235,   236,   997,     0,
     998,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,   251,
     999,  1000,  1001,  1002,  1003,  1004,  1005,   252,   253,   254,
     255,   256,   257,  1006,  1007,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,  1008,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,  1009,   285,   286,
     287,  1010,  1011,   289,     0,   290,  1012,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
    1013,     0,   300,     0,   301,   302,   303,   304,   305,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,   316,   317,   318,   319,   320,  1014,  1015,
       0,  1016,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,  1017,   726,   335,
     727,     0,   336,   337,   338,  1018,  1019,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1020,
     728,  1021,   353,   354,   355,  1022,   356,   357,   729,   358,
    1023,  1024,   360,  1025,   362,   363,   364,     0,   365,     0,
       0,  1026,   367,   368,     0,     0,   369,   730,   731,   732,
    1027,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1028,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1029,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,  1030,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1031,   425,   426,   427,   428,   734,   429,  1032,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1033,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,  1034,  1035,     0,     0,   453,  1036,   455,
    1037,  1038,   457,   458,   459,   460,   461,   462,   463,     0,
    1039,   464,   465,   466,   467,   468,  1040,     0,   469,   470,
     471,   472,   473,   474,  1041,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,
     495,   496,   497,     0,     0,     0,     0,     0,     0,     0,
    1050,  1051,     0,     0,     0,     0,     0,     0,     0,  1053,
     712,   984,   550,   985,   986,   987,   597,   988,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,   989,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,   219,
     990,   714,   991,   992,     0,   223,   224,   225,   226,   227,
     993,   994,   228,   229,   995,   996,   232,     0,   233,   234,
     235,   236,   997,     0,   998,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,  3444,   999,  1000,  1001,  1002,  1003,  1004,
    1005,   252,   253,   254,   255,   256,   257,  1006,  1007,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,  1008,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,  1009,   285,   286,   287,  1010,  1011,   289,     0,   290,
    1012,   292,     0,   293,     0,   294,   719,     0,   720,   295,
     296,   297,     0,   298,  1013,     0,   300,     0,   301,   302,
     303,   304,   305,   721,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   722,   316,   317,   318,
     319,   320,  1014,  1015,     0,  1016,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,  1017,   726,   335,   727,     0,   336,   337,   338,  1018,
    1019,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1020,   728,  1021,   353,   354,   355,  1022,
     356,   357,   729,   358,  1023,  1024,   360,  1025,   362,   363,
     364,     0,   365,     0,     0,  1026,   367,   368,     0,     0,
     369,   730,   731,   732,  1027,   371,   372,   373,   374,   375,
     376,   377,     0,   378,  1028,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1029,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
    1030,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,  1031,   425,   426,   427,   428,
     734,   429,  1032,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1033,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,  1034,  1035,     0,
       0,   453,  1036,   455,  1037,  1038,   457,   458,   459,   460,
     461,   462,   463,     0,  1039,   464,   465,   466,   467,   468,
    1040,     0,   469,   470,   471,   472,   473,   474,  1041,     0,
     476,   735,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,  1042,  1043,  1044,  1045,
    1046,  1047,  1048,  1049,   495,   496,   497,     0,     0,     0,
       0,     0,     0,     0,  1050,  1051,     0,     0,     0,     0,
       0,     0,     0,  1053,   712,   984,   550,   985,   986,   987,
     597,   988,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,   989,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,   219,   990,   714,   991,   992,     0,   223,
     224,   225,   226,   227,   993,   994,   228,   229,   995,   996,
     232,     0,   233,   234,   235,   236,   997,     0,   998,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,   251,   999,  1000,
    1001,  1002,  1003,  1004,  1005,   252,   253,   254,   255,   256,
     257,  1006,  1007,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
    1008,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,  1009,   285,   286,   287,  1010,
    1011,   289,     0,   290,  1012,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,  1013,     0,
     300,     0,   301,   302,   303,   304,   305,   721,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,   316,   317,   318,   319,   320,  1014,  1015,     0,  1016,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,  1017,   726,   335,   727,     0,
     336,   337,   338,  1018,  1019,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1020,   728,  1021,
     353,   354,   355,  1022,   356,   357,   729,   358,  1023,  1024,
     360,  1025,   362,   363,   364,     0,   365,     0,     0,  1026,
     367,   368,     0,     0,   369,   730,   731,   732,  1027,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1028,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1029,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,  1030,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1031,
     425,   426,   427,   428,   734,   429,  1032,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1033,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1034,  1035,     0,     0,   453,  1036,   455,  1037,  1038,
     457,   458,   459,   460,   461,   462,   463,     0,  1039,   464,
     465,   466,   467,   468,  1040,     0,   469,   470,   471,   472,
     473,   474,  1041,     0,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,  3714,
    1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,   495,   496,
     497,     0,     0,     0,     0,     0,     0,     0,  1050,  1051,
       0,     0,     0,     0,     0,     0,     0,  1053,   712,   984,
     550,   985,   986,   987,   597,   988,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   989,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   990,   714,
     991,   992,     0,   223,   224,   225,   226,   227,   993,   994,
     228,   229,   995,   996,   232,     0,   233,   234,   235,   236,
     997,     0,   998,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,   999,  1000,  1001,  1002,  1003,  1004,  1005,   252,
     253,   254,   255,   256,   257,  1006,  1007,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1008,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,  1009,
     285,   286,   287,  1010,  1011,   289,     0,   290,  1012,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,  1013,     0,   300,     0,   301,   302,   303,   304,
     305,   721,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,   316,   317,   318,   319,   320,
    1014,  1015,     0,  1016,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,  1017,
     726,   335,   727,     0,   336,   337,   338,  1018,  1019,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1020,   728,  1021,   353,  3723,   355,  1022,   356,   357,
     729,   358,  1023,  1024,   360,  1025,   362,   363,   364,     0,
     365,     0,     0,  1026,   367,   368,     0,     0,   369,   730,
     731,   732,  1027,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1028,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1029,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,  1030,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1031,   425,   426,   427,   428,   734,   429,
    1032,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1033,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1034,  1035,     0,     0,   453,
    1036,   455,  1037,  1038,   457,   458,   459,   460,   461,   462,
     463,     0,  1039,   464,   465,   466,   467,   468,  1040,     0,
     469,   470,   471,   472,   473,   474,  1041,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,  1042,  1043,  1044,  1045,  1046,  1047,
    1048,  1049,   495,   496,   497,     0,     0,     0,     0,     0,
       0,     0,  1050,  1051,     0,     0,     0,     0,     0,     0,
       0,  1053,   712,   984,   550,   985,   986,   987,   597,   988,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,   989,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,  4211,   990,   714,   991,   992,     0,   223,   224,   225,
     226,   227,   993,   994,   228,   229,   995,   996,   232,     0,
     233,   234,   235,   236,   997,     0,   998,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,  4212,   999,  1000,  1001,  1002,
    1003,  1004,  1005,   252,   253,   254,   255,   256,   257,  1006,
    1007,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1008,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,  1009,   285,   286,   287,  1010,  1011,   289,
       0,   290,  1012,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,  1013,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,   316,
     317,   318,   319,   320,  1014,  1015,     0,  1016,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,  1017,   726,   335,   727,     0,   336,   337,
     338,  1018,  1019,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1020,   728,  1021,   353,   354,
     355,  1022,   356,   357,   729,   358,  1023,  1024,   360,  1025,
     362,   363,   364,     0,   365,     0,     0,  1026,   367,   368,
       0,     0,   369,   730,   731,   732,  1027,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1028,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1029,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,  1030,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1031,   425,   426,
     427,   428,   734,   429,  1032,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1033,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1034,
    1035,     0,     0,   453,  1036,   455,  1037,  1038,   457,   458,
     459,   460,  4213,   462,   463,     0,  1039,   464,   465,   466,
     467,   468,  1040,     0,   469,   470,   471,   472,   473,   474,
    1041,     0,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,  1042,  1043,
    1044,  1045,  1046,  1047,  1048,  1049,   495,   496,   497,     0,
       0,     0,     0,     0,     0,     0,  1050,  1051,     0,     0,
       0,     0,     0,     0,     0,  1053,   712,   984,   550,   985,
     986,   987,   597,   988,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   989,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,   219,   990,   714,   991,   992,
       0,   223,   224,   225,   226,   227,   993,   994,   228,   229,
     995,   996,   232,     0,   233,   234,   235,   236,   997,     0,
     998,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,  4212,
     999,  1000,  1001,  1002,  1003,  1004,  1005,   252,   253,   254,
     255,   256,   257,  1006,  1007,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,  1008,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,  1009,   285,   286,
     287,  1010,  1011,   289,     0,   290,  1012,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
    1013,     0,   300,     0,   301,   302,   303,   304,   305,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,   316,   317,   318,   319,   320,  1014,  1015,
       0,  1016,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,  1017,   726,   335,
     727,     0,   336,   337,   338,  1018,  1019,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1020,
     728,  1021,   353,   354,   355,  1022,   356,   357,   729,   358,
    1023,  1024,   360,  1025,   362,   363,   364,     0,   365,     0,
       0,  1026,   367,   368,     0,     0,   369,   730,   731,   732,
    1027,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1028,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1029,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,  1030,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1031,   425,   426,   427,   428,   734,   429,  1032,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1033,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,  1034,  1035,     0,     0,   453,  1036,   455,
    1037,  1038,   457,   458,   459,   460,  4213,   462,   463,     0,
    1039,   464,   465,   466,   467,   468,  1040,     0,   469,   470,
     471,   472,   473,   474,  1041,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,
     495,   496,   497,     0,     0,     0,     0,     0,     0,     0,
    1050,  1051,     0,     0,     0,     0,     0,     0,     0,  1053,
     712,   984,   550,   985,   986,   987,   597,   988,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,   989,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,   219,
     990,   714,   991,   992,     0,   223,   224,   225,   226,   227,
     993,   994,   228,   229,   995,   996,   232,     0,   233,   234,
     235,   236,   997,     0,   998,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,   251,   999,  1000,  1001,  1002,  1003,  1004,
    1005,   252,   253,   254,   255,   256,   257,  1006,  1007,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,  1008,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,  1009,   285,   286,   287,  1010,  1011,   289,     0,   290,
    1012,   292,     0,   293,     0,   294,   719,     0,   720,   295,
     296,   297,     0,   298,  1013,     0,   300,     0,   301,   302,
     303,   304,   305,   721,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   722,   316,   317,   318,
     319,   320,  1014,  1015,     0,  1016,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,  1017,   726,   335,   727,     0,   336,   337,   338,  1018,
    1019,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1020,   728,  1021,   353,   354,   355,     0,
     356,   357,   729,   358,  1023,  1024,   360,  1025,   362,   363,
     364,     0,   365,     0,     0,  1026,   367,   368,     0,     0,
     369,   730,   731,   732,  1027,   371,   372,   373,   374,   375,
     376,   377,     0,   378,  1028,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1029,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
    1030,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,  1031,   425,   426,   427,   428,
     734,   429,  1032,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1033,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,  1034,  1035,     0,
       0,   453,  1036,   455,  1037,  1038,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
    1040,     0,   469,   470,   471,   472,   473,   474,  1041,     0,
     476,   735,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,  1042,  1043,  1044,  1045,
    1046,  1047,  1048,  1049,   495,   496,   497,     0,     0,     0,
       0,     0,     0,     0,  2259,  2260,     0,     0,     0,     0,
       0,     0,     0,  1053,   712,   984,   550,   985,   986,   987,
     597,   988,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,   989,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218, -2166,   990,   714,   991,   992,     0,   223,
     224,   225,   226,   227,   993,   994,   228,   229,   995,   996,
     232,     0,   233,   234,   235,   236,   997,     0,   998,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,  4212,   999,  1000,
    1001,  1002,  1003,  1004,  1005,   252,   253,   254,   255,   256,
     257,  1006,  1007,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
    1008,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,  1009,   285,   286,   287,  1010,
    1011,   289,     0,   290,  1012,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,  1013,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,   316,   317,   318,   319,   320,  1014,  1015,     0,  1016,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,  1017,   726,   335,     0,     0,
     336,   337,   338,  1018,  1019,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1020,   728,  1021,
     353,   354,   355,     0,   356,   357,   729,   358,  1023,  1024,
     360,  1025,   362,   363,   364,     0,   365,     0,     0,  1026,
     367,   368,     0,     0,   369,   730,   731,   732,  1027,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1028,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1029,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,  1030,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1031,
     425,   426,   427,   428,     0,   429,  1032,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1033,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1034,  1035,     0,     0,   453,  1036,   455,  1037,  1038,
     457,   458,   459,   460,  4213,   462,   463,     0,  1039,   464,
     465,   466,   467,   468,  1040,     0,   469,   470,   471,   472,
     473,   474,  1041,     0,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
    1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,   495,   496,
     497,     0,     0,     0,     0,     0,     0,     0,  1050,  1051,
       0,     0,   712,   984,   550,   985,   986,  1053,   597,   988,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,   989,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,   219,   990,   714,   991,   992,     0,   223,   224,   225,
     226,   227,   993,   994,   228,   229,   995,   996,   232,     0,
     233,   234,   235,   236,   997,     0,   998,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,   251,   999,  1000,  1001,  1002,
    1003,  1004,  1005,   252,   253,   254,   255,   256,   257,  1006,
    1007,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1008,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,  1009,   285,   286,   287,  1010,  1011,   289,
       0,   290,  1012,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,  1013,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,   316,
     317,   318,   319,   320,  1014,  1015,     0,  1016,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,  1017,   726,   335,   727,     0,   336,   337,
     338,  1018,  1019,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1020,   728,  1021,   353,   354,
     355,     0,   356,   357,   729,   358,  1023,  1024,   360,  1025,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,   730,   731,   732,  1027,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1028,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1029,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,  1030,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1031,   425,   426,
     427,   428,   734,   429,  1032,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1033,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1034,
    1035,     0,     0,   453,  1036,   455,  1037,  1038,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,  1040,     0,   469,   470,   471,   472,   473,   474,
    1041,     0,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,  1042,  1043,
    1044,  1045,  1046,  1047,  1048,  1049,   495,   496,   497,     0,
       0,     0,     0,     0,     0,   712,   984,   550,   985,   986,
       0,   597,   988,     0,     0,  1053,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,   989,     0,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218,   219,   990,   714,   991,   992,     0,
    3357,   224,   225,   226,   227,   993,   994,   228,   229,   995,
     996,   232,     0,   233,   234,   235,   236,   997,     0,   998,
       0,   238,   239,   240,   241,   716,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   717,   250,   251,   999,
    1000,  1001,  1002,  1003,  1004,  1005,   252,   253,   254,   255,
     256,   257,  1006,  1007,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,  1008,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,  1009,   285,   286,   287,
    1010,  1011,   289,     0,   290,  1012,   292,     0,   293,     0,
     294,   719,     0,   720,   295,   296,   297,     0,   298,  1013,
       0,   300,     0,   301,   302,   303,   304,   305,   721,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   722,   316,   317,   318,   319,   320,  1014,  1015,     0,
    1016,     0,   324,   723,   724,   325,   725,   326,   327,   328,
     329,   330,   331,   332,     0,   333,  1017,   726,   335,   727,
       0,   336,   337,   338,  1018,  1019,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1020,   728,
    1021,   353,   354,   355,     0,   356,   357,   729,   358,  1023,
    1024,   360,  1025,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,   730,   731,   732,  1027,
     371,   372,   373,   374,   375,   376,   377,     0,   378,  1028,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1029,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   733,   409,   410,  1030,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
    1031,   425,   426,   427,   428,   734,   429,  1032,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1033,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,  1034,  1035,     0,     0,   453,  1036,   455,  1037,
    1038,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,  1040,     0,   469,   470,   471,
     472,   473,   474,  1041,     0,   476,   735,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,   495,
     496,   497,     0,     0,     0,     0,     0,     0,   712,   984,
     550,   985,   986,   987,   597,   988,     0,     0,  1053,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   989,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,     0,   990,   714,
     991,   992,     0,   223,   224,   225,   226,   227,   993,   994,
     228,   229,   995,   996,   232,     0,   233,   234,   235,   236,
     997,     0,   998,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,   999,  1000,  1001,  1002,  1003,  1004,  1005,   252,
     253,   254,   255,   256,   257,  1006,  1007,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1008,   273,   274,     0,   275,   276,
     277,     0,   278,     0,     0,   280,   281,   282,   283,  1009,
     285,   286,   287,  1010,  1011,   289,     0,   290,  1012,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,  1013,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,   316,   317,   318,   319,   320,
    1014,  1015,     0,  1016,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,  1017,
     726,   335,     0,     0,   336,   337,   338,  1018,  1019,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1020,   728,  1021,   353,   354,   355,     0,   356,   357,
     729,   358,  1023,  1024,   360,  1025,   362,   363,   364,     0,
     365,     0,     0,  1026,   367,   368,     0,     0,   369,   730,
     731,   732,  1027,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1028,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1029,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,  1030,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1031,   425,   426,   427,   428,     0,   429,
    1032,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1033,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1034,  1035,     0,     0,   453,
    1036,   455,  1037,  1038,   457,   458,   459,   460,   461,   462,
     463,     0,  1039,   464,   465,   466,   467,   468,  1040,     0,
     469,   470,   471,   472,   473,   474,  1041,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,  1042,  1043,  1044,  1045,  1046,  1047,
    1048,  1049,   495,   496,   497,     0,     0,     0,     0,     0,
       0,     0,  1050,  1051,     0,     0,     0,     0,     0,     0,
       0,  1053,   712,   984,   550,   985,   986,   987,   597,   988,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,   989,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,     0,   990,   714,   991,   992,     0,   223,   224,   225,
     226,   227,   993,   994,   228,   229,   995,   996,   232,     0,
     233,   234,   235,   236,   997,     0,   998,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,   251,   999,  1000,  1001,  1002,
    1003,  1004,  1005,   252,   253,   254,   255,   256,   257,  1006,
    1007,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1008,   273,
     274,     0,   275,   276,   277,     0,   278,     0,     0,   280,
     281,   282,   283,  1009,   285,   286,   287,  1010,  1011,   289,
       0,   290,  1012,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,  1013,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,   316,
     317,   318,   319,   320,  1014,  1015,     0,  1016,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,  1017,   726,   335,     0,     0,   336,   337,
     338,  1018,  1019,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1020,   728,  1021,   353,   354,
     355,     0,   356,   357,   729,   358,  1023,  1024,   360,  1025,
     362,   363,   364,     0,   365,     0,     0,  1026,   367,   368,
       0,     0,   369,   730,   731,   732,  1027,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1028,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1029,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,  1030,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1031,   425,   426,
     427,   428,     0,   429,  1032,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1033,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1034,
    1035,     0,     0,   453,  1036,   455,  1037,  1038,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,  1040,     0,   469,   470,   471,   472,   473,   474,
    1041,     0,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,  1042,  1043,
    1044,  1045,  1046,  1047,  1048,  1049,   495,   496,   497,     0,
       0,     0,     0,     0,     0,   712,  2259,  2260,     0,     0,
       0,     0,     0,     0,     0,  1053,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218,   219,   220,   714,   221,   222,     0,
     223,   224,   225,   226,   227,     0,   994,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   997,     0,   998,
       0,   238,   239,   240,   241,   716,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   717,   250,   251,   999,
    1000,  1001,  1002,  1003,  1004,  1005,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
    1010,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,   719,     0,   720,   295,   296,   297,     0,   298,  1013,
       0,   300,     0,   301,   302,   303,   304,   305,   721,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   722,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,   723,   724,   325,   725,   326,   327,   328,
     329,   330,   331,   332,     0,   333,  1017,   726,   335,   727,
       0,   336,   337,   338,  1018,  1019,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   728,
     352,   353,   354,   355,     0,   356,   357,   729,   358,     0,
    1024,   360,   361,   362,   363,   364,     0,   365,     0,   677,
     366,   367,   368,     0,     0,   369,   730,   731,   732,  1027,
     371,   372,   373,   374,   375,   376,   377,     0,   378,  1028,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   733,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,    37,   420,   421,   422,   423,   424,
    1031,   425,   426,   427,   428,   734,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1033,     0,   443,   444,    41,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,  1036,   455,  1037,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,  1040,     0,   469,   470,   471,
     472,   473,   924,   475,     0,   476,   735,   477,   478,   479,
       0,     0,   480,     0,    46,   481,   482,   483,   484,   485,
     486,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,   495,
     496,   497,     0,     0,     0,     0,     0,     0,   712,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2933,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   220,   714,
     221,   222,     0,   223,   224,   225,   226,   227,     0,   994,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     997,     0,   998,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,   999,  1000,  1001,  1002,  1003,  1004,  1005,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,  1010,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,  1013,     0,   300,     0,   301,   302,   303,   304,
     305,   721,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,  1017,
     726,   335,   727,     0,   336,   337,   338,  1018,  1019,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   728,   352,   353,   354,   355,     0,   356,   357,
     729,   358,     0,  1024,   360,   361,   362,   363,   364,     0,
     365,     0,   677,   366,   367,   368,     0,     0,   369,   730,
     731,   732,  1027,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1028,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1031,   425,   426,   427,   428,   734,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1033,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
    1036,   455,  1037,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,  1040,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,  1042,  1043,  1044,  1045,  1046,  1047,
    1048,  1049,   495,   496,   497,     0,     0,     0,     0,     0,
       0,   712,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2933,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,   713,   216,   217,   218,
     219,   220,   714,   221,   222,     0,   223,   224,   225,   226,
     227,     0,   994,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   997,     0,   998,     0,   238,   239,   240,
     241,   716,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,   717,   250,   251,   999,  1000,  1001,  1002,  1003,
    1004,  1005,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,  1010,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,   719,     0,   720,
     295,   296,   297,     0,   298,  1013,     0,   300,     0,   301,
     302,   303,   304,   305,   721,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,   722,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,   723,
     724,   325,   725,   326,   327,   328,   329,   330,   331,   332,
       0,   333,  1017,   726,   335,   727,     0,   336,   337,   338,
    1018,  1019,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   728,   352,   353,   354,   355,
       0,   356,   357,   729,   358,     0,  1024,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,   730,   731,   732,  1027,   371,   372,   373,   374,
     375,   376,   377,     0,   378,  1028,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   733,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,  1031,   425,   426,   427,
     428,   734,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,  1033,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,  1036,   455,  1037,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,  1040,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   735,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,  1042,  1043,  1044,
    1045,  1046,  1047,  1048,  1049,   495,   496,   497,     0,     0,
       0,     0,     0,     0,   755,  1234,   550,     0,     0,     0,
     597,     0,     0,     0,  3465,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,   219,   220,   714,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   715,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,   251,     0,     0,
       0,   718,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
    1467,   289,     0,   290,   291,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   721,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,   726,   335,   727,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   728,   352,
     353,   354,   355,     0,   356,   357,   729,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,  1468,     0,   366,
     367,   368,     0,     0,   369,   730,   731,   732,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   734,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,  1469,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,     0,     0,     0,     0,     0,   755,   609,  1235,
    3588,     0,     0,     0,     0,     0,     0,  3589,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       3,     4,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   713,   216,   217,   218,   219,   220,   714,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   715,     0,   238,   239,   240,   241,   716,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,   717,   250,
     251,     0,     0,     0,   718,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,   719,     0,   720,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     721,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,   722,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,   723,   724,   325,   725,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,   726,
     335,   727,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   728,   352,   353,   354,   355,     0,   356,   357,   729,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,   730,   731,
     732,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   733,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,    37,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   734,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,    41,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   924,   475,     0,   476,   735,   477,
     478,   479,     0,     0,   480,     0,    46,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,     0,     0,     0,     0,     0,     0,
     712,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,   219,
     220,   714,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   715,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,   251,     0,     0,     0,   718,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,   719,     0,   720,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   721,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   722,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,   726,   335,   727,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   728,   352,   353,   354,   355,     0,
     356,   357,   729,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,   730,   731,   732,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     734,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,   735,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,     0,     0,
       0,     0,     0,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3991,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,    37,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,    41,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     924,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,    46,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
       0,     0,     0,     0,     0,     0,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    47,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,     0,     0,     0,     0,     0,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1106,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,     0,     0,     0,     0,
       0,     0,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2409,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
       0,     0,     0,     0,     0,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3428,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,     0,     0,     0,     0,     0,     0,  1333,  1234,
     550,     0,     0,   764,   597,     0,     0,     0,  3758,   200,
     201,   202,   203,   204,   205,   206,   207,  1669,   209,   210,
     211,  1670,  1671,  1672,  1673,  1674,  1675,  1676,   212,   213,
    1677,   214,   215,   713,   216,   217,   218,     0,  1334,   714,
    1335,  1336,  1678,   223,   224,   225,   226,   227,  1679,  1680,
     228,   229,  1337,  1338,   232,  1681,   233,   234,   235,   236,
       0,  1682,   715,  1683,   238,   239,   240,   241,   716,   242,
     243,  1684,   244,   245,   246,   247,   248,   249,  1685,   717,
     250,   251,  1686,  1687,  1688,   718,  1689,  1690,  1691,   252,
     253,   254,   255,   256,   257,  1339,  1340,   260,  1692,   261,
    1693,   262,   263,   264,   265,   266,  1694,   267,   268,   269,
    1695,  1696,   270,   271,  1008,   273,   274,  1697,   275,   276,
     277,  1698,   278,   279,  1699,   280,   281,   282,   283,     0,
     285,   286,   287,     0,  1700,   289,  1701,   290,  1341,   292,
    1702,   293,  1703,   294,   719,  1704,   720,   295,   296,   297,
    1705,   298,     0,  1706,   300,  1707,   301,   302,   303,   304,
     305,   721,   306,   307,   308,  1708,   309,   310,   311,   312,
     313,   314,  1709,   315,   722,     0,   317,   318,   319,   320,
    1342,  1343,  1710,  1344,  1711,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,  1712,   333,     0,
     726,   335,   727,  1713,   336,   337,   338,  1714,  1715,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1345,   728,  1346,   353,   354,     0,  1716,   356,   357,
     729,   358,  1717,     0,   360,  1347,   362,   363,   364,  1718,
     365,  1719,  1720,  3162,   367,   368,  1721,  1722,     0,   730,
     731,   732,     0,   371,   372,   373,   374,   375,   376,   377,
    1723,   378,     0,   380,     0,   382,   383,   384,  1724,   385,
     386,   387,   388,   389,   390,   391,  1348,   393,   394,   395,
     396,  1725,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,  1726,   407,   408,   733,   409,   410,     0,   412,
     413,   414,   415,   416,   417,   418,   419,  1727,   420,   421,
     422,   423,   424,  1728,   425,  1885,   427,   428,   734,   429,
    1350,   431,  1729,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,  1730,   443,   444,  1731,   445,   446,
     447,   448,   449,   450,  1732,  1351,  1352,  1733,  1734,   453,
       0,   455,     0,  1735,   457,   458,   459,   460,   461,   462,
     463,  1736,  1737,   464,   465,   466,   467,   468,  1738,  1739,
     469,   470,   471,   472,   473,     0,  1353,  1740,   476,   735,
     477,   478,   479,  1741,  1742,   480,  1743,  1744,   481,   482,
     483,   484,   485,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   495,   496,   497,     0,     0,     0,   767,   768,
     769,     0,  3163,  3164,   772,   773,   774,   775,   199,     0,
       0,     0,     0,   764,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   765,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   766,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,     0,   767,   768,
     769,     0,   770,   771,   772,   773,   774,   775,   199,     0,
       0,     0,     0,   764,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   852,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   853,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,     0,   767,   768,
     769,     0,   770,   771,   772,   773,   774,   775,   199,     0,
       0,     0,     0,   764,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   897,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   898,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     899,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,     0,   767,   768,
     769,     0,   770,   771,   772,   773,   774,   775,   199,     0,
       0,     0,     0,   764,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,  1316,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,  1317,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,     0,   767,   768,
     769,     0,   770,   771,   772,   773,   774,   775,   199,     0,
       0,     0,     0,   764,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,     0,   767,   768,
     769,     0,   770,   771,   772,   773,   774,   775,   199,     0,
       0,     0,     0,   764,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,  2469,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,  2470,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,     0,   767,   768,
     769,     0,   770,   771,   772,   773,   774,   775,   199,     0,
       0,     0,     0,   764,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,  3975,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,  1668,   767,   768,
     769,     0,   770,   771,   772,   773,   774,   775,   200,   201,
     202,   203,   204,   205,   206,   207,  1669,   209,   210,   211,
    1670,  1671,  1672,  1673,  1674,  1675,  1676,   212,   213,  1677,
     214,   215,   713,   216,   217,   218,   219,   220,   714,   221,
     222,  1678,   223,   224,   225,   226,   227,  1679,  1680,   228,
     229,   230,   231,   232,  1681,   233,   234,   235,   236,   237,
    1682,   715,  1683,   238,   239,   240,   241,   716,   242,   243,
    1684,   244,   245,   246,   247,   248,   249,  1685,   717,   250,
     251,  1686,  1687,  1688,   718,  1689,  1690,  1691,   252,   253,
     254,   255,   256,   257,   258,   259,   260,  1692,   261,  1693,
     262,   263,   264,   265,   266,  1694,   267,   268,   269,  1695,
    1696,   270,   271,   272,   273,   274,  1697,   275,   276,   277,
    1698,   278,   279,  1699,   280,   281,   282,   283,   284,   285,
     286,   287,   288,  1700,   289,  1701,   290,   291,   292,  1702,
     293,  1703,   294,   719,  1704,   720,   295,   296,   297,  1705,
     298,   299,  1706,   300,  1707,   301,   302,   303,   304,   305,
     721,   306,   307,   308,  1708,   309,   310,   311,   312,   313,
     314,  1709,   315,   722,   316,   317,   318,   319,   320,   321,
     322,  1710,   323,  1711,   324,   723,   724,   325,   725,   326,
     327,   328,   329,   330,   331,   332,  1712,   333,   334,   726,
     335,   727,  1713,   336,   337,   338,  1714,  1715,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   728,   352,   353,   354,   355,  1716,   356,   357,   729,
     358,  1717,   359,   360,   361,   362,   363,   364,  1718,   365,
    1719,  1720,   366,   367,   368,  1721,  1722,   369,   730,   731,
     732,   370,   371,   372,   373,   374,   375,   376,   377,  1723,
     378,   379,   380,   381,   382,   383,   384,  1724,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
    1725,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,  1726,   407,   408,   733,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,  1727,   420,   421,   422,
     423,   424,  1728,   425,   426,   427,   428,   734,   429,   430,
     431,  1729,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,  1730,   443,   444,  1731,   445,   446,   447,
     448,   449,   450,  1732,   451,   452,  1733,  1734,   453,   454,
     455,   456,  1735,   457,   458,   459,   460,   461,   462,   463,
    1736,  1737,   464,   465,   466,   467,   468,  1738,  1739,   469,
     470,   471,   472,   473,   474,   475,  1740,   476,   735,   477,
     478,   479,  1741,  1742,   480,  1743,  1744,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,  1745,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
     682,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,  1333,     0,
       0,     0,     0,     0,     0,     0,     0,  3854,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,     0,  1334,   714,
    1335,  1336,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,  1337,  1338,   232,     0,   233,   234,   235,   236,
       0,     0,   715,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,     0,     0,     0,   718,     0,     0,     0,   252,
     253,   254,   255,   256,   257,  1339,  1340,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1008,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,     0,
     285,   286,   287,     0,     0,   289,     0,   290,  1341,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,     0,     0,   300,     0,   301,   302,   303,   304,
     305,   721,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,     0,   317,   318,   319,   320,
    1342,  1343,     0,  1344,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     726,   335,   727,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1345,   728,  1346,   353,   354,     0,     0,   356,   357,
     729,   358,     0,     0,   360,  1347,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,     0,   730,
     731,   732,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,     0,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1348,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,  1349,   427,   428,   734,   429,
    1350,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1351,  1352,     0,     0,   453,
       0,   455,     0,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,     0,  1353,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,     0,     0,  2028,     0,     0,     0,     0,
       0,     0,   495,   496,   497,     0,   200,   201,   202,   203,
     204,   205,   206,   207,  1799,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218,     0,  1334,   714,  1335,  1336,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,  1337,
    1338,   232,     0,   233,   234,   235,   236,     0,     0,   715,
       0,   238,   239,   240,   241,   716,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   717,   250,   251,     0,
       0,     0,   718,     0,     0,     0,   252,   253,   254,   255,
     256,   257,  1339,  1340,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,  1008,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,     0,   285,   286,   287,
       0,     0,   289,     0,   290,  1341,   292,     0,   293,     0,
     294,   719,     0,   720,   295,   296,   297,     0,   298,     0,
       0,   300,     0,   301,   302,   303,   304,   305,   721,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   722,     0,   317,   318,   319,   320,  1342,  1343,     0,
    1344,     0,   324,   723,   724,   325,   725,   326,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   726,   335,   727,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1345,   728,
    1346,   353,   354,     0,     0,   356,   357,   729,   358,     0,
       0,   360,  1347,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,     0,   730,   731,   732,     0,
     371,   372,   373,   374,   375,   376,   377,     0,   378,     0,
     380,     0,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1348,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   733,   409,   410,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,  1349,   427,   428,   734,   429,  1350,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,  1351,  1352,     0,     0,   453,     0,   455,     0,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,     0,  1353,     0,   476,   735,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
       0,     0,   755,  1234,   550,     0,     0,     0,   597,   495,
     496,   497,     0,   200,   201,   202,   203,   204,   205,   206,
     207,  1799,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,   219,   220,   714,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   715,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,   251,     0,     0,     0,   718,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,  1658,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,  1467,   289,
       0,   290,   291,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,   726,   335,   727,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   728,   352,   353,   354,
     355,     0,   356,   357,   729,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,  1468,     0,   366,   367,   368,
       0,     0,   369,   730,   731,   732,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   734,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,  1469,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   755,
    1234,   550,     0,     0,     0,   597,   609,  1235,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,   219,   220,
     714,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   715,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,     0,     0,     0,   718,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,  1663,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,  1467,   289,     0,   290,   291,
     292,     0,   293,     0,   294,   719,     0,   720,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   721,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,   722,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,   726,   335,   727,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   728,   352,   353,   354,   355,     0,   356,
     357,   729,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,  1468,     0,   366,   367,   368,     0,     0,   369,
     730,   731,   732,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   734,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,  1469,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
     735,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   755,  1234,   550,     0,
       0,     0,   597,   609,  1235,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,   219,   220,   714,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     715,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,   251,
       0,     0,     0,   718,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,  1467,   289,     0,   290,   291,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,   726,   335,
     727,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     728,   352,   353,   354,   355,     0,   356,   357,   729,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,  1468,
       0,   366,   367,   368,     0,     0,   369,   730,   731,   732,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   734,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,  1469,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,   597,
     609,  1235,     0,     0,   200,   598,   202,   203,   204,   205,
     206,   207,   599,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   600,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   601,   291,   292,     0,   293,     0,   602,     0,
     603,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     604,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   605,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   606,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   607,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   608,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
    1668,  4266,   550,     0,     0,     0,   597,   609,   610,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,  1669,
     209,   210,   211,  1670,  1671,  1672,  1673,  1674,  1675,  1676,
     212,   213,  1677,   214,   215,   713,   216,   217,   218,   219,
     220,   714,   221,   222,  1678,   223,   224,   225,   226,   227,
    1679,  1680,   228,   229,   230,   231,   232,  1681,   233,   234,
     235,   236,   237,  1682,   715,  1683,   238,   239,   240,   241,
     716,   242,   243,  1684,   244,   245,   246,   247,   248,   249,
    1685,   717,   250,   251,  1686,  1687,  1688,   718,  1689,  1690,
    1691,   252,   253,   254,   255,   256,   257,   258,   259,   260,
    1692,   261,  1693,   262,   263,   264,   265,   266,  1694,   267,
     268,   269,  1695,  1696,   270,   271,   272,   273,   274,  1697,
     275,   276,   277,  1698,   278,   279,  1699,   280,   281,   282,
     283,   284,   285,   286,   287,   288,  1700,   289,  1701,   290,
     291,   292,  1702,   293,  1703,   294,   719,  1704,   720,   295,
     296,   297,  1705,   298,   299,  1706,   300,  1707,   301,   302,
     303,   304,   305,   721,   306,   307,   308,  1708,   309,   310,
     311,   312,   313,   314,  1709,   315,   722,   316,   317,   318,
     319,   320,   321,   322,  1710,   323,  1711,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,  1712,
     333,   334,   726,   335,   727,  1713,   336,   337,   338,  1714,
    1715,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   728,   352,   353,   354,   355,  1716,
     356,   357,   729,   358,  1717,   359,   360,   361,   362,   363,
     364,  1718,   365,  1719,  1720,   366,   367,   368,  1721,  1722,
     369,   730,   731,   732,   370,   371,   372,   373,   374,   375,
     376,   377,  1723,   378,   379,   380,   381,   382,   383,   384,
    1724,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,  1725,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,  1726,   407,   408,   733,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,  1727,
     420,   421,   422,   423,   424,  1728,   425,   426,   427,   428,
     734,   429,   430,   431,  1729,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,  1730,   443,   444,  1731,
     445,   446,   447,   448,   449,   450,  1732,   451,   452,  1733,
    1734,   453,   454,   455,   456,  1735,   457,   458,   459,   460,
     461,   462,   463,  1736,  1737,   464,   465,   466,   467,   468,
    1738,  1739,   469,   470,   471,   472,   473,   474,   475,  1740,
     476,   735,   477,   478,   479,  1741,  1742,   480,  1743,  1744,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,  1668,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,  1669,   209,   210,   211,
    1670,  1671,  1672,  1673,  1674,  1675,  1676,   212,   213,  1677,
     214,   215,   713,   216,   217,   218,   219,   220,   714,   221,
     222,  1678,   223,   224,   225,   226,   227,  1679,  1680,   228,
     229,   230,   231,   232,  1681,   233,   234,   235,   236,   237,
    1682,   715,  1683,   238,   239,   240,   241,   716,   242,   243,
    1684,   244,   245,   246,   247,   248,   249,  1685,   717,   250,
     251,  1686,  1687,  1688,   718,  1689,  1690,  1691,   252,   253,
     254,   255,   256,   257,   258,   259,   260,  1692,   261,  1693,
     262,   263,   264,   265,   266,  1694,   267,   268,   269,  1695,
    1696,   270,   271,   272,   273,   274,  1697,   275,   276,   277,
    1698,   278,   279,  1699,   280,   281,   282,   283,   284,   285,
     286,   287,   288,  1700,   289,  1701,   290,   291,   292,  1702,
     293,  1703,   294,   719,  1704,   720,   295,   296,   297,  1705,
     298,   299,  1706,   300,  1707,   301,   302,   303,   304,   305,
     721,   306,   307,   308,  1708,   309,   310,   311,   312,   313,
     314,  1709,   315,   722,   316,   317,   318,   319,   320,   321,
     322,  1710,   323,  1711,   324,   723,   724,   325,   725,   326,
     327,   328,   329,   330,   331,   332,  1712,   333,   334,   726,
     335,   727,  1713,   336,   337,   338,  1714,  1715,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   728,   352,   353,   354,   355,  1716,   356,   357,   729,
     358,  1717,   359,   360,   361,   362,   363,   364,  1718,   365,
    1719,  1720,   366,   367,   368,  1721,  1722,   369,   730,   731,
     732,   370,   371,   372,   373,   374,   375,   376,   377,  1723,
     378,   379,   380,   381,   382,   383,   384,  1724,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
    1725,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,  1726,   407,   408,   733,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,  1727,   420,   421,   422,
     423,   424,  1728,   425,   426,   427,   428,   734,   429,   430,
     431,  1729,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,  1730,   443,   444,  1731,   445,   446,   447,
     448,   449,   450,  1732,   451,   452,  1733,  1734,   453,   454,
     455,   456,  1735,   457,   458,   459,   460,   461,   462,   463,
    1736,  1737,   464,   465,   466,   467,   468,  1738,  1739,   469,
     470,   471,   472,   473,   474,   475,  1740,   476,   735,   477,
     478,   479,  1741,  1742,   480,  1743,  1744,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,  1668,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,  2534,
     205,   206,   207,  1669,   209,   210,   211,  1670,  1671,  1672,
    1673,  1674,  1675,  1676,   212,   213,  1677,   214,   215,   713,
     216,   217,   218,   219,   220,   714,   221,   222,  1678,   223,
     224,   225,   226,   227,  1679,  1680,   228,   229,   230,   231,
     232,  1681,   233,   234,   235,   236,   237,  1682,   715,  1683,
     238,   239,   240,   241,   716,   242,   243,  1684,   244,   245,
     246,   247,   248,   249,  1685,   717,   250,   251,  1686,  1687,
    1688,   718,  1689,  1690,  1691,   252,   253,   254,   255,   256,
     257,   258,   259,   260,  1692,   261,  1693,   262,   263,   264,
     265,   266,  1694,   267,   268,   269,  1695,  1696,   270,   271,
     272,  2535,   274,  1697,   275,   276,   277,  1698,   278,   279,
    1699,   280,   281,   282,   283,   284,   285,   286,   287,   288,
    1700,   289,  1701,   290,   291,   292,  1702,   293,  1703,   294,
     719,  1704,   720,   295,   296,   297,  1705,   298,   299,  1706,
     300,  1707,   301,   302,   303,   304,   305,   721,   306,   307,
     308,  1708,   309,   310,   311,   312,   313,   314,  1709,   315,
     722,   316,   317,   318,   319,   320,   321,   322,  1710,   323,
    1711,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,  1712,   333,   334,   726,   335,   727,  1713,
     336,   337,   338,  1714,  1715,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   728,   352,
     353,   354,   355,  1716,   356,   357,   729,   358,  1717,   359,
     360,   361,   362,   363,   364,  1718,   365,  1719,  1720,   366,
     367,   368,  1721,  1722,   369,   730,   731,   732,   370,   371,
     372,   373,   374,   375,   376,   377,  1723,   378,   379,   380,
     381,   382,   383,   384,  1724,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,  1725,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,  1726,   407,
     408,   733,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,  1727,   420,   421,   422,   423,   424,  1728,
    2536,   426,   427,   428,   734,   429,   430,   431,  1729,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
    1730,   443,   444,  1731,   445,   446,   447,   448,   449,   450,
    1732,   451,   452,  1733,  1734,   453,   454,   455,   456,  1735,
     457,   458,   459,   460,   461,   462,   463,  1736,  1737,   464,
     465,   466,   467,   468,  1738,  1739,   469,   470,   471,   472,
     473,   474,   475,  1740,   476,   735,   477,   478,   479,  1741,
    1742,   480,  1743,  1744,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   755,     0,   550,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,   713,   216,   217,   218,
     219,   220,   714,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   715,     0,   238,   239,   240,
     241,   716,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,   717,   250,   251,     0,     0,     0,   718,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,  1467,   289,     0,
     290,   291,   292,     0,   293,     0,   294,   719,     0,   720,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   721,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,   722,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,   723,
     724,   325,   725,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,   726,   335,   727,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   728,   352,   353,   354,   355,
       0,   356,   357,   729,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,  1468,     0,   366,   367,   368,     0,
       0,   369,   730,   731,   732,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   733,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   734,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,  1469,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   735,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   755,     0,
     550,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   220,   714,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   715,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,     0,     0,     0,   718,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,  1643,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,   721,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
     726,   335,   727,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   728,   352,   353,   354,   355,     0,   356,   357,
     729,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,   730,
     731,   732,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   734,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   755,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218,   219,   220,   714,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   715,
       0,   238,   239,   240,   241,   716,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   717,   250,   251,     0,
       0,     0,   718,     0,     0,  1988,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,   719,     0,   720,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   721,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   722,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,   723,   724,   325,   725,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,   726,   335,   727,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   728,
     352,   353,   354,   355,     0,   356,   357,   729,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,   730,   731,   732,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   733,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   734,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,  1989,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,   735,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   755,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     3,     4,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,   219,   220,   714,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   715,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,   251,     0,     0,     0,   718,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,   726,   335,   727,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   728,   352,   353,   354,
     355,     0,   356,   357,   729,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,   730,   731,   732,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   734,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   755,
       0,   550,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,   219,   220,
     714,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   715,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,     0,     0,     0,   718,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,   719,     0,   720,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   721,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,   722,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,   726,   335,   727,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   728,   352,   353,   354,   355,     0,   356,
     357,   729,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
     730,   731,   732,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   734,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
     735,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   755,     0,   550,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,   219,   220,   714,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     715,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,   251,
       0,     0,     0,   718,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,  1457,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,   726,   335,
     727,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     728,   352,   353,   354,   355,     0,   356,   357,   729,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,   730,   731,   732,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   734,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   755,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,   713,   216,
     217,   218,   219,   220,   714,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   715,     0,   238,
     239,   240,   241,   716,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,   717,   250,   251,     0,     0,     0,
     718,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,   719,
       0,   720,   295,   296,   297,     0,   298,   299,  2797,   300,
       0,   301,   302,   303,   304,   305,   721,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,   722,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,   723,   724,   325,   725,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,   726,   335,   727,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   728,   352,   353,
     354,   355,     0,   356,   357,   729,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,   730,   731,   732,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     733,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   734,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,   735,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     712,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,   219,
     220,   714,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   715,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,   251,     0,     0,     0,   718,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,   719,     0,   720,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   721,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   722,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,   726,   335,   727,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   728,   352,   353,   354,   355,     0,
     356,   357,   729,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,   730,   731,   732,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     734,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,   735,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   755,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   713,   216,   217,   218,   219,   220,   714,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   715,     0,   238,   239,   240,   241,   716,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,   717,   250,
     251,     0,     0,     0,   718,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,   719,     0,   720,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     721,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,   722,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,   723,   724,   325,   725,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,   726,
     335,   727,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   728,   352,   353,   354,   355,     0,   356,   357,   729,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,   730,   731,
     732,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   733,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   734,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,   735,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   755,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,   219,   220,   714,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   715,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,   251,     0,     0,
       0,   718,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   721,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,   726,   335,   727,     0,
     336,   337,   338,     0,     0,   339,   340,   791,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   728,   352,
     353,   354,   355,     0,   356,   357,   729,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,   730,   731,   732,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   734,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   755,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,   713,   216,   217,   218,
     219,   220,   714,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   715,     0,   238,   239,   240,
     241,   716,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,   717,   250,   251,     0,     0,     0,   718,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,   719,     0,   720,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   721,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,   722,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,   723,
     724,   325,   725,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,   726,   335,   727,     0,   336,   337,   338,
       0,     0,   339,   340,   864,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   728,   352,   353,   354,   355,
       0,   356,   357,   729,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,   730,   731,   732,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   733,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   734,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   735,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   712,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   220,   714,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   715,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,     0,     0,     0,   718,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     882,   721,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
     726,   335,   727,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   728,   352,   353,   354,   355,     0,   356,   357,
     729,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,   730,
     731,   732,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   734,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   712,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218,   219,   220,   714,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   715,
       0,   238,   239,   240,   241,   716,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   717,   250,   251,     0,
       0,     0,   718,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,   719,     0,   720,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   891,   721,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   722,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,   723,   724,   325,   725,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,   726,   335,   727,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   728,
     352,   353,   354,   355,     0,   356,   357,   729,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,   730,   731,   732,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   733,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   734,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,   735,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,  1823,
     233,   234,   235,   236,   237,     0,     0,  1898,   238,   239,
     240,   241,     0,   242,   243,  1824,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,  1899,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,  1826,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1827,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,  1828,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,  1823,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,  1824,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,  1899,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,  1826,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,  2735,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,  1827,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,  1828,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   647,   206,   207,   616,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,   617,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,   648,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   618,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   619,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,   616,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,   617,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,  2437,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   618,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   619,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,  1823,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,  1824,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,  1899,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,  1826,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
    1827,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,  1828,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,   616,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,   617,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     618,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   619,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,  1494,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,  1495,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,  1496,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,  1497,   294,
       0,     0,     0,  1498,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,  1499,  1500,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,  1501,   416,
     417,   418,   419,     0,  1502,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,  1503,   445,  1504,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,  1505,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,   617,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   618,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     619,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     3,     4,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,  2518,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,  2519,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,  2530,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,  2531,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,   542,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   543,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,   641,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   642,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     643,   452,     0,     0,   644,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,   671,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   672,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   673,   452,     0,
       0,   674,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   677,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   785,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   677,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
     875,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,  1081,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
    1092,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   658,   229,   230,
     231,  1093,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   661,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   662,   410,   411,   412,   413,   414,   663,
     416,   417,   418,   419,     0,   420,   421,   422,   423,  1085,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   665,   452,     0,     0,   666,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   667,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,  1189,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   677,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
    2345,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,  2346,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,  2347,   445,
     446,  2348,   448,  2349,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,  2350,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,   550,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,  3401,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,  3414,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,  3619,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,  3621,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,  3623,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,  3978,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   631,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   639,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   658,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     659,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   660,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   661,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   662,   410,   411,   412,   413,   414,
     663,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     664,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   665,   452,     0,     0,   666,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     667,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   689,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   761,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   782,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   793,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   843,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     887,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   893,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   902,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   904,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   906,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   908,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   911,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   913,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     914,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   917,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   658,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   661,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   662,
     410,   411,   412,   413,   414,   663,   416,   417,   418,   419,
       0,   420,   421,   422,   423,  1085,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   665,   452,
       0,     0,   666,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   667,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
    1378,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,  1405,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,  1433,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,  1435,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,  1437,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,  1528,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,  1796,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,     0,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   658,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   661,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   662,   410,   411,   412,   413,
     414,   663,   416,   417,   418,   419,     0,   420,   421,   422,
     423,  1085,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,  1814,   447,
     448,   449,   450,     0,   665,   452,     0,     0,   666,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   667,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   658,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   661,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   662,   410,   411,   412,   413,   414,  1874,   416,
     417,   418,   419,     0,   420,   421,   422,   423,  1875,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   665,   452,     0,     0,  1876,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   667,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,  2120,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
    2448,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   658,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   661,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   662,   410,   411,   412,   413,   414,   663,
     416,   417,   418,   419,     0,   420,   421,   422,   423,  1875,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   665,   452,     0,     0,  1876,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   667,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,  1333,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,     0,  1334,   714,  1335,  1336,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,  1337,  1338,   232,     0,
     233,   234,   235,   236,     0,     0,   715,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,   251,     0,     0,     0,   718,
       0,     0,     0,   252,   253,   254,   255,   256,   257,  1339,
    1340,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1008,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,     0,   285,   286,   287,     0,     0,   289,
       0,   290,  1341,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,     0,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,  1882,
     309,   310,   311,   312,   313,   314,     0,   315,   722,  1883,
     317,   318,   319,   320,  1342,  1343,     0,  1344,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   726,   335,   727,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1345,   728,  1346,   353,   354,
       0,     0,   356,   357,   729,   358,     0,     0,   360,  1347,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,  1884,   730,   731,   732,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,     0,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1348,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,  1885,
     427,   428,   734,   429,  1350,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1351,
    1352,     0,     0,   453,     0,   455,     0,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,     0,
    1353,  1886,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,     0,   199,     0,
       0,     0,     0,     0,     0,     0,   495,   496,   497,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
    2521,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,  2523,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,  2615,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,  1333,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,     0,  1334,
     714,  1335,  1336,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,  1337,  1338,   232,     0,   233,   234,   235,
     236,     0,     0,   715,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,     0,     0,     0,   718,     0,     0,     0,
     252,   253,   254,   255,   256,   257,  1339,  1340,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,  1008,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
       0,   285,   286,   287,     0,     0,   289,     0,   290,  1341,
     292,     0,   293,     0,   294,   719,     0,   720,   295,   296,
     297,     0,   298,     0,     0,   300,     0,   301,   302,   303,
     304,   305,   721,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,   722,     0,   317,   318,   319,
     320,  1342,  1343,     0,  1344,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   726,   335,   727,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1345,   728,  1346,   353,   354,     0,     0,   356,
     357,   729,   358,  1870,     0,   360,  1347,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,     0,
     730,   731,   732,     0,   371,   372,   373,   374,   375,   376,
     377,     0,   378,     0,   380,     0,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1348,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,  1885,   427,   428,   734,
     429,  1350,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,     0,   443,   444,  3267,   445,
     446,   447,   448,   449,   450,     0,  1351,  1352,     0,     0,
     453,     0,   455,     0,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,     0,  1353,     0,   476,
     735,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,     0,  1333,     0,     0,     0,     0,
       0,     0,     0,   495,   496,   497,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218,     0,  1334,   714,  1335,  1336,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,  1337,
    1338,   232,     0,   233,   234,   235,   236,     0,     0,   715,
       0,   238,   239,   240,   241,   716,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   717,   250,   251,     0,
       0,     0,   718,     0,     0,     0,   252,   253,   254,   255,
     256,   257,  1339,  1340,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,  1008,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,     0,   285,   286,   287,
       0,     0,   289,     0,   290,  1341,   292,     0,   293,     0,
     294,   719,     0,   720,   295,   296,   297,     0,   298,     0,
       0,   300,     0,   301,   302,   303,   304,   305,   721,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   722,     0,   317,   318,   319,   320,  1342,  1343,     0,
    1344,     0,   324,   723,   724,   325,   725,   326,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   726,   335,   727,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1345,   728,
    1346,   353,   354,  1933,     0,   356,   357,   729,   358,     0,
       0,   360,  1347,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,     0,   730,   731,   732,     0,
     371,   372,   373,   374,   375,   376,   377,     0,   378,     0,
     380,     0,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1348,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   733,   409,   410,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,  1349,   427,   428,   734,   429,  1350,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,  1351,  1352,     0,     0,   453,     0,   455,     0,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,     0,  1353,     0,   476,   735,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
       0,  1333,     0,     0,     0,     0,     0,     0,     0,   495,
     496,   497,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,   713,   216,   217,   218,
       0,  1334,   714,  1335,  1336,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,  1337,  1338,   232,     0,   233,
     234,   235,   236,     0,     0,   715,     0,   238,   239,   240,
     241,   716,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,   717,   250,   251,     0,     0,     0,   718,     0,
       0,     0,   252,   253,   254,   255,   256,   257,  1339,  1340,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,  1008,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,     0,   285,   286,   287,     0,     0,   289,     0,
     290,  1341,   292,     0,   293,     0,   294,   719,     0,   720,
     295,   296,   297,     0,   298,     0,     0,   300,     0,   301,
     302,   303,   304,   305,   721,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,   722,     0,   317,
     318,   319,   320,  1342,  1343,     0,  1344,     0,   324,   723,
     724,   325,   725,   326,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   726,   335,   727,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,  1345,   728,  1346,   353,   354,  3086,
       0,   356,   357,   729,   358,     0,     0,   360,  1347,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,     0,   730,   731,   732,     0,   371,   372,   373,   374,
     375,   376,   377,     0,   378,     0,   380,     0,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1348,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   733,   409,
     410,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,  1349,   427,
     428,   734,   429,  1350,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,  1351,  1352,
       0,     0,   453,     0,   455,     0,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,     0,  1353,
       0,   476,   735,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,     0,   199,     0,     0,
       0,     0,     0,     0,     0,   495,   496,   497,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,     0,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,     0,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,     0,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,  1333,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,     0,  1334,   714,  1335,  1336,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,  1337,  1338,
     232,     0,   233,   234,   235,   236,     0,     0,   715,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,   251,     0,     0,
       0,   718,     0,     0,     0,   252,   253,   254,   255,   256,
     257,  1339,  1340,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
    1008,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,     0,   285,   286,   287,     0,
       0,   289,     0,   290,  1341,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,     0,     0,
     300,     0,   301,   302,   303,   304,   305,   721,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,     0,   317,   318,   319,   320,  1342,  1343,     0,  1344,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   726,   335,   727,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1345,   728,  1346,
     353,   354,     0,     0,   356,   357,   729,   358,     0,     0,
     360,  1347,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,     0,   730,   731,   732,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
       0,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1348,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,  1349,   427,   428,   734,   429,  1350,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1351,  1352,     0,     0,   453,     0,   455,     0,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,     0,  1353,     0,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,     0,
    1333,     0,     0,     0,     0,     0,     0,     0,   495,   496,
     497,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,     0,
    1334,   714,  1335,  1336,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,  1337,  1338,   232,     0,   233,   234,
     235,   236,     0,     0,   715,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,   251,     0,     0,     0,   718,     0,     0,
       0,   252,   253,   254,   255,   256,   257,  1339,  1340,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,  1008,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,     0,   285,   286,   287,     0,     0,   289,     0,   290,
    1341,   292,     0,   293,     0,   294,   719,     0,   720,   295,
     296,   297,     0,   298,     0,     0,   300,     0,   301,   302,
     303,   304,   305,   721,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   722,     0,   317,   318,
     319,   320,  1342,  1343,     0,  1344,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   726,   335,   727,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1345,   728,  1346,   353,   354,     0,     0,
     356,   357,   729,   358,     0,     0,   360,  1347,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
       0,   730,   731,   732,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,     0,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1348,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,  1885,   427,   428,
     734,   429,  1350,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,  1351,  1352,     0,
       0,   453,     0,   455,     0,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,     0,  1353,     0,
     476,   735,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,     0,  1333,     0,     0,     0,
       0,     0,     0,     0,   495,   496,   497,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,     0,  1334,   714,  1335,  1336,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
    1337,  1338,   232,     0,   233,   234,   235,   236,     0,     0,
     715,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,   251,
       0,     0,     0,   718,     0,     0,     0,   252,   253,   254,
     255,   256,   257,  1339,  1340,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,  1008,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,     0,   285,   286,
     287,     0,     0,   289,     0,   290,  1341,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
       0,     0,   300,     0,   301,   302,   303,   304,   305,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,     0,   317,   318,   319,   320,  1342,  1343,
       0,  1344,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   726,   335,
     727,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1345,
     728,  1346,   353,   354,     0,     0,   356,   357,   729,   358,
       0,     0,   360,  1347,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,     0,   730,   731,   732,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,     0,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1348,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,     0,   427,   428,   734,   429,  1350,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,  1351,  1352,     0,     0,   453,     0,   455,
       0,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,     0,  1353,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,     0,  1333,     0,     0,     0,     0,     0,     0,     0,
     495,   496,   497,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,     0,     0,   714,     0,     0,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,     0,     0,   232,     0,
     233,   234,   235,   236,     0,     0,   715,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,   251,     0,     0,     0,   718,
       0,     0,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,     0,   285,   286,   287,     0,     0,   289,
       0,   290,     0,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,     0,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,     0,
     317,   318,   319,   320,     0,     0,     0,     0,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   726,   335,   727,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,     0,   728,     0,   353,   354,
       0,     0,   356,   357,   729,   358,     0,     0,   360,     0,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,     0,   730,   731,   732,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,     0,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,     0,
     427,   428,   734,   429,     0,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,     0,
       0,     0,     0,   453,     0,   455,     0,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,     0,
       0,     0,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   495,   496,   497
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-3711))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-2166))

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    47,    16,   659,   184,
     164,    11,    33,   892,    21,    24,   900,   928,   551,    26,
      20,   706,    20,   524,   172,   617,   618,   619,   711,   565,
     964,   623,   180,   569,   551,   950,  1176,   737,  1110,   896,
    1498,    42,   182,   579,  1599,  1112,    21,    47,   188,  1890,
    1891,    26,   836,    12,   587,   854,   196,   801,     7,  2202,
     977,  1349,  1219,  1210,   863,    14,   567,   780,  1306,   784,
    1143,  1035,   666,  1215,    17,  1215,  1387,  1228,  1387,   792,
    2484,  2360,  2534,  2758,  2536,  1402,   516,    22,  1006,  1007,
    1262,  1163,  1159,    20,  1932,    41,  2354,  1210,    33,   883,
    1366,  1387,  1387,  2024,  1534,  1979,   181,  1025,  1387,  1387,
    2965,   186,  2679,  1270,  1133,  1760,  2661,  2358,   920,  2182,
     195,  2409,     0,  3006,  1275,  1276,  2697,  3050,   841,   662,
     560,   844,   166,  2933,  2679,  2999,   849,   166,  1455,  2356,
    2357,  3229,   586,   856,  2402,   662,     0,  3268,  2938,  2939,
       0,  3247,   865,     0,  2293,  1202,     0,    38,   792,  1163,
     151,  2977,   753,  1404,  2871,  3470,   166,  1568,   703,   703,
    3662,     0,    11,  1411,     9,  2683,  2684,  2685,  2686,  2687,
    2688,  1582,    31,    44,     0,   995,   996,  3210,     0,    79,
       0,    37,     0,    58,    51,   105,    98,     9,  3908,    51,
      18,     0,     0,   173,   174,   103,   907,   177,   178,   127,
      22,  1021,    18,    35,    35,     5,    16,   918,   150,     5,
      51,     5,     5,    13,   194,  2063,     5,    13,    76,  1630,
      13,    72,    25,    22,   783,     5,    37,   786,    68,    11,
      29,   170,   834,     5,   190,   794,    76,   763,   189,     5,
       5,  1053,   110,   150,   145,    68,     0,  3791,     5,     5,
       5,   163,   105,   159,    36,     9,     5,    83,     5,     5,
       5,     5,     5,   129,   242,   103,  2415,   159,    22,    58,
    2486,     5,    96,   193,   152,    83,   150,   242,    68,    64,
    3173,  2129,   259,  2131,    66,     4,  3901,  1369,     5,   252,
       9,    52,   120,   242,   275,    68,  3861,     9,    23,    60,
     303,    22,    58,   230,   120,    96,   319,   219,   819,    76,
     222,   150,   232,   290,  3980,  3981,    42,    22,  1940,    18,
       5,   187,   132,   352,    29,    24,    32,   301,   150,   155,
     150,   170,   150,     5,     9,     5,   103,   103,   230,   524,
     193,   150,   319,  1097,  1054,    26,    27,   155,   170,    70,
     170,   279,   170,   511,   504,   901,    77,   303,   250,   509,
     280,   170,     3,     4,     5,   152,   384,     4,     9,  1079,
     248,  1993,     9,   916,    78,   150,    66,   259,  1352,   232,
      68,  1849,   567,   104,   150,   928,   252,     5,    76,   916,
     232,  3893,    11,   180,   232,   295,   150,   555,   310,   373,
     307,   430,   928,    11,   156,   111,   564,    22,   290,    11,
     956,  1339,  1340,   117,    29,   428,   170,    36,   103,  1347,
     966,   120,   108,   426,  1318,  1314,   372,   280,    36,   296,
     354,   103,   978,   103,   296,   150,   278,   522,   981,   230,
     166,   526,  3475,   259,   170,   426,  4011,    66,   426,   426,
     211,   378,   537,   174,   981,   296,  1533,   335,    66,   184,
     245,   426,   103,   197,   151,   232,   105,   430,   149,   307,
     151,   297,   378,   326,   290,  2993,   930,   426,   385,   430,
    2696,   207,   237,   255,   426,  1568,   378,   506,   638,   297,
     293,   430,   316,   303,   352,   407,   122,  3074,   426,  1582,
     366,  4167,   305,   319,    11,   413,   374,   339,   339,   659,
     430,   321,   352,   364,   426,  1309,  1593,  1337,  1338,  3074,
    4240,  1330,  1604,   379,     8,   426,  1346,   677,   327,   352,
     430,  4146,   551,   552,   514,  1258,   587,  1260,   518,   333,
     334,   352,   706,  1268,   372,  3889,  4090,   188,   698,  1092,
    1304,   426,   505,   356,   534,   426,   430,  1100,  1101,  3665,
    1637,   377,   352,   430,  1489,  1092,   392,   426,   430,  1095,
     211,  3464,   191,   422,  1100,  1101,   586,   587,   586,   352,
     425,   598,  1128,   600,   392,   602,   352,  1885,   589,   430,
     429,   608,  1459,  2441,  3404,   417,   418,   323,  3408,    11,
    3633,   427,  1246,   429,  1327,  1150,  1150,   429,  1209,   429,
    3327,   429,   631,   598,   335,   600,   585,   602,  1894,   427,
     429,   429,   327,   608,   609,   610,   426,   383,  3454,  1496,
     426,  1190,   651,   426,   819,  4137,   383,   426,  1505,   658,
     422,  3222,   661,   662,   663,  3678,   426,   413,   806,   393,
     587,   695,  2503,   612,  2505,   430,   695,  3972,   816,  2948,
    3241,   426,   428,   417,   418,  2933,  1192,   424,   412,   426,
     426,   428,   628,  3191,  1200,   429,   393,   426,   430,   426,
     426,   426,   426,   426,   191,   695,   372,   697,   697,   697,
     697,   697,   697,  1944,  1861,   412,   846,  4199,   417,   418,
     150,  4045,  2953,   384,  2635,   417,   418,  2638,  2639,   426,
    1421,  2642,   327,   871,   426,   430,   866,   867,   868,  1430,
    1532,  2652,  1534,  1434,  1250,   681,  1808,  1253,  1254,  1440,
    1441,  1242,  1544,  1890,   424,  3003,  1548,   376,   428,   426,
    1560,  1561,   417,   418,  1556,  1557,  1898,  1458,   685,    18,
     150,   108,    30,  3786,   710,   392,   103,  1569,  1570,    60,
    3793,   107,   388,  3758,   248,  3760,     5,    51,  1580,   660,
      96,    96,     5,   664,    97,    76,   417,   418,   763,   191,
     417,   418,    22,   230,   108,   765,   766,    60,   108,  1315,
       5,    96,  2640,  2641,  1808,   159,   752,     3,   417,   418,
     419,   420,   421,   422,  2369,   955,  1408,    96,    96,   697,
    2661,   419,   420,   421,   422,    51,   835,   419,   420,   421,
     422,   163,  1879,   158,   247,   103,   183,   977,  2679,   130,
     145,    96,  2981,   697,   141,   153,    34,   697,   103,  1921,
     697,  1502,  1503,   697,   190,    74,   147,   374,  2259,  2260,
     173,   120,   832,  2264,  4198,   838,   744,   130,  4202,   183,
     132,    18,    18,   183,  3278,   103,   230,    24,     8,    75,
     152,    11,   852,   853,   147,   252,   246,   219,    20,     8,
    1590,   246,    11,   112,   427,  1431,  3794,   430,    74,   869,
       3,   132,     5,  2304,  2305,  4239,  1442,   916,    40,   426,
      44,   208,   352,    74,   792,  2756,   245,  2059,  1454,   928,
     417,   418,   419,   420,   421,   422,  2098,   897,   898,   125,
     930,   874,   930,  1466,  4055,  4031,   112,   103,  1439,   413,
     414,   415,   309,   417,   418,   419,   420,   421,   422,  3749,
      83,   112,   961,   928,  3754,  3745,   230,  3757,    22,  1495,
      94,  2108,   352,  1499,   120,  1501,  1106,  3952,  1504,   102,
    3868,   408,   981,   120,   120,   312,   301,   232,   310,   175,
    3863,   169,   273,   396,   933,   342,   935,   292,   937,   989,
     939,   964,   941,   942,   943,    98,    18,  1427,   312,   948,
     133,   105,    24,  3678,   232,   342,   314,   144,   237,  1009,
     273,   258,  1053,  1153,   237,   417,   418,   419,   420,   421,
     422,  1465,   296,   413,   378,   372,   342,   342,   341,   342,
      98,   290,   237,   305,   142,   343,   266,   153,   428,  1039,
      74,   260,  4138,   380,    74,   319,  1055,   342,   182,   359,
    3502,   115,   184,  1053,  1755,   392,  1065,  4145,   372,   321,
     163,   191,   372,   342,   342,  1566,  1075,  1242,   264,   424,
     296,   237,   191,   428,  1214,  3973,   367,   332,   112,   151,
     335,  1221,   112,  1092,   260,  3983,  1095,  1096,   360,   426,
     321,  1100,  1101,   290,   250,   163,   230,   426,   120,   260,
     107,  3984,  1136,  1137,   367,  1139,  3970,  1136,  1137,  1249,
    1139,  4034,   259,   259,   150,   345,   219,   347,   248,   222,
    1095,   229,   319,   290,  4147,  1100,  1101,   346,  2046,   248,
    1121,   268,   426,   237,   170,   154,  1136,  1137,   294,  1139,
      11,  1281,   152,   290,   290,   413,  3404,  3426,    49,  3949,
    3408,   219,   319,   191,   222,  1295,   424,  3436,   426,   427,
     428,    60,   430,   319,  3452,    36,   252,   252,  1308,   365,
     346,   426,   319,   319,   308,   219,  1975,   373,     5,   312,
     376,  3422,     9,   190,  1157,   346,  2259,  2260,   115,   261,
     117,  2264,   211,  3434,    95,    66,   250,  4211,   314,   154,
    3417,   106,   352,   141,   103,   259,  1152,   310,   246,   342,
     170,   392,  2284,  3134,  4097,  1290,   108,  1192,  2290,  3140,
    3141,  3142,  3143,  3144,  3145,  1200,   260,   343,   120,   196,
     260,  2304,  2305,  3074,  2500,   292,   290,   259,   248,  4094,
    4095,  2507,   310,  2122,  1187,  3308,   362,   380,  2132,   430,
     105,  3818,   324,    83,  1224,     8,   211,  1266,    11,   392,
    1235,    95,   167,    11,  1439,  4279,   310,  1240,   290,  2126,
     208,   172,  1420,  3818,    95,  1250,   103,    22,  1253,  1254,
     430,  1429,  2081,  2082,  2083,  2084,  4169,   417,   418,   419,
     420,   421,   422,   426,  2093,   414,   415,   319,   417,   418,
     419,   420,   421,   422,   407,  3876,   244,  1277,  1278,  1279,
    1280,  1386,   346,   392,   393,   242,   346,   218,    66,   220,
     191,   192,   177,  1269,  1464,   155,   345,  1402,   347,   230,
     290,   385,  2116,   232,   294,   392,  2794,  1310,   237,   407,
    1315,   427,   427,  2988,   430,   430,  1316,  1317,  1897,  1850,
    1498,   370,  1322,   259,   175,  2502,  1329,   258,  2377,   319,
    1896,   305,  1502,  1503,   235,  4220,  3240,   386,  1246,   374,
     115,   313,   106,   430,   273,   230,  4259,   232,   270,  1388,
    1455,   313,   105,  1813,   218,  3815,   220,   286,   413,  2502,
     345,  1566,   347,    38,   295,  1944,  2826,   218,  1368,   220,
     342,  1374,  2713,   428,  2713,   429,  2578,   424,   105,  3839,
     342,   428,   356,   319,    59,   370,  1965,   170,   106,   259,
    2121,   426,  1392,  1393,  1394,  1395,  2228,  2713,  2713,   330,
    2587,  1947,   392,   167,  2713,  2713,  2137,  2138,   191,  1955,
    2141,  1957,   259,   133,   386,  1994,  2147,  3285,   145,  3287,
     290,  4022,  2853,  1426,   386,  2856,  2857,  2858,  2859,  2860,
    2861,  2862,  2863,  2864,  2865,  1465,  2783,  1465,   367,   115,
     193,   117,  4147,   290,  1444,  2277,    76,   294,   430,   167,
     177,   393,   129,  1453,   280,  2886,  3765,  3766,    11,     0,
    1460,  3749,  1632,   139,   141,   248,  3754,   354,   145,  3757,
     412,  1641,   319,  2204,  1525,  3909,  2308,   275,  1938,   232,
      75,   272,   374,    36,  2915,  2916,  1516,  1516,  1516,  1516,
    1516,  1516,   272,   321,     8,   321,  1475,    11,  1477,  3787,
    1479,  2446,  1481,   230,  1483,   232,  3988,   394,  1487,  1466,
     187,  2343,     8,    66,  1553,    11,   417,   418,   419,   420,
     421,   422,    36,  3696,   154,   241,   305,   280,    42,   124,
     279,   208,    28,   309,   426,  1511,   305,   233,   234,   197,
     259,  1546,  1547,   173,   372,   392,   372,   294,  2111,  1554,
     131,  1385,    66,  1558,  1559,   304,  2658,  2471,  1531,  1524,
    2508,   237,  2743,   354,  2111,  2746,   242,   244,  1573,  1403,
    1575,   290,   319,    84,   354,   252,  2678,   356,   426,  1609,
     159,   211,  2145,   115,   145,   117,  1756,   356,  1758,   259,
     171,  1596,   312,  1598,   155,   303,  2259,  2260,  2145,  1602,
     319,  2264,  3187,   394,  2170,   200,   201,  1607,  3781,   170,
    3783,   352,  1651,  3901,   394,   309,   312,  3485,  3486,   214,
     290,   251,   342,   331,  3575,  3576,  4060,   259,  2174,   292,
     413,   414,   415,   312,   417,   418,   419,   420,   421,   422,
     151,  2304,  2305,    57,    58,  1850,   342,  2461,   151,   319,
     392,   230,   166,     3,   145,  3964,   170,   356,   290,   259,
     380,  3949,   294,   342,   259,  1843,    20,   259,   179,    19,
     392,  1849,   392,  2848,   165,    80,   179,   191,   192,   173,
     259,   141,   358,   194,   380,   145,    40,   319,   430,   366,
     290,   194,   368,   207,   205,   191,   392,  2872,   290,  1804,
     232,   380,   205,   312,  1809,    73,   426,  1812,   430,   280,
     242,   290,  2393,   392,   165,   345,   227,   347,  2449,   319,
     291,   235,   115,     4,   117,    75,   356,   319,     9,  1834,
     426,  3027,   309,   342,   248,   246,  1773,   367,   299,  3007,
     370,    48,  2487,  2367,   315,  1915,   139,   426,   208,   344,
    2853,   346,   248,  2856,  2857,  2858,  2859,  2860,  2861,  2862,
    2863,  2864,  2865,  1868,   197,  1795,  1795,  1818,  1773,  1820,
    2515,   380,  3203,   393,   307,   125,   145,  2722,  2670,  2671,
    2672,   290,   393,  2886,   244,   294,  2888,  3372,    32,   300,
    1895,  2522,   412,  2524,  2325,    39,   165,   300,  2895,   378,
    1757,   412,   427,   246,   426,   430,   426,  2370,   251,   323,
     319,   344,  2915,  2916,  1919,   426,  3153,   426,  3155,   427,
     170,  3158,   430,  3160,  2370,   175,   600,   601,   602,   303,
     304,   605,   606,   607,  1939,  1874,     9,  1942,   425,   232,
     426,   615,   307,   430,   237,  1845,  1846,  1847,  3035,   242,
     303,   304,  1852,   307,  1854,  1960,  1856,  1857,  4146,   392,
     393,   427,   430,   374,   430,  1970,  2813,  2433,  2434,   421,
    2436,  3052,  3053,   141,   426,   246,   428,   145,  1983,   344,
    2611,  2875,  2876,   392,  1860,  2616,  2276,  1992,  2278,  2279,
     344,  3842,  2989,   426,  2064,   307,  2459,   344,   426,  1902,
     414,   415,    48,   417,   418,   419,   420,   421,   422,  2488,
    2819,   246,  2459,    38,   264,   425,   251,   413,   414,   415,
     430,   417,   418,   419,   420,   421,   422,   392,   393,   424,
      21,   426,   344,   428,     8,    26,   409,    11,   392,   393,
     208,  1980,  1947,  3374,  3375,   392,   393,  3818,  2691,  2913,
    1955,   301,  1957,  1953,     5,  3697,  3698,  3699,  3700,    10,
     427,   426,    36,   430,   193,   358,   427,    18,    42,   430,
      84,  3073,   426,  3075,   246,   368,   244,  2016,   428,   426,
     392,   393,   421,    34,   345,  2024,   347,   426,   307,   428,
     340,    60,    66,  4166,   392,   393,   427,    66,     0,   430,
     345,   249,   347,  2817,  2570,  3873,   249,    76,   427,  2009,
     427,   430,   352,   430,   426,   365,   145,  2017,  2018,  2019,
    2020,  2021,  2022,   373,   427,   344,   376,   430,  2206,   246,
     307,  2034,  3903,  2211,   103,  2766,   105,   151,  2043,  2770,
    2771,  2080,  2773,   427,  2775,  2776,   430,   410,   411,  3221,
    2882,  3369,   427,  2784,   128,   430,   307,   968,   969,  3004,
    3005,   427,   392,   393,   430,   179,  2105,   344,  2394,  2395,
    2100,  2100,  2111,   392,   393,   424,  3246,   426,  2067,   427,
     194,    83,   430,  2814,  3261,   427,   427,   409,   430,   430,
    2712,   205,   166,   344,   427,  3043,   170,   430,   249,     8,
    3203,  2101,    11,   426,    38,   428,  2145,   426,   177,   427,
     409,   427,   430,   227,   430,   392,   393,   191,   192,    28,
    2325,   427,   427,   427,   430,   430,   430,   129,  2128,  2692,
    2130,  2694,   419,   207,   427,   234,   193,   430,  2704,   141,
    2706,   392,   393,   145,   426,  2692,   428,  2694,   150,   426,
     149,   430,   427,   155,   307,   430,   158,   931,   160,   426,
     934,   235,   936,   232,   938,   345,   940,   347,   237,  2174,
     944,   427,    26,    27,   248,   426,  2354,  2347,   427,  2363,
     427,  2955,  2387,   430,    48,   187,   300,  3772,   150,  2192,
    2853,   344,  2755,  2856,  2857,  2858,  2859,  2860,  2861,  2862,
    2863,  2864,  2865,   427,   273,   429,   208,   427,  2755,  3150,
     430,   427,  2942,   312,   430,   427,   427,   286,   430,   430,
     189,  2221,   427,  2393,  2402,   430,  2792,   426,   428,    83,
    2945,  2946,   427,   427,   319,   430,   430,  2308,   427,   392,
     393,   430,   244,   342,   427,   395,  2812,   430,   102,   323,
     252,   427,  2915,  2916,   430,     0,   427,   427,   427,   430,
     430,   430,   427,   427,   427,   430,   430,   430,   345,   426,
     347,  3374,  3375,   426,  2820,   134,   428,  3708,  2308,   133,
     427,   380,   191,   430,   427,   427,  3717,   430,   430,   427,
     426,   429,  2322,   392,     8,   297,   427,    11,   367,   430,
     134,   134,    21,  3734,  3735,   427,   427,   427,   430,   430,
     430,  2341,   427,  2418,    28,   430,   246,  2348,  2349,  2350,
     427,  3418,   427,   430,  2354,   430,   427,   426,   427,   430,
     429,  2370,   427,   427,  2405,   430,   430,   145,    83,   248,
     342,   134,   105,   417,   418,   419,   420,   421,   422,    68,
     206,   374,  3449,  2383,  2383,  2383,  2383,  2383,  2383,   427,
     246,   426,   430,  2368,   366,  2370,   427,   427,   241,   430,
     430,  3859,  2402,   427,   427,  2405,   430,   430,    97,   700,
       8,   702,  3127,    11,   129,   427,   309,   389,   430,   391,
     392,   427,   427,   197,   430,   430,   141,   426,     8,   118,
     145,    11,  3409,  1584,  3411,   150,  1587,    60,    36,   392,
     155,    31,   232,   158,    42,   160,  3380,   395,    28,   426,
    2459,    38,   424,    38,   129,   427,   428,   429,   147,   361,
     259,    73,   145,   152,   276,   134,   141,   134,    66,   426,
     145,  3270,   187,   134,   395,   134,   134,   134,  2553,   430,
     134,   134,   246,   134,   134,  2560,  2661,   134,   312,  2462,
     246,   134,   134,   208,   342,   426,    31,  2467,   146,  2469,
    2470,   206,   246,   426,  2679,   145,   145,   191,     5,   198,
       5,   426,   187,   426,   145,  3587,   426,   426,   342,   269,
     426,   426,  3923,   426,     5,     5,     5,   426,   426,   244,
    3677,  2540,   426,   208,   413,   414,   415,   252,   417,   418,
     419,   420,   421,   422,   426,   426,   426,     5,   426,   426,
     426,   426,   426,   426,  3356,  2630,   380,   426,  2698,  2568,
     384,   426,   426,   426,   248,   426,   426,   426,   392,   244,
    3203,   256,   170,   430,    31,    86,   206,   252,    31,   145,
     244,  3282,   297,  2723,  2557,   145,  2559,   276,   319,  3290,
    3291,  2731,   352,   191,   192,  2735,     8,   352,   307,    11,
     428,   352,   426,   352,   307,   352,   352,   352,    76,  2749,
     307,   191,   301,   134,   246,   311,   352,  3150,   307,   203,
     352,   237,   352,    68,   313,   373,  2635,   342,   246,  2638,
    2639,   175,   242,  2642,  3150,  3708,   352,   235,   426,  2612,
     352,   426,    76,  2652,  3717,   259,  2794,   430,  2657,   374,
     248,   366,  2661,   342,   374,   344,    97,   352,   352,   352,
      48,  3734,  3735,  2636,    48,   352,   352,   250,   248,    37,
    2679,   352,   361,  2813,   389,   352,   391,   392,  3589,   352,
      37,   352,  3597,  2692,   352,  2694,  2661,   307,  3224,  3225,
     430,   366,   352,  2668,  2669,   246,   395,   386,  2673,   246,
     191,   392,   426,   383,  2679,   426,    31,   426,  2783,   424,
      30,    20,   427,   428,   429,   134,  2725,   232,   426,   374,
     103,   386,  2797,   385,   214,   242,   232,    31,   145,   413,
     414,   415,  2707,   417,   418,   419,   420,   421,   422,    31,
    2815,  3374,  3375,   197,   426,  2754,  2755,  3887,     8,   424,
     308,    11,   427,   428,   134,   134,   134,   374,   134,  3295,
    3296,  3297,   134,    44,   241,  2765,  2765,   374,    28,  2742,
    3470,   352,   236,   150,   426,   388,    36,   426,  3712,   191,
    3481,   350,    42,   409,  3300,  2933,   224,   224,    11,   430,
    2930,  2931,  2932,   319,  2767,   350,   352,   426,   426,   150,
     354,   164,   427,   430,    85,   164,    66,  2777,   430,   430,
    2780,  3512,  3513,   187,   247,   426,   242,   374,   427,   417,
     418,   419,   420,   421,   422,   352,    75,   352,   109,   307,
     426,   307,   374,   413,   414,   415,   248,   417,   418,   419,
     420,   421,   422,   124,   237,  2820,   195,   128,   195,   352,
    3923,  2821,   237,   426,   309,  3003,   197,   246,    38,  2832,
     326,   253,   237,   245,   352,   146,   430,  3568,  3569,   352,
     290,  3584,   307,   316,   280,   191,    31,   352,   352,  2852,
     161,   191,  2923,   191,   191,   374,   191,   374,   426,   245,
    2899,   413,  2933,    30,   424,   424,   352,   413,   426,  3074,
     352,   352,   352,   134,  2877,   316,   166,   145,   147,  4056,
     170,   242,   426,   316,   134,   162,   246,   246,   162,   392,
     145,    31,   134,  2923,  2925,  2926,  2927,  2928,   246,   246,
     316,   191,   192,  2933,   145,   170,   170,   170,  3853,  3440,
    2913,    19,   156,  2952,   430,   430,   395,   207,   221,   246,
      48,   342,   241,   150,   197,  3030,   237,   427,   430,   430,
    3762,   263,   427,   409,   245,   427,   427,   427,   427,   150,
     409,   352,   232,   389,    13,   235,   255,    13,   380,   427,
     427,  3682,   426,  3684,  3685,   427,   297,   427,   248,   389,
    3924,   251,   413,   208,  3695,   427,   427,   278,   427,   427,
     427,   413,   414,   415,   426,   417,   418,   419,   420,   421,
     422,  3547,  3548,   427,  3550,   173,   246,   249,   246,   426,
     134,   426,   395,   250,   352,   352,   352,   181,   237,   352,
     134,   134,  3107,   208,   371,  3110,   307,   352,   264,   352,
     264,   307,  3634,   216,   216,   216,   352,   319,   307,   352,
    3190,  3021,  3022,  3023,  3024,   307,  3589,  3991,   352,   352,
     134,  3995,  3996,   323,   352,  3074,   352,   352,   352,  3209,
     352,    21,    37,   191,   352,  3708,   191,     3,   191,   191,
     191,   424,  3091,  3090,   191,  3094,   191,  3096,   427,   310,
     222,  3231,   427,   361,  3777,    96,   292,   430,  4009,  3074,
     208,  3734,  3735,   427,    54,   392,   427,   426,   430,  3993,
     245,  3120,  3121,  3992,   413,  3090,   246,    67,    31,   159,
     374,   374,   307,   352,   307,  3134,  3928,   249,   307,   430,
      80,  3140,  3141,  3142,  3143,  3144,  3145,   132,   132,   191,
     126,  3150,  3999,   150,  4001,  3154,    11,   424,   145,   385,
      58,   427,   427,   413,   414,   415,   426,   417,   418,   419,
     420,   421,   422,   427,   427,  4237,   150,   158,   118,   427,
     430,   426,   247,   430,   145,  3150,   427,   427,    31,   427,
     374,   427,   374,   352,  3193,  3194,  3195,  3196,  3163,  3164,
     352,   181,   352,   361,   361,   352,   352,   147,   307,  3174,
     145,   307,   152,    66,   426,    96,   191,   426,   361,   427,
     427,   427,  4284,   191,   427,   425,  3917,   425,  3193,   426,
    4292,   427,   195,    22,    23,   395,   392,   430,    27,   145,
     430,  3201,    31,    32,    33,   176,    35,   427,    71,    38,
      39,  3892,    41,   344,    43,   427,   430,   316,   426,  3258,
     352,  3391,  3392,  3393,  3394,  3228,  3404,  3257,  3257,   155,
    3408,   150,   191,   191,   191,  3440,   191,   150,   427,   285,
    3971,    48,     0,   390,   426,   194,   427,   427,  3963,   427,
     426,   430,  4084,   194,   254,   426,    48,  3788,   160,   427,
    3923,   390,   413,   427,   242,   352,   150,   430,   248,   392,
      66,   175,   361,  4004,   237,   237,   430,  3316,   352,   134,
     430,   191,   110,   413,   237,   152,   150,   316,   374,   374,
      31,   121,  3823,   388,    96,  3300,   276,   150,   425,   392,
     426,   392,   426,   178,   249,   150,   426,   426,   285,   427,
     329,   379,   427,   426,   194,   426,  4225,   427,   391,   246,
     262,   427,   286,   145,   427,    83,   352,   307,   426,   426,
     392,    31,   237,   313,   173,     8,   316,   427,    11,   217,
     133,   250,   426,   172,   173,   174,   175,    48,   177,   178,
     304,   180,   304,   182,   426,   184,    48,   374,   252,   188,
     230,   190,   342,    36,   246,   194,   426,   196,   348,    42,
     344,   129,   140,    60,  3404,   249,  3942,  3380,  3408,   277,
      60,   361,   116,   141,   378,   285,  3952,   145,   379,   430,
      31,   150,   150,    66,   283,   145,   389,   155,  3437,   121,
     158,   175,   160,   392,   246,   246,   386,    31,   426,   249,
      48,  3462,   249,  3518,   427,   426,   303,  3447,  3447,  3456,
     427,   372,   108,    17,   426,  3530,   303,    28,   133,   187,
     277,  1293,  2066,  1101,   426,   756,  2370,  4003,  1928,  2515,
    3073,  1987,  2657,  3845,  3587,  3653,  4009,  4009,  3882,  3250,
     208,  3456,  3887,  3627,  3891,  2162,  2440,  4173,  3787,  4224,
    4129,  4128,   697,  4188,  4032,  2444,  3654,  3214,  2057,  2057,
    3069,  3508,  2535,  1389,  4096,  3219,  2052,  2724,  3221,  4229,
    3483,  4292,  4284,  2678,  2663,  4195,   244,  3825,  4219,  1381,
    4107,  4181,  3828,   166,   252,    26,  3969,   170,  3259,  3303,
    1891,  3261,   957,  3508,  4056,   552,  2614,  4207,  3511,  4075,
    3680,  4286,  4024,  1758,  1466,   676,  3521,  3522,   191,   192,
    3523,  3526,  3527,  1757,  2383,  3243,  3448,  2986,  2384,  1127,
     689,  1793,  2390,  1145,   207,  2396,  3575,  3576,  1146,   297,
    1792,  1148,  2410,  1776,  2933,  3950,  3410,  2402,  1152,  3549,
    3589,  2987,  2033,  3926,  3593,  4160,  3595,  2898,  2890,  3598,
    3599,  4092,   235,  3563,  3567,   681,  4161,  4164,  2387,  2230,
    2322,  3749,  3609,  2982,  2320,   248,  3754,  3761,  1633,  3757,
      -1,    -1,    -1,  3788,   342,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      31,    11,    -1,    -1,  3609,    -1,    -1,    -1,   366,  3787,
    3649,    -1,    -1,  3818,    -1,    -1,    -1,    -1,  3823,    50,
      -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,   389,    42,   391,   392,    -1,    -1,  3676,    -1,    -1,
      -1,    -1,    -1,    -1,  3822,    -1,    -1,    -1,    -1,    -1,
     323,    82,  3652,    -1,    -1,    -1,    66,    -1,  3697,  3698,
    3699,  3700,    18,    -1,    -1,    -1,   424,    -1,    24,   427,
     428,   429,    -1,    -1,    -1,   504,    -1,    -1,    -1,    -1,
     509,  3859,   511,    -1,    -1,   514,    -1,   516,    -1,   518,
      -1,    -1,  3862,    49,    -1,   524,    -1,    -1,   527,    -1,
      -1,    -1,    -1,    -1,    -1,   534,   137,    -1,    64,  3712,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,  3749,
      -1,    -1,  3892,  3901,  3754,    -1,   555,  3757,    -1,    -1,
      -1,   560,    -1,    -1,    -1,   564,    -1,   168,   567,    95,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
      -1,    -1,    -1,   582,    -1,    -1,   166,   113,    -1,    -1,
     170,    -1,    -1,    -1,   120,    -1,   197,   123,    -1,    -1,
      -1,  3949,   203,    -1,    -1,    -1,    -1,    -1,    -1,  3818,
      -1,   191,   192,    31,    -1,    -1,    -1,    -1,    -1,  3789,
    3790,  3791,    -1,    -1,    -1,  3774,    -1,   207,    -1,   628,
      -1,   232,    50,  3842,    -1,    -1,    -1,  3846,    -1,   638,
     639,    -1,  3982,  3818,    -1,    -1,   172,    -1,    -1,   175,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,   657,    -1,
     659,   660,    -1,    -1,    82,   664,    -1,    -1,   248,    -1,
      -1,    -1,    -1,    -1,  3874,  3874,    -1,    -1,   677,    -1,
      -1,    -1,   681,    -1,    -1,    -1,    -1,    -1,   687,    -1,
      -1,    -1,   218,   294,   220,    -1,    -1,   298,    -1,   698,
      -1,    -1,    -1,   304,   230,    -1,   232,    -1,    -1,    -1,
     311,   710,    -1,    -1,    -1,    -1,   242,  4092,   319,   137,
       8,    -1,    -1,    11,   250,    -1,    -1,   328,    -1,    -1,
    3900,    -1,   258,   259,    -1,   336,    -1,    -1,    -1,    -1,
      28,    -1,    -1,   323,    -1,    -1,    -1,    -1,    36,  3949,
     168,  3924,    -1,   752,    42,     8,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,   290,    -1,   765,   766,   294,   295,
      -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    66,   197,
      -1,  3954,    -1,    36,    -1,   203,   387,    -1,  4136,    42,
     391,   392,    -1,   319,    -1,    -1,    -1,    -1,  4146,    -1,
    4009,    -1,    -1,    -1,   330,    -1,    -1,   806,  3978,    -1,
      -1,    -1,    -1,    66,   232,    -1,    -1,   816,  3991,    -1,
     819,    -1,  3995,  3996,    -1,    -1,    -1,    -1,  4176,    -1,
    4000,    -1,  4002,   832,    -1,    -1,    -1,   417,   418,   419,
     420,   421,   422,    -1,    -1,    -1,    -1,   846,    -1,    -1,
      -1,   377,    -1,   852,   853,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   866,   867,   868,
     869,    -1,   871,    -1,    -1,    -1,   294,    -1,   166,    -1,
     298,    18,   170,    -1,    -1,    -1,   304,    24,    -1,    -1,
      -1,    -1,    -1,   311,    -1,    -1,    -1,   896,   897,   898,
      -1,   319,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,
     328,    -1,    -1,   166,    -1,    -1,    -1,   170,   336,   207,
    4090,   920,    -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,   192,
    4288,    -1,    -1,    -1,   232,    -1,    -1,   235,    -1,    -1,
      -1,   950,   951,    -1,   207,    -1,   955,    -1,   957,    -1,
     248,    -1,  4132,   251,    -1,    -1,    -1,    -1,    -1,   387,
      -1,    -1,    -1,   391,    -1,   974,   113,    -1,   977,   232,
      -1,   980,   235,   120,    -1,    -1,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   993,   248,    -1,    -1,   251,    -1,
      -1,  4242,    -1,    -1,    -1,    -1,    -1,  4207,  4207,  4207,
    4207,  4207,  4207,    -1,  4184,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1022,    -1,    -1,    -1,    -1,  4237,    -1,
      -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,   175,    -1,
      -1,    -1,  4242,  4242,  4242,  4242,  4242,  4242,    -1,    -1,
      -1,  1050,  1051,    -1,  1053,    -1,  4226,    31,    -1,    -1,
      -1,    -1,  4237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     323,  1070,    -1,    -1,    -1,  4284,    50,    -1,    -1,    -1,
      -1,    -1,    -1,  4292,    -1,    -1,  4286,  4286,  4286,  4286,
    4286,  4286,    -1,   230,    -1,   232,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   242,    -1,  1106,    82,  4284,
    1109,    -1,    -1,   250,    -1,    -1,    -1,  4292,    -1,    -1,
      -1,    -1,   259,    -1,    -1,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,    -1,    -1,    -1,    -1,  1138,
      -1,    -1,   430,  1142,  1143,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1152,  1153,  1154,    -1,   294,    -1,    -1,
     413,   414,   415,   137,   417,   418,   419,   420,   421,   422,
      -1,  1170,   425,    -1,    -1,    -1,    -1,    -1,   431,    -1,
      -1,    50,   319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1202,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    82,    -1,  1214,  1215,    -1,    -1,    -1,
      -1,    -1,  1221,   197,    -1,  1224,    -1,    -1,    -1,   203,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,     8,
     377,    -1,    11,  1242,    -1,    -1,    -1,    -1,    -1,    -1,
    1249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,    28,
      -1,    -1,    31,    -1,    -1,    -1,    -1,    36,   137,    -1,
    1269,    -1,    -1,    42,     8,    -1,    -1,    11,  1277,  1278,
    1279,  1280,  1281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1292,    28,    -1,  1295,    66,    -1,   168,
      -1,    -1,    36,    -1,    -1,    -1,    -1,  1306,    42,  1308,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1316,  1317,    -1,
     294,    -1,    -1,  1322,   298,    -1,    -1,    -1,    -1,    -1,
     304,    -1,    66,    -1,   203,    -1,    -1,   311,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   319,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   336,   232,    -1,    -1,    -1,    -1,    -1,  1368,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1392,  1393,  1394,  1395,   166,    -1,    -1,
      -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1411,   387,    -1,    -1,    -1,   391,    -1,    -1,
      -1,  1420,   191,   192,    -1,   294,    -1,   296,  1427,   298,
    1429,    -1,   166,    -1,    -1,   304,   170,    -1,   207,    -1,
    1439,    -1,   311,    -1,    -1,  1444,    -1,    -1,    -1,    -1,
     319,    -1,    -1,    -1,  1453,    -1,    -1,   191,   192,   328,
    1459,  1460,    -1,   232,    -1,  1464,   235,   336,    -1,    -1,
      -1,    -1,    -1,   207,    -1,    -1,    -1,    -1,    -1,   248,
      -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1489,    -1,    -1,    -1,    -1,    -1,    -1,  1496,   232,  1498,
      -1,   235,    -1,  1502,  1503,    -1,  1505,    -1,    -1,    -1,
      18,    -1,  1511,    -1,   248,    -1,    24,   251,   387,    -1,
      -1,    -1,    -1,    -1,    -1,  1524,  1525,    -1,    -1,  1528,
      -1,    -1,    -1,  1532,    -1,  1534,    -1,    -1,    -1,    -1,
      -1,    -1,  1541,    -1,    -1,  1544,    -1,    -1,    -1,  1548,
      -1,    -1,    -1,    -1,   323,    -1,    64,  1556,  1557,    -1,
      -1,    -1,    -1,    -1,    -1,  1564,    -1,  1566,  1567,  1568,
    1569,  1570,    -1,    -1,    -1,    -1,    -1,    -1,  1577,  1578,
      -1,  1580,    -1,  1582,  1583,    -1,    -1,  1586,    -1,   323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1603,   113,    -1,    -1,  1607,  1608,
      -1,    -1,   120,  1612,    -1,   123,    -1,  1616,    -1,  1618,
    1619,  1620,  1621,  1622,  1623,  1624,  1625,  1626,    -1,  1628,
      -1,    -1,    -1,  1632,  1633,    -1,  1635,    -1,    -1,    -1,
      -1,    -1,  1641,    -1,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     0,    -1,    -1,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,    14,
      -1,    -1,    -1,   427,    -1,    -1,    -1,    -1,    -1,    24,
      -1,    26,    27,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,
      -1,    -1,   230,    -1,   232,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   242,    -1,    61,    -1,    63,    64,
      -1,    -1,   250,    -1,    69,    -1,    71,    -1,    -1,    -1,
      -1,   259,    -1,    -1,    -1,    -1,    81,  1756,    83,  1758,
      -1,  1760,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    99,    -1,    -1,   102,    -1,    -1,
      -1,    -1,   290,    -1,    28,    -1,   294,    -1,    -1,   114,
      -1,   116,    36,    -1,    -1,   120,    -1,  1796,    42,  1798,
      -1,   126,    -1,    -1,    -1,    -1,    -1,    -1,   133,    -1,
     135,   319,    -1,    -1,  1813,    -1,   141,    -1,    -1,  1818,
      -1,  1820,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1837,    -1,
      -1,    -1,    -1,    -1,  1843,    -1,  1845,  1846,  1847,    -1,
    1849,  1850,    -1,  1852,    -1,  1854,    -1,  1856,  1857,    -1,
      -1,  1860,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,
      -1,    -1,    50,     8,    -1,    -1,    11,    -1,    -1,    -1,
    1879,    -1,    -1,    -1,   209,   210,    -1,    -1,    -1,    -1,
     215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   223,  1898,
      -1,    36,    -1,    -1,    82,  1904,    -1,    42,    -1,   234,
    1909,    -1,    -1,    -1,    -1,    -1,  1915,    -1,    -1,    -1,
      -1,    -1,   166,    -1,    -1,    -1,   170,    -1,    -1,    -1,
      -1,    66,  1931,  1932,    -1,    -1,    -1,    -1,    -1,  1938,
      -1,    -1,    -1,    -1,    -1,    -1,   271,   191,   192,    -1,
      -1,    -1,    -1,    -1,  1953,    -1,    -1,   282,    -1,   137,
      -1,    -1,   287,   207,   289,    -1,    -1,    -1,    -1,   294,
      -1,    -1,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,
    1979,   306,  1981,  1982,    -1,    -1,   311,   312,   232,    -1,
     168,   235,    -1,   128,   319,    -1,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,   248,   330,    -1,   251,    -1,    -1,
    2009,    -1,    -1,    -1,    -1,    -1,    -1,   342,  2017,  2018,
    2019,  2020,  2021,  2022,    -1,   203,    -1,    -1,    -1,    -1,
      -1,   166,    -1,  2032,   359,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   369,    -1,    -1,    -1,     8,    -1,
     375,    11,    -1,    -1,   232,   380,   191,   192,    -1,    -1,
    2059,    -1,    -1,    -1,  2063,  2064,    -1,   392,    28,  2068,
      -1,    -1,   207,    -1,    -1,    -1,    36,    -1,    -1,   323,
      -1,   259,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,  2094,    -1,    -1,    -1,    -1,
     235,   426,  2101,  2102,   429,    -1,    66,    -1,    -1,    -1,
      28,    -1,   290,   248,    -1,    -1,   294,    -1,    36,    -1,
     298,    -1,    -1,    -1,    42,    -1,   304,  2126,    -1,  2128,
    2129,  2130,  2131,   311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   319,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,
     328,  2150,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,
      -1,    -1,    -1,  2162,    -1,    -1,    -1,    -1,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,    -1,
      -1,    -1,    -1,   427,    -1,    -1,    -1,    -1,   323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   838,    -1,    -1,    -1,    -1,   166,  2206,    -1,   387,
     170,    -1,  2211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2221,    -1,    -1,    -1,    -1,    -1,    -1,  2228,
    2229,   191,   192,    -1,    -1,  2234,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,   207,   166,    -1,
      -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2259,  2260,    28,    -1,    -1,  2264,    -1,    -1,    -1,    -1,
      36,    -1,   232,   191,   192,   235,    42,  2276,  2277,  2278,
    2279,    -1,   417,   418,   419,   420,   421,   422,   248,   207,
    2289,   251,    21,  2292,    -1,  2294,  2295,    -1,    -1,    -1,
      66,    -1,    -1,    -1,    33,  2304,  2305,    -1,    -1,  2308,
      -1,    -1,    -1,    -1,   232,    -1,    -1,   235,    -1,    -1,
      -1,    -1,  2321,    -1,  2323,    54,  2325,   964,  2327,    -1,
     248,    -1,    -1,   251,    -1,    -1,    -1,    -1,    67,    -1,
      -1,    -1,    -1,    -1,  2343,    -1,    -1,    -1,  2347,    -1,
       8,    80,    -1,    11,    -1,  2354,    -1,  2356,  2357,  2358,
      -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    97,    -1,
      28,    -1,    -1,    -1,  2373,    -1,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    -1,    42,  2384,    -1,    -1,    -1,   118,
    2389,    -1,    -1,    -1,  2393,    -1,    -1,  2396,    -1,    -1,
     166,    -1,    -1,  2402,   170,   323,  2405,   136,    66,    -1,
    2409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,   152,    -1,   191,   192,    -1,    -1,   158,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2439,   207,  2441,    -1,   173,    -1,    -1,  2446,    -1,    -1,
      -1,    -1,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,    -1,    -1,    -1,   232,   427,  2467,   235,
    2469,  2470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   248,    -1,    -1,   251,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,    -1,    -1,    -1,   166,   427,
      -1,    -1,   170,    -1,    -1,    -1,     7,    -1,    -1,   248,
    1157,    -1,    13,    14,    -1,    -1,    -1,    -1,    19,   258,
      21,    -1,    -1,   191,   192,    26,    -1,    28,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,   207,
      -1,    -1,    -1,    -1,    -1,    46,    -1,   323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   301,  1210,   232,    -1,   305,   235,   307,    -1,
      -1,    -1,    -1,    -1,   313,    -1,    -1,   316,    -1,    -1,
     248,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   342,    -1,   344,    -1,    -1,    -1,   348,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   356,    -1,    -1,
      -1,    -1,   361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2640,  2641,    -1,   373,    -1,    -1,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,   386,    -1,    -1,
      -1,   427,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1310,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,   178,    11,    -1,
      -1,    -1,  1329,    -1,    -1,    -1,   187,    -1,   189,  2698,
     191,    -1,   193,    -1,    -1,    28,    -1,    -1,    -1,    -1,
      -1,    -1,  1349,    36,    -1,    -1,    -1,    -1,    -1,    42,
      -1,    -1,    -1,  2722,  2723,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2731,    -1,    -1,    -1,  2735,  1374,    -1,    -1,
      -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,
    2749,    -1,    -1,    -1,    -1,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,    -1,    -1,    -1,    -1,   427,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2777,    -1,
      -1,  2780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1426,
      -1,    -1,    -1,    -1,    -1,  2794,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2813,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2821,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2839,    -1,    -1,   166,    -1,    -1,  2845,   170,  2847,    -1,
      -1,    -1,    -1,    -1,  2853,    -1,    -1,  2856,  2857,  2858,
    2859,  2860,  2861,  2862,  2863,  2864,  2865,    -1,   191,   192,
    2869,  2870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2882,   207,    -1,    -1,  2886,    -1,    -1,
      -1,  2890,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2900,    -1,    -1,  2903,    -1,  2905,    -1,    -1,   232,
      -1,    -1,   235,    -1,    -1,  2914,  2915,  2916,    -1,    -1,
      -1,  2920,    -1,    -1,  2923,   248,    -1,    -1,   251,    -1,
      -1,  2930,  2931,  2932,  2933,  2934,    -1,    -1,    -1,  2938,
    2939,    -1,    -1,    -1,  2943,    -1,    -1,    -1,    -1,    18,
    2949,    -1,  2951,    -1,  2953,    24,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1602,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2976,    -1,    -1,
      49,    -1,    -1,  2982,    -1,    -1,    -1,  2986,    -1,  2988,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,  1635,    -1,
     323,    -1,    -1,    -1,  3003,  3004,  3005,    -1,  3007,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   512,  3021,  3022,  3023,  3024,    95,    -1,   519,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,   529,    -1,
      -1,    -1,   533,    -1,   113,    -1,    -1,    -1,    -1,    -1,
      -1,   120,   543,    -1,   123,    -1,    -1,    -1,    -1,    -1,
    3059,    -1,    -1,    -1,    -1,   556,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   570,
      -1,    -1,   573,    -1,   575,    -1,   577,    -1,    -1,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
      -1,    -1,    -1,   172,   427,    -1,   175,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,   612,    -1,    -1,    -1,  3124,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      36,    -1,    -1,   634,    -1,   636,    42,    -1,    -1,   218,
      -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   230,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,
     259,  3190,    -1,    -1,    -1,    -1,    -1,    -1,   689,    -1,
      -1,    -1,  3201,    -1,  3203,    -1,    -1,    -1,    -1,    -1,
    3209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   290,  3221,    -1,    -1,   294,   295,    -1,    -1,    -1,
      -1,    -1,  3231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3240,    -1,    -1,    -1,    -1,    -1,  3246,  1885,    -1,
     319,  3250,    -1,  1890,  1891,     8,    -1,    -1,    11,    -1,
      -1,   330,    -1,  3262,  3263,  1902,    -1,    -1,    -1,    -1,
     166,    -1,    -1,    -1,   170,    28,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    36,    -1,    -1,  3285,    -1,  3287,    42,
      -1,    -1,    -1,    -1,    -1,   191,   192,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   795,    -1,    -1,    -1,   377,    -1,
      -1,   207,    -1,    66,    -1,    -1,    -1,    -1,    -1,   810,
    3319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     821,    -1,    -1,    -1,    -1,    -1,   232,   828,    -1,   235,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   840,
      -1,    -1,   248,    -1,    -1,   251,    -1,  3356,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3366,  3367,    -1,
      -1,    -1,    -1,    -1,    -1,  3374,  3375,    -1,    -1,    18,
    3379,   872,    -1,    -1,    -1,    24,  3385,  3386,    -1,    -1,
    3389,    -1,  3391,  3392,  3393,  3394,    -1,  2034,    -1,  3398,
       8,    -1,  3401,    11,    -1,  3404,    -1,    -1,    -1,  3408,
      -1,    -1,    -1,   166,    -1,  3414,    -1,   170,  3417,    -1,
      28,    -1,    -1,  3422,    -1,    64,    -1,   323,    36,  3428,
      -1,    -1,    -1,    -1,    42,  3434,    -1,    -1,   191,   192,
      -1,  3440,   933,    -1,   935,    -1,   937,    -1,   939,  3448,
     941,   942,   943,  3452,   207,    -1,    -1,   948,    66,    -1,
      -1,    -1,    -1,  3462,    -1,    -1,  3465,    -1,    -1,    -1,
      -1,  2108,    -1,    -1,   113,    -1,    -1,    -1,    -1,   232,
      -1,   120,   235,    -1,   123,    -1,  3485,  3486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,   251,    18,
      -1,     8,    -1,    -1,    11,    24,    -1,    -1,    -1,    -1,
    3509,    -1,    -1,    -1,    -1,    -1,    -1,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,    -1,    -1,    36,
      -1,   427,    -1,    -1,    -1,    42,   175,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,
    3549,    -1,    -1,    -1,    -1,  2192,    -1,    -1,   166,    66,
      -1,    -1,   170,    -1,  3563,    -1,    -1,    -1,    -1,    -1,
     323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,
      -1,   230,    -1,   232,   113,    -1,    -1,    -1,  3597,   207,
      -1,   120,    -1,   242,   123,    -1,    -1,    -1,    -1,    -1,
      -1,   250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     259,    -1,    -1,    -1,   232,    -1,  3625,   235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1127,    -1,    -1,    -1,
     248,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   290,    -1,  3652,  3653,   294,   175,    -1,    -1,   166,
     413,   414,   415,   170,   417,   418,   419,   420,   421,   422,
      -1,    -1,    -1,    -1,   427,    -1,    -1,    -1,    -1,    -1,
     319,  3680,    -1,    -1,   191,   192,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1188,    -1,    -1,
     207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3708,
      -1,   230,    -1,   232,    -1,   323,    -1,    -1,  3717,  2356,
    2357,  2358,    -1,   242,    -1,   232,    -1,    -1,   235,    -1,
      -1,   250,    -1,    -1,    -1,  3734,  3735,    -1,   377,  3738,
     259,   248,    -1,    -1,    -1,    -1,  3745,    -1,    -1,    -1,
    3749,    -1,    -1,    -1,    -1,  3754,    -1,    -1,  3757,  3758,
      -1,  3760,    -1,  3762,  3763,    -1,    -1,    -1,    -1,    -1,
      -1,   290,    -1,    -1,    -1,   294,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3787,  3788,
    3789,  3790,  3791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     319,    -1,    -1,    -1,    -1,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,    -1,   323,    -1,    -1,   427,
      -1,    -1,    -1,  3822,  3823,  2462,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3853,    -1,    28,    -1,   377,    -1,
    3859,    -1,    -1,  3862,    36,  2502,  2503,    -1,  2505,    -1,
      42,    -1,    -1,    -1,  3873,    -1,  3875,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1377,    -1,  3887,     8,
      -1,    -1,    11,  3892,    66,    -1,    -1,    -1,    -1,  1390,
      -1,  3900,  3901,    -1,    -1,    -1,   413,   414,   415,    28,
     417,   418,   419,   420,   421,   422,    -1,    36,    -1,    -1,
    2557,    -1,  2559,    42,  3923,    -1,    -1,  3926,    -1,  3928,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1428,    -1,    -1,
      -1,  1432,    -1,    -1,    -1,    -1,  3945,    66,    -1,    -1,
    3949,    -1,  1443,  3952,  1445,    -1,  1447,    -1,    -1,  3958,
      -1,  1452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2612,    -1,    -1,    -1,  3978,
      -1,    -1,    -1,  3982,  1475,    -1,  1477,    18,  1479,    -1,
    1481,    -1,  1483,    24,   166,    -1,  1487,    -1,   170,  2636,
    3999,  4000,  4001,  4002,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,
     192,    -1,    -1,    -1,  2661,    -1,    -1,    -1,    -1,    -1,
    4029,    -1,    -1,    64,    -1,   207,    -1,    -1,    -1,    -1,
      -1,    -1,  2679,    -1,    -1,    -1,    -1,   166,    -1,    -1,
      -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     232,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   191,   192,    -1,    -1,   248,    -1,    -1,   251,
      -1,    -1,   113,    -1,    -1,  4084,    -1,    -1,   207,   120,
      -1,  4090,   123,  4092,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4101,    -1,    -1,  2742,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   232,    -1,    -1,   235,    -1,    -1,  2756,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   248,
    2767,    -1,   251,  4132,    -1,    -1,    -1,  4136,    -1,    -1,
      -1,    -1,    -1,    -1,   175,    -1,    -1,  4146,    -1,    -1,
      -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4160,    -1,    -1,  4163,  4164,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,  4176,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4184,    -1,    -1,    28,    -1,
      -1,    -1,    -1,    -1,    -1,  2832,    36,    -1,    -1,   230,
      -1,   232,    42,     8,   323,    -1,    11,    -1,    -1,    -1,
      -1,   242,  4211,    -1,    -1,  2852,    -1,    -1,    -1,   250,
      -1,    -1,  4221,    28,    -1,    -1,    66,  4226,   259,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,
    2877,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,    -1,    -1,    -1,    -1,   427,    -1,    -1,    -1,   290,
      -1,    66,    -1,   294,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2913,   838,    -1,    -1,
    4279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,  4288,
      -1,    -1,    -1,    -1,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,    -1,    -1,    -1,    -1,   427,    -1,
      -1,    -1,    -1,    -1,  1805,  1806,  2953,    -1,    -1,  1810,
    1811,    -1,    -1,  1814,    -1,    -1,   166,    -1,    -1,    -1,
     170,    -1,    -1,  1824,    -1,    -1,    -1,    -1,    -1,    -1,
    1831,    -1,    -1,    -1,  1835,  1836,   377,    -1,  1839,  1840,
    1841,   191,   192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1851,   166,  1853,    -1,    -1,   170,    -1,   207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1869,    -1,
      -1,    -1,    -1,  1874,    -1,    -1,   191,   192,    -1,    -1,
      -1,    -1,   232,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,    -1,   207,   964,    -1,    -1,    -1,    -1,   248,    -1,
      -1,   251,    -1,    -1,  1905,  1906,  1907,  1908,    -1,    -1,
      -1,  1912,  1913,    -1,    -1,    -1,    -1,   232,    -1,  1920,
     235,    -1,  1923,    18,    -1,    -1,  1927,  3074,    -1,    24,
      -1,    -1,    -1,   248,    -1,    -1,   251,    -1,    -1,    -1,
      -1,    -1,  1943,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1954,    -1,  1956,    -1,    -1,    -1,    -1,
    1961,    -1,    -1,    -1,    -1,  1966,  1967,  1968,  1969,    64,
    1971,    -1,    -1,   323,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,  1984,  1985,  1986,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1995,  1996,    28,    -1,    -1,    -1,
      32,    -1,    -1,     8,    36,    -1,    11,    -1,   323,    -1,
      42,    -1,    -1,   172,    -1,    -1,    -1,    -1,   113,    -1,
      18,   180,   181,    28,  1095,   120,    24,   186,   123,    -1,
      -1,    36,    -1,    -1,    66,    -1,   195,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2055,    -1,    -1,    -1,    -1,    -1,
      -1,    66,    -1,   413,   414,   415,    64,   417,   418,   419,
     420,   421,   422,    -1,    -1,    -1,    -1,   427,    -1,   111,
     175,  3228,    -1,    -1,    -1,    -1,  1157,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,    -1,    -1,
     425,    -1,    -1,    -1,  3261,   113,    -1,    -1,    -1,    -1,
      -1,    -1,   120,    -1,    -1,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   166,   230,    -1,   232,   170,  1210,
     145,    -1,    -1,    -1,    -1,   150,    -1,   242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   250,    -1,    -1,    -1,   191,
     192,   166,    -1,    -1,   259,   170,    -1,    -1,    -1,  1240,
      -1,    -1,    -1,    -1,    -1,   207,    -1,   175,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   191,   192,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   290,    -1,  2198,    -1,   294,
     232,    -1,   207,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,   251,
      -1,    -1,  3369,    -1,   319,    -1,    -1,   232,    -1,    -1,
     235,    -1,   230,  3380,   232,    -1,    -1,    -1,    -1,  1310,
      -1,    -1,    -1,   248,   242,    -1,   251,    -1,    -1,    -1,
      -1,    -1,   250,    -1,    -1,    -1,    -1,    -1,  1329,    -1,
      -1,   259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3417,    -1,    -1,    -1,    -1,  3422,    -1,     8,  1349,    -1,
      11,    -1,   377,    -1,    -1,    -1,    -1,  3434,    -1,    -1,
      -1,   323,   290,    -1,    -1,    -1,   294,    28,    -1,    -1,
      -1,    -1,    -1,  1374,    -1,    36,    -1,    -1,    -1,    -1,
       8,    42,    -1,    11,    -1,    -1,    -1,    -1,   323,    -1,
      -1,   319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    -1,    66,  3483,    -1,    36,    -1,
      -1,    -1,   374,    -1,    42,    18,    -1,    -1,    -1,    -1,
      -1,    24,   511,    -1,    -1,  1426,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   522,  3511,    -1,    -1,   526,    66,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3523,    -1,   537,   377,
      -1,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,    64,   551,    -1,    -1,    -1,   555,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   564,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,  2419,  2420,
    3567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   587,    -1,
      -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,   170,
     113,    -1,    -1,    -1,    -1,    -1,   144,   120,    -1,    -1,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     191,   192,    -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,
      -1,    -1,   170,    -1,    -1,    -1,   207,    -1,  2479,  2480,
      -1,    -1,    -1,  2484,    -1,    -1,    -1,    -1,  2489,  2490,
    2491,    -1,    -1,   191,   192,    -1,    -1,    -1,   657,    -1,
      -1,   232,   175,   662,   235,    -1,    -1,    -1,    -1,   207,
      -1,    -1,    -1,    -1,    -1,     8,    -1,   248,    11,    -1,
     251,    -1,    -1,    -1,  2525,  2526,  2527,  2528,   687,    -1,
    3677,  1602,    -1,    -1,   232,    28,    -1,   235,    31,   270,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,
     248,    -1,    -1,   251,    -1,    -1,    18,   230,    -1,   232,
    2561,    -1,    24,    -1,    -1,  3712,    -1,    -1,    -1,   242,
     268,    -1,    -1,    66,    -1,    -1,    -1,   250,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   259,    -1,    -1,    -1,
      -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    -1,    -1,   337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   290,    -1,    -1,
      -1,   294,  2623,    -1,    -1,   323,    -1,    -1,    -1,    -1,
    2631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   319,   806,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,   816,   120,    -1,
      -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3818,    -1,   166,    -1,    -1,    -1,   170,    -1,   838,
      -1,    -1,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,  2693,    -1,    -1,    -1,    -1,    -1,   191,   192,
      -1,    -1,  2703,    -1,   377,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   871,   175,   207,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,    -1,    -1,    -1,    -1,  2730,
      -1,  2732,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,
      -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   248,  3903,   916,   251,    -1,
      -1,   920,    -1,    -1,    -1,    -1,    -1,  2768,   230,   928,
     232,    -1,    -1,    -1,    -1,    -1,    -1,  3924,    -1,    -1,
     242,  2782,    -1,    -1,    -1,    -1,    -1,    -1,   250,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   259,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   964,    -1,  3954,    -1,    -1,
      -1,    -1,    -1,    -1,  1885,    -1,    -1,    -1,    -1,  1890,
    1891,    -1,   981,    -1,    -1,    -1,    -1,    -1,   290,    -1,
     323,  1902,   294,    -1,   993,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,  3991,    -1,    -1,    -1,  3995,  3996,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,    -1,    28,
      -1,    -1,    31,  1022,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1050,  1051,    -1,  1053,    -1,    -1,    66,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4056,
       8,  1070,    -1,    11,    -1,   377,    -1,    -1,    -1,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
      28,    -1,    -1,  1092,    -1,    -1,    -1,    -1,    36,    -1,
      -1,  1100,  1101,    -1,    42,    -1,    -1,    -1,    -1,    -1,
    1109,  1110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2034,    -1,    -1,    -1,    -1,    66,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1138,
      -1,    -1,    -1,  1142,  1143,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   166,  1157,    -1,
      -1,   170,    -1,    -1,  1163,    -1,    -1,    -1,    -1,  3010,
      -1,  3012,    -1,    -1,    -1,  3016,    -1,    -1,    -1,    -1,
      -1,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,    -1,
    3031,    -1,    -1,    -1,    -1,    -1,    -1,  2108,   207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3048,    -1,    -1,
      -1,  1210,    -1,    -1,    -1,    -1,  3057,    -1,    -1,    -1,
      -1,    -1,    -1,   232,    -1,    -1,   235,    -1,   166,    -1,
      -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,   248,
      -1,  1240,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   191,   192,    -1,  3097,  3098,  3099,  3100,
    3101,  3102,  3103,    -1,    -1,    -1,    -1,  3108,  3109,   207,
    3111,  3112,  3113,  3114,  3115,  3116,  3117,    -1,    -1,    -1,
      -1,  2192,    -1,    -1,    -1,  3126,    -1,  3128,  3129,    -1,
      -1,  1290,    -1,    -1,   232,    -1,    -1,   235,    -1,    -1,
      -1,    -1,    -1,    -1,   181,    -1,    -1,    -1,    -1,   186,
     248,  1310,    -1,   251,   323,    -1,    -1,    -1,   195,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,    -1,    -1,
    1329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1349,    -1,    -1,    -1,    -1,    -1,  3197,  3198,  3199,    -1,
      -1,  3202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   838,
    1369,    -1,    -1,    -1,    -1,  1374,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   323,    -1,  1386,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1402,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1420,    -1,    -1,    -1,    -1,    -1,  1426,    -1,    -1,
    1429,    -1,    -1,    -1,    -1,    -1,    -1,  3278,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1455,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1466,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   964,    -1,    -1,    -1,  1498,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1532,    -1,  1534,    -1,    -1,     8,    -1,
      -1,    11,  1541,    -1,    -1,  1544,    -1,    -1,    -1,  1548,
      -1,  2462,    -1,    -1,    -1,    -1,    -1,  1556,  1557,    -1,
      -1,    -1,    -1,    -1,    -1,  1564,    36,    -1,  1567,  1568,
    1569,  1570,    42,    -1,    -1,    -1,    -1,    -1,  1577,  1578,
      -1,  1580,    -1,  1582,  1583,    -1,    -1,  1586,    -1,    -1,
      -1,  2502,  2503,    -1,  2505,    -1,    66,    -1,    -1,    -1,
      -1,    -1,    -1,  1602,  1603,  1604,    -1,    -1,    -1,  1608,
      -1,    -1,    -1,  1612,    -1,    -1,    -1,  1616,    -1,  1618,
    1619,  1620,  1621,  1622,  1623,  1624,  1625,  1626,    -1,  1628,
      -1,    -1,    -1,    -1,  1633,    -1,  1635,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   522,  2557,    -1,  2559,   526,
      -1,    -1,    -1,  3494,  3495,  3496,  3497,    -1,   128,    -1,
     537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   551,    -1,    -1,    -1,  3519,  3520,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,  1157,    -1,
    3531,  3532,    -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,
     170,  2612,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,
     587,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,
      -1,   191,   192,    -1,    -1,  2636,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   207,    -1,    -1,
      -1,  1210,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2661,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1760,    -1,    -1,    -1,   235,    -1,    -1,  2679,    -1,
      -1,  1240,    -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,
      -1,    -1,    -1,    -1,    -1,   662,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3645,  1804,    -1,    -1,    -1,  1808,
    1809,    -1,    -1,  1812,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   150,  3668,    -1,    -1,
      -1,  2742,    -1,    -1,    -1,  1834,    -1,    -1,  1837,    -1,
      -1,  1310,   166,    -1,  1843,  2756,   170,  3688,    -1,    -1,
    1849,    -1,    -1,   323,    -1,    -1,  2767,    -1,    -1,    -1,
    1329,    -1,    -1,    -1,    -1,    -1,    -1,   191,   192,  1868,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1349,    -1,    -1,   207,    -1,    -1,  1885,    -1,    -1,    -1,
      -1,  1890,  1891,    -1,    -1,    -1,  1895,    -1,    -1,    -1,
      -1,    -1,    -1,  1902,    -1,  1374,    -1,    -1,   232,    -1,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1918,
    1919,  2832,  1921,    -1,   248,    -1,    -1,   251,    -1,    -1,
      -1,    -1,    -1,  3774,    -1,    -1,    -1,    -1,    -1,    -1,
    1939,  2852,    -1,  1942,    -1,    -1,    -1,   417,   418,   419,
     420,   421,   422,    -1,    -1,     8,    -1,  1426,    11,    -1,
      -1,  1960,    -1,    -1,    -1,    -1,  2877,    -1,    -1,    -1,
      -1,  1970,    -1,    -1,    -1,    28,    -1,    -1,    31,    -1,
      -1,    -1,    -1,    36,  1983,    -1,    -1,    -1,    -1,    42,
      -1,  3832,    -1,  1992,    -1,    -1,    -1,    -1,    -1,   323,
      -1,    -1,  2913,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3872,    -1,  2032,    -1,  2034,    -1,    -1,    28,   916,
      -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,   928,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3909,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,    -1,
      -1,    -1,    -1,    -1,   981,    -1,    -1,    -1,    -1,  2108,
      -1,    -1,  2111,   166,    -1,    -1,    -1,   170,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1602,    -1,    -1,    -1,    -1,   191,   192,
      -1,    -1,    -1,    -1,    -1,  3986,  2145,    -1,    -1,    -1,
      -1,  2150,    -1,    -1,   207,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3074,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,   232,
     170,  2180,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2192,    -1,   248,    -1,    -1,   251,    -1,
      -1,   191,   192,  2202,    -1,    -1,    -1,  2206,    -1,    -1,
      -1,    -1,  2211,    -1,    -1,  1092,    -1,   207,    -1,  4060,
      -1,    -1,    -1,  1100,  1101,    -1,   181,    -1,    -1,  2228,
    2229,   186,    -1,  1110,    -1,  2234,    -1,    -1,    -1,    -1,
     195,    -1,   232,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,
    2259,  2260,    -1,    -1,    -1,  2264,    -1,    -1,    -1,    -1,
     323,    -1,    -1,    -1,    -1,    -1,    -1,  2276,  2277,  2278,
    2279,    -1,    -1,    -1,    -1,  2284,  1163,    -1,    -1,  4130,
    2289,  2290,    -1,  2292,    -1,  2294,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2304,  2305,    -1,    -1,  2308,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3228,    -1,    -1,
      -1,    -1,  2321,    -1,  2323,    -1,    -1,    -1,  2327,    -1,
      -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2343,    -1,    -1,    -1,    -1,    -1,
    3261,    -1,    -1,    -1,    -1,  2354,    -1,  2356,  2357,  2358,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
      -1,  2370,    -1,    -1,  2373,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2384,    -1,    -1,    -1,    -1,
    2389,    -1,    -1,    -1,    -1,    -1,    -1,  2396,    -1,    -1,
      -1,    -1,    -1,  2402,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1290,    -1,    -1,  1885,    -1,    -1,  2418,
      -1,  1890,  1891,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,  1902,    -1,    -1,    -1,    -1,    -1,    -1,
    2439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3369,    -1,
    2459,    -1,    -1,  2462,    -1,    -1,    -1,    -1,    -1,  3380,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1369,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,  2502,  2503,    -1,  2505,    -1,    -1,  1386,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1402,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,    -1,  2534,  2535,  2536,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,  2553,    -1,    11,    66,  2557,    -1,
    2559,  2560,    -1,    -1,    -1,  2034,    -1,   522,    -1,    -1,
      -1,   526,  3483,    28,    -1,    -1,    -1,    -1,  1455,    -1,
      -1,    36,   537,    -1,    -1,    -1,    -1,    42,     8,  1466,
      -1,    11,    -1,    -1,    -1,    -1,   551,    -1,    -1,    -1,
    3511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    66,  3523,  2612,    -1,    -1,    36,    -1,    -1,   128,
      -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2630,   587,    -1,    -1,    -1,    -1,  2636,    -1,  2108,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3567,   166,    -1,  2658,
      -1,   170,  2661,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2678,
    2679,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2692,    -1,  2694,    -1,    -1,   207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   662,   128,    -1,
      -1,   166,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2192,    -1,    -1,   235,  1604,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   191,   192,    -1,   248,
      -1,    -1,    -1,  2742,    -1,    -1,   166,    -1,    -1,    -1,
     170,    -1,   207,    -1,    -1,    -1,  2755,  2756,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2767,    -1,
      -1,   191,   192,    -1,    -1,    -1,    -1,   232,    -1,    -1,
     235,    -1,    -1,    -1,  2783,    -1,    -1,   207,    -1,    -1,
      -1,    -1,    -1,   248,    -1,  2794,   251,    -1,  2797,    -1,
      -1,  3712,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   323,   235,  2815,    -1,    -1,    -1,
      -1,    -1,   838,    -1,    -1,    -1,    -1,    -1,   248,    -1,
    2829,    -1,    -1,  2832,    -1,    -1,    -1,    -1,    -1,    -1,
    2839,    -1,    -1,    -1,    -1,    -1,  2845,    -1,  2847,    -1,
      -1,    -1,    -1,  2852,  2853,    -1,    -1,  2856,  2857,  2858,
    2859,  2860,  2861,  2862,  2863,  2864,  2865,    -1,   323,    -1,
    2869,  2870,    -1,    -1,    -1,    -1,    -1,    -1,  2877,    -1,
      -1,    -1,    -1,  2882,    -1,    -1,    -1,  2886,    -1,  2888,
      -1,  2890,    -1,    -1,   349,    -1,    -1,    -1,    -1,    -1,
      -1,  2900,    -1,   323,  2903,    -1,  2905,  3818,   417,   418,
     419,   420,   421,   422,  2913,  2914,  2915,  2916,    -1,    -1,
      -1,  2920,    -1,    -1,  2923,    -1,    -1,  1804,    -1,    -1,
      -1,  1808,  1809,    -1,  2933,  1812,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2943,    -1,    -1,    -1,   964,    -1,
      -1,    -1,  2951,    -1,  2953,    -1,    -1,  1834,   413,   414,
     415,   916,   417,   418,   419,   420,   421,   422,    -1,    -1,
      -1,    -1,    -1,   928,    -1,    -1,    -1,  2976,    -1,    -1,
      -1,    -1,    -1,  2982,    -1,    -1,    -1,    -1,    -1,  2988,
      -1,  1868,  3903,  2462,    -1,    -1,    -1,   417,   418,   419,
     420,   421,   422,    -1,  3003,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3924,    -1,    -1,    -1,    -1,  1895,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   981,    -1,    -1,    -1,
      -1,  3030,    -1,  2502,  2503,    -1,  2505,    -1,    -1,    -1,
      -1,  1918,  1919,  3954,  1921,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1939,    -1,    -1,  1942,    -1,    -1,    -1,    -1,
    3069,    -1,    -1,    -1,  3073,  3074,  3075,    -1,    -1,    -1,
    3991,    -1,    -1,  1960,  3995,  3996,    -1,    -1,  2557,    -1,
    2559,    -1,    -1,  1970,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1983,    -1,  3107,    -1,
      -1,  3110,    -1,    -1,    -1,  1992,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1092,    -1,    -1,
      -1,  1157,    -1,  2612,    -1,  1100,  1101,    -1,    -1,    -1,
      -1,  3150,    -1,    -1,    -1,  1110,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2636,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2661,    -1,  1210,    21,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3203,    -1,    -1,    -1,  1163,    -1,
    2679,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1240,    -1,    -1,    -1,    54,  3228,
      -1,    -1,    -1,     8,  2111,    -1,    11,    -1,    -1,    -1,
      -1,    67,    68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      76,    -1,    -1,    28,    80,    -1,    31,    -1,    -1,    -1,
      -1,    36,  3261,  3262,  3263,    -1,    -1,    42,  2145,    -1,
      -1,    97,    -1,  2742,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2756,    -1,    -1,
      -1,    66,   118,    -1,  1310,    -1,    -1,    -1,  2767,    -1,
      -1,    -1,    -1,  2180,  3303,    -1,    -1,    -1,    -1,    -1,
     136,    -1,    -1,  1329,    -1,    -1,    -1,    -1,    -1,    -1,
    3319,   147,    -1,    -1,    -1,  2202,   152,    -1,    -1,    -1,
      -1,    -1,    -1,  1349,    -1,  1290,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   173,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   657,    -1,  3356,  1374,    -1,
      -1,    -1,    -1,  2832,    -1,    -1,    -1,  3366,  3367,    -1,
    3369,    -1,   198,    -1,    -1,  3374,  3375,    -1,    -1,    -1,
    3379,  3380,    -1,  2852,    -1,   687,  3385,  3386,    -1,    -1,
    3389,   166,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3404,    -1,  2284,  2877,  3408,
    1426,    -1,    -1,  2290,  1369,    -1,   191,   192,  3417,    -1,
      -1,    -1,   248,  3422,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1386,   207,    -1,    -1,  3434,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2913,    -1,    -1,  1402,    -1,    -1,
     276,    -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,    -1,
     235,    -1,    -1,    -1,    -1,    -1,  3465,    -1,    -1,    -1,
      -1,    -1,    -1,   248,    -1,   301,   251,    -1,    -1,   305,
      -1,   307,    -1,    -1,  3483,    -1,    -1,   313,    -1,    -1,
     316,    -1,    -1,  2370,    -1,    -1,    -1,    -1,    -1,    -1,
    1455,    -1,    -1,  3502,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1466,  3511,    -1,    -1,    -1,   342,    -1,   344,  3518,
      -1,    -1,   348,    -1,  3523,    -1,    -1,    -1,    -1,    -1,
     356,  3530,    -1,    -1,    -1,   361,    -1,    -1,    -1,    -1,
      -1,  2418,    -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3567,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2459,    -1,    -1,    -1,  1602,    -1,  3587,    -1,
    3589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3074,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3625,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,    -1,  1604,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2534,  2535,  2536,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,  2553,    -1,  3677,    -1,
      -1,    -1,    -1,  2560,    -1,    -1,    -1,    28,    -1,    -1,
      -1,   993,    -1,    -1,    -1,    36,    -1,  3696,    -1,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3708,
      -1,    -1,    -1,  3712,    -1,    -1,    -1,    -1,  3717,    -1,
    1022,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3734,  3735,    -1,    -1,  3738,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1050,  1051,
    3749,  1053,    -1,  2630,    -1,  3754,    -1,    -1,  3757,  3228,
      -1,    -1,    -1,  3762,  3763,    -1,    -1,    -1,  1070,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2658,  3781,    -1,  3783,    -1,    -1,    -1,  3787,    -1,
      -1,    -1,  3261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2678,    -1,    -1,    -1,    -1,    -1,  1109,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2692,    -1,  2694,    -1,  3818,
      -1,    -1,    -1,  3822,    -1,   166,    -1,    -1,    -1,   170,
      -1,    -1,    -1,    -1,    -1,    -1,  1138,    -1,    -1,    -1,
    1142,  1143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1804,
     191,   192,    -1,  1808,  1809,    -1,    -1,  1812,    -1,    -1,
    3859,    -1,    -1,    -1,    -1,    -1,   207,    -1,    -1,  1885,
      -1,    -1,    -1,    -1,  1890,  1891,    -1,    -1,  2755,  1834,
      -1,    -1,    -1,    -1,    -1,    -1,  1902,    -1,    -1,    -1,
      -1,   232,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,
    3369,    -1,  3901,    -1,  3903,    -1,  2783,   248,    -1,    -1,
     251,  3380,    -1,  1868,    -1,  1066,    -1,    -1,    -1,    -1,
    2797,    -1,    -1,    -1,  3923,  3924,    -1,  3926,    -1,  3928,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2815,    -1,
    1895,    -1,    -1,    -1,    -1,    -1,  3945,    -1,    -1,    -1,
    3949,    -1,    -1,    -1,    -1,  3954,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1918,  1919,    -1,  1921,    -1,    -1,    -1,
      -1,    -1,  1123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   323,    -1,  1939,    -1,    -1,  1942,    -1,  3988,
      -1,    -1,  3991,    -1,    -1,    -1,  3995,  3996,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1960,    -1,    -1,    -1,    -1,
    4009,  2888,    -1,    -1,  3483,  1970,    -1,    -1,  2034,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1983,    -1,
    4029,    -1,    -1,    -1,    -1,    -1,    -1,  1992,    -1,    -1,
      -1,    -1,  3511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3523,    -1,    -1,  4056,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,    -1,    -1,    -1,  4084,    -1,    -1,    -1,    -1,
      -1,    -1,  2108,    -1,    -1,    -1,    -1,    -1,  3567,    -1,
      -1,    -1,  4101,    -1,    -1,    -1,    -1,    -1,    -1,    21,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4136,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4146,    -1,    -1,
      -1,    -1,    -1,  3030,    -1,    67,  2111,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4163,  4164,    -1,  4166,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2192,  4176,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,
    2145,   103,  3069,    -1,    -1,    -1,  3073,    -1,  3075,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,
      -1,    -1,  4211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4221,    -1,   136,  2180,    -1,   838,    -1,    -1,
    3107,    -1,    -1,  3110,    -1,   147,    -1,    -1,  4237,  1541,
     152,    -1,    -1,  3712,    -1,    -1,   158,  2202,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   173,  1564,    -1,    -1,  1567,    -1,    -1,  1570,    -1,
      -1,    -1,    -1,  3150,    -1,  1577,  1578,    -1,    -1,    -1,
    4279,  1583,    -1,    -1,  1586,  4284,   198,    -1,    -1,  4288,
      -1,    -1,    -1,  4292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1603,    -1,    -1,    -1,    -1,  1608,    -1,    -1,    -1,
    1612,  1462,    -1,    -1,  1616,    -1,  1618,  1619,  1620,  1621,
    1622,  1623,  1624,  1625,  1626,    -1,  1628,    -1,    -1,  2284,
      -1,  1633,    -1,  1635,    -1,  2290,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3818,
      -1,    -1,    -1,   964,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   838,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1539,   301,
      -1,    -1,    -1,    -1,    -1,   307,    -1,    -1,    -1,    -1,
      -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1563,    -1,    -1,  2370,    -1,  1568,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3303,    -1,    -1,    -1,
     342,    -1,   344,    -1,  3903,    -1,   348,  1588,  1589,    -1,
    1591,    -1,    -1,    -1,   356,    -1,  2462,    -1,    -1,   361,
      -1,    -1,    -1,    -1,    -1,  3924,    -1,    -1,  1760,    -1,
      -1,   373,    -1,  2418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   386,    -1,    -1,    -1,    21,    -1,
    1631,    -1,    -1,    -1,    -1,  3954,  2502,  2503,    -1,  2505,
      33,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     964,    -1,    -1,    -1,  2459,    -1,    -1,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,  1667,    -1,    -1,    -1,
      -1,    -1,  3991,    -1,    67,    -1,  3995,  3996,    -1,    -1,
      -1,    -1,    -1,    76,    -1,  1837,    -1,    80,    -1,    -1,
      -1,  2557,    -1,  2559,    -1,    -1,  1157,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,    -1,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,  2534,
    2535,  2536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   136,    -1,    -1,  2612,    -1,  2553,  1210,
      -1,    -1,    -1,    -1,   147,  2560,    -1,    -1,    -1,    -1,
      -1,   154,    -1,    -1,    -1,   158,    -1,    -1,  1769,    -1,
    2636,    -1,    -1,    -1,    -1,  3502,    -1,    -1,  1779,  1240,
     173,  1782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3518,    -1,    -1,    -1,  2661,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3530,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2679,    -1,    -1,    -1,    -1,   211,    -1,
      -1,    -1,    -1,    -1,    -1,  2630,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1157,    -1,    -1,    -1,    -1,    -1,  1310,
      -1,    -1,    -1,  2658,    -1,   248,    -1,    -1,   251,    -1,
    3587,    -1,  3589,    -1,    -1,    -1,    -1,    -1,  1329,    -1,
      -1,    -1,    -1,  2678,    -1,    -1,  2742,    -1,    -1,    -1,
    2032,    -1,    -1,    -1,    -1,    -1,    -1,  2692,  1349,  2694,
    2756,    -1,    -1,    -1,    -1,    -1,  1210,    -1,    -1,    -1,
      -1,  2767,    -1,    -1,    -1,    -1,    -1,    -1,   301,    -1,
      -1,    -1,    -1,  1374,   307,    -1,    -1,    -1,    -1,    -1,
     313,    -1,    -1,   316,    -1,    -1,  1240,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,
    2755,   344,   345,    -1,   347,   348,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   356,    -1,  1426,  2832,    -1,   361,  3696,
      -1,    -1,    -1,    -1,   367,    -1,    -1,   370,  2783,    -1,
     373,    -1,    -1,    -1,    -1,    -1,  2852,    -1,    -1,    -1,
      -1,    -1,  2797,   386,    -1,    -1,  1310,    -1,  2150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2815,  2877,    -1,    -1,    -1,  1329,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2913,    -1,    -1,
      -1,    -1,    -1,    -1,  3781,    -1,  3783,    -1,    -1,    -1,
    1374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2229,    -1,    -1,
      -1,    -1,  2234,  2888,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2276,    -1,  2278,  2279,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2289,    -1,    -1,
    2292,  1602,  2294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2321,
      -1,  2323,    -1,    -1,    -1,  2327,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2356,  2357,  2358,    -1,  3074,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2373,    -1,    -1,    -1,  3030,    -1,    -1,    -1,    -1,
      -1,  2232,  2384,   838,    -1,    -1,    -1,  2389,    -1,    -1,
      -1,    -1,    -1,    -1,  2396,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2255,    -1,  2257,    -1,  2259,  2260,
    2261,  3988,    -1,  2264,  3069,    -1,    -1,  2268,  3073,    -1,
    3075,    -1,    -1,    -1,  2275,    -1,    -1,    -1,    -1,  2280,
      -1,    -1,  4009,    -1,    -1,  2286,    -1,  2439,  1602,    -1,
    2291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2300,
      -1,    -1,  3107,  2304,  2305,  3110,  2307,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2319,    -1,
      -1,    -1,    -1,    -1,    -1,  2326,    -1,  2328,  2329,  2330,
    2331,  2332,  2333,  2334,  2335,  2336,  2337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3150,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   964,
      -1,  2362,  3228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3261,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   838,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1885,    -1,    -1,    -1,    -1,  1890,
    1891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4166,
      -1,  1902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2454,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3303,    -1,
      -1,    -1,    -1,  3369,    -1,    -1,    -1,    -1,    -1,    -1,
    4237,    -1,    -1,    -1,  3380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     964,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1157,    -1,    -1,    -1,    -1,  4284,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4292,    -1,    -1,    -1,    -1,
      -1,  1885,    -1,  2034,    -1,    -1,  1890,  1891,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1902,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1210,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1240,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3511,    -1,  2108,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3523,    -1,    -1,
      -1,    -1,    -1,  2664,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2829,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2839,    -1,    -1,
      -1,    -1,    -1,  2845,    -1,  2847,    -1,  3502,    -1,    -1,
      -1,  3567,    -1,    -1,    -1,  1310,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3518,    -1,    -1,    -1,  2869,  2870,    -1,
    2034,    -1,    -1,    -1,  1329,  3530,    -1,    -1,    -1,    -1,
      -1,  2192,    -1,  1157,    -1,    -1,    -1,    -1,  2890,    -1,
      -1,    -1,    -1,    -1,  1349,    -1,    -1,    -1,  2900,    -1,
      -1,  2903,    -1,  2905,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2914,    -1,    -1,    -1,    -1,    -1,  2920,  1374,
      -1,  2923,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3587,    -1,  3589,  2786,  1210,    -1,    -1,    -1,
      -1,  2943,    -1,    -1,  2108,    -1,    -1,    -1,    -1,  2951,
      -1,  2953,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1240,    -1,    -1,    -1,
      -1,  1426,    -1,    -1,  2976,    -1,    -1,  2828,    -1,    -1,
    2982,    -1,    -1,  2834,    -1,    -1,  2988,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3712,    -1,    -1,  2850,
    2851,    -1,  2853,    -1,    -1,  2856,  2857,  2858,  2859,  2860,
    2861,  2862,  2863,  2864,  2865,  2866,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2192,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1310,    -1,    -1,    -1,
    2891,  3696,    -1,  2894,    -1,  2896,    -1,    -1,    -1,    -1,
    2901,  2902,    -1,    -1,    -1,  1329,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2915,  2916,  2917,    -1,  2919,    -1,
      -1,  2922,    -1,    -1,    -1,  1349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1374,    -1,  3818,    -1,    -1,    -1,    -1,    -1,  2959,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2969,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3781,    -1,  3783,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1602,    -1,  3000,
      -1,  2462,  1426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3903,    -1,    -1,
      -1,  2502,  2503,    -1,  2505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3924,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3954,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2557,    -1,  2559,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3262,  3263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3991,    -1,    -1,    -1,  3995,
    3996,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2462,    -1,
      -1,  2612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3319,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2636,    -1,    -1,  1602,    -1,
      -1,    -1,    -1,  3988,    -1,    -1,    -1,    -1,  2502,  2503,
      -1,  2505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2661,    -1,  3203,    -1,  4009,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3366,  3367,    -1,    -1,  2679,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3379,    -1,    -1,
      -1,    -1,    -1,  3385,  3386,    -1,    -1,  3389,    -1,    -1,
      -1,    -1,    -1,  2557,    -1,  2559,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3417,    -1,    -1,    -1,    -1,
    3422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1885,  2742,  3434,    -1,    -1,  1890,  1891,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2756,    -1,  1902,  2612,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2767,    -1,    -1,    -1,
      -1,    -1,    -1,  3465,    -1,    -1,    -1,    -1,    -1,  3320,
      -1,    -1,  2636,  3324,  3325,  3326,    -1,    -1,  3329,    -1,
      -1,    -1,    -1,  3334,  3335,  3336,  3337,  3338,  3339,  3340,
    3341,  3342,  3343,  3344,  3345,    -1,    -1,  2661,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4166,    -1,    -1,    -1,  2679,    -1,    -1,    -1,    -1,
      -1,  2832,  3373,  3374,  3375,  3376,    -1,  3378,    -1,    -1,
      -1,  3382,  3383,  3384,    -1,    -1,  3387,    -1,    -1,  3390,
      -1,  2852,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2877,    -1,  3419,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2742,  2034,
    3431,    -1,  4237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2756,    -1,  3445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2913,  2767,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1885,    -1,    -1,    -1,    -1,  1890,  1891,    -1,    -1,
      -1,    -1,    -1,  3625,    -1,    -1,    -1,    -1,  1902,  4284,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2832,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2852,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2877,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3738,  2192,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2913,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2034,  3763,    -1,  3074,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3628,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3674,  3675,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2108,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3704,    -1,    -1,    -1,  3708,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3722,    -1,  3724,    -1,    -1,    -1,    -1,  3729,  3730,
    3731,    -1,    -1,  3734,  3735,  3736,  3737,    -1,  3739,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3074,    -1,    -1,    -1,    -1,    -1,    -1,  3228,  2192,    -1,
      -1,    -1,    -1,    -1,  3926,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3785,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3945,    -1,    -1,    -1,    -1,    -1,    -1,
    3261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2462,    -1,    -1,
      -1,    -1,    -1,    -1,  3865,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4029,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2502,  2503,    -1,
    2505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3369,    -1,
      -1,    -1,    -1,    -1,  3228,    -1,    -1,    -1,    -1,  3380,
      -1,  3922,  3923,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3938,  3939,  3940,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3261,    -1,  4101,
      -1,    -1,  2557,    -1,  2559,    -1,  3957,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2612,    -1,    -1,
      -1,  4163,  4164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2636,    -1,    -1,    -1,    -1,    -1,    -1,  2462,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3511,    -1,    -1,    -1,    -1,  3369,  2661,    -1,    -1,  4211,
      -1,    -1,  3523,  4064,    -1,    -1,  3380,    -1,    -1,  4221,
      -1,    -1,    -1,  4074,  2679,    -1,    -1,    -1,  2502,  2503,
      -1,  2505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3567,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4279,    -1,    -1,
      -1,    -1,    -1,  2557,  4135,  2559,    -1,  2742,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2756,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2767,    -1,    -1,    -1,    -1,    -1,    -1,  3483,
      -1,    -1,    -1,    -1,  4175,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2612,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3523,
      -1,    -1,  2636,  4214,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2832,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2661,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2852,    -1,    -1,
      -1,  3712,    -1,  3567,    -1,  2679,    -1,  4258,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2913,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2742,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2756,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2767,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3818,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3712,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2832,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2852,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2877,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3924,    -1,    -1,    -1,    -1,    -1,  3074,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2913,
      -1,    -1,    -1,  3954,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3818,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3991,    -1,    -1,    -1,  3995,  3996,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3903,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3924,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3074,    -1,    -1,    -1,    -1,    -1,  3261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3991,    -1,    -1,
      -1,  3995,  3996,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3228,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3523,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3369,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3380,    -1,    -1,    -1,
      -1,    -1,  3567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3523,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3712,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3567,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3818,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3712,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3903,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3924,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3954,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3991,    -1,    -1,    -1,
    3995,  3996,    -1,    -1,  3818,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3903,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3924,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,  3991,    -1,    -1,
      30,  3995,  3996,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,   115,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,   419,
      -1,    -1,    -1,    -1,    -1,    -1,   426,   427,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,
      -1,   426,   427,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,    -1,
     135,   136,   137,    -1,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,    -1,   233,   234,
     235,   236,    -1,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
      -1,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   407,   408,   409,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,   427,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,    -1,
     135,   136,   137,    -1,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,    -1,   233,   234,
     235,   236,    -1,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
      -1,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,    -1,     3,     4,     5,     6,     7,     8,
       9,    10,   407,   408,   409,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,   427,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,   150,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,   418,    -1,    -1,
      -1,    -1,    -1,   424,   425,   426,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,   418,   419,    -1,    -1,    -1,    -1,    -1,    -1,   426,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,   150,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,    -1,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,    -1,    -1,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,    -1,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,
      -1,    -1,     3,     4,     5,     6,     7,   426,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,    -1,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,
      -1,     9,    10,    -1,    -1,   426,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,    -1,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,   426,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,    -1,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,    -1,    -1,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,    -1,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,    -1,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,    -1,    -1,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,    -1,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,     3,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,    -1,   233,   234,   235,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,   247,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,    -1,   233,   234,
     235,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,   247,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
      -1,   233,   234,   235,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
      -1,    -1,    -1,    -1,     3,     4,     5,    -1,    -1,    -1,
       9,    -1,    -1,    -1,   426,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,    -1,   233,   234,   235,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,     3,   417,   418,
     419,    -1,    -1,    -1,    -1,    -1,    -1,   426,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,    -1,   233,   234,   235,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     426,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,    -1,
     233,   234,   235,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   426,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,    -1,    -1,     8,     9,    -1,    -1,    -1,   426,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,    -1,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,   236,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,    -1,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   407,   408,   409,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,     3,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   419,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     419,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   419,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,    -1,
     135,   136,   137,    -1,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,    -1,   233,   234,
     235,   236,    -1,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,    -1,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
      -1,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,   407,   408,   409,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,   419,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,    -1,   135,   136,   137,
      -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,    -1,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,    -1,   233,   234,   235,   236,    -1,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,    -1,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,    -1,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
      -1,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,    -1,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,     3,     4,     5,    -1,    -1,    -1,     9,   407,
     408,   409,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,   419,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,    -1,   233,   234,   235,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
       4,     5,    -1,    -1,    -1,     9,   417,   418,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,    -1,   233,
     234,   235,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,     4,     5,    -1,
      -1,    -1,     9,   417,   418,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,    -1,   233,   234,   235,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,     9,
     417,   418,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
     150,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,     4,     5,    -1,    -1,    -1,     9,   417,   418,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
      -1,   233,   234,   235,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,    -1,   233,   234,
     235,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,    -1,   233,   234,   235,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    26,    27,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,    -1,   233,   234,   235,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,    -1,   233,
     234,   235,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,    -1,   233,   234,   235,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,    -1,   233,   234,   235,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,    -1,
     233,   234,   235,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,    -1,   233,   234,   235,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,    -1,   233,   234,   235,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
      -1,   233,   234,   235,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,    -1,   233,   234,
     235,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,    -1,   233,   234,   235,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    -1,    68,    69,    70,
      71,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,   247,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,   247,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,   247,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    31,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    31,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,    -1,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,    -1,   135,   136,   137,    -1,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,    -1,   233,   234,   235,   236,    -1,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,    -1,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,    -1,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,    -1,   356,    -1,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   407,   408,   409,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
      -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,    -1,   233,
     234,   235,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,    -1,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,    -1,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,    -1,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,    -1,   356,    -1,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   407,   408,   409,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,    -1,   135,   136,   137,
      -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,    -1,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,    -1,   233,   234,   235,   236,    -1,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,    -1,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,    -1,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
      -1,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,    -1,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,
     408,   409,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    -1,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,    -1,   135,   136,   137,    -1,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
      -1,   233,   234,   235,   236,    -1,    -1,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,    -1,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,    -1,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,    -1,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,    -1,   356,    -1,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   407,   408,   409,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,    -1,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,    -1,   135,   136,   137,    -1,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,    -1,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,    -1,   233,   234,   235,   236,    -1,    -1,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,    -1,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
      -1,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,    -1,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,    -1,   356,    -1,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,   408,
     409,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,    -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,    -1,
     233,   234,   235,   236,    -1,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
      -1,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,    -1,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,    -1,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,    -1,   356,    -1,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   407,   408,   409,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,    -1,   135,   136,
     137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
      -1,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,    -1,   233,   234,   235,   236,
      -1,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,    -1,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,    -1,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,    -1,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,    -1,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     407,   408,   409,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    -1,    44,    -1,    -1,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    -1,    -1,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,    -1,
      -1,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,    -1,   135,   136,   137,    -1,    -1,   140,
      -1,   142,    -1,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,    -1,
     181,   182,   183,   184,    -1,    -1,    -1,    -1,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
      -1,    -1,   233,   234,   235,   236,    -1,    -1,   239,    -1,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,    -1,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,    -1,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,    -1,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,    -1,
      -1,    -1,    -1,   354,    -1,   356,    -1,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   407,   408,   409
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    41,    61,    63,    64,    69,
      71,    81,    83,    99,   102,   114,   116,   120,   126,   133,
     135,   141,   155,   209,   210,   215,   223,   234,   271,   282,
     287,   289,   294,   299,   302,   306,   311,   312,   319,   322,
     330,   342,   359,   369,   375,   380,   392,   426,   433,   434,
     435,   436,   442,   443,   445,   446,   447,   448,   449,   450,
     451,   453,   454,   458,   469,   472,   473,   476,   477,   478,
     489,   492,   493,   508,   545,   548,   549,   556,   562,   564,
     566,   567,   570,   573,   574,   578,   579,   588,   592,   593,
     594,   598,   599,   601,   602,   603,   616,   617,   618,   619,
     630,   631,   638,   639,   642,   643,   644,   645,   646,   651,
     653,   656,   660,   664,   665,   675,   676,   679,   684,   695,
     714,   717,   718,   719,   722,   725,   727,   729,   732,   735,
     736,   737,   744,   745,   747,   748,   749,   754,   756,   757,
     761,   762,   765,   766,   767,   769,   770,   771,   772,   774,
     777,   778,   783,   789,   792,   794,   795,   800,   802,   806,
     813,   817,   818,   819,   820,   821,   822,   825,   852,   354,
     394,   750,    21,    67,    80,    97,   103,   118,   136,   147,
     152,   158,   173,   198,   248,   276,   301,   307,   313,   316,
     342,   344,   348,   356,   361,   373,   386,   563,   750,     3,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    33,    34,    36,    37,    39,    40,    41,    42,
      43,    45,    46,    48,    49,    50,    51,    52,    55,    56,
      57,    58,    59,    61,    62,    63,    64,    65,    69,    70,
      71,    72,    74,    75,    77,    78,    79,    80,    81,    82,
      85,    86,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   104,   106,   107,   108,   109,   110,   112,   113,   114,
     117,   118,   119,   120,   121,   123,   124,   125,   127,   128,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   140,
     142,   143,   144,   146,   148,   152,   153,   154,   156,   157,
     159,   161,   162,   163,   164,   165,   167,   168,   169,   171,
     172,   173,   174,   175,   176,   178,   180,   181,   182,   183,
     184,   185,   186,   188,   190,   193,   195,   196,   197,   198,
     199,   200,   201,   203,   204,   206,   209,   210,   211,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   228,   229,   230,   231,   233,   234,   236,   238,
     239,   240,   241,   242,   243,   245,   248,   249,   250,   253,
     257,   258,   259,   260,   261,   262,   263,   264,   266,   267,
     268,   269,   270,   271,   272,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   298,   299,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     313,   314,   315,   316,   317,   319,   320,   321,   322,   324,
     325,   326,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   340,   341,   343,   344,   345,   346,   347,
     348,   350,   351,   354,   355,   356,   357,   359,   360,   361,
     362,   363,   364,   365,   368,   369,   370,   371,   372,   375,
     376,   377,   378,   379,   380,   381,   383,   385,   386,   387,
     390,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   814,   957,
     969,   973,   974,   384,   779,   246,   272,   750,    44,   499,
     818,    21,    33,    54,    67,    76,    97,   103,   118,   136,
     147,   154,   158,   211,   248,   251,   301,   307,   316,   344,
     345,   347,   348,   356,   361,   367,   370,   373,   509,   634,
     685,   696,    22,   271,   957,   814,    22,   266,   345,   347,
       5,   197,   723,   724,   966,    21,    33,    54,    67,    80,
      97,   118,   136,   147,   152,   158,   173,   248,   258,   301,
     305,   307,   313,   316,   342,   344,   348,   356,   361,   373,
     386,   563,   647,   750,   957,    83,   384,   426,   545,   778,
     784,   792,   795,   800,   806,   813,   817,     9,    15,    22,
      39,   142,   148,   150,   170,   199,   229,   274,   288,   417,
     418,   661,   662,   814,   965,   968,    22,    83,   286,   312,
     666,   667,   668,   969,   969,   962,   966,   342,   828,   661,
     969,   354,   957,   258,    97,   173,   341,   342,   730,   306,
     969,    22,   317,   350,   354,   461,   969,    19,   155,   666,
     667,   272,   750,   969,   196,    22,   115,   830,    55,    77,
     211,   225,   301,   307,   317,   350,   354,   397,   459,   460,
     461,    22,   317,   350,   354,   461,   354,   247,   861,   955,
     969,   828,   419,   969,   151,   426,   780,   426,   951,   284,
     823,   824,   957,   818,   819,   822,     0,   429,   779,   129,
     187,   252,   366,   831,   832,   818,   820,   821,   108,   183,
     372,   430,     3,    38,    44,    67,    73,    84,    90,   149,
     151,   166,   179,   191,   192,   194,   205,   207,   227,   235,
     254,   255,   256,   300,   323,   384,   963,   969,   970,   973,
     975,   649,   969,   649,   958,   969,   275,   649,   649,   957,
     969,    96,   342,   674,   963,     3,   967,   971,   973,   974,
     975,   165,   955,   241,     8,    62,   140,   413,   414,   415,
     417,   418,   419,   420,   421,   422,   721,   918,   919,   969,
     967,   957,   165,   955,   957,   165,   861,   957,   309,   957,
     649,   216,   967,   165,   955,   197,   105,   193,   232,   280,
     751,   752,   753,   955,   961,   969,    21,    54,    67,    68,
      76,    80,    97,   118,   136,   147,   152,   173,   198,   248,
     301,   305,   307,   313,   316,   342,   344,   348,   356,   361,
     386,   563,   654,   966,   955,   352,   963,   957,   426,   649,
     356,   958,   649,   165,   957,    96,   342,   345,   347,   967,
     345,   347,    62,   140,   721,   292,   967,   455,   969,   957,
     957,   309,   957,   649,   216,   967,   313,   342,   386,    80,
     173,   152,   305,   360,   557,    22,   957,   815,   468,   966,
     971,   724,   165,   963,   957,   165,   728,   165,   958,    96,
     342,   165,   963,   165,   956,   957,    73,    62,   140,   165,
     721,    48,   165,   956,   165,   957,   165,   957,   165,   957,
     309,   165,   957,   165,   216,   956,   197,   165,   648,   649,
     426,   793,   509,   784,   380,   778,   785,   786,   787,   971,
     779,   968,   662,   663,    22,   663,   968,   663,    22,   663,
     968,   663,   663,   663,   968,   965,   965,   814,   663,   275,
     426,   426,   528,   528,   528,   246,   352,   430,   528,   861,
     862,   430,   746,   966,   426,   790,    48,   957,   957,   955,
     969,    38,   409,   193,   428,   249,   249,   246,   150,   966,
     352,   145,   657,   246,     4,     6,     7,     8,    10,    30,
      43,    45,    46,    53,    54,    57,    58,    65,    67,    87,
      88,    89,    90,    91,    92,    93,   100,   101,   119,   134,
     138,   139,   143,   157,   185,   186,   188,   204,   212,   213,
     226,   228,   232,   237,   238,   240,   248,   257,   267,   281,
     303,   318,   325,   338,   350,   351,   355,   357,   358,   367,
     373,   381,   399,   400,   401,   402,   403,   404,   405,   406,
     417,   418,   419,   426,   818,   873,   876,   879,   880,   881,
     883,   884,   885,   886,   889,   890,   894,   896,   897,   916,
     920,   939,   944,   952,   953,   963,   964,   965,   966,   969,
     966,    22,   474,   954,   955,   317,   459,   103,   467,   966,
     468,   966,    38,    59,   459,   409,   326,   752,   249,   150,
     352,   413,    38,   409,   193,   753,   426,   955,   419,   424,
     428,   945,   946,   862,   149,   151,   384,   775,   776,   778,
     149,   781,   103,   894,   949,   950,   823,   430,   426,   782,
     427,   427,   435,   955,    22,   115,   829,   829,    48,   829,
     141,   145,   208,   244,   835,   837,   838,   847,   849,   850,
     831,   832,   150,   189,   861,   863,   951,   426,   624,   946,
     259,   290,   319,   428,   650,   259,   290,   319,   259,   290,
     319,   392,   437,   469,   470,   680,    18,   120,   259,   290,
     319,   377,   481,   319,    18,   120,   372,   452,   395,   165,
     861,    50,    82,   137,   168,   203,   232,   259,   290,   298,
     304,   311,   319,   328,   336,   387,   469,   471,   708,   715,
     426,   697,   290,   452,   134,    18,    24,    64,   113,   120,
     123,   175,   230,   232,   242,   250,   259,   290,   294,   319,
     377,   479,   480,   582,     4,   418,   554,   968,   649,   649,
     426,   720,   428,   170,   290,   437,   444,   259,   290,   134,
      49,    95,   172,   218,   220,   230,   258,   290,   295,   319,
     330,   479,   551,   552,   259,   290,   385,   582,   590,   134,
     290,   319,   479,   259,   290,   294,   319,    74,   112,   260,
     346,   246,    18,    24,   120,   259,   290,   319,   490,   491,
     145,   290,   319,   437,   470,   134,   290,   319,   479,   957,
     206,   105,   247,   396,   430,   751,   374,   773,   246,   963,
     426,   957,    96,   342,   963,   241,    62,   140,   721,   957,
     309,   957,   197,   649,   528,   333,   334,   495,   966,   426,
     624,   625,    60,     3,    43,    45,    46,    57,    58,   100,
     101,   143,   185,   186,   188,   226,   228,   240,   281,   320,
     325,   350,   351,   381,   870,   872,   874,   876,   878,   880,
     881,   882,   884,   885,   889,   890,   970,   973,   150,   426,
     620,   957,   437,    31,   768,   232,   437,   395,   165,   955,
     437,   649,   649,   620,   509,   437,    38,   456,   361,   589,
     259,   565,    74,   112,   260,   346,    20,    40,   184,   604,
      31,   620,   145,   437,   955,   165,   546,   955,   955,   649,
      73,   686,   963,   957,   563,    44,    94,   182,   230,   308,
     134,   624,    51,   296,   482,   134,   426,   134,   395,   134,
     697,   134,   430,   165,   648,   165,   649,   165,   649,   134,
     720,   956,   134,   134,   246,   134,   482,   134,    74,   112,
     260,   346,   134,   246,   134,   145,   165,   165,   468,   134,
     430,   482,   894,   923,   342,   427,   430,   139,   246,   358,
     465,   468,   554,   788,   784,   663,   814,   663,   814,   663,
     814,   663,   814,   663,   814,   814,   814,   663,   814,   426,
     529,   530,   969,   529,    22,    97,   118,   147,   152,   197,
     198,   307,   313,   342,   344,   361,   669,   954,   956,   668,
     170,   430,   803,   966,   870,   926,    31,   956,   146,   731,
     731,   731,   206,   969,   145,   145,   669,   956,   306,   969,
     468,   246,   426,   947,   424,   818,   927,   383,   887,   894,
     943,   426,   887,   887,   426,   145,   426,   426,   426,   875,
     875,   269,   818,   426,   426,   877,   426,   426,   426,   426,
      57,    58,   887,   894,   426,   875,   426,   426,   426,   426,
     426,   393,   412,   426,   891,   426,   891,   426,   426,   818,
     426,   426,   426,   426,   426,   426,   426,   426,   894,   894,
     818,   894,   923,   946,   966,    58,   426,   888,   426,   966,
       3,     8,    11,    28,    31,    36,    42,    66,   166,   170,
     191,   192,   207,   232,   235,   248,   251,   323,   413,   414,
     415,   417,   418,   419,   420,   421,   422,   918,   920,   922,
     256,   894,   189,   430,   826,   426,   966,   946,   106,   167,
     475,   430,    59,   103,   468,    31,     3,   103,   211,   466,
     554,   890,   966,   966,    78,   117,   903,    86,   103,   462,
     463,   465,   554,   103,   462,   206,   955,   894,     3,    22,
      26,    27,    28,    29,    30,    31,    32,    35,    47,    53,
      54,    60,    66,    68,    76,    83,    87,    88,    89,    91,
      92,    93,   103,   105,   111,   115,   116,   122,   126,   129,
     139,   141,   145,   147,   150,   155,   158,   160,   170,   177,
     187,   189,   202,   208,   212,   213,   232,   237,   244,   246,
     247,   251,   252,   265,   273,   286,   297,   312,   318,   327,
     339,   342,   349,   352,   353,   358,   366,   367,   373,   374,
     382,   388,   389,   391,   392,   419,   960,   972,   973,   974,
     975,   976,   945,    79,   295,   652,   427,   430,   779,   427,
     430,   824,   956,    31,   782,   820,   820,   833,   834,   894,
     820,   142,   229,   844,   280,   321,   372,    22,   839,   894,
     840,   842,   894,   896,   847,   848,   838,   837,   835,   836,
     145,   850,   835,   847,   863,   955,    31,   969,   319,   419,
     926,   259,   290,   319,   352,   352,   307,   960,   428,   352,
     352,   307,   352,   352,   344,   459,   763,   145,   155,   170,
     299,   681,   682,    60,    76,   130,   147,   273,   367,   525,
     526,    76,   103,   232,   352,    76,   352,   103,   232,   307,
      76,   307,   571,    21,    54,    67,    80,   118,   147,   152,
     248,   307,   313,   316,   342,   348,   361,   386,   563,   957,
     134,   290,   319,   479,   246,   554,   311,   203,   352,   352,
     237,   554,   107,   190,   307,   317,   354,   460,   296,   319,
     708,   716,   170,   180,   253,   320,   382,   427,   698,   701,
     702,   703,   705,   870,   970,   352,   373,   955,    68,   130,
     516,   525,   969,    68,   733,   246,   305,   356,    76,   733,
      25,   293,   305,   356,   955,   175,   242,   649,   426,   352,
     352,   426,   485,   344,   392,   393,   485,    76,   430,     4,
     259,   374,   374,   231,   870,   259,   319,   721,    97,   352,
     439,   470,   352,   352,   955,   554,    48,   553,   554,   554,
      95,   218,   220,    48,   352,   437,   307,   437,   230,   552,
     352,   352,   237,   966,   582,   861,    76,   352,   733,   307,
     352,   352,   485,   485,   649,   649,   649,   649,   955,    37,
     379,    37,    37,   352,    37,   352,   307,   430,    93,   373,
     600,   967,   352,   439,   955,   352,   307,   259,   290,   280,
     291,   315,   464,   751,   961,   969,   955,   624,   870,   246,
     395,   697,   554,   649,   649,   720,   191,   246,    74,   112,
     260,   346,   246,   649,   191,   392,   500,   437,     3,   626,
     627,   620,   426,   872,    31,    30,   871,    98,   163,   219,
     222,   310,   407,   426,   892,   893,   650,   875,   649,   621,
     622,   972,    20,   758,   870,   134,   568,   957,   232,   426,
     595,   438,   634,   374,   386,   438,   967,    83,   155,   457,
     508,   548,   603,   664,   684,   754,   966,   590,   591,   957,
     214,   649,   649,   649,   649,   242,   108,   183,   359,   372,
     605,   606,   127,   279,   426,   600,   438,   550,   551,   232,
      31,   242,   426,   528,   528,   145,   687,   961,   426,   699,
      31,   197,   392,   393,   816,   308,   963,   482,   870,   958,
     165,   957,   963,   482,   956,   957,   134,   482,   134,   374,
     134,   374,   721,   482,   482,   956,   957,   649,   957,   957,
     957,   649,   956,   600,   134,   134,   482,   648,   649,   427,
     430,   955,   784,   786,   814,   814,   814,   814,   814,   814,
     529,   427,   430,   427,   153,   314,   343,   956,   648,    96,
     316,   673,   674,   956,   241,   956,   954,   954,   956,   648,
     352,   392,   677,    16,   132,   303,   321,   804,   861,   236,
     805,   427,   430,   791,   795,   800,   806,   817,   352,   667,
     666,   667,   150,   156,   678,   969,    21,    68,    97,   118,
     147,   152,   198,   301,   307,   313,   342,   344,   361,   386,
     563,   658,   923,   945,   425,   923,   927,   928,   426,   388,
     940,   941,   894,   923,   426,   965,   965,   923,     3,    98,
     163,   219,   222,   310,   407,   929,   930,   966,   965,   923,
     923,   965,   965,   887,   887,   894,   721,   894,   931,   417,
     418,   895,   896,   916,   920,   933,   427,   923,   894,   923,
     934,   350,   409,   965,   965,   894,    47,   150,   202,   353,
     894,   923,   937,   923,   224,   896,   894,   901,   902,   903,
     224,   894,   903,   427,   430,   319,   965,   965,   892,   870,
     894,   972,   350,    35,   339,   948,   649,   894,   426,   818,
     938,   115,   117,   139,   232,   237,   242,   358,   368,   894,
      42,   166,   170,   207,   323,   426,   894,   352,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,    22,    29,
     327,   917,   303,   426,   916,   154,   211,   342,   345,   347,
     370,   827,   955,   953,   150,   853,    22,   115,   382,   419,
     427,   703,   894,   924,   925,   970,   955,   354,   426,   966,
     430,   427,   425,   431,   164,   164,   482,   955,   776,   777,
     955,   949,   427,   426,   430,    32,   111,   374,   693,   426,
     841,   968,   247,   242,   851,   851,   430,   303,   304,   843,
     848,   836,   374,   801,   103,   426,   796,   817,   969,   426,
     807,   808,   809,   810,   811,   969,   427,   427,   352,   352,
     307,   967,   957,   957,   960,   967,   957,   957,   967,   958,
     957,    75,   764,   301,   373,   666,   307,   155,   666,   426,
     957,   374,   688,   195,   195,   374,   426,   544,   165,   957,
     237,   967,   957,   957,   894,   237,   957,   957,   957,   352,
     572,   963,   426,   649,   649,   649,    96,   342,   674,    62,
     140,   721,   957,   649,   957,   649,   309,   649,   649,   197,
     159,   230,   259,   290,   378,   575,   576,   577,   861,   352,
     733,   307,   237,   107,   190,   967,   957,   246,   957,   253,
     970,   427,   430,   703,   705,   702,   705,   970,   650,   967,
     956,   290,   479,   516,   870,   969,   957,   957,    22,   373,
     957,   165,   957,   165,   969,   305,   356,   305,   356,   957,
      22,   373,   957,   955,    18,   120,   319,   583,   584,   585,
     586,   972,   967,   957,   487,   488,   972,   957,   245,    64,
     245,   957,   480,   352,   959,   969,   959,   430,   427,   430,
     352,   307,   958,   967,     3,    75,   125,   175,   264,   365,
     373,   376,   440,   967,   957,   290,   319,   479,   551,   554,
     649,   957,   554,   957,   554,   967,   957,   290,   319,   479,
     957,   957,   957,   957,   967,   957,    18,    24,   120,   259,
     290,   319,   259,   290,   319,   620,   290,   319,   290,   319,
     290,   869,   969,   966,   969,   165,   969,   967,   957,   957,
     957,    18,   491,   316,   967,   290,   319,   479,   957,   957,
     352,   352,    72,   364,   280,   191,    31,   649,   191,   191,
     374,   374,   191,   237,   655,   966,   649,   649,   649,   649,
     649,   649,   191,   655,   245,   150,   352,   494,   426,   496,
     497,   413,   427,   430,   894,    30,   871,   870,   424,   424,
     352,   352,   352,   426,   352,   965,   875,   427,   430,   413,
     605,    75,   124,   200,   201,   214,   259,   344,   346,   759,
     518,   957,   150,   307,   385,   569,   576,   577,   134,   427,
     516,   596,   597,   316,    19,   170,   301,   340,   440,   441,
     145,   959,   955,   456,   251,   509,   147,   966,   620,   620,
     620,   620,   242,   246,   251,   426,   620,   867,   868,   869,
     316,   134,   133,   817,   649,   207,   510,   512,   514,   516,
     522,   525,   969,   392,   393,   540,   392,   486,   966,   246,
     427,   700,   701,   706,    31,   197,   298,   391,   707,   708,
     709,   246,   468,   162,   162,   145,   624,    31,   134,   482,
     697,   648,   649,   959,   649,   959,   720,   246,   482,   482,
     246,   482,   316,   145,   468,   482,   894,   427,   530,   170,
     170,   170,   395,   956,   430,   554,   555,   158,   670,   671,
     967,    19,   678,   132,   321,   132,   321,   303,   372,   221,
     870,   957,   150,   246,   670,    48,   482,   963,   342,   963,
     241,   197,   649,   427,   425,   425,   430,   923,   894,   122,
     941,   942,    31,   427,   894,   427,   427,   427,   427,   150,
     427,   427,   427,   427,   427,   430,   427,   265,   932,   427,
     895,   895,    11,   170,   191,   248,   413,   414,   415,   417,
     418,   419,   420,   421,   422,   920,   895,   427,   427,   145,
     150,   935,   936,   427,   409,   427,   427,    31,   937,   923,
     937,   937,   150,   427,   427,   972,   263,   905,    31,   427,
     430,   894,   972,   430,   894,   947,   894,   969,   427,   427,
     409,   895,   895,   128,   923,   150,   115,   117,   139,   237,
     242,   358,   368,   426,   128,   339,   948,   894,   938,   894,
     352,   721,   894,   426,   818,   345,   347,   345,   347,   955,
     828,   828,   828,   426,   818,   854,   855,   856,   861,   864,
     897,   963,   969,   389,   865,   924,   924,   925,   427,   255,
     909,    13,   427,   430,   832,   752,   965,   892,   463,   894,
     782,   791,   834,   248,   918,   921,   410,   411,   694,   894,
     843,   954,   805,   805,   840,   854,   389,   866,   380,   797,
     798,   969,   297,   799,   811,   812,   430,   853,   413,   947,
     967,   957,   957,   208,   956,   956,   246,   956,   249,   246,
     894,   526,   959,   426,   426,   426,   544,   173,   529,   614,
     134,   482,   352,   468,   624,   870,   395,   649,   649,   649,
     720,    74,   112,   260,   346,   957,   558,   957,   159,   378,
     352,   352,   558,   575,   582,   290,   319,   479,   957,   957,
     957,   181,   237,   650,   701,   705,   705,   421,   352,   250,
     580,   120,   294,   319,   481,   582,   734,   134,   482,   134,
     482,   957,   957,   957,   957,   585,   586,   585,   427,   430,
     587,   966,   427,   430,   413,   428,   967,   259,   290,   319,
      18,   120,   259,   290,   319,   870,   231,   870,   967,   957,
     208,   264,   237,   966,   264,   956,   371,   352,   307,   352,
     733,   307,   352,   352,   216,   216,   216,   352,   352,   307,
     352,   352,   307,   352,   307,   352,   307,   352,   482,   870,
      20,    40,   319,   734,   134,   482,   352,   957,   352,   307,
     967,   957,   655,   870,   191,   655,   655,   959,   959,   655,
     191,   191,   191,   191,   191,   191,   655,   495,   503,   504,
     972,    44,    85,   109,   124,   128,   146,   161,   237,   245,
     278,   498,   248,   417,   418,   554,   623,   705,   921,   966,
     976,     3,   627,   427,   424,   427,   965,   425,   965,   163,
     219,   893,   219,   893,   893,   965,   222,   427,   622,   623,
     246,   208,   413,   760,   760,   760,   760,   760,   760,   760,
      60,    66,    76,   103,   105,   177,   232,   237,   273,   286,
     367,   519,   520,   521,   437,   468,   957,   468,   580,   955,
     427,   430,   957,   956,   158,   301,   956,   965,   361,   528,
     292,   342,    96,   529,   955,   606,   628,   629,   966,   427,
     430,   957,   955,   957,   392,   547,   426,   511,   955,   427,
     430,   245,   485,   245,   246,   541,   485,    31,   352,   955,
     427,   430,   103,   413,   710,   966,   468,   342,   704,   705,
     392,   709,   711,   108,   183,   312,   372,   742,   159,   817,
     482,   870,   957,   482,   482,   374,   482,   374,   482,   482,
     649,   649,   957,   600,   482,   307,   307,   307,   956,   674,
     430,   967,   392,   430,   672,   249,   132,   132,   956,   669,
     482,   967,   624,   697,   554,   649,   191,   927,   427,   349,
     894,   126,   870,   427,   894,   894,   894,   935,   870,   895,
     115,   117,   232,   242,   895,   895,   895,   895,   895,   895,
     895,   895,   895,   895,   894,   894,   936,   935,   891,   891,
     870,   427,   427,   427,   923,   427,   430,    48,   896,   427,
     972,   902,   270,   337,   904,   427,   430,   385,   898,    31,
     427,   888,   966,   894,    28,    28,   894,   427,   894,   150,
     426,   926,   894,   895,   895,   128,   128,   894,   427,   128,
     894,   828,   828,   828,   828,   955,   955,   955,   818,   855,
     856,    31,   857,   969,   430,    84,   151,   179,   194,   205,
     227,   300,   858,   857,    31,   857,   969,   426,   946,   894,
     158,   845,   430,   831,   832,   831,   427,   909,   426,   910,
     969,   894,   909,   966,   382,   925,   427,   427,   425,   427,
     426,   694,   427,   247,    86,   894,   799,   427,   430,   947,
     952,   427,   430,   808,   866,   949,   760,   153,   314,   343,
     362,   683,   145,   683,   427,   426,   532,   533,   690,   897,
     969,   529,   529,   614,   961,   427,   105,   177,   230,   232,
     615,   957,   957,    31,   957,   374,   374,   649,   649,   649,
     649,   650,   967,   957,   352,   733,   307,   352,   181,   421,
     361,   957,   426,   518,   232,   485,    96,   232,   332,   335,
     485,   361,   957,   969,   584,   488,   623,   972,   352,   352,
     307,   152,   248,   335,   632,   633,   152,   248,   640,   641,
     352,   352,   307,   427,   427,   427,   968,   966,   966,   966,
     957,   957,   957,   957,   957,   957,   957,   145,   145,   292,
     145,   165,   967,   957,   957,   967,   957,   957,   957,   957,
     957,   957,   957,    66,   483,   966,   966,   361,   969,   957,
     582,   957,   957,   427,   655,   191,   191,   655,   655,   655,
     655,   655,   655,   374,   501,   502,   427,   430,   419,   426,
     465,   505,   554,   768,   966,   768,   232,   278,   768,   768,
     614,   965,   392,   393,   425,   425,   427,   892,   955,   760,
     103,   965,   966,   103,   966,   103,   966,   103,   966,   103,
     957,   103,   957,   103,   957,   426,   649,   957,   895,   106,
     167,   105,   237,   195,   955,   711,   568,   595,   597,   580,
     956,   956,   870,   486,   955,   395,   145,   607,   427,   430,
     869,   580,   242,   426,   793,    96,   230,   513,   515,   517,
     525,   969,   540,   523,   176,   539,   514,    71,   344,   542,
     817,   966,   688,   706,   894,   894,   430,   426,   707,   620,
     352,   558,   427,   482,   959,   959,   482,   482,   316,   956,
     956,   956,   554,   155,   671,   678,   150,   191,   191,   191,
     191,   237,   659,   966,   894,   427,   427,   936,   150,   115,
     117,   242,   426,   427,   398,   900,   923,   285,    48,   390,
     390,   427,   894,   230,   894,   430,   899,   872,   892,   895,
     895,   894,   926,   427,    28,    28,   894,   894,   128,   894,
     427,   955,   955,   955,   955,   427,   969,   426,   855,   194,
     254,   859,   855,   859,   194,   858,   859,   194,   426,   969,
     426,   924,    48,   160,   846,   427,   427,   909,   911,   969,
     925,   909,   966,   721,   242,   817,   798,   413,   811,   799,
     968,   352,   666,   150,   614,   894,   427,   430,   392,    66,
     691,   691,   427,   427,   711,   106,   167,   175,   105,   376,
     482,   870,   959,   959,   957,   957,   957,   957,   361,   581,
     585,   237,   237,   968,   969,   870,   482,   482,   413,   967,
     957,   957,   965,   965,   870,   430,   965,   965,   430,   967,
     957,   957,   352,   956,   956,   649,   956,   134,   649,   870,
     482,   482,   191,   655,   655,   437,   110,   504,   465,   506,
     507,   966,   966,   237,   419,   529,   966,   966,   425,   152,
     180,   152,   150,   613,   968,   894,   232,   520,   711,   528,
     374,   543,   316,   374,    31,   426,   957,   121,   608,   388,
     610,   966,   649,   510,   547,    96,   427,   430,   392,   541,
     131,   171,   426,   540,   108,   120,   270,   957,   392,   755,
     150,   426,   966,   703,   712,   713,   970,   711,   955,   178,
     559,   482,   482,   482,   957,   249,   482,   670,   659,   659,
     659,   659,   895,   150,   426,   926,   426,   427,   430,   427,
     896,   285,   427,   379,   329,   427,   427,   427,   895,   895,
     894,   857,   426,   956,   855,   246,   374,   860,   855,   194,
     855,   868,   426,   868,   969,   427,   923,   894,   391,   906,
     909,   909,   262,   912,   427,   892,   427,   814,   951,   670,
     246,   670,   427,   711,   533,   248,   721,   649,   374,   649,
     692,   692,   286,   711,   543,   427,   352,   427,   430,   483,
     623,   426,   963,   721,   633,   426,   426,   641,   957,   392,
     292,   392,   392,   145,   483,   655,   496,   966,   427,   430,
     529,   674,    31,   726,   726,   955,   614,   427,   543,   217,
     531,   173,   957,   959,   817,   580,   303,   331,   609,   426,
     133,   511,   427,   515,   250,   542,    22,    70,    77,   104,
     174,   335,   524,   524,   954,   541,   304,   304,    52,    60,
     211,   649,   689,   690,   705,   427,   430,   865,   558,   230,
     378,   560,   561,   482,   895,   926,   427,   901,   923,    48,
     230,   408,   956,   427,   894,   426,   855,   860,   427,   868,
     427,   907,   908,   969,    48,   831,   909,   672,   683,   482,
     691,   543,   426,   649,   693,   693,   955,   543,   614,   957,
     585,   374,   484,   926,   697,   145,   636,   720,   926,   926,
     648,   649,   648,   649,   956,   482,   507,   726,    34,   169,
     145,   230,   527,   151,   261,   324,   246,   535,   536,   537,
     344,   580,   140,   635,   755,   894,   277,   540,   539,   518,
     427,   542,    60,   249,    60,   427,   430,   707,   712,   116,
     378,   558,   427,   427,   427,   285,   379,   427,   956,   427,
     430,    31,   923,   279,   304,   913,   150,   692,   389,   534,
     721,   694,   694,   528,   614,   894,   427,   252,   309,   283,
     637,   636,   427,   427,   392,   121,   175,   108,   372,   246,
     537,   246,   536,   957,   649,    31,   427,   963,   541,   540,
     249,   249,   486,   690,   711,    23,   184,   743,   427,   908,
     910,    42,    86,   363,   894,   914,   915,   914,   427,   670,
     693,   426,   614,   427,   531,   963,    48,   637,   649,   303,
      51,   230,   296,   319,   538,   538,   632,   426,   542,   541,
     542,   233,   426,   738,   740,   745,   795,   800,   806,   817,
     915,   303,   144,   268,   144,   268,   482,   694,   894,   535,
     697,   649,   610,    17,   103,   237,     4,   611,   612,   965,
     966,   972,   542,   865,   739,   740,   741,   818,   819,    28,
     427,   614,   133,   427,   430,   427,   429,   915,   277,   612,
     741,   963,   426,   611,   427
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (&yylval, &yylloc, YYLEX_PARAM)
#else
# define YYLEX yylex (&yylval, &yylloc, yyscanner)
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
  YYUSE (yyscanner);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule, yyscanner)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
    core_yyscan_t yyscanner;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule, yyscanner); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp, yyscanner)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (core_yyscan_t yyscanner);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (core_yyscan_t yyscanner)
#else
int
yyparse (yyscanner)
    core_yyscan_t yyscanner;
#endif
#endif
{
/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1806 of yacc.c  */
#line 656 "gram.y"
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[(1) - (1)].list);
			}
    break;

  case 3:

/* Line 1806 of yacc.c  */
#line 663 "gram.y"
    {
					if ((yyvsp[(3) - (3)].node) != NULL)
						(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
					else
						(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 670 "gram.y"
    {
					if ((yyvsp[(1) - (1)].node) != NULL)
						(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
					else
						(yyval.list) = NIL;
				}
    break;

  case 115:

/* Line 1806 of yacc.c  */
#line 790 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 116:

/* Line 1806 of yacc.c  */
#line 801 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 117:

/* Line 1806 of yacc.c  */
#line 811 "gram.y"
    {}
    break;

  case 118:

/* Line 1806 of yacc.c  */
#line 812 "gram.y"
    {}
    break;

  case 119:

/* Line 1806 of yacc.c  */
#line 821 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 120:

/* Line 1806 of yacc.c  */
#line 822 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 121:

/* Line 1806 of yacc.c  */
#line 826 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 122:

/* Line 1806 of yacc.c  */
#line 827 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 832 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 837 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 841 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 846 "gram.y"
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 851 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 855 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				}
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 859 "gram.y"
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 864 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 868 "gram.y"
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[(1) - (1)].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[(1) - (1)].str)),
									 parser_errposition((yylsp[(1) - (1)]))));
				}
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 921 "gram.y"
    { (yyval.defelt) = (yyvsp[(1) - (1)].defelt); }
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 924 "gram.y"
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[(2) - (2)].ival)));
				}
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 928 "gram.y"
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 932 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 936 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 940 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 954 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 972 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 982 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 983 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 988 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 1006 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 1018 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (4)].str);
					n->database = NULL;
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 1039 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 1046 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 1065 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 1072 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[(5) - (5)].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 1089 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 1107 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[(6) - (6)].list)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 1117 "gram.y"
    { (yyval.ival) = +1; }
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 1118 "gram.y"
    { (yyval.ival) = -1; }
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 1131 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 1138 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 1155 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[(3) - (6)].str) != NULL)
						n->schemaname = (yyvsp[(3) - (6)].str);
					else
						n->schemaname = (yyvsp[(5) - (6)].str);
					n->authid = (yyvsp[(5) - (6)].str);
					n->schemaElts = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 1167 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(3) - (4)].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 1178 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 1179 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 1183 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 1184 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 1212 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(2) - (2)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 1218 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 1224 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 170:

/* Line 1806 of yacc.c  */
#line 1233 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 171:

/* Line 1806 of yacc.c  */
#line 1241 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[(5) - (5)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 173:

/* Line 1806 of yacc.c  */
#line 1253 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 174:

/* Line 1806 of yacc.c  */
#line 1261 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 175:

/* Line 1806 of yacc.c  */
#line 1269 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 1276 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 1283 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 1291 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[(3) - (3)].node) != NULL)
						n->args = list_make1((yyvsp[(3) - (3)].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 1302 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 1310 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 181:

/* Line 1806 of yacc.c  */
#line 1318 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[(2) - (2)].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 1329 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 1337 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 1345 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 1352 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 1361 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 1370 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 1372 "gram.y"
    {
					(yyval.str) = palloc(strlen((yyvsp[(1) - (3)].str)) + strlen((yyvsp[(3) - (3)].str)) + 2);
					sprintf((yyval.str), "%s.%s", (yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str));
				}
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 1378 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 1379 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 1383 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); }
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 1385 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 1388 "gram.y"
    { (yyval.str) = "read uncommitted"; }
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 1389 "gram.y"
    { (yyval.str) = "read committed"; }
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 1390 "gram.y"
    { (yyval.str) = "repeatable read"; }
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 1391 "gram.y"
    { (yyval.str) = "serializable"; }
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 1395 "gram.y"
    { (yyval.str) = "true"; }
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 1396 "gram.y"
    { (yyval.str) = "false"; }
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 1397 "gram.y"
    { (yyval.str) = "on"; }
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 1403 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 1416 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 202:

/* Line 1806 of yacc.c  */
#line 1420 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 1424 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					if ((yyvsp[(3) - (3)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(3) - (3)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(3) - (3)]))));
					}
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 1439 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(6) - (6)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(6) - (6)]))));
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				}
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 1461 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 1462 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 1463 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 1467 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 209:

/* Line 1806 of yacc.c  */
#line 1468 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 1469 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 1473 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 1474 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 1479 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 1486 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 1493 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 1500 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 1507 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 1516 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); }
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 1517 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); }
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 1522 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); }
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 1523 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); }
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 1529 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 1535 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 1541 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 1547 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 1553 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 1563 "gram.y"
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[(3) - (4)].list);
					n->deferred = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 1572 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 1573 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 1577 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 1578 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 1587 "gram.y"
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 1602 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 1608 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 1614 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 1620 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 1638 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 1647 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 1656 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 1665 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 1674 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 1683 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 1692 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 1701 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 1712 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 1713 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 1719 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 1727 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (3)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 1735 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 1744 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 1752 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 1760 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeInteger((yyvsp[(6) - (6)].ival));
					(yyval.node) = (Node *)n;
				}
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 1769 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 1778 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 1787 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeString((yyvsp[(6) - (6)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 1796 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 1806 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 1819 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = (yyvsp[(8) - (8)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 1833 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (Node *) (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 1842 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 1850 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 1858 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 1868 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 1878 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 1885 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 1892 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 1900 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 1908 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 1916 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 1924 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 1932 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 1939 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 1946 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 1954 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 1961 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 1968 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 1976 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 1984 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 1992 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 2000 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[(2) - (2)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 2008 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[(3) - (3)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 2016 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[(2) - (2)].list));
					def->location = (yylsp[(2) - (2)]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 2026 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 2033 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 2041 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 2049 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 2057 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 2064 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[(1) - (1)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 2073 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (3)].node); }
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 2074 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 2078 "gram.y"
    { (yyval.dbehavior) = DROP_CASCADE; }
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 2079 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; }
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 2080 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 2085 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 2092 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 2096 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 2097 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 2101 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 2104 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 2105 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 301:

/* Line 1806 of yacc.c  */
#line 2109 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 2110 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 2116 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				}
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 2120 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				}
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 2124 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (5)].str), (yyvsp[(3) - (5)].str), (Node *) (yyvsp[(5) - (5)].node),
											 DEFELEM_UNSPEC);
				}
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 2129 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str), NULL, DEFELEM_UNSPEC);
				}
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 2144 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (4)].list), (yylsp[(3) - (4)]), yyscanner);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 2156 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 2157 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 2163 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (4)].node);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 2172 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 2182 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 2192 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 2217 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 2223 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 2251 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[(3) - (10)].range);
					n->query = NULL;
					n->attlist = (yyvsp[(4) - (10)].list);
					n->is_from = (yyvsp[(6) - (10)].boolean);
					n->filename = (yyvsp[(7) - (10)].str);

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[(2) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(2) - (10)].defelt));
					if ((yyvsp[(5) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(5) - (10)].defelt));
					if ((yyvsp[(8) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(8) - (10)].defelt));
					if ((yyvsp[(10) - (10)].list))
						n->options = list_concat(n->options, (yyvsp[(10) - (10)].list));
					(yyval.node) = (Node *)n;
				}
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 2272 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[(2) - (6)].node);
					n->attlist = NIL;
					n->is_from = false;
					n->filename = (yyvsp[(4) - (6)].str);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 2285 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 2286 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 2295 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 2296 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 2297 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 2300 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 2301 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 2306 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 2307 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 2312 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 2316 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 2320 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 2324 "gram.y"
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 2328 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 2332 "gram.y"
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 2336 "gram.y"
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 2340 "gram.y"
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 2344 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 2348 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 2352 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[(4) - (4)].list));
				}
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 2356 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 2365 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 2368 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 2373 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 2376 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 2381 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 2384 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 2388 "gram.y"
    {}
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 2389 "gram.y"
    {}
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 2395 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 2399 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 2406 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 2412 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 2413 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); }
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 2414 "gram.y"
    { (yyval.node) = (Node *) makeNode(A_Star); }
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 2415 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(2) - (3)].list); }
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 2416 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 2421 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 2425 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 2432 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 2445 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (11)].range)->relpersistence = (yyvsp[(2) - (11)].ival);
					n->relation = (yyvsp[(4) - (11)].range);
					n->tableElts = (yyvsp[(6) - (11)].list);
					n->inhRelations = (yyvsp[(8) - (11)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(9) - (11)].list);
					n->oncommit = (yyvsp[(10) - (11)].oncommit);
					n->tablespacename = (yyvsp[(11) - (11)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 2461 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (14)].range)->relpersistence = (yyvsp[(2) - (14)].ival);
					n->relation = (yyvsp[(7) - (14)].range);
					n->tableElts = (yyvsp[(9) - (14)].list);
					n->inhRelations = (yyvsp[(11) - (14)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(12) - (14)].list);
					n->oncommit = (yyvsp[(13) - (14)].oncommit);
					n->tablespacename = (yyvsp[(14) - (14)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 2476 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (10)].range)->relpersistence = (yyvsp[(2) - (10)].ival);
					n->relation = (yyvsp[(4) - (10)].range);
					n->tableElts = (yyvsp[(7) - (10)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(6) - (10)].list));
					n->ofTypename->location = (yylsp[(6) - (10)]);
					n->constraints = NIL;
					n->options = (yyvsp[(8) - (10)].list);
					n->oncommit = (yyvsp[(9) - (10)].oncommit);
					n->tablespacename = (yyvsp[(10) - (10)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 2492 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (13)].range)->relpersistence = (yyvsp[(2) - (13)].ival);
					n->relation = (yyvsp[(7) - (13)].range);
					n->tableElts = (yyvsp[(10) - (13)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(9) - (13)].list));
					n->ofTypename->location = (yylsp[(9) - (13)]);
					n->constraints = NIL;
					n->options = (yyvsp[(11) - (13)].list);
					n->oncommit = (yyvsp[(12) - (13)].oncommit);
					n->tablespacename = (yyvsp[(13) - (13)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 2519 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 2520 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 2521 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 2522 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 2524 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 2531 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 2537 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 2538 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 2542 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 2543 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 2547 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 2548 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 2553 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 2557 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 2564 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 2568 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 2574 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 2575 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 2576 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 2580 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 2581 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 2585 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = (yyvsp[(2) - (4)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[(3) - (4)].list);
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 2605 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 2624 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 2625 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 2630 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 2637 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 2638 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 2640 "gram.y"
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 2671 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 2678 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 2685 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NULL;
					n->options = (yyvsp[(2) - (3)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 2696 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NULL;
					n->options = (yyvsp[(3) - (4)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 2707 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->is_no_inherit = (yyvsp[(5) - (5)].boolean);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 2717 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[(1) - (2)]);
					n->raw_expr = (yyvsp[(2) - (2)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 2726 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (5)]);
					n->pktable			= (yyvsp[(2) - (5)].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[(3) - (5)].list);
					n->fk_matchtype		= (yyvsp[(4) - (5)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(5) - (5)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(5) - (5)].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 2759 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 2766 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 2773 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 2780 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 2791 "gram.y"
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[(2) - (3)].range);
					n->options = (yyvsp[(3) - (3)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 2800 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 2801 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) & ~(yyvsp[(3) - (3)].ival); }
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 2802 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 2806 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 2807 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 2808 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 2809 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 2810 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 2811 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 2821 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 2828 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 2833 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[(5) - (5)].ival), (yylsp[(5) - (5)]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 2847 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (7)]);
					n->keys = (yyvsp[(3) - (7)].list);
					n->options = (yyvsp[(5) - (7)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(6) - (7)].str);
					processCASbits((yyvsp[(7) - (7)].ival), (yylsp[(7) - (7)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 2861 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(2) - (3)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(3) - (3)].ival), (yylsp[(3) - (3)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 2876 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (8)]);
					n->keys = (yyvsp[(4) - (8)].list);
					n->options = (yyvsp[(6) - (8)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(7) - (8)].str);
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 2890 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(3) - (4)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(4) - (4)].ival), (yylsp[(4) - (4)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 2906 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[(1) - (9)]);
					n->access_method	= (yyvsp[(2) - (9)].str);
					n->exclusions		= (yyvsp[(4) - (9)].list);
					n->options			= (yyvsp[(6) - (9)].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[(7) - (9)].str);
					n->where_clause		= (yyvsp[(8) - (9)].node);
					processCASbits((yyvsp[(9) - (9)].ival), (yylsp[(9) - (9)]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 2923 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (11)]);
					n->pktable			= (yyvsp[(7) - (11)].range);
					n->fk_attrs			= (yyvsp[(4) - (11)].list);
					n->pk_attrs			= (yyvsp[(8) - (11)].list);
					n->fk_matchtype		= (yyvsp[(9) - (11)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(10) - (11)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(10) - (11)].ival) & 0xFF);
					processCASbits((yyvsp[(11) - (11)].ival), (yylsp[(11) - (11)]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 2942 "gram.y"
    {  (yyval.boolean) = TRUE; }
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 2943 "gram.y"
    {  (yyval.boolean) = FALSE; }
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 2947 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 2948 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 2952 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 2953 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 2957 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str));
				}
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 2963 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 2967 "gram.y"
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[(1) - (2)]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 2975 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			}
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 2979 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			}
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 2985 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 2987 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 2991 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (3)].ielem), (yyvsp[(3) - (3)].list));
			}
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 2996 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (6)].ielem), (yyvsp[(5) - (6)].list));
			}
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 3002 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 3003 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 3014 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (1)].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 3016 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[(1) - (1)].ival) & 0xFF); }
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 3018 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (2)].ival) << 8) | ((yyvsp[(2) - (2)].ival) & 0xFF); }
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 3020 "gram.y"
    { (yyval.ival) = ((yyvsp[(2) - (2)].ival) << 8) | ((yyvsp[(1) - (2)].ival) & 0xFF); }
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 3022 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 3025 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 3028 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 3032 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 3033 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 3034 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 3035 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 3036 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 3039 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 3040 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 3045 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 3046 "gram.y"
    { (yyval.list) = list_make1(defWithOids(true)); }
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 3047 "gram.y"
    { (yyval.list) = list_make1(defWithOids(false)); }
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 3048 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 3051 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DROP; }
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 3052 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 3053 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 3054 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
    break;

  case 460:

/* Line 1806 of yacc.c  */
#line 3057 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 3058 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 3061 "gram.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 3062 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 3065 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 3081 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[(6) - (7)].node);
					ctas->into = (yyvsp[(4) - (7)].into);
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(4) - (7)].into)->rel->relpersistence = (yyvsp[(2) - (7)].ival);
					(yyvsp[(4) - (7)].into)->skipData = !((yyvsp[(7) - (7)].boolean));
					(yyval.node) = (Node *) ctas;
				}
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 3095 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (5)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (5)].list);
					(yyval.into)->options = (yyvsp[(3) - (5)].list);
					(yyval.into)->onCommit = (yyvsp[(4) - (5)].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[(5) - (5)].str);
					(yyval.into)->skipData = false;		/* might get changed later */
				}
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 3107 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 3108 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 3109 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 3123 "gram.y"
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[(4) - (5)].range)->relpersistence = (yyvsp[(2) - (5)].ival);
					n->sequence = (yyvsp[(4) - (5)].range);
					n->options = (yyvsp[(5) - (5)].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 3135 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(3) - (4)].range);
					n->options = (yyvsp[(4) - (4)].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 3143 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(5) - (6)].range);
					n->options = (yyvsp[(6) - (6)].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 3153 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 3154 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 3157 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 3158 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 3162 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 3166 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 3170 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 3174 "gram.y"
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 3178 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 3182 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 3186 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 3190 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 3194 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 3198 "gram.y"
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 3202 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 3206 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 3211 "gram.y"
    {}
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 3212 "gram.y"
    {}
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 3216 "gram.y"
    { (yyval.value) = makeFloat((yyvsp[(1) - (1)].str)); }
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 3218 "gram.y"
    {
					(yyval.value) = makeFloat((yyvsp[(2) - (2)].str));
					doNegateFloat((yyval.value));
				}
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 3222 "gram.y"
    { (yyval.value) = makeInteger((yyvsp[(1) - (1)].ival)); }
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 3225 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 3226 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 3239 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (6)].boolean);
				n->plname = (yyvsp[(6) - (6)].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 3252 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (10)].boolean);
				n->plname = (yyvsp[(6) - (10)].str);
				n->plhandler = (yyvsp[(8) - (10)].list);
				n->plinline = (yyvsp[(9) - (10)].list);
				n->plvalidator = (yyvsp[(10) - (10)].list);
				n->pltrusted = (yyvsp[(3) - (10)].boolean);
				(yyval.node) = (Node *)n;
			}
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 3265 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 3266 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 3274 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 3275 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 3279 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 3280 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 3284 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 3285 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 3289 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 3290 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 3295 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[(4) - (5)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 3306 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 3318 "gram.y"
    {}
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 3319 "gram.y"
    {}
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 3330 "gram.y"
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (6)].str);
					n->owner = (yyvsp[(4) - (6)].str);
					n->location = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 3339 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 3340 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 3354 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (3)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 3361 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(5) - (5)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 3378 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->if_not_exists = false;
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 3386 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(6) - (8)].str);
					n->if_not_exists = true;
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 3397 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 3399 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 3404 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 3408 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 3412 "gram.y"
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 3424 "gram.y"
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 3434 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 3436 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 3441 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 3454 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 3464 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (10)].str);
					n->action = (yyvsp[(4) - (10)].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(7) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(9) - (10)].typnam));
					(yyval.node) = (Node *) n;
				}
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 3474 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 3483 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 3492 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 3501 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (6)].funwithargs)->funcname;
					n->objargs = (yyvsp[(6) - (6)].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 3511 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[(7) - (7)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 3520 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 3530 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 3540 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 3550 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 3559 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 540:

/* Line 1806 of yacc.c  */
#line 3568 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 541:

/* Line 1806 of yacc.c  */
#line 3577 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 542:

/* Line 1806 of yacc.c  */
#line 3586 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 543:

/* Line 1806 of yacc.c  */
#line 3595 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 3604 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 545:

/* Line 1806 of yacc.c  */
#line 3613 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 3622 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 3631 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[(8) - (8)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 548:

/* Line 1806 of yacc.c  */
#line 3640 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 549:

/* Line 1806 of yacc.c  */
#line 3649 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 550:

/* Line 1806 of yacc.c  */
#line 3667 "gram.y"
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 551:

/* Line 1806 of yacc.c  */
#line 3677 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[(2) - (2)].list)); }
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 3678 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", NULL); }
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 3679 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[(2) - (2)].list)); }
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 3680 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", NULL); }
    break;

  case 555:

/* Line 1806 of yacc.c  */
#line 3684 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 556:

/* Line 1806 of yacc.c  */
#line 3685 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 557:

/* Line 1806 of yacc.c  */
#line 3689 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 558:

/* Line 1806 of yacc.c  */
#line 3690 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 3701 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[(5) - (6)].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 560:

/* Line 1806 of yacc.c  */
#line 3712 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[(7) - (8)].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 3732 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 3740 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->func_options = (yyvsp[(6) - (6)].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 3751 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 3752 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 3757 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 3761 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 3768 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 3773 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 3777 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 3784 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 3788 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 3793 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 3798 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[(2) - (2)].str), NULL, DEFELEM_DROP);
				}
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 3805 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 3811 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 3816 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 3828 "gram.y"
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[(3) - (10)].str);
					n->servertype = (yyvsp[(4) - (10)].str);
					n->version = (yyvsp[(5) - (10)].str);
					n->fdwname = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 3840 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 3841 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 580:

/* Line 1806 of yacc.c  */
#line 3846 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 581:

/* Line 1806 of yacc.c  */
#line 3847 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 3851 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 3852 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 3863 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[(3) - (4)].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 3874 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[(5) - (6)].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 586:

/* Line 1806 of yacc.c  */
#line 3894 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (5)].str);
					n->version = (yyvsp[(4) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 3903 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->version = (yyvsp[(4) - (4)].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 588:

/* Line 1806 of yacc.c  */
#line 3911 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 589:

/* Line 1806 of yacc.c  */
#line 3930 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(4) - (8)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(4) - (8)].range);
					n->base.tableElts = (yyvsp[(5) - (8)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 590:

/* Line 1806 of yacc.c  */
#line 3945 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(7) - (11)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(7) - (11)].range);
					n->base.tableElts = (yyvsp[(8) - (11)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[(10) - (11)].str);
					n->options = (yyvsp[(11) - (11)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 591:

/* Line 1806 of yacc.c  */
#line 3960 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 3961 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 3966 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 3970 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 3976 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 3988 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(4) - (5)].range);
					n->cmds = (yyvsp[(5) - (5)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 3997 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(6) - (7)].range);
					n->cmds = (yyvsp[(7) - (7)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 4015 "gram.y"
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 4026 "gram.y"
    { (yyval.str) = "current_user"; }
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 4027 "gram.y"
    { (yyval.str) = "current_user"; }
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 4028 "gram.y"
    { (yyval.str) = (strcmp((yyvsp[(1) - (1)].str), "public") == 0) ? NULL : (yyvsp[(1) - (1)].str); }
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 4039 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(5) - (7)].str);
					n->servername = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 4047 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(7) - (9)].str);
					n->servername = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 4064 "gram.y"
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 605:

/* Line 1806 of yacc.c  */
#line 4085 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (15)].str);
					n->relation = (yyvsp[(7) - (15)].range);
					n->funcname = (yyvsp[(12) - (15)].list);
					n->args = (yyvsp[(14) - (15)].list);
					n->row = (yyvsp[(8) - (15)].boolean);
					n->timing = (yyvsp[(4) - (15)].ival);
					n->events = intVal(linitial((yyvsp[(5) - (15)].list)));
					n->columns = (List *) lsecond((yyvsp[(5) - (15)].list));
					n->whenClause = (yyvsp[(9) - (15)].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 606:

/* Line 1806 of yacc.c  */
#line 4106 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(4) - (20)].str);
					n->relation = (yyvsp[(8) - (20)].range);
					n->funcname = (yyvsp[(17) - (20)].list);
					n->args = (yyvsp[(19) - (20)].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[(6) - (20)].list)));
					n->columns = (List *) lsecond((yyvsp[(6) - (20)].list));
					n->whenClause = (yyvsp[(14) - (20)].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(10) - (20)].ival), (yylsp[(10) - (20)]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[(9) - (20)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 607:

/* Line 1806 of yacc.c  */
#line 4127 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
    break;

  case 608:

/* Line 1806 of yacc.c  */
#line 4128 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
    break;

  case 609:

/* Line 1806 of yacc.c  */
#line 4129 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 4134 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 4136 "gram.y"
    {
					int		events1 = intVal(linitial((yyvsp[(1) - (3)].list)));
					int		events2 = intVal(linitial((yyvsp[(3) - (3)].list)));
					List   *columns1 = (List *) lsecond((yyvsp[(1) - (3)].list));
					List   *columns2 = (List *) lsecond((yyvsp[(3) - (3)].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 4158 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 4160 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 4162 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 4164 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[(3) - (3)].list)); }
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 4166 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
    break;

  case 617:

/* Line 1806 of yacc.c  */
#line 4171 "gram.y"
    {
					(yyval.boolean) = (yyvsp[(3) - (3)].boolean);
				}
    break;

  case 618:

/* Line 1806 of yacc.c  */
#line 4175 "gram.y"
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
    break;

  case 619:

/* Line 1806 of yacc.c  */
#line 4185 "gram.y"
    {}
    break;

  case 620:

/* Line 1806 of yacc.c  */
#line 4186 "gram.y"
    {}
    break;

  case 621:

/* Line 1806 of yacc.c  */
#line 4190 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 4191 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 623:

/* Line 1806 of yacc.c  */
#line 4195 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 624:

/* Line 1806 of yacc.c  */
#line 4196 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 4200 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 4201 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 4202 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 4207 "gram.y"
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[(1) - (1)].ival));
					(yyval.value) = makeString(pstrdup(buf));
				}
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 4212 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 4213 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 631:

/* Line 1806 of yacc.c  */
#line 4214 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 4218 "gram.y"
    { (yyval.range) = (yyvsp[(2) - (2)].range); }
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 4219 "gram.y"
    { (yyval.range) = NULL; }
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 4224 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 635:

/* Line 1806 of yacc.c  */
#line 4226 "gram.y"
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[(2) - (2)]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.ival) = newspec;
				}
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 4252 "gram.y"
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 4253 "gram.y"
    { (yyval.ival) = CAS_DEFERRABLE; }
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 4254 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 4255 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 4256 "gram.y"
    { (yyval.ival) = CAS_NOT_VALID; }
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 4257 "gram.y"
    { (yyval.ival) = CAS_NO_INHERIT; }
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 4263 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[(5) - (6)].list), makeString((yyvsp[(3) - (6)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 4274 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[(7) - (8)].list), makeString((yyvsp[(5) - (8)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 644:

/* Line 1806 of yacc.c  */
#line 4298 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (8)].str);
					n->args = list_make1((yyvsp[(6) - (8)].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 4317 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 4340 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->definition = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 647:

/* Line 1806 of yacc.c  */
#line 4350 "gram.y"
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 648:

/* Line 1806 of yacc.c  */
#line 4361 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 649:

/* Line 1806 of yacc.c  */
#line 4371 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 650:

/* Line 1806 of yacc.c  */
#line 4381 "gram.y"
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (3)].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 4392 "gram.y"
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[(3) - (7)].list), (yylsp[(3) - (7)]), yyscanner);
					n->coldeflist = (yyvsp[(6) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 652:

/* Line 1806 of yacc.c  */
#line 4401 "gram.y"
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[(3) - (8)].list);
					n->vals = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 4408 "gram.y"
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[(3) - (6)].list);
					n->params	= (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 654:

/* Line 1806 of yacc.c  */
#line 4415 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 655:

/* Line 1806 of yacc.c  */
#line 4424 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 4433 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 4442 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 658:

/* Line 1806 of yacc.c  */
#line 4451 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 4460 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[(5) - (5)].list)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 4470 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 4473 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 4474 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 4478 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				}
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 4482 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				}
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 4488 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].typnam); }
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 4489 "gram.y"
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[(1) - (1)].keyword))); }
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 4490 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].list); }
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 4491 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].value); }
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 4492 "gram.y"
    { (yyval.node) = (Node *)makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 4495 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 4496 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 672:

/* Line 1806 of yacc.c  */
#line 4499 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 673:

/* Line 1806 of yacc.c  */
#line 4502 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 674:

/* Line 1806 of yacc.c  */
#line 4503 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 675:

/* Line 1806 of yacc.c  */
#line 4512 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *)(yyvsp[(3) - (3)].node));
				}
    break;

  case 676:

/* Line 1806 of yacc.c  */
#line 4518 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 677:

/* Line 1806 of yacc.c  */
#line 4519 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 678:

/* Line 1806 of yacc.c  */
#line 4523 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 679:

/* Line 1806 of yacc.c  */
#line 4525 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 680:

/* Line 1806 of yacc.c  */
#line 4536 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (6)].list);
				n->newVal = (yyvsp[(6) - (6)].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				(yyval.node) = (Node *) n;
			}
    break;

  case 681:

/* Line 1806 of yacc.c  */
#line 4545 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (8)].list);
				n->newVal = (yyvsp[(6) - (8)].str);
				n->newValNeighbor = (yyvsp[(8) - (8)].str);
				n->newValIsAfter = false;
				(yyval.node) = (Node *) n;
			}
    break;

  case 682:

/* Line 1806 of yacc.c  */
#line 4554 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (8)].list);
				n->newVal = (yyvsp[(6) - (8)].str);
				n->newValNeighbor = (yyvsp[(8) - (8)].str);
				n->newValIsAfter = true;
				(yyval.node) = (Node *) n;
			}
    break;

  case 683:

/* Line 1806 of yacc.c  */
#line 4579 "gram.y"
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[(4) - (13)].list);
					n->isDefault = (yyvsp[(5) - (13)].boolean);
					n->datatype = (yyvsp[(8) - (13)].typnam);
					n->amname = (yyvsp[(10) - (13)].str);
					n->opfamilyname = (yyvsp[(11) - (13)].list);
					n->items = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 684:

/* Line 1806 of yacc.c  */
#line 4592 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 685:

/* Line 1806 of yacc.c  */
#line 4593 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 686:

/* Line 1806 of yacc.c  */
#line 4598 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = NIL;
					n->number = (yyvsp[(2) - (5)].ival);
					n->order_family = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 687:

/* Line 1806 of yacc.c  */
#line 4609 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (6)].list);
					n->args = (yyvsp[(4) - (6)].list);
					n->number = (yyvsp[(2) - (6)].ival);
					n->order_family = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 688:

/* Line 1806 of yacc.c  */
#line 4619 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(3) - (4)].list);
					n->args = extractArgTypes((yyvsp[(4) - (4)].list));
					n->number = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 689:

/* Line 1806 of yacc.c  */
#line 4628 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(6) - (7)].list);
					n->args = extractArgTypes((yyvsp[(7) - (7)].list));
					n->number = (yyvsp[(2) - (7)].ival);
					n->class_args = (yyvsp[(4) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 690:

/* Line 1806 of yacc.c  */
#line 4638 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[(2) - (2)].typnam);
					(yyval.node) = (Node *) n;
				}
    break;

  case 691:

/* Line 1806 of yacc.c  */
#line 4646 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 692:

/* Line 1806 of yacc.c  */
#line 4647 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 693:

/* Line 1806 of yacc.c  */
#line 4650 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 694:

/* Line 1806 of yacc.c  */
#line 4651 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 695:

/* Line 1806 of yacc.c  */
#line 4654 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 696:

/* Line 1806 of yacc.c  */
#line 4655 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (4)].list); }
    break;

  case 697:

/* Line 1806 of yacc.c  */
#line 4656 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 698:

/* Line 1806 of yacc.c  */
#line 4660 "gram.y"
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.boolean) = TRUE;
				}
    break;

  case 699:

/* Line 1806 of yacc.c  */
#line 4673 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 700:

/* Line 1806 of yacc.c  */
#line 4679 "gram.y"
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (6)].list);
					n->amname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 701:

/* Line 1806 of yacc.c  */
#line 4689 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = false;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 702:

/* Line 1806 of yacc.c  */
#line 4698 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = true;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 703:

/* Line 1806 of yacc.c  */
#line 4709 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 704:

/* Line 1806 of yacc.c  */
#line 4710 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 705:

/* Line 1806 of yacc.c  */
#line 4715 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 706:

/* Line 1806 of yacc.c  */
#line 4723 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 707:

/* Line 1806 of yacc.c  */
#line 4735 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(4) - (7)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 708:

/* Line 1806 of yacc.c  */
#line 4746 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(6) - (9)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(8) - (9)].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 709:

/* Line 1806 of yacc.c  */
#line 4760 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(4) - (7)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 710:

/* Line 1806 of yacc.c  */
#line 4771 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(6) - (9)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(8) - (9)].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 711:

/* Line 1806 of yacc.c  */
#line 4794 "gram.y"
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 712:

/* Line 1806 of yacc.c  */
#line 4804 "gram.y"
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[(4) - (6)].list);
					n->newrole = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 713:

/* Line 1806 of yacc.c  */
#line 4822 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (6)].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 714:

/* Line 1806 of yacc.c  */
#line 4833 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (4)].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 715:

/* Line 1806 of yacc.c  */
#line 4844 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(4) - (5)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 716:

/* Line 1806 of yacc.c  */
#line 4855 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(6) - (7)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 717:

/* Line 1806 of yacc.c  */
#line 4868 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 718:

/* Line 1806 of yacc.c  */
#line 4869 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 719:

/* Line 1806 of yacc.c  */
#line 4870 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 720:

/* Line 1806 of yacc.c  */
#line 4871 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 721:

/* Line 1806 of yacc.c  */
#line 4872 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 722:

/* Line 1806 of yacc.c  */
#line 4873 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 723:

/* Line 1806 of yacc.c  */
#line 4874 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; }
    break;

  case 724:

/* Line 1806 of yacc.c  */
#line 4875 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; }
    break;

  case 725:

/* Line 1806 of yacc.c  */
#line 4876 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 726:

/* Line 1806 of yacc.c  */
#line 4877 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 727:

/* Line 1806 of yacc.c  */
#line 4878 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; }
    break;

  case 728:

/* Line 1806 of yacc.c  */
#line 4879 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; }
    break;

  case 729:

/* Line 1806 of yacc.c  */
#line 4880 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 4881 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 4882 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
    break;

  case 732:

/* Line 1806 of yacc.c  */
#line 4886 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 733:

/* Line 1806 of yacc.c  */
#line 4887 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 4890 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 735:

/* Line 1806 of yacc.c  */
#line 4891 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 736:

/* Line 1806 of yacc.c  */
#line 4895 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(2) - (2)].str))); }
    break;

  case 737:

/* Line 1806 of yacc.c  */
#line 4897 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 738:

/* Line 1806 of yacc.c  */
#line 4910 "gram.y"
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[(3) - (5)].list);
					n->restart_seqs = (yyvsp[(4) - (5)].boolean);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 739:

/* Line 1806 of yacc.c  */
#line 4920 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 740:

/* Line 1806 of yacc.c  */
#line 4921 "gram.y"
    { (yyval.boolean) = true; }
    break;

  case 741:

/* Line 1806 of yacc.c  */
#line 4922 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 742:

/* Line 1806 of yacc.c  */
#line 4949 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[(3) - (6)].objtype);
					n->objname = (yyvsp[(4) - (6)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 743:

/* Line 1806 of yacc.c  */
#line 4958 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 4967 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = extractArgTypes((yyvsp[(5) - (7)].list));
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 4976 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 4985 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 4994 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 5003 "gram.y"
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[(4) - (6)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 5013 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 5022 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 5031 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 5040 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(5) - (7)].value));
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 5049 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(5) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(7) - (10)].typnam));
					n->comment = (yyvsp[(10) - (10)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 5058 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(5) - (7)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 5067 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 5075 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 5083 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 5091 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 5101 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; }
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 5102 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; }
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 5103 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 5104 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 5105 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 764:

/* Line 1806 of yacc.c  */
#line 5106 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 765:

/* Line 1806 of yacc.c  */
#line 5107 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; }
    break;

  case 766:

/* Line 1806 of yacc.c  */
#line 5108 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 767:

/* Line 1806 of yacc.c  */
#line 5109 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 768:

/* Line 1806 of yacc.c  */
#line 5110 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; }
    break;

  case 769:

/* Line 1806 of yacc.c  */
#line 5111 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 770:

/* Line 1806 of yacc.c  */
#line 5112 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; }
    break;

  case 771:

/* Line 1806 of yacc.c  */
#line 5113 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; }
    break;

  case 772:

/* Line 1806 of yacc.c  */
#line 5114 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; }
    break;

  case 773:

/* Line 1806 of yacc.c  */
#line 5115 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 774:

/* Line 1806 of yacc.c  */
#line 5116 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
    break;

  case 775:

/* Line 1806 of yacc.c  */
#line 5117 "gram.y"
    { (yyval.objtype) = OBJECT_FDW; }
    break;

  case 776:

/* Line 1806 of yacc.c  */
#line 5121 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 777:

/* Line 1806 of yacc.c  */
#line 5122 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 778:

/* Line 1806 of yacc.c  */
#line 5138 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (8)].str);
					n->objtype = (yyvsp[(5) - (8)].objtype);
					n->objname = (yyvsp[(6) - (8)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 779:

/* Line 1806 of yacc.c  */
#line 5149 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = (yyvsp[(7) - (9)].list);
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 780:

/* Line 1806 of yacc.c  */
#line 5160 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = extractArgTypes((yyvsp[(7) - (9)].list));
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 781:

/* Line 1806 of yacc.c  */
#line 5171 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(7) - (9)].value));
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 782:

/* Line 1806 of yacc.c  */
#line 5182 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 783:

/* Line 1806 of yacc.c  */
#line 5193 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 784:

/* Line 1806 of yacc.c  */
#line 5194 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 785:

/* Line 1806 of yacc.c  */
#line 5198 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; }
    break;

  case 786:

/* Line 1806 of yacc.c  */
#line 5199 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; }
    break;

  case 787:

/* Line 1806 of yacc.c  */
#line 5200 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 788:

/* Line 1806 of yacc.c  */
#line 5201 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 789:

/* Line 1806 of yacc.c  */
#line 5202 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 790:

/* Line 1806 of yacc.c  */
#line 5203 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 791:

/* Line 1806 of yacc.c  */
#line 5204 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 792:

/* Line 1806 of yacc.c  */
#line 5205 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; }
    break;

  case 793:

/* Line 1806 of yacc.c  */
#line 5206 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; }
    break;

  case 794:

/* Line 1806 of yacc.c  */
#line 5207 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 795:

/* Line 1806 of yacc.c  */
#line 5208 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 796:

/* Line 1806 of yacc.c  */
#line 5211 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 797:

/* Line 1806 of yacc.c  */
#line 5212 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 798:

/* Line 1806 of yacc.c  */
#line 5223 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 799:

/* Line 1806 of yacc.c  */
#line 5229 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 800:

/* Line 1806 of yacc.c  */
#line 5237 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(1) - (1)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 801:

/* Line 1806 of yacc.c  */
#line 5245 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 802:

/* Line 1806 of yacc.c  */
#line 5253 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 803:

/* Line 1806 of yacc.c  */
#line 5261 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 804:

/* Line 1806 of yacc.c  */
#line 5269 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 805:

/* Line 1806 of yacc.c  */
#line 5277 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 806:

/* Line 1806 of yacc.c  */
#line 5285 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 807:

/* Line 1806 of yacc.c  */
#line 5293 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 808:

/* Line 1806 of yacc.c  */
#line 5301 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(1) - (3)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 809:

/* Line 1806 of yacc.c  */
#line 5309 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 810:

/* Line 1806 of yacc.c  */
#line 5317 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 811:

/* Line 1806 of yacc.c  */
#line 5325 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 812:

/* Line 1806 of yacc.c  */
#line 5333 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 813:

/* Line 1806 of yacc.c  */
#line 5341 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 814:

/* Line 1806 of yacc.c  */
#line 5349 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 815:

/* Line 1806 of yacc.c  */
#line 5357 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 816:

/* Line 1806 of yacc.c  */
#line 5366 "gram.y"
    {}
    break;

  case 817:

/* Line 1806 of yacc.c  */
#line 5367 "gram.y"
    {}
    break;

  case 818:

/* Line 1806 of yacc.c  */
#line 5370 "gram.y"
    {}
    break;

  case 819:

/* Line 1806 of yacc.c  */
#line 5371 "gram.y"
    {}
    break;

  case 820:

/* Line 1806 of yacc.c  */
#line 5383 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 821:

/* Line 1806 of yacc.c  */
#line 5399 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 822:

/* Line 1806 of yacc.c  */
#line 5413 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ((yyvsp[(7) - (10)].privtarget))->targtype;
					n->objtype = ((yyvsp[(7) - (10)].privtarget))->objtype;
					n->objects = ((yyvsp[(7) - (10)].privtarget))->objs;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 823:

/* Line 1806 of yacc.c  */
#line 5438 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 824:

/* Line 1806 of yacc.c  */
#line 5440 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 825:

/* Line 1806 of yacc.c  */
#line 5442 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 826:

/* Line 1806 of yacc.c  */
#line 5444 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(3) - (4)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 827:

/* Line 1806 of yacc.c  */
#line 5451 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(4) - (5)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 828:

/* Line 1806 of yacc.c  */
#line 5459 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].accesspriv)); }
    break;

  case 829:

/* Line 1806 of yacc.c  */
#line 5460 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].accesspriv)); }
    break;

  case 830:

/* Line 1806 of yacc.c  */
#line 5464 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 831:

/* Line 1806 of yacc.c  */
#line 5471 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 832:

/* Line 1806 of yacc.c  */
#line 5478 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 833:

/* Line 1806 of yacc.c  */
#line 5485 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[(1) - (2)].str);
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 834:

/* Line 1806 of yacc.c  */
#line 5499 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(1) - (1)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 835:

/* Line 1806 of yacc.c  */
#line 5507 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 836:

/* Line 1806 of yacc.c  */
#line 5515 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 837:

/* Line 1806 of yacc.c  */
#line 5523 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[(4) - (4)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 838:

/* Line 1806 of yacc.c  */
#line 5531 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 839:

/* Line 1806 of yacc.c  */
#line 5539 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 840:

/* Line 1806 of yacc.c  */
#line 5547 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 841:

/* Line 1806 of yacc.c  */
#line 5555 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 842:

/* Line 1806 of yacc.c  */
#line 5563 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 843:

/* Line 1806 of yacc.c  */
#line 5571 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 844:

/* Line 1806 of yacc.c  */
#line 5579 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 845:

/* Line 1806 of yacc.c  */
#line 5587 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 846:

/* Line 1806 of yacc.c  */
#line 5595 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 847:

/* Line 1806 of yacc.c  */
#line 5603 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 848:

/* Line 1806 of yacc.c  */
#line 5611 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 849:

/* Line 1806 of yacc.c  */
#line 5619 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 850:

/* Line 1806 of yacc.c  */
#line 5630 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 851:

/* Line 1806 of yacc.c  */
#line 5631 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 852:

/* Line 1806 of yacc.c  */
#line 5635 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[(1) - (1)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(1) - (1)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 853:

/* Line 1806 of yacc.c  */
#line 5645 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[(2) - (2)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 854:

/* Line 1806 of yacc.c  */
#line 5658 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 855:

/* Line 1806 of yacc.c  */
#line 5659 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 856:

/* Line 1806 of yacc.c  */
#line 5663 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].funwithargs)); }
    break;

  case 857:

/* Line 1806 of yacc.c  */
#line 5665 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].funwithargs)); }
    break;

  case 858:

/* Line 1806 of yacc.c  */
#line 5670 "gram.y"
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[(1) - (2)].list);
					n->funcargs = extractArgTypes((yyvsp[(2) - (2)].list));
					(yyval.funwithargs) = n;
				}
    break;

  case 859:

/* Line 1806 of yacc.c  */
#line 5686 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->admin_opt = (yyvsp[(5) - (6)].boolean);
					n->grantor = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node*)n;
				}
    break;

  case 860:

/* Line 1806 of yacc.c  */
#line 5699 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 861:

/* Line 1806 of yacc.c  */
#line 5709 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[(5) - (9)].list);
					n->grantee_roles = (yyvsp[(7) - (9)].list);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 862:

/* Line 1806 of yacc.c  */
#line 5720 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 863:

/* Line 1806 of yacc.c  */
#line 5721 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 864:

/* Line 1806 of yacc.c  */
#line 5724 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 865:

/* Line 1806 of yacc.c  */
#line 5725 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 866:

/* Line 1806 of yacc.c  */
#line 5736 "gram.y"
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[(4) - (5)].list);
					n->action = (GrantStmt *) (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node*)n;
				}
    break;

  case 867:

/* Line 1806 of yacc.c  */
#line 5745 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 868:

/* Line 1806 of yacc.c  */
#line 5746 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 869:

/* Line 1806 of yacc.c  */
#line 5751 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 870:

/* Line 1806 of yacc.c  */
#line 5755 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 871:

/* Line 1806 of yacc.c  */
#line 5759 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 872:

/* Line 1806 of yacc.c  */
#line 5771 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 873:

/* Line 1806 of yacc.c  */
#line 5784 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 874:

/* Line 1806 of yacc.c  */
#line 5798 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(7) - (10)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 875:

/* Line 1806 of yacc.c  */
#line 5813 "gram.y"
    { (yyval.ival) = ACL_OBJECT_RELATION; }
    break;

  case 876:

/* Line 1806 of yacc.c  */
#line 5814 "gram.y"
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
    break;

  case 877:

/* Line 1806 of yacc.c  */
#line 5815 "gram.y"
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
    break;

  case 878:

/* Line 1806 of yacc.c  */
#line 5816 "gram.y"
    { (yyval.ival) = ACL_OBJECT_TYPE; }
    break;

  case 879:

/* Line 1806 of yacc.c  */
#line 5831 "gram.y"
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[(2) - (14)].boolean);
					n->concurrent = (yyvsp[(4) - (14)].boolean);
					n->idxname = (yyvsp[(5) - (14)].str);
					n->relation = (yyvsp[(7) - (14)].range);
					n->accessMethod = (yyvsp[(8) - (14)].str);
					n->indexParams = (yyvsp[(10) - (14)].list);
					n->options = (yyvsp[(12) - (14)].list);
					n->tableSpace = (yyvsp[(13) - (14)].str);
					n->whereClause = (yyvsp[(14) - (14)].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 880:

/* Line 1806 of yacc.c  */
#line 5855 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 881:

/* Line 1806 of yacc.c  */
#line 5856 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 882:

/* Line 1806 of yacc.c  */
#line 5860 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 883:

/* Line 1806 of yacc.c  */
#line 5861 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 884:

/* Line 1806 of yacc.c  */
#line 5865 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 885:

/* Line 1806 of yacc.c  */
#line 5866 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 886:

/* Line 1806 of yacc.c  */
#line 5870 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 887:

/* Line 1806 of yacc.c  */
#line 5871 "gram.y"
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
    break;

  case 888:

/* Line 1806 of yacc.c  */
#line 5874 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].ielem)); }
    break;

  case 889:

/* Line 1806 of yacc.c  */
#line 5875 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].ielem)); }
    break;

  case 890:

/* Line 1806 of yacc.c  */
#line 5884 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[(1) - (5)].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				}
    break;

  case 891:

/* Line 1806 of yacc.c  */
#line 5895 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(1) - (5)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				}
    break;

  case 892:

/* Line 1806 of yacc.c  */
#line 5906 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(2) - (7)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(4) - (7)].list);
					(yyval.ielem)->opclass = (yyvsp[(5) - (7)].list);
					(yyval.ielem)->ordering = (yyvsp[(6) - (7)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(7) - (7)].ival);
				}
    break;

  case 893:

/* Line 1806 of yacc.c  */
#line 5918 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 894:

/* Line 1806 of yacc.c  */
#line 5919 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 895:

/* Line 1806 of yacc.c  */
#line 5922 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 896:

/* Line 1806 of yacc.c  */
#line 5923 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 897:

/* Line 1806 of yacc.c  */
#line 5924 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 898:

/* Line 1806 of yacc.c  */
#line 5927 "gram.y"
    { (yyval.ival) = SORTBY_ASC; }
    break;

  case 899:

/* Line 1806 of yacc.c  */
#line 5928 "gram.y"
    { (yyval.ival) = SORTBY_DESC; }
    break;

  case 900:

/* Line 1806 of yacc.c  */
#line 5929 "gram.y"
    { (yyval.ival) = SORTBY_DEFAULT; }
    break;

  case 901:

/* Line 1806 of yacc.c  */
#line 5932 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
    break;

  case 902:

/* Line 1806 of yacc.c  */
#line 5933 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_LAST; }
    break;

  case 903:

/* Line 1806 of yacc.c  */
#line 5934 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
    break;

  case 904:

/* Line 1806 of yacc.c  */
#line 5952 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (9)].boolean);
					n->funcname = (yyvsp[(4) - (9)].list);
					n->parameters = (yyvsp[(5) - (9)].list);
					n->returnType = (yyvsp[(7) - (9)].typnam);
					n->options = (yyvsp[(8) - (9)].list);
					n->withClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 905:

/* Line 1806 of yacc.c  */
#line 5964 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (12)].boolean);
					n->funcname = (yyvsp[(4) - (12)].list);
					n->parameters = mergeTableFuncParameters((yyvsp[(5) - (12)].list), (yyvsp[(9) - (12)].list));
					n->returnType = TableFuncTypeName((yyvsp[(9) - (12)].list));
					n->returnType->location = (yylsp[(7) - (12)]);
					n->options = (yyvsp[(11) - (12)].list);
					n->withClause = (yyvsp[(12) - (12)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 906:

/* Line 1806 of yacc.c  */
#line 5977 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (7)].boolean);
					n->funcname = (yyvsp[(4) - (7)].list);
					n->parameters = (yyvsp[(5) - (7)].list);
					n->returnType = NULL;
					n->options = (yyvsp[(6) - (7)].list);
					n->withClause = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 907:

/* Line 1806 of yacc.c  */
#line 5990 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 908:

/* Line 1806 of yacc.c  */
#line 5991 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 909:

/* Line 1806 of yacc.c  */
#line 5994 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 910:

/* Line 1806 of yacc.c  */
#line 5995 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 911:

/* Line 1806 of yacc.c  */
#line 5999 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 912:

/* Line 1806 of yacc.c  */
#line 6000 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 913:

/* Line 1806 of yacc.c  */
#line 6008 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 914:

/* Line 1806 of yacc.c  */
#line 6009 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 915:

/* Line 1806 of yacc.c  */
#line 6013 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 916:

/* Line 1806 of yacc.c  */
#line 6015 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 917:

/* Line 1806 of yacc.c  */
#line 6030 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(2) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(1) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 918:

/* Line 1806 of yacc.c  */
#line 6039 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(2) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 919:

/* Line 1806 of yacc.c  */
#line 6048 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 920:

/* Line 1806 of yacc.c  */
#line 6057 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = (yyvsp[(1) - (2)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 921:

/* Line 1806 of yacc.c  */
#line 6066 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(1) - (1)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 922:

/* Line 1806 of yacc.c  */
#line 6077 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
    break;

  case 923:

/* Line 1806 of yacc.c  */
#line 6078 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
    break;

  case 924:

/* Line 1806 of yacc.c  */
#line 6079 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 925:

/* Line 1806 of yacc.c  */
#line 6080 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 926:

/* Line 1806 of yacc.c  */
#line 6081 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
    break;

  case 928:

/* Line 1806 of yacc.c  */
#line 6092 "gram.y"
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 929:

/* Line 1806 of yacc.c  */
#line 6106 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 930:

/* Line 1806 of yacc.c  */
#line 6108 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (4)].str)), (yyvsp[(2) - (4)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[(1) - (4)]);
				}
    break;

  case 931:

/* Line 1806 of yacc.c  */
#line 6114 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[(2) - (5)]);
				}
    break;

  case 932:

/* Line 1806 of yacc.c  */
#line 6124 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
				}
    break;

  case 933:

/* Line 1806 of yacc.c  */
#line 6128 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
				}
    break;

  case 934:

/* Line 1806 of yacc.c  */
#line 6133 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
				}
    break;

  case 935:

/* Line 1806 of yacc.c  */
#line 6142 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 936:

/* Line 1806 of yacc.c  */
#line 6143 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 937:

/* Line 1806 of yacc.c  */
#line 6151 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
    break;

  case 938:

/* Line 1806 of yacc.c  */
#line 6155 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
    break;

  case 939:

/* Line 1806 of yacc.c  */
#line 6159 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
    break;

  case 940:

/* Line 1806 of yacc.c  */
#line 6163 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
    break;

  case 941:

/* Line 1806 of yacc.c  */
#line 6167 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
    break;

  case 942:

/* Line 1806 of yacc.c  */
#line 6171 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
    break;

  case 943:

/* Line 1806 of yacc.c  */
#line 6175 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
    break;

  case 944:

/* Line 1806 of yacc.c  */
#line 6179 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
    break;

  case 945:

/* Line 1806 of yacc.c  */
#line 6183 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
    break;

  case 946:

/* Line 1806 of yacc.c  */
#line 6187 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
    break;

  case 947:

/* Line 1806 of yacc.c  */
#line 6191 "gram.y"
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				}
    break;

  case 948:

/* Line 1806 of yacc.c  */
#line 6195 "gram.y"
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				}
    break;

  case 949:

/* Line 1806 of yacc.c  */
#line 6199 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 950:

/* Line 1806 of yacc.c  */
#line 6203 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 951:

/* Line 1806 of yacc.c  */
#line 6207 "gram.y"
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[(1) - (1)].vsetstmt));
				}
    break;

  case 952:

/* Line 1806 of yacc.c  */
#line 6215 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 953:

/* Line 1806 of yacc.c  */
#line 6219 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 954:

/* Line 1806 of yacc.c  */
#line 6223 "gram.y"
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
    break;

  case 955:

/* Line 1806 of yacc.c  */
#line 6227 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 956:

/* Line 1806 of yacc.c  */
#line 6232 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 957:

/* Line 1806 of yacc.c  */
#line 6234 "gram.y"
    {
					(yyval.list) = list_make2(makeString((yyvsp[(1) - (3)].str)), makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 958:

/* Line 1806 of yacc.c  */
#line 6240 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 959:

/* Line 1806 of yacc.c  */
#line 6241 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 960:

/* Line 1806 of yacc.c  */
#line 6245 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 961:

/* Line 1806 of yacc.c  */
#line 6257 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param));
				}
    break;

  case 962:

/* Line 1806 of yacc.c  */
#line 6261 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param));
				}
    break;

  case 963:

/* Line 1806 of yacc.c  */
#line 6276 "gram.y"
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[(3) - (5)].funwithargs);
					n->actions = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 964:

/* Line 1806 of yacc.c  */
#line 6286 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 965:

/* Line 1806 of yacc.c  */
#line 6287 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 968:

/* Line 1806 of yacc.c  */
#line 6309 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[(4) - (5)].list)));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 969:

/* Line 1806 of yacc.c  */
#line 6320 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[(6) - (7)].list)));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 970:

/* Line 1806 of yacc.c  */
#line 6334 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 971:

/* Line 1806 of yacc.c  */
#line 6345 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 972:

/* Line 1806 of yacc.c  */
#line 6359 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 973:

/* Line 1806 of yacc.c  */
#line 6370 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 974:

/* Line 1806 of yacc.c  */
#line 6384 "gram.y"
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[(3) - (3)]))));
				}
    break;

  case 975:

/* Line 1806 of yacc.c  */
#line 6392 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), (yyvsp[(4) - (5)].typnam)); }
    break;

  case 976:

/* Line 1806 of yacc.c  */
#line 6394 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(4) - (5)].typnam)); }
    break;

  case 977:

/* Line 1806 of yacc.c  */
#line 6396 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), NULL); }
    break;

  case 978:

/* Line 1806 of yacc.c  */
#line 6401 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 979:

/* Line 1806 of yacc.c  */
#line 6403 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(3) - (3)].list)); }
    break;

  case 980:

/* Line 1806 of yacc.c  */
#line 6416 "gram.y"
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 981:

/* Line 1806 of yacc.c  */
#line 6424 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 982:

/* Line 1806 of yacc.c  */
#line 6425 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 983:

/* Line 1806 of yacc.c  */
#line 6430 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[(1) - (1)].str)));
				}
    break;

  case 984:

/* Line 1806 of yacc.c  */
#line 6434 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 985:

/* Line 1806 of yacc.c  */
#line 6447 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (11)].typnam);
					n->targettype = (yyvsp[(6) - (11)].typnam);
					n->func = (yyvsp[(10) - (11)].funwithargs);
					n->context = (CoercionContext) (yyvsp[(11) - (11)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 986:

/* Line 1806 of yacc.c  */
#line 6458 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 987:

/* Line 1806 of yacc.c  */
#line 6469 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 988:

/* Line 1806 of yacc.c  */
#line 6480 "gram.y"
    { (yyval.ival) = COERCION_IMPLICIT; }
    break;

  case 989:

/* Line 1806 of yacc.c  */
#line 6481 "gram.y"
    { (yyval.ival) = COERCION_ASSIGNMENT; }
    break;

  case 990:

/* Line 1806 of yacc.c  */
#line 6482 "gram.y"
    { (yyval.ival) = COERCION_EXPLICIT; }
    break;

  case 991:

/* Line 1806 of yacc.c  */
#line 6487 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[(5) - (9)].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[(7) - (9)].typnam)));
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = (yyvsp[(3) - (9)].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 992:

/* Line 1806 of yacc.c  */
#line 6499 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 993:

/* Line 1806 of yacc.c  */
#line 6500 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 994:

/* Line 1806 of yacc.c  */
#line 6515 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(2) - (4)].objtype);
					n->relation = (yyvsp[(3) - (4)].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 995:

/* Line 1806 of yacc.c  */
#line 6523 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 996:

/* Line 1806 of yacc.c  */
#line 6533 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 997:

/* Line 1806 of yacc.c  */
#line 6545 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 998:

/* Line 1806 of yacc.c  */
#line 6546 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 999:

/* Line 1806 of yacc.c  */
#line 6549 "gram.y"
    {  (yyval.boolean) = TRUE; }
    break;

  case 1000:

/* Line 1806 of yacc.c  */
#line 6550 "gram.y"
    {  (yyval.boolean) = FALSE; }
    break;

  case 1001:

/* Line 1806 of yacc.c  */
#line 6561 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1002:

/* Line 1806 of yacc.c  */
#line 6571 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1003:

/* Line 1806 of yacc.c  */
#line 6580 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1004:

/* Line 1806 of yacc.c  */
#line 6589 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1005:

/* Line 1806 of yacc.c  */
#line 6598 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1006:

/* Line 1806 of yacc.c  */
#line 6607 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (8)].list);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1007:

/* Line 1806 of yacc.c  */
#line 6617 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->subname = (yyvsp[(5) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1008:

/* Line 1806 of yacc.c  */
#line 6626 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1009:

/* Line 1806 of yacc.c  */
#line 6636 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1010:

/* Line 1806 of yacc.c  */
#line 6645 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->subname = (yyvsp[(4) - (7)].str);
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1011:

/* Line 1806 of yacc.c  */
#line 6654 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1012:

/* Line 1806 of yacc.c  */
#line 6664 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1013:

/* Line 1806 of yacc.c  */
#line 6674 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1014:

/* Line 1806 of yacc.c  */
#line 6683 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1015:

/* Line 1806 of yacc.c  */
#line 6692 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1016:

/* Line 1806 of yacc.c  */
#line 6702 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1017:

/* Line 1806 of yacc.c  */
#line 6712 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1018:

/* Line 1806 of yacc.c  */
#line 6722 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1019:

/* Line 1806 of yacc.c  */
#line 6732 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1020:

/* Line 1806 of yacc.c  */
#line 6742 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1021:

/* Line 1806 of yacc.c  */
#line 6752 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1022:

/* Line 1806 of yacc.c  */
#line 6762 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1023:

/* Line 1806 of yacc.c  */
#line 6772 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1024:

/* Line 1806 of yacc.c  */
#line 6782 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (9)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1025:

/* Line 1806 of yacc.c  */
#line 6792 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1026:

/* Line 1806 of yacc.c  */
#line 6803 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (10)].range);
					n->subname = (yyvsp[(8) - (10)].str);
					n->newname = (yyvsp[(10) - (10)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1027:

/* Line 1806 of yacc.c  */
#line 6814 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1028:

/* Line 1806 of yacc.c  */
#line 6824 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (9)].range);
					n->subname = (yyvsp[(7) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1029:

/* Line 1806 of yacc.c  */
#line 6835 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (11)].range);
					n->subname = (yyvsp[(9) - (11)].str);
					n->newname = (yyvsp[(11) - (11)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1030:

/* Line 1806 of yacc.c  */
#line 6846 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1031:

/* Line 1806 of yacc.c  */
#line 6856 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1032:

/* Line 1806 of yacc.c  */
#line 6865 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1033:

/* Line 1806 of yacc.c  */
#line 6874 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1034:

/* Line 1806 of yacc.c  */
#line 6883 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1035:

/* Line 1806 of yacc.c  */
#line 6892 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1036:

/* Line 1806 of yacc.c  */
#line 6901 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1037:

/* Line 1806 of yacc.c  */
#line 6910 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1038:

/* Line 1806 of yacc.c  */
#line 6919 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1039:

/* Line 1806 of yacc.c  */
#line 6928 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1040:

/* Line 1806 of yacc.c  */
#line 6937 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1041:

/* Line 1806 of yacc.c  */
#line 6946 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (9)].list), (yylsp[(3) - (9)]), yyscanner);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1042:

/* Line 1806 of yacc.c  */
#line 6959 "gram.y"
    { (yyval.ival) = COLUMN; }
    break;

  case 1043:

/* Line 1806 of yacc.c  */
#line 6960 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1044:

/* Line 1806 of yacc.c  */
#line 6963 "gram.y"
    { (yyval.ival) = 1; }
    break;

  case 1045:

/* Line 1806 of yacc.c  */
#line 6964 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1046:

/* Line 1806 of yacc.c  */
#line 6975 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1047:

/* Line 1806 of yacc.c  */
#line 6985 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1048:

/* Line 1806 of yacc.c  */
#line 6994 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1049:

/* Line 1806 of yacc.c  */
#line 7003 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1050:

/* Line 1806 of yacc.c  */
#line 7012 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1051:

/* Line 1806 of yacc.c  */
#line 7021 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1052:

/* Line 1806 of yacc.c  */
#line 7031 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1053:

/* Line 1806 of yacc.c  */
#line 7041 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1054:

/* Line 1806 of yacc.c  */
#line 7051 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1055:

/* Line 1806 of yacc.c  */
#line 7061 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1056:

/* Line 1806 of yacc.c  */
#line 7070 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1057:

/* Line 1806 of yacc.c  */
#line 7079 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1058:

/* Line 1806 of yacc.c  */
#line 7088 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1059:

/* Line 1806 of yacc.c  */
#line 7097 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1060:

/* Line 1806 of yacc.c  */
#line 7106 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1061:

/* Line 1806 of yacc.c  */
#line 7115 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1062:

/* Line 1806 of yacc.c  */
#line 7124 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1063:

/* Line 1806 of yacc.c  */
#line 7133 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1064:

/* Line 1806 of yacc.c  */
#line 7142 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1065:

/* Line 1806 of yacc.c  */
#line 7151 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1066:

/* Line 1806 of yacc.c  */
#line 7160 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (9)].range);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1067:

/* Line 1806 of yacc.c  */
#line 7169 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1068:

/* Line 1806 of yacc.c  */
#line 7186 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1069:

/* Line 1806 of yacc.c  */
#line 7195 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1070:

/* Line 1806 of yacc.c  */
#line 7203 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1071:

/* Line 1806 of yacc.c  */
#line 7211 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1072:

/* Line 1806 of yacc.c  */
#line 7219 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1073:

/* Line 1806 of yacc.c  */
#line 7227 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1074:

/* Line 1806 of yacc.c  */
#line 7236 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1075:

/* Line 1806 of yacc.c  */
#line 7244 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[(4) - (7)].value));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1076:

/* Line 1806 of yacc.c  */
#line 7252 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1077:

/* Line 1806 of yacc.c  */
#line 7261 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1078:

/* Line 1806 of yacc.c  */
#line 7270 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1079:

/* Line 1806 of yacc.c  */
#line 7279 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1080:

/* Line 1806 of yacc.c  */
#line 7287 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1081:

/* Line 1806 of yacc.c  */
#line 7295 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1082:

/* Line 1806 of yacc.c  */
#line 7303 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1083:

/* Line 1806 of yacc.c  */
#line 7311 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1084:

/* Line 1806 of yacc.c  */
#line 7319 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[(5) - (8)].str)));
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1085:

/* Line 1806 of yacc.c  */
#line 7327 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1086:

/* Line 1806 of yacc.c  */
#line 7346 "gram.y"
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[(2) - (13)].boolean);
					n->relation = (yyvsp[(9) - (13)].range);
					n->rulename = (yyvsp[(4) - (13)].str);
					n->whereClause = (yyvsp[(10) - (13)].node);
					n->event = (yyvsp[(7) - (13)].ival);
					n->instead = (yyvsp[(12) - (13)].boolean);
					n->actions = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1087:

/* Line 1806 of yacc.c  */
#line 7360 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1088:

/* Line 1806 of yacc.c  */
#line 7361 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1089:

/* Line 1806 of yacc.c  */
#line 7362 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1090:

/* Line 1806 of yacc.c  */
#line 7368 "gram.y"
    { if ((yyvsp[(3) - (3)].node) != NULL)
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				  else
					(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 1091:

/* Line 1806 of yacc.c  */
#line 7374 "gram.y"
    { if ((yyvsp[(1) - (1)].node) != NULL)
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				  else
					(yyval.list) = NIL;
				}
    break;

  case 1097:

/* Line 1806 of yacc.c  */
#line 7390 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1098:

/* Line 1806 of yacc.c  */
#line 7391 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1099:

/* Line 1806 of yacc.c  */
#line 7394 "gram.y"
    { (yyval.ival) = CMD_SELECT; }
    break;

  case 1100:

/* Line 1806 of yacc.c  */
#line 7395 "gram.y"
    { (yyval.ival) = CMD_UPDATE; }
    break;

  case 1101:

/* Line 1806 of yacc.c  */
#line 7396 "gram.y"
    { (yyval.ival) = CMD_DELETE; }
    break;

  case 1102:

/* Line 1806 of yacc.c  */
#line 7397 "gram.y"
    { (yyval.ival) = CMD_INSERT; }
    break;

  case 1103:

/* Line 1806 of yacc.c  */
#line 7401 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1104:

/* Line 1806 of yacc.c  */
#line 7402 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1105:

/* Line 1806 of yacc.c  */
#line 7403 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1106:

/* Line 1806 of yacc.c  */
#line 7409 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[(5) - (6)].list), makeString((yyvsp[(3) - (6)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1107:

/* Line 1806 of yacc.c  */
#line 7420 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[(7) - (8)].list), makeString((yyvsp[(5) - (8)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1108:

/* Line 1806 of yacc.c  */
#line 7442 "gram.y"
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[(2) - (3)].str);
					n->payload = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1109:

/* Line 1806 of yacc.c  */
#line 7451 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1110:

/* Line 1806 of yacc.c  */
#line 7452 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1111:

/* Line 1806 of yacc.c  */
#line 7456 "gram.y"
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1112:

/* Line 1806 of yacc.c  */
#line 7465 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1113:

/* Line 1806 of yacc.c  */
#line 7471 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1114:

/* Line 1806 of yacc.c  */
#line 7490 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1115:

/* Line 1806 of yacc.c  */
#line 7497 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1116:

/* Line 1806 of yacc.c  */
#line 7504 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1117:

/* Line 1806 of yacc.c  */
#line 7511 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1118:

/* Line 1806 of yacc.c  */
#line 7518 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1119:

/* Line 1806 of yacc.c  */
#line 7525 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1120:

/* Line 1806 of yacc.c  */
#line 7532 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1121:

/* Line 1806 of yacc.c  */
#line 7540 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(3) - (3)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1122:

/* Line 1806 of yacc.c  */
#line 7548 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1123:

/* Line 1806 of yacc.c  */
#line 7556 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(5) - (5)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1124:

/* Line 1806 of yacc.c  */
#line 7564 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(4) - (4)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1125:

/* Line 1806 of yacc.c  */
#line 7572 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1126:

/* Line 1806 of yacc.c  */
#line 7579 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1127:

/* Line 1806 of yacc.c  */
#line 7586 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1128:

/* Line 1806 of yacc.c  */
#line 7594 "gram.y"
    {}
    break;

  case 1129:

/* Line 1806 of yacc.c  */
#line 7595 "gram.y"
    {}
    break;

  case 1130:

/* Line 1806 of yacc.c  */
#line 7596 "gram.y"
    {}
    break;

  case 1131:

/* Line 1806 of yacc.c  */
#line 7601 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)]))); }
    break;

  case 1132:

/* Line 1806 of yacc.c  */
#line 7604 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[(1) - (2)]))); }
    break;

  case 1133:

/* Line 1806 of yacc.c  */
#line 7607 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); }
    break;

  case 1134:

/* Line 1806 of yacc.c  */
#line 7610 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[(1) - (1)]))); }
    break;

  case 1135:

/* Line 1806 of yacc.c  */
#line 7613 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); }
    break;

  case 1136:

/* Line 1806 of yacc.c  */
#line 7620 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 1137:

/* Line 1806 of yacc.c  */
#line 7622 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 1138:

/* Line 1806 of yacc.c  */
#line 7624 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1140:

/* Line 1806 of yacc.c  */
#line 7630 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1141:

/* Line 1806 of yacc.c  */
#line 7644 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(4) - (9)].range);
					n->view->relpersistence = (yyvsp[(2) - (9)].ival);
					n->aliases = (yyvsp[(5) - (9)].list);
					n->query = (yyvsp[(8) - (9)].node);
					n->replace = false;
					n->options = (yyvsp[(6) - (9)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1142:

/* Line 1806 of yacc.c  */
#line 7656 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(6) - (11)].range);
					n->view->relpersistence = (yyvsp[(4) - (11)].ival);
					n->aliases = (yyvsp[(7) - (11)].list);
					n->query = (yyvsp[(10) - (11)].node);
					n->replace = true;
					n->options = (yyvsp[(8) - (11)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1143:

/* Line 1806 of yacc.c  */
#line 7670 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 1144:

/* Line 1806 of yacc.c  */
#line 7676 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 1145:

/* Line 1806 of yacc.c  */
#line 7682 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 1146:

/* Line 1806 of yacc.c  */
#line 7687 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1147:

/* Line 1806 of yacc.c  */
#line 7698 "gram.y"
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1148:

/* Line 1806 of yacc.c  */
#line 7714 "gram.y"
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1149:

/* Line 1806 of yacc.c  */
#line 7723 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1150:

/* Line 1806 of yacc.c  */
#line 7724 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1151:

/* Line 1806 of yacc.c  */
#line 7729 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1152:

/* Line 1806 of yacc.c  */
#line 7733 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				}
    break;

  case 1153:

/* Line 1806 of yacc.c  */
#line 7737 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1154:

/* Line 1806 of yacc.c  */
#line 7741 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				}
    break;

  case 1155:

/* Line 1806 of yacc.c  */
#line 7745 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1156:

/* Line 1806 of yacc.c  */
#line 7749 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				}
    break;

  case 1157:

/* Line 1806 of yacc.c  */
#line 7753 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1158:

/* Line 1806 of yacc.c  */
#line 7757 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				}
    break;

  case 1159:

/* Line 1806 of yacc.c  */
#line 7761 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				}
    break;

  case 1160:

/* Line 1806 of yacc.c  */
#line 7765 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1161:

/* Line 1806 of yacc.c  */
#line 7769 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				}
    break;

  case 1162:

/* Line 1806 of yacc.c  */
#line 7773 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1163:

/* Line 1806 of yacc.c  */
#line 7777 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				}
    break;

  case 1164:

/* Line 1806 of yacc.c  */
#line 7781 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				}
    break;

  case 1165:

/* Line 1806 of yacc.c  */
#line 7785 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1166:

/* Line 1806 of yacc.c  */
#line 7789 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				}
    break;

  case 1167:

/* Line 1806 of yacc.c  */
#line 7798 "gram.y"
    {}
    break;

  case 1168:

/* Line 1806 of yacc.c  */
#line 7799 "gram.y"
    {}
    break;

  case 1169:

/* Line 1806 of yacc.c  */
#line 7811 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1170:

/* Line 1806 of yacc.c  */
#line 7818 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (6)].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[(6) - (6)].str))));
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1171:

/* Line 1806 of yacc.c  */
#line 7829 "gram.y"
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[(3) - (4)].str);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1172:

/* Line 1806 of yacc.c  */
#line 7839 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1173:

/* Line 1806 of yacc.c  */
#line 7840 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1174:

/* Line 1806 of yacc.c  */
#line 7845 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				}
    break;

  case 1175:

/* Line 1806 of yacc.c  */
#line 7859 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(3) - (3)].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1176:

/* Line 1806 of yacc.c  */
#line 7866 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(5) - (5)].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1177:

/* Line 1806 of yacc.c  */
#line 7883 "gram.y"
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[(3) - (6)].list);
					n->typeName = (yyvsp[(5) - (6)].typnam);
					SplitColQualList((yyvsp[(6) - (6)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1178:

/* Line 1806 of yacc.c  */
#line 7896 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[(3) - (4)].list);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1179:

/* Line 1806 of yacc.c  */
#line 7905 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1180:

/* Line 1806 of yacc.c  */
#line 7913 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1181:

/* Line 1806 of yacc.c  */
#line 7921 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[(3) - (5)].list);
					n->def = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1182:

/* Line 1806 of yacc.c  */
#line 7930 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (7)].list);
					n->name = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1183:

/* Line 1806 of yacc.c  */
#line 7941 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (9)].list);
					n->name = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1184:

/* Line 1806 of yacc.c  */
#line 7952 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[(3) - (6)].list);
					n->name = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1185:

/* Line 1806 of yacc.c  */
#line 7961 "gram.y"
    {}
    break;

  case 1186:

/* Line 1806 of yacc.c  */
#line 7962 "gram.y"
    {}
    break;

  case 1187:

/* Line 1806 of yacc.c  */
#line 7974 "gram.y"
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[(5) - (6)].list);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1188:

/* Line 1806 of yacc.c  */
#line 7984 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1189:

/* Line 1806 of yacc.c  */
#line 7994 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1190:

/* Line 1806 of yacc.c  */
#line 8004 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[(9) - (11)].list),(yyvsp[(11) - (11)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1191:

/* Line 1806 of yacc.c  */
#line 8014 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (13)].list);
					n->tokentype = (yyvsp[(9) - (13)].list);
					n->dicts = list_make2((yyvsp[(11) - (13)].list),(yyvsp[(13) - (13)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1192:

/* Line 1806 of yacc.c  */
#line 8024 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (9)].list);
					n->tokentype = (yyvsp[(9) - (9)].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1193:

/* Line 1806 of yacc.c  */
#line 8032 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(11) - (11)].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1194:

/* Line 1806 of yacc.c  */
#line 8054 "gram.y"
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[(4) - (10)].list);
				n->for_encoding_name = (yyvsp[(6) - (10)].str);
				n->to_encoding_name = (yyvsp[(8) - (10)].str);
				n->func_name = (yyvsp[(10) - (10)].list);
				n->def = (yyvsp[(2) - (10)].boolean);
				(yyval.node) = (Node *)n;
			}
    break;

  case 1195:

/* Line 1806 of yacc.c  */
#line 8076 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->indexname = (yyvsp[(4) - (4)].str);
					n->verbose = (yyvsp[(2) - (4)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1196:

/* Line 1806 of yacc.c  */
#line 8084 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[(2) - (2)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1197:

/* Line 1806 of yacc.c  */
#line 8093 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[(5) - (5)].range);
					n->indexname = (yyvsp[(3) - (5)].str);
					n->verbose = (yyvsp[(2) - (5)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1198:

/* Line 1806 of yacc.c  */
#line 8103 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1199:

/* Line 1806 of yacc.c  */
#line 8104 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1200:

/* Line 1806 of yacc.c  */
#line 8117 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1201:

/* Line 1806 of yacc.c  */
#line 8131 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->relation = (yyvsp[(5) - (5)].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1202:

/* Line 1806 of yacc.c  */
#line 8145 "gram.y"
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[(5) - (5)].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1203:

/* Line 1806 of yacc.c  */
#line 8157 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (4)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1204:

/* Line 1806 of yacc.c  */
#line 8169 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (6)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = (yyvsp[(5) - (6)].range);
					n->va_cols = (yyvsp[(6) - (6)].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1205:

/* Line 1806 of yacc.c  */
#line 8185 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1206:

/* Line 1806 of yacc.c  */
#line 8186 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 1207:

/* Line 1806 of yacc.c  */
#line 8190 "gram.y"
    { (yyval.ival) = VACOPT_ANALYZE; }
    break;

  case 1208:

/* Line 1806 of yacc.c  */
#line 8191 "gram.y"
    { (yyval.ival) = VACOPT_VERBOSE; }
    break;

  case 1209:

/* Line 1806 of yacc.c  */
#line 8192 "gram.y"
    { (yyval.ival) = VACOPT_FREEZE; }
    break;

  case 1210:

/* Line 1806 of yacc.c  */
#line 8193 "gram.y"
    { (yyval.ival) = VACOPT_FULL; }
    break;

  case 1211:

/* Line 1806 of yacc.c  */
#line 8198 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (2)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1212:

/* Line 1806 of yacc.c  */
#line 8210 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = (yyvsp[(3) - (4)].range);
					n->va_cols = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1213:

/* Line 1806 of yacc.c  */
#line 8224 "gram.y"
    {}
    break;

  case 1214:

/* Line 1806 of yacc.c  */
#line 8225 "gram.y"
    {}
    break;

  case 1215:

/* Line 1806 of yacc.c  */
#line 8229 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1216:

/* Line 1806 of yacc.c  */
#line 8230 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1217:

/* Line 1806 of yacc.c  */
#line 8233 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1218:

/* Line 1806 of yacc.c  */
#line 8234 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1219:

/* Line 1806 of yacc.c  */
#line 8237 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1220:

/* Line 1806 of yacc.c  */
#line 8238 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1221:

/* Line 1806 of yacc.c  */
#line 8242 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1222:

/* Line 1806 of yacc.c  */
#line 8243 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1223:

/* Line 1806 of yacc.c  */
#line 8257 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(2) - (2)].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1224:

/* Line 1806 of yacc.c  */
#line 8264 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(4) - (4)].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[(3) - (4)].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1225:

/* Line 1806 of yacc.c  */
#line 8274 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(3) - (3)].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1226:

/* Line 1806 of yacc.c  */
#line 8281 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(5) - (5)].node);
					n->options = (yyvsp[(3) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1234:

/* Line 1806 of yacc.c  */
#line 8301 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 1235:

/* Line 1806 of yacc.c  */
#line 8305 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 1236:

/* Line 1806 of yacc.c  */
#line 8312 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 1237:

/* Line 1806 of yacc.c  */
#line 8318 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1238:

/* Line 1806 of yacc.c  */
#line 8319 "gram.y"
    { (yyval.str) = "analyze"; }
    break;

  case 1239:

/* Line 1806 of yacc.c  */
#line 8323 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 1240:

/* Line 1806 of yacc.c  */
#line 8324 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); }
    break;

  case 1241:

/* Line 1806 of yacc.c  */
#line 8325 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1242:

/* Line 1806 of yacc.c  */
#line 8336 "gram.y"
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[(2) - (5)].str);
					n->argtypes = (yyvsp[(3) - (5)].list);
					n->query = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1243:

/* Line 1806 of yacc.c  */
#line 8345 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1244:

/* Line 1806 of yacc.c  */
#line 8346 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1249:

/* Line 1806 of yacc.c  */
#line 8364 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(2) - (3)].str);
					n->params = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1250:

/* Line 1806 of yacc.c  */
#line 8372 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(7) - (9)].str);
					n->params = (yyvsp[(8) - (9)].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[(4) - (9)].into);
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(4) - (9)].into)->rel->relpersistence = (yyvsp[(2) - (9)].ival);
					(yyvsp[(4) - (9)].into)->skipData = !((yyvsp[(9) - (9)].boolean));
					(yyval.node) = (Node *) ctas;
				}
    break;

  case 1251:

/* Line 1806 of yacc.c  */
#line 8387 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1252:

/* Line 1806 of yacc.c  */
#line 8388 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1253:

/* Line 1806 of yacc.c  */
#line 8399 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(2) - (2)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1254:

/* Line 1806 of yacc.c  */
#line 8405 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(3) - (3)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1255:

/* Line 1806 of yacc.c  */
#line 8411 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1256:

/* Line 1806 of yacc.c  */
#line 8417 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1257:

/* Line 1806 of yacc.c  */
#line 8433 "gram.y"
    {
					(yyvsp[(5) - (6)].istmt)->relation = (yyvsp[(4) - (6)].range);
					(yyvsp[(5) - (6)].istmt)->returningList = (yyvsp[(6) - (6)].list);
					(yyvsp[(5) - (6)].istmt)->withClause = (yyvsp[(1) - (6)].with);
					(yyval.node) = (Node *) (yyvsp[(5) - (6)].istmt);
				}
    break;

  case 1258:

/* Line 1806 of yacc.c  */
#line 8443 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[(1) - (1)].node);
				}
    break;

  case 1259:

/* Line 1806 of yacc.c  */
#line 8449 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[(2) - (4)].list);
					(yyval.istmt)->selectStmt = (yyvsp[(4) - (4)].node);
				}
    break;

  case 1260:

/* Line 1806 of yacc.c  */
#line 8455 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
    break;

  case 1261:

/* Line 1806 of yacc.c  */
#line 8464 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1262:

/* Line 1806 of yacc.c  */
#line 8466 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1263:

/* Line 1806 of yacc.c  */
#line 8471 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1264:

/* Line 1806 of yacc.c  */
#line 8481 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1265:

/* Line 1806 of yacc.c  */
#line 8482 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1266:

/* Line 1806 of yacc.c  */
#line 8495 "gram.y"
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[(4) - (7)].range);
					n->usingClause = (yyvsp[(5) - (7)].list);
					n->whereClause = (yyvsp[(6) - (7)].node);
					n->returningList = (yyvsp[(7) - (7)].list);
					n->withClause = (yyvsp[(1) - (7)].with);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1267:

/* Line 1806 of yacc.c  */
#line 8507 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1268:

/* Line 1806 of yacc.c  */
#line 8508 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1269:

/* Line 1806 of yacc.c  */
#line 8520 "gram.y"
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[(3) - (5)].list);
					n->mode = (yyvsp[(4) - (5)].ival);
					n->nowait = (yyvsp[(5) - (5)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1270:

/* Line 1806 of yacc.c  */
#line 8530 "gram.y"
    { (yyval.ival) = (yyvsp[(2) - (3)].ival); }
    break;

  case 1271:

/* Line 1806 of yacc.c  */
#line 8531 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1272:

/* Line 1806 of yacc.c  */
#line 8534 "gram.y"
    { (yyval.ival) = AccessShareLock; }
    break;

  case 1273:

/* Line 1806 of yacc.c  */
#line 8535 "gram.y"
    { (yyval.ival) = RowShareLock; }
    break;

  case 1274:

/* Line 1806 of yacc.c  */
#line 8536 "gram.y"
    { (yyval.ival) = RowExclusiveLock; }
    break;

  case 1275:

/* Line 1806 of yacc.c  */
#line 8537 "gram.y"
    { (yyval.ival) = ShareUpdateExclusiveLock; }
    break;

  case 1276:

/* Line 1806 of yacc.c  */
#line 8538 "gram.y"
    { (yyval.ival) = ShareLock; }
    break;

  case 1277:

/* Line 1806 of yacc.c  */
#line 8539 "gram.y"
    { (yyval.ival) = ShareRowExclusiveLock; }
    break;

  case 1278:

/* Line 1806 of yacc.c  */
#line 8540 "gram.y"
    { (yyval.ival) = ExclusiveLock; }
    break;

  case 1279:

/* Line 1806 of yacc.c  */
#line 8541 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1280:

/* Line 1806 of yacc.c  */
#line 8544 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1281:

/* Line 1806 of yacc.c  */
#line 8545 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1282:

/* Line 1806 of yacc.c  */
#line 8561 "gram.y"
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[(3) - (8)].range);
					n->targetList = (yyvsp[(5) - (8)].list);
					n->fromClause = (yyvsp[(6) - (8)].list);
					n->whereClause = (yyvsp[(7) - (8)].node);
					n->returningList = (yyvsp[(8) - (8)].list);
					n->withClause = (yyvsp[(1) - (8)].with);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1283:

/* Line 1806 of yacc.c  */
#line 8574 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1284:

/* Line 1806 of yacc.c  */
#line 8575 "gram.y"
    { (yyval.list) = list_concat((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].list)); }
    break;

  case 1285:

/* Line 1806 of yacc.c  */
#line 8579 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1286:

/* Line 1806 of yacc.c  */
#line 8580 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1287:

/* Line 1806 of yacc.c  */
#line 8585 "gram.y"
    {
					(yyval.target) = (yyvsp[(1) - (3)].target);
					(yyval.target)->val = (Node *) (yyvsp[(3) - (3)].node);
				}
    break;

  case 1288:

/* Line 1806 of yacc.c  */
#line 8593 "gram.y"
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[(2) - (5)].list)) != list_length((yyvsp[(5) - (5)].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[(1) - (5)]))));
					forboth(col_cell, (yyvsp[(2) - (5)].list), val_cell, (yyvsp[(5) - (5)].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[(2) - (5)].list);
				}
    break;

  case 1289:

/* Line 1806 of yacc.c  */
#line 8621 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1290:

/* Line 1806 of yacc.c  */
#line 8631 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1291:

/* Line 1806 of yacc.c  */
#line 8632 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].target)); }
    break;

  case 1292:

/* Line 1806 of yacc.c  */
#line 8643 "gram.y"
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[(2) - (7)].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[(3) - (7)].ival) | (yyvsp[(5) - (7)].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1293:

/* Line 1806 of yacc.c  */
#line 8653 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1294:

/* Line 1806 of yacc.c  */
#line 8656 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1295:

/* Line 1806 of yacc.c  */
#line 8657 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | CURSOR_OPT_NO_SCROLL; }
    break;

  case 1296:

/* Line 1806 of yacc.c  */
#line 8658 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_SCROLL; }
    break;

  case 1297:

/* Line 1806 of yacc.c  */
#line 8659 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_BINARY; }
    break;

  case 1298:

/* Line 1806 of yacc.c  */
#line 8660 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_INSENSITIVE; }
    break;

  case 1299:

/* Line 1806 of yacc.c  */
#line 8663 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1300:

/* Line 1806 of yacc.c  */
#line 8664 "gram.y"
    { (yyval.ival) = CURSOR_OPT_HOLD; }
    break;

  case 1301:

/* Line 1806 of yacc.c  */
#line 8665 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1304:

/* Line 1806 of yacc.c  */
#line 8718 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1305:

/* Line 1806 of yacc.c  */
#line 8719 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1306:

/* Line 1806 of yacc.c  */
#line 8733 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1307:

/* Line 1806 of yacc.c  */
#line 8735 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (2)].node);
				}
    break;

  case 1308:

/* Line 1806 of yacc.c  */
#line 8742 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(3) - (4)].list),
										list_nth((yyvsp[(4) - (4)].list), 0), list_nth((yyvsp[(4) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1309:

/* Line 1806 of yacc.c  */
#line 8750 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(4) - (4)].list),
										list_nth((yyvsp[(3) - (4)].list), 0), list_nth((yyvsp[(3) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1310:

/* Line 1806 of yacc.c  */
#line 8758 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (2)].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[(1) - (2)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (2)].node);
				}
    break;

  case 1311:

/* Line 1806 of yacc.c  */
#line 8766 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].list), NIL,
										NULL, NULL,
										(yyvsp[(1) - (3)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (3)].node);
				}
    break;

  case 1312:

/* Line 1806 of yacc.c  */
#line 8774 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(4) - (5)].list),
										list_nth((yyvsp[(5) - (5)].list), 0), list_nth((yyvsp[(5) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1313:

/* Line 1806 of yacc.c  */
#line 8782 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(5) - (5)].list),
										list_nth((yyvsp[(4) - (5)].list), 0), list_nth((yyvsp[(4) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1314:

/* Line 1806 of yacc.c  */
#line 8792 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1315:

/* Line 1806 of yacc.c  */
#line 8793 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1316:

/* Line 1806 of yacc.c  */
#line 8823 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[(2) - (9)].list);
					n->targetList = (yyvsp[(3) - (9)].list);
					n->intoClause = (yyvsp[(4) - (9)].into);
					n->fromClause = (yyvsp[(5) - (9)].list);
					n->whereClause = (yyvsp[(6) - (9)].node);
					n->groupClause = (yyvsp[(7) - (9)].list);
					n->havingClause = (yyvsp[(8) - (9)].node);
					n->windowClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1317:

/* Line 1806 of yacc.c  */
#line 8835 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1318:

/* Line 1806 of yacc.c  */
#line 8837 "gram.y"
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[(2) - (2)].range));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1319:

/* Line 1806 of yacc.c  */
#line 8856 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1320:

/* Line 1806 of yacc.c  */
#line 8860 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1321:

/* Line 1806 of yacc.c  */
#line 8864 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1322:

/* Line 1806 of yacc.c  */
#line 8879 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(2) - (2)].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[(1) - (2)]);
			}
    break;

  case 1323:

/* Line 1806 of yacc.c  */
#line 8886 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(3) - (3)].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[(1) - (3)]);
			}
    break;

  case 1324:

/* Line 1806 of yacc.c  */
#line 8895 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1325:

/* Line 1806 of yacc.c  */
#line 8896 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1326:

/* Line 1806 of yacc.c  */
#line 8900 "gram.y"
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[(1) - (6)].str);
				n->aliascolnames = (yyvsp[(2) - (6)].list);
				n->ctequery = (yyvsp[(5) - (6)].node);
				n->location = (yylsp[(1) - (6)]);
				(yyval.node) = (Node *) n;
			}
    break;

  case 1327:

/* Line 1806 of yacc.c  */
#line 8911 "gram.y"
    { (yyval.with) = (yyvsp[(1) - (1)].with); }
    break;

  case 1328:

/* Line 1806 of yacc.c  */
#line 8912 "gram.y"
    { (yyval.with) = NULL; }
    break;

  case 1329:

/* Line 1806 of yacc.c  */
#line 8917 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(2) - (2)].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->skipData = false;
				}
    break;

  case 1330:

/* Line 1806 of yacc.c  */
#line 8927 "gram.y"
    { (yyval.into) = NULL; }
    break;

  case 1331:

/* Line 1806 of yacc.c  */
#line 8936 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1332:

/* Line 1806 of yacc.c  */
#line 8941 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1333:

/* Line 1806 of yacc.c  */
#line 8946 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1334:

/* Line 1806 of yacc.c  */
#line 8951 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1335:

/* Line 1806 of yacc.c  */
#line 8956 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (4)]))));
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1336:

/* Line 1806 of yacc.c  */
#line 8964 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (4)]))));
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1337:

/* Line 1806 of yacc.c  */
#line 8972 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
    break;

  case 1338:

/* Line 1806 of yacc.c  */
#line 8977 "gram.y"
    {
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
    break;

  case 1339:

/* Line 1806 of yacc.c  */
#line 8982 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
    break;

  case 1340:

/* Line 1806 of yacc.c  */
#line 8988 "gram.y"
    {}
    break;

  case 1341:

/* Line 1806 of yacc.c  */
#line 8989 "gram.y"
    {}
    break;

  case 1342:

/* Line 1806 of yacc.c  */
#line 8992 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1343:

/* Line 1806 of yacc.c  */
#line 8993 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1344:

/* Line 1806 of yacc.c  */
#line 8994 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1345:

/* Line 1806 of yacc.c  */
#line 9001 "gram.y"
    { (yyval.list) = list_make1(NIL); }
    break;

  case 1346:

/* Line 1806 of yacc.c  */
#line 9002 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); }
    break;

  case 1347:

/* Line 1806 of yacc.c  */
#line 9003 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1348:

/* Line 1806 of yacc.c  */
#line 9004 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1349:

/* Line 1806 of yacc.c  */
#line 9008 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list);}
    break;

  case 1350:

/* Line 1806 of yacc.c  */
#line 9009 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1351:

/* Line 1806 of yacc.c  */
#line 9013 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1352:

/* Line 1806 of yacc.c  */
#line 9017 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].sortby)); }
    break;

  case 1353:

/* Line 1806 of yacc.c  */
#line 9018 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].sortby)); }
    break;

  case 1354:

/* Line 1806 of yacc.c  */
#line 9022 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (4)].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[(4) - (4)].ival);
					(yyval.sortby)->useOp = (yyvsp[(3) - (4)].list);
					(yyval.sortby)->location = (yylsp[(3) - (4)]);
				}
    break;

  case 1355:

/* Line 1806 of yacc.c  */
#line 9031 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (3)].node);
					(yyval.sortby)->sortby_dir = (yyvsp[(2) - (3)].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[(3) - (3)].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
    break;

  case 1356:

/* Line 1806 of yacc.c  */
#line 9043 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (2)].node), (yyvsp[(1) - (2)].node)); }
    break;

  case 1357:

/* Line 1806 of yacc.c  */
#line 9044 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node)); }
    break;

  case 1358:

/* Line 1806 of yacc.c  */
#line 9045 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(1) - (1)].node)); }
    break;

  case 1359:

/* Line 1806 of yacc.c  */
#line 9046 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (1)].node), NULL); }
    break;

  case 1360:

/* Line 1806 of yacc.c  */
#line 9050 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1361:

/* Line 1806 of yacc.c  */
#line 9051 "gram.y"
    { (yyval.list) = list_make2(NULL,NULL); }
    break;

  case 1362:

/* Line 1806 of yacc.c  */
#line 9056 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1363:

/* Line 1806 of yacc.c  */
#line 9058 "gram.y"
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[(1) - (4)]))));
				}
    break;

  case 1364:

/* Line 1806 of yacc.c  */
#line 9068 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (5)].node); }
    break;

  case 1365:

/* Line 1806 of yacc.c  */
#line 9073 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1366:

/* Line 1806 of yacc.c  */
#line 9076 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1367:

/* Line 1806 of yacc.c  */
#line 9080 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1368:

/* Line 1806 of yacc.c  */
#line 9082 "gram.y"
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1369:

/* Line 1806 of yacc.c  */
#line 9089 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1370:

/* Line 1806 of yacc.c  */
#line 9099 "gram.y"
    { (yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)])); }
    break;

  case 1371:

/* Line 1806 of yacc.c  */
#line 9100 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1372:

/* Line 1806 of yacc.c  */
#line 9101 "gram.y"
    { (yyval.node) = makeIntConst(1, -1); }
    break;

  case 1373:

/* Line 1806 of yacc.c  */
#line 9109 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1374:

/* Line 1806 of yacc.c  */
#line 9113 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1375:

/* Line 1806 of yacc.c  */
#line 9114 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1376:

/* Line 1806 of yacc.c  */
#line 9117 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1377:

/* Line 1806 of yacc.c  */
#line 9118 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1378:

/* Line 1806 of yacc.c  */
#line 9123 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1379:

/* Line 1806 of yacc.c  */
#line 9124 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1380:

/* Line 1806 of yacc.c  */
#line 9128 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1381:

/* Line 1806 of yacc.c  */
#line 9129 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1382:

/* Line 1806 of yacc.c  */
#line 9133 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1383:

/* Line 1806 of yacc.c  */
#line 9134 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1384:

/* Line 1806 of yacc.c  */
#line 9138 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1385:

/* Line 1806 of yacc.c  */
#line 9139 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1386:

/* Line 1806 of yacc.c  */
#line 9143 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1387:

/* Line 1806 of yacc.c  */
#line 9144 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1388:

/* Line 1806 of yacc.c  */
#line 9149 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = TRUE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1389:

/* Line 1806 of yacc.c  */
#line 9157 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = FALSE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1390:

/* Line 1806 of yacc.c  */
#line 9167 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1391:

/* Line 1806 of yacc.c  */
#line 9168 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1392:

/* Line 1806 of yacc.c  */
#line 9174 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1393:

/* Line 1806 of yacc.c  */
#line 9180 "gram.y"
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[(1) - (3)].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1394:

/* Line 1806 of yacc.c  */
#line 9197 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1395:

/* Line 1806 of yacc.c  */
#line 9198 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1396:

/* Line 1806 of yacc.c  */
#line 9202 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1397:

/* Line 1806 of yacc.c  */
#line 9203 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1398:

/* Line 1806 of yacc.c  */
#line 9214 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].range);
				}
    break;

  case 1399:

/* Line 1806 of yacc.c  */
#line 9218 "gram.y"
    {
					(yyvsp[(1) - (2)].range)->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) (yyvsp[(1) - (2)].range);
				}
    break;

  case 1400:

/* Line 1806 of yacc.c  */
#line 9223 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (1)].node);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1401:

/* Line 1806 of yacc.c  */
#line 9230 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1402:

/* Line 1806 of yacc.c  */
#line 9238 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1403:

/* Line 1806 of yacc.c  */
#line 9245 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (6)].node);
					a->aliasname = (yyvsp[(3) - (6)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1404:

/* Line 1806 of yacc.c  */
#line 9255 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					a->aliasname = (yyvsp[(2) - (5)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1405:

/* Line 1806 of yacc.c  */
#line 9265 "gram.y"
    {
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if (IsA((yyvsp[(1) - (1)].node), SelectStmt) &&
						((SelectStmt *) (yyvsp[(1) - (1)].node))->valuesLists)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("VALUES in FROM must have an alias"),
								 errhint("For example, FROM (VALUES ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("subquery in FROM must have an alias"),
								 errhint("For example, FROM (SELECT ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.node) = NULL;
				}
    break;

  case 1406:

/* Line 1806 of yacc.c  */
#line 9293 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->subquery = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1407:

/* Line 1806 of yacc.c  */
#line 9300 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].jexpr);
				}
    break;

  case 1408:

/* Line 1806 of yacc.c  */
#line 9304 "gram.y"
    {
					(yyvsp[(2) - (4)].jexpr)->alias = (yyvsp[(4) - (4)].alias);
					(yyval.node) = (Node *) (yyvsp[(2) - (4)].jexpr);
				}
    break;

  case 1409:

/* Line 1806 of yacc.c  */
#line 9330 "gram.y"
    {
					(yyval.jexpr) = (yyvsp[(2) - (3)].jexpr);
				}
    break;

  case 1410:

/* Line 1806 of yacc.c  */
#line 9334 "gram.y"
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
    break;

  case 1411:

/* Line 1806 of yacc.c  */
#line 9346 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(2) - (5)].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(4) - (5)].node);
					if ((yyvsp[(5) - (5)].node) != NULL && IsA((yyvsp[(5) - (5)].node), List))
						n->usingClause = (List *) (yyvsp[(5) - (5)].node); /* USING clause */
					else
						n->quals = (yyvsp[(5) - (5)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1412:

/* Line 1806 of yacc.c  */
#line 9359 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(3) - (4)].node);
					if ((yyvsp[(4) - (4)].node) != NULL && IsA((yyvsp[(4) - (4)].node), List))
						n->usingClause = (List *) (yyvsp[(4) - (4)].node); /* USING clause */
					else
						n->quals = (yyvsp[(4) - (4)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1413:

/* Line 1806 of yacc.c  */
#line 9373 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(3) - (5)].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(5) - (5)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1414:

/* Line 1806 of yacc.c  */
#line 9384 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1415:

/* Line 1806 of yacc.c  */
#line 9399 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.alias)->colnames = (yyvsp[(4) - (5)].list);
				}
    break;

  case 1416:

/* Line 1806 of yacc.c  */
#line 9405 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (2)].str);
				}
    break;

  case 1417:

/* Line 1806 of yacc.c  */
#line 9410 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.alias)->colnames = (yyvsp[(3) - (4)].list);
				}
    break;

  case 1418:

/* Line 1806 of yacc.c  */
#line 9416 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (1)].str);
				}
    break;

  case 1419:

/* Line 1806 of yacc.c  */
#line 9422 "gram.y"
    { (yyval.jtype) = JOIN_FULL; }
    break;

  case 1420:

/* Line 1806 of yacc.c  */
#line 9423 "gram.y"
    { (yyval.jtype) = JOIN_LEFT; }
    break;

  case 1421:

/* Line 1806 of yacc.c  */
#line 9424 "gram.y"
    { (yyval.jtype) = JOIN_RIGHT; }
    break;

  case 1422:

/* Line 1806 of yacc.c  */
#line 9425 "gram.y"
    { (yyval.jtype) = JOIN_INNER; }
    break;

  case 1423:

/* Line 1806 of yacc.c  */
#line 9429 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1424:

/* Line 1806 of yacc.c  */
#line 9430 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1425:

/* Line 1806 of yacc.c  */
#line 9442 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(3) - (4)].list); }
    break;

  case 1426:

/* Line 1806 of yacc.c  */
#line 9443 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1427:

/* Line 1806 of yacc.c  */
#line 9449 "gram.y"
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1428:

/* Line 1806 of yacc.c  */
#line 9456 "gram.y"
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[(1) - (2)].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1429:

/* Line 1806 of yacc.c  */
#line 9463 "gram.y"
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1430:

/* Line 1806 of yacc.c  */
#line 9470 "gram.y"
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[(3) - (4)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1431:

/* Line 1806 of yacc.c  */
#line 9480 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1432:

/* Line 1806 of yacc.c  */
#line 9481 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1433:

/* Line 1806 of yacc.c  */
#line 9495 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
				}
    break;

  case 1434:

/* Line 1806 of yacc.c  */
#line 9499 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(2) - (2)].str);
					(yyvsp[(1) - (2)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (2)].range);
				}
    break;

  case 1435:

/* Line 1806 of yacc.c  */
#line 9506 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(3) - (3)].str);
					(yyvsp[(1) - (3)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (3)].range);
				}
    break;

  case 1436:

/* Line 1806 of yacc.c  */
#line 9515 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1437:

/* Line 1806 of yacc.c  */
#line 9520 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1438:

/* Line 1806 of yacc.c  */
#line 9521 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1439:

/* Line 1806 of yacc.c  */
#line 9526 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1440:

/* Line 1806 of yacc.c  */
#line 9528 "gram.y"
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[(4) - (4)].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1441:

/* Line 1806 of yacc.c  */
#line 9535 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1442:

/* Line 1806 of yacc.c  */
#line 9540 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1443:

/* Line 1806 of yacc.c  */
#line 9541 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1444:

/* Line 1806 of yacc.c  */
#line 9546 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1445:

/* Line 1806 of yacc.c  */
#line 9550 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1446:

/* Line 1806 of yacc.c  */
#line 9556 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[(3) - (3)].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1447:

/* Line 1806 of yacc.c  */
#line 9585 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1448:

/* Line 1806 of yacc.c  */
#line 9590 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1449:

/* Line 1806 of yacc.c  */
#line 9597 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(4) - (5)].ival)));
				}
    break;

  case 1450:

/* Line 1806 of yacc.c  */
#line 9602 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (6)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(5) - (6)].ival)));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1451:

/* Line 1806 of yacc.c  */
#line 9608 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
    break;

  case 1452:

/* Line 1806 of yacc.c  */
#line 9613 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1453:

/* Line 1806 of yacc.c  */
#line 9622 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeInteger(-1)); }
    break;

  case 1454:

/* Line 1806 of yacc.c  */
#line 9624 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (4)].list), makeInteger((yyvsp[(3) - (4)].ival))); }
    break;

  case 1455:

/* Line 1806 of yacc.c  */
#line 9626 "gram.y"
    {  (yyval.list) = NIL; }
    break;

  case 1456:

/* Line 1806 of yacc.c  */
#line 9630 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1457:

/* Line 1806 of yacc.c  */
#line 9631 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1458:

/* Line 1806 of yacc.c  */
#line 9632 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1459:

/* Line 1806 of yacc.c  */
#line 9633 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1460:

/* Line 1806 of yacc.c  */
#line 9634 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1461:

/* Line 1806 of yacc.c  */
#line 9636 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1462:

/* Line 1806 of yacc.c  */
#line 9641 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					if ((yyvsp[(5) - (5)].list) != NIL)
					{
						if (list_length((yyvsp[(5) - (5)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (5)]))));
						(yyval.typnam)->typmods = lappend((yyvsp[(5) - (5)].list), makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
				}
    break;

  case 1463:

/* Line 1806 of yacc.c  */
#line 9670 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1464:

/* Line 1806 of yacc.c  */
#line 9671 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1465:

/* Line 1806 of yacc.c  */
#line 9672 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1466:

/* Line 1806 of yacc.c  */
#line 9673 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1467:

/* Line 1806 of yacc.c  */
#line 9685 "gram.y"
    {
					(yyval.typnam) = makeTypeName((yyvsp[(1) - (2)].str));
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1468:

/* Line 1806 of yacc.c  */
#line 9691 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(2) - (3)].list)));
					(yyval.typnam)->typmods = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1469:

/* Line 1806 of yacc.c  */
#line 9698 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1470:

/* Line 1806 of yacc.c  */
#line 9699 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1471:

/* Line 1806 of yacc.c  */
#line 9706 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1472:

/* Line 1806 of yacc.c  */
#line 9711 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1473:

/* Line 1806 of yacc.c  */
#line 9716 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1474:

/* Line 1806 of yacc.c  */
#line 9721 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1475:

/* Line 1806 of yacc.c  */
#line 9726 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1476:

/* Line 1806 of yacc.c  */
#line 9731 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (2)].typnam);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1477:

/* Line 1806 of yacc.c  */
#line 9736 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1478:

/* Line 1806 of yacc.c  */
#line 9741 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1479:

/* Line 1806 of yacc.c  */
#line 9747 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1480:

/* Line 1806 of yacc.c  */
#line 9753 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1481:

/* Line 1806 of yacc.c  */
#line 9759 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1482:

/* Line 1806 of yacc.c  */
#line 9766 "gram.y"
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[(2) - (3)].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[(2) - (3)]))));
					else if ((yyvsp[(2) - (3)].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[(2) - (3)].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[(2) - (3)]))));
				}
    break;

  case 1483:

/* Line 1806 of yacc.c  */
#line 9787 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
    break;

  case 1484:

/* Line 1806 of yacc.c  */
#line 9797 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1485:

/* Line 1806 of yacc.c  */
#line 9801 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1486:

/* Line 1806 of yacc.c  */
#line 9809 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1487:

/* Line 1806 of yacc.c  */
#line 9813 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1488:

/* Line 1806 of yacc.c  */
#line 9821 "gram.y"
    {
					char *typname;

					typname = (yyvsp[(2) - (5)].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[(4) - (5)].list);
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1489:

/* Line 1806 of yacc.c  */
#line 9833 "gram.y"
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[(2) - (2)].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1490:

/* Line 1806 of yacc.c  */
#line 9854 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1491:

/* Line 1806 of yacc.c  */
#line 9858 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1492:

/* Line 1806 of yacc.c  */
#line 9864 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1493:

/* Line 1806 of yacc.c  */
#line 9868 "gram.y"
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1494:

/* Line 1806 of yacc.c  */
#line 9881 "gram.y"
    {
					if (((yyvsp[(5) - (5)].str) != NULL) && (strcmp((yyvsp[(5) - (5)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (5)].str)) + 1 + strlen((yyvsp[(5) - (5)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (5)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(5) - (5)].str));
						(yyvsp[(1) - (5)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (5)].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1495:

/* Line 1806 of yacc.c  */
#line 9900 "gram.y"
    {
					if (((yyvsp[(2) - (2)].str) != NULL) && (strcmp((yyvsp[(2) - (2)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (2)].str)) + 1 + strlen((yyvsp[(2) - (2)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (2)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(2) - (2)].str));
						(yyvsp[(1) - (2)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (2)].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[(1) - (2)].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1496:

/* Line 1806 of yacc.c  */
#line 9923 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1497:

/* Line 1806 of yacc.c  */
#line 9925 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1498:

/* Line 1806 of yacc.c  */
#line 9927 "gram.y"
    { (yyval.str) = "varchar"; }
    break;

  case 1499:

/* Line 1806 of yacc.c  */
#line 9929 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1500:

/* Line 1806 of yacc.c  */
#line 9931 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1501:

/* Line 1806 of yacc.c  */
#line 9933 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1502:

/* Line 1806 of yacc.c  */
#line 9937 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1503:

/* Line 1806 of yacc.c  */
#line 9938 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1504:

/* Line 1806 of yacc.c  */
#line 9942 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 1505:

/* Line 1806 of yacc.c  */
#line 9943 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1506:

/* Line 1806 of yacc.c  */
#line 9951 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1507:

/* Line 1806 of yacc.c  */
#line 9960 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1508:

/* Line 1806 of yacc.c  */
#line 9968 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1509:

/* Line 1806 of yacc.c  */
#line 9977 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1510:

/* Line 1806 of yacc.c  */
#line 9988 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1511:

/* Line 1806 of yacc.c  */
#line 9995 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1512:

/* Line 1806 of yacc.c  */
#line 9996 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1513:

/* Line 1806 of yacc.c  */
#line 9997 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1514:

/* Line 1806 of yacc.c  */
#line 10002 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[(1) - (1)]))); }
    break;

  case 1515:

/* Line 1806 of yacc.c  */
#line 10004 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[(1) - (1)]))); }
    break;

  case 1516:

/* Line 1806 of yacc.c  */
#line 10006 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[(1) - (1)]))); }
    break;

  case 1517:

/* Line 1806 of yacc.c  */
#line 10008 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[(1) - (1)]))); }
    break;

  case 1518:

/* Line 1806 of yacc.c  */
#line 10010 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[(1) - (1)]))); }
    break;

  case 1519:

/* Line 1806 of yacc.c  */
#line 10012 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1520:

/* Line 1806 of yacc.c  */
#line 10014 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[(1) - (3)])));
				}
    break;

  case 1521:

/* Line 1806 of yacc.c  */
#line 10019 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[(1) - (3)])));
				}
    break;

  case 1522:

/* Line 1806 of yacc.c  */
#line 10024 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1523:

/* Line 1806 of yacc.c  */
#line 10030 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1524:

/* Line 1806 of yacc.c  */
#line 10038 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1525:

/* Line 1806 of yacc.c  */
#line 10043 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1526:

/* Line 1806 of yacc.c  */
#line 10050 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1527:

/* Line 1806 of yacc.c  */
#line 10056 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1528:

/* Line 1806 of yacc.c  */
#line 10061 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (1)])));
				}
    break;

  case 1529:

/* Line 1806 of yacc.c  */
#line 10065 "gram.y"
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (4)])),
									makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
				}
    break;

  case 1530:

/* Line 1806 of yacc.c  */
#line 10094 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1531:

/* Line 1806 of yacc.c  */
#line 10096 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1532:

/* Line 1806 of yacc.c  */
#line 10098 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[(1) - (3)].node);
					n->collname = (yyvsp[(3) - (3)].list);
					n->location = (yylsp[(2) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1533:

/* Line 1806 of yacc.c  */
#line 10106 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("timezone");
					n->args = list_make2((yyvsp[(5) - (5)].node), (yyvsp[(1) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1534:

/* Line 1806 of yacc.c  */
#line 10128 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1535:

/* Line 1806 of yacc.c  */
#line 10130 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1536:

/* Line 1806 of yacc.c  */
#line 10132 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1537:

/* Line 1806 of yacc.c  */
#line 10134 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1538:

/* Line 1806 of yacc.c  */
#line 10136 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1539:

/* Line 1806 of yacc.c  */
#line 10138 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1540:

/* Line 1806 of yacc.c  */
#line 10140 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1541:

/* Line 1806 of yacc.c  */
#line 10142 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1542:

/* Line 1806 of yacc.c  */
#line 10144 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1543:

/* Line 1806 of yacc.c  */
#line 10146 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1544:

/* Line 1806 of yacc.c  */
#line 10148 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1545:

/* Line 1806 of yacc.c  */
#line 10151 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1546:

/* Line 1806 of yacc.c  */
#line 10153 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1547:

/* Line 1806 of yacc.c  */
#line 10155 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1548:

/* Line 1806 of yacc.c  */
#line 10158 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1549:

/* Line 1806 of yacc.c  */
#line 10160 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1550:

/* Line 1806 of yacc.c  */
#line 10162 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1551:

/* Line 1806 of yacc.c  */
#line 10165 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1552:

/* Line 1806 of yacc.c  */
#line 10167 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1553:

/* Line 1806 of yacc.c  */
#line 10180 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); }
    break;

  case 1554:

/* Line 1806 of yacc.c  */
#line 10182 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1555:

/* Line 1806 of yacc.c  */
#line 10195 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1556:

/* Line 1806 of yacc.c  */
#line 10197 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1557:

/* Line 1806 of yacc.c  */
#line 10210 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); }
    break;

  case 1558:

/* Line 1806 of yacc.c  */
#line 10212 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1559:

/* Line 1806 of yacc.c  */
#line 10226 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (4)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (4)].node), (Node *) n, (yylsp[(2) - (4)]));
				}
    break;

  case 1560:

/* Line 1806 of yacc.c  */
#line 10239 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1561:

/* Line 1806 of yacc.c  */
#line 10252 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (5)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1562:

/* Line 1806 of yacc.c  */
#line 10265 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (7)].node), (yyvsp[(7) - (7)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (7)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (7)].node), (Node *) n, (yylsp[(2) - (7)]));
				}
    break;

  case 1563:

/* Line 1806 of yacc.c  */
#line 10288 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (3)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1564:

/* Line 1806 of yacc.c  */
#line 10295 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1565:

/* Line 1806 of yacc.c  */
#line 10302 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (4)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1566:

/* Line 1806 of yacc.c  */
#line 10309 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1567:

/* Line 1806 of yacc.c  */
#line 10316 "gram.y"
    {
					(yyval.node) = (Node *)makeOverlaps((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list), (yylsp[(2) - (3)]), yyscanner);
				}
    break;

  case 1568:

/* Line 1806 of yacc.c  */
#line 10320 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1569:

/* Line 1806 of yacc.c  */
#line 10327 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1570:

/* Line 1806 of yacc.c  */
#line 10334 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1571:

/* Line 1806 of yacc.c  */
#line 10341 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1572:

/* Line 1806 of yacc.c  */
#line 10348 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1573:

/* Line 1806 of yacc.c  */
#line 10355 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1574:

/* Line 1806 of yacc.c  */
#line 10362 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1575:

/* Line 1806 of yacc.c  */
#line 10366 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));

				}
    break;

  case 1576:

/* Line 1806 of yacc.c  */
#line 10374 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1577:

/* Line 1806 of yacc.c  */
#line 10378 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1578:

/* Line 1806 of yacc.c  */
#line 10388 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				}
    break;

  case 1579:

/* Line 1806 of yacc.c  */
#line 10395 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				}
    break;

  case 1580:

/* Line 1806 of yacc.c  */
#line 10402 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				}
    break;

  case 1581:

/* Line 1806 of yacc.c  */
#line 10415 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				}
    break;

  case 1582:

/* Line 1806 of yacc.c  */
#line 10428 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(3) - (3)].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[(3) - (3)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (3)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(2) - (3)]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]));
					}
				}
    break;

  case 1583:

/* Line 1806 of yacc.c  */
#line 10447 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(4) - (4)].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[(4) - (4)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (4)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(3) - (4)]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[(2) - (4)]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)]));
					}
				}
    break;

  case 1584:

/* Line 1806 of yacc.c  */
#line 10468 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[(3) - (4)].ival);
					n->testexpr = (yyvsp[(1) - (4)].node);
					n->operName = (yyvsp[(2) - (4)].list);
					n->subselect = (yyvsp[(4) - (4)].node);
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1585:

/* Line 1806 of yacc.c  */
#line 10478 "gram.y"
    {
					if ((yyvsp[(3) - (6)].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
				}
    break;

  case 1586:

/* Line 1806 of yacc.c  */
#line 10485 "gram.y"
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[(1) - (2)]))));
				}
    break;

  case 1587:

/* Line 1806 of yacc.c  */
#line 10501 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1588:

/* Line 1806 of yacc.c  */
#line 10506 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				}
    break;

  case 1589:

/* Line 1806 of yacc.c  */
#line 10524 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1590:

/* Line 1806 of yacc.c  */
#line 10526 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1591:

/* Line 1806 of yacc.c  */
#line 10528 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1592:

/* Line 1806 of yacc.c  */
#line 10530 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1593:

/* Line 1806 of yacc.c  */
#line 10532 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1594:

/* Line 1806 of yacc.c  */
#line 10534 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1595:

/* Line 1806 of yacc.c  */
#line 10536 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1596:

/* Line 1806 of yacc.c  */
#line 10538 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1597:

/* Line 1806 of yacc.c  */
#line 10540 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1598:

/* Line 1806 of yacc.c  */
#line 10542 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1599:

/* Line 1806 of yacc.c  */
#line 10544 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1600:

/* Line 1806 of yacc.c  */
#line 10546 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1601:

/* Line 1806 of yacc.c  */
#line 10548 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1602:

/* Line 1806 of yacc.c  */
#line 10550 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1603:

/* Line 1806 of yacc.c  */
#line 10552 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1604:

/* Line 1806 of yacc.c  */
#line 10554 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1605:

/* Line 1806 of yacc.c  */
#line 10556 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1606:

/* Line 1806 of yacc.c  */
#line 10560 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])), (yylsp[(2) - (6)]));
				}
    break;

  case 1607:

/* Line 1806 of yacc.c  */
#line 10565 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1608:

/* Line 1806 of yacc.c  */
#line 10569 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1609:

/* Line 1806 of yacc.c  */
#line 10573 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1610:

/* Line 1806 of yacc.c  */
#line 10578 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				}
    break;

  case 1611:

/* Line 1806 of yacc.c  */
#line 10594 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1612:

/* Line 1806 of yacc.c  */
#line 10595 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1613:

/* Line 1806 of yacc.c  */
#line 10597 "gram.y"
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[(1) - (2)].ival);
					p->location = (yylsp[(1) - (2)]);
					if ((yyvsp[(2) - (2)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
    break;

  case 1614:

/* Line 1806 of yacc.c  */
#line 10612 "gram.y"
    {
					if ((yyvsp[(4) - (4)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[(2) - (4)].node);
						n->indirection = check_indirection((yyvsp[(4) - (4)].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[(2) - (4)].node);
				}
    break;

  case 1615:

/* Line 1806 of yacc.c  */
#line 10624 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1616:

/* Line 1806 of yacc.c  */
#line 10626 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1617:

/* Line 1806 of yacc.c  */
#line 10628 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (1)].node);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1618:

/* Line 1806 of yacc.c  */
#line 10638 "gram.y"
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
    break;

  case 1619:

/* Line 1806 of yacc.c  */
#line 10661 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1620:

/* Line 1806 of yacc.c  */
#line 10671 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1621:

/* Line 1806 of yacc.c  */
#line 10681 "gram.y"
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[(2) - (2)].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1622:

/* Line 1806 of yacc.c  */
#line 10689 "gram.y"
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[(1) - (1)].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)r;
				}
    break;

  case 1623:

/* Line 1806 of yacc.c  */
#line 10708 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (4)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(4) - (4)].windef);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1624:

/* Line 1806 of yacc.c  */
#line 10721 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = (yyvsp[(3) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1625:

/* Line 1806 of yacc.c  */
#line 10734 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = list_make1((yyvsp[(4) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1626:

/* Line 1806 of yacc.c  */
#line 10747 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (8)].list);
					n->args = lappend((yyvsp[(3) - (8)].list), (yyvsp[(6) - (8)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(8) - (8)].windef);
					n->location = (yylsp[(1) - (8)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1627:

/* Line 1806 of yacc.c  */
#line 10760 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = (yyvsp[(3) - (6)].list);
					n->agg_order = (yyvsp[(4) - (6)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1628:

/* Line 1806 of yacc.c  */
#line 10773 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1629:

/* Line 1806 of yacc.c  */
#line 10790 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = TRUE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1630:

/* Line 1806 of yacc.c  */
#line 10803 "gram.y"
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL92 that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = TRUE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1631:

/* Line 1806 of yacc.c  */
#line 10826 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("pg_collation_for");
					n->args = list_make1((yyvsp[(4) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1632:

/* Line 1806 of yacc.c  */
#line 10839 "gram.y"
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), -1);
				}
    break;

  case 1633:

/* Line 1806 of yacc.c  */
#line 10860 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), -1);
				}
    break;

  case 1634:

/* Line 1806 of yacc.c  */
#line 10870 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1635:

/* Line 1806 of yacc.c  */
#line 10883 "gram.y"
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("now");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1636:

/* Line 1806 of yacc.c  */
#line 10900 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1637:

/* Line 1806 of yacc.c  */
#line 10913 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), -1);
				}
    break;

  case 1638:

/* Line 1806 of yacc.c  */
#line 10923 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast((Node *)n, d, -1);
				}
    break;

  case 1639:

/* Line 1806 of yacc.c  */
#line 10936 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), -1);
				}
    break;

  case 1640:

/* Line 1806 of yacc.c  */
#line 10946 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1641:

/* Line 1806 of yacc.c  */
#line 10959 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1642:

/* Line 1806 of yacc.c  */
#line 10972 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1643:

/* Line 1806 of yacc.c  */
#line 10985 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("session_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1644:

/* Line 1806 of yacc.c  */
#line 10998 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1645:

/* Line 1806 of yacc.c  */
#line 11011 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_database");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1646:

/* Line 1806 of yacc.c  */
#line 11024 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_schema");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1647:

/* Line 1806 of yacc.c  */
#line 11037 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].typnam), (yylsp[(1) - (6)])); }
    break;

  case 1648:

/* Line 1806 of yacc.c  */
#line 11039 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("date_part");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1649:

/* Line 1806 of yacc.c  */
#line 11052 "gram.y"
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlay");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1650:

/* Line 1806 of yacc.c  */
#line 11070 "gram.y"
    {
					/* position(A in B) is converted to position(B, A) */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("position");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1651:

/* Line 1806 of yacc.c  */
#line 11084 "gram.y"
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("substring");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1652:

/* Line 1806 of yacc.c  */
#line 11100 "gram.y"
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 */
					FuncCall *n = makeNode(FuncCall);
					/* Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					n->funcname = SystemFuncName(((Value *)llast((yyvsp[(5) - (6)].typnam)->names))->val.str);
					n->args = list_make1((yyvsp[(3) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1653:

/* Line 1806 of yacc.c  */
#line 11122 "gram.y"
    {
					/* various trim expressions are defined in SQL92
					 * - thomas 1997-07-19
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1654:

/* Line 1806 of yacc.c  */
#line 11138 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("ltrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1655:

/* Line 1806 of yacc.c  */
#line 11151 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("rtrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1656:

/* Line 1806 of yacc.c  */
#line 11164 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1657:

/* Line 1806 of yacc.c  */
#line 11177 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(1) - (6)]));
				}
    break;

  case 1658:

/* Line 1806 of yacc.c  */
#line 11181 "gram.y"
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[(3) - (4)].list);
					c->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 1659:

/* Line 1806 of yacc.c  */
#line 11188 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 1660:

/* Line 1806 of yacc.c  */
#line 11196 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_LEAST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 1661:

/* Line 1806 of yacc.c  */
#line 11204 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1662:

/* Line 1806 of yacc.c  */
#line 11208 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (5)].str), NIL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 1663:

/* Line 1806 of yacc.c  */
#line 11212 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), (yyvsp[(6) - (7)].list), NIL, (yylsp[(1) - (7)]));
				}
    break;

  case 1664:

/* Line 1806 of yacc.c  */
#line 11216 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), NIL, (yyvsp[(6) - (7)].list), (yylsp[(1) - (7)]));
				}
    break;

  case 1665:

/* Line 1806 of yacc.c  */
#line 11220 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (9)].str), (yyvsp[(6) - (9)].list), (yyvsp[(8) - (9)].list), (yylsp[(1) - (9)]));
				}
    break;

  case 1666:

/* Line 1806 of yacc.c  */
#line 11224 "gram.y"
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("xmlexists");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(4) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1667:

/* Line 1806 of yacc.c  */
#line 11239 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[(3) - (4)].list), NIL, (yylsp[(1) - (4)]));
				}
    break;

  case 1668:

/* Line 1806 of yacc.c  */
#line 11243 "gram.y"
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[(4) - (6)].node), makeBoolAConst((yyvsp[(5) - (6)].boolean), -1)),
									(yylsp[(1) - (6)]));
					x->xmloption = (yyvsp[(3) - (6)].ival);
					(yyval.node) = (Node *)x;
				}
    break;

  case 1669:

/* Line 1806 of yacc.c  */
#line 11252 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (5)].str), NULL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 1670:

/* Line 1806 of yacc.c  */
#line 11256 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (7)].str), NULL, list_make1((yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 1671:

/* Line 1806 of yacc.c  */
#line 11260 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[(3) - (7)].node), (yyvsp[(5) - (7)].node), (yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 1672:

/* Line 1806 of yacc.c  */
#line 11265 "gram.y"
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[(3) - (7)].ival);
					n->expr = (yyvsp[(4) - (7)].node);
					n->typeName = (yyvsp[(6) - (7)].typnam);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1673:

/* Line 1806 of yacc.c  */
#line 11279 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1674:

/* Line 1806 of yacc.c  */
#line 11281 "gram.y"
    { (yyval.node) = makeNullAConst(-1); }
    break;

  case 1675:

/* Line 1806 of yacc.c  */
#line 11285 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
    break;

  case 1676:

/* Line 1806 of yacc.c  */
#line 11287 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
    break;

  case 1677:

/* Line 1806 of yacc.c  */
#line 11289 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
    break;

  case 1678:

/* Line 1806 of yacc.c  */
#line 11291 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
    break;

  case 1679:

/* Line 1806 of yacc.c  */
#line 11294 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1680:

/* Line 1806 of yacc.c  */
#line 11297 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1681:

/* Line 1806 of yacc.c  */
#line 11298 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1682:

/* Line 1806 of yacc.c  */
#line 11302 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1683:

/* Line 1806 of yacc.c  */
#line 11310 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1684:

/* Line 1806 of yacc.c  */
#line 11319 "gram.y"
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
    break;

  case 1685:

/* Line 1806 of yacc.c  */
#line 11320 "gram.y"
    { (yyval.ival) = XMLOPTION_CONTENT; }
    break;

  case 1686:

/* Line 1806 of yacc.c  */
#line 11323 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1687:

/* Line 1806 of yacc.c  */
#line 11324 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1688:

/* Line 1806 of yacc.c  */
#line 11325 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1689:

/* Line 1806 of yacc.c  */
#line 11331 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (2)].node);
				}
    break;

  case 1690:

/* Line 1806 of yacc.c  */
#line 11335 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (4)].node);
				}
    break;

  case 1691:

/* Line 1806 of yacc.c  */
#line 11339 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (4)].node);
				}
    break;

  case 1692:

/* Line 1806 of yacc.c  */
#line 11343 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (6)].node);
				}
    break;

  case 1693:

/* Line 1806 of yacc.c  */
#line 11353 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1694:

/* Line 1806 of yacc.c  */
#line 11354 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1695:

/* Line 1806 of yacc.c  */
#line 11358 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].windef)); }
    break;

  case 1696:

/* Line 1806 of yacc.c  */
#line 11360 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].windef)); }
    break;

  case 1697:

/* Line 1806 of yacc.c  */
#line 11365 "gram.y"
    {
					WindowDef *n = (yyvsp[(3) - (3)].windef);
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.windef) = n;
				}
    break;

  case 1698:

/* Line 1806 of yacc.c  */
#line 11373 "gram.y"
    { (yyval.windef) = (yyvsp[(2) - (2)].windef); }
    break;

  case 1699:

/* Line 1806 of yacc.c  */
#line 11375 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[(2) - (2)].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[(2) - (2)]);
					(yyval.windef) = n;
				}
    break;

  case 1700:

/* Line 1806 of yacc.c  */
#line 11388 "gram.y"
    { (yyval.windef) = NULL; }
    break;

  case 1701:

/* Line 1806 of yacc.c  */
#line 11393 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[(2) - (6)].str);
					n->partitionClause = (yyvsp[(3) - (6)].list);
					n->orderClause = (yyvsp[(4) - (6)].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[(5) - (6)].windef)->frameOptions;
					n->startOffset = (yyvsp[(5) - (6)].windef)->startOffset;
					n->endOffset = (yyvsp[(5) - (6)].windef)->endOffset;
					n->location = (yylsp[(1) - (6)]);
					(yyval.windef) = n;
				}
    break;

  case 1702:

/* Line 1806 of yacc.c  */
#line 11418 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1703:

/* Line 1806 of yacc.c  */
#line 11419 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1704:

/* Line 1806 of yacc.c  */
#line 11422 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1705:

/* Line 1806 of yacc.c  */
#line 11423 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1706:

/* Line 1806 of yacc.c  */
#line 11435 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.windef) = n;
				}
    break;

  case 1707:

/* Line 1806 of yacc.c  */
#line 11453 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
    break;

  case 1708:

/* Line 1806 of yacc.c  */
#line 11459 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1709:

/* Line 1806 of yacc.c  */
#line 11469 "gram.y"
    {
					WindowDef *n = (yyvsp[(1) - (1)].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(1) - (1)]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[(1) - (1)]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
    break;

  case 1710:

/* Line 1806 of yacc.c  */
#line 11486 "gram.y"
    {
					WindowDef *n1 = (yyvsp[(2) - (4)].windef);
					WindowDef *n2 = (yyvsp[(4) - (4)].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(2) - (4)]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
    break;

  case 1711:

/* Line 1806 of yacc.c  */
#line 11531 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1712:

/* Line 1806 of yacc.c  */
#line 11539 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1713:

/* Line 1806 of yacc.c  */
#line 11547 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1714:

/* Line 1806 of yacc.c  */
#line 11555 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1715:

/* Line 1806 of yacc.c  */
#line 11563 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1716:

/* Line 1806 of yacc.c  */
#line 11583 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1717:

/* Line 1806 of yacc.c  */
#line 11584 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1718:

/* Line 1806 of yacc.c  */
#line 11585 "gram.y"
    { (yyval.list) = lappend((yyvsp[(2) - (5)].list), (yyvsp[(4) - (5)].node)); }
    break;

  case 1719:

/* Line 1806 of yacc.c  */
#line 11588 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 1720:

/* Line 1806 of yacc.c  */
#line 11589 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 1721:

/* Line 1806 of yacc.c  */
#line 11590 "gram.y"
    { (yyval.ival) = ALL_SUBLINK; }
    break;

  case 1722:

/* Line 1806 of yacc.c  */
#line 11593 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1723:

/* Line 1806 of yacc.c  */
#line 11594 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1724:

/* Line 1806 of yacc.c  */
#line 11597 "gram.y"
    { (yyval.str) = "+"; }
    break;

  case 1725:

/* Line 1806 of yacc.c  */
#line 11598 "gram.y"
    { (yyval.str) = "-"; }
    break;

  case 1726:

/* Line 1806 of yacc.c  */
#line 11599 "gram.y"
    { (yyval.str) = "*"; }
    break;

  case 1727:

/* Line 1806 of yacc.c  */
#line 11600 "gram.y"
    { (yyval.str) = "/"; }
    break;

  case 1728:

/* Line 1806 of yacc.c  */
#line 11601 "gram.y"
    { (yyval.str) = "%"; }
    break;

  case 1729:

/* Line 1806 of yacc.c  */
#line 11602 "gram.y"
    { (yyval.str) = "^"; }
    break;

  case 1730:

/* Line 1806 of yacc.c  */
#line 11603 "gram.y"
    { (yyval.str) = "<"; }
    break;

  case 1731:

/* Line 1806 of yacc.c  */
#line 11604 "gram.y"
    { (yyval.str) = ">"; }
    break;

  case 1732:

/* Line 1806 of yacc.c  */
#line 11605 "gram.y"
    { (yyval.str) = "="; }
    break;

  case 1733:

/* Line 1806 of yacc.c  */
#line 11609 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1734:

/* Line 1806 of yacc.c  */
#line 11611 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1735:

/* Line 1806 of yacc.c  */
#line 11616 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1736:

/* Line 1806 of yacc.c  */
#line 11618 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1737:

/* Line 1806 of yacc.c  */
#line 11623 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1738:

/* Line 1806 of yacc.c  */
#line 11625 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1739:

/* Line 1806 of yacc.c  */
#line 11627 "gram.y"
    { (yyval.list) = list_make1(makeString("~~")); }
    break;

  case 1740:

/* Line 1806 of yacc.c  */
#line 11629 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~")); }
    break;

  case 1741:

/* Line 1806 of yacc.c  */
#line 11631 "gram.y"
    { (yyval.list) = list_make1(makeString("~~*")); }
    break;

  case 1742:

/* Line 1806 of yacc.c  */
#line 11633 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~*")); }
    break;

  case 1743:

/* Line 1806 of yacc.c  */
#line 11645 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1744:

/* Line 1806 of yacc.c  */
#line 11649 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1745:

/* Line 1806 of yacc.c  */
#line 11656 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1746:

/* Line 1806 of yacc.c  */
#line 11660 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1747:

/* Line 1806 of yacc.c  */
#line 11666 "gram.y"
    {
					(yyval.node) = (yyvsp[(1) - (1)].node);
				}
    break;

  case 1748:

/* Line 1806 of yacc.c  */
#line 11670 "gram.y"
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[(1) - (3)].str);
					na->arg = (Expr *) (yyvsp[(3) - (3)].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) na;
				}
    break;

  case 1749:

/* Line 1806 of yacc.c  */
#line 11680 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].typnam)); }
    break;

  case 1750:

/* Line 1806 of yacc.c  */
#line 11681 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].typnam)); }
    break;

  case 1751:

/* Line 1806 of yacc.c  */
#line 11685 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1752:

/* Line 1806 of yacc.c  */
#line 11689 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1753:

/* Line 1806 of yacc.c  */
#line 11693 "gram.y"
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[(1) - (2)]));
				}
    break;

  case 1754:

/* Line 1806 of yacc.c  */
#line 11698 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1755:

/* Line 1806 of yacc.c  */
#line 11699 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1756:

/* Line 1806 of yacc.c  */
#line 11705 "gram.y"
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[(1) - (3)].str), (yylsp[(1) - (3)])), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1757:

/* Line 1806 of yacc.c  */
#line 11708 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1758:

/* Line 1806 of yacc.c  */
#line 11715 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1759:

/* Line 1806 of yacc.c  */
#line 11716 "gram.y"
    { (yyval.str) = "year"; }
    break;

  case 1760:

/* Line 1806 of yacc.c  */
#line 11717 "gram.y"
    { (yyval.str) = "month"; }
    break;

  case 1761:

/* Line 1806 of yacc.c  */
#line 11718 "gram.y"
    { (yyval.str) = "day"; }
    break;

  case 1762:

/* Line 1806 of yacc.c  */
#line 11719 "gram.y"
    { (yyval.str) = "hour"; }
    break;

  case 1763:

/* Line 1806 of yacc.c  */
#line 11720 "gram.y"
    { (yyval.str) = "minute"; }
    break;

  case 1764:

/* Line 1806 of yacc.c  */
#line 11721 "gram.y"
    { (yyval.str) = "second"; }
    break;

  case 1765:

/* Line 1806 of yacc.c  */
#line 11722 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1766:

/* Line 1806 of yacc.c  */
#line 11733 "gram.y"
    {
					(yyval.list) = list_make4((yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].node), (yyvsp[(3) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1767:

/* Line 1806 of yacc.c  */
#line 11737 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1768:

/* Line 1806 of yacc.c  */
#line 11744 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1769:

/* Line 1806 of yacc.c  */
#line 11750 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(3) - (3)].node), (yyvsp[(1) - (3)].node)); }
    break;

  case 1770:

/* Line 1806 of yacc.c  */
#line 11751 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1771:

/* Line 1806 of yacc.c  */
#line 11768 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1772:

/* Line 1806 of yacc.c  */
#line 11772 "gram.y"
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yyvsp[(2) - (3)].node));
				}
    break;

  case 1773:

/* Line 1806 of yacc.c  */
#line 11777 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node));
				}
    break;

  case 1774:

/* Line 1806 of yacc.c  */
#line 11781 "gram.y"
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[(1) - (2)].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[(2) - (2)].node),
												 SystemTypeName("int4"), -1));
				}
    break;

  case 1775:

/* Line 1806 of yacc.c  */
#line 11796 "gram.y"
    {
					(yyval.list) = (yyvsp[(1) - (1)].list);
				}
    break;

  case 1776:

/* Line 1806 of yacc.c  */
#line 11800 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1777:

/* Line 1806 of yacc.c  */
#line 11804 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1778:

/* Line 1806 of yacc.c  */
#line 11807 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1779:

/* Line 1806 of yacc.c  */
#line 11810 "gram.y"
    { (yyval.list) = lappend((yyvsp[(3) - (3)].list), (yyvsp[(1) - (3)].node)); }
    break;

  case 1780:

/* Line 1806 of yacc.c  */
#line 11811 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1781:

/* Line 1806 of yacc.c  */
#line 11812 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1782:

/* Line 1806 of yacc.c  */
#line 11816 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[(1) - (1)].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
    break;

  case 1783:

/* Line 1806 of yacc.c  */
#line 11822 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(2) - (3)].list); }
    break;

  case 1784:

/* Line 1806 of yacc.c  */
#line 11833 "gram.y"
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[(2) - (5)].node);
					c->args = (yyvsp[(3) - (5)].list);
					c->defresult = (Expr *) (yyvsp[(4) - (5)].node);
					c->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 1785:

/* Line 1806 of yacc.c  */
#line 11846 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1786:

/* Line 1806 of yacc.c  */
#line 11847 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1787:

/* Line 1806 of yacc.c  */
#line 11852 "gram.y"
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[(2) - (4)].node);
					w->result = (Expr *) (yyvsp[(4) - (4)].node);
					w->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)w;
				}
    break;

  case 1788:

/* Line 1806 of yacc.c  */
#line 11862 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1789:

/* Line 1806 of yacc.c  */
#line 11863 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1790:

/* Line 1806 of yacc.c  */
#line 11866 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1791:

/* Line 1806 of yacc.c  */
#line 11867 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1792:

/* Line 1806 of yacc.c  */
#line 11871 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (1)].str), NIL, (yylsp[(1) - (1)]), yyscanner);
				}
    break;

  case 1793:

/* Line 1806 of yacc.c  */
#line 11875 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]), yyscanner);
				}
    break;

  case 1794:

/* Line 1806 of yacc.c  */
#line 11882 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(2) - (2)].str));
				}
    break;

  case 1795:

/* Line 1806 of yacc.c  */
#line 11886 "gram.y"
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
    break;

  case 1796:

/* Line 1806 of yacc.c  */
#line 11890 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[(2) - (3)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 1797:

/* Line 1806 of yacc.c  */
#line 11897 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[(2) - (5)].node);
					ai->uidx = (yyvsp[(4) - (5)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 1798:

/* Line 1806 of yacc.c  */
#line 11906 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1799:

/* Line 1806 of yacc.c  */
#line 11907 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1800:

/* Line 1806 of yacc.c  */
#line 11911 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1801:

/* Line 1806 of yacc.c  */
#line 11912 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1804:

/* Line 1806 of yacc.c  */
#line 11927 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].node); }
    break;

  case 1805:

/* Line 1806 of yacc.c  */
#line 11929 "gram.y"
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1806:

/* Line 1806 of yacc.c  */
#line 11937 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1807:

/* Line 1806 of yacc.c  */
#line 11938 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1808:

/* Line 1806 of yacc.c  */
#line 11946 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1809:

/* Line 1806 of yacc.c  */
#line 11957 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1810:

/* Line 1806 of yacc.c  */
#line 11958 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1811:

/* Line 1806 of yacc.c  */
#line 11962 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1812:

/* Line 1806 of yacc.c  */
#line 11978 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(2) - (2)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (2)].node);
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1813:

/* Line 1806 of yacc.c  */
#line 11986 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1814:

/* Line 1806 of yacc.c  */
#line 11994 "gram.y"
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[(1) - (1)]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1815:

/* Line 1806 of yacc.c  */
#line 12015 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1816:

/* Line 1806 of yacc.c  */
#line 12016 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1817:

/* Line 1806 of yacc.c  */
#line 12028 "gram.y"
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1818:

/* Line 1806 of yacc.c  */
#line 12032 "gram.y"
    {
					check_qualified_name((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[(1) - (2)]));
					switch (list_length((yyvsp[(2) - (2)].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[(1) - (2)].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[(2) - (2)].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[(1) - (2)].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[(2) - (2)].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[(2) - (2)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)))),
									 parser_errposition((yylsp[(1) - (2)]))));
							break;
					}
				}
    break;

  case 1819:

/* Line 1806 of yacc.c  */
#line 12059 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1820:

/* Line 1806 of yacc.c  */
#line 12061 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 1821:

/* Line 1806 of yacc.c  */
#line 12065 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1822:

/* Line 1806 of yacc.c  */
#line 12068 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1823:

/* Line 1806 of yacc.c  */
#line 12071 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1824:

/* Line 1806 of yacc.c  */
#line 12073 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1825:

/* Line 1806 of yacc.c  */
#line 12075 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1826:

/* Line 1806 of yacc.c  */
#line 12077 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1827:

/* Line 1806 of yacc.c  */
#line 12088 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1828:

/* Line 1806 of yacc.c  */
#line 12090 "gram.y"
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)),
											 yyscanner);
					}
    break;

  case 1829:

/* Line 1806 of yacc.c  */
#line 12101 "gram.y"
    {
					(yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)]));
				}
    break;

  case 1830:

/* Line 1806 of yacc.c  */
#line 12105 "gram.y"
    {
					(yyval.node) = makeFloatConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1831:

/* Line 1806 of yacc.c  */
#line 12109 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1832:

/* Line 1806 of yacc.c  */
#line 12113 "gram.y"
    {
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1833:

/* Line 1806 of yacc.c  */
#line 12117 "gram.y"
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1834:

/* Line 1806 of yacc.c  */
#line 12126 "gram.y"
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (2)].list));
					t->location = (yylsp[(1) - (2)]);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), t);
				}
    break;

  case 1835:

/* Line 1806 of yacc.c  */
#line 12133 "gram.y"
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (5)].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list in the production to avoid
					 * reduce/reduce conflicts, but we don't actually wish
					 * to allow NamedArgExpr in this context.
					 */
					foreach(lc, (yyvsp[(3) - (5)].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					t->typmods = (yyvsp[(3) - (5)].list);
					t->location = (yylsp[(1) - (5)]);
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (5)].str), (yylsp[(5) - (5)]), t);
				}
    break;

  case 1836:

/* Line 1806 of yacc.c  */
#line 12158 "gram.y"
    {
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), (yyvsp[(1) - (2)].typnam));
				}
    break;

  case 1837:

/* Line 1806 of yacc.c  */
#line 12162 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 1838:

/* Line 1806 of yacc.c  */
#line 12168 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				}
    break;

  case 1839:

/* Line 1806 of yacc.c  */
#line 12185 "gram.y"
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[(1) - (1)]));
				}
    break;

  case 1840:

/* Line 1806 of yacc.c  */
#line 12189 "gram.y"
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[(1) - (1)]));
				}
    break;

  case 1841:

/* Line 1806 of yacc.c  */
#line 12193 "gram.y"
    {
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1842:

/* Line 1806 of yacc.c  */
#line 12198 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1843:

/* Line 1806 of yacc.c  */
#line 12199 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1844:

/* Line 1806 of yacc.c  */
#line 12200 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1845:

/* Line 1806 of yacc.c  */
#line 12202 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1846:

/* Line 1806 of yacc.c  */
#line 12203 "gram.y"
    { (yyval.ival) = + (yyvsp[(2) - (2)].ival); }
    break;

  case 1847:

/* Line 1806 of yacc.c  */
#line 12204 "gram.y"
    { (yyval.ival) = - (yyvsp[(2) - (2)].ival); }
    break;

  case 1848:

/* Line 1806 of yacc.c  */
#line 12220 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1849:

/* Line 1806 of yacc.c  */
#line 12221 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1850:

/* Line 1806 of yacc.c  */
#line 12222 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1851:

/* Line 1806 of yacc.c  */
#line 12227 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1852:

/* Line 1806 of yacc.c  */
#line 12228 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1853:

/* Line 1806 of yacc.c  */
#line 12229 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1854:

/* Line 1806 of yacc.c  */
#line 12234 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1855:

/* Line 1806 of yacc.c  */
#line 12235 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1856:

/* Line 1806 of yacc.c  */
#line 12236 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1857:

/* Line 1806 of yacc.c  */
#line 12237 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1858:

/* Line 1806 of yacc.c  */
#line 12243 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1859:

/* Line 1806 of yacc.c  */
#line 12244 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1860:

/* Line 1806 of yacc.c  */
#line 12245 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1861:

/* Line 1806 of yacc.c  */
#line 12246 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1862:

/* Line 1806 of yacc.c  */
#line 12247 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;



/* Line 1806 of yacc.c  */
#line 38092 "gram.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc, yyscanner);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 12700 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeOverlaps()
 * Create and populate a FuncCall node to support the OVERLAPS operator.
 */
static FuncCall *
makeOverlaps(List *largs, List *rargs, int location, core_yyscan_t yyscanner)
{
	FuncCall *n = makeNode(FuncCall);

	n->funcname = SystemFuncName("overlaps");
	if (list_length(largs) == 1)
		largs = lappend(largs, largs);
	else if (list_length(largs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
				 parser_errposition(location)));
	if (list_length(rargs) == 1)
		rargs = lappend(rargs, rargs);
	else if (list_length(rargs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
				 parser_errposition(location)));
	n->args = list_concat(largs, rargs);
	n->agg_order = NIL;
	n->agg_star = FALSE;
	n->agg_distinct = FALSE;
	n->func_variadic = FALSE;
	n->over = NULL;
	n->location = location;
	return n;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
	{
		char   *newval = (char *) palloc(strlen(oldval) + 2);

		*newval = '-';
		strcpy(newval+1, oldval);
		v->val.str = newval;
	}
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));;
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

/*
 * Must undefine this stuff before including scan.c, since it has different
 * definitions for these macros.
 */
#undef yyerror
#undef yylval
#undef yylloc

#include "scan.c"

