/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (yyin)
				fclose(yyin);
			if (yyout)
				fclose(yyout);

			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
				fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = (name[0] == ':' ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}


/* Line 268 of yacc.c  */
#line 635 "preproc.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     SQL_ALLOCATE = 258,
     SQL_AUTOCOMMIT = 259,
     SQL_BOOL = 260,
     SQL_BREAK = 261,
     SQL_CALL = 262,
     SQL_CARDINALITY = 263,
     SQL_CONNECT = 264,
     SQL_COUNT = 265,
     SQL_DATETIME_INTERVAL_CODE = 266,
     SQL_DATETIME_INTERVAL_PRECISION = 267,
     SQL_DESCRIBE = 268,
     SQL_DESCRIPTOR = 269,
     SQL_DISCONNECT = 270,
     SQL_FOUND = 271,
     SQL_FREE = 272,
     SQL_GET = 273,
     SQL_GO = 274,
     SQL_GOTO = 275,
     SQL_IDENTIFIED = 276,
     SQL_INDICATOR = 277,
     SQL_KEY_MEMBER = 278,
     SQL_LENGTH = 279,
     SQL_LONG = 280,
     SQL_NULLABLE = 281,
     SQL_OCTET_LENGTH = 282,
     SQL_OPEN = 283,
     SQL_OUTPUT = 284,
     SQL_REFERENCE = 285,
     SQL_RETURNED_LENGTH = 286,
     SQL_RETURNED_OCTET_LENGTH = 287,
     SQL_SCALE = 288,
     SQL_SECTION = 289,
     SQL_SHORT = 290,
     SQL_SIGNED = 291,
     SQL_SQL = 292,
     SQL_SQLERROR = 293,
     SQL_SQLPRINT = 294,
     SQL_SQLWARNING = 295,
     SQL_START = 296,
     SQL_STOP = 297,
     SQL_STRUCT = 298,
     SQL_UNSIGNED = 299,
     SQL_VAR = 300,
     SQL_WHENEVER = 301,
     S_ADD = 302,
     S_AND = 303,
     S_ANYTHING = 304,
     S_AUTO = 305,
     S_CONST = 306,
     S_DEC = 307,
     S_DIV = 308,
     S_DOTPOINT = 309,
     S_EQUAL = 310,
     S_EXTERN = 311,
     S_INC = 312,
     S_LSHIFT = 313,
     S_MEMPOINT = 314,
     S_MEMBER = 315,
     S_MOD = 316,
     S_MUL = 317,
     S_NEQUAL = 318,
     S_OR = 319,
     S_REGISTER = 320,
     S_RSHIFT = 321,
     S_STATIC = 322,
     S_SUB = 323,
     S_VOLATILE = 324,
     S_TYPEDEF = 325,
     CSTRING = 326,
     CVARIABLE = 327,
     CPP_LINE = 328,
     IP = 329,
     DOLCONST = 330,
     ECONST = 331,
     NCONST = 332,
     UCONST = 333,
     UIDENT = 334,
     IDENT = 335,
     FCONST = 336,
     SCONST = 337,
     BCONST = 338,
     XCONST = 339,
     Op = 340,
     ICONST = 341,
     PARAM = 342,
     TYPECAST = 343,
     DOT_DOT = 344,
     COLON_EQUALS = 345,
     ABORT_P = 346,
     ABSOLUTE_P = 347,
     ACCESS = 348,
     ACTION = 349,
     ADD_P = 350,
     ADMIN = 351,
     AFTER = 352,
     AGGREGATE = 353,
     ALL = 354,
     ALSO = 355,
     ALTER = 356,
     ALWAYS = 357,
     ANALYSE = 358,
     ANALYZE = 359,
     AND = 360,
     ANY = 361,
     ARRAY = 362,
     AS = 363,
     ASC = 364,
     ASSERTION = 365,
     ASSIGNMENT = 366,
     ASYMMETRIC = 367,
     AT = 368,
     ATTRIBUTE = 369,
     AUTHORIZATION = 370,
     BACKWARD = 371,
     BEFORE = 372,
     BEGIN_P = 373,
     BETWEEN = 374,
     BIGINT = 375,
     BINARY = 376,
     BIT = 377,
     BOOLEAN_P = 378,
     BOTH = 379,
     BY = 380,
     CACHE = 381,
     CALLED = 382,
     CASCADE = 383,
     CASCADED = 384,
     CASE = 385,
     CAST = 386,
     CATALOG_P = 387,
     CHAIN = 388,
     CHAR_P = 389,
     CHARACTER = 390,
     CHARACTERISTICS = 391,
     CHECK = 392,
     CHECKPOINT = 393,
     CLASS = 394,
     CLOSE = 395,
     CLUSTER = 396,
     COALESCE = 397,
     COLLATE = 398,
     COLLATION = 399,
     COLUMN = 400,
     COMMENT = 401,
     COMMENTS = 402,
     COMMIT = 403,
     COMMITTED = 404,
     CONCURRENTLY = 405,
     CONFIGURATION = 406,
     CONNECTION = 407,
     CONSTRAINT = 408,
     CONSTRAINTS = 409,
     CONTENT_P = 410,
     CONTINUE_P = 411,
     CONVERSION_P = 412,
     COPY = 413,
     COST = 414,
     CREATE = 415,
     CROSS = 416,
     CSV = 417,
     CURRENT_P = 418,
     CURRENT_CATALOG = 419,
     CURRENT_DATE = 420,
     CURRENT_ROLE = 421,
     CURRENT_SCHEMA = 422,
     CURRENT_TIME = 423,
     CURRENT_TIMESTAMP = 424,
     CURRENT_USER = 425,
     CURSOR = 426,
     CYCLE = 427,
     DATA_P = 428,
     DATABASE = 429,
     DAY_P = 430,
     DEALLOCATE = 431,
     DEC = 432,
     DECIMAL_P = 433,
     DECLARE = 434,
     DEFAULT = 435,
     DEFAULTS = 436,
     DEFERRABLE = 437,
     DEFERRED = 438,
     DEFINER = 439,
     DELETE_P = 440,
     DELIMITER = 441,
     DELIMITERS = 442,
     DESC = 443,
     DICTIONARY = 444,
     DISABLE_P = 445,
     DISCARD = 446,
     DISTINCT = 447,
     DO = 448,
     DOCUMENT_P = 449,
     DOMAIN_P = 450,
     DOUBLE_P = 451,
     DROP = 452,
     EACH = 453,
     ELSE = 454,
     ENABLE_P = 455,
     ENCODING = 456,
     ENCRYPTED = 457,
     END_P = 458,
     ENUM_P = 459,
     ESCAPE = 460,
     EXCEPT = 461,
     EXCLUDE = 462,
     EXCLUDING = 463,
     EXCLUSIVE = 464,
     EXECUTE = 465,
     EXISTS = 466,
     EXPLAIN = 467,
     EXTENSION = 468,
     EXTERNAL = 469,
     EXTRACT = 470,
     FALSE_P = 471,
     FAMILY = 472,
     FETCH = 473,
     FIRST_P = 474,
     FLOAT_P = 475,
     FOLLOWING = 476,
     FOR = 477,
     FORCE = 478,
     FOREIGN = 479,
     FORWARD = 480,
     FREEZE = 481,
     FROM = 482,
     FULL = 483,
     FUNCTION = 484,
     FUNCTIONS = 485,
     GLOBAL = 486,
     GRANT = 487,
     GRANTED = 488,
     GREATEST = 489,
     GROUP_P = 490,
     HANDLER = 491,
     HAVING = 492,
     HEADER_P = 493,
     HOLD = 494,
     HOUR_P = 495,
     IDENTITY_P = 496,
     IF_P = 497,
     ILIKE = 498,
     IMMEDIATE = 499,
     IMMUTABLE = 500,
     IMPLICIT_P = 501,
     IN_P = 502,
     INCLUDING = 503,
     INCREMENT = 504,
     INDEX = 505,
     INDEXES = 506,
     INHERIT = 507,
     INHERITS = 508,
     INITIALLY = 509,
     INLINE_P = 510,
     INNER_P = 511,
     INOUT = 512,
     INPUT_P = 513,
     INSENSITIVE = 514,
     INSERT = 515,
     INSTEAD = 516,
     INT_P = 517,
     INTEGER = 518,
     INTERSECT = 519,
     INTERVAL = 520,
     INTO = 521,
     INVOKER = 522,
     IS = 523,
     ISNULL = 524,
     ISOLATION = 525,
     JOIN = 526,
     KEY = 527,
     LABEL = 528,
     LANGUAGE = 529,
     LARGE_P = 530,
     LAST_P = 531,
     LC_COLLATE_P = 532,
     LC_CTYPE_P = 533,
     LEADING = 534,
     LEAKPROOF = 535,
     LEAST = 536,
     LEFT = 537,
     LEVEL = 538,
     LIKE = 539,
     LIMIT = 540,
     LISTEN = 541,
     LOAD = 542,
     LOCAL = 543,
     LOCALTIME = 544,
     LOCALTIMESTAMP = 545,
     LOCATION = 546,
     LOCK_P = 547,
     MAPPING = 548,
     MATCH = 549,
     MAXVALUE = 550,
     MINUTE_P = 551,
     MINVALUE = 552,
     MODE = 553,
     MONTH_P = 554,
     MOVE = 555,
     NAME_P = 556,
     NAMES = 557,
     NATIONAL = 558,
     NATURAL = 559,
     NCHAR = 560,
     NEXT = 561,
     NO = 562,
     NONE = 563,
     NOT = 564,
     NOTHING = 565,
     NOTIFY = 566,
     NOTNULL = 567,
     NOWAIT = 568,
     NULL_P = 569,
     NULLIF = 570,
     NULLS_P = 571,
     NUMERIC = 572,
     OBJECT_P = 573,
     OF = 574,
     OFF = 575,
     OFFSET = 576,
     OIDS = 577,
     ON = 578,
     ONLY = 579,
     OPERATOR = 580,
     OPTION = 581,
     OPTIONS = 582,
     OR = 583,
     ORDER = 584,
     OUT_P = 585,
     OUTER_P = 586,
     OVER = 587,
     OVERLAPS = 588,
     OVERLAY = 589,
     OWNED = 590,
     OWNER = 591,
     PARSER = 592,
     PARTIAL = 593,
     PARTITION = 594,
     PASSING = 595,
     PASSWORD = 596,
     PLACING = 597,
     PLANS = 598,
     POSITION = 599,
     PRECEDING = 600,
     PRECISION = 601,
     PRESERVE = 602,
     PREPARE = 603,
     PREPARED = 604,
     PRIMARY = 605,
     PRIOR = 606,
     PRIVILEGES = 607,
     PROCEDURAL = 608,
     PROCEDURE = 609,
     QUOTE = 610,
     RANGE = 611,
     READ = 612,
     REAL = 613,
     REASSIGN = 614,
     RECHECK = 615,
     RECURSIVE = 616,
     REF = 617,
     REFERENCES = 618,
     REINDEX = 619,
     RELATIVE_P = 620,
     RELEASE = 621,
     RENAME = 622,
     REPEATABLE = 623,
     REPLACE = 624,
     REPLICA = 625,
     RESET = 626,
     RESTART = 627,
     RESTRICT = 628,
     RETURNING = 629,
     RETURNS = 630,
     REVOKE = 631,
     RIGHT = 632,
     ROLE = 633,
     ROLLBACK = 634,
     ROW = 635,
     ROWS = 636,
     RULE = 637,
     SAVEPOINT = 638,
     SCHEMA = 639,
     SCROLL = 640,
     SEARCH = 641,
     SECOND_P = 642,
     SECURITY = 643,
     SELECT = 644,
     SEQUENCE = 645,
     SEQUENCES = 646,
     SERIALIZABLE = 647,
     SERVER = 648,
     SESSION = 649,
     SESSION_USER = 650,
     SET = 651,
     SETOF = 652,
     SHARE = 653,
     SHOW = 654,
     SIMILAR = 655,
     SIMPLE = 656,
     SMALLINT = 657,
     SNAPSHOT = 658,
     SOME = 659,
     STABLE = 660,
     STANDALONE_P = 661,
     START = 662,
     STATEMENT = 663,
     STATISTICS = 664,
     STDIN = 665,
     STDOUT = 666,
     STORAGE = 667,
     STRICT_P = 668,
     STRIP_P = 669,
     SUBSTRING = 670,
     SYMMETRIC = 671,
     SYSID = 672,
     SYSTEM_P = 673,
     TABLE = 674,
     TABLES = 675,
     TABLESPACE = 676,
     TEMP = 677,
     TEMPLATE = 678,
     TEMPORARY = 679,
     TEXT_P = 680,
     THEN = 681,
     TIME = 682,
     TIMESTAMP = 683,
     TO = 684,
     TRAILING = 685,
     TRANSACTION = 686,
     TREAT = 687,
     TRIGGER = 688,
     TRIM = 689,
     TRUE_P = 690,
     TRUNCATE = 691,
     TRUSTED = 692,
     TYPE_P = 693,
     TYPES_P = 694,
     UNBOUNDED = 695,
     UNCOMMITTED = 696,
     UNENCRYPTED = 697,
     UNION = 698,
     UNIQUE = 699,
     UNKNOWN = 700,
     UNLISTEN = 701,
     UNLOGGED = 702,
     UNTIL = 703,
     UPDATE = 704,
     USER = 705,
     USING = 706,
     VACUUM = 707,
     VALID = 708,
     VALIDATE = 709,
     VALIDATOR = 710,
     VALUE_P = 711,
     VALUES = 712,
     VARCHAR = 713,
     VARIADIC = 714,
     VARYING = 715,
     VERBOSE = 716,
     VERSION_P = 717,
     VIEW = 718,
     VOLATILE = 719,
     WHEN = 720,
     WHERE = 721,
     WHITESPACE_P = 722,
     WINDOW = 723,
     WITH = 724,
     WITHOUT = 725,
     WORK = 726,
     WRAPPER = 727,
     WRITE = 728,
     XML_P = 729,
     XMLATTRIBUTES = 730,
     XMLCONCAT = 731,
     XMLELEMENT = 732,
     XMLEXISTS = 733,
     XMLFOREST = 734,
     XMLPARSE = 735,
     XMLPI = 736,
     XMLROOT = 737,
     XMLSERIALIZE = 738,
     YEAR_P = 739,
     YES_P = 740,
     ZONE = 741,
     NULLS_FIRST = 742,
     NULLS_LAST = 743,
     WITH_TIME = 744,
     POSTFIXOP = 745,
     UMINUS = 746
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 564 "preproc.y"

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;



/* Line 293 of yacc.c  */
#line 1179 "preproc.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 1204 "preproc.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   105150

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  511
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  687
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2733
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4948

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   746

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   498,     2,     2,
     503,   504,   496,   494,   506,   495,   505,   497,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   508,   507,
     491,   490,   492,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   501,     2,   502,   499,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   509,     2,   510,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   493,   500
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    73,    75,    77,
      79,    81,    83,    85,    87,    89,    91,    93,    95,    97,
      99,   101,   103,   105,   107,   109,   111,   113,   115,   117,
     119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   151,   153,   155,   157,
     159,   161,   163,   165,   167,   169,   171,   173,   175,   177,
     179,   181,   183,   185,   187,   189,   191,   193,   195,   197,
     199,   201,   203,   205,   207,   209,   211,   213,   215,   217,
     219,   221,   223,   225,   227,   229,   231,   233,   235,   237,
     239,   241,   243,   245,   247,   249,   251,   253,   255,   257,
     259,   261,   263,   264,   270,   272,   273,   276,   277,   280,
     281,   284,   287,   291,   295,   297,   301,   305,   308,   310,
     312,   315,   318,   321,   325,   329,   335,   341,   342,   346,
     352,   358,   363,   367,   373,   377,   383,   389,   396,   398,
     400,   404,   410,   417,   422,   424,   425,   428,   429,   431,
     433,   435,   437,   439,   441,   444,   448,   452,   455,   461,
     463,   467,   471,   475,   479,   483,   487,   490,   493,   496,
     499,   503,   507,   511,   515,   517,   521,   523,   527,   529,
     531,   534,   537,   540,   542,   544,   546,   548,   550,   552,
     554,   558,   565,   567,   569,   571,   573,   575,   576,   578,
     580,   583,   587,   592,   596,   599,   602,   604,   607,   609,
     613,   618,   624,   629,   632,   637,   639,   641,   643,   645,
     647,   650,   653,   656,   659,   664,   671,   676,   683,   688,
     695,   700,   707,   709,   713,   716,   720,   725,   732,   739,
     746,   752,   758,   765,   772,   777,   786,   791,   794,   798,
     805,   810,   814,   818,   822,   826,   830,   835,   840,   844,
     848,   852,   856,   860,   864,   869,   874,   878,   881,   885,
     888,   891,   895,   899,   902,   905,   907,   911,   914,   916,
     918,   919,   922,   923,   926,   927,   931,   934,   935,   937,
     941,   945,   947,   953,   957,   962,   964,   968,   973,   980,
     985,   994,   997,  1000,  1011,  1018,  1020,  1022,  1024,  1026,
    1028,  1030,  1034,  1037,  1038,  1040,  1042,  1046,  1050,  1052,
    1054,  1058,  1062,  1066,  1070,  1075,  1078,  1080,  1081,  1084,
    1085,  1089,  1090,  1092,  1093,  1095,  1099,  1102,  1104,  1106,
    1108,  1112,  1113,  1115,  1119,  1121,  1133,  1148,  1159,  1173,
    1175,  1177,  1180,  1183,  1186,  1189,  1191,  1192,  1194,  1195,
    1199,  1200,  1202,  1206,  1208,  1212,  1214,  1216,  1218,  1220,
    1222,  1227,  1232,  1235,  1236,  1240,  1242,  1244,  1247,  1250,
    1252,  1256,  1261,  1267,  1270,  1276,  1278,  1281,  1284,  1287,
    1291,  1295,  1299,  1300,  1302,  1304,  1306,  1308,  1310,  1312,
    1316,  1318,  1324,  1332,  1336,  1345,  1350,  1360,  1372,  1375,
    1376,  1380,  1381,  1383,  1387,  1389,  1392,  1395,  1398,  1399,
    1401,  1405,  1409,  1416,  1421,  1422,  1424,  1426,  1429,  1432,
    1433,  1437,  1441,  1444,  1446,  1448,  1451,  1454,  1459,  1460,
    1463,  1466,  1469,  1470,  1474,  1479,  1484,  1485,  1488,  1489,
    1494,  1495,  1499,  1505,  1508,  1512,  1513,  1519,  1524,  1531,
    1533,  1534,  1536,  1539,  1542,  1544,  1547,  1551,  1554,  1557,
    1560,  1563,  1567,  1571,  1573,  1577,  1579,  1580,  1582,  1585,
    1587,  1589,  1593,  1600,  1611,  1613,  1614,  1616,  1619,  1622,
    1623,  1626,  1629,  1631,  1632,  1638,  1646,  1648,  1649,  1656,
    1659,  1660,  1664,  1670,  1676,  1685,  1688,  1689,  1692,  1695,
    1698,  1704,  1707,  1708,  1711,  1719,  1730,  1737,  1744,  1751,
    1758,  1766,  1774,  1784,  1794,  1801,  1808,  1817,  1826,  1835,
    1844,  1851,  1858,  1866,  1875,  1882,  1889,  1897,  1900,  1903,
    1906,  1909,  1911,  1914,  1916,  1917,  1924,  1933,  1941,  1948,
    1953,  1954,  1956,  1960,  1965,  1967,  1971,  1973,  1976,  1979,
    1982,  1985,  1987,  1989,  2000,  2003,  2004,  2007,  2010,  2012,
    2013,  2018,  2025,  2031,  2036,  2041,  2050,  2062,  2066,  2069,
    2071,  2075,  2077,  2083,  2091,  2100,  2102,  2104,  2106,  2114,
    2124,  2133,  2149,  2170,  2172,  2174,  2177,  2179,  2183,  2185,
    2187,  2189,  2193,  2195,  2199,  2200,  2202,  2203,  2205,  2207,
    2212,  2213,  2215,  2219,  2220,  2222,  2224,  2226,  2228,  2231,
    2232,  2233,  2236,  2239,  2241,  2244,  2247,  2250,  2253,  2260,
    2269,  2278,  2283,  2289,  2294,  2299,  2304,  2308,  2316,  2325,
    2332,  2339,  2346,  2353,  2360,  2365,  2371,  2375,  2377,  2381,
    2385,  2387,  2389,  2391,  2393,  2395,  2397,  2401,  2405,  2409,
    2411,  2415,  2419,  2421,  2422,  2424,  2428,  2435,  2444,  2453,
    2467,  2469,  2473,  2479,  2486,  2491,  2499,  2502,  2504,  2505,
    2508,  2509,  2512,  2517,  2518,  2520,  2521,  2528,  2537,  2546,
    2548,  2552,  2558,  2564,  2572,  2582,  2590,  2600,  2606,  2613,
    2620,  2625,  2631,  2639,  2641,  2643,  2645,  2647,  2650,  2652,
    2654,  2656,  2658,  2660,  2662,  2666,  2670,  2674,  2678,  2680,
    2684,  2686,  2689,  2692,  2696,  2702,  2705,  2708,  2709,  2716,
    2724,  2732,  2740,  2749,  2758,  2765,  2774,  2784,  2794,  2802,
    2813,  2821,  2830,  2839,  2848,  2857,  2859,  2861,  2863,  2865,
    2867,  2869,  2871,  2873,  2875,  2877,  2879,  2881,  2883,  2885,
    2888,  2890,  2894,  2896,  2898,  2907,  2917,  2927,  2937,  2947,
    2950,  2951,  2953,  2955,  2958,  2960,  2962,  2964,  2966,  2968,
    2970,  2972,  2974,  2976,  2978,  2981,  2984,  2988,  2993,  2999,
    3004,  3010,  3014,  3019,  3023,  3028,  3030,  3033,  3037,  3041,
    3045,  3049,  3054,  3059,  3063,  3067,  3072,  3077,  3082,  3087,
    3089,  3091,  3093,  3094,  3102,  3110,  3121,  3123,  3125,  3128,
    3133,  3139,  3141,  3145,  3148,  3151,  3154,  3157,  3159,  3162,
    3165,  3170,  3174,  3177,  3180,  3183,  3186,  3190,  3193,  3196,
    3199,  3205,  3211,  3217,  3219,  3223,  3225,  3228,  3232,  3233,
    3235,  3239,  3242,  3249,  3256,  3266,  3270,  3271,  3275,  3276,
    3282,  3285,  3286,  3290,  3294,  3298,  3306,  3314,  3325,  3327,
    3329,  3331,  3333,  3348,  3350,  3351,  3353,  3354,  3356,  3357,
    3360,  3361,  3363,  3367,  3373,  3379,  3387,  3390,  3391,  3393,
    3396,  3397,  3399,  3401,  3402,  3404,  3406,  3407,  3417,  3430,
    3438,  3441,  3442,  3446,  3449,  3451,  3455,  3459,  3462,  3464,
    3468,  3472,  3476,  3479,  3482,  3484,  3486,  3488,  3490,  3493,
    3495,  3497,  3499,  3501,  3506,  3512,  3514,  3518,  3522,  3524,
    3527,  3532,  3538,  3540,  3542,  3544,  3546,  3550,  3554,  3557,
    3560,  3562,  3565,  3568,  3571,  3573,  3576,  3579,  3581,  3583,
    3585,  3589,  3592,  3593,  3596,  3598,  3602,  3608,  3610,  3613,
    3615,  3616,  3622,  3630,  3636,  3644,  3650,  3658,  3662,  3668,
    3674,  3680,  3682,  3686,  3689,  3691,  3694,  3696,  3699,  3711,
    3722,  3733,  3736,  3739,  3740,  3750,  3753,  3754,  3759,  3764,
    3769,  3771,  3773,  3775,  3776,  3784,  3791,  3798,  3805,  3812,
    3821,  3830,  3837,  3844,  3852,  3862,  3872,  3879,  3886,  3893,
    3902,  3909,  3918,  3925,  3934,  3941,  3950,  3958,  3968,  3977,
    3988,  3997,  4007,  4019,  4028,  4035,  4042,  4049,  4055,  4061,
    4070,  4079,  4088,  4097,  4104,  4114,  4116,  4117,  4120,  4121,
    4129,  4136,  4143,  4150,  4157,  4164,  4172,  4182,  4192,  4199,
    4208,  4217,  4226,  4235,  4244,  4251,  4260,  4267,  4276,  4284,
    4294,  4301,  4309,  4316,  4323,  4330,  4337,  4344,  4352,  4360,
    4368,  4378,  4388,  4395,  4402,  4409,  4418,  4427,  4436,  4443,
    4457,  4459,  4461,  4465,  4469,  4471,  4473,  4475,  4477,  4479,
    4481,  4483,  4484,  4486,  4488,  4490,  4492,  4494,  4496,  4497,
    4504,  4513,  4517,  4520,  4521,  4524,  4527,  4530,  4533,  4537,
    4541,  4544,  4547,  4550,  4553,  4557,  4560,  4566,  4571,  4575,
    4579,  4583,  4585,  4587,  4588,  4592,  4595,  4598,  4600,  4603,
    4605,  4609,  4612,  4614,  4615,  4625,  4637,  4641,  4646,  4651,
    4652,  4655,  4661,  4664,  4665,  4669,  4673,  4677,  4681,  4685,
    4689,  4693,  4697,  4701,  4705,  4709,  4713,  4717,  4722,  4726,
    4730,  4732,  4733,  4739,  4746,  4751,  4754,  4755,  4760,  4764,
    4770,  4777,  4782,  4789,  4796,  4802,  4810,  4820,  4827,  4829,
    4830,  4837,  4849,  4861,  4873,  4887,  4897,  4909,  4920,  4925,
    4928,  4934,  4937,  4938,  4943,  4949,  4955,  4960,  4967,  4969,
    4973,  4975,  4977,  4979,  4981,  4984,  4989,  4991,  4993,  4995,
    4996,  4998,  4999,  5001,  5002,  5006,  5007,  5010,  5015,  5019,
    5025,  5027,  5029,  5031,  5033,  5035,  5037,  5039,  5041,  5045,
    5048,  5050,  5052,  5054,  5056,  5057,  5063,  5068,  5072,  5073,
    5075,  5077,  5079,  5081,  5086,  5096,  5100,  5101,  5108,  5110,
    5115,  5118,  5120,  5124,  5127,  5131,  5132,  5140,  5143,  5144,
    5150,  5154,  5155,  5158,  5161,  5164,  5168,  5170,  5174,  5176,
    5179,  5181,  5182,  5191,  5193,  5197,  5199,  5201,  5205,  5211,
    5214,  5216,  5220,  5228,  5230,  5232,  5233,  5237,  5240,  5243,
    5246,  5247,  5250,  5253,  5255,  5257,  5261,  5265,  5267,  5270,
    5275,  5280,  5283,  5287,  5293,  5299,  5301,  5303,  5313,  5315,
    5318,  5323,  5328,  5333,  5336,  5340,  5342,  5346,  5353,  5355,
    5356,  5359,  5361,  5362,  5366,  5370,  5375,  5380,  5385,  5390,
    5394,  5397,  5399,  5401,  5402,  5404,  5406,  5407,  5409,  5415,
    5417,  5418,  5420,  5421,  5425,  5427,  5431,  5436,  5440,  5443,
    5446,  5448,  5450,  5452,  5453,  5456,  5461,  5467,  5470,  5474,
    5476,  5478,  5480,  5482,  5486,  5487,  5489,  5491,  5493,  5495,
    5497,  5501,  5502,  5505,  5506,  5508,  5512,  5514,  5515,  5517,
    5520,  5525,  5530,  5533,  5534,  5537,  5541,  5544,  5545,  5547,
    5551,  5553,  5556,  5558,  5561,  5567,  5574,  5580,  5582,  5585,
    5587,  5592,  5596,  5601,  5607,  5612,  5618,  5623,  5629,  5632,
    5637,  5639,  5642,  5645,  5648,  5650,  5652,  5653,  5658,  5661,
    5663,  5666,  5669,  5674,  5676,  5680,  5682,  5685,  5689,  5691,
    5694,  5695,  5698,  5703,  5704,  5706,  5707,  5709,  5713,  5717,
    5720,  5724,  5730,  5737,  5740,  5744,  5748,  5753,  5754,  5756,
    5758,  5760,  5762,  5764,  5767,  5773,  5775,  5777,  5779,  5781,
    5784,  5788,  5792,  5793,  5795,  5797,  5799,  5801,  5803,  5806,
    5809,  5812,  5815,  5818,  5820,  5824,  5825,  5827,  5829,  5831,
    5833,  5839,  5842,  5844,  5846,  5848,  5850,  5856,  5859,  5862,
    5865,  5867,  5871,  5875,  5878,  5880,  5881,  5885,  5886,  5892,
    5895,  5901,  5904,  5906,  5909,  5913,  5914,  5916,  5918,  5920,
    5922,  5924,  5926,  5930,  5934,  5938,  5942,  5946,  5950,  5954,
    5955,  5957,  5962,  5964,  5968,  5972,  5978,  5981,  5984,  5988,
    5992,  5996,  6000,  6004,  6008,  6012,  6016,  6020,  6024,  6027,
    6030,  6034,  6038,  6041,  6045,  6051,  6056,  6063,  6067,  6073,
    6078,  6085,  6090,  6097,  6103,  6111,  6115,  6118,  6123,  6126,
    6130,  6134,  6139,  6143,  6148,  6152,  6157,  6163,  6170,  6177,
    6185,  6192,  6200,  6207,  6215,  6219,  6224,  6229,  6236,  6239,
    6243,  6248,  6250,  6254,  6257,  6260,  6264,  6268,  6272,  6276,
    6280,  6284,  6288,  6292,  6296,  6300,  6303,  6306,  6312,  6319,
    6326,  6334,  6338,  6343,  6345,  6347,  6350,  6355,  6357,  6359,
    6361,  6364,  6367,  6370,  6373,  6375,  6380,  6386,  6393,  6402,
    6409,  6417,  6425,  6431,  6437,  6439,  6441,  6446,  6448,  6453,
    6455,  6460,  6462,  6467,  6469,  6471,  6473,  6475,  6477,  6479,
    6486,  6491,  6496,  6501,  6506,  6513,  6519,  6525,  6531,  6536,
    6543,  6548,  6553,  6558,  6563,  6569,  6577,  6585,  6595,  6601,
    6606,  6613,  6619,  6627,  6635,  6643,  6646,  6650,  6654,  6658,
    6663,  6664,  6669,  6671,  6675,  6679,  6681,  6683,  6685,  6688,
    6691,  6692,  6695,  6700,  6705,  6712,  6715,  6716,  6718,  6722,
    6726,  6729,  6732,  6733,  6740,  6742,  6743,  6747,  6748,  6751,
    6754,  6755,  6757,  6762,  6765,  6768,  6771,  6774,  6777,  6782,
    6786,  6792,  6794,  6796,  6798,  6800,  6802,  6804,  6806,  6808,
    6810,  6812,  6814,  6816,  6818,  6820,  6822,  6827,  6829,  6834,
    6836,  6841,  6843,  6846,  6848,  6851,  6853,  6857,  6859,  6863,
    6865,  6869,  6871,  6875,  6879,  6883,  6886,  6888,  6892,  6896,
    6897,  6899,  6901,  6903,  6905,  6907,  6909,  6911,  6913,  6918,
    6922,  6925,  6929,  6930,  6934,  6938,  6941,  6944,  6946,  6947,
    6950,  6953,  6957,  6960,  6962,  6964,  6968,  6974,  6976,  6979,
    6984,  6987,  6988,  6990,  6991,  6993,  6996,  6999,  7002,  7006,
    7012,  7014,  7017,  7018,  7021,  7023,  7024,  7026,  7028,  7030,
    7034,  7038,  7040,  7044,  7048,  7051,  7053,  7055,  7057,  7061,
    7063,  7066,  7068,  7072,  7074,  7076,  7078,  7080,  7082,  7084,
    7086,  7089,  7091,  7093,  7095,  7097,  7099,  7102,  7108,  7111,
    7115,  7122,  7124,  7126,  7128,  7130,  7132,  7134,  7136,  7138,
    7140,  7143,  7146,  7148,  7150,  7152,  7154,  7156,  7158,  7160,
    7162,  7164,  7166,  7168,  7170,  7172,  7174,  7176,  7178,  7180,
    7182,  7184,  7186,  7188,  7190,  7192,  7194,  7196,  7198,  7200,
    7202,  7204,  7206,  7208,  7210,  7212,  7214,  7216,  7218,  7220,
    7222,  7224,  7226,  7228,  7230,  7232,  7234,  7236,  7238,  7240,
    7242,  7244,  7246,  7248,  7250,  7252,  7254,  7256,  7258,  7260,
    7262,  7264,  7266,  7268,  7270,  7272,  7274,  7276,  7278,  7280,
    7282,  7284,  7286,  7288,  7290,  7292,  7294,  7296,  7298,  7300,
    7302,  7304,  7306,  7308,  7310,  7312,  7314,  7316,  7318,  7320,
    7322,  7324,  7326,  7328,  7330,  7332,  7334,  7336,  7338,  7340,
    7342,  7344,  7346,  7348,  7350,  7352,  7354,  7356,  7358,  7360,
    7362,  7364,  7366,  7368,  7370,  7372,  7374,  7376,  7378,  7380,
    7382,  7384,  7386,  7388,  7390,  7392,  7394,  7396,  7398,  7400,
    7402,  7404,  7406,  7408,  7410,  7412,  7414,  7416,  7418,  7420,
    7422,  7424,  7426,  7428,  7430,  7432,  7434,  7436,  7438,  7440,
    7442,  7444,  7446,  7448,  7450,  7452,  7454,  7456,  7458,  7460,
    7462,  7464,  7466,  7468,  7470,  7472,  7474,  7476,  7478,  7480,
    7482,  7484,  7486,  7488,  7490,  7492,  7494,  7496,  7498,  7500,
    7502,  7504,  7506,  7508,  7510,  7512,  7514,  7516,  7518,  7520,
    7522,  7524,  7526,  7528,  7530,  7532,  7534,  7536,  7538,  7540,
    7542,  7544,  7546,  7548,  7550,  7552,  7554,  7556,  7558,  7560,
    7562,  7564,  7566,  7568,  7570,  7572,  7574,  7576,  7578,  7580,
    7582,  7584,  7586,  7588,  7590,  7592,  7594,  7596,  7598,  7600,
    7602,  7604,  7606,  7608,  7610,  7612,  7614,  7616,  7618,  7620,
    7622,  7624,  7626,  7628,  7630,  7632,  7634,  7636,  7638,  7640,
    7642,  7644,  7646,  7648,  7650,  7652,  7654,  7656,  7658,  7660,
    7662,  7664,  7666,  7668,  7670,  7672,  7674,  7676,  7678,  7680,
    7682,  7684,  7686,  7688,  7690,  7692,  7694,  7696,  7698,  7700,
    7702,  7704,  7706,  7708,  7710,  7712,  7714,  7716,  7718,  7720,
    7722,  7724,  7726,  7728,  7730,  7732,  7734,  7736,  7738,  7740,
    7742,  7744,  7746,  7748,  7750,  7752,  7754,  7756,  7758,  7760,
    7762,  7764,  7766,  7768,  7770,  7772,  7774,  7776,  7778,  7780,
    7782,  7784,  7786,  7788,  7790,  7792,  7794,  7796,  7798,  7800,
    7802,  7804,  7806,  7808,  7810,  7812,  7814,  7816,  7818,  7820,
    7822,  7824,  7826,  7828,  7830,  7832,  7834,  7836,  7838,  7840,
    7842,  7844,  7846,  7848,  7850,  7852,  7854,  7856,  7858,  7860,
    7862,  7864,  7866,  7868,  7870,  7872,  7874,  7876,  7878,  7880,
    7882,  7884,  7886,  7888,  7890,  7892,  7894,  7896,  7898,  7900,
    7902,  7904,  7906,  7908,  7910,  7912,  7914,  7916,  7918,  7919,
    7922,  7927,  7931,  7934,  7936,  7938,  7940,  7942,  7944,  7945,
    7954,  7957,  7963,  7967,  7970,  7973,  7977,  7985,  7987,  7989,
    7991,  7992,  7995,  7998,  8000,  8001,  8003,  8007,  8009,  8012,
    8013,  8016,  8017,  8020,  8021,  8023,  8027,  8032,  8036,  8038,
    8040,  8042,  8044,  8047,  8048,  8051,  8056,  8057,  8060,  8063,
    8066,  8068,  8070,  8078,  8082,  8084,  8086,  8088,  8090,  8093,
    8094,  8096,  8100,  8104,  8108,  8112,  8113,  8118,  8124,  8130,
    8131,  8133,  8135,  8137,  8140,  8143,  8145,  8148,  8149,  8157,
    8158,  8164,  8165,  8170,  8173,  8176,  8177,  8180,  8182,  8184,
    8186,  8188,  8190,  8192,  8194,  8196,  8198,  8200,  8202,  8208,
    8211,  8213,  8217,  8220,  8223,  8227,  8228,  8234,  8236,  8237,
    8243,  8246,  8249,  8251,  8253,  8255,  8258,  8261,  8265,  8267,
    8270,  8273,  8277,  8281,  8286,  8289,  8291,  8294,  8296,  8298,
    8301,  8304,  8308,  8310,  8312,  8314,  8316,  8317,  8319,  8323,
    8329,  8330,  8333,  8334,  8336,  8339,  8343,  8346,  8348,  8350,
    8352,  8353,  8355,  8357,  8359,  8361,  8363,  8366,  8369,  8373,
    8374,  8376,  8379,  8381,  8386,  8390,  8395,  8399,  8402,  8404,
    8408,  8410,  8412,  8414,  8416,  8419,  8422,  8424,  8427,  8430,
    8432,  8434,  8436,  8441,  8446,  8451,  8456,  8461,  8463,  8464,
    8468,  8472,  8477,  8479,  8483,  8487,  8492,  8494,  8498,  8502,
    8504,  8506,  8508,  8515,  8517,  8521,  8525,  8532,  8534,  8538,
    8542,  8544,  8546,  8549,  8552,  8554,  8556,  8558,  8560,  8562,
    8564,  8566,  8568,  8570,  8572,  8574,  8576,  8578,  8580,  8582,
    8584,  8589,  8594,  8596,  8598,  8603,  8608,  8612,  8613,  8621,
    8623,  8624,  8625,  8633,  8637,  8642,  8646,  8648,  8650,  8652,
    8655,  8659,  8665,  8668,  8674,  8677,  8679,  8681,  8683,  8685,
    8687,  8689,  8691,  8693,  8695,  8697,  8699,  8701,  8703,  8705,
    8707,  8709,  8711,  8713,  8715,  8717,  8719,  8721,  8723,  8725,
    8727,  8729,  8731,  8733,  8735,  8737,  8739,  8741,  8743,  8745,
    8747,  8749,  8751,  8753,  8755,  8757,  8759,  8761,  8763,  8765,
    8767,  8769,  8771,  8773,  8775,  8777,  8779,  8781,  8783,  8785,
    8787,  8789,  8791,  8793,  8795,  8797,  8799,  8801,  8803,  8805,
    8807,  8809,  8811,  8813,  8815,  8817,  8819,  8821,  8823,  8825,
    8827,  8829,  8831,  8833,  8835,  8837,  8839,  8841,  8843,  8845,
    8847,  8849,  8851,  8853,  8855,  8857,  8859,  8861,  8863,  8865,
    8867,  8869,  8871,  8873,  8877,  8879,  8880,  8882,  8885,  8887,
    8890,  8892,  8894,  8896,  8899,  8902,  8904,  8906,  8908,  8910,
    8912,  8914,  8916,  8918,  8920,  8922,  8924,  8926,  8928,  8930,
    8932,  8934,  8937,  8941,  8943,  8946,  8948,  8952,  8954,  8958,
    8960,  8962,  8964,  8966,  8968,  8970,  8972,  8974,  8976,  8978,
    8980,  8982,  8984,  8986,  8988,  8990,  8992,  8994,  8996,  8998,
    9000,  9002,  9004,  9006,  9008,  9010,  9012,  9014,  9016,  9018,
    9020,  9022,  9024,  9026,  9028,  9030,  9032,  9034,  9036,  9038,
    9040,  9042,  9044,  9046,  9048,  9050,  9052,  9054,  9056,  9058,
    9060,  9062,  9064,  9066,  9068,  9070,  9072,  9074,  9076,  9078,
    9080,  9083,  9087,  9090,  9094,  9096,  9100,  9104,  9108,  9112,
    9116,  9120,  9122,  9124,  9125,  9128,  9131,  9133,  9135,  9138,
    9140,  9142,  9144,  9145
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     512,     0,    -1,  1049,    -1,   838,    -1,   839,    -1,   756,
      -1,   844,    -1,   707,    -1,   647,    -1,   650,    -1,   656,
      -1,   670,    -1,   675,    -1,   791,    -1,   529,    -1,   812,
      -1,   813,    -1,   626,    -1,   556,    -1,   567,    -1,   523,
      -1,   521,    -1,   847,    -1,   846,    -1,   679,    -1,   525,
      -1,   524,    -1,   854,    -1,   554,    -1,   570,    -1,   849,
      -1,   730,    -1,   551,    -1,   571,    -1,  1051,    -1,   694,
      -1,   802,    -1,   848,    -1,   843,    -1,   644,    -1,   651,
      -1,   665,    -1,   671,    -1,   772,    -1,   528,    -1,   708,
      -1,   715,    -1,   716,    -1,   633,    -1,   532,    -1,   625,
      -1,   586,    -1,   641,    -1,   680,    -1,   514,    -1,   520,
      -1,   676,    -1,   834,    -1,  1192,    -1,   889,    -1,   696,
      -1,   876,    -1,   555,    -1,   799,    -1,   695,    -1,   804,
      -1,   655,    -1,   669,    -1,   531,    -1,   719,    -1,   720,
      -1,   721,    -1,   639,    -1,   821,    -1,   723,    -1,   643,
      -1,   693,    -1,   526,    -1,   527,    -1,   678,    -1,   842,
      -1,   869,    -1,   860,    -1,   737,    -1,   741,    -1,   752,
      -1,   761,    -1,   871,    -1,   824,    -1,   833,    -1,   878,
      -1,   822,    -1,   866,    -1,   722,    -1,   806,    -1,   795,
      -1,   794,    -1,   796,    -1,   809,    -1,   742,    -1,   753,
      -1,   814,    -1,   733,    -1,   893,    -1,   826,    -1,   728,
      -1,   825,    -1,   882,    -1,   851,    -1,   547,    -1,   536,
      -1,   550,    -1,   831,    -1,  1128,    -1,  1054,    -1,  1071,
      -1,  1129,    -1,  1111,    -1,  1126,    -1,  1112,    -1,  1072,
      -1,  1116,    -1,  1138,    -1,  1130,    -1,  1117,    -1,  1146,
      -1,  1148,    -1,  1141,    -1,  1133,    -1,  1149,    -1,  1152,
      -1,  1154,    -1,    -1,   160,   378,  1042,   515,   516,    -1,
     469,    -1,    -1,   516,   519,    -1,    -1,   517,   518,    -1,
      -1,   341,  1182,    -1,   341,   314,    -1,   202,   341,  1182,
      -1,   442,   341,  1182,    -1,   252,    -1,   152,   285,  1043,
      -1,   453,   448,  1182,    -1,   450,  1032,    -1,  1184,    -1,
     518,    -1,   417,  1041,    -1,    96,  1032,    -1,   378,  1032,
      -1,   247,   378,  1032,    -1,   247,   235,  1032,    -1,   160,
     450,  1042,   515,   516,    -1,   101,   378,  1042,   515,   517,
      -1,    -1,   247,   174,  1034,    -1,   101,   378,  1042,   522,
     548,    -1,   101,   450,  1042,   515,   517,    -1,   101,   450,
    1042,   548,    -1,   197,   378,  1032,    -1,   197,   378,   242,
     211,  1032,    -1,   197,   450,  1032,    -1,   197,   450,   242,
     211,  1032,    -1,   160,   235,  1042,   515,   516,    -1,   101,
     235,  1042,   530,   450,  1032,    -1,    95,    -1,   197,    -1,
     197,   235,  1032,    -1,   197,   235,   242,   211,  1032,    -1,
     160,   384,   533,   115,  1042,   534,    -1,   160,   384,  1162,
     534,    -1,  1162,    -1,    -1,   534,   535,    -1,    -1,   586,
      -1,   761,    -1,   625,    -1,   680,    -1,   741,    -1,   831,
      -1,   396,   537,    -1,   396,   288,   537,    -1,   396,   394,
     537,    -1,   431,   829,    -1,   394,   136,   108,   431,   829,
      -1,   538,    -1,   539,   429,   540,    -1,   539,   490,   540,
      -1,   539,   429,   180,    -1,   539,   490,   180,    -1,   539,
     227,   163,    -1,   427,   486,   544,    -1,   132,  1182,    -1,
     384,  1182,    -1,   302,   545,    -1,   378,   546,    -1,   394,
     115,   546,    -1,   394,   115,   180,    -1,   474,   326,   979,
      -1,   431,   403,  1182,    -1,  1161,    -1,   539,   505,  1162,
      -1,   541,    -1,   540,   506,   541,    -1,   543,    -1,   631,
      -1,   357,   441,    -1,   357,   149,    -1,   368,   357,    -1,
     392,    -1,   435,    -1,   216,    -1,   323,    -1,   546,    -1,
    1182,    -1,  1184,    -1,   966,  1182,   968,    -1,   966,   503,
    1041,   504,  1182,   968,    -1,   631,    -1,   180,    -1,   288,
      -1,  1182,    -1,   180,    -1,    -1,  1044,    -1,  1182,    -1,
     371,   539,    -1,   371,   427,   486,    -1,   371,   431,   270,
     283,    -1,   371,   394,   115,    -1,   371,    99,    -1,   396,
     537,    -1,   547,    -1,   396,   538,    -1,   547,    -1,   399,
     539,  1195,    -1,   399,   427,   486,  1195,    -1,   399,   431,
     270,   283,  1195,    -1,   399,   394,   115,  1195,    -1,   399,
      99,    -1,   396,   154,   552,   553,    -1,    99,    -1,  1030,
      -1,   183,    -1,   244,    -1,   138,    -1,   191,    99,    -1,
     191,   422,    -1,   191,   424,    -1,   191,   343,    -1,   101,
     419,   937,   557,    -1,   101,   419,   242,   211,   937,   557,
      -1,   101,   250,  1031,   557,    -1,   101,   250,   242,   211,
    1031,   557,    -1,   101,   390,  1031,   557,    -1,   101,   390,
     242,   211,  1031,   557,    -1,   101,   463,  1031,   557,    -1,
     101,   463,   242,   211,  1031,   557,    -1,   558,    -1,   557,
     506,   558,    -1,    95,   594,    -1,    95,   145,   594,    -1,
     101,   810,  1162,   559,    -1,   101,   810,  1162,   197,   309,
     314,    -1,   101,   810,  1162,   396,   309,   314,    -1,   101,
     810,  1162,   396,   409,  1043,    -1,   101,   810,  1162,   396,
     563,    -1,   101,   810,  1162,   371,   563,    -1,   101,   810,
    1162,   396,   412,  1162,    -1,   197,   810,   242,   211,  1162,
     560,    -1,   197,   810,  1162,   560,    -1,   101,   810,  1162,
     811,   438,   946,   561,   562,    -1,   101,   810,  1162,   659,
      -1,    95,   603,    -1,   454,   153,  1033,    -1,   197,   153,
     242,   211,  1033,   560,    -1,   197,   153,  1033,   560,    -1,
     396,   469,   322,    -1,   396,   470,   322,    -1,   141,   323,
    1033,    -1,   396,   470,   141,    -1,   200,   433,  1033,    -1,
     200,   102,   433,  1033,    -1,   200,   370,   433,  1033,    -1,
     200,   433,    99,    -1,   200,   433,   450,    -1,   190,   433,
    1033,    -1,   190,   433,    99,    -1,   190,   433,   450,    -1,
     200,   382,  1033,    -1,   200,   102,   382,  1033,    -1,   200,
     370,   382,  1033,    -1,   190,   382,  1033,    -1,   252,  1031,
      -1,   307,   252,  1031,    -1,   319,   726,    -1,   309,   319,
      -1,   336,   429,  1042,    -1,   396,   421,  1033,    -1,   396,
     563,    -1,   371,   563,    -1,   659,    -1,   396,   180,   970,
      -1,   197,   180,    -1,   128,    -1,   373,    -1,    -1,   143,
     726,    -1,    -1,   451,   970,    -1,    -1,   503,   565,   504,
      -1,   469,   563,    -1,    -1,   566,    -1,   565,   506,   566,
      -1,  1164,   490,   700,    -1,  1164,    -1,  1164,   505,  1164,
     490,   700,    -1,  1164,   505,  1164,    -1,   101,   438,   726,
     568,    -1,   569,    -1,   568,   506,   569,    -1,    95,   114,
     945,   560,    -1,   197,   114,   242,   211,  1162,   560,    -1,
     197,   114,  1162,   560,    -1,   101,   114,  1162,   811,   438,
     946,   561,   560,    -1,   140,   890,    -1,   140,    99,    -1,
     158,   577,  1031,   606,   578,   572,   573,   579,   515,   574,
      -1,   158,   894,   429,   573,   515,   574,    -1,   227,    -1,
     429,    -1,  1182,    -1,   410,    -1,   411,    -1,   575,    -1,
     503,   581,   504,    -1,   575,   576,    -1,    -1,   121,    -1,
     322,    -1,   186,   845,  1182,    -1,   314,   845,  1182,    -1,
     162,    -1,   238,    -1,   355,   845,  1182,    -1,   205,   845,
    1182,    -1,   223,   355,   607,    -1,   223,   355,   496,    -1,
     223,   309,   314,   607,    -1,   201,  1182,    -1,   121,    -1,
      -1,   469,   322,    -1,    -1,   580,   187,  1182,    -1,    -1,
     451,    -1,    -1,   582,    -1,   581,   506,   582,    -1,  1164,
     583,    -1,   543,    -1,   631,    -1,   496,    -1,   503,   584,
     504,    -1,    -1,   585,    -1,   584,   506,   585,    -1,   543,
      -1,   160,   587,   419,  1031,   503,   588,   504,   617,   618,
     619,   620,    -1,   160,   587,   419,   242,   309,   211,  1031,
     503,   588,   504,   617,   618,   619,   620,    -1,   160,   587,
     419,  1031,   319,   726,   589,   618,   619,   620,    -1,   160,
     587,   419,   242,   309,   211,  1031,   319,   726,   589,   618,
     619,   620,    -1,   424,    -1,   422,    -1,   288,   424,    -1,
     288,   422,    -1,   231,   424,    -1,   231,   422,    -1,   447,
      -1,    -1,   590,    -1,    -1,   503,   591,   504,    -1,    -1,
     592,    -1,   590,   506,   592,    -1,   593,    -1,   591,   506,
     593,    -1,   594,    -1,   600,    -1,   603,    -1,   595,    -1,
     603,    -1,  1162,   946,   657,   596,    -1,  1162,   469,   327,
     596,    -1,   596,   597,    -1,    -1,   153,  1033,   598,    -1,
     598,    -1,   599,    -1,   143,   726,    -1,   309,   314,    -1,
     314,    -1,   444,   788,   621,    -1,   350,   272,   788,   621,
      -1,   137,   503,   970,   504,   605,    -1,   180,   971,    -1,
     363,  1031,   606,   609,   613,    -1,   182,    -1,   309,   182,
      -1,   254,   183,    -1,   254,   244,    -1,   284,  1031,   601,
      -1,   601,   248,   602,    -1,   601,   208,   602,    -1,    -1,
     181,    -1,   154,    -1,   251,    -1,   412,    -1,   147,    -1,
      99,    -1,   153,  1033,   604,    -1,   604,    -1,   137,   503,
     970,   504,   691,    -1,   444,   503,   607,   504,   788,   621,
     691,    -1,   444,   622,   691,    -1,   350,   272,   503,   607,
     504,   788,   621,   691,    -1,   350,   272,   622,   691,    -1,
     207,   765,   503,   610,   504,   788,   621,   612,   691,    -1,
     224,   272,   503,   607,   504,   363,  1031,   606,   609,   613,
     691,    -1,   307,   252,    -1,    -1,   503,   607,   504,    -1,
      -1,   608,    -1,   607,   506,   608,    -1,  1162,    -1,   294,
     228,    -1,   294,   338,    -1,   294,   401,    -1,    -1,   611,
      -1,   610,   506,   611,    -1,   767,   469,   798,    -1,   767,
     469,   325,   503,   798,   504,    -1,   466,   503,   970,   504,
      -1,    -1,   614,    -1,   615,    -1,   614,   615,    -1,   615,
     614,    -1,    -1,   323,   449,   616,    -1,   323,   185,   616,
      -1,   307,    94,    -1,   373,    -1,   128,    -1,   396,   314,
      -1,   396,   180,    -1,   253,   503,  1030,   504,    -1,    -1,
     469,   563,    -1,   469,   322,    -1,   470,   322,    -1,    -1,
     323,   148,   197,    -1,   323,   148,   185,   381,    -1,   323,
     148,   347,   381,    -1,    -1,   421,  1033,    -1,    -1,   451,
     250,   421,  1033,    -1,    -1,   451,   250,  1037,    -1,  1031,
     606,   618,   619,   620,    -1,   469,   173,    -1,   469,   307,
     173,    -1,    -1,   160,   587,   390,  1031,   627,    -1,   101,
     390,  1031,   628,    -1,   101,   390,   242,   211,  1031,   628,
      -1,   628,    -1,    -1,   629,    -1,   628,   629,    -1,   126,
     631,    -1,   172,    -1,   307,   172,    -1,   249,   630,   631,
      -1,   295,   631,    -1,   297,   631,    -1,   307,   295,    -1,
     307,   297,    -1,   335,   125,   726,    -1,   407,   515,   631,
      -1,   372,    -1,   372,   515,   631,    -1,   125,    -1,    -1,
    1181,    -1,   495,  1181,    -1,  1043,    -1,   631,    -1,   632,
     506,   631,    -1,   160,   773,   634,   640,   274,   546,    -1,
     160,   773,   634,   640,   274,   546,   236,   635,   636,   638,
      -1,   437,    -1,    -1,  1033,    -1,  1033,   727,    -1,   255,
     635,    -1,    -1,   455,   635,    -1,   307,   455,    -1,   637,
      -1,    -1,   197,   640,   274,   546,   560,    -1,   197,   640,
     274,   242,   211,   546,   560,    -1,   353,    -1,    -1,   160,
     421,  1033,   642,   291,  1182,    -1,   336,  1033,    -1,    -1,
     197,   421,  1033,    -1,   197,   421,   242,   211,  1033,    -1,
     160,   213,  1033,   515,   645,    -1,   160,   213,   242,   309,
     211,  1033,   515,   645,    -1,   645,   646,    -1,    -1,   384,
    1033,    -1,   462,   546,    -1,   227,   546,    -1,   101,   213,
    1033,   449,   648,    -1,   648,   649,    -1,    -1,   429,   546,
      -1,   101,   213,  1033,   530,    98,  1039,   701,    -1,   101,
     213,  1033,   530,   131,   503,   946,   108,   946,   504,    -1,
     101,   213,  1033,   530,   144,   726,    -1,   101,   213,  1033,
     530,   157,   726,    -1,   101,   213,  1033,   530,   195,   726,
      -1,   101,   213,  1033,   530,   229,   751,    -1,   101,   213,
    1033,   530,   640,   274,  1033,    -1,   101,   213,  1033,   530,
     325,   798,   797,    -1,   101,   213,  1033,   530,   325,   139,
     726,   451,  1035,    -1,   101,   213,  1033,   530,   325,   217,
     726,   451,  1035,    -1,   101,   213,  1033,   530,   384,  1033,
      -1,   101,   213,  1033,   530,   419,   726,    -1,   101,   213,
    1033,   530,   425,   386,   337,   726,    -1,   101,   213,  1033,
     530,   425,   386,   189,   726,    -1,   101,   213,  1033,   530,
     425,   386,   423,   726,    -1,   101,   213,  1033,   530,   425,
     386,   151,   726,    -1,   101,   213,  1033,   530,   390,   726,
      -1,   101,   213,  1033,   530,   463,   726,    -1,   101,   213,
    1033,   530,   224,   419,   726,    -1,   101,   213,  1033,   530,
     224,   173,   472,  1033,    -1,   101,   213,  1033,   530,   393,
    1033,    -1,   101,   213,  1033,   530,   438,   726,    -1,   160,
     224,   173,   472,  1033,   654,   657,    -1,   236,   635,    -1,
     307,   236,    -1,   455,   635,    -1,   307,   455,    -1,   652,
      -1,   653,   652,    -1,   653,    -1,    -1,   197,   224,   173,
     472,  1033,   560,    -1,   197,   224,   173,   472,   242,   211,
    1033,   560,    -1,   101,   224,   173,   472,  1033,   654,   659,
      -1,   101,   224,   173,   472,  1033,   653,    -1,   327,   503,
     658,   504,    -1,    -1,   662,    -1,   658,   506,   662,    -1,
     327,   503,   660,   504,    -1,   661,    -1,   660,   506,   661,
      -1,   662,    -1,   396,   662,    -1,    95,   662,    -1,   197,
     663,    -1,   663,   664,    -1,  1164,    -1,  1182,    -1,   160,
     393,  1033,   666,   668,   224,   173,   472,  1033,   657,    -1,
     438,  1182,    -1,    -1,   462,  1182,    -1,   462,   314,    -1,
     667,    -1,    -1,   197,   393,  1033,   560,    -1,   197,   393,
     242,   211,  1033,   560,    -1,   101,   393,  1033,   667,   659,
      -1,   101,   393,  1033,   667,    -1,   101,   393,  1033,   659,
      -1,   160,   224,   419,  1031,   672,   393,  1033,   657,    -1,
     160,   224,   419,   242,   309,   211,  1031,   672,   393,  1033,
     657,    -1,   503,   673,   504,    -1,   503,   504,    -1,   674,
      -1,   673,   506,   674,    -1,   594,    -1,   101,   224,   419,
     937,   557,    -1,   101,   224,   419,   242,   211,   937,   557,
      -1,   160,   450,   293,   222,   677,   393,  1033,   657,    -1,
     170,    -1,   450,    -1,  1042,    -1,   197,   450,   293,   222,
     677,   393,  1033,    -1,   197,   450,   293,   242,   211,   222,
     677,   393,  1033,    -1,   101,   450,   293,   222,   677,   393,
    1033,   659,    -1,   160,   433,  1033,   681,   682,   323,  1031,
     684,   687,   210,   354,  1039,   503,   688,   504,    -1,   160,
     153,   433,  1033,    97,   682,   323,  1031,   690,   691,   222,
     198,   380,   687,   210,   354,  1039,   503,   688,   504,    -1,
     117,    -1,    97,    -1,   261,   319,    -1,   683,    -1,   682,
     328,   683,    -1,   260,    -1,   185,    -1,   449,    -1,   449,
     319,   607,    -1,   436,    -1,   222,   685,   686,    -1,    -1,
     198,    -1,    -1,   380,    -1,   408,    -1,   465,   503,   970,
     504,    -1,    -1,   689,    -1,   688,   506,   689,    -1,    -1,
    1041,    -1,  1181,    -1,  1182,    -1,  1164,    -1,   227,  1031,
      -1,    -1,    -1,   691,   692,    -1,   309,   182,    -1,   182,
      -1,   254,   244,    -1,   254,   183,    -1,   309,   453,    -1,
     307,   252,    -1,   197,   433,  1033,   323,   726,   560,    -1,
     197,   433,   242,   211,  1033,   323,   726,   560,    -1,   160,
     110,  1033,   137,   503,   970,   504,   691,    -1,   197,   110,
    1033,   560,    -1,   160,    98,  1039,   701,   697,    -1,   160,
      98,  1039,   702,    -1,   160,   325,   798,   697,    -1,   160,
     438,   726,   697,    -1,   160,   438,   726,    -1,   160,   438,
     726,   108,   503,   943,   504,    -1,   160,   438,   726,   108,
     204,   503,   705,   504,    -1,   160,   438,   726,   108,   356,
     697,    -1,   160,   425,   386,   337,   726,   697,    -1,   160,
     425,   386,   189,   726,   697,    -1,   160,   425,   386,   423,
     726,   697,    -1,   160,   425,   386,   151,   726,   697,    -1,
     160,   144,   726,   697,    -1,   160,   144,   726,   227,   726,
      -1,   503,   698,   504,    -1,   699,    -1,   698,   506,   699,
      -1,  1164,   490,   700,    -1,  1164,    -1,   782,    -1,  1048,
      -1,   997,    -1,   631,    -1,  1182,    -1,   503,  1002,   504,
      -1,   503,   496,   504,    -1,   503,   703,   504,    -1,   704,
      -1,   703,   506,   704,    -1,  1184,   490,   700,    -1,   706,
      -1,    -1,  1182,    -1,   706,   506,  1182,    -1,   101,   438,
     726,    95,   456,  1182,    -1,   101,   438,   726,    95,   456,
    1182,   117,  1182,    -1,   101,   438,   726,    95,   456,  1182,
      97,  1182,    -1,   160,   325,   139,   726,   711,   222,   438,
     946,   451,  1035,   712,   108,   709,    -1,   710,    -1,   709,
     506,   710,    -1,   325,  1041,   798,   713,   714,    -1,   325,
    1041,   798,   797,   713,   714,    -1,   229,  1041,  1039,   774,
      -1,   229,  1041,   503,  1002,   504,  1039,   774,    -1,   412,
     946,    -1,   180,    -1,    -1,   217,   726,    -1,    -1,   222,
     386,    -1,   222,   329,   125,   726,    -1,    -1,   360,    -1,
      -1,   160,   325,   217,   726,   451,  1035,    -1,   101,   325,
     217,   726,   451,  1035,    95,   709,    -1,   101,   325,   217,
     726,   451,  1035,   197,   717,    -1,   718,    -1,   717,   506,
     718,    -1,   325,  1041,   503,  1002,   504,    -1,   229,  1041,
     503,  1002,   504,    -1,   197,   325,   139,   726,   451,  1035,
     560,    -1,   197,   325,   139,   242,   211,   726,   451,  1035,
     560,    -1,   197,   325,   217,   726,   451,  1035,   560,    -1,
     197,   325,   217,   242,   211,   726,   451,  1035,   560,    -1,
     197,   335,   125,  1032,   560,    -1,   359,   335,   125,  1032,
     429,  1033,    -1,   197,   724,   242,   211,   725,   560,    -1,
     197,   724,   725,   560,    -1,   197,   250,   150,   725,   560,
      -1,   197,   250,   150,   242,   211,   725,   560,    -1,   419,
      -1,   390,    -1,   463,    -1,   250,    -1,   224,   419,    -1,
     438,    -1,   195,    -1,   144,    -1,   157,    -1,   384,    -1,
     213,    -1,   425,   386,   337,    -1,   425,   386,   189,    -1,
     425,   386,   423,    -1,   425,   386,   151,    -1,   726,    -1,
     725,   506,   726,    -1,  1162,    -1,  1162,   727,    -1,   505,
    1036,    -1,   727,   505,  1036,    -1,   436,   904,   938,   729,
     560,    -1,   156,   241,    -1,   372,   241,    -1,    -1,   146,
     323,   731,   726,   268,   732,    -1,   146,   323,    98,  1039,
     701,   268,   732,    -1,   146,   323,   229,  1039,   774,   268,
     732,    -1,   146,   323,   325,   798,   797,   268,   732,    -1,
     146,   323,   153,  1033,   323,   726,   268,   732,    -1,   146,
     323,   382,  1033,   323,   726,   268,   732,    -1,   146,   323,
     382,  1033,   268,   732,    -1,   146,   323,   433,  1033,   323,
     726,   268,   732,    -1,   146,   323,   325,   139,   726,   451,
    1035,   268,   732,    -1,   146,   323,   325,   217,   726,   451,
    1035,   268,   732,    -1,   146,   323,   275,   318,   631,   268,
     732,    -1,   146,   323,   131,   503,   946,   108,   946,   504,
     268,   732,    -1,   146,   323,   640,   274,   726,   268,   732,
      -1,   146,   323,   425,   386,   337,   726,   268,   732,    -1,
     146,   323,   425,   386,   189,   726,   268,   732,    -1,   146,
     323,   425,   386,   423,   726,   268,   732,    -1,   146,   323,
     425,   386,   151,   726,   268,   732,    -1,   145,    -1,   174,
      -1,   384,    -1,   250,    -1,   390,    -1,   419,    -1,   195,
      -1,   438,    -1,   463,    -1,   144,    -1,   157,    -1,   421,
      -1,   213,    -1,   378,    -1,   224,   419,    -1,   393,    -1,
     224,   173,   472,    -1,  1182,    -1,   314,    -1,   388,   273,
     734,   323,   735,   726,   268,   736,    -1,   388,   273,   734,
     323,    98,  1039,   701,   268,   736,    -1,   388,   273,   734,
     323,   229,  1039,   774,   268,   736,    -1,   388,   273,   734,
     323,   275,   318,   631,   268,   736,    -1,   388,   273,   734,
     323,   640,   274,   726,   268,   736,    -1,   222,   546,    -1,
      -1,   145,    -1,   174,    -1,   224,   419,    -1,   384,    -1,
     390,    -1,   419,    -1,   195,    -1,   378,    -1,   421,    -1,
     438,    -1,   463,    -1,  1182,    -1,   314,    -1,   218,   738,
      -1,   300,   738,    -1,   218,   738,  1196,    -1,   218,   225,
     890,  1197,    -1,   218,   225,   739,   890,  1197,    -1,   218,
     116,   890,  1197,    -1,   218,   116,   739,   890,  1197,    -1,
     300,   225,   890,    -1,   300,   225,   739,   890,    -1,   300,
     116,   890,    -1,   300,   116,   739,   890,    -1,   890,    -1,
     739,   890,    -1,   306,   740,   890,    -1,   351,   740,   890,
      -1,   219,   740,   890,    -1,   276,   740,   890,    -1,    92,
    1043,   740,   890,    -1,   365,  1043,   740,   890,    -1,  1043,
     740,   890,    -1,    99,   740,   890,    -1,   225,  1043,   740,
     890,    -1,   225,    99,   740,   890,    -1,   116,  1043,   740,
     890,    -1,   116,    99,   740,   890,    -1,   227,    -1,   247,
      -1,   739,    -1,    -1,   232,   743,   323,   746,   429,   747,
     749,    -1,   376,   743,   323,   746,   227,   747,   560,    -1,
     376,   232,   326,   222,   743,   323,   746,   227,   747,   560,
      -1,   744,    -1,    99,    -1,    99,   352,    -1,    99,   503,
     607,   504,    -1,    99,   352,   503,   607,   504,    -1,   745,
      -1,   744,   506,   745,    -1,   389,   606,    -1,   363,   606,
      -1,   160,   606,    -1,  1162,   606,    -1,  1030,    -1,   419,
    1030,    -1,   390,  1030,    -1,   224,   173,   472,  1032,    -1,
     224,   393,  1032,    -1,   229,   750,    -1,   174,  1032,    -1,
     195,   725,    -1,   274,  1032,    -1,   275,   318,   632,    -1,
     384,  1032,    -1,   421,  1032,    -1,   438,   725,    -1,    99,
     420,   247,   384,  1032,    -1,    99,   391,   247,   384,  1032,
      -1,    99,   230,   247,   384,  1032,    -1,   748,    -1,   747,
     506,   748,    -1,  1042,    -1,   235,  1042,    -1,   469,   232,
     326,    -1,    -1,   751,    -1,   750,   506,   751,    -1,  1039,
     774,    -1,   232,   744,   429,  1032,   754,   755,    -1,   376,
     744,   227,  1032,   755,   560,    -1,   376,    96,   326,   222,
     744,   227,  1032,   755,   560,    -1,   469,    96,   326,    -1,
      -1,   233,   125,  1042,    -1,    -1,   101,   180,   352,   757,
     759,    -1,   757,   758,    -1,    -1,   247,   384,  1032,    -1,
     222,   378,  1032,    -1,   222,   450,  1032,    -1,   232,   743,
     323,   760,   429,   747,   749,    -1,   376,   743,   323,   760,
     227,   747,   560,    -1,   376,   232,   326,   222,   743,   323,
     760,   227,   747,   560,    -1,   420,    -1,   230,    -1,   391,
      -1,   439,    -1,   160,   762,   250,   763,   764,   323,  1031,
     765,   503,   766,   504,   564,   620,   941,    -1,   444,    -1,
      -1,   150,    -1,    -1,  1037,    -1,    -1,   451,  1035,    -1,
      -1,   767,    -1,   766,   506,   767,    -1,  1162,   768,   769,
     770,   771,    -1,   973,   768,   769,   770,   771,    -1,   503,
     970,   504,   768,   769,   770,   771,    -1,   143,   726,    -1,
      -1,   726,    -1,   451,   726,    -1,    -1,   109,    -1,   188,
      -1,    -1,   487,    -1,   488,    -1,    -1,   160,   773,   229,
    1039,   776,   375,   781,   784,   788,    -1,   160,   773,   229,
    1039,   776,   375,   419,   503,   790,   504,   784,   788,    -1,
     160,   773,   229,  1039,   776,   784,   788,    -1,   328,   369,
      -1,    -1,   503,   775,   504,    -1,   503,   504,    -1,   778,
      -1,   775,   506,   778,    -1,   503,   777,   504,    -1,   503,
     504,    -1,   783,    -1,   777,   506,   783,    -1,   779,   780,
     782,    -1,   780,   779,   782,    -1,   780,   782,    -1,   779,
     782,    -1,   782,    -1,   247,    -1,   330,    -1,   257,    -1,
     247,   330,    -1,   459,    -1,  1163,    -1,   782,    -1,   946,
      -1,  1163,   727,   498,   438,    -1,   397,  1163,   727,   498,
     438,    -1,   778,    -1,   778,   180,   970,    -1,   778,   490,
     970,    -1,   786,    -1,   784,   786,    -1,   127,   323,   314,
     258,    -1,   375,   314,   323,   314,   258,    -1,   413,    -1,
     245,    -1,   405,    -1,   464,    -1,   214,   388,   184,    -1,
     214,   388,   267,    -1,   388,   184,    -1,   388,   267,    -1,
     280,    -1,   309,   280,    -1,   159,   631,    -1,   381,   631,
      -1,   549,    -1,   108,   787,    -1,   274,   546,    -1,   468,
      -1,   785,    -1,  1182,    -1,  1182,   506,  1182,    -1,   469,
     697,    -1,    -1,   780,   782,    -1,   789,    -1,   790,   506,
     789,    -1,   101,   229,   751,   792,   793,    -1,   785,    -1,
     792,   785,    -1,   373,    -1,    -1,   197,   229,  1039,   774,
     560,    -1,   197,   229,   242,   211,  1039,   774,   560,    -1,
     197,    98,  1039,   701,   560,    -1,   197,    98,   242,   211,
    1039,   701,   560,    -1,   197,   325,   798,   797,   560,    -1,
     197,   325,   242,   211,   798,   797,   560,    -1,   503,   946,
     504,    -1,   503,   946,   506,   946,   504,    -1,   503,   308,
     506,   946,   504,    -1,   503,   946,   506,   308,   504,    -1,
     994,    -1,  1162,   505,   798,    -1,   193,   800,    -1,   801,
      -1,   800,   801,    -1,  1182,    -1,   274,   546,    -1,   160,
     131,   503,   946,   108,   946,   504,   469,   229,   751,   803,
      -1,   160,   131,   503,   946,   108,   946,   504,   470,   229,
     803,    -1,   160,   131,   503,   946,   108,   946,   504,   469,
     257,   803,    -1,   108,   246,    -1,   108,   111,    -1,    -1,
     197,   131,   805,   503,   946,   108,   946,   504,   560,    -1,
     242,   211,    -1,    -1,   364,   807,  1031,   808,    -1,   364,
     418,  1033,   808,    -1,   364,   174,  1033,   808,    -1,   250,
      -1,   419,    -1,   223,    -1,    -1,   101,    98,  1039,   701,
     367,   429,  1033,    -1,   101,   144,   726,   367,   429,  1033,
      -1,   101,   157,   726,   367,   429,  1033,    -1,   101,   174,
    1034,   367,   429,  1034,    -1,   101,   195,   726,   367,   429,
    1033,    -1,   101,   195,   726,   367,   153,  1033,   429,  1033,
      -1,   101,   224,   173,   472,  1033,   367,   429,  1033,    -1,
     101,   229,   751,   367,   429,  1033,    -1,   101,   235,  1042,
     367,   429,  1042,    -1,   101,   640,   274,  1033,   367,   429,
    1033,    -1,   101,   325,   139,   726,   451,  1035,   367,   429,
    1033,    -1,   101,   325,   217,   726,   451,  1035,   367,   429,
    1033,    -1,   101,   384,  1033,   367,   429,  1033,    -1,   101,
     393,  1033,   367,   429,  1033,    -1,   101,   419,   937,   367,
     429,  1033,    -1,   101,   419,   242,   211,   937,   367,   429,
    1033,    -1,   101,   390,  1031,   367,   429,  1033,    -1,   101,
     390,   242,   211,  1031,   367,   429,  1033,    -1,   101,   463,
    1031,   367,   429,  1033,    -1,   101,   463,   242,   211,  1031,
     367,   429,  1033,    -1,   101,   250,  1031,   367,   429,  1033,
      -1,   101,   250,   242,   211,  1031,   367,   429,  1033,    -1,
     101,   224,   419,   937,   367,   429,  1033,    -1,   101,   224,
     419,   242,   211,   937,   367,   429,  1033,    -1,   101,   419,
     937,   367,   810,  1033,   429,  1033,    -1,   101,   419,   242,
     211,   937,   367,   810,  1033,   429,  1033,    -1,   101,   419,
     937,   367,   153,  1033,   429,  1033,    -1,   101,   224,   419,
     937,   367,   810,  1033,   429,  1033,    -1,   101,   224,   419,
     242,   211,   937,   367,   810,  1033,   429,  1033,    -1,   101,
     433,  1033,   323,  1031,   367,   429,  1033,    -1,   101,   378,
    1042,   367,   429,  1042,    -1,   101,   450,  1042,   367,   429,
    1042,    -1,   101,   421,  1033,   367,   429,  1033,    -1,   101,
     421,  1033,   396,   563,    -1,   101,   421,  1033,   371,   563,
      -1,   101,   425,   386,   337,   726,   367,   429,  1033,    -1,
     101,   425,   386,   189,   726,   367,   429,  1033,    -1,   101,
     425,   386,   423,   726,   367,   429,  1033,    -1,   101,   425,
     386,   151,   726,   367,   429,  1033,    -1,   101,   438,   726,
     367,   429,  1033,    -1,   101,   438,   726,   367,   114,  1033,
     429,  1033,   560,    -1,   145,    -1,    -1,   396,   173,    -1,
      -1,   101,    98,  1039,   701,   396,   384,  1033,    -1,   101,
     144,   726,   396,   384,  1033,    -1,   101,   157,   726,   396,
     384,  1033,    -1,   101,   195,   726,   396,   384,  1033,    -1,
     101,   213,   726,   396,   384,  1033,    -1,   101,   229,   751,
     396,   384,  1033,    -1,   101,   325,   798,   797,   396,   384,
    1033,    -1,   101,   325,   139,   726,   451,  1035,   396,   384,
    1033,    -1,   101,   325,   217,   726,   451,  1035,   396,   384,
    1033,    -1,   101,   419,   937,   396,   384,  1033,    -1,   101,
     419,   242,   211,   937,   396,   384,  1033,    -1,   101,   425,
     386,   337,   726,   396,   384,  1033,    -1,   101,   425,   386,
     189,   726,   396,   384,  1033,    -1,   101,   425,   386,   423,
     726,   396,   384,  1033,    -1,   101,   425,   386,   151,   726,
     396,   384,  1033,    -1,   101,   390,  1031,   396,   384,  1033,
      -1,   101,   390,   242,   211,  1031,   396,   384,  1033,    -1,
     101,   463,  1031,   396,   384,  1033,    -1,   101,   463,   242,
     211,  1031,   396,   384,  1033,    -1,   101,   224,   419,   937,
     396,   384,  1033,    -1,   101,   224,   419,   242,   211,   937,
     396,   384,  1033,    -1,   101,   438,   726,   396,   384,  1033,
      -1,   101,    98,  1039,   701,   336,   429,  1042,    -1,   101,
     144,   726,   336,   429,  1042,    -1,   101,   157,   726,   336,
     429,  1042,    -1,   101,   174,  1034,   336,   429,  1042,    -1,
     101,   195,   726,   336,   429,  1042,    -1,   101,   229,   751,
     336,   429,  1042,    -1,   101,   640,   274,  1033,   336,   429,
    1042,    -1,   101,   275,   318,   631,   336,   429,  1042,    -1,
     101,   325,   798,   797,   336,   429,  1042,    -1,   101,   325,
     139,   726,   451,  1035,   336,   429,  1042,    -1,   101,   325,
     217,   726,   451,  1035,   336,   429,  1042,    -1,   101,   384,
    1033,   336,   429,  1042,    -1,   101,   438,   726,   336,   429,
    1042,    -1,   101,   421,  1033,   336,   429,  1042,    -1,   101,
     425,   386,   189,   726,   336,   429,  1042,    -1,   101,   425,
     386,   151,   726,   336,   429,  1042,    -1,   101,   224,   173,
     472,  1033,   336,   429,  1042,    -1,   101,   393,  1033,   336,
     429,  1042,    -1,   160,   773,   382,  1033,   108,   323,   819,
     429,  1031,   941,   193,   820,   815,    -1,   310,    -1,   817,
      -1,   503,   816,   504,    -1,   816,   507,   818,    -1,   818,
      -1,   893,    -1,   871,    -1,   882,    -1,   876,    -1,   822,
      -1,   817,    -1,    -1,   389,    -1,   449,    -1,   185,    -1,
     260,    -1,   261,    -1,   100,    -1,    -1,   197,   382,  1033,
     323,   726,   560,    -1,   197,   382,   242,   211,  1033,   323,
     726,   560,    -1,   311,  1162,   823,    -1,   506,  1182,    -1,
      -1,   286,  1162,    -1,   446,  1162,    -1,   446,   496,    -1,
      91,   827,    -1,   118,   827,   830,    -1,   407,   431,   830,
      -1,   148,   827,    -1,   203,   827,    -1,   379,   827,    -1,
     383,  1162,    -1,   366,   383,  1162,    -1,   366,  1162,    -1,
     379,   827,   429,   383,  1162,    -1,   379,   827,   429,  1162,
      -1,   348,   431,  1182,    -1,   148,   349,  1182,    -1,   379,
     349,  1182,    -1,   471,    -1,   431,    -1,    -1,   270,   283,
     542,    -1,   357,   324,    -1,   357,   473,    -1,   182,    -1,
     309,   182,    -1,   828,    -1,   829,   506,   828,    -1,   829,
     828,    -1,   829,    -1,    -1,   160,   587,   463,  1031,   606,
     564,   108,   893,   832,    -1,   160,   328,   369,   587,   463,
    1031,   606,   564,   108,   893,   832,    -1,   469,   137,   326,
      -1,   469,   129,   137,   326,    -1,   469,   288,   137,   326,
      -1,    -1,   287,  1038,    -1,   160,   174,  1034,   515,   835,
      -1,   835,   836,    -1,    -1,   421,   837,  1033,    -1,   421,
     837,   180,    -1,   291,   837,  1182,    -1,   291,   837,   180,
      -1,   423,   837,  1033,    -1,   423,   837,   180,    -1,   201,
     837,  1182,    -1,   201,   837,  1041,    -1,   201,   837,   180,
      -1,   277,   837,  1182,    -1,   277,   837,   180,    -1,   278,
     837,  1182,    -1,   278,   837,   180,    -1,   152,   285,   837,
    1043,    -1,   336,   837,  1033,    -1,   336,   837,   180,    -1,
     490,    -1,    -1,   101,   174,  1034,   515,   840,    -1,   101,
     174,  1034,   396,   421,  1033,    -1,   101,   174,  1034,   548,
      -1,   840,   841,    -1,    -1,   152,   285,   837,  1043,    -1,
     197,   174,  1034,    -1,   197,   174,   242,   211,  1034,    -1,
     160,   195,   726,   845,   946,   596,    -1,   101,   195,   726,
     559,    -1,   101,   195,   726,   197,   309,   314,    -1,   101,
     195,   726,   396,   309,   314,    -1,   101,   195,   726,    95,
     603,    -1,   101,   195,   726,   197,   153,  1033,   560,    -1,
     101,   195,   726,   197,   153,   242,   211,  1033,   560,    -1,
     101,   195,   726,   454,   153,  1033,    -1,   108,    -1,    -1,
     101,   425,   386,   189,   726,   697,    -1,   101,   425,   386,
     151,   726,    95,   293,   222,  1032,   469,   725,    -1,   101,
     425,   386,   151,   726,   101,   293,   222,  1032,   469,   725,
      -1,   101,   425,   386,   151,   726,   101,   293,   369,   726,
     469,   726,    -1,   101,   425,   386,   151,   726,   101,   293,
     222,  1032,   369,   726,   469,   726,    -1,   101,   425,   386,
     151,   726,   197,   293,   222,  1032,    -1,   101,   425,   386,
     151,   726,   197,   293,   242,   211,   222,  1032,    -1,   160,
     711,   157,   726,   222,  1182,   429,  1182,   227,   726,    -1,
     141,   856,  1031,   850,    -1,   141,   856,    -1,   141,   856,
    1037,   323,  1031,    -1,   451,  1037,    -1,    -1,   452,   857,
     858,   856,    -1,   452,   857,   858,   856,  1031,    -1,   452,
     857,   858,   856,   854,    -1,   452,   503,   852,   504,    -1,
     452,   503,   852,   504,  1031,   859,    -1,   853,    -1,   852,
     506,   853,    -1,   855,    -1,   461,    -1,   226,    -1,   228,
      -1,   855,   856,    -1,   855,   856,  1031,   859,    -1,   104,
      -1,   103,    -1,   461,    -1,    -1,   228,    -1,    -1,   226,
      -1,    -1,   503,  1032,   504,    -1,    -1,   212,   861,    -1,
     212,   855,   856,   861,    -1,   212,   461,   861,    -1,   212,
     503,   862,   504,   861,    -1,   893,    -1,   871,    -1,   882,
      -1,   876,    -1,   889,    -1,  1051,    -1,   869,    -1,   863,
      -1,   862,   506,   863,    -1,   864,   865,    -1,  1044,    -1,
     855,    -1,   543,    -1,   631,    -1,    -1,   348,  1070,   867,
     108,   868,    -1,   348,  1070,   227,  1115,    -1,   503,  1002,
     504,    -1,    -1,   893,    -1,   871,    -1,   882,    -1,   876,
      -1,   210,  1070,   870,  1194,    -1,   160,   587,   419,   623,
     108,   210,  1033,   870,   624,    -1,   503,   999,   504,    -1,
      -1,   901,   260,   266,  1031,   872,   875,    -1,   893,    -1,
     503,   873,   504,   893,    -1,   180,   457,    -1,   874,    -1,
     873,   506,   874,    -1,  1162,  1023,    -1,   374,  1028,  1195,
      -1,    -1,   901,   185,   227,   939,   877,   942,   875,    -1,
     451,   930,    -1,    -1,   292,   904,   938,   879,   881,    -1,
     247,   880,   298,    -1,    -1,    93,   398,    -1,   380,   398,
      -1,   380,   209,    -1,   398,   449,   209,    -1,   398,    -1,
     398,   380,   209,    -1,   209,    -1,    93,   209,    -1,   313,
      -1,    -1,   901,   449,   939,   396,   883,   929,   942,   875,
      -1,   884,    -1,   883,   506,   884,    -1,   885,    -1,   886,
      -1,   887,   490,  1025,    -1,   503,   888,   504,   490,  1027,
      -1,  1162,  1023,    -1,   887,    -1,   888,   506,   887,    -1,
     179,   890,   891,   171,   892,   222,   893,    -1,  1033,    -1,
    1175,    -1,    -1,   891,   307,   385,    -1,   891,   385,    -1,
     891,   121,    -1,   891,   259,    -1,    -1,   469,   239,    -1,
     470,   239,    -1,   895,    -1,   894,    -1,   503,   895,   504,
      -1,   503,   894,   504,    -1,   897,    -1,   896,   908,    -1,
     896,   907,   923,   912,    -1,   896,   907,   911,   924,    -1,
     898,   896,    -1,   898,   896,   908,    -1,   898,   896,   907,
     923,   912,    -1,   898,   896,   907,   911,   924,    -1,   897,
      -1,   894,    -1,   389,   906,  1028,   902,   929,   941,   921,
     922,   982,    -1,   928,    -1,   419,   937,    -1,   896,   443,
     905,   896,    -1,   896,   264,   905,   896,    -1,   896,   206,
     905,   896,    -1,   469,   899,    -1,   469,   361,   899,    -1,
     900,    -1,   899,   506,   900,    -1,  1033,   859,   108,   503,
     868,   504,    -1,   898,    -1,    -1,   266,   903,    -1,  1195,
      -1,    -1,   424,   904,  1031,    -1,   422,   904,  1031,    -1,
     288,   424,   904,  1031,    -1,   288,   422,   904,  1031,    -1,
     231,   424,   904,  1031,    -1,   231,   422,   904,  1031,    -1,
     447,   904,  1031,    -1,   419,  1031,    -1,  1031,    -1,   419,
      -1,    -1,    99,    -1,   192,    -1,    -1,   192,    -1,   192,
     323,   503,   999,   504,    -1,    99,    -1,    -1,   908,    -1,
      -1,   329,   125,   909,    -1,   910,    -1,   909,   506,   910,
      -1,   970,   451,   997,   771,    -1,   970,   770,   771,    -1,
     913,   914,    -1,   914,   913,    -1,   913,    -1,   914,    -1,
     911,    -1,    -1,   285,   915,    -1,   285,   915,   506,   916,
      -1,   218,   920,   917,   919,   324,    -1,   321,   916,    -1,
     321,   918,   919,    -1,   970,    -1,    99,    -1,   970,    -1,
    1043,    -1,   503,   970,   504,    -1,    -1,   972,    -1,   380,
      -1,   381,    -1,   219,    -1,   306,    -1,   235,   125,   999,
      -1,    -1,   237,   970,    -1,    -1,   925,    -1,   222,   357,
     324,    -1,   923,    -1,    -1,   926,    -1,   925,   926,    -1,
     222,   449,   927,   881,    -1,   222,   398,   927,   881,    -1,
     319,  1030,    -1,    -1,   457,  1027,    -1,   928,   506,  1027,
      -1,   227,   930,    -1,    -1,   931,    -1,   930,   506,   931,
      -1,   937,    -1,   937,   933,    -1,   940,    -1,   940,   933,
      -1,   940,   108,   503,   944,   504,    -1,   940,   108,  1162,
     503,   944,   504,    -1,   940,  1162,   503,   944,   504,    -1,
     894,    -1,   894,   933,    -1,   932,    -1,   503,   932,   504,
     933,    -1,   503,   932,   504,    -1,   931,   161,   271,   931,
      -1,   931,   934,   271,   931,   936,    -1,   931,   271,   931,
     936,    -1,   931,   304,   934,   271,   931,    -1,   931,   304,
     271,   931,    -1,   108,  1162,   503,  1032,   504,    -1,   108,
    1162,    -1,  1162,   503,  1032,   504,    -1,  1162,    -1,   228,
     935,    -1,   282,   935,    -1,   377,   935,    -1,   256,    -1,
     331,    -1,    -1,   451,   503,  1032,   504,    -1,   323,   970,
      -1,  1031,    -1,  1031,   496,    -1,   324,  1031,    -1,   324,
     503,  1031,   504,    -1,   937,    -1,   938,   506,   937,    -1,
     937,    -1,   937,  1162,    -1,   937,   108,  1162,    -1,   973,
      -1,   466,   970,    -1,    -1,   466,   970,    -1,   466,   163,
     319,   890,    -1,    -1,   944,    -1,    -1,   945,    -1,   944,
     506,   945,    -1,  1162,   946,   561,    -1,   948,   947,    -1,
     397,   948,   947,    -1,   948,   107,   501,  1041,   502,    -1,
     397,   948,   107,   501,  1041,   502,    -1,   948,   107,    -1,
     397,   948,   107,    -1,   947,   501,   502,    -1,   947,   501,
    1193,   502,    -1,    -1,   950,    -1,   952,    -1,   954,    -1,
     958,    -1,   965,    -1,   966,   968,    -1,   966,   503,  1041,
     504,   968,    -1,   952,    -1,   955,    -1,   959,    -1,   965,
      -1,  1163,   951,    -1,  1163,   727,   951,    -1,   503,   999,
     504,    -1,    -1,   262,    -1,   263,    -1,   402,    -1,   120,
      -1,   358,    -1,   220,   953,    -1,   196,   346,    -1,   178,
     951,    -1,   177,   951,    -1,   317,   951,    -1,   123,    -1,
     503,  1041,   504,    -1,    -1,   956,    -1,   957,    -1,   956,
      -1,   957,    -1,   122,   963,   503,   999,   504,    -1,   122,
     963,    -1,   960,    -1,   961,    -1,   960,    -1,   961,    -1,
     962,   503,  1041,   504,   964,    -1,   962,   964,    -1,   135,
     963,    -1,   134,   963,    -1,   458,    -1,   303,   135,   963,
      -1,   303,   134,   963,    -1,   305,   963,    -1,   460,    -1,
      -1,   135,   396,  1162,    -1,    -1,   428,   503,  1041,   504,
     967,    -1,   428,   967,    -1,   427,   503,  1041,   504,   967,
      -1,   427,   967,    -1,   265,    -1,   489,   486,    -1,   470,
     427,   486,    -1,    -1,   484,    -1,   299,    -1,   175,    -1,
     240,    -1,   296,    -1,   969,    -1,   484,   429,   299,    -1,
     175,   429,   240,    -1,   175,   429,   296,    -1,   175,   429,
     969,    -1,   240,   429,   296,    -1,   240,   429,   969,    -1,
     296,   429,   969,    -1,    -1,   387,    -1,   387,   503,  1041,
     504,    -1,   972,    -1,   970,    88,   946,    -1,   970,   143,
     726,    -1,   970,   113,   427,   486,   970,    -1,   494,   970,
      -1,   495,   970,    -1,   970,   494,   970,    -1,   970,   495,
     970,    -1,   970,   496,   970,    -1,   970,   497,   970,    -1,
     970,   498,   970,    -1,   970,   499,   970,    -1,   970,   491,
     970,    -1,   970,   492,   970,    -1,   970,   490,   970,    -1,
     970,   996,   970,    -1,   996,   970,    -1,   970,   996,    -1,
     970,   105,   970,    -1,   970,   328,   970,    -1,   309,   970,
      -1,   970,   284,   970,    -1,   970,   284,   970,   205,   970,
      -1,   970,   309,   284,   970,    -1,   970,   309,   284,   970,
     205,   970,    -1,   970,   243,   970,    -1,   970,   243,   970,
     205,   970,    -1,   970,   309,   243,   970,    -1,   970,   309,
     243,   970,   205,   970,    -1,   970,   400,   429,   970,    -1,
     970,   400,   429,   970,   205,   970,    -1,   970,   309,   400,
     429,   970,    -1,   970,   309,   400,   429,   970,   205,   970,
      -1,   970,   268,   314,    -1,   970,   269,    -1,   970,   268,
     309,   314,    -1,   970,   312,    -1,   992,   333,   992,    -1,
     970,   268,   435,    -1,   970,   268,   309,   435,    -1,   970,
     268,   216,    -1,   970,   268,   309,   216,    -1,   970,   268,
     445,    -1,   970,   268,   309,   445,    -1,   970,   268,   192,
     227,   970,    -1,   970,   268,   309,   192,   227,   970,    -1,
     970,   268,   319,   503,  1002,   504,    -1,   970,   268,   309,
     319,   503,  1002,   504,    -1,   970,   119,  1024,   971,   105,
     971,    -1,   970,   309,   119,  1024,   971,   105,   971,    -1,
     970,   119,   416,   971,   105,   971,    -1,   970,   309,   119,
     416,   971,   105,   971,    -1,   970,   247,  1014,    -1,   970,
     309,   247,  1014,    -1,   970,   998,   993,   894,    -1,   970,
     998,   993,   503,   970,   504,    -1,   444,   894,    -1,   970,
     268,   194,    -1,   970,   268,   309,   194,    -1,   972,    -1,
     971,    88,   946,    -1,   494,   971,    -1,   495,   971,    -1,
     971,   494,   971,    -1,   971,   495,   971,    -1,   971,   496,
     971,    -1,   971,   497,   971,    -1,   971,   498,   971,    -1,
     971,   499,   971,    -1,   971,   491,   971,    -1,   971,   492,
     971,    -1,   971,   490,   971,    -1,   971,   996,   971,    -1,
     996,   971,    -1,   971,   996,    -1,   971,   268,   192,   227,
     971,    -1,   971,   268,   309,   192,   227,   971,    -1,   971,
     268,   319,   503,  1002,   504,    -1,   971,   268,   309,   319,
     503,  1002,   504,    -1,   971,   268,   194,    -1,   971,   268,
     309,   194,    -1,  1020,    -1,  1040,    -1,  1179,  1023,    -1,
     503,   970,   504,  1023,    -1,  1015,    -1,   973,    -1,   894,
      -1,   894,  1022,    -1,   211,   894,    -1,   107,   894,    -1,
     107,  1003,    -1,   992,    -1,  1039,   503,   504,   985,    -1,
    1039,   503,  1000,   504,   985,    -1,  1039,   503,   459,  1001,
     504,   985,    -1,  1039,   503,  1000,   506,   459,  1001,   504,
     985,    -1,  1039,   503,  1000,   908,   504,   985,    -1,  1039,
     503,    99,  1000,   907,   504,   985,    -1,  1039,   503,   192,
    1000,   907,   504,   985,    -1,  1039,   503,   496,   504,   985,
      -1,   144,   222,   503,   970,   504,    -1,   165,    -1,   168,
      -1,   168,   503,  1041,   504,    -1,   169,    -1,   169,   503,
    1041,   504,    -1,   289,    -1,   289,   503,  1041,   504,    -1,
     290,    -1,   290,   503,  1041,   504,    -1,   166,    -1,   170,
      -1,   395,    -1,   450,    -1,   164,    -1,   167,    -1,   131,
     503,   970,   108,   946,   504,    -1,   215,   503,  1005,   504,
      -1,   334,   503,  1007,   504,    -1,   344,   503,  1009,   504,
      -1,   415,   503,  1010,   504,    -1,   432,   503,   970,   108,
     946,   504,    -1,   434,   503,   124,  1013,   504,    -1,   434,
     503,   279,  1013,   504,    -1,   434,   503,   430,  1013,   504,
      -1,   434,   503,  1013,   504,    -1,   315,   503,   970,   506,
     970,   504,    -1,   142,   503,   999,   504,    -1,   234,   503,
     999,   504,    -1,   281,   503,   999,   504,    -1,   476,   503,
     999,   504,    -1,   477,   503,   301,  1164,   504,    -1,   477,
     503,   301,  1164,   506,   976,   504,    -1,   477,   503,   301,
    1164,   506,   999,   504,    -1,   477,   503,   301,  1164,   506,
     976,   506,   999,   504,    -1,   478,   503,   972,   981,   504,
      -1,   479,   503,   977,   504,    -1,   480,   503,   979,   970,
     980,   504,    -1,   481,   503,   301,  1164,   504,    -1,   481,
     503,   301,  1164,   506,   970,   504,    -1,   482,   503,   970,
     506,   974,   975,   504,    -1,   483,   503,   979,   970,   108,
     948,   504,    -1,   462,   970,    -1,   462,   307,   456,    -1,
     506,   406,   485,    -1,   506,   406,   307,    -1,   506,   406,
     307,   456,    -1,    -1,   475,   503,   977,   504,    -1,   978,
      -1,   977,   506,   978,    -1,   970,   108,  1164,    -1,   970,
      -1,   194,    -1,   155,    -1,   347,   467,    -1,   414,   467,
      -1,    -1,   340,   972,    -1,   340,   972,   125,   362,    -1,
     340,   125,   362,   972,    -1,   340,   125,   362,   972,   125,
     362,    -1,   468,   983,    -1,    -1,   984,    -1,   983,   506,
     984,    -1,  1162,   108,   986,    -1,   332,   986,    -1,   332,
    1162,    -1,    -1,   503,   987,   988,   907,   989,   504,    -1,
    1162,    -1,    -1,   339,   125,   999,    -1,    -1,   356,   990,
      -1,   381,   990,    -1,    -1,   991,    -1,   119,   991,   105,
     991,    -1,   440,   345,    -1,   440,   221,    -1,   163,   380,
      -1,   970,   345,    -1,   970,   221,    -1,   380,   503,   999,
     504,    -1,   380,   503,   504,    -1,   503,   999,   506,   970,
     504,    -1,   106,    -1,   404,    -1,    99,    -1,    85,    -1,
     995,    -1,   494,    -1,   495,    -1,   496,    -1,   497,    -1,
     498,    -1,   499,    -1,   491,    -1,   492,    -1,   490,    -1,
      85,    -1,   325,   503,   798,   504,    -1,   994,    -1,   325,
     503,   798,   504,    -1,   994,    -1,   325,   503,   798,   504,
      -1,   284,    -1,   309,   284,    -1,   243,    -1,   309,   243,
      -1,   970,    -1,   999,   506,   970,    -1,  1001,    -1,  1000,
     506,  1001,    -1,   970,    -1,   780,    90,   970,    -1,   946,
      -1,  1002,   506,   946,    -1,   501,   999,   502,    -1,   501,
    1004,   502,    -1,   501,   502,    -1,  1003,    -1,  1004,   506,
    1003,    -1,  1006,   227,   970,    -1,    -1,  1184,    -1,   484,
      -1,   299,    -1,   175,    -1,   240,    -1,   296,    -1,   387,
      -1,  1182,    -1,   970,  1008,  1011,  1012,    -1,   970,  1008,
    1011,    -1,   342,   970,    -1,   971,   247,   971,    -1,    -1,
     970,  1011,  1012,    -1,   970,  1012,  1011,    -1,   970,  1011,
      -1,   970,  1012,    -1,   999,    -1,    -1,   227,   970,    -1,
     222,   970,    -1,   970,   227,   999,    -1,   227,   999,    -1,
     999,    -1,   894,    -1,   503,   999,   504,    -1,   130,  1019,
    1016,  1018,   203,    -1,  1017,    -1,  1016,  1017,    -1,   465,
     970,   426,   970,    -1,   199,   970,    -1,    -1,   970,    -1,
      -1,  1162,    -1,  1162,  1022,    -1,   505,  1036,    -1,   505,
     496,    -1,   501,   970,   502,    -1,   501,   970,   508,   970,
     502,    -1,  1021,    -1,  1022,  1021,    -1,    -1,  1023,  1021,
      -1,   112,    -1,    -1,   970,    -1,   180,    -1,  1025,    -1,
    1026,   506,  1025,    -1,   503,  1026,   504,    -1,  1029,    -1,
    1028,   506,  1029,    -1,   970,   108,  1164,    -1,   970,  1184,
      -1,   970,    -1,   496,    -1,  1031,    -1,  1030,   506,  1031,
      -1,  1162,    -1,  1162,  1022,    -1,  1033,    -1,  1032,   506,
    1033,    -1,  1162,    -1,  1162,    -1,  1162,    -1,  1164,    -1,
    1162,    -1,  1182,    -1,  1163,    -1,  1162,  1022,    -1,  1041,
      -1,  1181,    -1,  1182,    -1,  1180,    -1,    84,    -1,  1039,
    1182,    -1,  1039,   503,  1000,   504,  1182,    -1,   949,  1182,
      -1,   966,  1182,   968,    -1,   966,   503,  1041,   504,  1182,
     968,    -1,   435,    -1,   216,    -1,   314,    -1,  1176,    -1,
    1174,    -1,    86,    -1,  1044,    -1,  1041,    -1,  1176,    -1,
     494,  1041,    -1,   495,  1041,    -1,  1184,    -1,  1045,    -1,
    1046,    -1,  1047,    -1,    91,    -1,    92,    -1,    93,    -1,
      94,    -1,    95,    -1,    96,    -1,    97,    -1,    98,    -1,
     100,    -1,   101,    -1,   102,    -1,   110,    -1,   111,    -1,
     113,    -1,   114,    -1,   116,    -1,   117,    -1,   118,    -1,
     125,    -1,   126,    -1,   127,    -1,   128,    -1,   129,    -1,
     132,    -1,   133,    -1,   136,    -1,   138,    -1,   139,    -1,
     140,    -1,   141,    -1,   146,    -1,   147,    -1,   148,    -1,
     149,    -1,   151,    -1,   154,    -1,   155,    -1,   156,    -1,
     157,    -1,   158,    -1,   159,    -1,   162,    -1,   171,    -1,
     172,    -1,   173,    -1,   174,    -1,   176,    -1,   179,    -1,
     181,    -1,   183,    -1,   184,    -1,   185,    -1,   186,    -1,
     187,    -1,   189,    -1,   190,    -1,   191,    -1,   194,    -1,
     195,    -1,   196,    -1,   197,    -1,   198,    -1,   200,    -1,
     201,    -1,   202,    -1,   204,    -1,   205,    -1,   207,    -1,
     208,    -1,   209,    -1,   210,    -1,   212,    -1,   213,    -1,
     214,    -1,   217,    -1,   219,    -1,   221,    -1,   223,    -1,
     225,    -1,   229,    -1,   230,    -1,   231,    -1,   233,    -1,
     236,    -1,   238,    -1,   239,    -1,   241,    -1,   242,    -1,
     244,    -1,   245,    -1,   246,    -1,   248,    -1,   249,    -1,
     250,    -1,   251,    -1,   252,    -1,   253,    -1,   255,    -1,
     259,    -1,   260,    -1,   261,    -1,   267,    -1,   270,    -1,
     272,    -1,   273,    -1,   274,    -1,   275,    -1,   276,    -1,
     277,    -1,   278,    -1,   280,    -1,   283,    -1,   286,    -1,
     287,    -1,   288,    -1,   291,    -1,   292,    -1,   293,    -1,
     294,    -1,   295,    -1,   297,    -1,   298,    -1,   300,    -1,
     301,    -1,   302,    -1,   306,    -1,   307,    -1,   310,    -1,
     311,    -1,   313,    -1,   316,    -1,   318,    -1,   319,    -1,
     320,    -1,   322,    -1,   325,    -1,   326,    -1,   327,    -1,
     335,    -1,   336,    -1,   337,    -1,   338,    -1,   339,    -1,
     340,    -1,   341,    -1,   343,    -1,   345,    -1,   348,    -1,
     349,    -1,   347,    -1,   351,    -1,   352,    -1,   353,    -1,
     354,    -1,   355,    -1,   356,    -1,   357,    -1,   359,    -1,
     360,    -1,   361,    -1,   362,    -1,   364,    -1,   365,    -1,
     366,    -1,   367,    -1,   368,    -1,   369,    -1,   370,    -1,
     371,    -1,   372,    -1,   373,    -1,   375,    -1,   376,    -1,
     378,    -1,   379,    -1,   381,    -1,   382,    -1,   383,    -1,
     384,    -1,   385,    -1,   386,    -1,   388,    -1,   390,    -1,
     391,    -1,   392,    -1,   393,    -1,   394,    -1,   396,    -1,
     398,    -1,   399,    -1,   401,    -1,   403,    -1,   405,    -1,
     406,    -1,   407,    -1,   408,    -1,   409,    -1,   410,    -1,
     411,    -1,   412,    -1,   413,    -1,   414,    -1,   417,    -1,
     418,    -1,   420,    -1,   421,    -1,   422,    -1,   423,    -1,
     424,    -1,   425,    -1,   431,    -1,   433,    -1,   436,    -1,
     437,    -1,   438,    -1,   439,    -1,   440,    -1,   441,    -1,
     442,    -1,   445,    -1,   446,    -1,   447,    -1,   448,    -1,
     449,    -1,   452,    -1,   453,    -1,   454,    -1,   455,    -1,
     456,    -1,   460,    -1,   462,    -1,   463,    -1,   464,    -1,
     467,    -1,   470,    -1,   471,    -1,   472,    -1,   473,    -1,
     474,    -1,   485,    -1,   486,    -1,   119,    -1,   120,    -1,
     122,    -1,   123,    -1,   135,    -1,   142,    -1,   177,    -1,
     178,    -1,   211,    -1,   215,    -1,   220,    -1,   234,    -1,
     257,    -1,   263,    -1,   265,    -1,   281,    -1,   303,    -1,
     305,    -1,   308,    -1,   315,    -1,   317,    -1,   330,    -1,
     334,    -1,   344,    -1,   346,    -1,   358,    -1,   380,    -1,
     397,    -1,   402,    -1,   415,    -1,   427,    -1,   428,    -1,
     432,    -1,   434,    -1,   458,    -1,   475,    -1,   476,    -1,
     477,    -1,   478,    -1,   479,    -1,   480,    -1,   481,    -1,
     482,    -1,   483,    -1,   115,    -1,   121,    -1,   144,    -1,
     150,    -1,   161,    -1,   167,    -1,   226,    -1,   228,    -1,
     243,    -1,   256,    -1,   268,    -1,   269,    -1,   271,    -1,
     282,    -1,   284,    -1,   304,    -1,   312,    -1,   331,    -1,
     332,    -1,   333,    -1,   377,    -1,   400,    -1,   461,    -1,
      99,    -1,   103,    -1,   104,    -1,   105,    -1,   106,    -1,
     107,    -1,   108,    -1,   109,    -1,   112,    -1,   124,    -1,
     130,    -1,   131,    -1,   137,    -1,   143,    -1,   145,    -1,
     153,    -1,   160,    -1,   164,    -1,   165,    -1,   166,    -1,
     168,    -1,   169,    -1,   170,    -1,   180,    -1,   182,    -1,
     188,    -1,   192,    -1,   193,    -1,   199,    -1,   203,    -1,
     206,    -1,   216,    -1,   218,    -1,   222,    -1,   224,    -1,
     227,    -1,   232,    -1,   235,    -1,   237,    -1,   247,    -1,
     254,    -1,   264,    -1,   266,    -1,   279,    -1,   285,    -1,
     289,    -1,   290,    -1,   309,    -1,   314,    -1,   321,    -1,
     323,    -1,   324,    -1,   328,    -1,   329,    -1,   342,    -1,
     350,    -1,   363,    -1,   374,    -1,   389,    -1,   395,    -1,
     404,    -1,   416,    -1,   419,    -1,   426,    -1,   430,    -1,
     435,    -1,   444,    -1,   450,    -1,   451,    -1,   459,    -1,
     465,    -1,   466,    -1,   468,    -1,   469,    -1,    -1,  1049,
    1050,    -1,  1171,  1053,   513,   507,    -1,  1171,   513,   507,
      -1,  1171,  1073,    -1,  1078,    -1,  1190,    -1,    73,    -1,
     509,    -1,   510,    -1,    -1,   160,   587,   419,   623,   108,
    1052,   893,   624,    -1,   113,  1114,    -1,     9,   429,  1055,
    1062,  1063,    -1,     9,   429,   180,    -1,     9,  1064,    -1,
     174,  1055,    -1,  1056,  1059,  1061,    -1,  1057,   508,  1058,
    1061,   497,  1056,  1067,    -1,  1066,    -1,  1182,    -1,  1034,
      -1,    -1,  1184,  1178,    -1,    85,  1060,    -1,  1058,    -1,
      -1,  1162,    -1,  1162,   505,  1060,    -1,    74,    -1,   508,
    1041,    -1,    -1,   108,  1114,    -1,    -1,   450,  1064,    -1,
      -1,  1065,    -1,  1065,   497,  1065,    -1,  1065,    21,   125,
    1065,    -1,  1065,   451,  1065,    -1,  1042,    -1,  1182,    -1,
    1176,    -1,  1178,    -1,    85,  1068,    -1,    -1,  1162,  1069,
      -1,  1162,  1069,    85,  1068,    -1,    -1,   490,  1041,    -1,
     490,  1184,    -1,   490,  1176,    -1,  1033,    -1,  1066,    -1,
     179,   890,   891,   171,   892,   222,  1070,    -1,   210,   244,
    1115,    -1,  1074,    -1,  1085,    -1,  1087,    -1,   631,    -1,
     506,   631,    -1,    -1,   968,    -1,   484,   429,   296,    -1,
     484,   429,   387,    -1,   175,   429,   175,    -1,   299,   429,
     299,    -1,    -1,  1080,  1079,  1082,  1081,    -1,  1171,   118,
     179,    34,   507,    -1,  1171,   203,   179,    34,   507,    -1,
      -1,  1083,    -1,  1074,    -1,    73,    -1,  1083,  1074,    -1,
    1083,    73,    -1,  1087,    -1,  1084,  1087,    -1,    -1,    70,
    1086,  1094,  1110,  1166,   947,   507,    -1,    -1,  1091,  1094,
    1088,  1107,   507,    -1,    -1,  1094,  1089,  1107,   507,    -1,
    1097,   507,    -1,   508,  1041,    -1,    -1,  1092,  1093,    -1,
    1092,    -1,  1093,    -1,    56,    -1,    67,    -1,    65,    -1,
      50,    -1,    51,    -1,    69,    -1,  1103,    -1,  1099,    -1,
    1095,    -1,  1166,   503,  1075,  1076,   504,    -1,  1166,  1077,
      -1,  1101,    -1,   204,  1160,  1096,    -1,   204,  1096,    -1,
     204,  1160,    -1,   509,  1188,   510,    -1,    -1,  1101,  1098,
     509,  1084,   510,    -1,  1097,    -1,    -1,  1102,  1100,   509,
    1084,   510,    -1,    43,  1160,    -1,   443,  1160,    -1,    43,
      -1,   443,    -1,  1104,    -1,  1106,  1105,    -1,    44,    35,
      -1,    44,    35,   262,    -1,    44,    -1,    44,   262,    -1,
      44,    25,    -1,    44,    25,   262,    -1,    44,    25,    25,
      -1,    44,    25,    25,   262,    -1,    44,   134,    -1,    35,
      -1,    35,   262,    -1,   262,    -1,    25,    -1,    25,   262,
      -1,    25,    25,    -1,    25,    25,   262,    -1,     5,    -1,
     134,    -1,   196,    -1,    36,    -1,    -1,  1108,    -1,  1107,
     506,  1108,    -1,  1110,  1165,   947,  1090,  1109,    -1,    -1,
     490,  1189,    -1,    -1,   496,    -1,   496,   496,    -1,   179,
     408,  1184,    -1,    15,  1113,    -1,  1114,    -1,   163,    -1,
      99,    -1,    -1,  1034,    -1,   180,    -1,  1066,    -1,  1066,
      -1,    71,    -1,    17,   890,    -1,    17,    99,    -1,    28,
     890,  1118,    -1,    -1,  1119,    -1,   451,  1123,    -1,  1120,
      -1,   451,    37,    14,  1185,    -1,   451,    14,  1033,    -1,
     266,    37,    14,  1185,    -1,   266,    14,  1033,    -1,   266,
    1033,    -1,  1124,    -1,  1124,   506,  1123,    -1,  1125,    -1,
    1176,    -1,  1174,    -1,  1041,    -1,   494,  1041,    -1,   495,
    1041,    -1,  1181,    -1,   494,  1181,    -1,   495,  1181,    -1,
    1182,    -1,  1180,    -1,  1183,    -1,    13,   258,  1070,  1120,
      -1,    13,  1127,  1070,  1120,    -1,    13,  1127,  1070,  1121,
      -1,    13,   258,  1070,  1122,    -1,    13,  1127,  1070,  1122,
      -1,    29,    -1,    -1,     3,    14,  1185,    -1,   176,    14,
    1185,    -1,    18,    14,  1185,  1131,    -1,  1132,    -1,  1131,
     506,  1132,    -1,  1178,   490,  1137,    -1,   396,    14,  1185,
    1134,    -1,  1135,    -1,  1134,   506,  1135,    -1,  1137,   490,
    1136,    -1,  1041,    -1,  1178,    -1,    10,    -1,    18,    14,
    1185,   456,  1136,  1139,    -1,  1140,    -1,  1139,   506,  1140,
      -1,  1178,   490,  1145,    -1,   396,    14,  1185,   456,  1136,
    1142,    -1,  1143,    -1,  1142,   506,  1143,    -1,  1145,   490,
    1144,    -1,  1181,    -1,  1136,    -1,   495,  1181,    -1,   495,
    1041,    -1,  1182,    -1,     8,    -1,   173,    -1,    11,    -1,
      12,    -1,    22,    -1,    23,    -1,    24,    -1,   301,    -1,
      26,    -1,    27,    -1,   346,    -1,    31,    -1,    32,    -1,
      33,    -1,   438,    -1,   396,     4,   490,  1147,    -1,   396,
       4,   429,  1147,    -1,   323,    -1,   320,    -1,   396,   152,
     429,  1114,    -1,   396,   152,   490,  1114,    -1,   396,   152,
    1114,    -1,    -1,   438,  1150,  1166,   268,  1094,   947,  1151,
      -1,    30,    -1,    -1,    -1,    45,  1153,  1164,   268,  1094,
     947,  1151,    -1,    46,    38,  1155,    -1,    46,   309,    16,
    1155,    -1,    46,    40,  1155,    -1,   156,    -1,    39,    -1,
      42,    -1,    20,  1033,    -1,    19,   429,  1033,    -1,   193,
    1033,   503,  1172,   504,    -1,   193,     6,    -1,     7,  1033,
     503,  1172,   504,    -1,     7,  1033,    -1,  1157,    -1,  1158,
      -1,     6,    -1,     7,    -1,     8,    -1,    10,    -1,    11,
      -1,    12,    -1,    16,    -1,    19,    -1,    20,    -1,    21,
      -1,    22,    -1,    23,    -1,    24,    -1,    26,    -1,    27,
      -1,    31,    -1,    32,    -1,    33,    -1,    34,    -1,    37,
      -1,    38,    -1,    39,    -1,    40,    -1,    42,    -1,     9,
      -1,    13,    -1,    15,    -1,    28,    -1,    45,    -1,    46,
      -1,     5,    -1,    25,    -1,    29,    -1,    35,    -1,    43,
      -1,    36,    -1,    44,    -1,  1164,    -1,  1184,    -1,  1045,
      -1,  1046,    -1,  1169,    -1,  1156,    -1,  1167,    -1,   134,
      -1,   457,    -1,  1184,    -1,  1168,    -1,  1046,    -1,  1156,
      -1,  1167,    -1,   134,    -1,   457,    -1,  1184,    -1,  1168,
      -1,  1047,    -1,  1156,    -1,  1167,    -1,  1159,    -1,  1165,
      -1,  1159,    -1,   134,    -1,   163,    -1,   258,    -1,   262,
      -1,   429,    -1,   443,    -1,   457,    -1,  1167,    -1,  1169,
      -1,  1166,    -1,  1045,    -1,  1048,    -1,  1158,    -1,   152,
      -1,  1184,    -1,  1046,    -1,  1047,    -1,  1157,    -1,    50,
      -1,    51,    -1,    56,    -1,    65,    -1,    67,    -1,    70,
      -1,    69,    -1,  1045,    -1,  1169,    -1,   152,    -1,   175,
      -1,   240,    -1,   296,    -1,   299,    -1,   387,    -1,   484,
      -1,  1173,    -1,  1170,   506,  1173,    -1,    41,    -1,    -1,
    1188,    -1,  1178,  1177,    -1,  1178,    -1,  1178,  1177,    -1,
    1066,    -1,  1178,    -1,  1178,    -1,    22,  1178,    -1,    22,
    1033,    -1,    72,    -1,    87,    -1,    83,    -1,    81,    -1,
      82,    -1,    76,    -1,    77,    -1,    78,    -1,    75,    -1,
      84,    -1,    80,    -1,    71,    -1,    79,    -1,  1033,    -1,
    1066,    -1,  1191,    -1,   503,   504,    -1,   503,  1187,   504,
      -1,  1186,    -1,  1187,  1186,    -1,  1189,    -1,  1188,   506,
    1189,    -1,  1187,    -1,   509,  1188,   510,    -1,  1191,    -1,
     503,    -1,   504,    -1,   506,    -1,   507,    -1,  1184,    -1,
    1041,    -1,  1181,    -1,  1182,    -1,   496,    -1,   494,    -1,
     495,    -1,   497,    -1,   498,    -1,   314,    -1,    47,    -1,
      48,    -1,    49,    -1,    50,    -1,    51,    -1,    52,    -1,
      53,    -1,    54,    -1,    55,    -1,    56,    -1,    57,    -1,
      58,    -1,    60,    -1,    59,    -1,    61,    -1,    62,    -1,
      63,    -1,    64,    -1,    65,    -1,    66,    -1,    67,    -1,
      68,    -1,    70,    -1,    69,    -1,     5,    -1,   204,    -1,
     240,    -1,   262,    -1,    25,    -1,   296,    -1,   299,    -1,
     387,    -1,    35,    -1,    36,    -1,    43,    -1,    44,    -1,
     484,    -1,   134,    -1,   220,    -1,   429,    -1,   443,    -1,
     458,    -1,   501,    -1,   502,    -1,   490,    -1,   508,    -1,
     176,  1070,    -1,   176,   348,  1070,    -1,   176,    99,    -1,
     176,   348,    99,    -1,  1041,    -1,   503,  1193,   504,    -1,
    1193,   494,  1193,    -1,  1193,   495,  1193,    -1,  1193,   496,
    1193,    -1,  1193,   497,  1193,    -1,  1193,   498,  1193,    -1,
    1182,    -1,  1162,    -1,    -1,  1119,  1195,    -1,  1195,  1119,
      -1,  1119,    -1,  1195,    -1,   266,  1170,    -1,  1121,    -1,
    1195,    -1,  1120,    -1,    -1,  1196,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1465,  1465,  1468,  1470,  1472,  1474,  1476,  1478,  1480,
    1482,  1484,  1486,  1488,  1490,  1492,  1494,  1496,  1498,  1500,
    1502,  1504,  1506,  1508,  1510,  1512,  1514,  1516,  1518,  1520,
    1538,  1540,  1542,  1544,  1546,  1548,  1550,  1552,  1554,  1556,
    1558,  1560,  1562,  1564,  1566,  1568,  1570,  1572,  1574,  1576,
    1578,  1580,  1582,  1584,  1586,  1588,  1590,  1592,  1594,  1598,
    1600,  1602,  1604,  1606,  1608,  1610,  1612,  1614,  1616,  1618,
    1620,  1622,  1624,  1626,  1628,  1630,  1632,  1634,  1636,  1638,
    1640,  1642,  1644,  1646,  1648,  1650,  1652,  1654,  1656,  1658,
    1660,  1662,  1664,  1671,  1673,  1675,  1677,  1679,  1681,  1683,
    1685,  1687,  1689,  1691,  1693,  1699,  1701,  1703,  1705,  1707,
    1709,  1711,  1713,  1715,  1721,  1731,  1735,  1741,  1745,  1755,
    1765,  1766,  1780,  1787,  1793,  1804,  1810,  1819,  1826,  1832,
    1841,  1848,  1856,  1861,  1869,  1874,  1880,  1885,  1891,  1896,
    1902,  1906,  1910,  1914,  1918,  1922,  1926,  1930,  1934,  1942,
    1946,  1950,  1954,  1958,  1962,  1970,  1978,  1987,  1989,  1997,
    2005,  2013,  2021,  2025,  2033,  2037,  2045,  2053,  2061,  2065,
    2073,  2077,  2085,  2089,  2097,  2102,  2108,  2113,  2119,  2123,
    2127,  2131,  2135,  2139,  2147,  2151,  2155,  2163,  2167,  2171,
    2179,  2183,  2187,  2191,  2195,  2199,  2203,  2208,  2212,  2216,
    2220,  2224,  2228,  2232,  2240,  2244,  2252,  2256,  2264,  2268,
    2282,  2286,  2290,  2294,  2302,  2306,  2310,  2314,  2322,  2326,
    2330,  2334,  2338,  2342,  2346,  2354,  2358,  2363,  2369,  2373,
    2381,  2385,  2389,  2393,  2397,  2405,  2409,  2417,  2421,  2429,
    2433,  2437,  2441,  2445,  2454,  2462,  2466,  2474,  2478,  2486,
    2494,  2498,  2502,  2506,  2514,  2518,  2522,  2526,  2530,  2534,
    2538,  2542,  2550,  2554,  2562,  2566,  2570,  2574,  2578,  2582,
    2586,  2590,  2594,  2598,  2602,  2606,  2610,  2614,  2618,  2622,
    2626,  2630,  2634,  2638,  2642,  2646,  2650,  2654,  2658,  2662,
    2666,  2670,  2674,  2678,  2682,  2686,  2690,  2694,  2698,  2702,
    2706,  2710,  2714,  2718,  2722,  2726,  2734,  2738,  2746,  2750,
    2755,  2761,  2766,  2772,  2777,  2783,  2791,  2796,  2802,  2806,
    2814,  2818,  2822,  2826,  2834,  2842,  2846,  2854,  2858,  2862,
    2866,  2874,  2879,  2887,  2898,  2909,  2913,  2921,  2925,  2929,
    2937,  2941,  2949,  2954,  2960,  2964,  2968,  2972,  2976,  2980,
    2984,  2988,  2992,  2996,  3000,  3004,  3012,  3017,  3023,  3028,
    3034,  3039,  3045,  3050,  3056,  3060,  3068,  3076,  3080,  3084,
    3088,  3093,  3099,  3103,  3111,  3119,  3123,  3127,  3131,  3139,
    3143,  3147,  3151,  3155,  3159,  3163,  3168,  3174,  3179,  3185,
    3190,  3196,  3200,  3208,  3212,  3220,  3224,  3228,  3236,  3240,
    3248,  3256,  3264,  3269,  3275,  3279,  3283,  3287,  3295,  3299,
    3303,  3307,  3311,  3315,  3319,  3327,  3331,  3335,  3339,  3347,
    3355,  3359,  3364,  3370,  3374,  3378,  3382,  3386,  3390,  3398,
    3402,  3410,  3414,  3418,  3422,  3426,  3430,  3434,  3442,  3447,
    3453,  3458,  3464,  3468,  3476,  3484,  3488,  3493,  3498,  3504,
    3508,  3516,  3520,  3528,  3533,  3539,  3543,  3547,  3551,  3556,
    3562,  3570,  3578,  3582,  3586,  3590,  3594,  3602,  3607,  3613,
    3617,  3621,  3626,  3632,  3636,  3640,  3645,  3651,  3656,  3662,
    3667,  3673,  3681,  3689,  3693,  3698,  3704,  3712,  3716,  3724,
    3729,  3735,  3739,  3747,  3751,  3755,  3759,  3763,  3767,  3771,
    3775,  3779,  3783,  3787,  3791,  3799,  3804,  3810,  3814,  3818,
    3826,  3830,  3838,  3842,  3850,  3855,  3861,  3865,  3873,  3878,
    3884,  3888,  3896,  3901,  3907,  3911,  3919,  3924,  3930,  3938,
    3943,  3949,  3953,  3961,  3965,  3973,  3978,  3984,  3988,  3992,
    4000,  4008,  4013,  4019,  4027,  4031,  4035,  4039,  4043,  4047,
    4051,  4055,  4059,  4063,  4067,  4071,  4075,  4079,  4083,  4087,
    4091,  4095,  4099,  4103,  4107,  4111,  4119,  4127,  4131,  4135,
    4139,  4147,  4151,  4159,  4164,  4170,  4174,  4182,  4186,  4194,
    4199,  4205,  4209,  4217,  4225,  4229,  4237,  4241,  4245,  4249,
    4257,  4265,  4273,  4281,  4289,  4294,  4300,  4304,  4312,  4317,
    4323,  4327,  4335,  4339,  4343,  4351,  4355,  4363,  4367,  4375,
    4379,  4387,  4395,  4399,  4407,  4415,  4419,  4423,  4431,  4435,
    4443,  4451,  4455,  4463,  4467,  4471,  4479,  4483,  4491,  4495,
    4499,  4503,  4507,  4515,  4520,  4526,  4531,  4537,  4541,  4549,
    4554,  4560,  4564,  4569,  4575,  4579,  4583,  4587,  4595,  4600,
    4607,  4609,  4617,  4621,  4625,  4629,  4633,  4637,  4645,  4649,
    4657,  4666,  4675,  4679,  4683,  4687,  4691,  4695,  4699,  4703,
    4707,  4711,  4715,  4719,  4723,  4727,  4735,  4743,  4747,  4755,
    4759,  4767,  4771,  4775,  4779,  4783,  4791,  4795,  4803,  4811,
    4815,  4823,  4831,  4836,  4842,  4846,  4854,  4858,  4862,  4870,
    4878,  4882,  4890,  4894,  4898,  4902,  4906,  4914,  4919,  4925,
    4930,  4936,  4940,  4945,  4951,  4957,  4963,  4971,  4975,  4983,
    4987,  4995,  4999,  5007,  5011,  5019,  5023,  5031,  5039,  5047,
    5051,  5055,  5059,  5067,  5071,  5075,  5079,  5083,  5087,  5091,
    5095,  5099,  5103,  5107,  5111,  5115,  5119,  5123,  5131,  5135,
    5143,  5147,  5155,  5159,  5167,  5175,  5179,  5184,  5190,  5194,
    5198,  5202,  5206,  5210,  5214,  5218,  5222,  5226,  5230,  5234,
    5238,  5242,  5246,  5250,  5254,  5262,  5266,  5270,  5274,  5278,
    5282,  5286,  5290,  5294,  5298,  5302,  5306,  5310,  5314,  5318,
    5322,  5326,  5334,  5338,  5346,  5350,  5354,  5358,  5362,  5370,
    5375,  5381,  5385,  5389,  5393,  5397,  5401,  5405,  5409,  5413,
    5417,  5421,  5429,  5433,  5441,  5445,  5449,  5453,  5459,  5465,
    5471,  5477,  5483,  5489,  5495,  5505,  5516,  5527,  5538,  5549,
    5560,  5571,  5587,  5603,  5619,  5630,  5646,  5657,  5673,  5688,
    5692,  5700,  5705,  5711,  5719,  5723,  5731,  5735,  5739,  5743,
    5747,  5755,  5759,  5767,  5771,  5775,  5779,  5787,  5791,  5795,
    5799,  5803,  5807,  5811,  5815,  5819,  5823,  5827,  5831,  5835,
    5839,  5843,  5847,  5855,  5859,  5867,  5871,  5879,  5884,  5890,
    5894,  5902,  5910,  5918,  5922,  5930,  5935,  5941,  5946,  5952,
    5960,  5965,  5971,  5975,  5979,  5987,  5991,  5995,  6003,  6007,
    6011,  6015,  6023,  6031,  6036,  6042,  6047,  6053,  6058,  6064,
    6069,  6075,  6079,  6087,  6091,  6095,  6103,  6108,  6114,  6118,
    6123,  6129,  6133,  6138,  6144,  6148,  6153,  6159,  6163,  6167,
    6175,  6180,  6186,  6190,  6198,  6202,  6210,  6214,  6222,  6226,
    6234,  6238,  6242,  6246,  6250,  6258,  6262,  6266,  6270,  6274,
    6282,  6290,  6298,  6302,  6306,  6314,  6318,  6322,  6330,  6334,
    6342,  6346,  6350,  6354,  6358,  6362,  6366,  6370,  6374,  6378,
    6382,  6386,  6390,  6394,  6398,  6406,  6410,  6414,  6418,  6426,
    6430,  6438,  6443,  6449,  6457,  6461,  6469,  6477,  6481,  6489,
    6494,  6500,  6504,  6512,  6516,  6524,  6528,  6536,  6540,  6544,
    6548,  6556,  6560,  6568,  6576,  6580,  6588,  6592,  6600,  6604,
    6608,  6616,  6620,  6625,  6631,  6639,  6644,  6650,  6654,  6658,
    6666,  6670,  6678,  6683,  6689,  6693,  6697,  6701,  6705,  6709,
    6713,  6717,  6721,  6725,  6729,  6733,  6737,  6741,  6745,  6749,
    6753,  6757,  6761,  6765,  6769,  6773,  6777,  6781,  6785,  6789,
    6793,  6797,  6801,  6805,  6809,  6813,  6817,  6821,  6825,  6829,
    6833,  6837,  6841,  6845,  6849,  6857,  6862,  6868,  6873,  6879,
    6883,  6887,  6891,  6895,  6899,  6903,  6907,  6911,  6915,  6919,
    6923,  6927,  6931,  6935,  6939,  6943,  6947,  6951,  6955,  6959,
    6963,  6971,  6975,  6979,  6983,  6987,  6991,  6995,  6999,  7003,
    7007,  7011,  7015,  7019,  7023,  7027,  7031,  7035,  7039,  7047,
    7055,  7059,  7063,  7071,  7075,  7083,  7087,  7091,  7095,  7099,
    7107,  7112,  7118,  7122,  7126,  7130,  7138,  7142,  7147,  7153,
    7157,  7165,  7173,  7178,  7184,  7192,  7196,  7204,  7208,  7212,
    7216,  7220,  7224,  7228,  7232,  7236,  7240,  7244,  7248,  7252,
    7256,  7264,  7268,  7273,  7279,  7283,  7287,  7291,  7295,  7303,
    7307,  7311,  7319,  7324,  7330,  7334,  7342,  7347,  7352,  7358,
    7364,  7372,  7380,  7385,  7391,  7395,  7399,  7403,  7407,  7411,
    7415,  7419,  7423,  7427,  7431,  7435,  7439,  7443,  7447,  7451,
    7459,  7464,  7470,  7474,  7482,  7490,  7495,  7501,  7509,  7513,
    7521,  7529,  7533,  7537,  7541,  7545,  7549,  7553,  7561,  7566,
    7572,  7580,  7584,  7588,  7592,  7596,  7600,  7608,  7616,  7620,
    7624,  7632,  7637,  7643,  7647,  7651,  7655,  7659,  7667,  7671,
    7679,  7683,  7687,  7691,  7699,  7703,  7711,  7715,  7723,  7728,
    7734,  7739,  7745,  7750,  7756,  7761,  7767,  7771,  7775,  7779,
    7787,  7791,  7795,  7799,  7803,  7807,  7811,  7819,  7823,  7831,
    7839,  7843,  7851,  7855,  7860,  7866,  7872,  7882,  7887,  7893,
    7897,  7901,  7905,  7913,  7915,  7923,  7928,  7934,  7942,  7946,
    7950,  7958,  7962,  7970,  7978,  7983,  7989,  7997,  8002,  8008,
    8016,  8021,  8027,  8031,  8035,  8039,  8043,  8047,  8051,  8055,
    8063,  8068,  8074,  8082,  8086,  8094,  8098,  8106,  8114,  8122,
    8130,  8134,  8142,  8195,  8199,  8212,  8214,  8218,  8222,  8226,
    8235,  8241,  8245,  8253,  8257,  8265,  8269,  8277,  8281,  8285,
    8289,  8293,  8297,  8301,  8305,  8313,  8317,  8325,  8329,  8333,
    8337,  8341,  8345,  8353,  8357,  8365,  8369,  8377,  8385,  8390,
    8396,  8401,  8403,  8409,  8413,  8417,  8421,  8425,  8429,  8433,
    8437,  8441,  8449,  8454,  8460,  8464,  8469,  8475,  8479,  8483,
    8488,  8494,  8499,  8505,  8513,  8517,  8525,  8529,  8537,  8541,
    8545,  8549,  8557,  8562,  8568,  8572,  8577,  8585,  8589,  8597,
    8601,  8609,  8617,  8621,  8626,  8632,  8640,  8644,  8652,  8656,
    8664,  8669,  8675,  8680,  8686,  8690,  8698,  8703,  8709,  8713,
    8721,  8725,  8733,  8738,  8744,  8748,  8756,  8761,  8767,  8771,
    8779,  8783,  8787,  8791,  8795,  8799,  8803,  8807,  8813,  8817,
    8821,  8829,  8833,  8837,  8841,  8845,  8849,  8857,  8861,  8865,
    8869,  8877,  8881,  8885,  8889,  8897,  8902,  8908,  8912,  8920,
    8924,  8928,  8932,  8940,  8944,  8952,  8956,  8960,  8968,  8976,
    8981,  8987,  8991,  8997,  9003,  9008,  9014,  9018,  9026,  9034,
    9036,  9038,  9042,  9046,  9050,  9058,  9068,  9079,  9088,  9092,
    9096,  9100,  9104,  9108,  9112,  9120,  9124,  9128,  9132,  9140,
    9144,  9152,  9157,  9163,  9167,  9171,  9175,  9179,  9183,  9187,
    9191,  9195,  9199,  9203,  9211,  9216,  9222,  9226,  9234,  9238,
    9246,  9254,  9262,  9266,  9274,  9278,  9286,  9294,  9302,  9306,
    9310,  9314,  9318,  9322,  9330,  9335,  9341,  9346,  9352,  9356,
    9360,  9364,  9372,  9380,  9384,  9389,  9395,  9399,  9403,  9407,
    9411,  9415,  9419,  9423,  9427,  9431,  9435,  9439,  9443,  9448,
    9454,  9458,  9466,  9470,  9474,  9478,  9482,  9486,  9490,  9494,
    9498,  9502,  9506,  9510,  9514,  9518,  9522,  9526,  9530,  9534,
    9538,  9542,  9546,  9550,  9554,  9558,  9562,  9566,  9570,  9574,
    9578,  9582,  9586,  9590,  9594,  9598,  9602,  9606,  9610,  9614,
    9618,  9622,  9626,  9630,  9634,  9638,  9642,  9646,  9650,  9654,
    9658,  9662,  9666,  9670,  9674,  9678,  9682,  9686,  9690,  9695,
    9699,  9707,  9711,  9715,  9719,  9723,  9727,  9731,  9735,  9739,
    9743,  9747,  9751,  9755,  9759,  9763,  9767,  9771,  9775,  9779,
    9783,  9787,  9791,  9799,  9803,  9807,  9811,  9815,  9819,  9823,
    9827,  9831,  9835,  9839,  9843,  9851,  9855,  9859,  9863,  9867,
    9871,  9875,  9879,  9883,  9887,  9891,  9895,  9899,  9903,  9907,
    9911,  9915,  9919,  9923,  9927,  9931,  9935,  9939,  9943,  9947,
    9951,  9955,  9959,  9963,  9967,  9971,  9975,  9979,  9983,  9987,
    9991,  9995,  9999, 10003, 10007, 10011, 10015, 10019, 10023, 10027,
   10031, 10035, 10039, 10043, 10047, 10055, 10059, 10067, 10071, 10075,
   10080, 10086, 10094, 10098, 10106, 10110, 10118, 10122, 10130, 10134,
   10139, 10145, 10149, 10153, 10157, 10165, 10170, 10176, 10180, 10188,
   10196, 10200, 10205, 10211, 10219, 10223, 10230, 10235, 10241, 10246,
   10251, 10257, 10261, 10269, 10273, 10277, 10281, 10285, 10293, 10297,
   10301, 10309, 10313, 10317, 10325, 10329, 10337, 10341, 10345, 10349,
   10353, 10357, 10361, 10365, 10369, 10377, 10381, 10389, 10393, 10401,
   10405, 10409, 10413, 10417, 10421, 10429, 10433, 10441, 10445, 10453,
   10457, 10465, 10469, 10477, 10481, 10485, 10493, 10497, 10505, 10510,
   10516, 10520, 10524, 10528, 10532, 10536, 10540, 10544, 10552, 10556,
   10564, 10572, 10577, 10583, 10587, 10591, 10595, 10599, 10604, 10610,
   10618, 10626, 10630, 10634, 10642, 10646, 10654, 10662, 10666, 10674,
   10682, 10687, 10693, 10698, 10704, 10708, 10716, 10720, 10724, 10728,
   10736, 10740, 10749, 10751, 10759, 10764, 10770, 10774, 10782, 10786,
   10794, 10802, 10806, 10814, 10818, 10822, 10826, 10834, 10838, 10846,
   10850, 10858, 10862, 10870, 10878, 10886, 10894, 10902, 10910, 10918,
   10922, 10930, 10934, 10938, 10942, 10946, 10950, 10954, 10958, 10962,
   10966, 10970, 10974, 10978, 10982, 10983, 10988, 10994, 11002, 11006,
   11007, 11011, 11019, 11023, 11027, 11031, 11039, 11043, 11047, 11051,
   11055, 11059, 11063, 11067, 11071, 11075, 11079, 11083, 11087, 11091,
   11095, 11099, 11103, 11107, 11111, 11115, 11119, 11123, 11127, 11131,
   11135, 11139, 11143, 11147, 11151, 11155, 11159, 11163, 11167, 11171,
   11175, 11179, 11183, 11187, 11191, 11195, 11199, 11203, 11207, 11211,
   11215, 11219, 11223, 11227, 11231, 11235, 11239, 11243, 11247, 11251,
   11255, 11259, 11263, 11267, 11271, 11275, 11279, 11283, 11287, 11291,
   11295, 11299, 11303, 11307, 11311, 11315, 11319, 11323, 11327, 11331,
   11335, 11339, 11343, 11347, 11351, 11355, 11359, 11363, 11367, 11371,
   11375, 11379, 11383, 11387, 11391, 11395, 11399, 11403, 11407, 11411,
   11415, 11419, 11423, 11427, 11431, 11435, 11439, 11443, 11447, 11451,
   11455, 11459, 11463, 11467, 11471, 11475, 11479, 11483, 11487, 11491,
   11495, 11499, 11503, 11507, 11511, 11515, 11519, 11523, 11527, 11531,
   11535, 11539, 11543, 11547, 11551, 11555, 11559, 11563, 11567, 11571,
   11575, 11579, 11583, 11587, 11591, 11595, 11599, 11603, 11607, 11611,
   11615, 11619, 11623, 11627, 11631, 11635, 11639, 11643, 11647, 11651,
   11655, 11659, 11663, 11667, 11671, 11675, 11679, 11683, 11687, 11691,
   11695, 11699, 11703, 11707, 11711, 11715, 11719, 11723, 11727, 11731,
   11735, 11739, 11743, 11747, 11751, 11755, 11759, 11763, 11767, 11771,
   11775, 11779, 11783, 11787, 11791, 11795, 11799, 11803, 11807, 11811,
   11815, 11819, 11823, 11827, 11831, 11835, 11839, 11843, 11847, 11851,
   11855, 11859, 11863, 11867, 11871, 11875, 11879, 11883, 11887, 11891,
   11895, 11899, 11903, 11907, 11911, 11915, 11919, 11923, 11927, 11931,
   11935, 11939, 11943, 11947, 11951, 11955, 11959, 11963, 11967, 11971,
   11975, 11979, 11983, 11987, 11991, 11995, 11999, 12007, 12011, 12015,
   12019, 12023, 12027, 12031, 12035, 12039, 12043, 12047, 12051, 12055,
   12059, 12063, 12067, 12071, 12075, 12079, 12083, 12087, 12091, 12095,
   12099, 12103, 12107, 12111, 12115, 12119, 12123, 12127, 12131, 12135,
   12139, 12143, 12147, 12151, 12155, 12159, 12163, 12167, 12171, 12175,
   12179, 12187, 12191, 12195, 12199, 12203, 12207, 12211, 12215, 12219,
   12223, 12227, 12231, 12235, 12239, 12243, 12247, 12251, 12255, 12259,
   12263, 12267, 12271, 12275, 12283, 12287, 12291, 12295, 12299, 12303,
   12307, 12311, 12315, 12319, 12323, 12327, 12331, 12335, 12339, 12343,
   12347, 12351, 12355, 12359, 12363, 12367, 12371, 12375, 12379, 12383,
   12387, 12391, 12395, 12399, 12403, 12407, 12411, 12415, 12419, 12423,
   12427, 12431, 12435, 12439, 12443, 12447, 12451, 12455, 12459, 12463,
   12467, 12471, 12475, 12479, 12483, 12487, 12491, 12495, 12499, 12503,
   12507, 12511, 12515, 12519, 12523, 12527, 12531, 12535, 12539, 12543,
   12547, 12551, 12555, 12559, 12563, 12567, 12571, 12575, 12585, 12586,
   12589, 12590, 12591, 12597, 12598, 12599, 12600, 12601, 12614, 12614,
   12623, 12638, 12640, 12643, 12645, 12649, 12661, 12677, 12681, 12692,
   12693, 12696, 12708, 12717, 12718, 12721, 12722, 12723, 12726, 12727,
   12730, 12731, 12734, 12735, 12738, 12740, 12742, 12744, 12748, 12755,
   12762, 12778, 12812, 12822, 12825, 12829, 12842, 12843, 12845, 12847,
   12851, 12865, 12872, 12933, 12942, 12944, 12945, 12948, 12950, 12951,
   12954, 12955, 12956, 12957, 12958, 12965, 12964, 12974, 12976, 12978,
   12979, 12982, 12983, 12984, 12985, 12988, 12989, 12993, 12992, 13009,
   13007, 13023, 13022, 13036, 13042, 13043, 13046, 13048, 13049, 13052,
   13053, 13054, 13055, 13058, 13059, 13062, 13070, 13087, 13095, 13118,
   13224, 13258, 13260, 13262, 13266, 13270, 13269, 13320, 13322, 13321,
   13336, 13342, 13349, 13354, 13360, 13361, 13364, 13365, 13366, 13367,
   13368, 13369, 13370, 13378, 13386, 13389, 13390, 13391, 13392, 13393,
   13394, 13402, 13410, 13411, 13412, 13415, 13416, 13419, 13421, 13425,
   13513, 13514, 13521, 13522, 13523, 13529, 13538, 13541, 13542, 13543,
   13544, 13547, 13548, 13549, 13552, 13554, 13562, 13563, 13569, 13577,
   13578, 13581, 13582, 13585, 13590, 13597, 13602, 13609, 13616, 13616,
   13618, 13625, 13626, 13629, 13630, 13631, 13632, 13633, 13634, 13635,
   13636, 13637, 13643, 13650, 13662, 13668, 13675, 13683, 13684, 13696,
   13707, 13718, 13722, 13723, 13726, 13731, 13735, 13736, 13739, 13745,
   13753, 13759, 13766, 13770, 13771, 13774, 13777, 13781, 13782, 13785,
   13791, 13800, 13805, 13815, 13825, 13837, 13838, 13839, 13840, 13841,
   13842, 13843, 13844, 13845, 13846, 13847, 13848, 13849, 13850, 13851,
   13858, 13859, 13862, 13863, 13870, 13871, 13872, 13879, 13878, 13895,
   13896, 13903, 13902, 13972, 13978, 13984, 13992, 13998, 14004, 14010,
   14016, 14022, 14028, 14034, 14040, 14051, 14052, 14055, 14056, 14057,
   14058, 14059, 14060, 14061, 14062, 14063, 14064, 14065, 14066, 14067,
   14068, 14069, 14070, 14071, 14072, 14073, 14074, 14075, 14076, 14077,
   14078, 14081, 14082, 14083, 14084, 14085, 14086, 14090, 14091, 14092,
   14093, 14094, 14095, 14096, 14099, 14102, 14103, 14104, 14105, 14106,
   14107, 14108, 14109, 14122, 14123, 14124, 14125, 14126, 14127, 14128,
   14133, 14134, 14135, 14136, 14137, 14138, 14144, 14145, 14146, 14147,
   14148, 14149, 14150, 14151, 14152, 14153, 14154, 14157, 14158, 14159,
   14160, 14161, 14164, 14165, 14166, 14167, 14170, 14171, 14172, 14173,
   14174, 14175, 14176, 14193, 14194, 14195, 14198, 14199, 14200, 14201,
   14202, 14203, 14207, 14207, 14210, 14216, 14217, 14220, 14222, 14227,
   14237, 14248, 14255, 14256, 14257, 14260, 14293, 14295, 14297, 14300,
   14310, 14320, 14330, 14331, 14334, 14336, 14337, 14338, 14341, 14343,
   14351, 14352, 14353, 14357, 14358, 14362, 14363, 14366, 14367, 14370,
   14371, 14372, 14373, 14374, 14377, 14378, 14379, 14380, 14381, 14382,
   14383, 14384, 14385, 14386, 14387, 14388, 14389, 14390, 14391, 14392,
   14393, 14394, 14395, 14396, 14397, 14398, 14399, 14400, 14401, 14402,
   14403, 14404, 14405, 14406, 14407, 14408, 14409, 14410, 14411, 14412,
   14413, 14414, 14415, 14416, 14417, 14418, 14419, 14420, 14421, 14422,
   14423, 14424, 14425, 14426, 14427, 14428, 14429, 14430, 14431, 14432,
   14435, 14436, 14437, 14438, 14441, 14442, 14443, 14444, 14445, 14446,
   14447, 14448, 14449, 14452, 14453, 14454, 14455, 14456, 14459, 14460,
   14463, 14464, 14475, 14476
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY",
  "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT",
  "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P", "OUTER_P", "OVER",
  "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P",
  "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VOLATILE",
  "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'",
  "'{'", "'}'", "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateSeqStmt", "AlterSeqStmt",
  "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly",
  "NumericOnly_list", "CreatePLangStmt", "opt_trusted", "handler_name",
  "opt_inline_handler", "validator_clause", "opt_validator",
  "DropPLangStmt", "opt_procedural", "CreateTableSpaceStmt",
  "OptTableSpaceOwner", "DropTableSpaceStmt", "CreateExtensionStmt",
  "create_extension_opt_list", "create_extension_opt_item",
  "AlterExtensionStmt", "alter_extension_opt_list",
  "alter_extension_opt_item", "AlterExtensionContentsStmt",
  "CreateFdwStmt", "fdw_option", "fdw_options", "opt_fdw_options",
  "DropFdwStmt", "AlterFdwStmt", "create_generic_options",
  "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "SignedIconst", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
      61,    60,    62,   745,    43,    45,    42,    47,    37,    94,
     746,    91,    93,    40,    41,    46,    44,    59,    58,   123,
     125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   511,   512,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   514,   515,   515,   516,   516,   517,   517,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   519,
     519,   519,   519,   519,   519,   520,   521,   522,   522,   523,
     524,   525,   526,   526,   527,   527,   528,   529,   530,   530,
     531,   531,   532,   532,   533,   533,   534,   534,   535,   535,
     535,   535,   535,   535,   536,   536,   536,   537,   537,   537,
     538,   538,   538,   538,   538,   538,   538,   538,   538,   538,
     538,   538,   538,   538,   539,   539,   540,   540,   541,   541,
     542,   542,   542,   542,   543,   543,   543,   543,   544,   544,
     544,   544,   544,   544,   544,   545,   545,   545,   546,   546,
     547,   547,   547,   547,   547,   548,   548,   549,   549,   550,
     550,   550,   550,   550,   551,   552,   552,   553,   553,   554,
     555,   555,   555,   555,   556,   556,   556,   556,   556,   556,
     556,   556,   557,   557,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   559,   559,   560,   560,
     560,   561,   561,   562,   562,   563,   564,   564,   565,   565,
     566,   566,   566,   566,   567,   568,   568,   569,   569,   569,
     569,   570,   570,   571,   571,   572,   572,   573,   573,   573,
     574,   574,   575,   575,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   577,   577,   578,   578,
     579,   579,   580,   580,   581,   581,   582,   583,   583,   583,
     583,   583,   584,   584,   585,   586,   586,   586,   586,   587,
     587,   587,   587,   587,   587,   587,   587,   588,   588,   589,
     589,   590,   590,   591,   591,   592,   592,   592,   593,   593,
     594,   595,   596,   596,   597,   597,   597,   597,   598,   598,
     598,   598,   598,   598,   598,   599,   599,   599,   599,   600,
     601,   601,   601,   602,   602,   602,   602,   602,   602,   603,
     603,   604,   604,   604,   604,   604,   604,   604,   605,   605,
     606,   606,   607,   607,   608,   609,   609,   609,   609,   610,
     610,   611,   611,   612,   612,   613,   613,   613,   613,   613,
     614,   615,   616,   616,   616,   616,   616,   617,   617,   618,
     618,   618,   618,   619,   619,   619,   619,   620,   620,   621,
     621,   622,   623,   624,   624,   624,   625,   626,   626,   627,
     627,   628,   628,   629,   629,   629,   629,   629,   629,   629,
     629,   629,   629,   629,   629,   630,   630,   631,   631,   631,
     632,   632,   633,   633,   634,   634,   635,   635,   636,   636,
     637,   637,   638,   638,   639,   639,   640,   640,   641,   642,
     642,   643,   643,   644,   644,   645,   645,   646,   646,   646,
     647,   648,   648,   649,   650,   650,   650,   650,   650,   650,
     650,   650,   650,   650,   650,   650,   650,   650,   650,   650,
     650,   650,   650,   650,   650,   650,   651,   652,   652,   652,
     652,   653,   653,   654,   654,   655,   655,   656,   656,   657,
     657,   658,   658,   659,   660,   660,   661,   661,   661,   661,
     662,   663,   664,   665,   666,   666,   667,   667,   668,   668,
     669,   669,   670,   670,   670,   671,   671,   672,   672,   673,
     673,   674,   675,   675,   676,   677,   677,   677,   678,   678,
     679,   680,   680,   681,   681,   681,   682,   682,   683,   683,
     683,   683,   683,   684,   684,   685,   685,   686,   686,   687,
     687,   688,   688,   688,   689,   689,   689,   689,   690,   690,
     691,   691,   692,   692,   692,   692,   692,   692,   693,   693,
     694,   695,   696,   696,   696,   696,   696,   696,   696,   696,
     696,   696,   696,   696,   696,   696,   697,   698,   698,   699,
     699,   700,   700,   700,   700,   700,   701,   701,   702,   703,
     703,   704,   705,   705,   706,   706,   707,   707,   707,   708,
     709,   709,   710,   710,   710,   710,   710,   711,   711,   712,
     712,   713,   713,   713,   714,   714,   715,   716,   716,   717,
     717,   718,   718,   719,   719,   720,   720,   721,   722,   723,
     723,   723,   723,   724,   724,   724,   724,   724,   724,   724,
     724,   724,   724,   724,   724,   724,   724,   724,   725,   725,
     726,   726,   727,   727,   728,   729,   729,   729,   730,   730,
     730,   730,   730,   730,   730,   730,   730,   730,   730,   730,
     730,   730,   730,   730,   730,   731,   731,   731,   731,   731,
     731,   731,   731,   731,   731,   731,   731,   731,   731,   731,
     731,   731,   732,   732,   733,   733,   733,   733,   733,   734,
     734,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   736,   736,   737,   737,   737,   737,   737,   737,
     737,   737,   737,   737,   737,   738,   738,   738,   738,   738,
     738,   738,   738,   738,   738,   738,   738,   738,   738,   739,
     739,   740,   740,   741,   742,   742,   743,   743,   743,   743,
     743,   744,   744,   745,   745,   745,   745,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   747,   747,   748,   748,   749,   749,   750,
     750,   751,   752,   753,   753,   754,   754,   755,   755,   756,
     757,   757,   758,   758,   758,   759,   759,   759,   760,   760,
     760,   760,   761,   762,   762,   763,   763,   764,   764,   765,
     765,   766,   766,   767,   767,   767,   768,   768,   769,   769,
     769,   770,   770,   770,   771,   771,   771,   772,   772,   772,
     773,   773,   774,   774,   775,   775,   776,   776,   777,   777,
     778,   778,   778,   778,   778,   779,   779,   779,   779,   779,
     780,   781,   782,   782,   782,   783,   783,   783,   784,   784,
     785,   785,   785,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   785,   786,   786,   786,   786,   787,
     787,   788,   788,   789,   790,   790,   791,   792,   792,   793,
     793,   794,   794,   795,   795,   796,   796,   797,   797,   797,
     797,   798,   798,   799,   800,   800,   801,   801,   802,   802,
     802,   803,   803,   803,   804,   805,   805,   806,   806,   806,
     807,   807,   808,   808,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   810,   810,   811,   811,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   813,   813,   813,   813,   813,   813,   813,   813,   813,
     813,   813,   813,   813,   813,   813,   813,   813,   813,   814,
     815,   815,   815,   816,   816,   817,   817,   817,   817,   817,
     818,   818,   819,   819,   819,   819,   820,   820,   820,   821,
     821,   822,   823,   823,   824,   825,   825,   826,   826,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   827,   827,   827,   828,   828,   828,   828,   828,   829,
     829,   829,   830,   830,   831,   831,   832,   832,   832,   832,
     833,   834,   835,   835,   836,   836,   836,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   836,   836,
     837,   837,   838,   838,   839,   840,   840,   841,   842,   842,
     843,   844,   844,   844,   844,   844,   844,   844,   845,   845,
     846,   847,   847,   847,   847,   847,   847,   848,   849,   849,
     849,   850,   850,   851,   851,   851,   851,   851,   852,   852,
     853,   853,   853,   853,   854,   854,   855,   855,   856,   856,
     857,   857,   858,   858,   859,   859,   860,   860,   860,   860,
     861,   861,   861,   861,   861,   861,   861,   862,   862,   863,
     864,   864,   865,   865,   865,   866,   866,   867,   867,   868,
     868,   868,   868,   869,   869,   870,   870,   871,   872,   872,
     872,   873,   873,   874,   875,   875,   876,   877,   877,   878,
     879,   879,   880,   880,   880,   880,   880,   880,   880,   880,
     881,   881,   882,   883,   883,   884,   884,   885,   886,   887,
     888,   888,   889,   890,   890,   891,   891,   891,   891,   891,
     892,   892,   892,   893,   893,   894,   894,   895,   895,   895,
     895,   895,   895,   895,   895,   896,   896,   897,   897,   897,
     897,   897,   897,   898,   898,   899,   899,   900,   901,   901,
     902,   902,   902,   903,   903,   903,   903,   903,   903,   903,
     903,   903,   904,   904,   905,   905,   905,   906,   906,   906,
     906,   907,   907,   908,   909,   909,   910,   910,   911,   911,
     911,   911,   912,   912,   913,   913,   913,   914,   914,   915,
     915,   916,   917,   917,   917,   918,   919,   919,   920,   920,
     921,   921,   922,   922,   923,   923,   924,   924,   925,   925,
     926,   926,   927,   927,   928,   928,   929,   929,   930,   930,
     931,   931,   931,   931,   931,   931,   931,   931,   931,   931,
     931,   932,   932,   932,   932,   932,   932,   933,   933,   933,
     933,   934,   934,   934,   934,   935,   935,   936,   936,   937,
     937,   937,   937,   938,   938,   939,   939,   939,   940,   941,
     941,   942,   942,   942,   943,   943,   944,   944,   945,   946,
     946,   946,   946,   946,   946,   947,   947,   947,   948,   948,
     948,   948,   948,   948,   948,   949,   949,   949,   949,   950,
     950,   951,   951,   952,   952,   952,   952,   952,   952,   952,
     952,   952,   952,   952,   953,   953,   954,   954,   955,   955,
     956,   957,   958,   958,   959,   959,   960,   961,   962,   962,
     962,   962,   962,   962,   963,   963,   964,   964,   965,   965,
     965,   965,   966,   967,   967,   967,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     969,   969,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   974,   974,   975,   975,   975,
     975,   976,   977,   977,   978,   978,   979,   979,   980,   980,
     980,   981,   981,   981,   981,   982,   982,   983,   983,   984,
     985,   985,   985,   986,   987,   987,   988,   988,   989,   989,
     989,   990,   990,   991,   991,   991,   991,   991,   992,   992,
     992,   993,   993,   993,   994,   994,   995,   995,   995,   995,
     995,   995,   995,   995,   995,   996,   996,   997,   997,   998,
     998,   998,   998,   998,   998,   999,   999,  1000,  1000,  1001,
    1001,  1002,  1002,  1003,  1003,  1003,  1004,  1004,  1005,  1005,
    1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,  1007,  1007,
    1008,  1009,  1009,  1010,  1010,  1010,  1010,  1010,  1010,  1011,
    1012,  1013,  1013,  1013,  1014,  1014,  1015,  1016,  1016,  1017,
    1018,  1018,  1019,  1019,  1020,  1020,  1021,  1021,  1021,  1021,
    1022,  1022,  1023,  1023,  1024,  1024,  1025,  1025,  1026,  1026,
    1027,  1028,  1028,  1029,  1029,  1029,  1029,  1030,  1030,  1031,
    1031,  1032,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,
    1039,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1041,  1042,  1043,  1043,
    1043,  1043,  1044,  1044,  1044,  1044,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1048,  1048,  1048,  1048,  1048,  1048,
    1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,
    1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,
    1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,
    1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,
    1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,
    1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,
    1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1049,  1049,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1052,  1051,
    1053,  1054,  1054,  1054,  1054,  1055,  1055,  1055,  1055,  1056,
    1056,  1057,  1058,  1059,  1059,  1060,  1060,  1060,  1061,  1061,
    1062,  1062,  1063,  1063,  1064,  1064,  1064,  1064,  1065,  1065,
    1065,  1066,  1067,  1067,  1068,  1068,  1069,  1069,  1069,  1069,
    1070,  1070,  1071,  1072,  1073,  1074,  1074,  1075,  1076,  1076,
    1077,  1077,  1077,  1077,  1077,  1079,  1078,  1080,  1081,  1082,
    1082,  1083,  1083,  1083,  1083,  1084,  1084,  1086,  1085,  1088,
    1087,  1089,  1087,  1087,  1090,  1090,  1091,  1091,  1091,  1092,
    1092,  1092,  1092,  1093,  1093,  1094,  1094,  1094,  1094,  1094,
    1094,  1095,  1095,  1095,  1096,  1098,  1097,  1099,  1100,  1099,
    1101,  1101,  1102,  1102,  1103,  1103,  1104,  1104,  1104,  1104,
    1104,  1104,  1104,  1104,  1104,  1105,  1105,  1105,  1105,  1105,
    1105,  1105,  1105,  1105,  1105,  1106,  1106,  1107,  1107,  1108,
    1109,  1109,  1110,  1110,  1110,  1111,  1112,  1113,  1113,  1113,
    1113,  1114,  1114,  1114,  1115,  1115,  1116,  1116,  1117,  1118,
    1118,  1119,  1119,  1120,  1120,  1121,  1121,  1122,  1123,  1123,
    1124,  1124,  1124,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1126,  1126,  1126,  1126,  1126,  1127,  1127,  1128,
    1129,  1130,  1131,  1131,  1132,  1133,  1134,  1134,  1135,  1136,
    1136,  1137,  1138,  1139,  1139,  1140,  1141,  1142,  1142,  1143,
    1144,  1144,  1144,  1144,  1144,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1146,  1146,  1147,  1147,  1148,  1148,  1148,  1150,  1149,  1151,
    1151,  1153,  1152,  1154,  1154,  1154,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1156,  1156,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1158,  1158,  1158,  1158,  1158,  1158,  1159,  1159,  1159,
    1159,  1159,  1159,  1159,  1160,  1161,  1161,  1161,  1161,  1161,
    1161,  1161,  1161,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1163,  1163,  1163,  1163,  1163,  1163,  1164,  1164,  1164,  1164,
    1164,  1164,  1164,  1164,  1164,  1164,  1164,  1165,  1165,  1165,
    1165,  1165,  1166,  1166,  1166,  1166,  1167,  1167,  1167,  1167,
    1167,  1167,  1167,  1168,  1168,  1168,  1169,  1169,  1169,  1169,
    1169,  1169,  1170,  1170,  1171,  1172,  1172,  1173,  1173,  1174,
    1175,  1176,  1177,  1177,  1177,  1178,  1179,  1180,  1181,  1182,
    1182,  1182,  1182,  1182,  1183,  1184,  1184,  1184,  1185,  1185,
    1186,  1186,  1186,  1187,  1187,  1188,  1188,  1189,  1189,  1190,
    1190,  1190,  1190,  1190,  1191,  1191,  1191,  1191,  1191,  1191,
    1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,
    1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,
    1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,
    1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,
    1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,  1191,
    1192,  1192,  1192,  1192,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1194,  1194,  1194,  1194,  1194,  1195,  1195,
    1196,  1196,  1197,  1197
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     5,     1,     0,     2,     0,     2,     0,
       2,     2,     3,     3,     1,     3,     3,     2,     1,     1,
       2,     2,     2,     3,     3,     5,     5,     0,     3,     5,
       5,     4,     3,     5,     3,     5,     5,     6,     1,     1,
       3,     5,     6,     4,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     3,     3,     2,     2,     2,     2,
       3,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     6,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     3,     4,     3,     2,     2,     1,     2,     1,     3,
       4,     5,     4,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     4,     6,     4,     6,     4,     6,
       4,     6,     1,     3,     2,     3,     4,     6,     6,     6,
       5,     5,     6,     6,     4,     8,     4,     2,     3,     6,
       4,     3,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     3,     3,     3,     4,     4,     3,     2,     3,     2,
       2,     3,     3,     2,     2,     1,     3,     2,     1,     1,
       0,     2,     0,     2,     0,     3,     2,     0,     1,     3,
       3,     1,     5,     3,     4,     1,     3,     4,     6,     4,
       8,     2,     2,    10,     6,     1,     1,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     3,     3,     1,     1,
       3,     3,     3,     3,     4,     2,     1,     0,     2,     0,
       3,     0,     1,     0,     1,     3,     2,     1,     1,     1,
       3,     0,     1,     3,     1,    11,    14,    10,    13,     1,
       1,     2,     2,     2,     2,     1,     0,     1,     0,     3,
       0,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       4,     4,     2,     0,     3,     1,     1,     2,     2,     1,
       3,     4,     5,     2,     5,     1,     2,     2,     2,     3,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     7,     3,     8,     4,     9,    11,     2,     0,
       3,     0,     1,     3,     1,     2,     2,     2,     0,     1,
       3,     3,     6,     4,     0,     1,     1,     2,     2,     0,
       3,     3,     2,     1,     1,     2,     2,     4,     0,     2,
       2,     2,     0,     3,     4,     4,     0,     2,     0,     4,
       0,     3,     5,     2,     3,     0,     5,     4,     6,     1,
       0,     1,     2,     2,     1,     2,     3,     2,     2,     2,
       2,     3,     3,     1,     3,     1,     0,     1,     2,     1,
       1,     3,     6,    10,     1,     0,     1,     2,     2,     0,
       2,     2,     1,     0,     5,     7,     1,     0,     6,     2,
       0,     3,     5,     5,     8,     2,     0,     2,     2,     2,
       5,     2,     0,     2,     7,    10,     6,     6,     6,     6,
       7,     7,     9,     9,     6,     6,     8,     8,     8,     8,
       6,     6,     7,     8,     6,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     6,     8,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,     2,     0,     2,     2,     1,     0,
       4,     6,     5,     4,     4,     8,    11,     3,     2,     1,
       3,     1,     5,     7,     8,     1,     1,     1,     7,     9,
       8,    15,    20,     1,     1,     2,     1,     3,     1,     1,
       1,     3,     1,     3,     0,     1,     0,     1,     1,     4,
       0,     1,     3,     0,     1,     1,     1,     1,     2,     0,
       0,     2,     2,     1,     2,     2,     2,     2,     6,     8,
       8,     4,     5,     4,     4,     4,     3,     7,     8,     6,
       6,     6,     6,     6,     4,     5,     3,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     1,
       3,     3,     1,     0,     1,     3,     6,     8,     8,    13,
       1,     3,     5,     6,     4,     7,     2,     1,     0,     2,
       0,     2,     4,     0,     1,     0,     6,     8,     8,     1,
       3,     5,     5,     7,     9,     7,     9,     5,     6,     6,
       4,     5,     7,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     1,     3,
       1,     2,     2,     3,     5,     2,     2,     0,     6,     7,
       7,     7,     8,     8,     6,     8,     9,     9,     7,    10,
       7,     8,     8,     8,     8,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     3,     1,     1,     8,     9,     9,     9,     9,     2,
       0,     1,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     3,     4,     5,     4,
       5,     3,     4,     3,     4,     1,     2,     3,     3,     3,
       3,     4,     4,     3,     3,     4,     4,     4,     4,     1,
       1,     1,     0,     7,     7,    10,     1,     1,     2,     4,
       5,     1,     3,     2,     2,     2,     2,     1,     2,     2,
       4,     3,     2,     2,     2,     2,     3,     2,     2,     2,
       5,     5,     5,     1,     3,     1,     2,     3,     0,     1,
       3,     2,     6,     6,     9,     3,     0,     3,     0,     5,
       2,     0,     3,     3,     3,     7,     7,    10,     1,     1,
       1,     1,    14,     1,     0,     1,     0,     1,     0,     2,
       0,     1,     3,     5,     5,     7,     2,     0,     1,     2,
       0,     1,     1,     0,     1,     1,     0,     9,    12,     7,
       2,     0,     3,     2,     1,     3,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       1,     2,     2,     2,     1,     2,     2,     1,     1,     1,
       3,     2,     0,     2,     1,     3,     5,     1,     2,     1,
       0,     5,     7,     5,     7,     5,     7,     3,     5,     5,
       5,     1,     3,     2,     1,     2,     1,     2,    11,    10,
      10,     2,     2,     0,     9,     2,     0,     4,     4,     4,
       1,     1,     1,     0,     7,     6,     6,     6,     6,     8,
       8,     6,     6,     7,     9,     9,     6,     6,     6,     8,
       6,     8,     6,     8,     6,     8,     7,     9,     8,    10,
       8,     9,    11,     8,     6,     6,     6,     5,     5,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       6,     6,     6,     6,     6,     7,     9,     9,     6,     8,
       8,     8,     8,     8,     6,     8,     6,     8,     7,     9,
       6,     7,     6,     6,     6,     6,     6,     7,     7,     7,
       9,     9,     6,     6,     6,     8,     8,     8,     6,    13,
       1,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     1,     1,     1,     1,     0,     6,
       8,     3,     2,     0,     2,     2,     2,     2,     3,     3,
       2,     2,     2,     2,     3,     2,     5,     4,     3,     3,
       3,     1,     1,     0,     3,     2,     2,     1,     2,     1,
       3,     2,     1,     0,     9,    11,     3,     4,     4,     0,
       2,     5,     2,     0,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     4,     3,     3,
       1,     0,     5,     6,     4,     2,     0,     4,     3,     5,
       6,     4,     6,     6,     5,     7,     9,     6,     1,     0,
       6,    11,    11,    11,    13,     9,    11,    10,     4,     2,
       5,     2,     0,     4,     5,     5,     4,     6,     1,     3,
       1,     1,     1,     1,     2,     4,     1,     1,     1,     0,
       1,     0,     1,     0,     3,     0,     2,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     2,
       1,     1,     1,     1,     0,     5,     4,     3,     0,     1,
       1,     1,     1,     4,     9,     3,     0,     6,     1,     4,
       2,     1,     3,     2,     3,     0,     7,     2,     0,     5,
       3,     0,     2,     2,     2,     3,     1,     3,     1,     2,
       1,     0,     8,     1,     3,     1,     1,     3,     5,     2,
       1,     3,     7,     1,     1,     0,     3,     2,     2,     2,
       0,     2,     2,     1,     1,     3,     3,     1,     2,     4,
       4,     2,     3,     5,     5,     1,     1,     9,     1,     2,
       4,     4,     4,     2,     3,     1,     3,     6,     1,     0,
       2,     1,     0,     3,     3,     4,     4,     4,     4,     3,
       2,     1,     1,     0,     1,     1,     0,     1,     5,     1,
       0,     1,     0,     3,     1,     3,     4,     3,     2,     2,
       1,     1,     1,     0,     2,     4,     5,     2,     3,     1,
       1,     1,     1,     3,     0,     1,     1,     1,     1,     1,
       3,     0,     2,     0,     1,     3,     1,     0,     1,     2,
       4,     4,     2,     0,     2,     3,     2,     0,     1,     3,
       1,     2,     1,     2,     5,     6,     5,     1,     2,     1,
       4,     3,     4,     5,     4,     5,     4,     5,     2,     4,
       1,     2,     2,     2,     1,     1,     0,     4,     2,     1,
       2,     2,     4,     1,     3,     1,     2,     3,     1,     2,
       0,     2,     4,     0,     1,     0,     1,     3,     3,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     5,     1,     1,     1,     1,     2,
       3,     3,     0,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     2,     1,     3,     0,     1,     1,     1,     1,
       5,     2,     1,     1,     1,     1,     5,     2,     2,     2,
       1,     3,     3,     2,     1,     0,     3,     0,     5,     2,
       5,     2,     1,     2,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     0,
       1,     4,     1,     3,     3,     5,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       3,     3,     2,     3,     5,     4,     6,     3,     5,     4,
       6,     4,     6,     5,     7,     3,     2,     4,     2,     3,
       3,     4,     3,     4,     3,     4,     5,     6,     6,     7,
       6,     7,     6,     7,     3,     4,     4,     6,     2,     3,
       4,     1,     3,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     2,     5,     6,     6,
       7,     3,     4,     1,     1,     2,     4,     1,     1,     1,
       2,     2,     2,     2,     1,     4,     5,     6,     8,     6,
       7,     7,     5,     5,     1,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     1,     1,     1,     1,     1,     6,
       4,     4,     4,     4,     6,     5,     5,     5,     4,     6,
       4,     4,     4,     4,     5,     7,     7,     9,     5,     4,
       6,     5,     7,     7,     7,     2,     3,     3,     3,     4,
       0,     4,     1,     3,     3,     1,     1,     1,     2,     2,
       0,     2,     4,     4,     6,     2,     0,     1,     3,     3,
       2,     2,     0,     6,     1,     0,     3,     0,     2,     2,
       0,     1,     4,     2,     2,     2,     2,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     1,     4,     1,
       4,     1,     2,     1,     2,     1,     3,     1,     3,     1,
       3,     1,     3,     3,     3,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     3,
       2,     3,     0,     3,     3,     2,     2,     1,     0,     2,
       2,     3,     2,     1,     1,     3,     5,     1,     2,     4,
       2,     0,     1,     0,     1,     2,     2,     2,     3,     5,
       1,     2,     0,     2,     1,     0,     1,     1,     1,     3,
       3,     1,     3,     3,     2,     1,     1,     1,     3,     1,
       2,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     5,     2,     3,
       6,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     2,
       4,     3,     2,     1,     1,     1,     1,     1,     0,     8,
       2,     5,     3,     2,     2,     3,     7,     1,     1,     1,
       0,     2,     2,     1,     0,     1,     3,     1,     2,     0,
       2,     0,     2,     0,     1,     3,     4,     3,     1,     1,
       1,     1,     2,     0,     2,     4,     0,     2,     2,     2,
       1,     1,     7,     3,     1,     1,     1,     1,     2,     0,
       1,     3,     3,     3,     3,     0,     4,     5,     5,     0,
       1,     1,     1,     2,     2,     1,     2,     0,     7,     0,
       5,     0,     4,     2,     2,     0,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     5,     2,
       1,     3,     2,     2,     3,     0,     5,     1,     0,     5,
       2,     2,     1,     1,     1,     2,     2,     3,     1,     2,
       2,     3,     3,     4,     2,     1,     2,     1,     1,     2,
       2,     3,     1,     1,     1,     1,     0,     1,     3,     5,
       0,     2,     0,     1,     2,     3,     2,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     2,     2,     3,     0,
       1,     2,     1,     4,     3,     4,     3,     2,     1,     3,
       1,     1,     1,     1,     2,     2,     1,     2,     2,     1,
       1,     1,     4,     4,     4,     4,     4,     1,     0,     3,
       3,     4,     1,     3,     3,     4,     1,     3,     3,     1,
       1,     1,     6,     1,     3,     3,     6,     1,     3,     3,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     4,     1,     1,     4,     4,     3,     0,     7,     1,
       0,     0,     7,     3,     4,     3,     1,     1,     1,     2,
       3,     5,     2,     5,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     0,     1,     2,     1,     2,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     3,     1,     2,     1,     3,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     3,     2,     3,     1,     3,     3,     3,     3,     3,
       3,     1,     1,     0,     2,     2,     1,     1,     2,     1,
       1,     1,     0,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2258,     0,     2,     1,  2688,  2692,  2696,  2697,  2614,  2698,
    2699,  2664,  2665,  2666,  2667,  2668,  2669,  2670,  2671,  2672,
    2673,  2674,  2675,  2677,  2676,  2678,  2679,  2680,  2681,  2682,
    2683,  2684,  2685,  2687,  2686,  2636,  2265,  2633,  2630,  2631,
    2632,  2637,  2635,  2628,  2629,  1866,  2701,  2689,  2702,  2690,
    2691,  2693,  2694,  2663,  2695,  2703,  2704,  2705,  2700,  2708,
    2659,  2660,  2658,  2661,  2662,  2706,  2707,  2650,  2651,  2652,
    2653,  2709,  2266,  2267,  2655,  2259,  2263,  2325,  2396,  2656,
    2657,  2654,  2264,  2649,  2396,     0,  2517,  2518,  2519,     0,
    2520,  2521,  2522,  2448,  2410,  2523,     0,     0,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,  2532,  2533,  2534,
    2535,  2395,  2536,  2537,  2538,  2539,  2540,  2372,  2378,  2501,
       0,  2352,  2353,  2349,  2351,  2350,  2354,  2337,  1153,   527,
    1237,  1236,     0,  2161,  1153,  2117,  2118,  2162,  2119,  2120,
    2121,   249,     0,  1239,  2122,  2163,     0,  1153,  2164,   357,
     931,  2165,  2166,  2280,     0,  2123,  2124,     0,     0,     0,
     527,  1153,     0,     0,  2125,  1349,  2126,     0,  2127,  2167,
    2168,     0,  2128,  2169,  2170,  2129,  2130,  2131,  2171,  2172,
    2173,  2132,  2174,  2175,     0,     0,  1363,     0,  2133,  2176,
    2134,  2135,     0,  2177,  2136,  2137,  2138,  2178,  2179,  2180,
    2139,  2140,  2141,     0,  2142,     0,     0,     0,     0,     0,
    2181,  1153,  2143,     0,     0,  1370,     0,  2144,     0,  2182,
    2145,     0,  2146,     0,  2147,  2148,  2149,  2150,  1363,  2497,
    2373,     0,  1241,     0,  2151,  2183,     0,  2152,  2153,  2154,
    2155,  2156,  2157,  2158,  2159,  2160,     0,     0,    54,    55,
      21,    20,    26,    25,    77,    78,    44,    14,    68,    49,
     110,   109,   111,    32,    28,    62,    18,    19,    29,    33,
      51,    50,    17,    48,    72,    52,    75,    39,     8,     9,
      40,    66,    10,    41,    67,    11,    42,    12,    56,    79,
      24,    53,    76,    35,    64,    60,     7,    45,    46,    47,
      69,    70,    71,    93,    74,   105,    31,   102,    83,    84,
      99,    85,   100,     5,    86,    43,    13,    96,    95,    97,
      63,    36,    65,    94,    98,    15,    16,   101,    73,    91,
      88,   106,   104,   112,    89,    57,     3,     4,    80,    38,
       6,    23,    22,    37,    30,   108,    27,  1239,    82,    92,
      81,    87,    61,    90,   107,    59,   103,  1336,  1323,  1372,
    1335,  1348,     0,  1338,  2593,  2594,    34,  1349,   114,   115,
     120,  2262,  2314,  2315,  2316,  2396,  2347,  2348,  2341,  2357,
    2367,  2356,  2360,  2368,  2355,  2374,     0,   117,   119,   121,
     124,   118,   113,   116,   123,   128,   122,   127,   125,   126,
     129,   130,   131,  2595,  1549,  2592,    58,  2332,  2331,     0,
    2396,     0,  2625,  1876,  1877,  1878,  1879,  1880,  1881,  1882,
    1883,  1884,  1885,  1886,  1887,  1888,  1889,  1890,  1891,  1892,
    1893,  1894,  1895,  1896,  1897,  1898,  1899,  1900,  1901,  1902,
    1903,  1904,  1905,  1906,  1907,  1908,  1909,  1910,  1911,  1912,
    1913,  1914,  1915,  1916,  1917,  1918,  1919,  1920,  1921,  1922,
    1923,  1924,  1925,  1926,  1927,  1928,  1929,  1930,  1931,  1932,
    1933,  1934,  1935,  1936,  1937,  1938,  1939,  1940,  1941,  1942,
    1943,  1944,  1945,  1946,  1947,  1948,  1949,  1950,  1951,  1952,
    1953,  1954,  1955,  1956,  1957,  1958,  1959,  1960,  1961,  1962,
    1963,  1964,  1965,  1966,  1967,  1968,  1969,  1970,  1971,  1972,
    1973,  1974,  1975,  1976,  1977,  1978,  1979,  1980,  1981,  1982,
    1983,  1984,  1985,  1986,  1987,  1988,  1989,  1990,  1991,  1992,
    1993,  1994,  1995,  1996,  1997,  1998,  1999,  2000,  2001,  2002,
    2003,  2004,  2005,  2006,  2007,  2008,  2009,  2010,  2011,  2012,
    2013,  2014,  2015,  2016,  2017,  2018,  2019,  2020,  2021,  2022,
    2025,  2023,  2024,  2026,  2027,  2028,  2029,  2030,  2031,  2032,
    2033,  2034,  2035,  2036,  2037,  2038,  2039,  2040,  2041,  2042,
    2043,  2044,  2045,  2046,  2047,  2048,  2049,  2050,  2051,  2052,
    2053,  2054,  2055,  2056,  2057,  2058,  2059,  2060,  2061,  2062,
    2063,  2064,  2065,  2066,  2067,  2068,  2069,  2070,  2071,  2072,
    2073,  2074,  2075,  2076,  2077,  2078,  2079,  2080,  2081,  2082,
    2083,  2084,  2085,  2280,  2086,  2087,  2088,  2089,  2090,  2091,
    2092,  2093,  2094,  2095,  2096,  2097,  2098,  2099,  2100,  2101,
    2102,  2103,  2104,  2105,  2106,  2107,  2108,  2109,  2110,  2111,
    2112,  2113,  2114,  2115,  2116,  2298,  1867,  1873,  1874,  1875,
    2273,  2294,  2300,  2621,  2299,  1872,  2447,     0,     0,  2541,
    2542,  2543,  2544,  2545,  2546,  2596,  2597,  2598,  2599,  2600,
    2602,  2601,  2409,  2568,  2605,  2408,  2606,  2412,  2607,  2608,
    2609,  2610,  2569,  2611,  2411,  2603,  2565,  2413,  2406,  2407,
    2566,  2515,  2516,  1844,  2567,  2564,  2604,  2301,  2563,  2417,
    2416,  1313,  2620,  1843,  1314,     0,  2419,  2547,  2548,  2549,
    2550,  2552,  2551,  2553,  2184,  2185,  2186,  2187,  2188,  2189,
    2190,  2191,  2192,  2193,  2194,  2195,  2578,  2196,  2197,  2198,
    2591,  2199,  2200,  2579,  2201,  2202,  2203,  2204,  2205,  2206,
    2207,  2208,  2209,  2210,  2211,  2212,  2213,  2214,  2215,  2216,
    2217,  2218,  2219,  2220,  2221,  2222,  2223,  2224,  2580,  2581,
    2225,  2226,  2227,  2228,  2229,  2230,  2231,  2232,  2233,  2234,
    2235,  2236,  2237,  2238,  2239,  2240,  2241,  2242,  2243,  2244,
    2245,  2246,  2247,  2582,  2248,  2249,  2583,  2250,  2251,  2252,
    2584,  2253,  2254,  2255,  2256,  2257,  2588,  2589,  2590,  2577,
    2370,  2554,  2576,  2587,  2585,  2586,  2380,  2376,  2384,  2379,
       0,     0,     0,     0,  2396,  1152,  1151,  1137,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   526,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2270,     0,  1163,   332,   331,  1238,
    1219,   527,     0,  1140,   356,     0,     0,     0,     0,     0,
       0,     0,     0,   707,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   175,     0,     0,   380,   379,     0,     0,
       0,   903,   385,     0,     0,     0,     0,   515,  2279,  2274,
    2284,     0,  2277,  2278,  2563,     0,  2712,  2023,  2310,  2311,
    2710,  2071,  1315,   250,   253,   251,   252,     0,  1003,  1004,
    1006,     0,     0,  1016,   740,   741,     0,   739,   743,     0,
       0,     0,   736,     0,     0,     0,     0,   742,   734,     0,
     733,     0,     0,     0,   738,     0,   735,     0,     0,  1141,
       0,  2362,  2363,  1964,  1276,   386,     0,     0,  1349,     0,
    1239,  1246,  1256,  1251,  1253,  1252,  1254,  1250,  1255,  1877,
     842,  1891,   842,  1954,   839,   840,   842,   842,   842,  2038,
       0,     0,   814,     0,   825,  1868,   842,  1869,  2621,   847,
     441,   441,   441,     0,   846,   851,   441,  1134,  1170,  1848,
    1362,     0,  1891,  1954,   815,  1133,  2086,  1268,     0,     0,
    1020,     0,  1021,     0,  2053,  1145,   234,  2561,  2062,  2147,
    2086,  2562,   230,  2556,  2557,  2559,   204,  2560,  2558,  2555,
    1881,     0,     0,   846,     0,  1142,  1143,   800,  1369,  1367,
       0,     0,     0,  1899,     0,  1911,  1990,   227,  2049,  2054,
    2062,  2147,  2086,  2114,   184,   189,     0,   243,  2062,  2147,
    2086,     0,  1163,     0,  1339,  1449,  1839,     0,     0,  2371,
    1136,  1135,  1240,     0,  1243,     0,  1414,  2035,  1343,  1345,
    1245,  1336,     0,     0,  2261,  1234,  1366,  1366,     0,  1366,
       0,  1328,  1336,  1331,  1335,     0,     0,     0,     0,  1153,
       0,  2339,  2367,  2346,  2402,  2343,     0,     0,  2392,  2388,
    2385,  2393,  2394,  2387,  2375,  1538,  1539,  1540,  1537,  1550,
    1536,     0,  2320,  1541,  2359,  2326,     0,  2334,  2333,  2638,
    2639,  2449,  2272,  2291,     0,     0,     0,     0,     0,     0,
       0,  2418,  2420,  2422,  2382,  2381,  2377,     0,     0,     0,
       0,  2507,  2508,  2506,     0,  2503,  2505,     0,  2402,     0,
    2572,  2566,  2575,     0,  1849,  2567,  2564,  2563,     0,   750,
       0,   135,   891,     0,     0,     0,  1843,     0,     0,     0,
       0,     0,  1963,     0,     0,  1744,  1903,  1950,  1754,  1752,
    1753,  1746,  1747,  1748,  1749,  1750,  1751,     0,  1001,  1745,
       0,   135,     0,  1963,     0,     0,  1963,     0,     0,     0,
       0,     0,  1993,   135,  1963,     0,     0,     0,  1157,     0,
       0,     0,  1159,  1162,  1138,  1222,     0,  1839,     0,     0,
     784,   775,     0,   785,   776,   781,   787,     0,     0,   778,
       0,     0,   788,     0,   777,   779,   790,   780,   786,     0,
       0,   782,   783,     0,     0,  1149,   441,     0,     0,     0,
       0,     0,     0,   135,  1209,  1963,   135,     0,     0,   384,
     383,   135,   382,   381,  1903,  1950,     0,   930,   135,     0,
     177,   595,   530,     0,     0,   666,  1993,   135,     0,     0,
       0,     0,   906,     0,     0,   514,   527,     0,  2283,  2289,
       0,  2281,  2450,  2713,  2711,  2405,     0,  1007,   228,   229,
    1005,  1963,     0,   310,     0,     0,  1963,  1198,     0,   737,
    1963,     0,  1963,   170,  1841,     0,  1903,  1950,  1963,     0,
       0,  1963,   162,  1963,     0,  1963,   310,  1963,   531,     0,
    1963,     0,  1963,  1993,   164,     0,  1963,   310,   748,     0,
       0,  2643,  2647,     0,  2645,  2640,  2361,  2415,  2414,  2313,
       0,  2723,     0,  1315,  1248,  1261,     0,  1257,  1264,  1260,
    1349,   842,   841,     0,   842,     0,  2732,   842,     0,   842,
       0,  2732,   842,     0,     0,     0,   842,  1870,  1871,     0,
       0,  2731,  2729,  2730,   816,   826,     0,   848,     0,     0,
     855,   854,   853,     0,     0,     0,   856,  1453,  1291,     0,
     823,     0,   821,     0,  1131,  1148,     0,     0,     0,     0,
    1023,  1023,  1023,  1144,   233,   231,     0,     0,     0,     0,
       0,     0,  1150,     0,     0,     0,     0,  2627,  1855,  1755,
    2626,     0,  2118,  2119,  2120,  1813,     0,  2568,  2121,  2122,
    2163,  1667,  1654,  1663,  1668,  1655,  1657,  1664,  2123,  2124,
    1935,  2125,  2126,  1862,  2127,  2128,  1493,  2130,  2131,  2132,
    1659,  1661,  2133,  2134,     0,  1863,  2136,  2137,  2011,  2139,
    2140,  2142,  2143,  1665,  2145,  2146,  2147,  2148,  2149,  2150,
    1861,     0,  1666,  2151,  2153,  2154,  2155,  2156,  2157,  2158,
    2159,  2160,     0,     0,  1836,     0,  1639,     0,  1485,  1486,
    1508,  1509,  1487,  1514,  1515,  1527,  1488,     0,  1835,  1552,
    1638,  1644,     0,  1637,  1633,  1352,  1831,     0,  1634,  1851,
    1814,  1865,  1864,  2621,  1822,  1854,  1852,  1853,     0,     0,
       0,   196,     0,     0,  2496,   245,     0,   246,  1837,  2062,
     185,   226,   198,   225,   199,   197,     0,  1901,   186,     0,
       0,   187,     0,     0,     0,     0,     0,     0,     0,   239,
    1139,     0,  1451,  1450,     0,     0,  1820,  1840,   757,     0,
    1232,  1233,  1231,     0,  1228,  1230,  1242,  1239,  1827,  1826,
    1828,     0,  1344,     0,     0,     0,  1326,  1325,  1245,  1364,
    1365,     0,     0,     0,     0,     0,     0,     0,     0,  1407,
    1380,  1381,  1383,  1404,  1408,     0,  1332,     0,     0,  1455,
       0,  1415,  2260,  2402,  2403,     0,  2397,     0,  2396,  2396,
    2390,  2389,  2386,     0,     0,     0,     0,     0,     0,     0,
    2317,   509,  2319,   507,     0,     0,  2293,     0,  2297,  2295,
       0,  2442,  2445,     0,  2443,  2444,  2446,     0,  2451,  2452,
       0,     0,     0,  2634,     0,     0,  2433,  2421,  2428,  2430,
    2432,  2431,  2440,  2436,  2439,  2441,  2383,  2396,  2514,     0,
    2509,  2512,     0,  2504,     0,     0,     0,  1850,     0,     0,
       0,     0,   751,     0,     0,     0,     0,     0,     0,   134,
    1196,   236,  1194,     0,     0,     0,     0,     0,     0,     0,
    1201,     0,   168,   169,   542,   527,     0,  1963,     0,     0,
       0,     0,   963,   970,     0,     0,     0,     0,     0,     0,
       0,   964,   962,   965,   238,   974,   987,   990,     0,   881,
       0,     0,     0,     0,  1066,     0,     0,  1066,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   256,
     262,   305,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,   494,   506,     0,     0,
       0,     0,     0,   503,     0,   135,   258,   487,   491,     0,
       0,     0,   604,   603,     0,  1066,     0,   254,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   324,   325,     0,     0,     0,   139,   161,
       0,     0,     0,   260,     0,  2327,     0,  1158,  1155,  1156,
       0,  1161,     0,  1218,     0,     0,     0,     0,     0,   789,
       0,     0,  1903,  1950,     0,     0,     0,     0,     0,     0,
     359,   338,   339,   135,   337,     0,     0,   663,     0,  1496,
    1525,  1503,  1525,  1525,  1492,  1492,  1505,  1494,  1532,     0,
    1525,  1492,  1497,     0,  1495,  1535,  1535,  1520,     0,  1477,
    1478,  1479,  1480,  1506,  1507,  1481,  1512,  1513,  1482,  1549,
    2573,  1492,  2574,  2571,  2570,     0,     0,   674,     0,  1173,
    1208,     0,     0,   536,     0,  1963,     0,   137,   708,     0,
     664,     0,   137,     0,   173,     0,   599,     0,     0,     0,
       0,     0,     0,   624,   623,     0,     0,     0,   665,     0,
     137,   490,  1963,     0,   441,   441,     0,   905,   908,     0,
       0,     0,  2287,  2282,  2285,     0,  2275,  2289,  1318,  1320,
    1319,     0,  1317,     0,   310,   308,   309,   661,  1015,     0,
       0,     0,     0,   310,     0,     0,  1963,   310,  1963,     0,
    1963,     0,     0,   310,   310,     0,     0,     0,     0,   600,
       0,   747,   745,   744,   746,     0,     0,     0,     0,     0,
    1963,   310,     0,     0,   730,  2641,     0,     0,  2644,     0,
    2364,  1765,     0,  2726,  1273,  2727,     0,     0,  1349,     0,
     215,   216,   214,  1262,   217,  1263,  1259,  1247,     0,   834,
       0,  2732,  2733,   819,     0,   829,     0,  2732,   817,     0,
     830,   827,   828,     0,     0,     0,  2728,  2612,  2618,   833,
       0,     0,   442,   444,     0,     0,  1921,  1934,     0,  1955,
    1981,  1982,  2054,  2058,     0,  2081,  2090,     0,   857,   886,
     852,     0,     0,  1301,   824,   822,  1132,  1266,  1771,     0,
    1349,     0,  1022,  1019,  1018,  1017,   232,   205,     0,     0,
       0,   888,  2053,  1147,   799,   527,     0,     0,  1642,  1643,
    1524,  1511,  1812,     0,     0,  1519,  1518,     0,     0,     0,
       0,     0,  1501,  1500,  1499,  1641,  1779,     0,  1498,     0,
       0,     0,     0,  1525,  1525,  1523,  1572,     0,  1502,     0,
       0,  1792,     0,  1798,     0,     0,     0,  1531,     0,  1529,
       0,     0,  1608,     0,     0,     0,     0,     0,     0,     0,
       0,  1556,  1557,  2569,  1639,  1765,     0,  1640,  1858,     0,
       0,  1517,     0,  1549,  1755,     0,     0,     0,     0,  1825,
       0,  1763,     0,     0,  1586,  1761,     0,  1588,     0,     0,
       0,  1754,  1752,  1753,  1746,  1747,  1748,  1749,  1750,  1751,
    1759,  1569,     0,  1834,     0,  1568,     0,     0,  1417,  1351,
       0,  1856,  1815,     0,  2619,  2622,  1635,  2493,  2492,  2491,
    2490,  2461,     0,  2455,  2456,     0,  2494,  2495,   247,   248,
     244,     0,     0,   201,   200,     0,   223,   224,   195,   222,
       0,   218,   219,   203,  1707,  1706,   202,   194,   192,   190,
     206,   208,   209,   193,   191,   242,   240,     0,     0,     0,
    1817,  1816,  1846,  1821,     0,     0,   310,  2396,  1226,     0,
    1223,  1830,     0,  1346,     0,     0,  1235,  1342,  1341,  1373,
    1374,   923,  1340,  1398,  1399,  1394,     0,  1413,  1413,  1390,
    1384,  1389,  1387,     0,  1391,  1552,  1406,  1330,  1378,  1379,
    1382,  1329,     0,  1409,  1407,  1383,  1288,     0,     0,  1456,
       0,     0,  2404,  2402,  2342,  1477,  2396,  2335,  2396,  2391,
    2323,  1543,  1544,  1545,  1546,  1547,  1548,  2324,     0,  2321,
    1542,  2322,   508,     0,     0,     0,  2290,     0,  2271,  2296,
    2427,  2536,  2459,     0,  2460,     0,     0,  2424,     0,  2434,
    2437,  2435,  2438,     0,  1477,  2615,  2510,  2615,  1477,     0,
       0,     0,     0,     0,     0,     0,     0,   752,     0,     0,
       0,     0,     0,     0,  2081,   235,  1192,     0,     0,     0,
       0,   890,   889,     0,     0,   910,     0,     0,     0,  1204,
     430,     0,   307,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   540,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   574,
       0,  1066,     0,   612,     0,   972,     0,   971,     0,     0,
       0,   973,   968,   969,  2054,  2062,  2086,   237,   989,     0,
     988,   986,   945,   947,   946,     0,   949,   933,     0,   934,
       0,     0,   944,   952,   950,     0,     0,     0,     0,  1943,
     264,   277,     0,  1065,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   297,     0,   300,   299,     0,     0,
       0,     0,   304,     0,     0,     0,   303,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1002,     0,     0,   156,
     159,     0,     0,     0,   493,   505,     0,   497,   498,   495,
     499,   500,     0,     0,     0,     0,     0,     0,   492,     0,
       0,   597,   596,   602,     0,     0,     0,     0,     0,     0,
       0,  1058,  1057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   615,   616,     0,
     617,     0,   160,     0,     0,     0,     0,     0,     0,     0,
     213,  1154,  1160,  1221,  1847,  1220,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   343,     0,   689,  2570,
     662,     0,  1477,     0,  1473,  1469,  1538,  1537,  1536,     0,
    1483,  1492,  1489,   675,     0,   677,   680,     0,  1171,   403,
       0,   533,   574,     0,     0,     0,   166,     0,     0,     0,
     133,   177,   386,     0,   176,   178,   180,   181,   182,   179,
     183,   594,   598,     0,   529,     0,     0,     0,     0,     0,
     625,   629,   628,   632,   630,     0,   626,     0,     0,  1465,
       0,   155,   486,   489,     0,  2268,     0,   388,   472,   317,
       0,     0,   907,     0,     0,     0,     0,     0,  2288,     0,
       0,     0,     0,  1316,     0,   993,     0,  1199,  1963,   310,
       0,   991,   171,  1842,     0,   731,     0,     0,     0,     0,
       0,   995,   727,   163,     0,   310,   310,   532,     0,   310,
     165,     0,     0,     0,   524,   310,   749,  2642,  2648,  2646,
    1275,     0,  2724,  2725,   441,  1320,  1249,  1258,   831,   838,
     820,   837,   836,   818,   835,   832,  2426,     0,     0,  2617,
       0,   849,     0,   440,     0,     0,     0,   863,   864,     0,
       0,   862,   879,   865,     0,   867,   859,   858,   868,   869,
       0,     0,   888,     0,  1298,     0,  1296,     0,  1454,  1300,
    1289,  1267,     0,  1265,  1270,  1272,  1271,  1269,     0,     0,
       0,   846,     0,     0,   310,  1146,     0,   801,   802,   807,
       0,     0,     0,   808,   804,   805,   806,   809,   810,   811,
       0,     0,     0,  1775,     0,  1776,     0,     0,     0,  1811,
    1807,     0,     0,     0,     0,     0,     0,  1783,  1784,  1785,
    1782,  1786,  1781,     0,     0,  1787,  1780,     0,     0,     0,
       0,     0,  1522,  1521,     0,     0,     0,     0,     0,     0,
       0,  1611,  1644,     0,     0,  1739,     0,  1765,  1797,     0,
       0,  1533,     0,     0,     0,     0,     0,     0,     0,  1765,
    1803,     0,     0,     0,     0,  1705,     0,  1702,     0,     0,
       0,     0,  1822,     0,     0,     0,     0,  1859,  1553,  1570,
    1833,     0,  1824,     0,     0,  1554,  1577,     0,  1804,  1604,
       0,  1609,  1592,     0,  1585,     0,  1590,  1594,  1573,  1825,
    1764,     0,  1762,     0,     0,  1571,     0,  1566,  1564,  1565,
    1558,  1559,  1560,  1561,  1562,  1563,  1567,  1743,  1741,  1742,
       0,     0,     0,  1589,  1957,  1990,     0,  1363,  1363,  1363,
    1350,  1361,  1832,     0,  1460,     0,     0,     0,     0,  1722,
       0,  1769,     0,  1767,  1849,  2624,  2623,  1823,     0,     0,
       0,  1838,     0,     0,  1549,     0,   241,  1452,  1818,     0,
     755,   756,   754,  1477,  1245,  1229,  1225,  1224,  1829,  1244,
    1349,     0,   921,   922,     0,   926,     0,     0,  1392,  1405,
       0,  1301,  1301,     0,  1396,  1397,  1388,  1334,  1333,     0,
    1463,     0,     0,  1285,  1278,  1457,     0,  1417,  1303,  1305,
    1306,     0,  1822,  2340,  2398,  2345,  2366,  2336,  2369,  1551,
    2318,  2358,     0,  2292,  2462,  2463,     0,  2453,  2454,  2423,
    2429,  2500,     0,  2616,     0,     0,   687,   686,     0,     0,
       0,  1092,  1025,  1070,   753,  1093,  1026,  1071,  1094,  1027,
    1193,     0,  1195,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   650,  1963,   310,
    1202,  1095,     0,  1028,   306,  1203,  1072,  1207,  1073,     0,
     541,     0,     0,   546,   547,   548,     0,     0,   549,  1903,
    1950,     0,   554,   560,   564,   555,     0,   565,   561,     0,
       0,     0,     0,     0,     0,   571,   573,     0,     0,     0,
       0,     0,     0,   966,   967,  1096,  1031,     0,  1074,   948,
    1492,   932,     0,     0,   943,     0,   942,  1492,  1492,  1032,
     167,     0,   257,   265,   580,  1068,   283,   296,   291,   292,
     290,  1963,   310,  1963,   310,     0,     0,     0,     0,   293,
     288,   289,   285,   298,  1880,  1936,  2063,     0,   584,   586,
       0,   591,   301,  1044,     0,   318,   321,   302,   281,   284,
     282,   278,   263,     0,     0,  1845,     0,     0,   997,     0,
       0,     0,   158,  1054,     0,     0,   144,     0,     0,     0,
       0,   138,   148,  1102,  1036,     0,     0,   259,   488,   496,
     501,  1040,   504,  1084,   502,  1108,  1037,  1066,     0,   255,
       0,  1038,     0,  1078,  1104,  1056,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1210,     0,     0,     0,     0,
       0,   310,     0,   696,  1068,  1963,   310,  1103,     0,  1063,
    1090,     0,   326,     0,  1055,     0,     0,   261,  1042,  1086,
       0,     0,   211,   210,   212,     0,     0,     0,     0,     0,
       0,     0,     0,   793,   764,   792,     0,     0,     0,     0,
       0,     0,     0,   758,   358,   335,   336,     0,     0,   334,
     340,   688,     0,     0,     0,  1474,  1470,     0,     0,     0,
       0,     0,     0,  1490,   676,     0,     0,     0,     0,  1191,
    1191,  1191,  1191,  1191,  1191,  1191,  1172,  1200,   135,     0,
       0,     0,   535,   573,   580,     0,   608,   611,     0,   609,
       0,     0,     0,     0,     0,   149,   136,     0,   716,   441,
     172,     0,     0,     0,   528,   673,   671,   670,   672,     0,
       0,     0,   693,   669,     0,  1464,  1466,     0,     0,     0,
       0,   390,     0,     0,   387,   391,   395,   396,   397,   444,
       0,     0,   476,     0,     0,     0,     0,   937,     0,   955,
     938,     0,     0,     0,   977,   982,   978,   958,     0,   512,
    2286,  2280,  1321,  1322,     0,   310,     0,     0,   575,   310,
     310,     0,   310,     0,   310,   310,     0,  1129,   601,     0,
     658,     0,     0,   310,   729,  1766,     0,  2425,  2613,   850,
     443,     0,     0,     0,     0,   861,     0,   510,   866,     0,
     878,   873,   875,     0,   882,  1299,  1292,  1294,  1293,     0,
       0,  1290,  1772,   728,     0,     0,   310,     0,   883,     0,
     803,     0,     0,     0,     0,  1368,  1773,  1774,     0,     0,
       0,     0,  1808,     0,     0,  1680,     0,  1656,  1658,  1491,
    1670,     0,  1504,  1681,  1682,  1660,  1662,     0,  1756,     0,
       0,  1671,  1613,  1614,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1626,  1625,  1672,
    1738,     0,     0,  1795,  1796,  1673,  1534,  1535,  1535,     0,
       0,  1802,     0,     0,     0,  1678,  1683,     0,     0,     0,
       0,  1689,     0,  1710,     0,     0,     0,  1636,  1766,  1526,
    1527,     0,     0,     0,     0,     0,     0,     0,     0,  1610,
    1593,  1587,     0,  1591,  1595,     0,     0,     0,     0,  1579,
    1605,  1575,     0,     0,  1581,     0,  1606,  1363,  1363,  1363,
    1363,  1360,     0,     0,     0,     0,  1427,  1416,  1418,  1429,
    1420,  1422,  1458,     0,  1839,     0,  1401,  1372,  1372,     0,
    1722,     0,  1645,     0,  1722,     0,     0,  2475,  2477,  2478,
    2479,  2480,  2481,  2483,  2484,  2486,  2487,  2488,  2476,  2482,
    2485,  2489,  2466,  2467,     0,  2457,  2458,   188,     0,   220,
     207,     0,  2500,  1227,     0,  1375,     0,  1757,   926,   924,
     925,  1377,     0,     0,  1412,  1411,  1410,  1385,  1287,     0,
    1285,  1280,     0,  1281,  1822,     0,  1277,  1310,     0,     0,
    1463,     0,  1309,     0,  2400,  2328,     0,     0,  2499,  2502,
    2513,  2511,  2338,  1091,  1024,  1069,  1191,   893,   894,     0,
     892,     0,     0,     0,   429,   909,     0,     0,     0,   650,
       0,     0,   433,     0,  1205,     0,   543,   544,     0,     0,
     562,     0,     0,   551,     0,     0,     0,     0,   550,   567,
     516,   568,   570,     0,     0,   569,   572,   577,  1066,     0,
     613,  1046,     0,  1088,   960,     0,  1492,   935,   940,   941,
       0,     0,     0,   403,     0,     0,     0,   266,   276,     0,
       0,   280,     0,   274,   294,   286,   295,   287,   588,   589,
     587,   583,     0,   590,   592,   315,     0,     0,     0,  1098,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1099,  1075,     0,     0,   141,   140,     0,   147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   327,   312,     0,     0,     0,     0,     0,   329,     0,
       0,     0,     0,  1097,  1033,   759,     0,     0,   760,   768,
       0,     0,   761,     0,     0,     0,     0,     0,     0,   770,
     361,     0,   364,   371,   344,   348,  1209,     0,  1209,     0,
     349,  1209,   345,  1209,   342,   690,     0,  2011,  1746,  1747,
     684,   691,   681,   683,   682,   685,   650,     0,     0,     0,
    1475,     0,  2714,  2722,  2721,     0,  1549,   678,   679,     0,
    1191,  1190,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   415,     0,     0,   409,     0,     0,   982,
     402,   405,   406,   536,   539,   537,   538,   566,     0,   607,
       0,   580,   151,     0,     0,   152,   150,     0,   317,   386,
       0,     0,   631,   634,   627,     0,   692,   694,   667,     0,
     580,     0,  1276,   485,     0,   472,   422,   468,     0,   470,
     469,   471,     0,   478,   316,     0,     0,   910,   936,     0,
       0,     0,   975,   979,   976,     0,     0,   951,     0,   959,
     929,  1124,  1125,  1122,  1123,     0,     0,  2303,  1312,  2312,
     994,     0,   310,   992,   732,     0,   723,     0,   725,   996,
     310,   310,   618,     0,   525,     0,     0,     0,     0,   860,
     880,     0,   876,     0,     0,   843,   885,  1297,  1295,   888,
       0,   844,   887,     0,     0,     0,     0,     0,  1777,  1510,
       0,  1810,  1806,     0,  1653,  1778,     0,  1790,  1789,  1612,
    1791,     0,  1631,     0,     0,  1623,  1621,  1622,  1615,  1616,
    1617,  1618,  1619,  1620,  1624,  1800,  1799,  1793,  1794,  1530,
    1528,     0,  1675,  1676,  1677,  1801,  1684,     0,  1894,  1711,
    1688,  1704,  1703,     0,     0,     0,  1691,     0,     0,  1700,
       0,  1740,  1516,  1549,  1555,     0,     0,  1578,  1805,  1596,
       0,     0,     0,  1574,     0,     0,     0,     0,  1583,  1756,
       0,     0,     0,     0,     0,     0,  1354,  1353,  1359,  1336,
       0,  1429,     0,  1428,  1440,     0,     0,  1446,  1444,     0,
    1446,     0,  1446,     0,  1421,     0,  1423,  1440,     0,  1840,
    1459,     0,  1403,     0,     0,  1371,     0,  1722,  1652,  1725,
    1720,  1721,  1770,  1646,  1857,     0,  1768,  1722,     0,     0,
       0,  1819,  2498,  1347,     0,  1376,  1393,  1386,     0,  1461,
    1286,     0,     0,  1283,     0,     0,     0,  1304,  1285,  1307,
    2344,     0,  2399,  2464,  2465,     0,   899,   900,   898,   901,
       0,     0,     0,   650,     0,     0,   449,     0,   917,   917,
       0,     0,   435,   481,   982,   653,     0,     0,     0,   651,
     310,  1029,     0,   563,     0,     0,   559,   557,   556,   558,
     517,  1107,  1030,     0,     0,     0,     0,   961,     0,   953,
    1045,     0,   400,     0,   271,  1067,     0,     0,     0,   270,
       0,   310,   310,   585,   319,   320,   323,     0,     0,     0,
       0,     0,     0,   717,   700,     0,     0,   718,   719,     0,
       0,     0,   999,  1000,   998,   145,   142,   143,   146,  1041,
    1085,  1039,     0,  1079,  1050,  1048,     0,     0,     0,     0,
       0,  1106,  1062,  1083,  1105,  1060,  1081,  1059,  1080,  1061,
    1082,  1053,     0,  1468,   698,   697,     0,   310,   310,   620,
    1043,  1087,     0,   762,     0,     0,   763,   774,   772,   771,
     773,   765,   362,   135,     0,   341,     0,   369,     0,   367,
     366,   368,     0,   355,     0,     0,     0,     0,     0,   660,
       0,     0,     0,  1471,     0,     0,     0,     0,     0,     0,
    1476,  1484,   649,     0,  1182,  1181,  1180,  1184,  1183,  1186,
    1185,  1177,  1176,  1189,  1188,  1175,  1174,  1179,  1178,     0,
     407,     0,   413,   417,   418,   416,   408,   982,   441,   480,
     534,     0,   610,   605,   154,   153,     0,     0,     0,     0,
     636,   640,   668,     0,  1467,   614,     0,   388,   485,     0,
    2269,     0,   393,   398,   399,     0,   476,   419,     0,   472,
     392,     0,     0,   482,  1169,     0,     0,   939,   956,   957,
       0,     0,   982,   981,     0,   519,     0,  2276,   310,   576,
     310,   310,  1130,   659,     0,   872,   871,   870,   511,     0,
     874,   310,     0,     0,     0,     0,     0,   813,   794,   812,
    1809,  1669,  1679,  1788,     0,     0,  1632,     0,     0,  1674,
    2152,     0,     0,     0,     0,  1708,  1709,  1690,     0,  2002,
    1695,     0,     0,     0,  1860,  1602,  1600,  1597,     0,  1598,
       0,     0,  1580,  1576,     0,  1582,  1607,  1358,  1357,  1356,
    1355,  1431,  1438,     0,  1419,     0,  1445,  1441,     0,  1442,
       0,     0,  1443,     0,     0,  1438,     0,     0,     0,     0,
    1716,  1722,  1722,  1647,  1727,  1724,     0,  1649,  2468,     0,
    2471,  2469,  2470,  2474,  1549,     0,     0,  1279,  1282,  1284,
       0,  1311,  1302,  2401,  1197,     0,     0,     0,   431,     0,
     982,     0,     0,     0,   920,   920,     0,   982,   480,   655,
     654,   657,   652,   656,  1206,     0,   552,   553,  1047,     0,
    1089,  1051,   954,     0,   581,   267,   268,   269,   272,   312,
     279,   273,     0,  1100,  1034,  1076,     0,     0,   706,     0,
       0,     0,     0,  1101,  1035,  1077,     0,     0,     0,     0,
    1215,     0,   311,   312,   328,  1064,     0,   766,   767,   343,
       0,   365,   374,     0,   372,   346,   351,     0,   353,   352,
     347,   350,  1472,     0,  1013,  1013,  2715,  2716,  2717,  2718,
    2719,  2720,     0,   650,  1187,     0,     0,   404,   480,   448,
       0,   410,     0,     0,     0,   388,   580,   635,     0,     0,
       0,   695,   390,     0,  1274,   483,     0,   389,     0,     0,
     478,     0,     0,     0,   476,     0,   473,     0,   477,     0,
    1164,     0,     0,   980,     0,   984,     0,   950,   927,  1460,
       0,   523,  2302,  2306,  1014,   724,   726,   619,   877,   884,
     310,   795,   796,   797,   798,  1627,     0,     0,     0,     0,
    1685,     0,  1686,  1713,  1712,  1692,  1696,     0,  1693,  1694,
    1599,  1603,  1601,  1584,  1430,     0,     0,  1432,     0,     0,
    1434,  1436,     0,     0,     0,     0,     0,  1843,  1722,  1400,
    1402,     0,  1337,  1650,  1651,     0,  1372,  1722,  2473,  2472,
     221,  1758,  1462,  1308,   878,     0,   310,   917,   480,   450,
    2011,   451,   916,     0,   918,   923,   923,     0,   480,   650,
     545,     0,   579,     0,   314,   322,     0,     0,   713,   701,
       0,     0,   720,  1049,     0,     0,     0,     0,     0,   310,
     769,   333,   360,   370,     0,   354,  1013,     0,  1010,  1009,
     648,     0,   439,   411,     0,   459,     0,   580,   710,  1169,
     593,   637,   638,   633,     0,     0,   472,   468,   484,   394,
     403,   377,   428,   427,   424,   423,   425,   426,   421,   420,
       0,   478,   474,   475,     0,     0,     0,  1217,     0,   911,
     983,     0,     0,     0,   518,     0,     0,   522,   513,     0,
    2304,   845,  1628,     0,  1629,     0,     0,     0,  1698,  1697,
       0,  1439,  1448,     0,  1435,  1433,  1424,     0,  1426,  1715,
    1717,     0,     0,  1730,  1648,   895,     0,   896,   920,   454,
       0,   919,   926,   926,   441,   650,   432,  1052,   582,     0,
     275,     0,   704,     0,   715,   713,     0,     0,  1211,     0,
    1212,  1213,  1216,   330,   373,  1008,  1012,  1011,     0,     0,
     412,   445,   446,   447,     0,   414,   455,   456,     0,   606,
       0,     0,  1165,     0,     0,   476,   472,   401,   467,   375,
       0,  1166,     0,   317,     0,   982,   985,  1128,   521,   520,
    2307,  2309,  2308,     0,  1630,  1701,  1687,  1714,  1699,  1437,
       0,  1425,     0,     0,  1726,     0,     0,     0,     0,   923,
       0,   650,     0,   914,   913,   448,   434,   313,     0,     0,
     711,   714,   702,   715,   722,   721,     0,     0,   438,     0,
       0,     0,   457,     0,   458,   479,   709,     0,   639,     0,
     478,   476,  1167,  1168,   478,   912,   928,  1127,  1126,  1349,
    2305,  1447,  1718,  1719,  2117,     0,  2092,     0,  1728,  1731,
    1729,  1723,   310,   926,     0,   436,   452,   459,     0,     0,
     703,  1214,   640,   464,     0,   463,     0,   461,   460,   699,
     643,   378,   478,  1460,  1110,  1349,  1109,  1111,  1119,  1116,
    1118,  1117,  1115,     0,  1735,  1734,  1733,  1737,  1736,   897,
     915,     0,   650,   705,   712,     0,   462,   466,   465,     0,
     641,   644,   647,   645,   646,   376,   902,     0,  1120,  1114,
    1336,  1323,     0,   453,   437,     0,   621,     0,  1112,  1349,
    1732,     0,   642,  1113,     0,   643,     0,   622
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   247,   248,  1700,  2596,  2479,  3285,  3286,   249,
     250,  1771,   251,   252,   253,   254,   255,   256,   257,  1715,
     258,   259,  1279,  1914,  2604,   260,  2355,  1055,  1056,  2229,
    2230,  2541,  2231,  2218,  1552,  2014,  1734,  1702,  1735,   262,
     263,  1546,  2210,   264,   265,   266,  1759,  1760,  1710,  1957,
    4183,  4750,  2466,  3324,  3124,  3125,   267,  1813,  1814,   268,
     269,  3237,  1853,  3239,  3240,  3774,   865,  2565,  4203,  4204,
    3761,  3762,  4210,  4483,  4484,   270,  1911,  3313,  3855,  3314,
    4281,  3315,  4282,  3316,  4283,  3267,  3820,  3821,  3822,  3317,
    4287,  4688,  3318,  2370,  4770,  2638,  2044,  2042,  4665,  4085,
    4086,  4821,  4775,  4776,  4777,  4887,  4289,  3322,  3863,  4293,
    4511,  3027,  1933,  4280,   271,   272,  2632,  1787,  1788,  2486,
    3780,  3378,   273,  1296,  3639,  4551,  4707,  4708,   274,   853,
     275,  1918,   276,   277,  2591,  3272,   278,  2382,  3040,   279,
     280,  3065,  3066,  3067,   281,   282,  3663,  4443,  1761,  3117,
    3118,  3119,  3120,  3683,   283,  1916,  1793,  2613,   284,   285,
     286,  2595,  3278,  3279,   287,   288,  2529,   289,   290,   291,
    1926,  2625,  2626,  4271,  4518,  4673,  4520,  4919,  4920,  4503,
    3622,  4099,   292,   293,   294,   295,  1897,  2584,  2585,  3781,
    1686,  1857,  2567,  2568,  3845,  3846,   296,   297,  4143,  4144,
     895,  4781,  4754,  4832,   298,   299,  4147,  4148,   300,   301,
     302,   303,   304,   948,  1347,  1348,  1692,   305,  2246,   306,
    1254,  3224,   307,  1435,  2771,  4328,   308,   982,  1372,  1373,
     309,   310,   993,  2751,   995,  2057,  3380,  3381,  3915,  2721,
    1179,   311,   312,  2732,  2754,   313,  1703,  2361,  2362,  4080,
     314,   896,  1938,  2641,  3022,  4698,  4087,  4424,  4625,  2945,
    3571,   315,   897,  1739,  2428,  2644,  3328,  3329,  2430,  2910,
    3876,  2432,  3330,  3335,  3336,  3337,  3872,  3880,  4545,  4546,
     316,  1737,  2421,   317,   318,   319,  1766,  1197,   320,   918,
     919,   321,  4658,   322,  1315,   323,  1013,  2073,   324,  2444,
    3669,   325,   326,   327,  4896,  4927,  4928,  4929,  3885,  4859,
     328,  4898,  1414,   330,   331,   332,   856,  1222,  1223,  1224,
     333,  4540,   334,   335,  2588,  3266,  3802,   336,   337,  2356,
    3012,   338,   339,   340,  1901,   341,   342,   343,   344,  1833,
     345,  1583,  1584,   346,   347,   860,  1074,  1587,  1595,   348,
     961,  1366,  1367,  1368,  2016,   349,  1418,  2743,   962,  1361,
     963,  2963,  3582,  3583,  3586,   964,  2960,   353,  2063,  2737,
    2740,   965,  2967,  2968,  2969,  2970,  2971,  3588,   966,   984,
    1306,  2652,   967,  1506,   358,   359,   360,  1083,  1078,  1079,
     362,  2188,  2900,  1001,  1601,  1040,  1090,  4035,  2259,  2260,
    2280,  2281,  1610,  1611,  2270,  2272,  2947,  2273,  2956,  2265,
    4032,  4390,  2276,  2277,  1613,  1614,  2951,   363,  2904,  3517,
    3518,  3519,  4013,  4023,  4377,  4590,  3520,  1408,  1620,  3521,
    3526,  3580,  3304,  3305,  3306,  2433,  2575,  1879,  1507,  1880,
    2582,  1508,  2108,  1882,  1509,  1510,  1511,  1885,  1512,  1513,
    1514,  1515,  2091,  2151,  1516,  1517,  2127,  1122,  1123,  2001,
    2810,  1519,  1520,  3979,  4352,  4341,  2836,  2837,  2226,  3975,
    3469,  4602,  4729,  4730,  4043,  4040,  4394,  4606,  4817,  4868,
    4869,  1521,  2890,  2180,  1199,  1522,  3783,  2182,  2830,  2912,
    2913,  2340,  2089,  2776,  2793,  2794,  2807,  3430,  2814,  2819,
    3453,  3454,  2831,  2859,  1523,  2779,  2780,  3413,  2093,  1524,
    1576,  1577,  2196,  2854,  1590,  1591,  1076,  1525,  1526,  2058,
    1065,  4586,  1324,   694,  3134,  2241,  1226,   998,  1527,  1528,
    1529,  3382,  1641,   656,   695,   696,  1160,   807,     2,    75,
     968,  3310,   367,   368,   899,   900,   901,  1298,  1299,  1943,
    1946,  1646,  2318,   660,   661,   712,  4307,  4552,  4710,   954,
     369,   370,   371,   372,  1642,  2314,  1124,    76,    84,    77,
    1125,   409,   410,  2296,   373,   824,   374,  1623,  1104,  3594,
     375,   376,   377,   378,   379,   951,   380,  1106,   381,  1107,
     382,   383,   384,   385,  1114,   386,  1625,  1626,  4072,  1627,
     387,   388,   698,   699,  1359,   389,   390,  1141,  1142,  1391,
    1392,  1652,  1667,  1668,  1669,   391,   668,   392,   393,   394,
    1658,  1659,   395,  2203,  2204,  2323,  2205,   396,  2984,  2985,
     397,  3552,  3553,  4401,  3554,   398,  2199,   399,   400,  1068,
    3599,   401,   820,   402,  1155,   700,   701,   702,  1162,   810,
    1026,   713,  1164,  3121,   812,   813,   704,   705,   706,  2036,
      78,  2992,  2037,  1531,   714,  1532,  2194,  1533,  1534,  1535,
    1536,  1537,  1675,   708,  1131,  1351,  1352,  2993,  1354,    82,
    1355,   406,  3795,  2004,  1393,  2022,  2023
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -4451
static const int yypact[] =
{
   -4451,   385, 10707, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, 24394, -4451,
   -4451, -4451, -4451, -4451, 95698,   382, -4451, -4451, -4451,100531,
   -4451, -4451, -4451,   487, 63952, -4451, 66838,   861, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, 70205, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, 53358,  1414, -4451,
     480, -4451, -4451, -4451, -4451, -4451, -4451, -4451,  1138, 11063,
   -4451, -4451, 67319, -4451,   248, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, 67800,   488, -4451, -4451,   939,  1348, -4451,    98,
   14476, -4451, -4451, 60585, 64914, -4451, -4451, 70686,   471,  2207,
   14234,  1138, 23910, 71167, -4451,  1248, -4451, 49949, -4451, -4451,
   -4451, 64433, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, 77901,  2618,   567, 50439, -4451, -4451,
   -4451, -4451, 77901, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, 71648, -4451,  1007,  1004, 78382, 78863, 62028,
   -4451,  1490, -4451, 77901,  1080,   734, 52394, -4451, 79344, -4451,
   -4451,   981, -4451, 72129, -4451, -4451, -4451, -4451,   567, -4451,
   53358, 48985,    57,   941, -4451, -4451, 79825, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451,  1687,   999, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451,   488, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451,   167, -4451,  1251,
     573,  1749,   520,   955, -4451, -4451, -4451, 11571, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, 97132,  1366, -4451, -4451, -4451,
    1068, -4451,  1169, -4451, -4451, -4451,  1497, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451,   722, -4451, -4451, -4451, -4451,  1662,
   96176, 70205, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, 60104, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451,   199, -4451, -4451, -4451, -4451, -4451, 70205, 70205, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, 70205,  1296, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451,   449,  1500, -4451, -4451,
   53358,  2253,  2253,  1772, 97132, -4451, -4451, -4451, 54322, 77901,
   77901, 77901,  1452, 77901, 77901,   342, 54322,103838, 80306,  1503,
   44562, -4451,103838, 77901, 80787, 77901, 72610, 77901,  1466, 77901,
   77901,104251, 81268,  1657, -4451,  2011,  1359, -4451, -4451, -4451,
   77901, 11503,  2618, -4451, -4451, 77901,  1602, 54322, 77901,  1549,
   77901,  1637, 77901, -4451, 77901, 81749,   609,  1927,103838,  1937,
   45056,  1724,103838, 77901, 77901, 77901, -4451, -4451,  1716, 77901,
   77901, -4451, -4451,104664,  1375,  1954,  1867,   793, -4451, -4451,
    2039,  1644, -4451, -4451,  2090, 70205, -4451, 68281, -4451, -4451,
   -4451,  2199, -4451, -4451, -4451, -4451, -4451,101773,  2207, -4451,
   -4451, 54804, 77901,  1951, -4451, -4451, 82230, -4451, -4451,   633,
   55286, 82711,  2070, 45550,  2085, 83192, 83673, -4451, -4451, 84154,
   -4451, 84635,  1846, 85116, -4451, 85597, -4451,  1965, 86078, -4451,
   13663, -4451,  1735,  2241,  1746,  1413, 70205, 70205,   477, 98436,
     488, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,   145,
    1338, 50929,   624, 51419, -4451, -4451,   685,   731,   924,   145,
    2169,  2169,    50, 70205, -4451, -4451,  1338, -4451,   669,    -3,
    1756,  1756,  1756,  1958,   -20, -4451,  1756, -4451, -4451, -4451,
   -4451, 72129, 50929, 51419, -4451,  1784,  2618,   213,  2191, 77901,
   -4451, 77901, -4451, 77901, 77901, -4451, -4451, -4451,  2188,  1837,
    2062, -4451,  1850, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
    2032,  2042,  2041,    51,  2618,  1944, -4451,  2156, -4451,  2081,
   28821,   -60, 70205,  2618, 51909, 73091, 93293,   281,101773,  2618,
   86559,  1922,  1084,  2089, -4451, -4451,   717, -4451,  2303,  1935,
    2167,   409,  1359, 42128, -4451,  1945,   688, 72129, 97610, -4451,
   -4451, -4451, -4451,   228,  2219, 29320, -4451, 77901,  1948, -4451,
    1970,  1947,  1979,  1749, -4451, 77901,   782,   782,  2362,   782,
    1406,  1719, -4451,  2345, -4451,  2265,  2242, 72129,   941,  1138,
    2071, -4451, -4451, -4451,  2000, -4451,  2040,  2052, -4451,   473,
    2304, -4451, -4451, -4451, -4451,  2154,  2170,  2174,  2182,  2072,
    2185,   214, -4451, -4451, -4451, -4451,  2414, -4451, -4451, -4451,
   -4451, -4451, -4451,  2499,  2524,100947,100947,   431,   679,   143,
     229, -4451, -4451, -4451,  2366, -4451, -4451,  2387, 77901,  2238,
   77901, -4451, -4451, -4451, 87040, -4451, -4451,  2253,  2000,  2172,
   -4451,   158, -4451,   688, -4451,   169,   178,   316,  1686,  2171,
    1713,  1891, -4451,   445,  2283,   146,   465,  2249, 73572,  4963,
    2223,   743,  2477,  3396,   214, -4451, 77901, 77901, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451,  2228, -4451, -4451,
    2186,  1631,  1317,  2526, 12529,   562,  2527,  3914,  1526,  1028,
    2428,  1460,  2530,  1306,  2562,  4212, 77901,  2272, -4451,  2489,
    2601,   486, -4451,   795, -4451,  2336,  2472,   905, 54322,  2305,
   -4451, -4451, 77901, -4451, -4451, -4451, -4451,   663, 54322, -4451,
    2497, 46044, -4451, 77901, -4451, -4451, -4451, -4451, -4451,  2443,
   77901, -4451, -4451,  2548, 77901, -4451,  1756,   716,  2335,  2706,
   57696,   238, 77901,  2375,  2741,  2541,  2375,  2381, 87521, -4451,
   -4451,  2375, -4451, -4451, 77901, 77901,  2361,  1524,  2375,  2767,
    2770,  2450,  2557,  1076,  1158,   113,  2685,  2375, 77901, 88002,
   77901, 77901,  2739, 54322, 77901, -4451,  2566, 74053, -4451,  2407,
    2039, -4451, -4451, -4451, -4451, -4451,  1123, -4451, -4451, -4451,
   -4451,  2709,  2172,   352,  2713,  2422,  2717, -4451,  2460, -4451,
    2722,  2223,  2725,  2444, -4451, 88483, 88964, 89445,  2738,  2228,
   77901,  2753,  2444,  2760,  2655,  2778,   352,  2792, -4451,  1110,
    2799,  2691,  2820,  1721,  2444,102186,  2831,   102, -4451, 18942,
   13663, -4451, 21359,  1033, -4451, -4451, -4451, -4451, -4451, -4451,
   32813,   783,  2627, -4451, -4451, -4451,  1639, -4451, 99694, -4451,
     477,  1338, -4451, 70205,  1338, 70205,    50,  1338, 70205,  1338,
   70205,    50,  1338, 70205, 70205, 70205,  1338, -4451, -4451,   855,
     386, -4451, -4451, -4451, -4451, -4451, 70205,  2551, 77901, 77901,
   -4451, -4451, -4451, 65395, 77901, 65876, -4451, -4451,   267, 70205,
   -4451, 70205, -4451,  2618, -4451, -4451,  2241, 57696,  2949, 77901,
    2837,  2837,  2837, -4451, -4451, -4451,  2795, 77901,  2863,  2873,
   65395, 77901, -4451, 89926,101773,  2774,  2595, -4451, -4451, -4451,
   -4451,  1864,  2715,   357,  2727, 32813,  2596,   195,   195,  2599,
    2883, -4451, -4451, -4451,   391,  2603,  2604, -4451,   401,   401,
    2762,  2607,  2612, -4451,   427,  2613, -4451,  2802,   435,  2614,
    2615,  2617,  2202,   195, 32813, -4451,  2619,   401,  2629,  2630,
    2631,  2877,  2637, -4451,  2923,  2639,   343,   375,  2640,  2641,
   -4451,  2607, -4451,   415,  2642,  2645,  2646,  2648,  2649,  2652,
    2654,  2656, 32813, 32813, -4451, 27823,   688,  2618, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451,    88, -4451,   497,  5769, -4451,
   -4451,  2817, 32813, -4451, -4451,    32, -4451,   507, -4451, -4451,
     688, -4451, -4451,  1126, -4451, -4451, -4451, -4451,   582,   582,
     202, -4451, 67319, 67319, -4451, -4451,  1335,  2662, -4451,  1659,
   -4451, -4451, -4451, -4451, -4451, -4451,101360,  3050, -4451,  1015,
    2618,   795,  1708,  2998, 98852, 99273,  2896,  2896,  2886, -4451,
   -4451, 77901, -4451, -4451, 32813, 48021, -4451,   688,   184,  2903,
   -4451, -4451, -4451,  1893, -4451, -4451, -4451,   488, -4451, 14281,
   -4451,  1926,  1948, 77901, 77901,  3064, -4451, -4451,  1970, -4451,
   -4451,  1749,  1749, 32813,  1749,   897,    15, 29819, 32813,  2951,
    2853,  1000,  1736,  2953, -4451,  1406,  1719, 72129, 77901, 90407,
    2780, -4451, -4451,  2000,  2682,  1878, -4451, 59623, 96654, 96654,
    2917, -4451, -4451,   823,   589,  2794,  2885,  2169,  1235,  2060,
   -4451, -4451,  2676, -4451,  3007, 67319,  2742,100947, -4451, -4451,
   77901, -4451, -4451, 74534, -4451, -4451, -4451,  1943,  2683, -4451,
    2698, 77901,  3179, -4451,  2060,  2060, -4451, -4451,  2689, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, 97132,  2694, 77901,
   -4451,  2695,  2697, -4451, 97610, 48503,  1729,   688,  2773,  2775,
    2819, 53358,  2700,  2777,  2786,  2823,  2787,  2789, 93774, -4451,
   -4451, -4451, -4451,  1520,   183,  1156,  2793,   302,   697,  3056,
   -4451,  2839, -4451, -4451, -4451,  3303, 77901,  3010,  4951,  2902,
     214,  2840, -4451, -4451,  2950,  2800,  2804,  2920,   214,  1269,
   94255, -4451, -4451, -4451, -4451, -4451, -4451,  2521, 26352, -4451,
    2806,  2781, 77901, 61066,  3092,  2915,   938,  1785,   426, 77901,
    2990,  2924, 77901,  2749,  2815,  2826,  2754,  1339,  3103,  2755,
   -4451, -4451,  2926,  2812,  2814, 56732,  1116, 46538,  3097,  2843,
   -4451,     8,  2845,  2846, 77901,   214, -4451,  3141,   214,   214,
    1554,  3151,  2848,   289,  1598,  2375,  2755,  1548, -4451,  2850,
    2851,  1511, -4451,  2954, 72129,   587,  1913,  2755,  2856,  2857,
    2754,  2754, 77901, 77901, 77901, 77901, 77901,   149,  3180,  3182,
    2864,   110,  2913,  2796, -4451,102599,  2869, 93293, -4451, -4451,
   77901,  2870,  1933,  2755,  1345, -4451,  1656, -4451, -4451, -4451,
    1359, -4451, 77901, -4451, 77901,  2172, 57696,  2977,  2829, -4451,
    2223,   214, 77901, 77901,  2228,   108,  1127,  2980, 77901,  3036,
    2836, -4451, -4451,  2375, -4451, 48503,  2361, -4451,  2803, -4451,
    2849, -4451,  2849,  2849,  2805,  2805,  2809, -4451, -4451,  2202,
    2849,  2805, -4451, 58660, -4451,  1745,  1758, -4451,  3205,  3207,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,   768,
   -4451,  1969, -4451, -4451, -4451, 77901, 53358, -4451,  3226, -4451,
   -4451, 57696,  3114, -4451, 77901,  3018,  2830, -4451,  3149,  2881,
   -4451,  2872, -4451,103838,   983,  2618,  2874, 77901,  3047, 77901,
   77901, 77901, 77901, -4451, -4451,  3020,   913,    90, -4451,102599,
   -4451,  1548,  3033,  3238,   524,  1756,  3125, -4451, 77901,  2847,
    3240,  3078, -4451, -4451,  2852,  2169, -4451,  2407, -4451,  1920,
   -4451,  2968, -4451, 54322,   352, -4451, -4451, -4451, -4451, 57696,
   77901, 90888, 54322,   352, 77901, 77901,  3143,   102,  3144,  2905,
    3147,  2908, 46538,   352,   114, 77901, 77901, 77901, 77901, -4451,
   77901, -4451, -4451, -4451, -4451, 77901, 77901, 77901,102599,  3150,
    3152,   352, 77901, 77901, -4451, -4451, 20343,  1620, -4451, 13663,
   -4451, 14281,  1989,  2896, -4451,  1296, 77901,  1155,   477,103012,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, 70205, -4451,
   70205,    50, -4451, -4451, 70205, -4451, 70205,    50, -4451, 70205,
   -4451, -4451, -4451, 70205, 77901,  3348,  2858, -4451,  1126, -4451,
   77901,  2009, -4451, -4451,  2028,  1077, 77901, 77901,   136, 54322,
   77901,  3048, 77901, 77901, 77901, 77901, 77901,  2936,  2662,   405,
   -4451,   196, 72129,  3054, -4451, -4451, -4451, -4451, -4451,  2046,
    1687,   928, -4451, -4451, -4451, -4451, -4451, -4451, 65876, 64433,
    3145,    75, 77901, -4451, -4451,  2553, 32813, 28322, -4451, -4451,
   -4451,  2876, 14281,  2910, 32813, -4451, -4451, 32813,  2878,  2169,
    2169, 32813, -4451, -4451, -4451, -4451,   954,  2169, -4451, 32813,
   32813,  2169,  2169,  2849,  2849, -4451,  4014, 32813, -4451, 46538,
   32813, 34310, 25852, 32813,  2946,  2890,  2169, -4451,  2169, -4451,
   32813, 27324, -4451, 32813,  3079, 35308, 32813,  1708,  3081, 32813,
    1708,  3295,  3295,   941,  2134,  4984,  2879,   688, -4451,  2991,
    2169, -4451,  2169,  1098,   218, 57696, 32813, 53358,  2963,   162,
   77901, 32813,  2889,  2082, -4451, 32813,   641, -4451,  2891, 32813,
    2964, 32813, 32813, 32813, 32813, 32813, 32813, 32813, 32813, 32813,
   -4451, 36278,   256, -4451,   410,  1378, 66357, 28821,  3169, -4451,
   25352, -4451,   269, 70205, -4451, -4451,   688, -4451, -4451, -4451,
   -4451, -4451,  1943,  2893, -4451,  2907, -4451, -4451, -4451, -4451,
   -4451, 77901,  3050, -4451, -4451,  2969, -4451, -4451, -4451, -4451,
     553, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,  2898,
   -4451, -4451, -4451, -4451,  2898, -4451, -4451,  2896,  2901,  4124,
   -4451, -4451, -4451, -4451,  3165,  3166,   352, 97132, 77901,   228,
   68762, -4451, 29320, -4451,  2054,  2911, -4451,  3153, -4451,  2909,
   -4451, 10829,  3153, -4451, -4451,   190,  3084,  3094,  3094, -4451,
    2912, 14281, -4451,  2088, 14281,  2119, -4451, -4451, -4451, -4451,
   -4451, -4451,  1030, -4451,  2951,  1736,  2965,   586, 77901, -4451,
   42613,  2012, -4451,  2000, -4451, -4451, 23244, -4451, 24872, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,  2916, -4451,
   -4451, -4451, -4451,   214,  2918,  3387, -4451,100947, -4451, -4451,
   -4451,  3348, -4451,  2090, -4451,  2090,  3413, -4451, 70205, -4451,
   -4451, -4451, -4451,  1165, -4451, 13663, -4451, 13663, -4451,  2922,
    2068,  2995,  3000,  3046,103838, 77901, 77901, -4451, 53358,103838,
   77901, 77901,103838, 77901, 77901, -4451,  3279,  1048, 64433,  3051,
   62509, -4451, -4451,  2943, 77901,  2997,  3181,  3183,  1218, -4451,
   -4451, 91369, -4451,  3137,103838, 77901, 77901, 32813,  3138, 77901,
   77901, 77901,  3025, 54322,  2955, 77901, 77901, 77901,   666, 54322,
   47032, 77901, 77901, 77901, 77901,  3070, 77901, 77901,  3185,  1463,
   72129,   142,  1955,  2755,  3155, -4451,  1394, -4451,103838, 77901,
    3140, -4451, -4451, -4451, 62990,  3346,  3061, -4451, -4451, 94736,
   -4451, -4451,  3135, -4451, -4451, 58660, -4451, -4451,  2075, -4451,
   58178, 55768, -4451, -4451,  1112,103838, 77901,  5909, 77901,  1281,
   -4451, -4451, 57696, -4451, 77901, 77901, 77901, 69243, 91850, 92331,
    1221,  1603, 77901, 69724, -4451, 77901, -4451, -4451, 53840,103838,
   77901, 53358, -4451, 77901,  3154,   200, -4451, 77901,  6877,  3042,
   77901, 77901,  2961,  2078,  3043,  3089, -4451, 77901,103838,  1698,
   -4451,103838, 77901, 13231, -4451, -4451,   214, -4451, -4451, -4451,
   -4451, -4451, 77901, 77901,   214, 77901,   214,  1629, -4451,103838,
   77901, -4451, -4451, -4451,  6232, 77901, 77901, 77901, 77901,103838,
   77901, -4451, -4451,  1636,  1344,    21,   512,  3107, 77901,  2618,
   77901, 92812,103838, 77901, 77901, 77901,  1451, -4451, -4451,  3082,
   -4451,103838,  1698,  6437, 77901, 77901,  3049,  3052,   235,  3120,
   -4451, -4451, -4451, -4451, -4451, -4451,  3214,  3376, 77901, -4451,
    3218,  3219,  3037,  3039,  3221,  1809, 77901, 77901, 77901, 77901,
   77901, 77901,  3233,  1809,  3184,   640,  2999,  2087, -4451,  3014,
   -4451, 32813,  3398, 57696,  3009,  3011,  3086, -4451,  3087,  2169,
   -4451,  2092, -4451, -4451,  2100, -4451,  3027,   913,  1689, -4451,
   77901,   695,   765,  3297, 39702,  3126,  2842,  3296, 77901, 77901,
    2842, -4451,  2038, 64433, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451,  3298, -4451,  2618,  2361,  2361,  2361,  2361,
   -4451, -4451, -4451, -4451,  3201,  1858, -4451,  3021,  2361, 77901,
    3132,  2842, -4451,  1548,  3315,  3319, 77901, 61547,  2069,  3065,
    2618,  3212, -4451, 26838,  3956,  3213,101773, 74053, -4451,  3041,
    3291,  3300,  3321, -4451,  2172, -4451,  3436, -4451,  3335,   352,
    2223, -4451,  2444, -4451, 77901, -4451, 77901, 77901, 77901, 77901,
    2228, -4451, -4451,  2444,  3224,   352,   352, -4451,  3225,   352,
    2444,  3156,  3328,101773, -4451,   102, -4451, -4451, -4451, -4451,
   -4451, 32813, -4451, -4451,  1756,  1920, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, 70205,  2090, -4451,
    2104, -4451, 77901, -4451,  3304,  3305,  3306,  2444,  3053,  3083,
   77901,  3058, -4451,  2444,   214,  2444,  2662,  2662,  2444,  3053,
  103425,  3458,  3323,   144, -4451,   708,    -6,  3259, -4451, -4451,
   -4451, -4451, 57696, -4451, -4451, -4451, -4451, -4451, 77901,   231,
    3237,  3059,103425,  3442,   352, -4451, 54322, -4451, -4451, -4451,
    3157, 54322,  3250, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
    3299, 77901,  2146, -4451,  1681, -4451,  1692, 32813, 32813,   100,
   -4451, 10571,  2178, 32813,  3066,  3067,  2193, -4451, -4451, -4451,
   -4451, -4451, -4451,  3068,  3342, -4451, -4451,  3071,  2200,  2210,
    3074,  3075, -4451, -4451,  6657,  3076, 12201,  3077, 34310, 34310,
    1564, -4451, -4451, 34310,  3080, -4451,  2214, 11757,  3085,  3091,
    3088, -4451,  3096,  3098, 12543, 30318, 32813, 30318, 30318, 12784,
    3085,  3099,  2226, 53358,  3242, 12852,  2230, -4451, 32813, 53358,
    6950, 32813, -4451, 32813, 77901,  3100,  3101, -4451, -4451,  4014,
   -4451,  3102, -4451, 34310, 34310, -4451,  6113, 27823, -4451, -4451,
    3363, -4451, -4451,  1472, -4451,  3095, -4451, -4451,  6415,   172,
   32813,  2889, 32813,  3172, 46538,  4638, 32813,  4275,  7462,  7462,
     467,   467,   139,   139,   139,  1542,  1378, -4451, -4451, -4451,
    3104,  2637, 32813, -4451,  2281,  2289, 77901,  7257,  9078, 13891,
   -4451, -4451, -4451, 37761,  3146, 32813, 32813, 32813,  3105,  3274,
    3520, 14281,   870, -4451,  3521, -4451, -4451, -4451,  1091,  3413,
    1943, -4451,  1359,  2169,  1098, 99694, -4451, -4451, -4451, 32813,
   -4451, -4451, -4451, -4451,  1970, -4451, -4451, -4451, -4451, -4451,
    1687, 32813, -4451, -4451,   671,  2057, 32813,  2088, -4451, -4451,
   77901,  3054,  3054, 32813, -4451, -4451, -4451, -4451, -4451, 37761,
    3158,  3159, 41643,  3239, -4451, -4451, 77901,   232, -4451, -4451,
   -4451,  3127, -4451, -4451, -4451,  1424, -4451, -4451, -4451, -4451,
   -4451, -4451,  3108, -4451,  3113, -4451,  3133, -4451, -4451, -4451,
   -4451,   181,  3121,  3123,  3122,  1590, -4451, -4451,103838, 77901,
   77901, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451,  3345, -4451, 77901, 77901,  3308, 77901,  3307,  3309, 32813,
     846, 77901,  3131,  3134,  1455,  3386, 77901, -4451,  3427,   352,
   -4451, -4451,  3215, -4451, 14281, -4451, -4451, -4451, -4451,101773,
   -4451,  2172, 57696, -4451, -4451, -4451,  3170, 77901, -4451, 77901,
   77901,  2228, -4451, -4451, -4451, -4451,  1130, -4451, -4451, 77901,
   77901,    92,  3216,  3217, 77901, -4451,   814,  2954,  6876, 77901,
   77901, 77901,  3389, -4451, -4451, -4451, -4451,  3337, -4451, -4451,
    1969, -4451, 55768, 58178, -4451, 58178, -4451,  1969,  1585, -4451,
    2444,  3220,  2755, -4451,  3325,   820, -4451, -4451, -4451, -4451,
   -4451,  3443,   352,  3444,   352, 77901, 77901, 77901, 77901, -4451,
   -4451, -4451, -4451, -4451, 53358, 53358, 53358,  2254, -4451, -4451,
    2618, -4451, -4451, -4451,  2257, -4451,  1545, -4451, -4451, -4451,
   -4451, -4451, -4451,103838,  1825, -4451,   704, 57696, -4451, 57214,
  103838, 77901, -4451, -4451,  3368,  3316, -4451,  1997,  3317, 77901,
    3211, -4451, -4451, -4451, -4451,  3231,  2077,  2755,  1548, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451,   265,  2184,  2755,
    3234, -4451,  3235, -4451, -4451, -4451,  3372,  3374,  3375,  3241,
    3246,  3287,  3247,  3248,  3294, -4451,  3252,  3310,  3253,  3314,
    3254,   352, 57696,  1622,  3283,  3478,   352, -4451,  3263, -4451,
   -4451,  3585, -4451, 77901, -4451,  3271,  2216,  2755, -4451, -4451,
  103838, 77901, -4451, -4451, -4451,  1809, 57696,  3433,  1809,  1809,
   77901, 77901,  1809, -4451, -4451, -4451,  3434,  3439,  3440,  3441,
    3445,  3449,  1809, -4451, -4451, -4451, -4451,   716, 53358, -4451,
    2825, -4451,  2199, 44068,  5425,  3203,  3011,  3206,  2169, 40188,
    1124,  3412,  3222, -4451, -4451, 53358, 44068,  1861,  3435,  3229,
    3229,  3229,  3229,  3229,  3229,  3229, -4451,  2882,  2375,101773,
   77901,101773, -4451,   765,  3325, 77901, -4451, -4451,  2258, -4451,
   77901, 77901,   107, 77901,  2169, -4451, -4451,  3292, -4451,  1756,
     983,  3356,  1395,  3556, -4451, -4451, -4451, -4451, -4451, 77901,
   77901,   913,  2618, -4451,  3227,  3228, -4451, 77901, 77901, 77901,
    1687,  3230, 77901,  3232,  3236, -4451, -4451, -4451, -4451, 57696,
     534,  3415,  3416,  2754,  3627,  3311, 77901, -4451,  2274,    77,
   -4451,  2618,101773, 56250, -4451,  3513, -4451, -4451,  1027,  3502,
   -4451, 77901, -4451, -4451, 41158,   352, 57696, 77901, -4451,   352,
     102,  3293,   352,  3302,   352,   352, 77901, -4451, -4451, 77901,
   -4451, 77901,102599,   352, -4451, 14281,  3523, -4451, -4451, -4451,
   -4451,  3359,  3365,  3367, 77901,  2444, 54322, -4451,  3249,103838,
    1353, -4451, -4451,  3428, -4451, -4451, -4451, -4451, -4451,  3547,
    3548, -4451, -4451, -4451, 77901, 65395,   186,103838, -4451,  2172,
   -4451,  2223,   214, 77901,  3491, -4451, -4451, -4451,  3261,  2280,
   12901, 32813, -4451,  3557, 57696, -4451,  6457, -4451, -4451, -4451,
   -4451, 32813, -4451, -4451, -4451, -4451, -4451, 32813, -4451, 32813,
    3538, -4451,  3680,  3680, 57696, 34310,  1449,  2629, 34310, 34310,
   34310, 34310, 34310, 34310, 34310, 34310, 34310, 36777,   563, -4451,
   -4451, 32813, 32813,  3549,  3538, -4451, -4451,  1553,  1553, 57696,
    3266,  3085,  3268,  3269, 32813, -4451, -4451,  2328, 35793,  3270,
   53358, -4451, 32813,  9453,  2329,  3313, 13745,   688,  7014, -4451,
    3641,  2618, 32813,  1705,  1810, 32813,  2352, 32813,  3550, -4451,
   -4451, -4451,  3276, -4451, -4451, 57696, 32813, 34310, 34310,  7584,
   -4451,  8628, 32813,  3277,  9651, 27823, -4451,   567,   567,   567,
     567, -4451, 77901, 77901, 77901, 37276, 75015,  3280,  2149, -4451,
   75015, 75496, -4451,  3282,   688, 32813,  3545,   678,   678,  3284,
    3274, 43098, -4451, 32813,  1668, 30817,  3285, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451,  3289, -4451,  3301, -4451, -4451,   795,  3286, -4451,
   -4451,  9949,   181, -4451,  3312, -4451,  3318, -4451,  2057, -4451,
   -4451, -4451,  7516,  3459,  2662, -4451, -4451, -4451,  3280, 31316,
    3239, -4451,  2367, -4451, -4451, 28821, -4451, -4451,  2377, 42613,
    3158, 29320,   688,  2169,  3322, -4451,  2090,  1091, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451,  3229,  2444,  2444,  1199,
    2444,  3575,  1199,  7778, -4451, -4451, 38246, 77901, 77901, -4451,
   77901,  2393,  1757, 77901, -4451, 77901, -4451, -4451,  3690, 77901,
   -4451,  3349,  3350, -4451, 77901, 77901, 77901, 77901, -4451, -4451,
    2171, -4451, -4451,103838, 77901, -4451, -4451, -4451,   284,  2286,
    2755, -4451,  3370, -4451, -4451,  3544,  1788, -4451, -4451, -4451,
    3366, 77901,  3320, -4451,   185,  2754,   799, -4451, -4451,  3371,
   77901, -4451, 77901, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, 53840, -4451, -4451, -4451, 53358, 44068, 53358, -4451,
    3377,  3379,  3419,   899,   135,  3382,  3384,  3421,  3324,  3326,
    3327, -4451, -4451,   145,  2618, -4451, -4451,  2618,  2444,  2618,
   77901, 77901, 77901, 77901, 77901, 77901, 77901,  3592,    69,  1804,
  103838, 77901, 77901,103838, 77901, 77901, 77901, 77901, 77901, 77901,
   77901, -4451,  3672,  2618,  2618,  3645,  3381, 77901, -4451, 77901,
    2954, 77901, 77901, -4451, -4451, -4451,  3329,  1809, -4451, -4451,
    3552,  3558, -4451,  1809,  1809,  1809,  1809,  1809,  1809, -4451,
      93,  2394, -4451, 98023, -4451, -4451,  2741,  2618,  2741,    71,
   -4451,  2741, -4451,  2741, -4451, -4451,  3014,  3318,  2169,  2060,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451,  2169,  2163,  3334,
   -4451, 40673, -4451, -4451, -4451,  2365,  1098, -4451, -4451, 77901,
    3229, -4451,  2647,  2510,  2667,  2692, 75977, 76458, 76939,  3336,
   77901, 77901, 34310, -4451,  1368,   925, -4451,  3553, 77901,  3355,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,  2830, -4451,
   77901,  3325,  2444, 77901, 77901,  2444, -4451, 57696,  3065,  1413,
   88002,  3357,  3331,  3616, -4451,  3338,  3340, -4451, -4451, 77901,
    3325,   837,  1746,  3378, 63471,  2069, -4451,  3590, 61547, -4451,
   -4451, -4451,  3696,  3430, -4451,  1687,  2618,  2997, -4451, 55768,
   32813, 32813, -4451,  3343, -4451,  3351,  4834, -4451,  2361, -4451,
   -4451, -4451, -4451, -4451, -4451,  3423, 77901,  3763, -4451, -4451,
   -4451,  3352,   352, -4451, -4451, 77901, -4451, 77901, -4451, -4451,
     352,   352, -4451,  3460, -4451,  1687, 77901, 77901, 77901,  2444,
   -4451,   214, -4451,  3626,103425, -4451, -4451, -4451, -4451,    75,
    3633, -4451, -4451,  3594,  3595,  3596,  3597,  2136, -4451, -4451,
   32813, 14281, -4451,  3362, -4451, 14281,  8193, 14281,  3549, -4451,
    2485,  3644, -4451,  1037,  3369,  2485,  2166,  2166,   230,   230,
     134,   134,   134,  3680,   563, 14281, 14281, -4451, -4451, -4451,
   -4451,  3373, -4451, -4451, -4451,  3085, -4451, 33312,  3511,  3749,
   -4451, -4451, -4451,  3411,  3420,  3385, -4451, 32813, 33811,  3390,
   58660, -4451, -4451,  1098,  1468, 34310, 34310,  1769, -4451,  1371,
   32813, 57696,  2404,  1769,  2322,  2471, 32813, 32813, 10224,   296,
   32813,  8204, 77901, 77901, 77901, 77901, -4451, -4451, -4451, 39216,
    2149,  3394, 77901, -4451,  3380, 37761,  3608,  3551, -4451, 37761,
    3551,  1536,  3551,  3619, -4451, 43583, -4451,  3388, 25352,  1826,
   14281,  3775,  3665, 32813,  3400, -4451,  3401,  3274, -4451, 95217,
   -4451, -4451, 14281, -4451, -4451, 32813, -4451,  3274,  1091,  1063,
    2618, -4451, -4451, -4451, 46538, -4451, -4451, -4451,  3587, 14281,
   -4451,  1687, 77901,   688,   578,  3417, 77901, -4451,  3239, -4451,
   -4451, 13663, -4451, -4451, -4451,   145, -4451, -4451, -4451, -4451,
    3479, 64433,  3684, -4451, 32813,  2412, -4451,  3446,  3770,   118,
    2436,  2441,  1757, -4451,  3355, -4451,  1376,  3662,    82, -4451,
     352, -4451, 57696, -4451, 77901, 77901, -4451, -4451, -4451, -4451,
    2700, -4451, -4451, 77901, 77901, 77901, 77901, -4451,  3481, -4451,
   -4451, 53358,  2882,  3603, -4451, -4451,  3606,   145, 77901, -4451,
   57696,   352,   352, -4451, -4451, -4451,  3432,103838, 77901, 77901,
    2169,  2169, 57696,  3418, -4451,  2169,  2169,  3424, -4451,103838,
   77901, 77901, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451,  3494, -4451, -4451, -4451, 77901, 77901, 77901, 77901,
    3714, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, 77901, -4451, -4451, -4451, 57696,   352,   352, -4451,
   -4451, -4451,  3661, -4451,  1809,  1809, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451,  2375,  3744, -4451, 53358, -4451,100115, -4451,
   -4451, -4451,  2618, -4451,  2618,  3620, 49467,  2618,  2618,  1757,
    3431,  1441,  3706, -4451,  1824, 40673, 40673, 40673, 40673, 40673,
   -4451, -4451,  3710,   145, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, 32813,
   -4451,   974,  2485, -4451, -4451, -4451, -4451,  3355,  1756,  3487,
     695,  3546, -4451, -4451,  2444,  2444,  3490,  3835,   864, 77901,
    3746,  3483, -4451,  2618, -4451, -4451, 77901, 61547,  3378,   830,
   -4451,  2452, -4451, -4451, -4451,  3477,  3416,  1793,  3447,  2069,
   -4451,  1257, 77901, -4451,  3480,  3724,  3450, -4451, 14281, 14281,
    2618, 59142,  3513, -4451, 77901,  3697, 77901, -4451,   352, -4451,
     352,   352, -4451, -4451, 77901,  2444,  2444,  2444, -4451,  3628,
   -4451,   352,103425,  2136,  2136,  2136,  2136, -4451, -4451, -4451,
   14281, -4451, -4451, -4451, 34310,  3728, -4451,  3453, 57696, -4451,
    3454,  2482,  2498, 35308,  3599, -4451, -4451, -4451,  8326,  3506,
   14281,  3561,  3464,  3465, -4451,  1100,  1100,  1371,  2503, -4451,
   34310, 34310,  1769,  1769, 32813,  1769, -4451, -4451, -4451, -4451,
   -4451, 75015,  3455, 77901,  2149, 37761, -4451, -4451,  1310, -4451,
   37761,  3692, -4451, 37761, 77901,  3461, 77901,   903, 32813, 32813,
    3504,  3274,  3274, -4451,  3631, -4451,  3469, -4451, -4451,  2060,
   -4451, -4451, -4451, -4451,  1098,  3470, 70205, -4451, -4451, -4451,
     941, -4451, -4451, -4451, -4451,103425,  3656,103425,  1757,  8668,
    3355, 38246, 47526, 77901, 77420, 77420,  3617,  3355,  3487, -4451,
   -4451, -4451, -4451, -4451, -4451,  3482, -4451, -4451, -4451,  3562,
   -4451, -4451, -4451,  2509, -4451, -4451, -4451, -4451, -4451,  3672,
   -4451, -4451, 44068, -4451, -4451, -4451, 38731, 46538, -4451,   899,
    3484,  3489,   135, -4451, -4451, -4451, 77901,  1475,  1265,  3516,
    2444,  3771, -4451,  3672, -4451, -4451,  1809, -4451, -4451,  2999,
    2618, -4451, -4451,  2514, -4451, -4451, -4451, 77901, -4451,  3331,
   -4451, -4451, -4451, 54322,  3888,  3888, -4451,  1968,  1968, -4451,
   -4451, -4451, 77901, -4451, -4451,  8932,  3683, -4451,  3487,  3705,
    3750, -4451, 77901, 77901,  1687, 61547,  3325, -4451,  1358,  3498,
    3792, -4451,  3230,  3499, -4451, -4451,  3831, -4451, 63471,  3679,
    3430,   268,   268, 77901,  3416,  3629, -4451,  3635, -4451,  1181,
   -4451, 77901, 38246, -4451, 58178, -4451,  2517, -4451, -4451,  3146,
   77901,    41, -4451,  3517, -4451, -4451, -4451, -4451, -4451, -4451,
     186, -4451, -4451, -4451, -4451,   906, 34310, 57696,  2518, 32813,
   -4451, 32813, -4451,  3883, -4451, -4451, -4451,    22, -4451, -4451,
   -4451,  1100,  1100,  1769, -4451, 77901,  2523, -4451, 32813,  3515,
   -4451, -4451, 37761,  1310,  2528, 77901,  2532, 57696,  3274,  3085,
   14281, 77901, -4451, -4451, -4451,  3889,  3691,  3274, -4451, -4451,
   -4451, -4451, -4451, -4451,  1353,  1199,   186,  3770,  3487, -4451,
    3518, -4451, -4451, 77901, -4451,  1289,  1289, 77901,  3487, -4451,
   -4451, 77901, -4451, 53358,  3568, -4451, 57696,  2223,   156, -4451,
   57696, 57696, -4451, -4451, 77901, 77901, 77901, 77901, 77901,   352,
   -4451, -4451, -4451, -4451,100115,  3331,  3888,   696, -4451, -4451,
   -4451,  1594,  3715, -4451,   977,  3700,  3604,  3325,  3807,  3480,
   -4451, -4451, -4451, -4451, 32813,  3673,  2069,  3590, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
    2535,  3430, -4451, -4451,  3891,  3703,  3895, -4451,  2539, -4451,
   -4451,  4834, 59142,  3840, -4451,  3579, 77901, -4451, -4451,  2151,
    3950, -4451,   906,  2543, -4451,  2546,  2547,  3674,  3581, -4451,
    2555, -4451, 14281, 77901, -4451, -4451, -4451,  2561, -4451,  3532,
   -4451,  3931, 32813,    31, -4451, -4451,  3813, -4451, 77420,  3576,
   46538, -4451,  2057,  2057,  1756, -4451,  1757, -4451, -4451, 32813,
   -4451,  2564, -4451,   871,  3681,  3822,  2565,  2569,  3053,  3577,
    3053, -4451,  2444, -4451, -4451, -4451, -4451, -4451,  3847,  3795,
   -4451, -4451, -4451, -4451,   378, -4451,  3726,  3727, 77901, -4451,
   77901,  3944, -4451,  9207, 54322,  3416,  2069,  2882, -4451, -4451,
    3731, -4451,  3734,  3065, 38246,  3513, -4451,   234, -4451, -4451,
   -4451, -4451, -4451, 77901, -4451, -4451, -4451, -4451, -4451, -4451,
    2570, -4451, 77901,  3560,  3085, 31815, 31815,  3563,103425,  1289,
    3569, -4451,  3567, -4451, -4451,  3705,  1757, 14281, 54322,  3928,
   -4451, -4451, -4451,  3681, -4451, -4451, 77901,  3685, -4451,  1117,
    1117,  3869, -4451,  3625, -4451, -4451, -4451,   899, -4451,  3572,
    3430,  3416, -4451, -4451,  3430, -4451, -4451, -4451, -4451,  2059,
   -4451, -4451, -4451, -4451, 34809,  3698,   911, 11884, -4451, -4451,
   -4451, -4451,   186,  2057, 32813,  1757, -4451,  3700,  2223, 77901,
   -4451, -4451,  3483, -4451,  3982, -4451,  1159, -4451, -4451,  3418,
   52876, -4451,  3430,  3146, -4451,  2033, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451,  3972, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451,  9259, -4451, -4451, -4451,  3870, -4451, -4451, -4451,  2573,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451,  1834, -4451, -4451,
    1841,  1979, 32314, -4451,  1757,  3725, -4451, 52876, -4451,  2033,
   -4451, 54322, -4451, -4451,  3578, 52876,  2578, -4451
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4451, -4451,  3718, -4451, -1170,    78,  2269, -1246, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451, -4451,  2914,
   -4451, -4451, -4451,  1488, -4451, -4451,   -51, -1569,  1869,  2525,
    1166, -4451, -1363, -4451, -4451,  -857,     1, -1020, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -1093,  1624,   998,  3038,
   -2520, -4451, -1688, -3688, -4451,   408, -4451, -4451,  1570, -4451,
   -4451, -4451,   860,  -381, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451,  -105, -4451, -4451,  -551, -1804,  -118,  -172,  -415, -4451,
   -4451,   251,  -418, -1691, -4451, -3527, -4451,  -139, -4451, -4451,
   -4451,  -414, -1674,  1101, -4451,  -975, -1376,  1408,  -703, -4451,
    -297, -4451,  -754,  -652,  -650,  -711,  -546, -3703, -4097, -4247,
   -3135,  1108, -4451,  -144, -1798, -4451, -4451, -1739, -1683, -4451,
   -1016, -4451, -4451, -4451, -2976, -4451, -4451, -4451, -4451,   -94,
   -4451, -4451, -4451, -4451,   313, -4451, -4451, -4451, -4451, -4451,
   -4451, -2262,  1547,  1550, -4451, -4451, -3185, -4451, -1187, -4451,
     455, -3033,  1029, -4451, -4451, -4451,  2227, -4451, -4451, -4451,
   -4451,   317, -4451,   318, -4451, -4451, -1843, -4451, -4451, -1796,
   -4451,  1559,   848, -4451, -4451, -4451,  -731,  -795,  -785, -4451,
   -3449, -4451, -4451, -4451, -4451, -4451, -1232, -4451,   898, -3123,
   -1221, -4451, -4451,   914, -4451, -4451, -4451, -4451,  -692,  -301,
    2251, -4451,  -595,  -672, -4451, -4451, -4451,  -299, -4451, -4451,
   -4451, -4451, -4451, -4451, -1301,  4745, -1817, -4451, -4451, -4451,
   -4451, -2230, -4451, -4451, -4451, -1801, -4451,  3975,    11,   336,
   -1795, -4451,  -200,  -109,  2759, -1375, -2682,   253,  -446, -4451,
   -2007, -4451, -4451, -4451, -2602, -4451, -4451, -4451, -4451, -3465,
   -1794, -4451, -4451, -4451,   304, -4451, -4267, -3895, -4187, -4287,
   -3437, -4451, -4451, -1315, -4451, -4451, -4451, -1636,  1738, -1712,
   -4451, -2288,   303, -3720,  -984, -3251, -4451, -3670,  -529, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451, -1310,  -860, -4451, -4451,
    3257, -4451, -4135, -4451, -4451, -4451, -4451,  1250, -4451, -1686,
     982, -4451, -4451, -4451, -4451, -4451,  -682,  -761, -4451, -4451,
   -4451,   191, -4451, -4451, -4451, -4451,  1670, -1178,  -988,  3117,
   -1785,  -489, -4451, -4451, -4451, -4451, -3061, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -1262, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451,  1932,  1936,  -117,  -192, -4451, -4451, -1474, -4451,
    -804, -4451,  2173, -4451, -4451, -4451, -4451,  1243,   244,   333,
     -74, -4451, -4451,   125, -3390,   -65, -4451, -4451, -4451, -4451,
    -309,   -64, -4451,   599, -4451, -4451, -2831, -4451,   319,   -50,
    2827,  1496,   -71,   201,  -245,  -221,  -213,   -75,  3115,  2600,
   -4451, -4451, -4451,  -189,  1999, -4451, -1085,  -357, -4451,  1253,
    -894,  1910,  2585,  2587, -4451,  1245, -4451, -4451,  1252, -4451,
   -4451, -4451,  -885,  1916, -4451,  2589,  1939, -4451,  1236,  1246,
   -3371,   693, -3348,   189,  -930,  -382,  -143,  3160,  2597, -4451,
   -4284,   623, -4451, -3556, -2393,  2111, -2109, -1833, -4451, -4451,
   -1423, 10337, -4451, -4451, -4451, 10492, 12101, -4451, -4451, 14291,
   16468, -4451, -1266,   739, 16673,  7047, -1440, -1856, -1536,  5517,
    -820,  1032, -2838, -4451, -4451, -4451,  -347,   752,   103, -4451,
   -4451, -4451, -4451,  -587, -2824,  -585, -4451, -4451, -4451,  -582,
   -4450,  3026, -4451,  -830, -4451, 19084,  1287, -4451, -1322, -2730,
   -2766, -1390, -1960, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -1495, -3243,  -620,  1361, -4451, -4451,  1456, -4451, -4451, -4451,
   -1549, -1129, -2684,  1369, -2146, -4451, -1086,   654,  2053, -1034,
    4324,  -778, 16231,  -124, -2348, -1528, -1774, -4451,  -267, -4451,
    1562,  2757,  -116,  -822,  5469,  3843,  4528, -3097, -4451, -4451,
     350, -4451, -4451, -4451,  3621,   901, -4451,  2945, -4451,  1599,
    2301, -4451, -4451,  1934,  -927,    34, -4451,  -554, -4451,  -131,
   -4451, -4451, -4451,   239, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451, -4451, -4451,  2625, -4451, -4451, -1444, -4451, -4451, -4451,
   -4451, -4451,  3879,  -300, -4451,  3332,  -298, -4451, -4451, -4451,
   -4451, -4451, -4451, -4451, -4451, -4451,  2633,  1966, -4451,  3106,
   -4451, -4451, -4451,   -54,  2844, -4451, -4451, -4451, -1184,  -584,
    3130,  3136,  1925, -4451, -4451, -4451, -4451, -4451, -4451, -4451,
   -4451,  1938, -4451, -4451,  1350, -2135,  1950, -4451, -4451,   675,
   -4451, -4451,   225, -4451,   680, -4451,  2740, -4451, -4451, -4451,
     718, -4451, -4451, -4451,  -555, 13410,    96,     9,   173,   706,
   -4451,  8034,  8972,   -68,  2651,   -21, 11066, 18113,   254, -4451,
    3878,  1952,  1580, -1006, -4451,  4085,  2252, 16462, -4451, -1001,
     660,  1751, -4451,    -2,  -656, -1173,  2942,  -732, -1958, -4451,
    4290, -4451, -3559, -4451, -1036,  3330, -1212
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2575
static const yytype_int16 yytable[] =
{
      81,  1082,  1091,   361,   351,  2013,  1963,   356,  1615,  1032,
    1198,  1547,  1621,   352,   354,  1400,  1401,  1402,  1792,  1973,
    1276,  1406,  2041,   910,  1967,  1569,  2431,  2069,  2243,   898,
    2369,  1770,   894,  2580,  1687,  2102,  2103,  1856,  2002,  1067,
    2572,  2689,  2722,  1818,  1910,  1831,   710,  2129,   960,   811,
    1198,   986,  2440,  1928,  2118,  2080,   716,   404,  2543,  1139,
    1307,  2449,   994,   404,  1561,  3522,   947,  2918,  2462,  2441,
    3396,   986,  1007,  1329,  2581,  1101,   405,  1102,   854,   261,
    1064,  3678,   405,  3680,  3879,  3532,  2630,   665,  3645,  3827,
     361,  1954,   858,  1899,   811,  1308,  1903,  2303,  2305,  2306,
    1033,  1907,  2429,  1198,  2498,  1640,  2938,   912,  1912,  2507,
    2605,  1786,  2511,  2512,  1797,   405,  2606,  1930,  2607,  2608,
    2609,  3522,  1823,  3136,  2256,  3191,   808,  2775,   697,  2610,
    3384,  4055,  1143,  3798,  1670,  3587,  4122,  1369,  2243,  1672,
    1093,  3529,  3084,  3086,  4010,  2681,  3784,  4082,  1094,  4259,
    4267,   904,  4286,  1323,  1364,  1085,  4302,  1332,  3477,  3784,
     405,  2417,   811,  2347,  2642,  1054,   697,  1344,  1762,  2028,
    4092,   808,  4024,  4026,   403,  3527,  3528,  2003,   983,  1998,
     403,  2095,  2096,  2146,  2297,  2297,  2975,   902,   909,  4530,
    4060,  1554,  2633,  1819,  4425,  1736,  1609,   909,   983,  3803,
    3804,  3805,  3806,  3807,  3808,  1612,  1029,  2115,  1648,  1649,
    3957,  3598,  2201,   403,  1029,   412,  1029,   412,  1353,   864,
    1134,  1927,  3434,  2149,  2523,  2991,  1308,  2155,   405,  2995,
    1955,    45,  4224, -2573, -2573, -2573, -2573,   909,  4626,   808,
   -2573,  1712,  1955,  1661, -2574, -2574, -2574, -2574, -2573,  1302,
    3288, -2574,  2158, -2571, -2571, -2571, -2571,  3870,   403, -2574,
   -2571,  4423,   412,  2518,  4432,  4703,  1662,  1156, -2571,   329,
   -1525, -1525, -1525, -1525,  2852,  4699,    45, -1525,  1431,   357,
    -363,  1850,  2160,  4681,  2852,  1072,   412,  2443,  3592,  2733,
     809,  4167,   361,   351,  2627,    43,   356,  2847,  2186,  3411,
      45,   412,   352,   354,    37,    38,    39,    40,  2753,  2719,
      43,    44,  1437,  1663,  1955,    45,  1389, -1744,  3434,  3352,
    2363,  3354,   350,   408, -1744,  2005,   403, -1324,  3641,  4718,
   -1525,   130,   131,  3233,  4857,   809,  2364,  4219,  4742,  4743,
    2244,  3129,  3833,  1713, -1850, -1850, -1850, -1850,  4705,  1397,
     866, -1850,  2015,  3385,   404,  2887,    37,    38,    39,    40,
    4659,  -135,  2888,    44,  4145,  2372,   357,  4682,   261,  1538,
    -135,   815,  2266,   405,  3389,  -135,  2555,  2147,  4753,   208,
    4215,  1844,  3048,  1831,  3212,     3,  1540,  4815,  3186,   404,
    2365, -2570, -2570, -2570, -2570, -1760,   411,   355, -2570, -1324,
    1661,  2192, -1760,   809,  1817,  2734, -2570,  2366,   405,  1404,
    2443,  1198,  4816,  2267,  4903,  4683,   815,  3187, -1535, -1535,
   -1535, -1535,  4684,  1662,  4428, -1535,  4216,   855,   366,  2443,
    1539,  2556, -1525, -1525, -1525, -1525,  2129,  4691,  4168, -1525,
    1416,  2102,  2103,  3390,  4789,  1130,  2628,  1081,  2118,  4685,
   -1535, -1535, -1535, -1535,  1580,  2375,  1581, -1535,  3394,  2903,
    4146,  1551,  1028,  3246,  2268,  1895, -2166, -2166, -2166, -2166,
    1028,   403,  1028, -2166,  1144,  1956, -1492, -1492, -1492, -1492,
    1955, -2166,  4940, -1492,   815,  3834,  1405,  1956,  1991,  2189,
   -1520, -1520, -1520, -1520,  4123,  4858,  4706, -1520,  1630,   898,
    1398,  1390, -1505, -1505, -1505, -1505,   403,  4719, -2000, -1505,
   -1532, -1532, -1532, -1532,  2061,  1177,   666, -1532,   821,  4686,
     822,  4765,  3130,  1308,  1158,  2550,  1102,  4855,  2450,  2720,
    2235,  2236,  4873,  2367,  2554,  4433,  1137,  1138,  2187,  2524,
    1704, -1324,  3386,  2219,  4202,  4075,  1308,  3642,  2232,  2232,
   -1520,  4819,  1974,  1651,  1654,  2155,  2245,  1405,   329,  1956,
    1073,  1159,  1092,  4839,  4135,  2778,  2017,  3871,   357,  1180,
     913,  3069,    37,    38,    39,    40,  2735,  2084,  2853,    44,
    2158,  1965,    37,    38,    39,    40,  4534,  4508,  3497,    44,
    3784,  2150,  2572,  2629,  2736,  1714,  2095,  2096,  2243,  1657,
    1258,   246,  1683,  4891,  2115,  2519,  2503,  4893,  1993,  4926,
    2160,   350,  1308,  2494,  2546,  2496,  1896,  3088,  1997,  1574,
    1965,   904, -1744,  1575,  2570,  2403,  2059,  2368,    37,    38,
      39,    40,  4548,  3446,  4418,    44, -1324,   955,  2179,   980,
     981,  2071,  1705,  2243,  4374,  4925,  4263,  2917,  4378,  1128,
    1135,  3434,  2542,  2081,  1312,  2090,   956,   902,  2202,  1765,
    2889, -2573,    79,  1321,  2710,  4275,  4497,  4498,  4499,  4500,
    4501, -1324, -2574,  3615, -1324,  1389,  3213,  3522,  4412,   825,
    4687, -2571,  3249,  2566,   980,   981,   355,   957,  4850,  1582,
    2062,  2685,  3914,  2946,  3712,  4333,  1136,  1650, -1525,  2214,
   -1760,   909,   909,  1207,  2405,  1095,  4038,  1171,   980,  1639,
   -2000,  1145,  2411,  4113,  1082,  3070,  1417,   366,  3083,   826,
    2319,  2284,  4738,  1664,  1665,  1956,  3443,  3444,  3445,  3446,
    2285,  2376,  2443, -1327,  1308,  1631,  1616,  1405,  3589,  4233,
    2505,  1896,  1308,  1308,  3158,   667,  2718,  3093,  1263,  1130,
    4618,  2480,  1147,  2420,  4892,  2729,  1185,  4628,  1699,  2484,
    2869,  1178,  2487,  2488,  2772,  2774,  2961,  1253,  1370,  4046,
    1574, -2000, -1850,  2062,  1575,  2782,  1304,  1143,  4088,  2786,
    1096,  1706,  1267,  -135,  -135,  3556, -2000,  2798,  2799,   823,
    2891,    37,    38,    39,    40,  3658,  2451,  3659,    44,  3693,
    2816,  2818,  1317,   404,  3646, -1327,  1318,  4766,  2452,  2700,
    1828,  2832,  1707,  2124,   914,  2703,  2254,  2090,   405, -2570,
    3004,  2693,   405,  1998,  3562,  2551,  1167,  4840,  4594,   808,
    4596,  3436,  2125,  1038,  1167,   665,  1838,  1362,  1712,  3046,
     665,  1708,  1365,  2636,  1389,  2124,  2126,  2802,  2803,   665,
    2417,   974,  2977,  1371,  2977,  1377,  3859,  1382,  1407,  2453,
   -1525,  -750,  1093,  1386,  2125,  1167,   215,  3235,   952,  2034,
    1094,   975,  3750,  3751,  2731,   715,   665,  2377,  2128,  3188,
     665,  1599,  1390,   361,  2870,  2304,  1377,  1382,  2871,  1753,
   -1951,   665,  2035,   915, -2166,   916,   223,  1115,  1789,  1709,
    4063,  3694,  2197,  3277,  2101,  2198,  1363,  2476,  3189,  1305,
    4305,  1965,   974,  2892,  1427,   665,   403,  3387, -1520,  1167,
     403,  1376,  3269,  1381,  1407,  2872,  1039,   412,  1167,  1790,
    2107,  2431,   975,  1395,   233, -2301,  1069,  1198, -1532,  1130,
    1713,   909,  4767,  2576,  1563,  1653,   236, -1327,    81,   859,
    2498, -1983,  1410,  1412,  1619,  3782,  1585,   665,   974,  1829,
    2639,  1835,  1116,  2176,  2177,  2178,  2179,  2692,  3782,  1097,
    1691,  1840,  4125,  4785,  1600,   215,  1119,  1218,   975,  2377,
     246,  4795,  1375,  2363,  1380,  3745,  1000,  1358,  3748,  3749,
    1544,   909,  3752,   809,  3434,  1550,  3566, -2001,  2300,  1558,
    2152,  3060,  3759,  4525,  4587,   223,  2378,  1088,  1116,  4591,
    2190,  3646,  4593,  1409,  1411,  2147,  2506,  3664,  1117,  2726,
    2727,  1118,  1293,  4584,  1791,    35,  1939,  2637,  1268,    37,
      38,    39,    40,    41,    42,  1718,    44,  2461,  1167,  4727,
    3695,  2873, -1327,   233,  1029,  3877,   665,  1579,  1029,  1389,
    3060,  3879,  1319,  2365,  4661,   236,  2923,  3441,  3442,  3443,
    3444,  3445,  3446,  2301,  1117,  1219,   405,  2577,  3559,  3236,
    2366,  3696,  3061,  1167,   815, -1951,  1130, -1327,   697,  3270,
   -1327,  2379,  1839,  4851,  2187,  3047,    35,   412,  4444,  2962,
      37,    38,    39,    40,    41,    42,    43,    44,  2621,  3537,
    3697,    45,  3538,  3539,  1220,  4854,  3388,  4255,  4126,  1119,
    1740,  3809,  2670,  3540,  3541,  3542,  2263,  3543,  3544,  2302,
   -2301,  3061,  3545,  3546,  3547,  4856,  1851,  1852,  4140,  2787,
    1390, -1951,  4905,   665,   665,   412, -1983,  4526,    37,    38,
      39,    40,  1198,  2602,    43,    44,  1564,  1753,  2193,    45,
    4736,   974,  1221,  4787,  3812,  1119,  4276,  3271,  3253,   357,
    1081,  1188,  1189,  1190,   403,  1191,  1192,  1193,  1194,  1195,
    1196,   975,  1701,  2622, -2575,  1294, -2301,  3522,  1009,  1802,
    4746,  3522, -2001,  2636,  4033,  1439,  2662,  1369,  3434,  1574,
   -2026,  3665, -1983,  1575,  2788,  2216,  2367,  2673,   412,  1088,
    4829,  2926,  1941,  2264,  2696,  4771,  1120,  1565,  4127,  2680,
    1119,  4128,  3881,  4393,  1701,  2603,  3666,  1803,  1605, -1492,
    3064,  4724,  1427,  4397,  4141,  1121,  1167,  1919, -1847,  4335,
    1295,  4336,  1088,  3151,  1140,  4411,  1167,   412, -2001,  4256,
      37,    38,    39,    40,  1948,  4883,    43,    44,  1437,  1663,
    2789,    45,  2578,  2790,  1010,  1923,  4906,  4830,  1894,  2805,
    1082,  1981,   861,  3656,  3548,  1920,  1218,  4046,  2717,  3064,
    3088,  2579,  2723,  2576,  2725,  1924,  1948,  2728,  2557,  4396,
    1868,  3634,  3185,  4506,  1092,  1607,  3151,  3882,  3816,  1198,
    2368,  1167, -1492,  4629,  1949,   361,  4826,  2980,  4387,  1982,
    1028,  1830,  2461,  2217,  1028,  4823,  4824,  2714,  1378,  2371,
    4694,  4142,  1383,  1384,  1385,  4772,  2558,  4321,  4695,  3635,
    2446,  -578,  1396,  2019,  3817,  2021,  2695,  1670,  2025,  4635,
    2027,  4670,  1672,  2030,  2031,  2032,  2372,  3818,  1116,  4917,
    4277,  2791,  1008,   665,  3092,  3349,  2039,    81,    81,  2623,
      81,   130,   131,  1037,  1219,  3784,  4337,  2748,  1167,  2064,
    3355,  2065,  2624,  3350,  2301,  1804,   665,  4515,  3436,  3910,
    2431,  2447,  4875,  4663,  3534, -2026,  3535,  2334,  4773,  1102,
    2257,  2258,  1950,  2262,  3295,  3296,  3297,  3298,  1094,  1094,
    3157,  1094,  3549,  1220,  1117,  2250,  3303,  2577,  2942,  3782,
    3441,  3442,  3443,  3444,  3445,  3446,  1574,  4598,   955,  3535,
    1575,  3169,  1062,  1921,  1950,  1894,  3883,   122,  3819,  1925,
    2302,  1143,  1011,  1012,  4884,  3437,  3013,   956,  2267,  4076,
    1951, -2026,   665,  3345,  1965,   126,  4910,  3550,  2792,   816,
    3207,  1221,  4535,  1167,  1075,  4069,  3657,  1983,  3928,   817,
    1358,  1805,  2474,  2412,  4536,  3409,  4274,  1086,   957,  2155,
    3563,  1098,  1951,  4934,  2559,  2373,  2155,  3636,  2715,  4696,
    3159,  4016,  1167,  4918,  1619,  2498,  3884,  2943,  3162,  2268,
    3164,  3713,  4779,  4739,  2158,  1119,  2605,  1560,  2206,  2207,
    4885,  2158,  2606,  4745,  2607,  2608,  2609,  2716,  3014,  1922,
    1167,  1167,  1108,  1167,  3461,  2610,  1084,  2242,  1952,   980,
    1639,  1119,  2475,  4886,  2160,  1087,  2183,  4193,  2208,  3903,
    1167,  2160,  1109,  4196,  4197,  4198,  4199,  4200,  4201,  3551,
    3051,  2309,  1110,  1984,  2310,  3486,  2413,  3522,  4017,  1999,
    1952,  1218,  3522,  2000,  3879,  3522,  3201,  4310,   818,  4311,
    2560,  4253,  1808,  3637,   665,  1807,  2155,  2222,  4399,  4429,
    1198,  1808,   665,   665,    74,   974,  4018,  4603,  4604,   825,
    2146,   357,  1167,   405,  4704,  1105,   697,   697,  3073,  2209,
    1088,  4019,  2578,  4088,   808,   975,    37,    38,    39,    40,
    4077,  2316,  4020,    44,  3441,  3442,  3443,  3444,  3445,  3446,
    4748,  1167, -1492,  3105,  4537,  1167,  1167,   404,   404,   826,
      79,  2160,  4254, -1492,  4021,  2101, -1492,  1691, -1492,  4078,
    4430,  2398,  2311,  2242,  1605,   405,   405,   405,  1606,  1219,
    2155,  1111,  3860,  4588,  4645,  3864,   808,   215,  4079, -2575,
    4560,  3941,  2088,  3942,   877,   665,  2163,  2164,  1809,  1439,
    3621,  2504,  3434,  1772,  3106,  2158,   404,  1809,  3090,  1664,
    1665,  3074,  2105,  2338,  3488,  3253,  3489,   223,  1220,  3025,
    4493,   403,  2989,  1816,  1775,   405,   819,   208, -2365,   697,
    3182,  2536,   405,  1894,  1773,  2160,  2654,  4022,  3490,   405,
    2167,  1607,  2132,  1112,  1089,  2660,  1029,   862,  4494,  3060,
     808,   879,  1817,     8,  4088,   233,  2144,  2018,  3377,   958,
    2020,  3183,  2537,  2024,  2303,  2026,  1221,   236,  2029,  3733,
    1776,  3026,  2033,   403,   403,   403,  2489,  1608,  1029,   985,
    4799,  3176,  3021,  4614,  4646,  4616,  1894,  3177,  4671,  3734,
    3184,  3633,  2357,    37,    38,    39,    40,  1140,   809,   985,
      44,   959,  2358,    80,  3522,   877,  4436,  4437,  3943,  1113,
    2463,  4589,  1146,  1894,  4017,  1288,  4672,  2359,  3944,    35,
    3061,  1965,  1701,   403,  1556,  1699,  4095,    41,    42,   825,
     403,  1643,  1180,  4734,  -910,  1288,  3491,   403,  1157,  3339,
    1439,  3492,  4018,  3434,  1289,  2212,  1810,  1777,   827,  3062,
    1673,  2489,  1092,  1092,  1172,  1092,  2455,  4380,  2464,  2465,
    3985,  3435,   879,   665,  3840,  1029,  4768,   863,  4020,   826,
    3627,  1184,  3913,  4110,  1308,  2501,  3363,  1811,  2586,   815,
    3063,   949,  3436,  3178,  1894,   886,  2657,   887,  1290,  1034,
     664,  3258,  2461,  1778,  1643,  1779,  4093,  1896,  4096,  2490,
    3144,  2491,  1209,  2569,  2154,  2497,  1812,  2155,  1290,  3914,
     892,  1308,  1798,  2224,   809,  2174,  2175,  2176,  2177,  2178,
    2179,  1894,  2174,  2175,  2176,  2177,  2178,  2179,  1768,  2750,
    3647,  1035,  2158,  1781,    37,    38,    39,    40,  2159,  3437,
    3259,    44,  1365,  1799,   405,  1439,  2360,  1800,  3434,  1894,
    3145,  4097,  2225,  4098,   903,   808,  3025,  3493,  3668,  2232,
     920,   665,  2160,  4022,  4400,  3986,  3574,  3494,  3064,  2738,
    1783,   825,  1801,  3842,  2490,  3249,  2491,   665,  2917,  4634,
    2443,  1216,  3593,   361,  3557,  3938,   999, -1371,  2448,  4095,
    4231, -1371,  3375,  1988,  4644,   815,   886,  2933,   887,  1102,
    3146,  1167,  1028,  4649,  1605,  1785,  4088,  1894,  3618,  3958,
    1167,   826,  4114,  1989,  4477,  4478,  3260,  3261,  2698,  2749,
    2699,   892,  3179,  3436,  2701,  3650,  2702,  4124,  4129,  2704,
    3262,  1965,  2495,  2705,  1028,  3107,   665,  -386,  3432,  3433,
    2600,  2770,   403,  3448,    81,   361,  2744,    81,  1769,  2747,
    3531,  4531,  -157,  3180, -1371,  2745,  2746,   665,  2631,    79,
      79,  4096,    79,  2538,  3503,   412,  2162,  3959,  3960,  2463,
    3920,  1607,  1688,  2124,  2539,  3263,  4169,  -157,  1643,    45,
    3437,  1257,  3181,  3483,  3484,  3687,  3108,  2163,  2164,  3147,
   -1371,  4532,  2125,  2917,  1198,  1217,  4170,  1167,  2540,  1693,
    3688,  3367,  1260,  1689,  3438,  3439,  3440,  1608,  3441,  3442,
    3443,  3444,  3445,  3446,  4097,  2341,  4098,  2464,  2465,   809,
    1262,  1028,    37,    38,    39,    40,   215,  1022,  3436,    44,
    1694,  2167,  1690,  3660,  1167,  1167,  3924,  1061,  2101,  2850,
    2348,  3249,  1167,  1277,  2168,  1167,  2342,  3602,  3823,  1167,
    1699,  2461,  1283,  1308,  2796,  3992,   223,  1167,  1167,  1695,
    3264,  1291,  3265,  4413,  3567,  1167,  3041,  1292,  1167,  1167,
    1167,  1167,  1180,  3223,  1297,  2343,  1999,  4354,  1167,  1167,
    2688,  1167,  1585,  1167,  1167,  3437,  4872,  1167,   215,  3277,
    3148,    43,  3965,  2008,   233,  2009,    45,  4353,  3149,  2948,
     815,  3150,  1300,  1894,  1167,   405,   236,  2431,  3015,  1167,
    3018,  3690,   412,  1167,  3782,  4668,   808,  1167,   223,  1167,
    1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  3923,  1167,
    4284,  3300,  3626,  3406,  3799,  1167,  3301,  2691,  1167,  3301,
     246,   871,  3691,  1314,  3407,  3438,  3439,  3440,  3408,  3441,
    3442,  3443,  3444,  3445,  3446,  3460,   233,  3462,  3463,   357,
    1330,    37,    38,    39,    40,  2124,  2964,  1308,    44,  1643,
    1325,  3692,    35,   412,  1643,  1643,   404,  1696,  2124,  3009,
      41,    42,  1339,  3253,  2125,  3607,  3608,    45,  3610,  1345,
    2838,  4090,  4091,  2841,   950,   405,  4650,  2125,  2126,  1360,
    1167,  1439,   246,   403,  3434,    45,  4700,  3068,  1697,  1399,
    1148,  2128,   208,  2174,  2175,  2176,  2177,  2178,  2179,   877,
      35,   357,  1149,  1150,  2860,   404,  2861,   404,    41,    42,
    2242,  1403,    37,    38,    39,    40,  4118,  1698,  -904,    44,
    1413,  2101,  1151,  2348,   405,  1152,   405,  2508,  2862,  2312,
    3438,  3439,  3440,  1424,  3441,  3442,  3443,  3444,  3445,  3446,
    4016,  3705,  1357,   412,  3838,   665,  1419,  2535,  4225,  4226,
    4227,  4228,  4229,  1425,  2330,  2332,   879,  1574,  4496, -1850,
     809,  1575,  1426,    81,  2463,    81,  2113,  2114,  4938,  3071,
   -1336,  4939,   665,   403,   192,  1596,   405,   665, -1324,  1269,
     665,  1270, -1336,  3142,  2463,  1427, -1336,   808,  1428,  1272,
    1699,  1273,  1130,  2858,  1430,  2087,  3291,   246,  1429,  4894,
     192,  3708,   665,  1433,   903,  1167,  2463,  4017,  1434,  1831,
    1643,  1167,  2464,  2465,  2293,  2294,  3925,  1167,  1643,  2650,
    2651,  2863,   403,  3126,   403,  4029,  2864,  2248, -1336,  2249,
    4209,  2865,  2464,  2465,  1436,  4018,   665,  1439,  1559,  1153,
    3434,   815,  3824,  3567,  3826,  1562,  2461,  1029,  1566, -1336,
    4019,  1567,   215,  1894,  2464,  2465,  3567,  4360,  1894,  1894,
    2251,  4020,  2252,   665,  3436,  1643,  2461,  1568,  1643,  1643,
    1894,  1573,  4034,  4036,   403,  1586,  1154,  1308,   215,  1308,
    4327,  1596,   223,  4021,  1593, -1336,   405,   665,  2461,   405,
     886,  3711,   887, -1336,  4227,  4228,  4229,   808,  2954,  2955,
     808,   889,  2101,  1594,  1691,  3874,   665,  3152,   223,   665,
    2243,   917,   891,  1597,  3292,   892,  4656,  1603,   357,  3399,
     233,  3437,  1617,  2690,  3401,  2691,  1624,   665,  2463, -1395,
   -1395,  1643,   236,  3832,  4212,  3835,  4214,   665,  1618,  4217,
    1308,  4218,    74,  2711,  2917,  2712,   233,  2866,  2293,  2973,
     665,   809,  4561,  4562,  4563,  4564,  4022,  2867,   236,   665,
    3152,   985,  2713,   985,  2712,   985,   246, -1121,  3320,  3321,
   -1121,   985,  1387,  1388,  3569,  3570,  2464,  2465,  4610,  1628,
    2741,  1086,  2742,  4189,   403,  3536,  1439,   403,  2939,  3434,
    1965,  1629,  4895, -1372,   985,   985,  1632, -1372,  3714,  1167,
    1439,  1894,  2997,  3434,  2742,  1637,  4361, -1336,  1622,  3081,
    2461,  3082,  3138,  1633,  3139,    37,    38,    39,    40,  4544,
    3436,  3241,    44,  3242,  3152,  2101,  3909,  2348,  3152,  1634,
    3742,  4358,   815,  1635,  3254,  2463,  3255,  1645,  3369,  1087,
    2712,  1636,  1082,  1255,  1638,  3940,  3919,  1644,  3945,  3946,
    3947,  3948,  3949,  3950,  3951,  3952,  3953,  3954,  1676,  3152,
   -1372,   809,  4221,  4222,   809,  1574,  3523,  2463,  1596,  1575,
    2275,  1894,  3575,  3576,   665,  4342,  4303,  3437,  1719,  1647,
    3405,  2756,  2691,  2464,  2465,  1677,    79, -2575, -2575,    79,
    3441,  3442,  3443,  3444,  3445,  3446, -1372,  1679,  1309,   920,
    4115,  2074,  2075,  1028,  1088,  1685,  1691,  3994,  3995,  1711,
    1720,   665,  3415,   985,  2691,  2464,  2465,  2461,  1742,  1167,
    4237,  1767,  3523,    37,    38,    39,    40,  3419,  2757,  2691,
      44,    80,  1666,  3507,  3423,  3508,  2691,  2463,  3512,  3513,
    3514,  3509,   815,  3510,  3424,   815,  2691,  1082,  3450,  2461,
    2691,  1716,    37,    38,    39,    40,  1738,  2758,   665,    44,
    3466,  1765,  2691,    45,  3471,  1721,  3472,  1774,  1794,  3436,
    1894,  1130,    37,    38,    39,    40,   985,  4211,  2759,    44,
     665,  1806,  1815,  3436,  1167,  2464,  2465,  1415,  3681,  1167,
    3682,  3685,  3829,  3686,  3830,  3467,  1722,    37,    38,    39,
      40,  3474,  1826,  1820,    44,  1167,  1167,  2760,  3868,  1825,
    3869,  1167,  2761,  1827,  3929,  1432,  2691,  1832,  1089,  2461,
   -1496, -1496, -1496, -1496,  1541,  1834,  3437, -1496,  1553,  1309,
    1555,  1723, -1503, -1503, -1503, -1503,  1167,  1167,  1836, -1503,
    3437,  1167,  3438,  3439,  3440,  1841,  3441,  3442,  3443,  3444,
    3445,  3446,  1848,  1167,  1167,  1167,  1167,  4234,  2762,  1846,
    1724,   405,  3966,  3976,  3967,  3977,  1167,   405,  1855,  1167,
    4489,  1167,   808,  1858,  1699,  4482,   655,  4239,   808,  1900,
    1902,  1167,  1167,  1904,  4284,  1167,  3988,  3567,  2691,  4225,
    4226,  4227,  4228,  4229,  1896,   361,  2744,  4230,  1167,  2747,
    1167,  4061,  4241,  4062,  1167,  2745,  2746, -1494, -1494, -1494,
   -1494,  4065,  1913,  4066, -1494,  -174,   664,   664,  1915,  1937,
    1167,  1674,   208,  1917,  2418,  4318,  1727,  4094,  4205,  2712,
    4206,  1167,  1728,  1167,  1167,  1167,   841,  1929,  4359,  1729,
    2742,    74,    74,    35,    74,  1945,  4420,  2419,  4421,   841,
    1953,    41,    42,   665,  1958,  1959,  1731,  1167,  1960,   403,
     985,  2763,  1961,  1962,  1732,   403,  1964,  2764,  3281,  1167,
    4426,  1308,  2712,  2765,  1167,  4427,  3764,  2712,  4568,  1972,
    1965,  1167, -1497, -1497, -1497, -1497,  4527,  1167,  4528, -1497,
    1687,  3438,  3439,  3440,  1975,  3441,  3442,  3443,  3444,  3445,
    3446,  1976,  2766,  1643,  2767,  3438,  3439,  3440,  1977,  3441,
    3442,  3443,  3444,  3445,  3446,  1733,  4570,  3765,  4571,  1978,
    4544,  2768,  4252,  1673,  3144,    79,   665,    79, -1495, -1495,
   -1495, -1495,  4572,  1980,  2691, -1495,   809,  4580,  1854,  2742,
    1985,  3766,   809,  4632,  1986,  4633,  2769,  1167,  4653,  3809,
    4654,  4701,  4714,  4702,  2742,  3810,  3767,  4721,  4409,  1965,
    3768,  1987,  4726,  4479,  3849,  3811,  4728,   665,  3849,  4788,
    1894,  2211,  1992,  4793,  3145,  4794,  2006,  4804,  3769,  2742,
    4805,  4806,  3472,  2691,  2040,  4264,  4265,  2070,  2144,  4809,
    2072,  1965,  3812,  3770,  3813,  4811,  4599,  3849,  4828,  4834,
    2742,  2742,  2858,  4835,  4861,  2742,  1965,  4936,  2076,  4937,
    1894,  1894,  4947,  1894,  4937,  2078,  1602,   815,  1604,  3282,
    4379,  3506,  4382,   815,  3146,  2079,  1309,  2085,  2086,  2094,
      80,    80,  2097,    80,  3516,  2098,  2099,  2100,  2104,  1180,
     246,  4655,   405,   405,   405,  2106,  2109,  2110,  2111,  1309,
    2112,   985,  2117,   808,   808,   808,   985,   985,  4315,  4316,
    4317,   665,  2119,  2120,  2121,  1894,  3814,  1894,   665,  3771,
    2122,   357,  2123,  2130,  2131,  2133,  1643,  3772,  2134,  2135,
    2184,  2136,  2137,  2811,  1643,  2138,  1643,  2139,  2215,  2140,
    3516,  2227,  1389,  1081,  2066,  4355,  4356,  2834,  2211,  2237,
    3763,  2247,  2255,  1606,  1608,  2282,  2290,  4713,  2292,  2299,
    3773,  1119,  2313,  3147,  2307,  1309,  2315,  2586,  2326,  2325,
    1894,  3815,  2317,  2328,  4405,  2333,  3816,  2335, -2517,  2308,
    2337,  1388,  2344,  2346,  2345,  2348,  2349,  2351,   665,  2380,
     403,   403,   403,  3889,  1894,  2350,  2352,   898,  2353,  2322,
    3283,  2400,  2374,  2381,  1198,  2404,  2329,  2331,  2406,  2408,
    2407,  2436,  3817,  2409,  2410,  2435,   405,  2443,  2445,  3853,
    3776,  1894,  2455,  2456,  2459,  3818,  4751,   808,  3523,  4716,
    4756,  4757,  2458,   405,  1894,  2460,  2467,  2461,  2148,  3284,
    1082,  2468,  2469,  2470,   808,  2471,  2485,   665,  2153,   665,
    1082,  2477,  2478,  3888,  2481,  2482,  2492,  2493,  2191,  2499,
    2500,  1753,   985,  4509,  3148,  2509,  2510,   809,   809,   809,
     985,  4482,  3149,  2522,  2520,  3150,  2521,  2525,  2531,  2534,
    2548,  2549,  2526,  2561,  2563,  2564,  2571,  1309,  2101,  2090,
    2221,  2223,  2107,  2573,  2574,  1309,  1309,  1894,  4002,  4003,
    4004,  4005,  4752,  2587,  4613,  2590,  3819,  2593,  4755,   873,
     665,  1894,  2598,  2594,   403,  2599,  1791,   985,  2615,  2620,
     985,   985,  2634,  4758,  1894,  4760,  2635,  2640,  2645,  3523,
    2643,   403,  2646,  2653,  2664,  2666,  2667,  2647,  2668,  2669,
     665,  2682,  2707,  2683,  2708,  2730,  2724,  2739,   815,   815,
     815,  1878,  2752,  2820,  1167,  2778,  2821,   665,   909,  2777,
    2833,  2783,  2839,  2155,  1643,  2843,  1308,  2844,  4467,  4468,
    2851,  4470,  2857,  2876,  2874,   665,  2903,  2920,   664,  2919,
    2922,  2383,  3971,   985,  2925,  2927,  2930,  2931,  2949,  1167,
    4814,   809,  1894,  2950,  2940,  2941,  2959,  1087,  2953,  1167,
    2979,  2982,  2981,  2201,  2998,  1167,  2996,  1167,   809,  2999,
    3000,  3011,  1894,  1167,  2384,  3016,  1167,  1167,  1167,  1167,
    1167,  1167,  1167,  1167,  1167,  1167,  3019,  2385,  3021,  1167,
    1167,  3030,  3035,  3023,  3039,  3024,  3056,  1894,  3042,  3059,
    2386,  1556,  1167,  3077,  1560,  3079,  1167,  3137,   405,  3072,
    1167,  3133,  3140,  3141,  3190,  3203,  3128,  3214,  3210,   808,
    1167,  3211,  3215,  1167,  3216,  1167,  3218,  3219,  3220,  3222,
    3221,  1743,   815,  1894,  1167,  1167,  1167,  1744,  2387,  4690,
    1167,  3232,  3238,  1167,  3243,  3245,  3234,  2648,  3275,   815,
    3248,   357,  3249,  1167,  4565,  3250,  3251,  3256,  3287,  3280,
    3299,  4733,  3293,  1167,  3302,  3307,  3308,  2388,  2068,  3309,
    3342,  1167,  2389,  1167,  3323,  3326,  3338,  1745,  3341,  3343,
    4581,  4582,  2502,  3344,  3346,   357,  3347,  3356,  3359,  3361,
    3362,  3371,  3372,  3373,  3383,  3374,  2753,  3391,    74,  1993,
    3395,    74,  4621,  4913,  3376,  1405,   403,  3397,  3402,  3421,
    3417,  3418,  3420,  3403,  3456,  3422,  3400,  1167,  3425,  3426,
    3428,  3431,  3468,  1167,  3449,  1643,  1746,  4155,  3482,  1167,
    3487,  2691,  1198,  1747,  1181,  3455,  1748,  4638,  3495,  1201,
    3457,  3502,  3458,  3465,  3480,  3481,  3531,  3505,  1213,  3530,
    3533,  -950,  3525,  3585,  1167,  3595,  3581,  3591,  3126,  3596,
    4136,  3331,  3567,  3597,  3579,  3600,  3601,  1198,  2390,  1999,
    3606,  3609,  3612,  3611,  3616,  1271,  3620,  3617,  3623,  1278,
    1719,   665,  3629,   809,  3625,  3643,  3644,  3654,  1749,  3661,
    1287,  3655,  3662,  3703,  3670,  3672,   841,  3704,  3707,  3709,
    3710,  2784,  2785,  3715,  3716,  3717,  2611,  3718,  3719,  2797,
    3720,  3722,  1720,  2800,  2801,  3721,  3723,  3724,  3725,  3735,
     405,  3726,  3728,  3730,   405,  1894,   405,  2391,  2822,  3737,
    2823,   808,  3739,  2392,  3727,   808,  2393,   808,  3729,  2518,
    3741,  3747,  3753,  1750,  3787,  1751,  2144,  3754,  3755,  3756,
    3788,  2310,  2845,  3757,  2846,  1752,  4009,  3758,   665,  3801,
    3800,   665,  2394,  1753,   815,  3839,  3796,  1721,  2395,  3841,
    3837,  3848,  1754,  3854,  3849,  3865,  3857,  3861,  3886,  3862,
    3866,  2396,  3858,  3906,  3895,  3905,  4712,    80,  3523,  3907,
      80,  3908,  3523,  3897,  3916,  3911,  3917,  3918,  1722,  3927,
    3932,   665,  2087,  1755,  2322,  3452,  2397,  1756,  3434,  4825,
    3962,  3451,  3963,  3964,  3970,  3978,  2149,  3990,   403,  3991,
    4031,  3999,   403,  4057,   403,  4028,  4015,  3332,  4037,  4047,
    4050,  4049,  1757,  1723,  4294,  4048,  2068,  4081,  4102,  4116,
    4104,  4105,  4117,  4139,  4119,  4151,  4137,  4720,  4138,  4130,
    1167,  4149,  4071,  4150,  4166,  4182,  4053,  4720,  4125,  4186,
    4194,  4054,  1724,  4121,  3878,  4257,  4195,   985,  4152,  4269,
    4153,  4154,  1308,  4192,  3888,  1894,  4223,  2712,  4270,  4249,
    2811,  2811,  4272,  4288,  4291,  2811,  4273,  4279,  4306,  4300,
    1758,  4292,  4304,  4314,  4301,   809,  4308,  2795,  4319,   809,
    4322,   809,  4323,  4324,  4325,  4326,  4331,  1894,  1167,  1167,
    4762,  4334,  4338,  4343,  4344,   985,  2473,  4339,  4345,  4375,
    4822,  4416,  4376,  4373,   208,  2811,  2811,  4346,  1727,  4347,
    4383,  4386,   655,   655,  1728,  1666,  4351,    74,  4371,    74,
    4388,  1729,  4389,  1643,  4391,  4392,  4406,  4410,  4415,  2419,
    1198,  4417,   665,  4423,  4431,  4422,  1643,  4445,  1731,  4442,
    4446,   364,  4452,  4466,  4459,  4471,  1732,   364,  1167,  4476,
    4462,  4480,   658,  4492,  4487,  4495,   815,  4502,  4510,  4512,
     815,  4513,   815,  4514,  4517,  4810,  4529,  2547,  4519,  4539,
    4533,  4541,  4550,  4542,  4558,  4566,  4567,  4569,  4585,  4414,
     364,  4574,  4576,  4592,  4595,  1167,  2068,  4577,  4578,  4579,
    4605,  2924,  4601,  4607,  4611,  1167,  1167,  1733,  1894,  4615,
    4627,  3334,  3878,  1167,  1167,  4647,  4630,  4640,  1167,  1894,
    4407,  4631,  4641,  4648,  1167,  1167,  4657,  4256,  1167,  4664,
    4666,  4674,  4675,  4677,  4678,   364,  4680,  4709,  4717,  1743,
    4692,  4447,  2589,  1167,  4732,  1744,  4693,  1167,  4723,  4749,
    1088,  4740,  4769,  4774,  4780,  4778,  1167,  4784,  4790,  4791,
    3536,  1167,  4792,  4797,  4798,  4803,  4807,  4808,  4812,  4813,
    4818,  4831,  4820,  1167,  4753,  4837,  4836,  4838,   985,  4841,
    4843,  1024,  4847,  4879,  4839,  1745,   985,  4852,   985,  1024,
    4853,  1024,  1643,  4039,  3331,  4882,   357,  4871,   664,    81,
    2656,  4876,  4874,   364,  4840,  4890,  4916,  4932,  4904,  4941,
    4935,  4945,  1167,  1719,  1674,  1100,    80,  2532,    80,  3290,
    2234,  3560,  3132,  3667,  4134,  1741,  3202,  3760,  4651,  2154,
    1894,  4481,  2155,  4764,  1746,  4523,   357,  4676,  3523,  4290,
    4679,  1747,  4507,  3523,  1748,  1720,  3523,  4504,  4689,   405,
    3370,  3614,  4877,  4912,  4619,  4844,  4842,  2158,  1894,  4888,
     808,  4786,  3619,  2159,  4524,   665,  4260,  4133,  3763,  3273,
    1894,  3252,  3274,  2612,  3679,  4261,  3257,   665,  4262,  3844,
    4946,  4915,  4942,  3797,  3523,  4889,  3775,  2160,  4639,  2597,
    4833,  4880,  1004,  4642,  2060,  1555,  1749,  4320,  4735,  3085,
    1721,  4296,  4297,  4796,   662,  1310,  3736,  4897,  4943,  1570,
    4782,  2935,  2697,  3564,  1894,  4278,  2936,  4408,  4067,  4637,
    2007,  3366,  1592,  2253,  3565,  2958,  2279,  2278,  3577,  3573,
    2957,  1722,  2283,  3590,   405,  3578,   665,  2952,  4011,  2154,
    4381,  4725,  2155,  4068,  2286,   808,  3516,   403,   364,  3982,
    3516,  1750,  4715,  1751,  3972,  4862,  1180,  1578,  4863,  2156,
    3332,  3568,  3500,  1752,  4870,  3412,  1723,  2158,  3498,  4064,
    2902,  1753,  3887,  2159,  1133,  1947,  3340,  1167,  2649,  4860,
    1754,  2983,   987,   364,  2298,  1103,  2291,  2161,  2990,  2974,
    2067,  2162,   357,  2987,  1684,  1724,  2848,  2160,  1655,  3555,
    3193,  4073,   987,  4398,  1656,  3523,  2988,  4074,  2295,  2200,
    4052,  1795,  2163,  2164,  1356,  1756,   985,  1126,  3368,  2994,
    2709,  1996,    83,     0,   809,     0,     0,     0,  2165,  1894,
       0,     0,   403,     0,     0,     0,  3225,  1743,     0,     0,
    1796,     0,  1394,  1744,  3225,     0,     0,     0,     0,     0,
     665,     0,     0,  2166,     0,  3523,  2167,   208,     0,     0,
       0,  3333,  1167,     0,     0,     0,  1894,  1728,     0,  2168,
       0,  1167,     0,     0,  1729,     0,     0,  1643,     0,     0,
       0,     0,  2419,  1745,     0,     0,  4612,     0,  1167,  1167,
    2154,  1731,  1167,  2155,     0,     0,  3294,  2161,  1758,  1732,
       0,  2162,     0,  1167,  1979,   815,     0,     0,  1167,   809,
       0,  1167,     0,     0,     0,  1994,  1167,  1167,  2158,     0,
       0,  3325,  2163,  2164,  2159,     0,     0,  1309,     0,     0,
       0,     0,  1746,     0,   655,     0,     0,     0,  2165,  1747,
       0,     0,  1748,   665,  2170,   665,     0,     0,  2160,  1167,
    1733,     0,     0,  1643,  3334,     0,     0,     0,     0,     0,
       0,     0,     0,  2166,  1309,     0,  2167,     0,     0,  2312,
       0,     0,     0,  4669,     0,     0,     0,     0,     0,  2168,
    1894,     0,  2169,     0,  1167,     0,     0,     0,     0,     0,
     815,     0,     0,     0,  1749,     0,     0,  2811,     0,     0,
    2811,  2811,  2811,  2811,  2811,  2811,  2811,  2811,  2811,  2811,
       0,     0,  2322,     0,     0,  3558,     0,   985,     0,     0,
       0,  1167,     0,     0,     0,     0,     0,     0,     0,     0,
    3969,     0,     0,     0,  2171,  2172,  2173,     0,  2174,  2175,
    2176,  2177,  2178,  2179,     0,     0,     0,  4849,  2161,  1750,
       0,  1751,  2162,     0,  2170,     0,     0,  3523,     0,  2811,
    2811,  1752,     0,     0,     0,     0,     0,     0,     0,  1753,
    1167,     0,  1894,  2163,  2164,     0,     0,     0,  1754,     0,
       0,     0,     0,  3094,     0,     0,     0,     0,     0,  2165,
       0,  4878,     0,     0,  1167,  1894,     0,  1167,     0,  1167,
       0,  1643,  2530,     0,     0,     0,  3516,     0,     0,  1821,
       0,  3516,     0,  1756,  3516,     0,  1167,  2167,     0,     0,
    1167,     0,     0,     0,     0,  1894,     0,     0,     0,     0,
    2168,     0,     0,     0,     0,     0,   365,     0,  1822,     0,
       0,     0,   365,     0,  2171,  2172,  2173,   659,  2174,  2175,
    2176,  2177,  2178,  2179,     0,     0,  2928,     0,     0,     0,
       0,   405,  2929,     0,  1894,     0,     0,     0,  1894,  1894,
       0,     0,   808,     0,     0,   365,     0,     0,     0,     0,
    4931,     0,   665,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   364,     0,     0,  1758,   364,     0,     0,
    2601,     0,  1167,     0,  4944,  2170,  1309,     0,     0,     0,
     658,     0,     0,     0,  3247,   658,  2530,     0,     0,     0,
     365,     0,     0,     0,   658,     0,     0,     0,     0,     0,
    1894,     0,     0,     0,     0,     0,     0,  4802,     0,  4402,
       0,     0,     0,     0,     0,   357,     0,     0,     0,     0,
       0,   658,     0,  2154,     0,   658,  2155,     0,     0,   403,
    1167,    79,     0,     0,     0,     0,   658,     0,     0,     0,
       0,     0,     0,  2156,     0,  2530,     0,  1167,     0,     0,
       0,  2158,     0,     0,     0,     0,     0,  2159,   365,     0,
     658,     0,     0,     0,     0,  2171,  2172,  2173,     0,  2174,
    2175,  2176,  2177,  2178,  2179,     0,     0,     0,     0,     0,
       0,  2160,  1167,     0,   361,  4899,     0,     0,  4902,     0,
    1309,     0,  1167,  3516,  4900,  4901,     0,     0,     0,     0,
       0,     0,   658,     0,     0,   985,   809,     0,     0,     0,
    3789,  3792,     0,  1167,  1167,     0,   665,     0,   985,     0,
     361,  4899,  4922,     0,  4902,     0,  1167,     0,     0,     0,
    4900,  4901,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2811,     0,  3836,     0,     0,     0,
       0,     0,     0,  3392,     0,     0,     0,     0,     0,     0,
       0,     0,  1167,     0,   361,  4899,     0,     0,  4902,  4922,
       0,  3684,  1167,     0,  4900,  4901,     0,  4922,     0,     0,
       0,  2161,     0,     0,     0,  2162,     0,   815,   405,  1024,
       0,   658,     0,  1024,     0,     0,     0,     0,  3706,   808,
       0,     0,     0,   365,     0,     0,  2163,  2164,     0,     0,
       0,   364,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2165,     0,     0,     0,     0,     0,     0,     0,
    1167,     0,     0,     0,     0,   405,     0,     0,   365,  1167,
       0,     0,  3331,   405,     0,     0,   808,  2166,     0,     0,
    2167,     0,     0,     0,   808,     0,     0,     0,     0,     0,
       0,  1719,     0,  2168,   985,     0,  3225,     0,     0,  3225,
    3225,     0,     0,  3225,     0,     0,     0,     0,   658,   658,
       0,     0,     0,  3225,     0,     0,   403,     0,  1854,     0,
       0,     0,  2655,  1720,  3785,     0,     0,     0,     0,     0,
    3794,  2661,     0,     0,     0,  2665,     0,  3785,     0,     0,
       0,  2671,  2672,     0,     0,     0,     0,  2811,  2811,     0,
    1309,     0,  1309,     0,     0,     0,     0,     0,     0,  2684,
       0,     0,     0,   403,     0,     0,     0,     0,  2170,     0,
       0,   403,     0,     0,     0,     0,  1743,     0,  1721,     0,
       0,     0,  1744,  3847,   987,     0,   987,     0,   987,  4609,
     357,     0,     0,   809,   987,     0,     0,     0,     0,  2154,
       0,     0,  2155,     0,   655,     0,     0,     0,     0,  1722,
       0,     0,  3873,  1309,     0,     0,     0,   987,   987,  2156,
    1719,     0,  1745,     0,     0,     0,  4930,  2158,     0,     0,
       0,  3001,     0,  2159,     0,     0,  3005,     0,  3332,  3008,
     809,     0,  1643,     0,  1723,     0,     0,     0,   809,     0,
       0,     0,  1720,     0,     0,     0,     0,  2160,  2171,  2172,
    2173,  3031,  2174,  2175,  2176,  2177,  2178,  2179,     0,     0,
     357,  1746,     0,  1724,   815,     0,     0,  2812,  1747,     0,
       0,  1748,     0,  3628,     0,  4070,     0,     0,     0,     0,
       0,  2812,  1183,     0,     0,  3075,     0,     0,  1204,     0,
       0,     0,     0,     0,     0,     0,  1215,  1721,     0,     0,
       0,     0,     0,     0,  1225,     0,     0,     0,   658,  1256,
       0,   815,  3089,     0,     0,     0,     0,     0,     0,   815,
       0,     0,     0,  1749,     0,   208,   987,     0,  1722,  1727,
    2893,   658,     0,     0,     0,  1728,  3122,     0,     0,     0,
     662,   662,  1729,     0,     0,  1671,     0,  2161,     0,     0,
    2419,  2162,  3983,     0,     0,  3143,     0,     0,  3153,  1731,
       0,     0,     0,  1723,     0,     0,     0,  1732,  3698,   985,
    3700,     0,  2163,  2164,     0,     0,  3165,     0,  1750,     0,
    1751,     0,     0,     0,     0,   985,  3174,     0,  2165,   987,
    1752,     0,  1724,     0,     0,     0,     0,   658,  1753,  3197,
       0,     0,     0,     0,  2932,  4044,     0,  1754,  3204,     0,
       0,     0,     0,  2166,     0,     0,  2167,     0,  1733,  1725,
       0,     0,  3334,  3732,     0,     0,     0,     0,     0,  2168,
       0,     0,  2169,     0,     0,     0,     0,     0,  2401,     0,
       0,     0,  1756,     0,     0,   985,     0,  3746,     0,     0,
    1726,     0,     0,     0,   208,     0,     0,  1422,  1727,     0,
    1387,  1388,     0,     0,  1728,     0,     0,  2402,   365,  4220,
       0,  1729,   365,  3792,     0,     0,     0,     0,     0,  1730,
       0,     0,     0,     0,  4235,   659,  2811,     0,  1731,  1548,
     659,     0,     0,     0,     0,  4573,  1732,     0,     0,   659,
       0,     0,     0,     0,  2170,     0,     0,  1572,     0,     0,
       0,     0,  2811,  2811,     0,     0,     0,     0,     0,   658,
       0,     0,     0,     0,     0,  1758,   659,   658,   658,  1598,
     659,     0,     0,     0,     0,     0,     0,     0,   364,     0,
       0,   659,     0,     0,     0,     0,     0,  1733,     0,     0,
    3094,     0,     0,     0,     0,     0,     0,     0,  3785,     0,
       0,     0,     0,     0,     0,   659,     0,     0,     0,     0,
       0,     0,     0,   987,     0,  4156,     0,  3891,  4157,     0,
    4158,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     364,   364,   364,   985,  2171,  2172,  2173,     0,  2174,  2175,
    2176,  2177,  2178,  2179,  4184,  4185,     0,   659,  2842,     0,
     658,     0,     0,     0,     0,     0,     0,     0,  3225,     0,
       0,     0,     0,     0,  3225,  3225,  3225,  3225,  3225,  3225,
    2154,     0,     0,  2155,  1309,     0,     0,     0,  4213,     0,
     364,     0,     0,     0,     0,  3933,     0,   364,     0,     0,
    2156,     0,     0,     0,   364,     0,     0,     0,  2158,     0,
       0,  1024,  3794,     0,  2159,  3939,     0,     0,     0,     0,
    4923,     0,     0,  4236,  4238,  4240,  4242,     0,   657,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2160,     0,
    3961,     0,     0,  1024,  1168,  1170,   659,     0,  1173,  1174,
       0,     0,     0,     0,     0,     0,   806,     0,     0,     0,
       0,     0,  1906,     0,     0,  1211,   365,  4923,  2811,     0,
       0,     0,     0,     0,     0,  4923,  2068,     0,     0,     0,
       0,  2322,  1931,  1934,  1935,  1261,     0,  4295,     0,  1264,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   806,     0,    74,     0,  1285,     0,   985,     0,     0,
       0,     0,     0,     0,   987,     0,     0,     0,     0,   987,
     987,     0,     0,     0,     0,     0,     0,     0,   658,     0,
    1024,     0,     0,   659,   659,     0,     0,     0,  2161,     0,
       0,     0,  2162,     0,     0,     0,     0,  1023,  4329,     0,
       0,     0,     0,     0,     0,  1023,     0,  1023,     0,   985,
       0,     0,     0,  2163,  2164,     0,     0,  3348,     0,   806,
       0,     0,  4456,  4457,     0,     0,     0,  4460,  4461,  2165,
       0,     0,     0,  3357,  3358,     0,     0,  3360,     0,     0,
       0,     0,     0,  3364,     0,     0,     0,  1548,     0,     0,
       0,     0,   662,     0,  2166,     0,     0,  2167,     0,   364,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2168,     0,     0,  2169,  1548,  3603,   658,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   658,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3792,  3792,  3792,
    3792,  3792,  3398,     0,     0,   985,     0,     0,     0,     0,
    4403,  4404,     0,     0,     0,   987,     0,     0,     0,     0,
       0,     0,     0,   987,     0,     0,     0,     0,     0,     0,
       0,     0,    80,     0,     0,  2170,     0,     0,     0,     0,
       0,   658,     0,     0,  2812,  2812,     0,     0,     0,  2812,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,   658,     0,  2154,     0,     0,  2155,     0,     0,
     987,     0,     0,   987,   987,     0,     0,     0,     0,     0,
       0,     0,     0,   659,  2156,     0,     0,  2157,     0,  2812,
    2812,     0,  2158,     0,     0,     0,     0,     0,  2159,     0,
    3689,     0,     0,     0,     0,  2238,   659,  3701,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2160,     0,     0,  2171,  2172,  2173,     0,  2174,
    2175,  2176,  2177,  2178,  2179,     0,   987,     0,     0,  3786,
       0,  1763,  1764,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2287,     0,     0,  3225,  3225,     0,  4266,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1309,
       0,  4608,   659,  4485,     0,  4486,     0,  3743,  4490,  4491,
       0,     0,     0,     0,     0,     0,  3794,  3794,  3794,  3794,
    3794,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1849,
     364,     0,     0,     0,  1743,     0,     0,     0,     0,     0,
    1744,     0,  2161,     0,   985,     0,  2162,     0,     0,  1908,
    1909,     0,     0,     0,  4521,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1936,  2163,  2164,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1745,  4543,     0,  2165,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2437,  3624,     0,     0,
       0,  1969,  1971,  2454,  4329,  4329,  4329,  4329,  2166,     0,
       0,  2167,     0,     0,   659,     0,     0,     0,     0,     0,
     364,     0,   659,   659,  2168,     0,     0,  2169,  2483,  1746,
       0,     0,  2068,   365,     0,     0,  1747,     0,     0,  1748,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2530,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2517,     0,     0,     0,     0,     0,  3912,     0,     0,   364,
    3671,   364,  3673,     0,  2533,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3922,   365,   365,   365,  2545,     0,
     658,  1749,     0,     0,     0,     0,     0,     0,     0,  2170,
       0,     0,     0,     0,     0,   659,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   658,     0,     0,
       0,   364,   658,     0,     0,   658,     0,     0,  2154,     0,
       0,  2155,     0,  3785,     0,   365,     0,     0,     0,     0,
       0,     0,   365,  4435,     0,     0,  1750,   658,  1751,   365,
       0,     0,     0,     0,     0,     0,  2158,  3225,  1752,  3731,
       0,  4652,  2159,     0,  3738,     0,  1753,     0,     0,     0,
       0,  4449,     0,     0,     0,  1754,     0,     0,     0,     0,
       0,   658,     0,  4458,     0,     0,  2160,     0,     0,  2171,
    2172,  2173,  1024,  2174,  2175,  2176,  2177,  2178,  2179,     0,
       0,  4800,     0,     0,     0,     0,  3091,     0,   658,     0,
    1756,     0,     0,     0,     0,     0,     0,     0,     0,   806,
       0,     0,     0,     0,     0,     0,     0,  4473,     0,     0,
       0,   364,   658,     0,   364,  1757,   657,     0,     0,     0,
       0,   657,     0,     0,     0,     0,     0,     0,  3485,     0,
     657,   658,     0,     0,   658,     0,     0,  1743,     0,     0,
    2694,     0,     0,  1744,     0,     0,     0,     0,     0,     0,
       0,     0,   658,   659,     0,     0,     0,   657,     0,     0,
     987,   657,   658,     0,     0,     0, -2575,     0,     0,     0,
    2162,     0,   657,  1758,     0,   658,     0,     0,     0,     0,
       0,     0,     0,  1745,   658,     0,     0,  1548,  1548,     0,
       0,  2163,  2164,  3890,     0,     0,   657,  3893,  3894,     0,
    3896,     0,  3898,  3899,     0,     0,     0, -2575,   987,     0,
    4111,  3904,   662,     0,     0,  1309,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1671,     0,
       0,     0,  1746,     0,   365,  2167,     0,     0,   657,  1747,
       0,     0,  1748,     0,  3921,     0,     0,     0,  2168,     0,
       0,   659,     0,     0,     0,     0,     0,     0,     0,  2068,
       0,     0,  4921,     0,     0,     0,     0,   659,     0,     0,
       0,  2812,     0,     0,  2812,  2812,  2812,  2812,  2812,  2812,
    2812,  2812,  2812,  2812,     0,     0,     0,  4171,     0,     0,
    4174,     0,     0,     0,  1749,     0,     0,     0,     0,   658,
       0,     0,     0,     0,  2812,     0,     0,  2457,     0,  4921,
    2154,     0,     0,  2155,     0,     0,     0,  4921,     0,     0,
    2901,     0,     0, -2575,     0,  1023,   659,   657,     0,  1023,
       0,     0,     0,  2812,  2812,     0,   658,     0,  2158,     0,
       0,     0,  1743,     0,  2159,  2921,     0,   659,  1744,  1750,
       0,  1751,  2154,     0,     0,  2155,     0,  2513,  2514,  2515,
    2516,  1752,     0,     0,     0,     0,     0,  1518,  2160,  1753,
       0,     0,  2156,     0,     0,     0,     0,     0,  1754,     0,
    2158,   987,  2934,   658,  2937,     0,  2159,     0,  1745,   987,
       0,   987,     0,     0,     0,     0,     0,  2552,  2553,     0,
       0,     0,  1589,  2562,     0,   658,     0,     0,     0,  3167,
    2160,     0,     0,  1756,   657,   657,     0,  2174,  2175,  2176,
    2177,  2178,  2179,     0,     0,     0,     0,     0,     0,     0,
    3496,     0,     0,     0,     0,     0,     0,  1746,  3168,     0,
       0,     0,     0,     0,  1747,     0,     0,  1748,     0,     0,
    2583,  4924,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2575,     0,
       0,     0,  2162,     0,  2616,  2617,  2618,  2619,     0,     0,
       0,     0,     0,     0,     0,     0,   364,     0,  2068,     0,
       0,     0,   364,  2163,  2164,   365,  1758,     0,  4924,  1749,
       0,     0,     0,     0,     0,     0,  4924,     0,     0, -2575,
    2161,     0,     0,     0,  2162,     0,     0,     0,  3732,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2675,     0,     0,  2163,  2164,  2167,     0,     0,
       0,  2679,     0,     0,     0,     0,     0,     0,  2686,     0,
    2168,  2165,  2154,     0,  1750,  2155,  1751,  2068,     0,     0,
       0,  2068,  2068,     0,     0,     0,  1752,     0,     0,     0,
       0,     0,  2156,     0,  1753,     0,  2166,     0,   658,  2167,
    2158,     0,     0,  1754,     0,   365,  2159,     0,     0,  3113,
       0,     0,  2168,     0,     0,  2169,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2160,     0,     0,     0,  3205,     0,     0,     0,  1756,   987,
       0,     0,     0,     0,   657, -2575,     0,     0,     0,     0,
       0,     0,     0,     0,   365,     0,   365,     0,     0,     0,
       0,     0,     0,  3206,     0,     0,     0,   657,  2812,     0,
       0,   658,     0,     0,     0,   659,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2170,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   659,     0,     0,     0,   365,   659,     0,     0,
     659,     0,   658,     0,     0,     0,     0,     0,     0,     0,
       0,  1758,     0,     0,  4453,     0,     0,     0,     0,     0,
    2161,     0,   659,   657,  2162,  2855,  4463,     0,     0,  2174,
    2175,  2176,  2177,  2178,  2179,     0,     0,     0,     0,     0,
       0,     0,     0,  3289,     0,  2163,  2164,     0,     0,     0,
    4309,     0,     0,     0,     0,     0,   659,     0,  4312,  4313,
       0,  2165,     0,     0,     0,     0,     0,  2171,  2172,  2173,
       0,  2174,  2175,  2176,  2177,  2178,  2179,   364,   364,   364,
       0,  3934,  2092,   659,     0,     0,  2166,     0,     0,  2167,
       0,  1743,  1743,     0,     0,     0,   658,  1744,  1744,     0,
       0,     0,  2168,   658,     0,  2169,   365,   659,     0,   365,
       0,  2116,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   659,     0,     0,   659,
     987,  2812,  2812,     0,     0,     0,     0,  1745,  1745,  2141,
    2142,     0,  2145,     0,     0,   657,     0,   659,     0,     0,
       0,     0,     0,   657,   657,  2154,     0,   659,  2155,  2185,
       0,     0,     0,     0,   806,     0,     0,     0,     0,     0,
     659,     0,     0,   658,     0,  2156,     0,  2170,     0,   659,
       0,     0,     0,  2158,     0,     0,  1746,  1746,     0,  2159,
       0,     0,     0,  1747,  1747,     0,  1748,  1748,     0,     0,
       0,   364,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2239,     0,  2160,     0,     0,   806,     0,   364,  2154,
       0,     0,  2155,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   658,     0,   658,     0,   657,     0,     0,  2156,
    2261,     0,     0,     0,  2271,  2274,     0,  2158,  1749,  1749,
    3043,  3044,  3045,  2159,     0,     0,     0,  3053,  4434,  3055,
       0,  3057,  3058,     0,     0,     0,     0,  2171,  2172,  2173,
       0,  2174,  2175,  2176,  2177,  2178,  2179,  2160,     0,     0,
     806,     0,     0,  3427,     0,     0,     0,  1023,     0,  4450,
    4451,     0,     0,     0,   659,   658,     0,     0,     0,     0,
       0,     0,     0,  1750,  1750,  1751,  1751,     0,     0,     0,
       0,     0,     0,  2161,     0,  1752,  1752,  2162,     0,  1023,
       0,     0,     0,  1753,  1753,   658,     0,     0,     0,     0,
       0,   659,  1754,  1754,     0,     0,     0,     0,  2163,  2164,
    3511,     0,   658,     0,     0,  4474,  4475,     0,     0,     0,
       0,     0,     0,     0,  2165,     0,     0,  3160,     0,     0,
     658,     0,     0,  3648,     0,     0,     0,  1756,  1756,     0,
       0,     0,     0,     0,     0,     0,     0,  2161,   659,  2166,
       0,  2162,  2167,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3649,  1757,  1548,  2168,     0,     0,  2169,     0,
     659,     0,  2163,  2164,   657,     0,  1023,     0,     0,     0,
       0,     0,     0,  3217,     0,     0,     0,     0,  2165,     0,
       0,  3226,  3227,  3228,  3229,  3230,  3231,     0,     0,     0,
       0,     0,     0,   364,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2166,     0,     0,  2167,     0,   987,     0,
    1758,  1758,     0,     0,     0,     0,     0,     0,     0,  2168,
       0,   987,  2169,     0,     0,     0,  4554,     0,  4555,  4556,
    2170,     0,     0,     0,     0,     0,     0,     0,     0,  4559,
    2812,   365,     0,     0,     0,   806,     0,   365,     0,  2812,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3311,   657,     0,     0,     0,  2812,  2812,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   657,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3351,     0,  3353,  2170,     0,     0, -2082,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2171,  2172,  2173,     0,  2174,  2175,  2176,  2177,  2178,  2179,
       0,     0,     0,   659,     0,     0,  3475,   657,     0,     0,
       0,     0,     0, -2082,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2082,     0,     0,   657, -2082,
       0,     0,     0,     0, -2082,     0,   658,   987,     0, -2082,
       0,     0, -2082,     0, -2082,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2171,  2172,  2173,     0,  2174,  2175,
    2176,  2177,  2178,  2179,     0,     0,  3404,     0,  3981,     0,
       0, -2082,     0,     0,     0,   364,   659,     0,     0,   364,
       0,   364,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2082,     0,     0,     0,     0,  2154,     0,     0,
    2155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   658,     0,     0,   658,   659,     0,     0,
       0,     0,     0,     0,     0,  2158,     0,     0, -2082,     0,
       0,  2159,     0,     0,     0,     0, -2082,     0,     0,     0,
       0,     0,  2812,     0,     0,     0,     0,     0,  4711,  3828,
       0,  2154,     0,     0,  2155,  2160,   658,     0,     0,     0,
       0,  2781,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2156,     0,     0,  3843,     0,   806,     0,     0,  2158,
       0, -2082,  3851,     0,  2804,  2159,  3856,  2806,     0,     0,
    2817,     0,   365,   365,   365,     0,     0,  2824,  2829,     0,
    3867,     0,     0,  2835,  4737,     0,  2840,     0,     0,  2160,
       0,   659,     0,     0,     0,     0,     0,     0,   659,  2154,
       0,     0,  2155,  2849,     0,     0,  1000,     0,  2856,     0,
       0,     0,  2868,     0,     0,     0,  2875,  4763,  2877,  2878,
    2879,  2880,  2881,  2882,  2883,  2884,  2885,  2158,  2886,     0,
   -2082,     0,     0,  2159,  1518,  2161,     0,  2911,     0,  2162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1548,
       0,     0,     0, -2082,     0, -2082, -2082,  2160,     0,     0,
    2163,  2164,     0,     0,     0,     0,     0,     0,   659,     0,
       0,     0,     0,     0,     0,     0,  2165,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   658, -2082,  2161,
       0, -2082, -2082,  2162, -2082,     0,   365,     0,     0,  1589,
       0,     0,   987,     0,  2167,     0,     0,     0,     0,     0,
       0,     0,     0,   365,  2163,  2164,   657,  2168,   987,  3996,
       0,     0,  3630,     0,  3631,  3632,     0,   659,     0,   659,
    2165,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   657,     0,     0,     0,   806,   657,     0,
       0,   657,     0,     0,     0,  2166,     0, -2575,  2167,     0,
       0,  2162,     0,     0,     0,     0,  4006,  4007,  4008,     0,
       0,  2168,     0,   657,  2169,     0,     0,     0,   987,     0,
       0,     0,  2163,  2164,     0,     0,     0,     0,     0,     0,
     659,     0,  2170,  2154,     0,     0,  2155,     0, -2575,     0,
       0,     0,     0,     0,     0,     0,     0,   657,     0,     0,
       0,     0,     0,  2156,     0,     0,     0,     0,  1023,     0,
     659,  2158,     0,     0,  3034,     0,  2167,  2159,     0,     0,
       0,     0,     0,     0,   657,     0,     0,   659,     0,  2168,
    4909,     0,     0,     0,     0,     0,  2170,     0,     0,     0,
       0,  2160,     0,     0,     0,   659,     0,   806,   657,     0,
     806,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   657,     0,     0,
     657,     0,     0, -2575, -2575,     0,  2174,  2175,  2176,  2177,
    2178,  2179,     0,     0,   364,     0,     0,     0,   657,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   657,     0,
     658,     0,     0,     0, -2575,     0,     0,     0,     0,     0,
       0,   657,   658,     0,     0,     0,   987,     0,   365,     0,
     657,     0,     0,     0,     0,     0,  2171,  2172,  2173,     0,
    2174,  2175,  2176,  2177,  2178,  2179,     0,     0,     0,     0,
    4056,  2161,     0,     0,     0,  2162,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2163,  2164,     0,   364,
       0,   658,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2165,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2174,  2175,
    2176,  2177,  2178,  2179,     0,     0,     0,  2166,  3244,     0,
    2167,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3900,     0,  2168,  3901,     0,  2169,     0,     0,     0,
       0,     0,     0,     0,     0,   657,     0,     0,     0,     0,
       0,     0,     0,  4232,     0,     0,     0,     0,   703,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4258,     0,     0,     0,     0,     0,  3926,     0,
       0,     0,   657,     0,     0,     0,     0,     0,     0,     0,
     987,     0,     0,     0,  4268,   658,   703,     0,     0,     0,
       0,   659,     0,     0,     0,     0,     0,     0,  2170,     0,
       0,     0,     0,     0,     0,     0,     0,   703,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   657,
       0,     0,     0,     0,     0,   996,     0,     0,  3365,     0,
     365,     0,   987,     0,   365,     0,   365,     0,   997,     0,
       0,   657,     0,     0,     0,     0,  1005,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1015,     0,   996,     0,     0,     0,  1036,   659,     0,
       0,   659,     0,     0,     0,     0,     0,  1066,   658,     0,
     658,     0,     0,     0,     0,  1071,     0,     0,  2171,  2172,
    2173,     0,  2174,  2175,  2176,  2177,  2178,  2179,  2154,     0,
       0,  2155,  4083,     0,     0,     0,     0,     0,     0,  2154,
       0,   659,  2155,     0,     0,  3410,     0,     0,  2156,     0,
    3416,     0,   806,     0,     0,     0,  2158,  1889,   806,  2156,
       0,     0,  2159,     0,     0,     0,     0,  2158,   987,     0,
       0,     0,     0,  2159,     0,     0,  4367,  4368,  4369,  4370,
       0,     0,     0,     0,     0,     0,  2160,     0,     0,     0,
       0,     0,  2829,     0,  2829,  2829,     0,  2160,     0,     0,
       0,     0,     0,     0,     0,  3473,     0,     0,  3476,     0,
    3478,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4106,
    4107,  4108,  4109,     0,     0,     0,     0,  3499,     0,  3501,
       0,     0,     0,  3504,   657,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2154,     0,     0,  2155,     0,     0,     0,     0,     0,
       0,     0,  2911,  2911,  2911,     0,     0,     0,     0,     0,
       0,  2156,     0,     0,     0,     0,  2161,     0,     0,  2158,
    2162,     0,   659,     0,     0,  2159,  3561,  2161,     0,     0,
       0,  2162,     0,     0,     0,     0,     0,     0,  2261,     0,
       0,  2163,  2164,  3572,  1889,     0,     0,   657,     0,  2160,
    2274,     0,  2163,  2164,     0,     0,   364,  2165,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2165,     0,
       0,     0,     0,     0,     0,     0,     0,   658,     0,     0,
       0,     0,  2166,     0,     0,  2167,     0,     0,   657,     0,
       0,     0,     0,  2166,     0,     0,  2167,     0,  2168,     0,
       0,  2169,     0,     0,     0,     0,     0,     0,     0,  2168,
       0,     0,  2169,     0,     0,     0,  3613,   987,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4250,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2161,
       0,     0,     0,  2162,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   806,   806,   806,     0,     0,     0,     0,
       0,     0,     0,  2170,  2163,  2164,     0,     0,     0,     0,
       0,     0,   657,     0,  2170,     0,  2220,     0,     0,   657,
    2165,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4549,     0,
       0,     0,     0,     0,     0,  2166,     0,     0,  2167,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   365,
       0,  2168,     0,     0,  2169,     0,     0,   703,     0,     0,
       0,   658,     0,     0,     0,   659,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   659,     0,   657,
       0,     0,     0,  2171,  2172,  2173,     0,  2174,  2175,  2176,
    2177,  2178,  2179,     0,  2171,  2172,  2173,  4332,  2174,  2175,
    2176,  2177,  2178,  2179,     0,     0,     0,   806,  4366,     0,
       0,     0,     0,  2154,     0,     0,  2155,     0,     0,     0,
       0,     0,     0,     0,   806,     0,  2170,     0,     0,     0,
       0,     0,  1889,   364,   365,     0,   659,     0,   657,     0,
     657,  2158,     0,     0,     0,     0,     0,  2159,     0,     0,
       0,     0,     0,  2154,     0,     0,  2155,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2160,     0,  2156,     0,     0,     0,     0,     0,     0,
     364,  2158,     0,     0,     0,  1889,     0,  2159,   364,     0,
       0,     0,     0,     0,  4801,     0,     0,     0,     0,     0,
       0,   657,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2160,  1889,     0,     0,     0,  2171,  2172,  2173,     0,
    2174,  2175,  2176,  2177,  2178,  2179,  4660,     0,     0,     0,
    4575,   657,     0,  3997,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   657,     0,
     659,     0,     0,     0,     0,     0,     0,  1548,     0,     0,
       0,     0,  1163,  1169,  1169,   703,   657,  1169,  1176,     0,
    1163, -2575,  1066,     0,  1200,  2162,     0,     0,  1066,     0,
    1066,     0,     0,  1889,  1169,     0,  1066,     0,     0,     0,
       0,     0,     0,     0,  1227,     0,  2163,  2164,     0,  1066,
       0,  1163,  1889,     0,  1169,     0,   703,     0,  1169,     0,
       0,  2161, -2575,  4469,  1200,  2162,     0,  1280,     0,     0,
    1889,     0,     0,     0,  1169,     0,     0,  4472,  3931,     0,
       0,     0,     0,     0,     0,     0,  2163,  2164,  3935,   806,
    2167,     0,     0,   659,  3936,   659,  3937,     0,  1889,     0,
       0,  4744,  2165,  2168,     0,  1163,     0,     0,     0,     0,
     703,     0,     0,     0,  1163,     0,     0,  1200,  3955,  3956,
       0,     0,     0,     0,     0,     0,     0,  2166,     0,     0,
    2167,     0,  1169,     0,     0,     0,     0,     0,     0,  2835,
       0,     0,     0,  2168,     0,     0,  2169,     0,     0,  3984,
       0,     0,  3987,     0,  3989,     0,  1889,     0,     0,     0,
       0,     0,     0,  3993,     0,     0,     0,  2154,     0,  3998,
    2155,  4522,  4001,     0,     0,     0,     0,     0, -2575,     0,
       0,     0,     0,     0,     0,  1066,     0,  2156,     0,     0,
       0,     0,  4030,     0,     0,  2158,     0,  1066,  1423,     0,
    4042,  2159,  2911,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2170,     0,
       0,     0,     0,     0,  1530,  2160,     0,     0,   703,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4059,  1066,     0,     0,
       0,  1066,  1518,     0,     0,     0,     0,     0,  1589,  1530,
       0,     0,   657,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,  2174,  2175,  2176,  2177,  2178,  2179,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   806,     0,     0,     0,   806,     0,   806,  2171,  2172,
    2173,   365,  2174,  2175,  2176,  2177,  2178,  2179,  4622,  4624,
    4624,     0,  4617,     0,     0,  2161,     0,     0,     0,  2162,
       0,     0,   659,     0,     0,     0,     0,     0,     0,   657,
       0,     0,   657,     0,     0,     0,     0,     0,     0,     0,
    2163,  2164,  1889,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1066,     0,     0,     0,  2165,     0,     0,     0,
    1169,  1169,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   657,     0,     0,     0,     0,     0, -2084,     0,
       0,  2166,     0,     0,  2167,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2168,     0,     0,
    2169,     0,  1163,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1163,     0,     0,  1200,     0,     0,     0,     0,
       0,     0,     0,     0, -2084,     0,  4697,     0,  1169,     0,
       0,     0,  2154,     0,     0,  2155, -2084,     0,     0,     0,
   -2084,     0,  1066,     0,     0, -2084,     0,     0,  1169,  1169,
   -2084,     0,  2156, -2084,     0, -2084,     0,     0,     0,     0,
    2158,     0,  1066,  1066,  1066,  1169,  2159,  1163,     0,     0,
       0,  1944,  2170,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2084,     0,  2154,     0,   659,  2155,     0,     0,
    2160,     0,     0,     0,     0,     0,     0,     0,     0,  1169,
    1169,  1169,     0, -2084,  2156,     0,     0,     0,  4741,     0,
       0,     0,  2158,     0,     0,     0,     0,     0,  2159,     0,
       0,     0,     0,   657,     0,     0,     0,  4298,  4299,     0,
    4759,     0,  4761,     0,  1530,     0,     0,     0,     0, -2084,
       0,     0,  2160,     0,     0,     0,     0, -2084,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   365,     0,
       0,     0,  2171,  2172,  2173,     0,  2174,  2175,  2176,  2177,
    2178,  2179,  2043,  2043,     0,     0,  4662,  1066,     0,   996,
       0,     0,     0,     0,     0,     0,     0,  4330,     0,     0,
    2161,     0, -2084,     0,  2162,     0,     0,     0,     0,     0,
       0,  2077,     0,     0,  1066,   365,     0,  2083,     0,     0,
       0,     0,  1889,   365,     0,  2163,  2164,  1889,  1889,  1530,
       0,     0,     0,  4624,     0,     0,     0,     0,     0,  1889,
       0,  2165,     0,     0,  4348,  4350,     0,  1000,     0,     0,
       0,     0,  2161,     0,     0,     0,  2162,  4357,  1530,     0,
       0,     0,     0,  4362,  4363,     0,  2166,  4365,     0,  2167,
       0, -2084,     0,     0,     0,  4846,     0,  2163,  2164,     0,
       0,     0,  2168,     0,     0,  2169,  1530,  1530,  2154,  1530,
       0,  2155,     0,  2165, -2084,  2911, -2084, -2084,     0,     0,
    2911,     0,     0,     0,     0,     0,  1530,     0,  2156,     0,
       0,     0,  2911,     0,     0,     0,  2158,     0,  2166,     0,
       0,  2167,  2159,     0,     0,     0,   703,   703,     0, -2084,
       0,  4881, -2084, -2084,  2168, -2084,     0,  2169,     0,     0,
     806,     0,     0,     0,     0,     0,  2160,     0,     0,     0,
       0,  4419,     0,     0,     0,  1066,   657,  2170,  1530,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   657,     0,
    1889,     0,     0,     0,  4914,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1530,     0,     0,
       0,  1530,  1530,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,  1066,  2289,     0,     0,     0,     0,     0,  2170,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   806,     0,   657,     0,   703,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1889,     0,     0,     0,     0,     0,  2161,  2171,  2172,  2173,
    2162,  2174,  2175,  2176,  2177,  2178,  2179,     0,     0,     0,
       0,  4848,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2163,  2164,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2154,  2165,     0,  2155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2171,
    2172,  2173,     0,  2174,  2175,  2176,  2177,  2178,  2179,     0,
       0,     0,  2166,  4933,  2158,  2167,  4505,     0,     0,     0,
    2159,     0,     0,     0,     0,     0,  1066,  2442,  2168,     0,
       0,  2169,     0,  1066,     0,     0,  1169,     0,     0,  1889,
       0,   657,     0,     0,  2160,     0,     0,     0,     0,     0,
    3973,  1200,     0,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,     0,     0,     0,     0,  1169,  1169,  1169,  1169,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2170,  1066,     0,  4000,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2544,  3974,  1066,     0,
       0,     0,     0,     0,     0,     0,  1169,  1169,     0,     0,
       0,  4583,  1169,     0,   657,     0,   657,     0,     0,     0,
       0,     0,     0,     0, -2575,     0,     0,     0,  2162,     0,
       0,     0,     0,     0,     0,     0,  4600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2163,
    2164,     0,     0,     0,     0,     0,     0,     0,     0,  1169,
       0,     0,     0,     0,     0, -2575,     0,     0,     0,     0,
       0,     0,     0,  2171,  2172,  2173,     0,  2174,  2175,  2176,
    2177,  2178,  2179,  1169,  1169,  1169,  1169,     0,     0,     0,
       0,     0,     0,  2167,     0,     0,     0,     0,     0,     0,
       0,     0,  2544,     0,     0,     0,  2168,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1163,     0,     0,
       0,     0,     0,     0,   703,     0,  1163,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1200,     0,     0,     0,
       0,  1169,     0,     0,     0,     0,     0,     0,     0,     0,
    1169,     0,     0,     0,     0,     0,  1169,  1169,     0,     0,
       0,     0,     0,     0,  2154,     0,     0,  2155,     0,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2575,     0,     0,  2156,     0,     0,     0,     0,     0,
       0,     0,  2158,     0,     0,     0,     0,     0,  2159,     0,
       0,     0,     0,     0,  2043,     0,     0,     0,     0,     0,
       0,  1169,     0,  1163,     0,     0,  2835,  1066,  1066,  1889,
    1169,     0,  2160,     0,     0,     0,  1066,     0,     0,     0,
       0,     0,   806,     0,     0,  4722,     0,     0,     0,     0,
       0,     0,   996,   996,     0,     0,  2755,     0,     0,     0,
    1530,  1530,     0,   657,     0,     0,     0,     0,  1530,  1889,
    1889,  1530,  1889,     0,     0,  1530,     0,     0,     0,     0,
       0,     0,     0,  1530,  1530,  2174,  2175,  2176,  2177,  2178,
    2179,  1530,     0,  1200,  1530,  1530,  1530,  1530,     0,     0,
       0,     0,     0,     0,  1530,  1530,     0,  1530,     0,  1530,
    1530,     0,     0,  1530,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1889,     0,  1889,     0,     0,     0,
    1530,  4783,  2161,     0,  1169,  1530,  2162,     0,     0,  1530,
       0,     0,     0,  1530,     0,  1530,  1530,  1530,  1530,  1530,
    1530,  1530,  1530,  1530,     0,  1530,     0,  2163,  2164,     0,
    1066,  1530,     0,     0,  1530,     0,     0,     0,     0,     0,
       0,     0,  1891,  2165,     0,     0,     0,     0,     0,  1889,
       0,     0,     0,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2166,     0,
       0,  2167,     0,  1889,     0,     0,  4827,     0,     0,     0,
       0,     0,     0,     0,  2168,     0,     0,  2169,     0,     0,
       0,     0,  1066,     0,  1066,     0,  1530,   657,     0,     0,
    1889,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1889,     0,     0,     0,     0,     0,  2154,
       0,     0,  2155,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2965,     0,  2972,     0,     0,     0,     0,     0,
       0,     0,  4867,  4867,     0,     0,     0,  2158,     0,     0,
       0,     0,     0,  2159,     0,     0,     0,     0,     0,  2170,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   806,
       0,     0,     0,     0,     0,     0,  1889,  2160,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1889,  4867,     0,     0,     0,     0,     0,   703,     0,  1891,
       0,  4911,   996,  1889,   996,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   806,     0,     0,     0,
       0,  1530,     0,     0,   806,     0,     0,  1163,     0,  1169,
    1169,  1169,     0,  1163,  1200,     0,  1169,     0,  1169,  4364,
    1169,  1169,     0,     0,  1066,     0,     0,     0,     0,  2171,
    2172,  2173,     0,  2174,  2175,  2176,  2177,  2178,  2179,  4867,
       0,  4051,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1889,     0,     0,     0,     0,     0, -2575,     0,     0,
       0,  2162,  2442,     0,     0,     0,     0,     0,  3095,     0,
       0,  1889,     0,  3104,     0,     0,     0,     0,     0,  1066,
       0,     0,  2163,  2164,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3135,  3135,  1889,     0, -2575,     0,
       0,   703,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1169,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2167,     0,     0,     0,
       0,     0,  1889,     0,     0,     0,     0,     0,     0,  2168,
       0,     0,  3192,     0,  3194,  3196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1169,     0,     0,     0,     0,     0,     0,     0,
    1169,  1169,  1169,  1169,  1169,  1169,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1530,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2575,     0,     0,     0,  2442,     0,
       0,     0,  3135,  1066,     0,     0,     0,   996,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2154,  1891,     0,  2155,
       0,     0,     0,  3192,     0,     0,     0,     0,     0,     0,
    1169,  3319,     0,     0,     0,     0,  2156,     0,     0,  3414,
       0,  1944,     0,     0,  2158,     0,     0,     0,     0,     0,
    2159,     0,     0,     0,     0,     0,     0,     0,  1169,     0,
    1169,  3135,  1169,  3135,     0,     0,     0,     0,     0,     0,
    2434,     0,     4,     0,  2160,     0,     0,     0,  2174,  2175,
    2176,  2177,  2178,  2179,     0,  1530,     0,     0,     0,     0,
       0,     0,     5,     0,  1889,     0,     0,  1891,     0,     0,
       0,     0,     6,     7,     0,     0,  2043,     0,     8,     0,
       9,    10,     0,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
      36,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1163,     0,     0,    45,     0,  1163,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1169,     0,     0,  1891,     0,
       0,  1530,  1530,     0,  2161,     0,     0,  1530,  2162,     0,
       0,     0,     0,     0,     0,     0,     0,  1891,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2163,
    2164,    46,  1530,  1530,     0,  1891,     0,  1530,     0,     0,
       0,     0,     0,     0,     0,  2165,     0,     0,     0,  1530,
    1530,  1530,  1530,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1530,  1891,     0,  1530,     0,  1530,  3479,     0,
    2166,     0,     0,  2167,  1889,     0,     0,  1530,  1530,     0,
       0,  1530,     0,     0,     0,     0,  2168,     0,     0,  2169,
       0,     0,     0,     0,  1530,     0,  1530,     0,  1200,     0,
    1530,    47,     0,     0,  2154,     0,  1889,  2155,     0,     0,
       0,     0,     0,     0,     0,     0,  1530,    48,     0,     0,
    1066,  1891,     0,     0,  2156,     0,     0,  3524,  2942,  1530,
    1530,  1530,  2158,     0,     0,     0,     0,    49,  2159,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1530,     0,     0,     0,     0,     0,    50,
       0,  2170,  2160,     0,     0,  1530,     0,     0,     0,     0,
    1530,     0,     0,     0,  1066,     0,     0,  1530,     0,     0,
       0,     0,     0,  3524,     0,     0,  3584,     0,     0,     0,
    2972,     0,     0,    51,     0,     0,    52,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2943,     0,     0,
       0,    53,     0,     0,     0,     0,     0,  1889,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1530,     0,  3135,     0,     0,     0,     0,
    2043,  2171,  2172,  2173,     0,  2174,  2175,  2176,  2177,  2178,
    2179,     0,  2161,     0,     0,     0,  2162,     0,     0,     0,
       0,  1169,     0,  1169,  1169,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    54,     0,     0,  2163,  2164,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2165,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1891,     0,     0,
       0,     0,     0,     0,     0,     0,    55,     0,  2166,     0,
       0,  2167,     0,     0,     0,     0,     0,     0,     0,  1889,
      56,     0,     0,     0,  2168,     0,     0,  2169,     0,     0,
       0,   828,  2914,     0,     0,    57,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1889,     0,     0,
       0,     0,     0,   814,     0,     0,     0,     0,     0,  1889,
       0,    58,     0,     0,     0,     0,     0,    59,     0,     0,
       0,    60,    61,    62,    63,    64,     0,   829,    65,    66,
      67,    68,     0,    69,    70,    71,    72,    73,     0,     0,
     830,     0,     0,     0,     0,     0,     0,     0,   814,  2170,
       0,     0,     0,  1889,     0,     0,     0,   831,     0,     0,
       0,     0,     0,   832,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3135,  3135,     0,     0,   833,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1027,     0,   834,     0,     0,     0,
    2944,     0,  1027,  3793,  1027,     0,     0,   835,     0,     0,
       0,     0,   836,     0,     0,     0,   814,     0,   837,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,   838,     0,     0,     0,     0,     0,  2171,
    2172,  2173,     0,  2174,  2175,  2176,  2177,  2178,  2179,     0,
       0,     0,     0,  2043,  1066,     0,     0,     0,   839,     0,
       0,     0,  1066,     0,     0,     0,  1066,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   703,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1889,     0,     0,   840,     0,
    1169,     0,     0,  1169,     0,     0,     0,  3080,     0,     0,
       0,     0,  2434,  3087,     0,     0,     0,     0,     0,     0,
    1163,     0,     0,     0,  1891,     0,   841,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,  1169,     0,     0,
       0,   842,     0,     0,     0,  1530,     0,   843,     0,     0,
       0,     0,     0,   844,     0,  1530,   845,     0,     0,     0,
       0,  1530,     0,  1530,     0,     0,     0,     0,     0,  1530,
       0,     0,  1530,  1530,  1530,  1530,  1530,  1530,  1530,  1530,
    1530,  1530,   846,     0,   847,  1530,  1530,     0,   848,     0,
       0,     0,     0,     0,     0,     0,   849,     0,  1530,  1889,
       0,   850,  1530,     0,     0,     0,  1530,     0,     0,     0,
       0,     0,     0,   851,     0,     0,  1530,     0,     0,  1530,
       0,  1530,     0,     0,     0,     0,   852,     0,     0,     0,
    1530,  1530,  1530,     0,     0,     0,  1530,     0,     0,  1530,
       0,     0,     0,     0,     0,  1891,  1066,  1066,  1066,  3524,
    4014,     0,     0,     0,  4014,  4027,     0,     0,     0,  1530,
       0,     0,     0,     0,     0,  4041,     0,  1530,     0,  1530,
       0,     0,     0,     0,    85,     0,     0,     0,     0,     0,
      89,     0,     0,     0,    93,     0,    94,     0,    96,    97,
       0,  1889,     0,     0,     0,     0,     0,  1881,     0,   106,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1530,  1889,  2434,   119,   120,     0,  1530,
       0,     0,     0,  2972,     0,  1530,     0,     0,     0,     0,
       0,     0,     0,     0,  1229,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1889,     0,     0,  1230,  1231,     0,
    4089,  2043,  2043,     0,  2544,     0,  1232,     0,     0,     0,
    1233,     0,   128,     0,     0,     0,     0,     0,  1169,  1169,
    1169,  1169,   129,     0,   130,   131,     0,  1234,     0,     0,
       0,     0,     0,  1889,     0,     0,     0,  1889,  1889,  1099,
       0,     0,     0,     0,     0,     0,     0,     0,  1235,     0,
       0,     0,     0,     0,     0,     0,  4132,     0,     0,   141,
       0,   142,   143,     0,  1891,     0,  1236,   146,     0,   147,
       0,     0,     0,     0,     0,     0,     0,  1237,     0,   149,
       0,   150,  1238,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   153,     0,   154,     0,     0,
     157,     0,  1883,  1239,  1881,     0,     0,     0,     0,     0,
       0,     0,   158,     0,   159,     0,     0,     0,   160,     0,
       0,  4187,     0,     0,   161,     0,     0,     0,  1240,     0,
       0,   163,     0,   165,     0,     0,     0,     0,     0,   167,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   171,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3793,     0,     0,  1241,     0,
       0,     0,     0,  1066,     0,     0,     0,     0,     0,     0,
       0,     0,  2154,     0,  1169,  2155,  1530,     0,     0,     0,
       0,     0,  1066,     0,     0,     0,   841,   184,   185,     0,
       0,     0,  2156,   186,  2442,     0,     0,     0,     0,     0,
    2158,   187,     0,     0,  1066,     0,  2159,  2914,  2914,  2914,
       0,  1242,   192,  3192,     0,  1243,   814,  1244,  4285,     0,
       0,     0,  2442,  1245,  1165,     0,  1246,     0,     0,     0,
    2160,     0,  1165,     0,  1530,  1530,     0,     0,     0,  1883,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   203,
       0,     0,  1247,     0,  1248,     0,     0,     0,  1249,  3135,
     205,  3135,     0,  1165,     0,   206,  1250,   207,     0,     0,
       0,  1251,   208,     0,     0,     0,     0,   209,     0,     0,
     211,     0,     0,     0,   213,     0,     0,     0,     0,   214,
     215,     0,     0,     0,  1530,     0,  1252,   216,     0,  2154,
     218,     0,  2155,     0,     0,     0,     0,     0,   221,  3451,
       0,     0,     0,     0,  3452,     0,     0,  1165,     0,  2156,
     223,     0,     0,     0,     0,     0,  1165,  2158,     0,     0,
    2161,  1530,     0,  2159,  2162,     0,     0,   228,     0,   229,
       0,  1530,  1530,     0,  1891,     0,     0,   231,     0,  1530,
    1530,     0,  1881,   232,  1530,  2163,  2164,  2160,   233,     0,
    1530,  1530,     0,     0,  1530,     0,  1066,  1066,  1066,  1066,
     236,  2165,     0,  4014,     0,     0,  4372,     0,     0,  3524,
       0,     0,     0,  3524,  2434,  3087,     0,  3087,     0,  4385,
       0,     0,  1530,     0,     0,     0,  2166,  1530,     0,  2167,
       0,     0,     0,  4395,   246,  1881,     0,     0,  -132,  1530,
       0,     0,  2168,     0,     0,  2169,     0,     0,  1200,     0,
       0,     0,     0,     0,     0,     0,  3584,     0,     0,     0,
    2972,     0,  1881,     0,     0,  4907,  1165,     0,     0,  1891,
       0,  1891,  1027,     0,     0,   996,  1027,     0,  1530,     0,
       0,     0,     0,     0,     0,     0,     0,  2161,     0,     0,
       0,  2162,     0,     0,     0,     0,     0,     0,  3135,  3135,
       0,  1165,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2163,  2164,     0,     0,     0,  2170,     0,     0,
       0,     0,  4448,     0,  1891,     0,     0,     0,  2165,     0,
       0,     0,     0,  1881,     0,     0,     0,  1883,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1891,     0,
       0,     0,  1881,  2166,     0,     0,  2167,     0,     0,     0,
       0,     0,  1169,     0,     0,     0,     0,     0,     0,  2168,
    1881,     0,  2169,     0,     0,  3087,  1169,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3087,  4908,
    1883,     0,     0,     0,     0,     0,     0,     0,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,  2171,  2172,  2173,
    2043,  2174,  2175,  2176,  2177,  2178,  2179,  1883,     0,  3793,
    3793,  3793,  3793,  3793,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1530,  2170,     0,  2154,     0,     0,  2155,
       0,  1891,     0,     0,  1165,     0,  1881,     0,     0,     0,
       0,     0,     0,     0,  1165,  3087,  2156,     0,     0,     0,
    1169,  2442,     0,     0,  2158,     0,     0,     0,  1891,     0,
    2159,     0,     0,     0,     0,     0,  1892,     0,  1883,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
    4553,     0,     0,     0,  2160,     0,     0,  1883,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1165,
       0,     0,     0,     0,     0,  1883,     0,     0,  1530,     0,
       0,     0,     0,     0,  2171,  2172,  2173,  1530,  2174,  2175,
    2176,  2177,  2178,  2179,     0,     0,  1891,     0,     0,     0,
       0,     0,     0,  1883,  1530,  1530,     0,     0,  1530,     0,
       0,     0,     0,     0,     0,  4014,  1891,     0,     0,  3524,
       0,     0,     0,     0,  3524,     0,     0,  3524,  3192,     0,
    4597,     0,  1530,  1530,     0,     0,  1165,     0,     0,     0,
       0,  1891,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2161,     0,     0,     0,  2162,     0,
       0,  1883,     0,     0,     0,  4089,  1200,  1169,  1169,  1169,
       0,     0,     0,     0,     0,     0,     0,  1891,     0,  2163,
    2164,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1892,     0,  2165,     0,     0,     0,     0,
    1163,  1200,  1881,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2914,     0,     0,
    2166,  1165,     0,  2167,     0,     0,     0,     0,     0,     0,
       0,  2043,     0,     0,     0,     0,  2168,  1163,     0,  2169,
       0,     0,     0,     0,     0,     0,  1066,     0,     0,     0,
    1165,     0,     0,  3429,     0,     0,     0,  3135,     0,  2442,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4285,     0,     0,     0,     0,  1066,  1165,  1165,
       0,  1165,     0,     0,     0,  1169,  4089,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1165,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1530,  2170,     0,  1530,     0,  1530,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1530,     0,  1743,     0,  3524,     0,  2154,  4597,
    1744,  2155,     0,     0,     0,  4731,     0,     0,     0,     0,
    1165,   814,     0,     0,     0,     0,     0,  1883,  2156,     0,
       0,  3459,     0,     0,     0,  1775,  2158,  1169,     0,  3087,
       0,  1066,  2159,     0,     0,     0,     0,     0,     0,  1165,
    1745,     0,     0,  1165,  1165,     0,     0,     0,  1169,  1169,
    1169,  1169,     0,     0,     0,     0,  2160,     0,     0,     0,
       0,  2171,  2172,  2173,     0,  2174,  2175,  2176,  2177,  2178,
    2179,  1776,     0,     0,     0,     0,     0,     0,  1530,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1746,
       0,     0,     0,     0,     0,     0,  1747,     0,     0,  1748,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1892,     0,     0,     0,     0,     0,   814,     0,     0,
       0,     0,  1881,     0,  1027,     0,  1530,  1881,  1881,     0,
       0,     0,  1169,     0,  1200,     0,     0,     0,  1777,  1881,
       0,  1749,     0,  1530,     0,     0,  2161,     0,     0,     0,
    2162,     0,     0,     0,     0,     0,  1027,     0,     0,     0,
       0,     0,     0,     0,  1892,     0,     0,     0,     0,  1891,
       0,  2163,  2164,     0,  1169,     0,     0,     0,  1163,     0,
       0,     0,     0,     0,  1778,     0,  1779,  2165,  4089,     0,
       0,  1892,     0,     0,     0,     0,  1780,  4553,  1751,     0,
       0,  2434,     0,     0,     0,     0,  4731,     0,  1752,  1530,
    1530,     0,  2166,     0,     0,  2167,  1753,     0,     0,     0,
       0,     0,  1163,     0,  1781,  1754,     0,     0,  2168,  2154,
    1169,  2169,  2155,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1027,     0,     0,     0,     0,     0,  2156,
       0,     0,     0,     0,     0,     0,  1782,  2158,  1530,     0,
    1756,  1783,  1892,  2159,     0,     0,     0,     0,  1530,     0,
    1881,     0,     0,  1169,     0,     0,     0,  1883,     0,     0,
       0,  1892,  1883,  1883,     0,  1784,     0,  2160,     0,     0,
       0,     0,     0,     0,  1883,     0,  1785,  2154,     0,  1892,
    2155,     0,     0,  2170,     0,     0,     0,     0,     0,     0,
       0,     0,  1891,     0,     0,     0,     0,  2156,     0,     0,
    3470,     0,   814,  1891,     0,  2158,  1530,  1892,     0,     0,
       0,  2159,     0,     0,     0,  1163,     0,     0,     0,     0,
    1881,     0,     0,  1758,     0,     0,  2154,     0,     0,  2155,
       0,     0,     0,     0,     0,  2160,     0,     0,     0,     0,
    2914,     0,     0,     0,     0,  2914,  2156,     0,     0,     0,
       0,  3464,     0,     0,  2158,     0,     0,  2914,     0,  1165,
    2159,     0,     0,     0,     0,  1892,     0,  2161,  1165,     0,
       0,  2162,     0,  2171,  2172,  2173,     0,  2174,  2175,  2176,
    2177,  2178,  2179,     0,  2160,     0,     0,     0,     0,     0,
       0,     0,  2163,  2164,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1883,     0,     0,  2165,     0,
       0,     0,     0,     0,  1891,     0,     0,     0,     0,  1881,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2166,     0,  2161,  2167,     0,     0,  2162,
       0,     0,  1891,     0,     0,     0,     0,     0,     0,  2168,
       0,     0,  2169,     0,  1891,  1165,     0,     0,     0,     0,
    2163,  2164,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1883,  2165,     0,     0,     0,
       0,     0,     0,     0,  2161,     0,     0,     0,  2162,     0,
       0,     0,  1165,  1165,     0,     0,     0,     0,  1891,     0,
    1165,  2166,     0,  1165,  2167,     0,     0,  1165,     0,  2163,
    2164,     0,     0,     0,     0,  1165,  1165,  2168,     0,     0,
    2169,     0,     0,  1165,  2170,  2165,  1165,  1165,  1165,  1165,
       0,     0,     0,     0,     0,     0,  1165,  1165,     0,  1165,
       0,  1165,  1165,     0,     0,  1165,     0,     0,     0,     0,
    2166,     0,     0,  2167,     0,     0,     0,     0,     0,     0,
       0,  1892,  1165,   814,     0,     0,  2168,  1165,     0,  2169,
       0,  1165,     0,     0,  1883,  1165,     0,  1165,  1165,  1165,
    1165,  1165,  1165,  1165,  1165,  1165,     0,  1165,     0,     0,
       0,     0,  2170,  1165,     0,     0,  1165,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4547,  2171,  2172,  2173,     0,  2174,  2175,
    2176,  2177,  2178,  2179,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2170,     0,     0,     0,     0,     0,     0,     0,     0,
    1891,     0,     0,     0,     0,     0,     0,     0,  1165,     0,
       0,     0,     0,     0,     0,     0,  1743,  3930,     0,     0,
       0,     0,  1744,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2171,  2172,  2173,     0,  2174,  2175,  2176,  2177,
    2178,  2179,     0,     0,     0,     0,     0,  1775,     0,     0,
       0,  1884,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1745,     0,     0,     0,     0,     0,     0,  1881,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2171,  2172,  2173,     0,  2174,  2175,  2176,  2177,  2178,
    2179,     0,     0,  1776,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   814,     0,     0,     0,     0,  1881,
    1881,  1746,  1881,     0,  3087,     0,     0,     0,  1747,     0,
       0,  1748,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1165,     0,     0,     0,     0,     0,  1165,
       0,     0,     0,     0,     0,  1165,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1881,     0,  1881,     0,     0,     0,
    1777,     0,     0,  1749,     0,  1027,     0,     0,     0,     0,
       0,  1892,     0,     0,     0,     0,  1892,  1892,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1892,     0,
       0,     0,     0,     0,     0,     0,  3087,     0,  1884,     0,
       0,     0,     0,     0,   814,     0,  1778,   814,  1779,  1881,
       0,     0,     0,     0,  1883,     0,     0,     0,  1780,  1891,
    1751,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1752,     0,     0,  1881,     0,     0,     0,     0,  1753,     0,
       0,     0,     0,     0,     0,     0,  1781,  1754,     0,  1891,
       0,     0,     0,     0,  1883,  1883,     0,  1883,     0,     0,
    1881,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1881,     0,     0,     0,     0,  3155,     0,
       0,     0,  1756,  1783,     0,     0,     0,     0,  1891,     0,
       0,     0,  1891,  1891,     0,     0,     0,     0,  1025,     0,
       0,     0,     0,     0,     0,     0,  1025,  3156,  1025,  1883,
       0,  1883,     0,     0,     0,     0,     0,  1165,  1785,  1892,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     4,     0,
    1881,     0,     0,     0,  4547,     0,     0,     0,     0,     0,
       0,     0,     0,  1881,  1883,  1758,     0,     0,     5,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     6,     7,
       0,     0,     0,     0,     0,     0,     9,    10,  1883,  1892,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,  1883,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,  1883,    45,
       0,  1881,     0,     0,     0,     0,     0,  1165,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1881,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,    46,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1892,     0,
       0,  1883,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1165,     0,     0,  1883,     0,  1165,     0,     0,
    2154,     0,  1881,  2155,     0,     0,     0,     0,  1883,  1884,
       0,     0,     0,  1165,  1165,     0,     0,     0,     0,  1165,
    2156,     0,     0,  3980,     0,     0,     0,     0,  2158,     0,
       0,     0,     0,     0,  2159,     0,  1884,    47,     0,     0,
       0,     0,     0,     0,  1165,  1165,     0,     0,     0,  1165,
       0,     0,     0,    48,     0,     0,     0,     0,  2160,     0,
       0,  1165,  1165,  1165,  1165,     0,     0,     0,     0,   814,
       0,     0,     0,    49,  1165,   814,  1883,  1165,     0,  1165,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1165,
    1165,     0,     0,  1165,     0,    50,  1883,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1165,  1884,  1165,     0,
       0,     0,  1165,     0,     0,     0,     0,     0,     0,     0,
       0,  1883,     0,     0,     0,     0,  1884,     0,  1165,    51,
       0,     0,    52,     0,     0,     0,     0,     0,     0,  1165,
       0,  1165,  1165,  1165,  1884,     0,     0,    53,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1883,  2161,     0,
       0,     0,  2162,     0,     0,  1165,     0,     0,     0,     0,
       0,     0,  1884,     0,     0,     0,     0,  1165,     0,     0,
       0,     0,  1165,  2163,  2164,     0,     0,     0,     0,  1165,
       0,     0,     0,     0,  1881,  1165,     0,     0,     0,  2165,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      54, -2097,     0,     0,  2166,     0,     0,  2167,     0,     0,
    1884,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2168,     0,     0,  2169,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1165,     0,     0,     0,     0,
       0,     0,    55,     0,     0,     0,     0, -2097,     0,     0,
       0,     0,     0,     0,     0,     0,    56,     0,  1892, -2097,
       0,     0,     0, -2097,     0,     0,     0,     0, -2097,     0,
       0,    57,     0, -2097,     0,     0, -2097,     0, -2097,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2170,     0,    58,  1892,  1892,
       0,  1892,     0,    59,     0, -2097,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1349,     0,     0,     0,
       0,    71,  1350,     0,  1881,     0, -2097,     0,     0,  1883,
     814,   814,   814,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1892,     0,  1892,  1881,     0,     0,     0,
       0,     0, -2097,     0,     0,     0,     0,     0,     0,     0,
   -2097,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2171,  2172,  2173,  1161,  2174,
    2175,  2176,  2177,  2178,  2179,     0,  1161,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1884,     0,  1892,     0,
       0,     0,     0,     0,     0, -2097,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1161,     0,     0,
       0,     0,  1892,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   814,     0,     0,     0,     0,  1892,
    1000,     0,     0,     0,     0,     0,     0,  1881,     0,     0,
       0,   814,  1892,     0,     0,     0,     0,     0,  1881,  1883,
       0,  1161,   921,     0, -2097,     0,     0,     0,     0,     0,
    1161,     0,     0,     0,   922,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2097,     0, -2097,
   -2097,  1883,     0,     0,     0,   923,  2154,     0,     0,  2155,
       0,     0,     0,     0,     0,     0,     0,     0,   924,     0,
       0,     0,     0,     0,     0,  1892,  2156,     0,     0,     0,
       0,   925, -2097,     0,  2158, -2097, -2097,     0, -2097,  1892,
    2159,     0,     0,     0,     0,     0,     0,     0,   926,     0,
       0,     0,  1892,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2160,     0,     0,     0,     0,   927,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1881,
       0,     0,  1165,     0,     0,     0,     0,   928,     0,     0,
    1161,     0,     0,     0,     0,     0,  1025,     0,   929,     0,
    1025,     0,     0,   930,     0,     0,     0,  1881,     0,   931,
       0,     0,  1883,     0,     0,     0,     0,  1165,     0,  1881,
    1892,     0,     0,  1883,   932,  1161,     0,  1165,     0,     0,
       0,     0,     0,  1165,     0,  1165,     0,     0,     0,     0,
    1892,  1165,     0,     0,  1165,  1165,  1165,  1165,  1165,  1165,
    1165,  1165,  1165,  1165,     0,     0,     0,  1165,  1165,     0,
       0,     0,     0,  1881,  2161,  1892,  1884,     0,  2162,     0,
    1165,  1884,  1884,     0,  1165,     0,   814,     0,  1165,     0,
       0,     0,     0,  1884,     0,     0,     0,     0,  1165,  2163,
    2164,  1165,     0,  1165,     0,     0,     0,     0,     0,   933,
       0,  1892,  1165,  1165,  1165,  2165,     0,     0,  1165,   934,
       0,  1165,     0,     0,   867,     0,     0,     0,     0,     0,
       0,  1165,     0,     0,     0,     0,   868,   841,     0,     0,
    2166,  1165,     0,  2167,  1883,     0,     0,     0,     0,  1165,
       0,  1165,     0,     0,     0,     0,  2168,   869,     0,  2169,
       0,     0,   935,     0,     0,     0,   936,     0,   937,     0,
     870,     0,  1883,     0,   938,     0,     0,   939,     0,   871,
       0,     0,     0,  -708,  1883,     0,     0,     0,  1161,     0,
       0,     0,     0,     0,     0,  1165,     0,     0,  1161,     0,
     872,  1165,     0,   940,     0,   941,   873,  1165,     0,   942,
       0,     0,     0,     0,     0,     0,     0,   943,     0,     0,
    1890,   874,   944,     0,  1884,  1881,     0,     0,  1883,     0,
       0,  2170,  1165,     0,   945,     0,     0,     0,     0,   875,
       0,     0,     0,     0,     0,     0,     0,   946,     0,     0,
     876,     0,     0,  1161,     0,     0,     0,   877,     0,     0,
       0,   878,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  -904,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1884,     0,     0,     0,   814,     0,
       0,     0,   814,  1892,   814,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   879,     0,     0,     0,     0,     0,
    1161,  2171,  2172,  2173,     0,  2174,  2175,  2176,  2177,  2178,
    2179,     0,     0,     0,     0,     0,     0,     0,     0,  1881,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   880,     0,     0,   881,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1890,     0,     0,
    1883,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   882,  1161,     0,     0,     0,     0,
     883,     0,     0,     0,     0,     0,  -386,     0,     0,   884,
       0,     0,     0,     0,     0,     0,     0,     0,  1165,     0,
       0,  1881,     0,     0,  1161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  -386,     0,   885,   886,     0,
     887,   888,     0,  1892,  1881,     0,     0,     0,     0,   889,
       0,     0,  1161,  1161,   890,  1161,     0,     0,     0,     0,
     891,     0,     0,   892,     0,     0,   893,     0,     0,     0,
       0,     0,  1161,     0,  1881,  1892,  1165,  1165,     0,  -386,
       0,     0,     0,     0,  1883,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1881,     0,     0,     0,  1881,  1881,     0,
       0,     0,     0,     0,  1161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1165,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,  1161,  1161,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1165,     0,     0,  1883,     0,     0,     0,
       0,     0,     0,  1165,  1165,     0,  1892,     0,     0,     0,
       0,  1165,  1165,     0,     0,     0,  1165,  1892,     0,  1883,
       0,     0,  1165,  1165,     0,     0,  1165,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1165,     0,     0,     0,  1165,     0,     0,     0,  1883,
       0,     0,     0,     0,  1165,  1890,     0,     0,     0,  1165,
       0,     0,     0,     0,     0,     0,     0,     0,  1025,     0,
       0,  1165,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1883,     0,
       0,     0,  1883,  1883,     0,     0,     0,     0,     0,     0,
    1025,     0,     0,  1884,     0,     0,     0,     0,  1890,     0,
    1165,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1892,     0,
       0,     0,     0,     0,     0,  1890,     0,     0,     0,     0,
       0,     0,     0,  1884,  1884,     0,  1884,   814,     0,     0,
       0,     0,     0,     0,     0,     0,  1892,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1892,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1025,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1884,     0,
    1884,     0,     0,     0,     0,     0,  1890,     0,     0,     0,
       0,     0,  1892,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1890,     0,     0,     0,     0,
       0,     0,   814,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1890,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1890,     0,     0,     0,  1165,     0,  1884,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1884,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1884,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,  1892,     0,  1890,
       0,     0,  1161,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1165,     0,     0,     0,  1892,     0,     0,     0,     0,  1165,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1884,     0,     0,     0,     0,     0,  1165,  1165,     0,     0,
    1165,     0,     0,     0,  1884,     0,     0,     0,     0,     0,
       0,  1165,     0,     0,     0,     0,  1165,  1884,     0,  1165,
       0,     0,     0,     0,  1165,  1165,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1165,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,  1161,     0,     0,
       0,     0,     0,     0,  1161,     0,     0,  1161,     0,     0,
       0,  1161,     0,     0,     0,  1884,     0,     0,  1892,  1161,
    1161,     0,  1165,     0,     0,     0,     0,  1161,     0,     0,
    1161,  1161,  1161,  1161,     0,  1884,     0,     0,     0,     0,
    1161,  1161,     0,  1161,     0,  1161,  1161,     0,     0,  1161,
       0,  1886,     0,     0,     0,     0,     0,     0,     0,  1165,
    1884,     0,     0,     0,     0,  1890,  1161,     0,     0,     0,
       0,  1161,     0,     0,     0,  1161,     0,     0,     0,  1161,
       0,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,
       0,  1161,     0,     0,     0,     0,  1884,  1161,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,  1165,     0,
    1892,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1165,  1892,     0,  1165,     0,  1165,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1165,     0,     0,     0,  1165,     0,
       0,     0,  1161,  1892,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   814,
       0,     0,  1892,     0,     0,     0,  1892,  1892,  1886,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1165,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1892,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1161,  1884,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,  1165,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1165,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1025,
       0,     0,     0,     0,     0,  1890,     0,     0,     0,     0,
    1890,  1890,     0,     0,     0,     0,     0,     0,     0,     0,
    1165,     0,  1890,     0,     0,     0,     0,     0,     0,     0,
    1165,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1165,  1165,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1165,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1165,     0,     0,     0,     0,     0,     0,     0,  1884,     0,
    1165,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   814,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1884,     0,     0,     0,     0,     0,  1886,     0,     0,     0,
       0,  1161,     0,  1890,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1165,     0,
       0,     0,     0,   814,     0,     0,     0,  1165,     0,     0,
       0,   814,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1890,     0,     0,  1886,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1884,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1884,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1886,     0,     0,     0,
       0,     0,  1890,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1886,     0,  1161,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1161,  1161,     0,
       0,     0,  1886,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1161,  1161,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,  1884,     0,     0,     0,  1161,  1161,  1161,  1161,     0,
       0,     0,     0,  1884,     0,     0,     0,     0,  1161,     0,
    1886,  1161,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,  1161,     0,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,     0,  1161,     0,     0,     0,  1161,  1884,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,  1161,  1161,  1161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   711,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   711,     0,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,  1161,     0,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,   711,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   908,     0,     0,   711,     0,
       0,     0,     0,     0,   908,     0,     0,     0,   711,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   711,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,   908,     0,     0,     0,     0,  1884,
       0,     0,     0,     0,     0,     0,  1886,     0,     0,     0,
       0,     0,  1890,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1080,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1890,  1890,     0,  1890,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1890,     0,  1890,
       0,   663,     0,  1884,     0,     0,   707,     0,   707,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   707,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   707,     0,     0,     0,     0,     0,
       0,     0,  1890,     0,   707,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   707,   707,     0,     0,   707,
       0,     0,     0,     0,     0,   707,  1890,     0,     0,   988,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1129,     0,     0,  1884,     0,     0,     0,   988,
       0,     0,     0,  1890,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   707,  1890,     0,  1884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1886,     0,     0,     0,
       0,  1886,  1886,     0,     0,     0,     0,     0,     0,  1890,
       0,     0,     0,  1886,     0,     0,     0,  1884,     0,     0,
       0,  1884,  1884,  1890,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1890,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,     0,  1890,     0,     0,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,  1161,     0,  1161,
       0,     0,     0,     0,  1890,  1161,     0,     0,  1161,  1161,
    1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,     0,     0,
       0,  1161,  1161,     0,  1886,     0,     0,     0,     0,  1890,
       0,     0,     0,   707,  1161,     0,     0,     0,  1161,     0,
       0,     0,  1161,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,     0,  1161,     0,  1161,   908,   908,
       0,     0,     0,     0,     0,  1890,  1161,  1161,  1161,     0,
       0,     0,  1161,     0,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,     0,  1886,  1161,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,  1161,  1129,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,     0,     0,     0,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1175,     0,     0,     0,     0,
       0,     0,     0,     0,  1202,     0,  1205,     0,  1208,     0,
    1210,     0,     0,     0,     0,   707,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1890,     0,  1259,
       0,     0,     0,     0,     0,     0,  1266,     0,     0,     0,
       0,     0,     0,     0,     0,  1281,  1282,     0,     0,     0,
    1284,     0,     0,     0,     0,     0,     0,     0,     0,   707,
     707,     0,     0,     0,     0,     0,  1129,     0,   908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1313,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1334,     0,     0,
    1336,     0,  1338,     0,  1341,     0,     0,   707,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   711,   908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   711,     0,   711,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   711,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   711,   711,     0,     0,     0,     0,     0,
    1420,     0,  1421,     0,     0,     0,     0,  1890,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1129,     0,     0,     0,     0,     0,  1890,
    1161,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1080,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1301,   707,     0,   707,
       0,     0,     0,  1886,  1886,     0,  1886,  1161,     0,  1678,
       0,  1680,     0,     0,     0,  1682,     0,  1161,  1161,     0,
    1890,     0,     0,     0,     0,  1161,  1161,     0,     0,     0,
    1161,  1890,     0,     0,     0,     0,  1161,  1161,     0,     0,
    1161,     0,     0,     0,     0,   707,     0,     0,   707,   707,
       0,     0,     0,     0,     0,  1161,     0,     0,  1886,  1161,
    1886,   663,     0,   988,     0,   988,     0,     0,  1161,     0,
       0,   663,     0,  1161,     0,   707,     0,  1824,     0,     0,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,  1837,   988,   988,     0,     0,     0,     0,
       0,     0,     0,     0,  1845,     0,     0,     0,     0,     0,
       0,  1847,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1898,  1161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   707,     0,   707,  1886,     0,     0,
       0,     0,  1890,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1940,     0,     0,     0,     0,
       0,     0,     0,     0,  1886,     0,     0,     0,     0,     0,
    1890,     0,     0,     0,     0,     0,     0,  1886,     0,     0,
       0,     0,  1890,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   663,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1890,   663,   663,     0,
       0,  1660,     0,     0,   711,     0,   711,     0,     0,   711,
    1886,   711,     0,     0,   711,   711,   711,     0,     0,     0,
       0,     0,     0,     0,  1886,     0,     0,   711,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1886,     0,     0,
     711,     0,   711,     0,     0,     0,   663,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1886,     0,     0,     0,     0,
       0,  1890,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1886,     0,     0,  1887,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1161,     0,     0,     0,  1890,     0,
    1886,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,  1161,     0,     0,  1161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1161,  1886,     0,     0,     0,
    1161,     0,     0,  1161,     0,     0,     0,     0,  1161,  1161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1080,     0,     0,     0,     0,     0,
     663,  1161,     0,     0,     0,   707,     0,   707,     0,     0,
     707,     0,   707,     0,     0,   707,   707,   707,     0,     0,
       0,  2038,     0,     0,     0,     0,     0,     0,   707,     0,
       0,     0,  1890,     0,     0,     0,  1161,     0,     0,     0,
       0,   707,     0,   707,     0,     0,     0,     0,   707,     0,
       0,  2320,     0,     0,  2320,  1887,     0,     0,     0,     0,
       0,     0,  2327,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
    2336,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1888,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2399,     0,     0,
       0,     0,  1161,     0,  1890,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,  1890,  1886,  1161,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2195,     0,     0,  1161,     0,
       0,     0,  1161,     0,   707,   707,     0,  1890,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   663,     0,     0,     0,     0,   663,   663,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1890,     0,     0,     0,
    1890,  1890,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1161,     0,     0,     0,     0,     0,
    1888,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   707,     0,   663,
       0,     0,  1890,     0,     0,     0,     0,     0,     0,  2324,
       0,     0,     0,     0,     0,     0,     0,     0,  1886,     0,
       0,     0,     0,     0,     0,  2592,     0,     0,     0,     0,
       0,     0,  1161,     0,     0,     0,     0,     0,  2614,     0,
       0,     0,     0,  1887,     0,     0,     0,     0,     0,  1161,
    1886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   663,     0,     0,     0,     0,     0,     0,     0,
     663,     0,  2659,     0,  1161,     0,  2663,     0,     0,     0,
       0,     0,     0,     0,  1161,     0,  1887,  2674,     0,  2676,
       0,  2677,     0,     0,     0,     0,  2678,     0,     0,     0,
       0,     0,     0,     0,     0,  1161,  1161,     0,     0,     0,
       0,     0,     0,  1887,     0,     0,     0,   663,  1161,     0,
     663,   663,     0,     0,     0,     0,     0,     0,     0,   711,
       0,   711,     0,     0,     0,   711,     0,   711,     0,     0,
     711,     0,     0,     0,   711,  2706,     0,     0,     0,     0,
       0,  1886,     0,     0,  1161,     0,     0,     0,     0,     0,
       0,     0,  1886,     0,  1161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   663,  1887,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1887,  1161,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,  1888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1888,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1886,     0,     0,  2915,     0,     0,  1887,     0,     0,
       0,     0,     0,  1886,     0,     0,     0,     0,  1888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1886,     0,     0,
     707,     0,   707,     0,     0,     0,   707,     0,   707,     0,
       0,   707,     0,     0,     0,   707,     0,     0,     0,     0,
    2195,     0,     0,     0,     0,     0,     0,     0,     0,  1888,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1129,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1888,     0,  3002,  3003,     0,     0,
       0,  3006,  3007,     0,     0,  3010,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3020,     0,     0,     0,     0,
       0,     0,  3029,     0,     0,     0,  3032,  3033,     0,     0,
    3036,  3037,  3038,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3052,  1887,  3054,     0,     0,     0,     0,  1886,
       0,     0,  1888,     0,     0,     0,     0,     0,     0,     0,
    3076,     0,     0,     0,     0,  3078,     0,     0,  2038,     0,
       0,     0,     0,     0,     0,  2916,     0,     0,     0,     0,
       0,     0,     0,     0,  2324,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3096,  3097,  3100,  3102,
       0,     0,     0,  3109,  3112,     0,     0,     0,     0,     0,
       0,  3123,     0,     0,  3127,     0,     0,     0,  3131,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3154,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3161,     0,  3163,   663,     0,     0,
       0,  3166,     0,     0,     0,     0,  3170,  3171,  3172,  3173,
       0,  3175,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3198,  3199,  3200,     0,     0,     0,
       0,     0,     0,     0,     0,  3208,  3209,     0,     0,     0,
       0,     0,     0,     0,     0,   663,     0,     0,     0,   663,
       0,     0,     0,     0,     0,  2986,     0,  1660,     0,     0,
     707,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3268,     0,     0,     0,     0,     0,     0,  1888,     0,
       0,     0,     0,     0,     0,  1886,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1886,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1886,     0,
       0,     0,     0,  1887,     0,     0,     0,     0,  1887,  1887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1886,     0,     0,
       0,  1886,  1886,     0,     0,     0,     0,     0,  1129,     0,
       0,  1166,     0,     0,     0,     0,     0,     4,   663,  1166,
       0,     0,     0,     0,     0,     0,   663,     0,   663,     0,
       0,     0,     0,     0,     0,     0,     0,     5,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     6,     7,  3393,
    1166,     0,     0,     0,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,  1166,     0,     0,     0,     0,     0,
       0,  1887,     0,  1166,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    46,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1888,     0,
       0,     0,     0,  1888,  1888,     0,     0,     0,     0,     0,
       0,  1887,     0,     0,     0,  1888,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,     0,
       0,     0,     0,  1166,     0,     0,     0,     0,     0,     0,
       0,     0,    48,     0,     0,     0,     0,     0,     0,   707,
    2038,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    49,     0,     0,     0,   663,     0,  1166,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    50,     0,     0,     0,     0,     0,
    1887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3604,  3605,     0,     0,     0,     0,     0,     0,    51,     0,
       0,    52,     0,     0,     0,     0,  1888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    53,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3638,  3640,     0,     0,     0,  3640,     0,     0,     0,     0,
    3651,  3652,  3653,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    54,
       0,     0,     0,     0,     0,     0,  3674,  3675,  3676,  3677,
       0,  1166,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1166,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    55,  3702,  1893,     0,     0,     0,     0,     0,     0,
       0,     0,  2324,     0,     0,    56,     0,   663,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      57,     0,     0,     0,     0,     0,  1166,     0,     0,     0,
       0,     0,     0,     0,     0,  1888,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    58,     0,     0,     0,
       0,     0,    59,     0,  3740,     0,    60,    61,    62,    63,
      64,     0,  3744,    65,    66,  1349,  1995,     0,     0,     0,
      71,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1166,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3825,     0,     0,     0,     0,     0,     0,     0,     0,
    1887,  3831,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1893,     0,     0,     0,     0,     0,     0,     0,  3850,     0,
    3852,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1887,  1887,     0,  1887,     0,     0,     0,     0,  1166,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   908,     0,     0,  3892,     0,
       0,     0,     0,     0,     0,     0,     0,  1166,     0,     0,
       0,     0,  3902,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1887,     0,  1887,     0,     0,
       0,     0,     0,     0,     0,  1166,  1166,     0,  1166,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1166,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1887,     0,     0,  1166,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   663,     0,     0,     0,     0,
       0,  1887,     0,     0,     0,  1888,  1166,     0,   663,     0,
    1166,  1166,     0,     0,  1887,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1888,  1888,     0,  1888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1887,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1893,     0,
       0,  1887,     0,     0,     0,     0,   707,     0,     0,     0,
    1888,     0,  1888,     0,  1887,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1893,     0,     0,  4100,     0,  4101,     0,     0,     0,
    4103,     0,     0,     0,   663,  1888,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4112,     0,     0,  1893,     0,
       0,     0,  1887,     0,     0,     0,     0,     0,     0,  1888,
       0,     0,  4120,     0,     0,     0,     0,     0,     0,     0,
       0,  4131,  1887,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1887,     0,  1888,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4159,  4160,  4161,  4162,  4163,  4164,  4165,     0,  1893,
       0,     0,  4172,  4173,     0,  4175,  4176,  4177,  4178,  4179,
    4180,  4181,     0,  1887,     0,     0,     0,     0,  1893,     0,
    4188,     0,  4190,  4191,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1893,     0,     0,     0,
       0,     0,  1888,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,     0,
       0,     0,     0,     0,  1893,     0,     0,     0,     0,  1888,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4244,  4246,  4248,
       0,     0,  4251,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2986,     0,
       0,     0,     0,     0,     0,     0,  1166,     0,     0,     0,
       0,     0,  1893,     0,     0,  1166,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1888,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1888,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3640,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1888,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   663,
       0,     0,     0,     0,     0,  1887,     0,     0,     0,     0,
       0,     0,  1166,     0,     0,   663,     0,     0,  1888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1166,
    1166,     0,     0,     0,     0,     0,     0,  1166,     0,     0,
    1166,     0,     0,     0,  1166,     0,     0,     0,     0,     0,
       0,     0,  1166,  1166,     0,   663,     0,     0,     0,     0,
    1166,     0,     0,  1166,  1166,  1166,  1166,     0,     0,     0,
       0,     0,     0,  1166,  1166,     0,  1166,     0,  1166,  1166,
       0,     0,  1166,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1893,  1166,
       0,     0,     0,     0,  1166,     0,     0,     0,  1166,     0,
       0,     0,  1166,     0,  1166,  1166,  1166,  1166,  1166,  1166,
    1166,  1166,  1166,     0,  1166,     0,     0,     0,     0,     0,
    1166,     0,     0,  1166,     0,  1887,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1887,     0,     0,
       0,     0,     0,     0,  4438,  4439,  4440,  4441,     4,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,     0,     0,  1166,     0,     0,     5,  4454,
    4455,     0,     0,   663,     0,     0,     0,     0,     6,     7,
       0,  4464,  4465,     0,     0,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1887,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1166,     0,     0,     0,     0,     0,  1166,     0,     0,     0,
    4516,     0,  1166,     0,     0,     0,     0,     0,     0,     0,
    1888,  2324,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4538,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   663,  1893,     0,
       0,     0,  1888,  1893,  1893,  4557,     0,    47,     0,     0,
       0,     0,     0,     0,     0,  1893,     0,     0,     0,     0,
       0,     0,     0,    48,     0,     0,     0,     0,     0,     0,
    1887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    49,     0,     0,     0,     0,     0,   663,
       0,     0,     0,     0,     0,     0,     0,     0,  1887,     0,
       0,     0,  2181,     0,     0,    50,     0,     0,     0,     0,
    1887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   711,     0,    51,
       0,     0,    52,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1888,  1887,     0,     0,    53,     0,     0,
       0,     0,     0,     0,  1888,     0,     0,     0,     0,     0,
       0,     0,     0,  2181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1166,     0,  1893,     0,     0,     0,
       0,     0,     0,     0,     0,   663,     0,  4643,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      54,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4667,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1893,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    55,     0,     0,  1888,     0,     0,     0,     0,
       0,  3640,     0,     0,     0,     0,    56,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    57,     0,  1888,  1166,     0,  1887,     0,     0,     0,
       0,     0,     0,     0,     0,  1888,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    58,     0,     0,
       0,     0,     0,    59,     0,     0,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1349,  2687,     0,     0,
       0,    71,     0,     0,     0,  1893,     0,     0,     0,  1888,
       0,     0,  4747,     0,     0,     0,     0,     0,   707,  1166,
       0,     0,     0,     0,  1166,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1166,  1166,     0,     0,     0,     0,  1166,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   663,     0,     0,     0,     0,     0,
    1887,  1166,  1166,     0,     0,     0,  1166,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3640,  1166,  1166,
    1166,  1166,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1166,     0,     0,  1166,     0,  1166,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1166,  1166,     0,     0,
    1166,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1166,     0,  1166,     0,     0,     0,  1166,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1166,     0,     0,     0,  4845,
       0,  1888,  1887,     0,     0,     0,  1166,     0,  1166,  1166,
    1166,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1887,     0,     0,     0,     0,
       0,     0,  1166,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1166,     0,     0,     0,     0,  1166,
       0,     0,     0,     0,     0,  1887,  1166,     0,     0,     0,
       0,     0,  1166,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1887,     0,     0,     0,  1887,  1887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1888,     0,     0,     0,     0,
       0,     0,  1166,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1893,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   663,     0,     0,     0,     0,  2181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1893,  1893,     0,  1893,     0,
    2181,     0,     0,     0,     0,  2813,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1888,     0,     0,
       0,     0,     0,     0,     0,  2181,  2181,     0,     0,  2181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1893,     0,  1893,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2181,
    1888,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1893,     0,     0,     0,  1888,
       0,     0,     0,  1888,  1888,     0,     0,     0,     0,     0,
       0,     0,     0,  2181,     0,     0,     0,     0,     0,  1893,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2181,  1893,     0,  2181,     0,
       0,     0,     0,     0,     4,     0,     0,     0,     0,  1893,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     5,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     6,     7,     0,     0,     0,     0,
       0,     0,     9,    10,     0,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,  1893,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,  1893,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1893,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1166,
       0,     0,     0,    46,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1166,     0,     0,  1893,     0,     0,
       0,     0,     0,     0,  1166,     0,     0,     0,     0,     0,
    1166,     0,  1166,     0,     0,     0,     0,  1893,  1166,     0,
       0,  1166,  1166,  1166,  1166,  1166,  1166,  1166,  1166,  1166,
    1166,     0,     0,    47,  1166,  1166,     0,     0,     0,     0,
       0,     0,  1893,     0,     0,     0,     0,  1166,     0,    48,
       0,  1166,     0,     0,     0,  1166,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1166,     0,     0,  1166,    49,
    1166,     0,     0,     0,     0,     0,     0,     0,  1893,  1166,
    1166,  1166,     0,     0,     0,  1166,     0,     0,  1166,     0,
       0,    50,     0,     0,     0,     0,     0,     0,  1166,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1166,     0,
       0,     0,     0,     0,     0,     0,  1166,     0,  1166,     0,
       0,     0,     0,     0,     0,    51,     0,     0,    52,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    53,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1166,     0,     0,     0,     0,     0,  1166,     0,
       0,     0,     0,     0,  1166,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1166,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    54,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    55,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1893,     0,    56,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    57,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    58,     0,     0,     0,     0,     0,    59,
       0,     0,     0,    60,    61,    62,    63,    64,     0,     0,
      65,    66,  1349,     0,     0,  2181,     0,    71,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2181,     0,
    2181,     0,  2813,  2813,  3447,     0,     0,  2813,     0,     0,
       0,  2181,     0,     0,     0,     0,     0,     0,  2181,     0,
       0,     0,     0,  2181,     0,     0,     0,     0,     0,  2181,
       0,     0,     0,     0,  2181,  1166,     0,     0,     0,     0,
       0,     0,     0,  2181,     0,     0,     0,  2813,  2813,     0,
    2181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1893,     0,  2181,     0,     0,     0,     0,     0,     0,  2181,
       0,  2181,  2181,  2181,  2181,  2181,  2181,  2181,  2181,  2181,
    2181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1893,  1166,  1166,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1166,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1166,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1166,  1166,     0,  1893,     0,     0,     0,     0,  1166,  1166,
       0,     0,     0,  1166,  1893,     0,     0,     0,     0,  1166,
    1166,     0,     0,  1166,     0,     0,     0,     0,  2181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1166,     0,
       0,     0,  1166,     0,     0,     0,     0,     0,     0,     0,
       0,  1166,     0,     0,     0,     0,  1166,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1166,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1166,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1893,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1893,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1893,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1893,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1166,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1893,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1166,     0,  2181,
       0,  1893,     0,     0,     0,     0,  1166,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1166,  1166,     0,     0,  1166,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1166,     0,
       0,     0,     0,  1166,  2181,     0,  1166,     0,     0,     0,
    2181,  1166,  1166,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3447,  3447,     0,  2813,
       0,     0,  2813,  2813,  2813,  2813,  2813,  2813,  2813,  2813,
    2813,  2813,  3447,     0,  1166,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2181,     0,     0,
    2181,     0,  2181,     0,     0,  1893,     0,  3447,  3447,  1166,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2813,  2813,  2181,     0,  2181,     0,     0,  2181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1166,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1166,  2181,  1893,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1166,
    1893,     0,  1166,     0,  1166,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2181,     0,     0,
       0,  1166,     0,     0,     0,  1166,     0,     0,     0,     0,
    1893,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1893,
       0,     0,     0,  1893,  1893,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1166,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1893,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1166,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1166,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2813,  1166,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1166,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1166,  1166,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1166,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1166,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1166,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2181,     0,     0,     0,  2181,
    2181,  2181,     0,     0,  3447,     0,     0,     0,     0,  3447,
    3447,  3447,  3447,  3447,  3447,  3447,  3447,  3447,  3447,  2181,
    2181,     0,     0,     0,     0,  1166,     0,     0,     0,     0,
       0,     0,     0,     0,  1166,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2181,  2813,
    2813,  2181,     0,  2181,     0,     0,     0,  2181,  3447,  3447,
       0,     0,  2181,     0,     0,  2181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,     0,
       0,     0,     0,     0,   121,   122,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3447,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   133,
       0,     0,     0,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,  2181,  2181,     0,     0,   144,     0,   145,     0,
       0,     0,     0,     0,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,   152,     0,     0,  2181,     0,     0,     0,  2813,     0,
       0,   155,   156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2181,     0,  2181,     0,     0,     0,     0,  3447,
    3447,  2181,     0,     0,  2813,  2813,  2181,  2181,   162,  2181,
       0,     0,     0,     0,     0,   164,     0,     0,     0,   166,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,  2181,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   182,     0,   183,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
       0,     0,   191,     0,     0,     0,   193,     0,     0,   194,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   196,   197,   198,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,  2181,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   210,     0,     0,   212,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   217,     0,     0,   219,     0,   220,     0,     0,  3447,
    2813,     0,     0,     0,     0,     0,     0,     0,     0,   222,
       0,     0,     0,     0,     0,  3447,  3447,  2181,     0,     0,
       0,   224,   225,     0,     0,     0,   226,     0,   227,     0,
       0,     0,     0,     0,  2181,     0,     0,   230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,     0,     0,   235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   237,
     238,   239,   240,   241,   242,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2976,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3447,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2181,     0,     0,     0,   717,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   718,   104,   105,   672,   719,
       0,   107,   108,   109,   110,   720,   721,   112,   113,   114,
     115,  2181,   116,   722,   723,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  2181,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,   724,
     421,   422,   423,   725,   726,   727,   728,   729,   730,   731,
     424,   425,   732,   426,   427,   133,   428,   429,   430,   135,
     136,   137,   138,   139,   733,   431,   432,   433,   434,   435,
     734,   735,   436,   437,   736,   140,   438,   737,   439,   440,
     441,   442,   144,   738,   145,   739,   443,   444,   445,   446,
     148,   447,   740,   741,   448,   449,   450,   451,   452,   453,
     742,   151,   454,   743,   744,   745,   746,   152,   747,   748,
     749,   455,   456,   457,   458,   686,   459,   155,   156,   460,
     750,   461,   751,   462,   463,   464,   465,   466,   752,   467,
     468,   469,   753,   754,   470,   471,   472,   473,   474,   755,
     475,   476,   477,   756,   478,   479,   757,   480,   481,   482,
     483,   164,   484,   485,   486,   166,   758,   487,   759,   488,
     168,   489,   760,   490,   761,   491,   169,   762,   170,   492,
     493,   494,   763,   495,   172,   764,   496,   765,   497,   498,
     688,   499,   500,   173,   501,   502,   503,   766,   504,   505,
     506,   507,   508,   509,   767,   510,   174,   175,   768,   511,
     512,   513,   769,   176,   770,   177,   771,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,   772,
     523,   181,   182,   524,   183,   773,   525,   526,   527,   774,
     775,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,   189,   190,   538,   539,   191,   776,
     540,   541,   193,   542,   777,   194,   543,   195,   544,   545,
     546,   778,   547,   779,   780,   548,   549,   550,   781,   782,
     196,   197,   198,   199,   200,   551,   552,   553,   554,   555,
     556,   557,   783,   558,   201,   559,   202,   560,   561,   562,
     784,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,   785,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   786,   584,   585,   210,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,   787,
     595,   596,   597,   598,   599,   788,   600,   217,   601,   602,
     219,   603,   220,   604,   789,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,   790,   615,   616,   791,
     617,   618,   619,   620,   621,   622,   792,   224,   225,   793,
     794,   624,   226,   625,   227,   795,   626,   627,   628,   629,
     630,   631,   632,   796,   797,   633,   634,   635,   636,   637,
     798,   799,   638,   639,   640,   641,   642,   800,   234,   801,
     643,   235,   644,   645,   646,   802,   803,   647,   804,   805,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,    85,     0,     0,
      86,    87,    88,    89,    90,    91,    92,    93,     0,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   950,
     104,   105,   106,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,   119,
     120,     0,     0,     0,   121,   122,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,   127,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   128,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   129,     0,   130,   131,     0,
       0,     0,     0,     0,     0,     0,     0,   132,     0,   133,
       0,     0,   134,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,   141,     0,   142,   143,   144,     0,   145,     0,
     146,     0,   147,     0,   148,     0,     0,     0,     0,     0,
       0,     0,   149,     0,   150,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,   153,     0,
     154,   155,   156,   157,     0,     0,     0,     0,     0, -1349,
       0,     0,     0,     0,     0,   158,     0,   159,     0,     0,
       0,   160,     0,     0,     0,     0,     0,   161,   162,     0,
       0,     0,     0,     0,   163,   164,   165,     0,     0,   166,
       0,     0,   167,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0, -1349,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   182,     0,   183,     0,
     184,   185,     0,     0,     0,     0,   186,     0,     0,     0,
       0,     0,     0,     0,   187,     0,     0,   188,   189,   190,
       0,     0,   191,     0,     0,   192,   193,     0,     0,   194,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   196,   197,   198,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,   205,     0,     0,     0,     0,   206,     0,
     207,     0,     0,     0,     0,   208,     0,     0,     0,     0,
     209,   210,     0,   211,   212,     0,     0,   213,     0,     0,
       0,     0,   214,   215,     0,     0,     0,     0,     0,     0,
     216,   217,     0,   218,   219,     0,   220,     0,     0,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,   222,
       0,     0,     0,   223,     0,     0,     0,     0,     0,     0,
       0,   224,   225,     0,     0,     0,   226,     0,   227,     0,
     228,     0,   229,     0,     0,     0,     0,   230,     0,     0,
     231,     0,     0, -1349,     0,     0,   232,     0,     0,     0,
       0,   233,   234,     0,     0,   235,     0,     0,     0,     0,
       0,     0,     0,   236,     0,     0,     0,     0,     0,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   246,   104,   105,
       0,  -132,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115,     0,   116,   117,   118,     0,     0,     0,
       0,     0,   121,   122,     0,     0,     0,     0,   123,     0,
       0,     0,     0,     0,     0,     0,     0,   124,     0,   125,
       0,   126,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,   145,     0,     0,     0,
       0,     0,   148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   162,     0,     0,     0,
       0,     0,     0,   164,     0,     0,     0,   166,     0,     0,
       0,     0,   168,     0,     0,     0,     0,     0,   169,     0,
     170,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,   175,
       0,     0,     0,     0,     0,   176,     0,   177,     0,     0,
     178,   179,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   210,
       0,     0,   212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   217,
       0,     0,   219,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,     0,     0,     0,   226,     0,   227,     0,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,   717,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   718,   104,   105,
     672,   719,  2978,   107,   108,   109,   110,   720,   721,   112,
     113,   114,   115,     0,   116,   722,   723,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,   412,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1437,  1438,  1439,    45,  1440,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,  2905,   421,   422,   423,     0,     0,     0,     0,  1441,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,   135,  1442,   137,  1443,  1444,     0,   431,   432,   433,
     434,   435,  1445,  1446,   436,   437,  1447,  1448,   438,     0,
     439,   440,   441,   442,  1449,     0,  1450,     0,   443,   444,
     445,   446,   148,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,  1451,  1452,  1453,  1454,
    1455,  1456,  1457,   455,   456,   457,   458,   686,   459,  1458,
    1459,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,  2906,     0,   470,   471,  1460,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,  1461,   484,   485,   486,  1462,  1463,   487,
       0,   488,  1464,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,  1465,     0,   496,     0,
     497,   498,   688,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,   175,
       0,   511,   512,   513,  1466,  1467,     0,  1468,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,  1469,   182,   524,   183,     0,   525,   526,
     527,  1470,  1471,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,  1472,   189,  1473,   538,   539,
     191,  1474,   540,   541,   193,   542,  1475,  1476,   543,  1477,
     544,   545,   546,     0,   547,     0,     0,  1478,   549,   550,
       0,     0,   196,   197,   198,   199,  1479,   551,   552,   553,
     554,   555,   556,   557,     0,   558,  1480,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
    1481,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,  1482,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,  1483,   600,   217,
     601,   602,   219,   603,  1484,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,  1485,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,  1486,
    1487,     0,     0,   624,  1488,   625,  1489,  1490,   626,   627,
     628,   629,   630,   631,   632,     0,  1491,   633,   634,   635,
     636,   637,  1492,     0,   638,   639,   640,   641,   642,   692,
    1493,  2907,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,  1494,  1495,
    1496,  1497,  1498,  1499,  1500,  1501,   693,   653,   654,     0,
       0,     0,     0,     0,     0,     0,  1502,  1503,  2908,     0,
       0,     0,     0,     0,     0,  1505,  2909,   717,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   718,   104,   105,
     672,   719,     0,   107,   108,   109,   110,   720,   721,   112,
     113,   114,   115,     0,   116,   722,   723,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,   412,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1437,  1438,  1439,    45,  1440,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,  1441,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,   135,  1442,   137,  1443,  1444,     0,   431,   432,   433,
     434,   435,  1445,  1446,   436,   437,  1447,  1448,   438,     0,
     439,   440,   441,   442,  1449,     0,  1450,     0,   443,   444,
     445,   446,   148,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,  1451,  1452,  1453,  1454,
    1455,  1456,  1457,   455,   456,   457,   458,   686,   459,  1458,
    1459,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1460,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,  1461,   484,   485,   486,  1462,  1463,   487,
       0,   488,  1464,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,  1465,     0,   496,     0,
     497,   498,   688,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,   175,
       0,   511,   512,   513,  1466,  1467,     0,  1468,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,  1469,   182,   524,   183,     0,   525,   526,
     527,  1470,  1471,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,  1472,   189,  1473,   538,   539,
     191,  1474,   540,   541,   193,   542,  1475,  1476,   543,  1477,
     544,   545,   546,     0,   547,     0,     0,  1478,   549,   550,
       0,     0,   196,   197,   198,   199,  1479,   551,   552,   553,
     554,   555,   556,   557,     0,   558,  1480,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
    1481,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,  1482,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,  1483,   600,   217,
     601,   602,   219,   603,  1484,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,  1485,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,  1486,
    1487,     0,     0,   624,  1488,   625,  1489,  1490,   626,   627,
     628,   629,   630,   631,   632,     0,  1491,   633,   634,   635,
     636,   637,  1492,     0,   638,   639,   640,   641,   642,   692,
    1493,     0,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,  1494,  1495,
    1496,  1497,  1498,  1499,  1500,  1501,   693,   653,   654,     0,
       0,     0,     0,     0,     0,     0,  1502,  1503,     0,     0,
       0,     0,     0,     0,     0,  1505,  2815,   717,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   718,   104,   105,
     672,   719,     0,   107,   108,   109,   110,   720,   721,   112,
     113,   114,   115,     0,   116,   722,   723,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,     0,  1859,   137,  1860,  1861,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,  1862,  1863,   438,     0,
     439,   440,   441,   442,     0,     0,   145,     0,   443,   444,
     445,   446,   148,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,     0,     0,     0,   152,
       0,     0,     0,   455,   456,   457,   458,   686,   459,  1864,
    1865,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1460,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,     0,     0,   487,
       0,   488,  1866,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,     0,     0,   496,     0,
     497,   498,   688,   499,   500,   173,   501,   502,   503,  2422,
     504,   505,   506,   507,   508,   509,     0,   510,   174,  2423,
       0,   511,   512,   513,  1466,  1867,     0,  1868,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,     0,   182,   524,   183,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,  1869,   189,  1870,   538,   539,
       0,     0,   540,   541,   193,   542,     0,     0,   543,  1871,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,  2424,   197,   198,   199,     0,   551,   552,   553,
     554,   555,   556,   557,     0,   558,     0,   559,     0,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
    1872,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,  2425,
     601,   602,   219,   603,  1874,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,  1875,
    1876,     0,     0,   624,     0,   625,     0,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,     0,
    1877,  2426,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   693,   653,   654,     0,
       0,     0,     0,   717,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,  2427,    98,    99,   100,
     101,   102,   103,   718,   104,   105,   672,   719,     0,   107,
     108,   109,   110,   720,   721,   112,   113,   114,   115,     0,
     116,   722,   723,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,   133,   428,   429,   430,     0,  1859,   137,
    1860,  1861,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,  1862,  1863,   438,     0,   439,   440,   441,   442,
       0,     0,   145,     0,   443,   444,   445,   446,   148,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,   151,
     454,     0,     0,     0,     0,   152,     0,     0,     0,   455,
     456,   457,   458,   686,   459,  1864,  1865,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1460,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,     0,     0,   487,     0,   488,  1866,   489,
       0,   490,     0,   491,   169,     0,   170,   492,   493,   494,
       0,   495,     0,     0,   496,     0,   497,   498,   688,   499,
     500,   173,   501,   502,   503,  2422,   504,   505,   506,   507,
     508,   509,     0,   510,   174,  2423,     0,   511,   512,   513,
    1466,  1867,     0,  1868,     0,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,     0,   523,     0,
     182,   524,   183,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,  1869,   189,  1870,   538,   539,     0,     0,   540,   541,
     193,   542,     0,     0,   543,  1871,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,  2424,   197,
     198,   199,     0,   551,   552,   553,   554,   555,   556,   557,
       0,   558,     0,   559,     0,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,  1872,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,   210,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,  2425,   601,   602,   219,   603,
    1874,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,  1875,  1876,     0,     0,   624,
       0,   625,     0,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,     0,  1877,  2426,   643,   235,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   693,   653,   654,     0,     0,     0,     0,   717,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,  3327,    98,    99,   100,   101,   102,   103,   718,
     104,   105,   672,   719,     0,   107,   108,   109,   110,   720,
     721,   112,   113,   114,   115,     0,   116,   722,   723,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,   412,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1437,  1438,  1439,
      45,  1440,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,  1441,     0,     0,   424,   425,     0,   426,   427,   133,
     428,   429,   430,   135,  1442,   137,  1443,  1444,  2825,   431,
     432,   433,   434,   435,  1445,  1446,   436,   437,  1447,  1448,
     438,     0,   439,   440,   441,   442,  1449,     0,  1450,     0,
     443,   444,   445,   446,   148,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,   151,   454,     0,  1451,  1452,
    1453,  1454,  1455,  1456,  1457,   455,   456,   457,   458,   686,
     459,  1458,  1459,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
    1460,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,  1461,   484,   485,   486,  1462,
    1463,   487,     0,   488,  1464,   489,     0,   490,     0,   491,
     169,  2826,   170,   492,   493,   494,     0,   495,  1465,     0,
     496,     0,   497,   498,   688,   499,   500,   173,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     174,   175,     0,   511,   512,   513,  1466,  1467,     0,  1468,
       0,   514,   178,   179,   515,   180,   516,   517,   518,   519,
     520,   521,   522,  2827,   523,  1469,   182,   524,   183,     0,
     525,   526,   527,  1470,  1471,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,  1472,   189,  1473,
     538,   539,   191,  1474,   540,   541,   193,   542,  1475,  1476,
     543,  1477,   544,   545,   546,     0,   547,     0,     0,  1478,
     549,   550,     0,     0,   196,   197,   198,   199,  1479,   551,
     552,   553,   554,   555,   556,   557,     0,   558,  1480,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,  1481,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,   210,   586,   587,  1482,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,  1483,
     600,   217,   601,   602,   219,   603,  1484,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,  1485,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,  1486,  1487,     0,  2828,   624,  1488,   625,  1489,  1490,
     626,   627,   628,   629,   630,   631,   632,     0,  1491,   633,
     634,   635,   636,   637,  1492,     0,   638,   639,   640,   641,
     642,   692,  1493,     0,   643,   235,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
    1494,  1495,  1496,  1497,  1498,  1499,  1500,  1501,   693,   653,
     654,     0,     0,     0,     0,     0,     0,     0,  1502,  1503,
       0,     0,     0,     0,     0,     0,     0,  1505,   717,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   718,   104,
     105,   672,   719,     0,   107,   108,   109,   110,   720,   721,
     112,   113,   114,   115,     0,   116,   722,   723,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,   412,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1437,  1438,  1439,    45,
    1440,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
    1441,     0,     0,   424,   425,     0,   426,   427,   133,   428,
     429,   430,   135,  1442,   137,  1443,  1444,     0,   431,   432,
     433,   434,   435,  1445,  1446,   436,   437,  1447,  1448,   438,
       0,   439,   440,   441,   442,  1449,     0,  1450,     0,   443,
     444,   445,   446,   148,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,   151,   454,     0,  1451,  1452,  1453,
    1454,  1455,  1456,  1457,   455,   456,   457,   458,   686,   459,
    1458,  1459,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,  1460,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,  1461,   484,   485,   486,  1462,  1463,
     487,     0,   488,  1464,   489,     0,   490,     0,   491,   169,
       0,   170,   492,   493,   494,     0,   495,  1465,     0,   496,
       0,   497,   498,   688,   499,   500,   173,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   174,
     175,     0,   511,   512,   513,  1466,  1467,     0,  1468,     0,
     514,   178,   179,   515,   180,   516,   517,   518,   519,   520,
     521,   522,     0,   523,  1469,   182,   524,   183,     0,   525,
     526,   527,  1470,  1471,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,  1472,   189,  1473,   538,
     539,   191,  1474,   540,   541,   193,   542,  1475,  1476,   543,
    1477,   544,   545,   546,     0,   547,     0,     0,  1478,   549,
     550,     0,     0,   196,   197,   198,   199,  1479,   551,   552,
     553,   554,   555,   556,   557,     0,   558,  1480,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,  1481,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
     210,   586,   587,  1482,   588,   589,   590,   591,   592,   593,
     691,   594,   215,   595,   596,   597,   598,   599,  1483,   600,
     217,   601,   602,   219,   603,  1484,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,  1485,     0,
     615,   616,   223,   617,   618,   619,   620,   621,   622,     0,
    1486,  1487,     0,     0,   624,  1488,   625,  1489,  1490,   626,
     627,   628,   629,   630,   631,   632,     0,  1491,   633,   634,
     635,   636,   637,  1492,     0,   638,   639,   640,   641,   642,
    2143,  1493,     0,   643,   235,   644,   645,   646,     0,     0,
     647,     0,   236,   648,   649,   650,   651,   652,   237,  1494,
    1495,  1496,  1497,  1498,  1499,  1500,  1501,   693,   653,   654,
       0,     0,     0,     0,     0,     0,     0,  1502,  1503,     0,
       0,     0,     0,     0,     0,     0,  1505,   717,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   718,   104,   105,
     672,   719,     0,   107,   108,   109,   110,   720,   721,   112,
     113,   114,   115,     0,   116,   722,   723,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,   412,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1437,  1438,  1439,    45,  1440,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,  1441,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,   135,  1442,   137,  1443,  1444,     0,   431,   432,   433,
     434,   435,  1445,  1446,   436,   437,  1447,  1448,   438,     0,
     439,   440,   441,   442,  1449,     0,  1450,     0,   443,   444,
     445,   446,   148,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,  1451,  1452,  1453,  1454,
    1455,  1456,  1457,   455,   456,   457,   458,   686,   459,  1458,
    1459,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1460,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,  1461,   484,   485,   486,  1462,  1463,   487,
       0,   488,  1464,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,  1465,     0,   496,     0,
     497,   498,   688,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,   175,
       0,   511,   512,   513,  1466,  1467,     0,  1468,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,  1469,   182,   524,   183,     0,   525,   526,
     527,  1470,  1471,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,  1472,   189,  1473,   538,   539,
     191,  1474,   540,   541,   193,   542,  1475,  1476,   543,  1477,
     544,   545,   546,     0,   547,     0,     0,  1478,   549,   550,
       0,     0,   196,   197,   198,   199,  1479,   551,   552,   553,
     554,   555,   556,   557,     0,   558,  1480,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
    1481,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,  1482,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,  1483,   600,   217,
     601,   602,   219,   603,  1484,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,  1485,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,  1486,
    1487,     0,     0,   624,  1488,   625,  1489,  1490,   626,   627,
     628,   629,   630,   631,   632,     0,  1491,   633,   634,   635,
     636,   637,  1492,     0,   638,   639,   640,   641,   642,   692,
    1493,     0,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,  1494,  1495,
    1496,  1497,  1498,  1499,  1500,  1501,   693,   653,   654,     0,
       0,     0,     0,     0,     0,     0,  1502,  1503,     0,     0,
       0,     0,     0,  2087,  2773,  1505,   717,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   718,   104,   105,   672,
     719,     0,   107,   108,   109,   110,   720,   721,   112,   113,
     114,   115,     0,   116,   722,   723,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,   412,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1437,  1438,  1439,    45,  1440,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,  1441,     0,
       0,   424,   425,     0,   426,   427,   133,   428,   429,   430,
     135,  1442,   137,  1443,  1444,     0,   431,   432,   433,   434,
     435,  1445,  1446,   436,   437,  1447,  1448,   438,     0,   439,
     440,   441,   442,  1449,     0,  1450,     0,   443,   444,   445,
     446,   148,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,   151,   454,     0,  1451,  1452,  1453,  1454,  1455,
    1456,  1457,   455,   456,   457,   458,   686,   459,  1458,  1459,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,  1460,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,  1461,   484,   485,   486,  1462,  1463,   487,     0,
     488,  1464,   489,     0,   490,     0,   491,   169,     0,   170,
     492,   493,   494,     0,   495,  1465,     0,   496,     0,   497,
     498,   688,   499,   500,   173,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   174,   175,     0,
     511,   512,   513,  1466,  1467,     0,  1468,     0,   514,   178,
     179,   515,   180,   516,   517,   518,   519,   520,   521,   522,
       0,   523,  1469,   182,   524,   183,     0,   525,   526,   527,
    1470,  1471,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,  1472,   189,  1473,   538,   539,   191,
    1474,   540,   541,   193,   542,  1475,  1476,   543,  1477,   544,
     545,   546,     0,   547,     0,     0,  1478,   549,   550,     0,
       0,   196,   197,   198,   199,  1479,   551,   552,   553,   554,
     555,   556,   557,     0,   558,  1480,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,  1481,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,   210,   586,
     587,  1482,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,  1483,   600,   217,   601,
     602,   219,   603,  1484,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,  1485,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,  1486,  1487,
       0,     0,   624,  1488,   625,  1489,  1490,   626,   627,   628,
     629,   630,   631,   632,     0,  1491,   633,   634,   635,   636,
     637,  1492,     0,   638,   639,   640,   641,   642,   692,  1493,
       0,   643,   235,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,  1494,  1495,  1496,
    1497,  1498,  1499,  1500,  1501,   693,   653,   654,     0,     0,
       0,     0,     0,     0,     0,  1502,  1503,  1504,     0,     0,
       0,     0,     0,     0,  1505,   717,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   718,   104,   105,   672,   719,
       0,   107,   108,   109,   110,   720,   721,   112,   113,   114,
     115,     0,   116,   722,   723,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,   412,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1437,  1438,  1439,    45,  1440,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,  1441,     0,     0,
     424,   425,     0,   426,   427,   133,   428,   429,   430,   135,
    1442,   137,  1443,  1444,     0,   431,   432,   433,   434,   435,
    1445,  1446,   436,   437,  1447,  1448,   438,     0,   439,   440,
     441,   442,  1449,     0,  1450,     0,   443,   444,   445,   446,
     148,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,   151,   454,     0,  1451,  1452,  1453,  1454,  1455,  1456,
    1457,   455,   456,   457,   458,   686,   459,  1458,  1459,   460,
    1588,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,  1460,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,  1461,   484,   485,   486,  1462,  1463,   487,     0,   488,
    1464,   489,     0,   490,     0,   491,   169,     0,   170,   492,
     493,   494,     0,   495,  1465,     0,   496,     0,   497,   498,
     688,   499,   500,   173,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   174,   175,     0,   511,
     512,   513,  1466,  1467,     0,  1468,     0,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,     0,
     523,  1469,   182,   524,   183,     0,   525,   526,   527,  1470,
    1471,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,  1472,   189,  1473,   538,   539,   191,  1474,
     540,   541,   193,   542,  1475,  1476,   543,  1477,   544,   545,
     546,     0,   547,     0,     0,  1478,   549,   550,     0,     0,
     196,   197,   198,   199,  1479,   551,   552,   553,   554,   555,
     556,   557,     0,   558,  1480,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,  1481,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,   210,   586,   587,
    1482,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,  1483,   600,   217,   601,   602,
     219,   603,  1484,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,  1485,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,  1486,  1487,     0,
       0,   624,  1488,   625,  1489,  1490,   626,   627,   628,   629,
     630,   631,   632,     0,  1491,   633,   634,   635,   636,   637,
    1492,     0,   638,   639,   640,   641,   642,   692,  1493,     0,
     643,   235,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,  1494,  1495,  1496,  1497,
    1498,  1499,  1500,  1501,   693,   653,   654,     0,     0,     0,
       0,     0,     0,     0,  1502,  1503,     0,     0,     0,     0,
       0,     0,     0,  1505,   717,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   718,   104,   105,   672,   719,     0,
     107,   108,   109,   110,   720,   721,   112,   113,   114,   115,
       0,   116,   722,   723,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,   412,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1437,  1438,  1439,    45,  1440,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,  2269,   421,
     422,   423,     0,     0,     0,     0,  1441,     0,     0,   424,
     425,     0,   426,   427,   133,   428,   429,   430,   135,  1442,
     137,  1443,  1444,     0,   431,   432,   433,   434,   435,  1445,
    1446,   436,   437,  1447,  1448,   438,     0,   439,   440,   441,
     442,  1449,     0,  1450,     0,   443,   444,   445,   446,   148,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
     151,   454,     0,  1451,  1452,  1453,  1454,  1455,  1456,  1457,
     455,   456,   457,   458,   686,   459,  1458,  1459,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,  1460,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
    1461,   484,   485,   486,  1462,  1463,   487,     0,   488,  1464,
     489,     0,   490,     0,   491,   169,     0,   170,   492,   493,
     494,     0,   495,  1465,     0,   496,     0,   497,   498,   688,
     499,   500,   173,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,   174,   175,     0,   511,   512,
     513,  1466,  1467,     0,  1468,     0,   514,   178,   179,   515,
     180,   516,   517,   518,   519,   520,   521,   522,     0,   523,
    1469,   182,   524,   183,     0,   525,   526,   527,  1470,  1471,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,  1472,   189,  1473,   538,   539,   191,  1474,   540,
     541,   193,   542,  1475,  1476,   543,  1477,   544,   545,   546,
       0,   547,     0,     0,  1478,   549,   550,     0,     0,   196,
     197,   198,   199,  1479,   551,   552,   553,   554,   555,   556,
     557,     0,   558,  1480,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,  1481,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,   210,   586,   587,  1482,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,  1483,   600,   217,   601,   602,   219,
     603,  1484,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,  1485,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,  1486,  1487,     0,     0,
     624,  1488,   625,  1489,  1490,   626,   627,   628,   629,   630,
     631,   632,     0,  1491,   633,   634,   635,   636,   637,  1492,
       0,   638,   639,   640,   641,   642,   692,  1493,     0,   643,
     235,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,  1494,  1495,  1496,  1497,  1498,
    1499,  1500,  1501,   693,   653,   654,     0,     0,     0,     0,
       0,     0,     0,  1502,  1503,     0,     0,     0,     0,     0,
       0,     0,  1505,   717,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   718,   104,   105,   672,   719,     0,   107,
     108,   109,   110,   720,   721,   112,   113,   114,   115,     0,
     116,   722,   723,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
     412,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1437,  1438,  1439,    45,  1440,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,  1441,     0,     0,   424,   425,
       0,   426,   427,   133,   428,   429,   430,   135,  1442,   137,
    1443,  1444,     0,   431,   432,   433,   434,   435,  1445,  1446,
     436,   437,  1447,  1448,   438,     0,   439,   440,   441,   442,
    1449,     0,  1450,     0,   443,   444,   445,   446,   148,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,   151,
     454,     0,  1451,  1452,  1453,  1454,  1455,  1456,  1457,   455,
     456,   457,   458,   686,   459,  1458,  1459,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1460,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,  1461,
     484,   485,   486,  1462,  1463,   487,     0,   488,  1464,   489,
       0,   490,     0,   491,   169,  2826,   170,   492,   493,   494,
       0,   495,  1465,     0,   496,     0,   497,   498,   688,   499,
     500,   173,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   174,   175,     0,   511,   512,   513,
    1466,  1467,     0,  1468,     0,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,     0,   523,  1469,
     182,   524,   183,     0,   525,   526,   527,  1470,  1471,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,  1472,   189,  1473,   538,   539,   191,  1474,   540,   541,
     193,   542,  1475,  1476,   543,  1477,   544,   545,   546,     0,
     547,     0,     0,  1478,   549,   550,     0,     0,   196,   197,
     198,   199,  1479,   551,   552,   553,   554,   555,   556,   557,
       0,   558,  1480,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,  1481,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,   210,   586,   587,  1482,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,  1483,   600,   217,   601,   602,   219,   603,
    1484,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,  1485,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,  1486,  1487,     0,     0,   624,
    1488,   625,  1489,  1490,   626,   627,   628,   629,   630,   631,
     632,     0,  1491,   633,   634,   635,   636,   637,  1492,     0,
     638,   639,   640,   641,   642,   692,  1493,     0,   643,   235,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,  1494,  1495,  1496,  1497,  1498,  1499,
    1500,  1501,   693,   653,   654,     0,     0,     0,     0,     0,
       0,     0,  1502,  1503,     0,     0,     0,     0,     0,     0,
       0,  1505,   717,    86,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   718,   104,   105,   672,   719,     0,   107,   108,
     109,   110,   720,   721,   112,   113,   114,   115,     0,   116,
     722,   723,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,   412,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1437,  1438,  1439,    45,  1440,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,  1441,     0,     0,   424,   425,     0,
     426,   427,   133,   428,   429,   430,   135,  1442,   137,  1443,
    1444,     0,   431,   432,   433,   434,   435,  1445,  1446,   436,
     437,  1447,  1448,   438,     0,   439,   440,   441,   442,  1449,
       0,  1450,     0,   443,   444,   445,   446,   148,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,   151,   454,
       0,  1451,  1452,  1453,  1454,  1455,  1456,  1457,   455,   456,
     457,   458,   686,   459,  1458,  1459,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,  1460,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,  1461,   484,
     485,   486,  1462,  1463,   487,     0,   488,  1464,   489,     0,
     490,     0,   491,   169,     0,   170,   492,   493,   494,     0,
     495,  1465,     0,   496,     0,   497,   498,   688,   499,   500,
     173,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,   174,   175,     0,   511,   512,   513,  1466,
    1467,     0,  1468,     0,   514,   178,   179,   515,   180,   516,
     517,   518,   519,   520,   521,   522,     0,   523,  1469,   182,
     524,   183,     0,   525,   526,   527,  1470,  1471,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
    1472,   189,  1473,   538,   539,   191,  1474,   540,   541,   193,
     542,  1475,  1476,   543,  1477,   544,   545,   546,     0,   547,
       0,     0,  1478,   549,   550,     0,     0,   196,   197,   198,
     199,  1479,   551,   552,   553,   554,   555,   556,   557,     0,
     558,  1480,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,  1481,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,   210,   586,   587,  1482,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,  1483,   600,   217,   601,   602,   219,   603,  1484,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,  1485,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,  1486,  1487,     0,     0,   624,  1488,
     625,  1489,  1490,   626,   627,   628,   629,   630,   631,   632,
       0,  1491,   633,   634,   635,   636,   637,  1492,     0,   638,
     639,   640,   641,   642,   692,  1493,  4045,   643,   235,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,  1494,  1495,  1496,  1497,  1498,  1499,  1500,
    1501,   693,   653,   654,     0,     0,     0,     0,     0,     0,
       0,  1502,  1503,     0,     0,     0,     0,     0,     0,     0,
    1505,   717,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   718,   104,   105,   672,   719,     0,   107,   108,   109,
     110,   720,   721,   112,   113,   114,   115,     0,   116,   722,
     723,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,   412,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1437,
    1438,  1439,    45,  1440,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,  1441,     0,     0,   424,   425,     0,   426,
     427,   133,   428,   429,   430,   135,  1442,   137,  1443,  1444,
       0,   431,   432,   433,   434,   435,  1445,  1446,   436,   437,
    1447,  1448,   438,     0,   439,   440,   441,   442,  1449,     0,
    1450,     0,   443,   444,   445,   446,   148,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,   151,   454,  4058,
    1451,  1452,  1453,  1454,  1455,  1456,  1457,   455,   456,   457,
     458,   686,   459,  1458,  1459,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,  1460,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,  1461,   484,   485,
     486,  1462,  1463,   487,     0,   488,  1464,   489,     0,   490,
       0,   491,   169,     0,   170,   492,   493,   494,     0,   495,
    1465,     0,   496,     0,   497,   498,   688,   499,   500,   173,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   174,   175,     0,   511,   512,   513,  1466,  1467,
       0,  1468,     0,   514,   178,   179,   515,   180,   516,   517,
     518,   519,   520,   521,   522,     0,   523,  1469,   182,   524,
     183,     0,   525,   526,   527,  1470,  1471,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,  1472,
     189,  1473,   538,   539,   191,  1474,   540,   541,   193,   542,
    1475,  1476,   543,  1477,   544,   545,   546,     0,   547,     0,
       0,  1478,   549,   550,     0,     0,   196,   197,   198,   199,
    1479,   551,   552,   553,   554,   555,   556,   557,     0,   558,
    1480,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,  1481,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,   210,   586,   587,  1482,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,  1483,   600,   217,   601,   602,   219,   603,  1484,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,  1485,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,  1486,  1487,     0,     0,   624,  1488,   625,
    1489,  1490,   626,   627,   628,   629,   630,   631,   632,     0,
    1491,   633,   634,   635,   636,   637,  1492,     0,   638,   639,
     640,   641,   642,   692,  1493,     0,   643,   235,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,  1494,  1495,  1496,  1497,  1498,  1499,  1500,  1501,
     693,   653,   654,     0,     0,     0,     0,     0,     0,     0,
    1502,  1503,     0,     0,     0,     0,     0,     0,     0,  1505,
     717,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     718,   104,   105,   672,   719,     0,   107,   108,   109,   110,
     720,   721,   112,   113,   114,   115,     0,   116,   722,   723,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,   412,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1437,  1438,
    1439,    45,  1440,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,  1441,     0,     0,   424,   425,     0,   426,   427,
     133,   428,   429,   430,  4864,  1442,   137,  1443,  1444,     0,
     431,   432,   433,   434,   435,  1445,  1446,   436,   437,  1447,
    1448,   438,     0,   439,   440,   441,   442,  1449,     0,  1450,
       0,   443,   444,   445,   446,   148,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,   151,   454,  4865,  1451,
    1452,  1453,  1454,  1455,  1456,  1457,   455,   456,   457,   458,
     686,   459,  1458,  1459,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,  1460,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,  1461,   484,   485,   486,
    1462,  1463,   487,     0,   488,  1464,   489,     0,   490,     0,
     491,   169,     0,   170,   492,   493,   494,     0,   495,  1465,
       0,   496,     0,   497,   498,   688,   499,   500,   173,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   174,   175,     0,   511,   512,   513,  1466,  1467,     0,
    1468,     0,   514,   178,   179,   515,   180,   516,   517,   518,
     519,   520,   521,   522,     0,   523,  1469,   182,   524,   183,
       0,   525,   526,   527,  1470,  1471,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,  1472,   189,
    1473,   538,   539,   191,  1474,   540,   541,   193,   542,  1475,
    1476,   543,  1477,   544,   545,   546,     0,   547,     0,     0,
    1478,   549,   550,     0,     0,   196,   197,   198,   199,  1479,
     551,   552,   553,   554,   555,   556,   557,     0,   558,  1480,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,  1481,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,   210,   586,   587,  1482,   588,   589,   590,   591,
     592,   593,   691,   594,     0,   595,   596,   597,   598,   599,
    1483,   600,   217,   601,   602,   219,   603,  1484,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
    1485,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,  1486,  1487,     0,     0,   624,  1488,   625,  1489,
    1490,   626,   627,   628,   629,  4866,   631,   632,     0,  1491,
     633,   634,   635,   636,   637,  1492,     0,   638,   639,   640,
     641,   642,   692,  1493,     0,   643,   235,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,  1494,  1495,  1496,  1497,  1498,  1499,  1500,  1501,   693,
     653,   654,     0,     0,     0,     0,     0,     0,     0,  1502,
    1503,     0,     0,     0,     0,     0,     0,     0,  1505,   717,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   718,
     104,   105,   672,   719,     0,   107,   108,   109,   110,   720,
     721,   112,   113,   114,   115,     0,   116,   722,   723,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,   412,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1437,  1438,  1439,
      45,  1440,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,  1441,     0,     0,   424,   425,     0,   426,   427,   133,
     428,   429,   430,   135,  1442,   137,  1443,  1444,     0,   431,
     432,   433,   434,   435,  1445,  1446,   436,   437,  1447,  1448,
     438,     0,   439,   440,   441,   442,  1449,     0,  1450,     0,
     443,   444,   445,   446,   148,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,   151,   454,  4865,  1451,  1452,
    1453,  1454,  1455,  1456,  1457,   455,   456,   457,   458,   686,
     459,  1458,  1459,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
    1460,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,  1461,   484,   485,   486,  1462,
    1463,   487,     0,   488,  1464,   489,     0,   490,     0,   491,
     169,     0,   170,   492,   493,   494,     0,   495,  1465,     0,
     496,     0,   497,   498,   688,   499,   500,   173,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     174,   175,     0,   511,   512,   513,  1466,  1467,     0,  1468,
       0,   514,   178,   179,   515,   180,   516,   517,   518,   519,
     520,   521,   522,     0,   523,  1469,   182,   524,   183,     0,
     525,   526,   527,  1470,  1471,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,  1472,   189,  1473,
     538,   539,   191,  1474,   540,   541,   193,   542,  1475,  1476,
     543,  1477,   544,   545,   546,     0,   547,     0,     0,  1478,
     549,   550,     0,     0,   196,   197,   198,   199,  1479,   551,
     552,   553,   554,   555,   556,   557,     0,   558,  1480,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,  1481,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,   210,   586,   587,  1482,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,  1483,
     600,   217,   601,   602,   219,   603,  1484,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,  1485,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,  1486,  1487,     0,     0,   624,  1488,   625,  1489,  1490,
     626,   627,   628,   629,  4866,   631,   632,     0,  1491,   633,
     634,   635,   636,   637,  1492,     0,   638,   639,   640,   641,
     642,   692,  1493,     0,   643,   235,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
    1494,  1495,  1496,  1497,  1498,  1499,  1500,  1501,   693,   653,
     654,     0,     0,     0,     0,     0,     0,     0,  1502,  1503,
       0,     0,     0,     0,     0,     0,     0,  1505,   717,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   718,   104,
     105,   672,   719,     0,   107,   108,   109,   110,   720,   721,
     112,   113,   114,   115,     0,   116,   722,   723,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,   412,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1437,  1438,  1439,    45,
    1440,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
    1441,     0,     0,   424,   425,     0,   426,   427,   133,   428,
     429,   430,   135,  1442,   137,  1443,  1444,     0,   431,   432,
     433,   434,   435,  1445,  1446,   436,   437,  1447,  1448,   438,
       0,   439,   440,   441,   442,  1449,     0,  1450,     0,   443,
     444,   445,   446,   148,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,   151,   454,     0,  1451,  1452,  1453,
    1454,  1455,  1456,  1457,   455,   456,   457,   458,   686,   459,
    1458,  1459,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,  1460,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,  1461,   484,   485,   486,  1462,  1463,
     487,     0,   488,  1464,   489,     0,   490,     0,   491,   169,
       0,   170,   492,   493,   494,     0,   495,  1465,     0,   496,
       0,   497,   498,   688,   499,   500,   173,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   174,
     175,     0,   511,   512,   513,  1466,  1467,     0,  1468,     0,
     514,   178,   179,   515,   180,   516,   517,   518,   519,   520,
     521,   522,     0,   523,  1469,   182,   524,   183,     0,   525,
     526,   527,  1470,  1471,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,  1472,   189,  1473,   538,
     539,   191,  1474,   540,   541,   193,   542,  1475,  1476,   543,
    1477,   544,   545,   546,     0,   547,     0,     0,  1478,   549,
     550,     0,     0,   196,   197,   198,   199,  1479,   551,   552,
     553,   554,   555,   556,   557,     0,   558,  1480,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,  1481,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
     210,   586,   587,  1482,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,  1483,   600,
     217,   601,   602,   219,   603,  1484,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,  1485,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
    1486,  1487,     0,     0,   624,  1488,   625,  1489,  1490,   626,
     627,   628,   629,   630,   631,   632,     0,  1491,   633,   634,
     635,   636,   637,  1492,     0,   638,   639,   640,   641,   642,
     692,  1493,     0,   643,   235,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,  1494,
    1495,  1496,  1497,  1498,  1499,  1500,  1501,   693,   653,   654,
       0,     0,     0,     0,     0,     0,     0,  1502,  1503,     0,
       0,     0,     0,     0,     0,     0,  1505,   717,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   718,   104,   105,
     672,   719,     0,   107,   108,   109,   110,   720,   721,   112,
     113,   114,   115,     0,   116,   722,   723,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,   412,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1437,  1438,  1439,    45,  1440,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,  1441,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,   135,  1442,   137,  1443,  1444,     0,   431,   432,   433,
     434,   435,  1445,  1446,   436,   437,  1447,  1448,   438,     0,
     439,   440,   441,   442,  1449,     0,  1450,     0,   443,   444,
     445,   446,   148,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,  1451,  1452,  1453,  1454,
    1455,  1456,  1457,   455,   456,   457,   458,   686,   459,  1458,
    1459,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1460,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,  1461,   484,   485,   486,  1462,  1463,   487,
       0,   488,  1464,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,  1465,     0,   496,     0,
     497,   498,   688,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,   175,
       0,   511,   512,   513,  1466,  1467,     0,  1468,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,  1469,   182,   524,   183,     0,   525,   526,
     527,  1470,  1471,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,  1472,   189,  1473,   538,   539,
     191,  1474,   540,   541,   193,   542,  1475,  1476,   543,  1477,
     544,   545,   546,     0,   547,     0,     0,  1478,   549,   550,
       0,     0,   196,   197,   198,   199,  1479,   551,   552,   553,
     554,   555,   556,   557,     0,   558,  1480,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
    1481,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,  1482,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,  1483,   600,   217,
     601,   602,   219,   603,  1484,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,  1485,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,  1486,
    1487,     0,     0,   624,  1488,   625,  1489,  1490,   626,   627,
     628,   629,   630,   631,   632,     0,  1491,   633,   634,   635,
     636,   637,  1492,     0,   638,   639,   640,   641,   642,   692,
    1493,     0,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,  4340,  1494,  1495,
    1496,  1497,  1498,  1499,  1500,  1501,   693,   653,   654,     0,
       0,     0,     0,     0,     0,     0,  1502,  1503,     0,     0,
       0,     0,     0,     0,     0,  1505,   717,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   718,   104,   105,   672,
     719,     0,   107,   108,   109,   110,   720,   721,   112,   113,
     114,   115,     0,   116,   722,   723,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,   412,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1437,  1438,  1439,    45,  1440,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,  1441,     0,
       0,   424,   425,     0,   426,   427,   133,   428,   429,   430,
     135,  1442,   137,  1443,  1444,     0,   431,   432,   433,   434,
     435,  1445,  1446,   436,   437,  1447,  1448,   438,     0,   439,
     440,   441,   442,  1449,     0,  1450,     0,   443,   444,   445,
     446,   148,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,   151,   454,     0,  1451,  1452,  1453,  1454,  1455,
    1456,  1457,   455,   456,   457,   458,   686,   459,  1458,  1459,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,  1460,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,  1461,   484,   485,   486,  1462,  1463,   487,     0,
     488,  1464,   489,     0,   490,     0,   491,   169,     0,   170,
     492,   493,   494,     0,   495,  1465,     0,   496,     0,   497,
     498,   688,   499,   500,   173,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   174,   175,     0,
     511,   512,   513,  1466,  1467,     0,  1468,     0,   514,   178,
     179,   515,   180,   516,   517,   518,   519,   520,   521,   522,
       0,   523,  1469,   182,   524,   183,     0,   525,   526,   527,
    1470,  1471,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,  1472,   189,  1473,   538,  4349,   191,
    1474,   540,   541,   193,   542,  1475,  1476,   543,  1477,   544,
     545,   546,     0,   547,     0,     0,  1478,   549,   550,     0,
       0,   196,   197,   198,   199,  1479,   551,   552,   553,   554,
     555,   556,   557,     0,   558,  1480,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,  1481,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,   210,   586,
     587,  1482,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,  1483,   600,   217,   601,
     602,   219,   603,  1484,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,  1485,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,  1486,  1487,
       0,     0,   624,  1488,   625,  1489,  1490,   626,   627,   628,
     629,   630,   631,   632,     0,  1491,   633,   634,   635,   636,
     637,  1492,     0,   638,   639,   640,   641,   642,   692,  1493,
       0,   643,   235,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,  1494,  1495,  1496,
    1497,  1498,  1499,  1500,  1501,   693,   653,   654,     0,     0,
       0,     0,     0,     0,     0,  1502,  1503,     0,     0,     0,
       0,     0,     0,     0,  1505,   717,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   718,   104,   105,   672,   719,
       0,   107,   108,   109,   110,   720,   721,   112,   113,   114,
     115,     0,   116,   722,   723,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,   412,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1437,  1438,  1439,    45,  1440,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,  1441,     0,     0,
     424,   425,     0,   426,   427,   133,   428,   429,   430,   135,
    1442,   137,  1443,  1444,     0,   431,   432,   433,   434,   435,
    1445,  1446,   436,   437,  1447,  1448,   438,     0,   439,   440,
     441,   442,  1449,     0,  1450,     0,   443,   444,   445,   446,
     148,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,   151,   454,     0,  1451,  1452,  1453,  1454,  1455,  1456,
    1457,   455,   456,   457,   458,   686,   459,  1458,  1459,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,  1460,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,  1461,   484,   485,   486,  1462,  1463,   487,     0,   488,
    1464,   489,     0,   490,     0,   491,   169,     0,   170,   492,
     493,   494,     0,   495,  1465,     0,   496,     0,   497,   498,
     688,   499,   500,   173,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   174,   175,     0,   511,
     512,   513,  1466,  1467,     0,  1468,     0,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,     0,
     523,  1469,   182,   524,   183,     0,   525,   526,   527,  1470,
    1471,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,  1472,   189,  1473,   538,   539,   191,     0,
     540,   541,   193,   542,  1475,  1476,   543,  1477,   544,   545,
     546,     0,   547,     0,     0,  1478,   549,   550,     0,     0,
     196,   197,   198,   199,  1479,   551,   552,   553,   554,   555,
     556,   557,     0,   558,  1480,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,  1481,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,   210,   586,   587,
    1482,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,  1483,   600,   217,   601,   602,
     219,   603,  1484,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,  1485,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,  1486,  1487,     0,
       0,   624,  1488,   625,  1489,  1490,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
    1492,     0,   638,   639,   640,   641,   642,   692,  1493,     0,
     643,   235,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,  1494,  1495,  1496,  1497,
    1498,  1499,  1500,  1501,   693,   653,   654,     0,     0,     0,
       0,     0,     0,     0,  2808,  2809,     0,     0,     0,     0,
       0,     0,     0,  1505,   717,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   718,   104,   105,   672,   719,     0,
     107,   108,   109,   110,   720,   721,   112,   113,   114,   115,
       0,   116,   722,   723,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,   412,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1437,  1438,  1439,    45,  1440,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,  1441,     0,     0,   424,
     425,     0,   426,   427,   133,   428,   429,   430, -2575,  1442,
     137,  1443,  1444,     0,   431,   432,   433,   434,   435,  1445,
    1446,   436,   437,  1447,  1448,   438,     0,   439,   440,   441,
     442,  1449,     0,  1450,     0,   443,   444,   445,   446,   148,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
     151,   454,  4865,  1451,  1452,  1453,  1454,  1455,  1456,  1457,
     455,   456,   457,   458,   686,   459,  1458,  1459,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,  1460,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
    1461,   484,   485,   486,  1462,  1463,   487,     0,   488,  1464,
     489,     0,   490,     0,   491,   169,     0,   170,   492,   493,
     494,     0,   495,  1465,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,   174,   175,     0,   511,   512,
     513,  1466,  1467,     0,  1468,     0,   514,   178,   179,   515,
     180,   516,   517,   518,   519,   520,   521,   522,     0,   523,
    1469,   182,   524,     0,     0,   525,   526,   527,  1470,  1471,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,  1472,   189,  1473,   538,   539,   191,     0,   540,
     541,   193,   542,  1475,  1476,   543,  1477,   544,   545,   546,
       0,   547,     0,     0,  1478,   549,   550,     0,     0,   196,
     197,   198,   199,  1479,   551,   552,   553,   554,   555,   556,
     557,     0,   558,  1480,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,  1481,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,   210,   586,   587,  1482,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,  1483,   600,   217,   601,   602,     0,
     603,  1484,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,  1485,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,  1486,  1487,     0,     0,
     624,  1488,   625,  1489,  1490,   626,   627,   628,   629,  4866,
     631,   632,     0,  1491,   633,   634,   635,   636,   637,  1492,
       0,   638,   639,   640,   641,   642,   692,  1493,     0,   643,
     235,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,  1494,  1495,  1496,  1497,  1498,
    1499,  1500,  1501,   693,   653,   654,     0,     0,     0,     0,
       0,     0,     0,  1502,  1503,     0,     0,     0,     0,     0,
       0,     0,  1505,   717,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   718,   104,   105,   672,   719,     0,   107,
     108,   109,   110,   720,   721,   112,   113,   114,   115,     0,
     116,   722,   723,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
     412,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1437,  1438,     0,    45,  1440,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,  1441,     0,     0,   424,   425,
       0,   426,   427,   133,   428,   429,   430,   135,  1442,   137,
    1443,  1444,     0,   431,   432,   433,   434,   435,  1445,  1446,
     436,   437,  1447,  1448,   438,     0,   439,   440,   441,   442,
    1449,     0,  1450,     0,   443,   444,   445,   446,   148,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,   151,
     454,     0,  1451,  1452,  1453,  1454,  1455,  1456,  1457,   455,
     456,   457,   458,   686,   459,  1458,  1459,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1460,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,  1461,
     484,   485,   486,  1462,  1463,   487,     0,   488,  1464,   489,
       0,   490,     0,   491,   169,     0,   170,   492,   493,   494,
       0,   495,  1465,     0,   496,     0,   497,   498,   688,   499,
     500,   173,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   174,   175,     0,   511,   512,   513,
    1466,  1467,     0,  1468,     0,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,     0,   523,  1469,
     182,   524,   183,     0,   525,   526,   527,  1470,  1471,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,  1472,   189,  1473,   538,   539,   191,     0,   540,   541,
     193,   542,  1475,  1476,   543,  1477,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,   197,
     198,   199,  1479,   551,   552,   553,   554,   555,   556,   557,
       0,   558,  1480,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,  1481,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,   210,   586,   587,  1482,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,  1483,   600,   217,   601,   602,   219,   603,
    1484,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,  1485,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,  1486,  1487,     0,     0,   624,
    1488,   625,  1489,  1490,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,  1492,     0,
     638,   639,   640,   641,   642,   692,  1493,     0,   643,   235,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,  1494,  1495,  1496,  1497,  1498,  1499,
    1500,  1501,   693,   653,   654,     0,     0,     0,   717,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,  1505,    98,    99,   100,   101,   102,   103,   718,   104,
     105,   672,   719,     0,   107,   108,   109,   110,   720,   721,
     112,   113,   114,   115,     0,   116,   722,   723,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,   412,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1437,  1438,     0,    45,
    1440,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
    1441,     0,     0,   424,   425,     0,   426,   427,   133,   428,
     429,   430,   135,  1442,   137,  1443,  1444,     0,  3968,   432,
     433,   434,   435,  1445,  1446,   436,   437,  1447,  1448,   438,
       0,   439,   440,   441,   442,  1449,     0,  1450,     0,   443,
     444,   445,   446,   148,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,   151,   454,     0,  1451,  1452,  1453,
    1454,  1455,  1456,  1457,   455,   456,   457,   458,   686,   459,
    1458,  1459,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,  1460,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,  1461,   484,   485,   486,  1462,  1463,
     487,     0,   488,  1464,   489,     0,   490,     0,   491,   169,
       0,   170,   492,   493,   494,     0,   495,  1465,     0,   496,
       0,   497,   498,   688,   499,   500,   173,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   174,
     175,     0,   511,   512,   513,  1466,  1467,     0,  1468,     0,
     514,   178,   179,   515,   180,   516,   517,   518,   519,   520,
     521,   522,     0,   523,  1469,   182,   524,   183,     0,   525,
     526,   527,  1470,  1471,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,  1472,   189,  1473,   538,
     539,   191,     0,   540,   541,   193,   542,  1475,  1476,   543,
    1477,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,   197,   198,   199,  1479,   551,   552,
     553,   554,   555,   556,   557,     0,   558,  1480,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,  1481,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
     210,   586,   587,  1482,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,  1483,   600,
     217,   601,   602,   219,   603,  1484,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,  1485,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
    1486,  1487,     0,     0,   624,  1488,   625,  1489,  1490,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,  1492,     0,   638,   639,   640,   641,   642,
     692,  1493,     0,   643,   235,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,  1494,
    1495,  1496,  1497,  1498,  1499,  1500,  1501,   693,   653,   654,
       0,     0,     0,   717,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,  1505,    98,    99,   100,
     101,   102,   103,   718,   104,   105,   672,   719,     0,   107,
     108,   109,   110,   720,   721,   112,   113,   114,   115,     0,
     116,   722,   723,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
     412,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1437,  1438,  1439,    45,  1440,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,  1441,     0,     0,   424,   425,
       0,   426,   427,   133,   428,   429,   430,     0,  1442,   137,
    1443,  1444,     0,   431,   432,   433,   434,   435,  1445,  1446,
     436,   437,  1447,  1448,   438,     0,   439,   440,   441,   442,
    1449,     0,  1450,     0,   443,   444,   445,   446,   148,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,   151,
     454,     0,  1451,  1452,  1453,  1454,  1455,  1456,  1457,   455,
     456,   457,   458,   686,   459,  1458,  1459,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1460,   473,   474,     0,   475,   476,
     477,     0,   478,     0,     0,   480,   481,   482,   483,  1461,
     484,   485,   486,  1462,  1463,   487,     0,   488,  1464,   489,
       0,   490,     0,   491,   169,     0,   170,   492,   493,   494,
       0,   495,  1465,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   174,   175,     0,   511,   512,   513,
    1466,  1467,     0,  1468,     0,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,     0,   523,  1469,
     182,   524,     0,     0,   525,   526,   527,  1470,  1471,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,  1472,   189,  1473,   538,   539,   191,     0,   540,   541,
     193,   542,  1475,  1476,   543,  1477,   544,   545,   546,     0,
     547,     0,     0,  1478,   549,   550,     0,     0,   196,   197,
     198,   199,  1479,   551,   552,   553,   554,   555,   556,   557,
       0,   558,  1480,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,  1481,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,   210,   586,   587,  1482,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,  1483,   600,   217,   601,   602,     0,   603,
    1484,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,  1485,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,  1486,  1487,     0,     0,   624,
    1488,   625,  1489,  1490,   626,   627,   628,   629,   630,   631,
     632,     0,  1491,   633,   634,   635,   636,   637,  1492,     0,
     638,   639,   640,   641,   642,   692,  1493,     0,   643,   235,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,  1494,  1495,  1496,  1497,  1498,  1499,
    1500,  1501,   693,   653,   654,     0,     0,     0,     0,     0,
       0,     0,  1502,  1503,     0,     0,     0,     0,     0,     0,
       0,  1505,   717,    86,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   718,   104,   105,   672,   719,     0,   107,   108,
     109,   110,   720,   721,   112,   113,   114,   115,     0,   116,
     722,   723,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,   412,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1437,  1438,  1439,    45,  1440,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,  1441,     0,     0,   424,   425,     0,
     426,   427,   133,   428,   429,   430,     0,  1442,   137,  1443,
    1444,     0,   431,   432,   433,   434,   435,  1445,  1446,   436,
     437,  1447,  1448,   438,     0,   439,   440,   441,   442,  1449,
       0,  1450,     0,   443,   444,   445,   446,   148,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,   151,   454,
       0,  1451,  1452,  1453,  1454,  1455,  1456,  1457,   455,   456,
     457,   458,   686,   459,  1458,  1459,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,  1460,   473,   474,     0,   475,   476,   477,
       0,   478,     0,     0,   480,   481,   482,   483,  1461,   484,
     485,   486,  1462,  1463,   487,     0,   488,  1464,   489,     0,
     490,     0,   491,   169,     0,   170,   492,   493,   494,     0,
     495,  1465,     0,   496,     0,   497,   498,   688,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,   174,   175,     0,   511,   512,   513,  1466,
    1467,     0,  1468,     0,   514,   178,   179,   515,   180,   516,
     517,   518,   519,   520,   521,   522,     0,   523,  1469,   182,
     524,     0,     0,   525,   526,   527,  1470,  1471,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
    1472,   189,  1473,   538,   539,   191,     0,   540,   541,   193,
     542,  1475,  1476,   543,  1477,   544,   545,   546,     0,   547,
       0,     0,  1478,   549,   550,     0,     0,   196,   197,   198,
     199,  1479,   551,   552,   553,   554,   555,   556,   557,     0,
     558,  1480,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,  1481,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,   210,   586,   587,  1482,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,  1483,   600,   217,   601,   602,     0,   603,  1484,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,  1485,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,  1486,  1487,     0,     0,   624,  1488,
     625,  1489,  1490,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,  1492,     0,   638,
     639,   640,   641,   642,   692,  1493,     0,   643,   235,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,  1494,  1495,  1496,  1497,  1498,  1499,  1500,
    1501,   693,   653,   654,     0,     0,     0,     0,     0,     0,
       0,  2808,  2809,     0,     0,     0,     0,     0,     0,     0,
    1505,   717,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   718,   104,   105,   672,   719,     0,   107,   108,   109,
     110,   720,   721,   112,   113,   114,   115,     0,   116,   722,
     723,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,   133,   428,   429,   430,   135,   136,   137,   138,   139,
       0,   431,   432,   433,   434,   435,     0,  1446,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,  1449,     0,
    1450,     0,   443,   444,   445,   446,   148,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,   151,   454,     0,
    1451,  1452,  1453,  1454,  1455,  1456,  1457,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,  1462,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,   169,     0,   170,   492,   493,   494,     0,   495,
    1465,     0,   496,     0,   497,   498,   688,   499,   500,   173,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   174,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,   178,   179,   515,   180,   516,   517,
     518,   519,   520,   521,   522,     0,   523,  1469,   182,   524,
     183,     0,   525,   526,   527,  1470,  1471,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
     189,   190,   538,   539,   191,     0,   540,   541,   193,   542,
       0,  1476,   543,   195,   544,   545,   546,     0,   547,     0,
    1063,   548,   549,   550,     0,     0,   196,   197,   198,   199,
    1479,   551,   552,   553,   554,   555,   556,   557,     0,   558,
    1480,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,   210,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,   215,   595,   596,   597,   598,
     599,  1483,   600,   217,   601,   602,   219,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,  1485,     0,   615,   616,   223,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,  1488,   625,
    1489,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,  1492,     0,   638,   639,
     640,   641,   642,  2143,   234,     0,   643,   235,   644,   645,
     646,     0,     0,   647,     0,   236,   648,   649,   650,   651,
     652,   237,  1494,  1495,  1496,  1497,  1498,  1499,  1500,  1501,
     693,   653,   654,     0,     0,     0,   717,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,  3515,
      98,    99,   100,   101,   102,   103,   718,   104,   105,   672,
     719,     0,   107,   108,   109,   110,   720,   721,   112,   113,
     114,   115,     0,   116,   722,   723,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,   133,   428,   429,   430,
     135,   136,   137,   138,   139,     0,   431,   432,   433,   434,
     435,     0,  1446,   436,   437,   683,   140,   438,     0,   439,
     440,   441,   442,  1449,     0,  1450,     0,   443,   444,   445,
     446,   148,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,   151,   454,     0,  1451,  1452,  1453,  1454,  1455,
    1456,  1457,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,  1462,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,   169,     0,   170,
     492,   493,   494,     0,   495,  1465,     0,   496,     0,   497,
     498,   688,   499,   500,   173,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   174,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,   178,
     179,   515,   180,   516,   517,   518,   519,   520,   521,   522,
       0,   523,  1469,   182,   524,   183,     0,   525,   526,   527,
    1470,  1471,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,   189,   190,   538,   539,   191,
       0,   540,   541,   193,   542,     0,  1476,   543,   195,   544,
     545,   546,     0,   547,     0,  1063,   548,   549,   550,     0,
       0,   196,   197,   198,   199,  1479,   551,   552,   553,   554,
     555,   556,   557,     0,   558,  1480,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,   210,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,  1483,   600,   217,   601,
     602,   219,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,  1485,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,  1488,   625,  1489,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,  1492,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,   235,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,  1494,  1495,  1496,
    1497,  1498,  1499,  1500,  1501,   693,   653,   654,     0,     0,
       0,   717,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,  3515,    98,    99,   100,   101,   102,
     103,   718,   104,   105,   672,   719,     0,   107,   108,   109,
     110,   720,   721,   112,   113,   114,   115,     0,   116,   722,
     723,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,   133,   428,   429,   430,   135,   136,   137,   138,   139,
       0,   431,   432,   433,   434,   435,     0,  1446,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,  1449,     0,
    1450,     0,   443,   444,   445,   446,   148,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,   151,   454,     0,
    1451,  1452,  1453,  1454,  1455,  1456,  1457,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,  1462,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,   169,     0,   170,   492,   493,   494,     0,   495,
    1465,     0,   496,     0,   497,   498,   688,   499,   500,   173,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   174,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,   178,   179,   515,   180,   516,   517,
     518,   519,   520,   521,   522,     0,   523,  1469,   182,   524,
     183,     0,   525,   526,   527,  1470,  1471,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
     189,   190,   538,   539,   191,     0,   540,   541,   193,   542,
       0,  1476,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,   197,   198,   199,
    1479,   551,   552,   553,   554,   555,   556,   557,     0,   558,
    1480,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,   210,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,  1483,   600,   217,   601,   602,   219,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,  1485,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,  1488,   625,
    1489,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,  1492,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,   235,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,  1494,  1495,  1496,  1497,  1498,  1499,  1500,  1501,
     693,   653,   654,     0,     0,     0,   717,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,  4084,
      98,    99,   100,   101,   102,   103,   718,   104,   105,   672,
     719,     0,   107,   108,   109,   110,   720,   721,   112,   113,
     114,   115,     0,   116,   722,   723,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,   133,   428,   429,   430,
     135,   136,   137,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   683,   140,   438,     0,   439,
     440,   441,   442,   144,     0,   145,     0,   443,   444,   445,
     446,   148,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,   151,   454,     0,     0,     0,     0,   152,     0,
       0,     0,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,   169,     0,   170,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,   688,   499,   500,   173,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   174,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,   178,
     179,   515,   180,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,   182,   524,   183,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,   189,   190,   538,   539,   191,
       0,   540,   541,   193,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,   197,   198,   199,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,   210,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,   219,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,   235,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,     0,     0,
       0,     0,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,  4636,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,  4012,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0, -1427,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0, -1427,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510, -1427,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515, -1427,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181, -1427,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
   -1427,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585, -1427,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,     0,     0,     0,     0,     0,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
    1596,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,     0,
       0,     0,     0,     0,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,  3276,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,     0,     0,     0,     0,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
    3790,  3791,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,    45,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
     692,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
       0,     0,     0,     0,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,  3791,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
     412,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,   215,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,   223,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,  2143,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,   236,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,     0,     0,     0,     0,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,   246,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,   215,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,   223,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
    2143,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,   236,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
       0,     0,     0,     0,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,   246,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,     0,     0,     0,     0,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,  1571,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
     692,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
       0,     0,     0,     0,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,  2966,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,     0,     0,     0,     0,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,  4039,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
     692,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
       0,     0,     0,   717,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,  4384,    98,    99,   100,
     101,   102,   103,   718,   104,   105,   672,   719,     0,   107,
     108,   109,   110,   720,   721,   112,   113,   114,   115,     0,
     116,   722,   723,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
     412,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,  1185,    45,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,   724,   421,   422,
     423,   725,   726,   727,   728,   729,   730,   731,   424,   425,
     732,   426,   427,   133,   428,   429,   430,     0,  1859,   137,
    1860,  1861,   733,   431,   432,   433,   434,   435,   734,   735,
     436,   437,  1862,  1863,   438,   737,   439,   440,   441,   442,
       0,   738,   145,   739,   443,   444,   445,   446,   148,   447,
     684,   741,   448,   449,   450,   451,   452,   453,   742,   151,
     454,     0,   744,   745,   746,   152,   747,   748,   749,   455,
     456,   457,   458,   686,   459,  1864,  1865,   460,   750,   461,
     751,   462,   463,   464,   465,   466,   752,   467,   468,   469,
     753,   754,   470,   471,  1460,   473,   474,   755,   475,   476,
     477,   756,   478,   479,   757,   480,   481,   482,   483,     0,
     484,   485,   486,     0,   758,   487,   759,   488,  1866,   489,
     760,   490,   761,   491,   169,   762,   170,   492,   493,   494,
     763,   495,     0,   764,   496,   765,   497,   498,   688,   499,
     500,   173,   501,   502,   503,   766,   504,   505,   506,   507,
     508,   509,   767,   510,   174,     0,     0,   511,   512,   513,
    1466,  1867,   770,  1868,   771,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,   772,   523,     0,
     182,   524,   183,   773,   525,   526,   527,   774,   775,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,  1869,   189,  1870,   538,   539,     0,   776,   540,   541,
     193,   542,   777,     0,   543,  1871,   544,   545,   546,   778,
     547,   779,   780,  3777,   549,   550,   781,   782,     0,   197,
     198,   199,     0,   551,   552,   553,   554,   555,   556,   557,
     783,   558,     0,   559,     0,   560,   561,   562,   784,   563,
     564,   565,   566,   567,   568,   569,  1872,   570,   571,   572,
     573,   785,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   786,   584,   585,   210,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   691,   594,   787,   595,   596,
     597,   598,   599,   788,   600,  2425,   601,   602,   219,   603,
    1874,   604,   789,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   790,   615,   616,   791,   617,   618,
     619,   620,   621,   622,   792,  1875,  1876,     0,   794,   624,
       0,   625,     0,   795,   626,   627,   628,   629,   630,   631,
     632,     0,   797,   633,   634,   635,   636,   637,   798,   799,
     638,   639,   640,   641,   642,     0,  1877,   801,   643,   235,
     644,   645,   646,   802,   803,   647,   804,   805,   648,   649,
     650,   651,   652,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   693,   653,   654,     0,     0,     0,  1188,  1189,
    1190,     0,  3778,  3779,  1193,  1194,  1195,  1196,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1185,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,  1186,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,  1187,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,     0,
       0,     0,  1188,  1189,  1190,     0,  1191,  1192,  1193,  1194,
    1195,  1196,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,  1274,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,  1275,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,     0,     0,     0,  1188,  1189,  1190,     0,
    1191,  1192,  1193,  1194,  1195,  1196,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   672,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1185,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,     0,   428,   429,   430,   135,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   683,   140,   438,     0,   439,  1326,
     441,   442,   144,     0,     0,     0,   443,   444,   445,   446,
       0,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   686,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,  1327,     0,   488,
     168,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
     688,   499,  1328,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,     0,   524,     0,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,     0,   190,   538,   539,   191,     0,
     540,   541,     0,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,     0,     0,     0,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,     0,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
       0,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,   692,   234,     0,
     643,     0,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,     0,     0,     0,
    1188,  1189,  1190,     0,  1191,  1192,  1193,  1194,  1195,  1196,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,  1842,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,  1843,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,     0,     0,     0,  1188,  1189,  1190,     0,  1191,  1192,
    1193,  1194,  1195,  1196,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,     0,     0,     0,  1188,  1189,
    1190,     0,  1191,  1192,  1193,  1194,  1195,  1196,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1185,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,  3049,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,  3050,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,     0,
       0,     0,  1188,  1189,  1190,     0,  1191,  1192,  1193,  1194,
    1195,  1196,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,  4620,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,     0,     0,     0,  1188,  1189,  1190,     0,
    1191,  1192,  1193,  1194,  1195,  1196,   717,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   718,   104,   105,   672,
     719,     0,   107,   108,   109,   110,   720,   721,   112,   113,
     114,   115,     0,   116,   722,   723,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
     724,   421,   422,   423,   725,   726,   727,   728,   729,   730,
     731,   424,   425,   732,   426,   427,   133,   428,   429,   430,
     135,   136,   137,   138,   139,   733,   431,   432,   433,   434,
     435,   734,   735,   436,   437,   736,   140,   438,   737,   439,
     440,   441,   442,   144,   738,   145,   739,   443,   444,   445,
     446,   148,   447,   740,   741,   448,   449,   450,   451,   452,
     453,   742,   151,   454,   743,   744,   745,   746,   152,   747,
     748,   749,   455,   456,   457,   458,   686,   459,   155,   156,
     460,   750,   461,   751,   462,   463,   464,   465,   466,   752,
     467,   468,   469,   753,   754,   470,   471,   472,   473,   474,
     755,   475,   476,   477,   756,   478,   479,   757,   480,   481,
     482,   483,   164,   484,   485,   486,   166,   758,   487,   759,
     488,   168,   489,   760,   490,   761,   491,   169,   762,   170,
     492,   493,   494,   763,   495,   172,   764,   496,   765,   497,
     498,   688,   499,   500,   173,   501,   502,   503,   766,   504,
     505,   506,   507,   508,   509,   767,   510,   174,   175,   768,
     511,   512,   513,   769,   176,   770,   177,   771,   514,   178,
     179,   515,   180,   516,   517,   518,   519,   520,   521,   522,
     772,   523,   181,   182,   524,   183,   773,   525,   526,   527,
     774,   775,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,   189,   190,   538,   539,   191,
     776,   540,   541,   193,   542,   777,   194,   543,   195,   544,
     545,   546,   778,   547,   779,   780,   548,   549,   550,   781,
     782,   196,   197,   198,   199,   200,   551,   552,   553,   554,
     555,   556,   557,   783,   558,   201,   559,   202,   560,   561,
     562,   784,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,   785,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   786,   584,   585,   210,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
     787,   595,   596,   597,   598,   599,   788,   600,   217,   601,
     602,   219,   603,   220,   604,   789,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,   790,   615,   616,
     791,   617,   618,   619,   620,   621,   622,   792,   224,   225,
     793,   794,   624,   226,   625,   227,   795,   626,   627,   628,
     629,   630,   631,   632,   796,   797,   633,   634,   635,   636,
     637,   798,   799,   638,   639,   640,   641,   642,   800,   234,
     801,   643,   235,   644,   645,   646,   802,   803,   647,   804,
     805,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,   717,    86,
      87,    88,   669,    90,    91,    92,   670,  2240,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   718,   104,
     105,   672,   719,     0,   107,   108,   109,   110,   720,   721,
     112,   113,   114,   115,     0,   116,   722,   723,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,   133,   428,
     429,   430,     0,  1859,   137,  1860,  1861,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,  1862,  1863,   438,
       0,   439,   440,   441,   442,     0,     0,   145,     0,   443,
     444,   445,   446,   148,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,   151,   454,     0,     0,     0,     0,
     152,     0,     0,     0,   455,   456,   457,   458,   686,   459,
    1864,  1865,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,  1460,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,     0,     0,
     487,     0,   488,  1866,   489,     0,   490,     0,   491,   169,
       0,   170,   492,   493,   494,     0,   495,     0,     0,   496,
       0,   497,   498,   688,   499,   500,   173,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   174,
       0,     0,   511,   512,   513,  1466,  1867,     0,  1868,     0,
     514,   178,   179,   515,   180,   516,   517,   518,   519,   520,
     521,   522,     0,   523,     0,   182,   524,   183,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,  1869,   189,  1870,   538,
     539,     0,     0,   540,   541,   193,   542,     0,     0,   543,
    1871,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,     0,   197,   198,   199,     0,   551,   552,
     553,   554,   555,   556,   557,     0,   558,     0,   559,     0,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,  1872,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
     210,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,     0,   600,
    1873,   601,   602,   219,   603,  1874,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
    1875,  1876,     0,     0,   624,     0,   625,     0,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
       0,  1877,     0,   643,   235,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   693,   653,   654,
       0,    86,    87,    88,   669,    90,    91,    92,   670,  2339,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   683,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,   586,   587,   212,   588,   589,   590,   591,
     592,   593,   691,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,   692,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,     0,    86,    87,    88,   669,    90,    91,    92,
     670,  1070,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,     0,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,     0,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,     0,    86,    87,    88,   669,    90,
      91,    92,   670,  4488,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,   412,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     413,   969,   415,   416,   417,   418,   419,   420,   970,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   971,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   972,   168,
     489,     0,   490,     0,   973,     0,   974,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,   975,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   976,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   977,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     978,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   979,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,     0,     0,     0,     0,
       0,     0,     0,   980,   981,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,   412,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     413,   969,   415,   416,   417,   418,   419,   420,   970,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,  1002,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   972,   168,
     489,     0,   490,     0,  1003,     0,   974,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,   975,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   976,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   977,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     978,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   979,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,     0,     0,     0,     0,
       0,     0,     0,   980,   981,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,   412,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,  1374,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,   974,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,   975,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,     0,     0,     0,     0,
       0,     0,     0,   980,   981,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,   412,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,  1379,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,   974,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,   975,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,     0,     0,     0,     0,
       0,     0,     0,   980,   981,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,   412,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,   687,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,  1542,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,     0,     0,  1041,  1543,
      86,    87,    88,   669,    90,    91,    92,   670,  1042,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,  1043,   437,  1017,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,  1044,     0,  1045,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,  1046,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,  1047,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,  1048,   587,   212,   588,   589,   590,  1049,   592,
     593,   691,   594,     0,   595,   596,   597,   598,  1050,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,  1051,   225,     0,     0,  1052,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,  1021,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,  1053,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,   717,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   718,   104,   105,   672,   719,     0,   107,   108,   109,
     110,   720,   721,   112,   113,   114,   115,     0,   116,   722,
     723,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,   724,   421,   422,   423,   725,
     726,   727,   728,   729,   730,   731,   424,   425,   732,   426,
     427,   133,   428,   429,   430,   135,   136,   137,   138,   139,
     733,   431,   432,   433,   434,   435,   734,   735,   436,   437,
     736,   140,   438,   737,   439,   440,   441,   442,   144,   738,
     145,   739,   443,   444,   445,   446,   148,   447,   740,   741,
     448,   449,   450,   451,   452,   453,   742,   151,   454,   743,
     744,   745,   746,   152,   747,   748,   749,   455,   456,   457,
     458,   686,   459,   155,   156,   460,   750,   461,   751,   462,
     463,   464,   465,   466,   752,   467,   468,   469,   753,   754,
     470,   471,   472,   473,   474,   755,   475,   476,   477,   756,
     478,   479,   757,   480,   481,   482,   483,   164,   484,   485,
     486,   166,   758,   487,   759,   488,   168,   489,   760,   490,
     761,   491,   169,   762,   170,   492,   493,   494,   763,   495,
     172,   764,   496,   765,   497,   498,   688,   499,   500,   173,
     501,   502,   503,   766,   504,   505,   506,   507,   508,   509,
     767,   510,   174,   175,   768,   511,   512,   513,   769,   176,
     770,   177,   771,   514,   178,   179,   515,   180,   516,   517,
     518,   519,   520,   521,   522,   772,   523,   181,   182,   524,
     183,   773,   525,   526,   527,   774,   775,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
     189,   190,   538,   539,   191,   776,   540,   541,   193,   542,
     777,   194,   543,   195,   544,   545,   546,   778,   547,   779,
     780,   548,   549,   550,   781,   782,   196,   197,   198,   199,
     200,   551,   552,   553,   554,   555,   556,   557,   783,   558,
     201,   559,   202,   560,   561,   562,   784,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,   785,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     786,   584,   585,   210,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,   787,   595,   596,   597,   598,
     599,   788,   600,   217,   601,   602,   219,   603,   220,   604,
     789,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,   790,   615,   616,   791,   617,   618,   619,   620,
     621,   622,   792,   224,   225,   793,   794,   624,   226,   625,
     227,   795,   626,   627,   628,   629,   630,   631,   632,   796,
     797,   633,   634,   635,   636,   637,   798,   799,   638,   639,
     640,   641,   642,   800,   234,   801,   643,   235,   644,   645,
     646,   802,   803,   647,   804,   805,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,   717,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   718,   104,   105,   672,   719,     0,   107,
     108,   109,   110,   720,   721,   112,   113,   114,   115,     0,
     116,   722,   723,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,   724,   421,   422,
     423,   725,   726,   727,   728,   729,   730,   731,   424,   425,
     732,   426,   427,   133,   428,   429,   430,   135,   136,   137,
     138,   139,   733,   431,   432,   433,   434,   435,   734,   735,
     436,   437,   736,   140,   438,   737,   439,   440,   441,   442,
     144,   738,   145,   739,   443,   444,   445,   446,   148,   447,
     740,   741,   448,   449,   450,   451,   452,   453,   742,   151,
     454,   743,   744,   745,   746,   152,   747,   748,   749,   455,
     456,   457,   458,   686,   459,   155,   156,   460,   750,   461,
     751,   462,   463,   464,   465,   466,   752,   467,   468,   469,
     753,   754,   470,   471,   472,   473,   474,   755,   475,   476,
     477,   756,   478,   479,   757,   480,   481,   482,   483,   164,
     484,   485,   486,   166,   758,   487,   759,   488,   168,   489,
     760,   490,   761,   491,   169,   762,   170,   492,   493,   494,
     763,   495,   172,   764,   496,   765,   497,   498,   688,   499,
     500,   173,   501,   502,   503,   766,   504,   505,   506,   507,
     508,   509,   767,   510,   174,   175,   768,   511,   512,   513,
     769,   176,   770,   177,   771,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,   772,   523,   181,
     182,   524,   183,   773,   525,   526,   527,   774,   775,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,   189,   190,   538,   539,   191,   776,   540,   541,
     193,   542,   777,   194,   543,   195,   544,   545,   546,   778,
     547,   779,   780,   548,   549,   550,   781,   782,   196,   197,
     198,   199,   200,   551,   552,   553,   554,   555,   556,   557,
     783,   558,   201,   559,   202,   560,   561,   562,   784,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,   785,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   786,   584,   585,   210,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,   787,   595,   596,
     597,   598,   599,   788,   600,   217,   601,   602,   219,   603,
     220,   604,   789,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,   790,   615,   616,   791,   617,   618,
     619,   620,   621,   622,   792,   224,   225,   793,   794,   624,
     226,   625,   227,   795,   626,   627,   628,   629,   630,   631,
     632,   796,   797,   633,   634,   635,   636,   637,   798,   799,
     638,   639,   640,   641,   642,   800,   234,   801,   643,   235,
     644,   645,   646,   802,   803,   647,   804,   805,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,   717,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   718,   104,   105,   672,   719,
       0,   107,   108,   109,   110,   720,   721,   112,   113,   114,
     115,     0,   116,   722,   723,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,  3114,   418,   419,   420,   724,
     421,   422,   423,   725,   726,   727,   728,   729,   730,   731,
     424,   425,   732,   426,   427,   133,   428,   429,   430,   135,
     136,   137,   138,   139,   733,   431,   432,   433,   434,   435,
     734,   735,   436,   437,   736,   140,   438,   737,   439,   440,
     441,   442,   144,   738,   145,   739,   443,   444,   445,   446,
     148,   447,   740,   741,   448,   449,   450,   451,   452,   453,
     742,   151,   454,   743,   744,   745,   746,   152,   747,   748,
     749,   455,   456,   457,   458,   686,   459,   155,   156,   460,
     750,   461,   751,   462,   463,   464,   465,   466,   752,   467,
     468,   469,   753,   754,   470,   471,   472,  3115,   474,   755,
     475,   476,   477,   756,   478,   479,   757,   480,   481,   482,
     483,   164,   484,   485,   486,   166,   758,   487,   759,   488,
     168,   489,   760,   490,   761,   491,   169,   762,   170,   492,
     493,   494,   763,   495,   172,   764,   496,   765,   497,   498,
     688,   499,   500,   173,   501,   502,   503,   766,   504,   505,
     506,   507,   508,   509,   767,   510,   174,   175,   768,   511,
     512,   513,   769,   176,   770,   177,   771,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,   772,
     523,   181,   182,   524,   183,   773,   525,   526,   527,   774,
     775,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,   189,   190,   538,   539,   191,   776,
     540,   541,   193,   542,   777,   194,   543,   195,   544,   545,
     546,   778,   547,   779,   780,   548,   549,   550,   781,   782,
     196,   197,   198,   199,   200,   551,   552,   553,   554,   555,
     556,   557,   783,   558,   201,   559,   202,   560,   561,   562,
     784,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,   785,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   786,   584,   585,   210,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,   787,
     595,   596,   597,   598,   599,   788,  3116,   217,   601,   602,
     219,   603,   220,   604,   789,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,   790,   615,   616,   791,
     617,   618,   619,   620,   621,   622,   792,   224,   225,   793,
     794,   624,   226,   625,   227,   795,   626,   627,   628,   629,
     630,   631,   632,   796,   797,   633,   634,   635,   636,   637,
     798,   799,   638,   639,   640,   641,   642,   800,   234,   801,
     643,   235,   644,   645,   646,   802,   803,   647,   804,   805,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,   717,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   718,   104,   105,
     672,   719,     0,   107,   108,   109,   110,   720,   721,   112,
     113,   114,   115,     0,   116,   722,   723,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,   135,   136,   137,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,   145,     0,   443,   444,
     445,   446,   148,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,     0,     0,     0,   152,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,   182,   524,   183,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,   189,   190,   538,   539,
     191,     0,   540,   541,   193,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,   197,   198,   199,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,   219,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,   717,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   718,
     104,   105,   672,   719,     0,   107,   108,   109,   110,   720,
     721,   112,   113,   114,   115,     0,   116,   722,   723,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,   133,
     428,   429,   430,   135,   136,   137,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,   440,   441,   442,   144,     0,   145,     0,
     443,   444,   445,   446,   148,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,   151,   454,     0,     0,     0,
       0,   152,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
     169,     0,   170,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,  1311,   173,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     174,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,   178,   179,   515,   180,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,   182,   524,   183,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,   189,   190,
     538,   539,   191,     0,   540,   541,   193,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,   197,   198,   199,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,   210,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,   219,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,   235,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,   717,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   718,   104,   105,   672,   719,     0,   107,   108,   109,
     110,   720,   721,   112,   113,   114,   115,     0,   116,   722,
     723,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,   133,   428,   429,   430,   135,   136,   137,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
     145,     0,   443,   444,   445,   446,   148,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,   151,   454,     0,
       0,     0,     0,   152,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,   169,     0,   170,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,  1320,   173,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   174,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,   178,   179,   515,   180,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,   182,   524,
     183,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
     189,   190,   538,   539,   191,     0,   540,   541,   193,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,   197,   198,   199,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,   210,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,   219,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,   235,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,   717,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   718,   104,   105,   672,   719,     0,   107,
     108,   109,   110,   720,   721,   112,   113,   114,   115,     0,
     116,   722,   723,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,   133,   428,   429,   430,     0,  1859,   137,
    1860,  1861,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,  1862,  1863,   438,     0,   439,   440,   441,   442,
       0,     0,   145,     0,   443,   444,   445,   446,   148,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,   151,
     454,     0,     0,     0,     0,   152,     0,     0,     0,   455,
     456,   457,   458,   686,   459,  1864,  1865,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1460,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,     0,     0,   487,     0,   488,  1866,   489,
       0,   490,     0,   491,   169,     0,   170,   492,   493,   494,
       0,   495,     0,     0,   496,     0,   497,   498,   688,   499,
     500,   173,   501,   502,   503,  2422,   504,   505,   506,   507,
     508,   509,     0,   510,   174,  2423,     0,   511,   512,   513,
    1466,  1867,     0,  1868,     0,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,     0,   523,     0,
     182,   524,   183,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,  1869,   189,  1870,   538,   539,     0,     0,   540,   541,
     193,   542,     0,     0,   543,  1871,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,  2424,   197,
     198,   199,     0,   551,   552,   553,   554,   555,   556,   557,
       0,   558,     0,   559,     0,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,  1872,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,   210,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,  2425,   601,   602,   219,   603,
    1874,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,  1875,  1876,     0,     0,   624,
       0,   625,     0,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,     0,  1877,  2426,   643,   235,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   693,   653,   654,   717,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   718,   104,   105,   672,   719,
       0,   107,   108,   109,   110,   720,   721,   112,   113,   114,
     115,     0,   116,   722,   723,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,   133,   428,   429,   430,     0,
    1859,   137,  1860,  1861,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,  1862,  1863,   438,     0,   439,   440,
     441,   442,     0,     0,   145,     0,   443,   444,   445,   446,
     148,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,   151,   454,     0,     0,     0,     0,   152,     0,     0,
       0,   455,   456,   457,   458,   686,   459,  1864,  1865,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,  1460,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,     0,     0,   487,     0,   488,
    1866,   489,     0,   490,     0,   491,   169,     0,   170,   492,
     493,   494,     0,   495,     0,     0,   496,     0,   497,   498,
     688,   499,   500,   173,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   174,     0,     0,   511,
     512,   513,  1466,  1867,     0,  1868,     0,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,     0,
     523,     0,   182,   524,   183,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,  1869,   189,  1870,   538,   539,     0,     0,
     540,   541,   193,   542,  2410,     0,   543,  1871,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
       0,   197,   198,   199,     0,   551,   552,   553,   554,   555,
     556,   557,     0,   558,     0,   559,     0,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,  1872,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,   210,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,  2425,   601,   602,
     219,   603,  1874,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,     0,   615,   616,  3875,
     617,   618,   619,   620,   621,   622,     0,  1875,  1876,     0,
       0,   624,     0,   625,     0,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,     0,  1877,     0,
     643,   235,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   693,   653,   654,   717,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   718,   104,   105,
     672,   719,     0,   107,   108,   109,   110,   720,   721,   112,
     113,   114,   115,     0,   116,   722,   723,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,     0,  1859,   137,  1860,  1861,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,  1862,  1863,   438,     0,
     439,   440,   441,   442,     0,     0,   145,     0,   443,   444,
     445,   446,   148,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,     0,     0,     0,   152,
       0,     0,     0,   455,   456,   457,   458,   686,   459,  1864,
    1865,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,  1460,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,     0,     0,   487,
       0,   488,  1866,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,     0,     0,   496,     0,
     497,   498,   688,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,     0,
       0,   511,   512,   513,  1466,  1867,     0,  1868,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,     0,   182,   524,   183,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,  1869,   189,  1870,   538,   539,
    2472,     0,   540,   541,   193,   542,     0,     0,   543,  1871,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,     0,   197,   198,   199,     0,   551,   552,   553,
     554,   555,   556,   557,     0,   558,     0,   559,     0,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
    1872,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,  1873,
     601,   602,   219,   603,  1874,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,  1875,
    1876,     0,     0,   624,     0,   625,     0,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,     0,
    1877,     0,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   693,   653,   654,   717,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   718,
     104,   105,   672,   719,     0,   107,   108,   109,   110,   720,
     721,   112,   113,   114,   115,     0,   116,   722,   723,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,   133,
     428,   429,   430,     0,  1859,   137,  1860,  1861,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,  1862,  1863,
     438,     0,   439,   440,   441,   442,     0,     0,   145,     0,
     443,   444,   445,   446,   148,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,   151,   454,     0,     0,     0,
       0,   152,     0,     0,     0,   455,   456,   457,   458,   686,
     459,  1864,  1865,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
    1460,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,     0,
       0,   487,     0,   488,  1866,   489,     0,   490,     0,   491,
     169,     0,   170,   492,   493,   494,     0,   495,     0,     0,
     496,     0,   497,   498,   688,   499,   500,   173,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     174,     0,     0,   511,   512,   513,  1466,  1867,     0,  1868,
       0,   514,   178,   179,   515,   180,   516,   517,   518,   519,
     520,   521,   522,     0,   523,     0,   182,   524,   183,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,  1869,   189,  1870,
     538,   539,  3699,     0,   540,   541,   193,   542,     0,     0,
     543,  1871,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,     0,   197,   198,   199,     0,   551,
     552,   553,   554,   555,   556,   557,     0,   558,     0,   559,
       0,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,  1872,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,   210,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,  1873,   601,   602,   219,   603,  1874,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,     0,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,  1875,  1876,     0,     0,   624,     0,   625,     0,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,     0,  1877,     0,   643,   235,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   693,   653,
     654,   717,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   718,   104,   105,   672,   719,     0,   107,   108,   109,
     110,   720,   721,   112,   113,   114,   115,     0,   116,   722,
     723,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,   133,   428,   429,   430,     0,  1859,   137,  1860,  1861,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
    1862,  1863,   438,     0,   439,   440,   441,   442,     0,     0,
     145,     0,   443,   444,   445,   446,   148,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,   151,   454,     0,
       0,     0,     0,   152,     0,     0,     0,   455,   456,   457,
     458,   686,   459,  1864,  1865,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,  1460,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,     0,     0,   487,     0,   488,  1866,   489,     0,   490,
       0,   491,   169,     0,   170,   492,   493,   494,     0,   495,
       0,     0,   496,     0,   497,   498,   688,   499,   500,   173,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   174,     0,     0,   511,   512,   513,  1466,  1867,
       0,  1868,     0,   514,   178,   179,   515,   180,   516,   517,
     518,   519,   520,   521,   522,     0,   523,     0,   182,   524,
     183,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,  1869,
     189,  1870,   538,   539,     0,     0,   540,   541,   193,   542,
       0,     0,   543,  1871,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,     0,   197,   198,   199,
       0,   551,   552,   553,   554,   555,   556,   557,     0,   558,
       0,   559,     0,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,  1872,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,   210,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,  1873,   601,   602,   219,   603,  1874,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,     0,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,  1875,  1876,     0,     0,   624,     0,   625,
       0,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,     0,  1877,     0,   643,   235,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     693,   653,   654,   717,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   718,   104,   105,   672,   719,     0,   107,
     108,   109,   110,   720,   721,   112,   113,   114,   115,     0,
     116,   722,   723,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,   133,   428,   429,   430,     0,  1859,   137,
    1860,  1861,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,  1862,  1863,   438,     0,   439,   440,   441,   442,
       0,     0,   145,     0,   443,   444,   445,   446,   148,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,   151,
     454,     0,     0,     0,     0,   152,     0,     0,     0,   455,
     456,   457,   458,   686,   459,  1864,  1865,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,  1460,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,     0,     0,   487,     0,   488,  1866,   489,
       0,   490,     0,   491,   169,     0,   170,   492,   493,   494,
       0,   495,     0,     0,   496,     0,   497,   498,   688,   499,
     500,   173,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   174,     0,     0,   511,   512,   513,
    1466,  1867,     0,  1868,     0,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,     0,   523,     0,
     182,   524,   183,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,  1869,   189,  1870,   538,   539,     0,     0,   540,   541,
     193,   542,     0,     0,   543,  1871,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,     0,   197,
     198,   199,     0,   551,   552,   553,   554,   555,   556,   557,
       0,   558,     0,   559,     0,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,  1872,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,   210,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,  2425,   601,   602,   219,   603,
    1874,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,  1875,  1876,     0,     0,   624,
       0,   625,     0,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,     0,  1877,     0,   643,   235,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   693,   653,   654,   717,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   718,   104,   105,   672,   719,
       0,   107,   108,   109,   110,   720,   721,   112,   113,   114,
     115,     0,   116,   722,   723,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,   133,   428,   429,   430,     0,
    1859,   137,  1860,  1861,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,  1862,  1863,   438,     0,   439,   440,
     441,   442,     0,     0,   145,     0,   443,   444,   445,   446,
     148,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,   151,   454,     0,     0,     0,     0,   152,     0,     0,
       0,   455,   456,   457,   458,   686,   459,  1864,  1865,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,  1460,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,     0,     0,   487,     0,   488,
    1866,   489,     0,   490,     0,   491,   169,     0,   170,   492,
     493,   494,     0,   495,     0,     0,   496,     0,   497,   498,
     688,   499,   500,   173,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   174,     0,     0,   511,
     512,   513,  1466,  1867,     0,  1868,     0,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,     0,
     523,     0,   182,   524,   183,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,  1869,   189,  1870,   538,   539,     0,     0,
     540,   541,   193,   542,     0,     0,   543,  1871,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
       0,   197,   198,   199,     0,   551,   552,   553,   554,   555,
     556,   557,     0,   558,     0,   559,     0,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,  1872,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,   210,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,     0,   601,   602,
     219,   603,  1874,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,  1875,  1876,     0,
       0,   624,     0,   625,     0,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,     0,  1877,     0,
     643,   235,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   693,   653,   654,   717,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   718,   104,   105,
     672,   719,     0,   107,   108,   109,   110,   720,   721,   112,
     113,   114,   115,     0,   116,   722,   723,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,     0,     0,   137,     0,     0,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,     0,     0,   438,     0,
     439,   440,   441,   442,     0,     0,   145,     0,   443,   444,
     445,   446,   148,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,     0,     0,     0,   152,
       0,     0,     0,   455,   456,   457,   458,   686,   459,     0,
       0,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,     0,     0,   487,
       0,   488,     0,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,     0,     0,   496,     0,
     497,   498,   688,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,     0,
       0,   511,   512,   513,     0,     0,     0,     0,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,     0,   182,   524,   183,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,     0,   189,     0,   538,   539,
       0,     0,   540,   541,   193,   542,     0,     0,   543,     0,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,     0,   197,   198,   199,     0,   551,   552,   553,
     554,   555,   556,   557,     0,   558,     0,   559,     0,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
       0,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,     0,
     601,   602,   219,   603,     0,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,     0,
       0,     0,     0,   624,     0,   625,     0,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,     0,
       0,     0,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   693,   653,   654,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,   724,   421,   422,   423,   725,   726,   727,   728,
     729,   730,   731,   424,   425,   732,   426,   427,   133,   428,
     429,   430,   135,   136,   137,   138,   139,   733,   431,   432,
     433,   434,   435,   734,   735,   436,   437,     0,   140,   438,
     737,   439,   440,   441,   442,   144,   738,   145,   739,   443,
     444,   445,   446,   148,   447,   740,   741,   448,   449,   450,
     451,   452,   453,   742,   151,   454,     0,   744,   745,   746,
     152,   747,   748,   749,   455,   456,   457,   458,     0,   459,
     155,   156,   460,   750,   461,   751,   462,   463,   464,   465,
     466,   752,   467,   468,   469,   753,   754,   470,   471,   472,
     473,   474,   755,   475,   476,   477,   756,   478,   479,   757,
     480,   481,   482,   483,   164,   484,   485,   486,   166,   758,
     487,   759,   488,   168,   489,   760,   490,   761,   491,   169,
     762,   170,   492,   493,   494,   763,   495,   172,   764,   496,
     765,   497,   498,     0,   499,   500,   173,   501,   502,   503,
     766,   504,   505,   506,   507,   508,   509,   767,   510,   174,
     175,     0,   511,   512,   513,     0,   176,   770,   177,   771,
     514,   178,   179,   515,   180,   516,   517,   518,   519,   520,
     521,   522,   772,   523,   181,   182,   524,   183,   773,   525,
     526,   527,   774,   775,   528,   529,   530,   531,   532,     0,
     533,   534,     0,   535,   536,   537,   188,   189,   190,   538,
     539,   191,   776,   540,   541,   193,   542,   777,   194,   543,
     195,   544,   545,   546,   778,   547,   779,   780,   548,   549,
     550,   781,   782,   196,   197,   198,   199,   200,   551,   552,
     553,   554,   555,   556,   557,   783,   558,   201,   559,   202,
     560,   561,   562,   784,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,   785,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   786,   584,   585,
     210,   586,   587,   212,   588,   589,   590,   591,   592,   593,
       0,   594,   787,   595,   596,   597,   598,   599,   788,   600,
     217,   601,   602,   219,   603,   220,   604,   789,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,   790,
     615,   616,   791,   617,   618,   619,   620,   621,   622,   792,
     224,   225,     0,   794,   624,   226,   625,   227,   795,   626,
     627,   628,   629,   630,   631,   632,     0,   797,   633,   634,
     635,   636,   637,   798,   799,   638,   639,   640,   641,   642,
       0,   234,   801,   643,   235,   644,   645,   646,   802,   803,
     647,   804,   805,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   653,   654,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,   412,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,  1132,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,   412,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   683,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,   586,   587,   212,   588,   589,   590,   591,
     592,   593,   691,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,   692,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,  2363,   439,   440,   441,   442,   144,     0,
       0,  2438,   443,   444,   445,   446,     0,   447,   684,  2364,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,  2439,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
    2366,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,  2367,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
    2368,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,    86,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,  2363,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
    2364,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,  2439,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,  2366,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,  3312,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,  2367,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,  2368,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,  1030,   419,   420,   989,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,   990,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
    1031,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,   991,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,   992,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,   989,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,   990,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,  3017,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,   991,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,   992,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   672,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,     0,   428,   429,   430,   135,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   683,   140,   438,     0,   439,   440,
     441,   442,   144,     0,     0,     0,   443,   444,   445,   446,
       0,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   686,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
     688,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,     0,   524,     0,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,     0,   190,   538,   539,   191,     0,
     540,   541,     0,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,     0,     0,     0,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,     0,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
       0,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,   692,   234,     0,
     643,     0,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   672,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,     0,   428,   429,   430,
     135,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   683,   140,   438,  2363,   439,
     440,   441,   442,   144,     0,     0,     0,   443,   444,   445,
     446,     0,   447,   684,  2364,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,  2439,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,  2366,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,   688,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,     0,   524,     0,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,     0,   190,   538,   539,   191,
       0,   540,   541,     0,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,     0,     0,     0,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,  2367,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,     0,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,     0,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,  2368,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,     0,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,   412,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,   682,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,   685,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,   687,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,   989,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,   990,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,   991,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,   992,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
     692,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
      86,    87,    88,   669,    90,    91,    92,   670,   905,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,   412,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,   906,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   907,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,  2045,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   683,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,  2046,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
    2047,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,  2048,
     491,     0,     0,     0,  2049,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,  2050,
    2051,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,   586,   587,   212,   588,   589,   590,  2052,
     592,   593,   691,   594,     0,  2053,   596,   597,   598,   599,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,  2054,   617,  2055,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,  2056,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,   692,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,   990,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,   991,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,   992,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,    86,    87,    88,   669,    90,    91,    92,
     670,  2034,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,  2321,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,   412,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,     0,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,  2894,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,     0,     0,   525,   526,  2895,     0,     0,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,  2896,   617,   618,  2897,
     620,  2898,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,  2899,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
     412,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,   709,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,   412,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,   687,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   672,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,   412,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,   857,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,     0,   428,   429,   430,   135,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   683,   140,   438,     0,   439,   440,
     441,   442,   144,     0,     0,     0,   443,   444,   445,   446,
       0,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   686,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
     688,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,     0,   524,     0,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,     0,   190,   538,   539,   191,     0,
     540,   541,     0,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,     0,     0,     0,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,     0,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
       0,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,   692,   234,     0,
     643,     0,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   672,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,   412,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
    1303,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,     0,   428,   429,   430,
     135,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   683,   140,   438,     0,   439,
     440,   441,   442,   144,     0,     0,     0,   443,   444,   445,
     446,     0,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,   688,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,     0,   524,     0,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,     0,   190,   538,   539,   191,
       0,   540,   541,     0,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,     0,     0,     0,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,     0,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,     0,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,     0,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   130,   131,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,  3098,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,  3099,     0,   638,   639,   640,   641,   642,
     692,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,  3110,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,  3111,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,   412,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   683,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,   586,   587,   212,   588,   589,   590,   591,
     592,   593,   691,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,   692,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,   412,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   911,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,    86,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,   412,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,     0,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,   500,
       0,   953,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,     0,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
     412,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,  1006,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,  1063,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   672,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,     0,   428,   429,   430,   135,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   683,   140,   438,     0,   439,   440,
     441,   442,   144,     0,     0,     0,   443,   444,   445,   446,
       0,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   686,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
     688,   499,  1206,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,     0,   524,     0,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,     0,   190,   538,   539,   191,     0,
     540,   541,     0,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,  1063,   548,   549,   550,     0,     0,
     196,     0,     0,     0,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,     0,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
       0,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,   692,   234,     0,
     643,     0,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   672,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
    1545,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,     0,   428,   429,   430,
     135,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   683,   140,   438,     0,   439,
     440,   441,   442,   144,     0,     0,     0,   443,   444,   445,
     446,     0,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,   688,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,     0,   524,     0,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,     0,   190,   538,   539,   191,
       0,   540,   541,     0,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,     0,     0,     0,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,     0,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,     0,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,     0,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,  1717,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,  1063,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,  1942,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
     692,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
      86,    87,    88,   669,    90,    91,    92,   670,  2034,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,  2321,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,  4012,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   683,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,   586,   587,   212,   588,   589,   590,   591,
     592,   593,   691,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,   692,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,  4025,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,    86,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,     0,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,  4243,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,     0,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,  4245,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
     500,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,  4247,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   672,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,     0,   428,   429,   430,   135,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   683,   140,   438,     0,   439,   440,
     441,   442,   144,     0,     0,     0,   443,   444,   445,   446,
       0,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   686,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
     688,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,     0,   524,     0,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,     0,   190,   538,   539,   191,     0,
     540,   541,     0,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,     0,     0,     0,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,     0,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
       0,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,  4623,   638,   639,   640,   641,   642,   692,   234,     0,
     643,     0,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   672,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,     0,   428,   429,   430,
     135,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   683,   140,   438,     0,   439,
     440,   441,   442,   144,     0,     0,     0,   443,   444,   445,
     446,     0,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,   688,   499,   500,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,     0,   524,     0,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,     0,   190,   538,   539,   191,
       0,   540,   541,     0,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,     0,     0,     0,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,     0,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,     0,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,     0,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,   500,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,  1014,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,  1016,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,  1017,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,     0,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,  1018,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
    1019,   225,     0,     0,  1020,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
    1021,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,  1057,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,  1017,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,  1058,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,  1059,   225,     0,     0,  1060,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,  1021,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   683,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,  1077,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,   586,   587,   212,   588,   589,   590,   591,
     592,   593,   691,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,   692,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,  1182,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,    86,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,     0,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,  1203,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,     0,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
    1214,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,  1265,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   672,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,     0,   428,   429,   430,   135,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   683,   140,   438,     0,   439,   440,
     441,   442,   144,     0,     0,     0,   443,   444,   445,   446,
       0,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   686,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
     688,   499,  1316,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,     0,   524,     0,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,     0,   190,   538,   539,   191,     0,
     540,   541,     0,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,     0,     0,     0,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,     0,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
       0,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,   692,   234,     0,
     643,     0,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   672,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,     0,   428,   429,   430,
     135,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   683,   140,   438,     0,   439,
     440,   441,   442,   144,     0,     0,     0,   443,   444,   445,
     446,     0,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,   688,   499,  1322,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,     0,   524,     0,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,     0,   190,   538,   539,   191,
       0,   540,   541,     0,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,     0,     0,     0,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,     0,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,     0,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,     0,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,  1331,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,  1333,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
     692,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,  1335,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   683,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,  1337,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,   586,   587,   212,   588,   589,   590,   591,
     592,   593,   691,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,   692,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,  1340,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,   590,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,    86,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,     0,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,  1342,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,     0,     0,   525,   526,   527,     0,     0,   528,   529,
    1343,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
    1346,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,  1556,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,  1043,   437,  1017,   140,  1557,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,     0,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,   500,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,  1047,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,  1048,   587,   212,
     588,   589,   590,  1049,   592,   593,   691,   594,     0,   595,
     596,   597,   598,  1549,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,  1051,   225,     0,     0,
    1052,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,  1021,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,  1053,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,  1681,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   672,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,     0,   428,   429,   430,   135,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   683,   140,   438,     0,   439,   440,
     441,   442,   144,     0,     0,     0,   443,   444,   445,   446,
       0,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   686,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
     688,   499,   500,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,     0,   524,     0,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,     0,   190,   538,   539,   191,     0,
     540,   541,     0,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,     0,     0,     0,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,     0,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
       0,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,   692,   234,     0,
     643,     0,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   672,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,     0,   428,   429,   430,
     135,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   683,   140,   438,     0,   439,
     440,   441,   442,   144,     0,     0,     0,   443,   444,   445,
     446,     0,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,   688,   499,  1905,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,     0,   524,     0,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,     0,   190,   538,   539,   191,
       0,   540,   541,     0,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,     0,     0,     0,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,     0,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,     0,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,     0,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,  1932,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,   683,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,   684,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,  1966,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,   537,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,   586,   587,   212,   588,   589,   590,   591,   592,   593,
     691,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
     692,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,   683,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,   684,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,  1968,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,   537,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,   586,   587,   212,   588,   589,   590,   591,   592,
     593,   691,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,   692,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,   683,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,   684,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,  1970,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,   537,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,   586,   587,   212,   588,   589,   590,   591,
     592,   593,   691,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,   692,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
     683,   140,   438,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,   684,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,   537,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,   586,   587,   212,   588,   589,  2082,
     591,   592,   593,   691,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   692,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,    86,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,  2288,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,     0,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,     0,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,   588,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,     0,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,    86,    87,    88,   669,    90,    91,
      92,   670,     0,   671,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   672,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   673,   674,     0,     0,     0,   675,   676,
       0,     0,     0,     0,   677,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   679,     0,   680,   681,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,     0,   428,   429,   430,   135,   136,     0,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,   683,   140,   438,     0,   439,   440,   441,   442,
     144,     0,     0,     0,   443,   444,   445,   446,     0,   447,
     684,     0,   448,   449,   450,   451,   452,   453,     0,     0,
     454,     0,     0,     0,     0,     0,     0,     0,     0,   455,
     456,   457,   458,   686,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,     0,     0,     0,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,   688,   499,
    2658,     0,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,     0,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,     0,     0,   515,     0,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
       0,   524,     0,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,   689,   533,   534,   690,   535,   536,
     537,   188,     0,   190,   538,   539,   191,     0,   540,   541,
       0,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,     0,
       0,     0,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,     0,   586,   587,   212,   588,
     589,   590,   591,   592,   593,   691,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,     0,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,   692,   234,     0,   643,     0,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   693,   653,   654,    86,    87,    88,   669,    90,
      91,    92,   670,     0,   671,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   672,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   673,   674,     0,     0,     0,   675,
     676,     0,     0,     0,     0,   677,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,   679,     0,   680,   681,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,     0,   428,   429,   430,   135,   136,
       0,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,   683,   140,   438,     0,   439,   440,   441,
     442,   144,     0,     0,     0,   443,   444,   445,   446,     0,
     447,   684,     0,   448,   449,   450,   451,   452,   453,     0,
       0,   454,     0,     0,     0,     0,     0,     0,     0,     0,
     455,   456,   457,   458,   686,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,     0,     0,     0,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,   688,
     499,  3028,     0,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,     0,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,     0,     0,   515,
       0,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,     0,   524,     0,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,   689,   533,   534,   690,   535,
     536,   537,   188,     0,   190,   538,   539,   191,     0,   540,
     541,     0,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
       0,     0,     0,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,     0,   586,   587,   212,
     588,   589,   590,   591,   592,   593,   691,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,     0,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,     0,
       0,   638,   639,   640,   641,   642,   692,   234,     0,   643,
       0,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   693,   653,   654,    86,    87,    88,   669,
      90,    91,    92,   670,     0,   671,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   672,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   673,   674,     0,     0,     0,
     675,   676,     0,     0,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   679,     0,   680,
     681,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,     0,   428,   429,   430,   135,
     136,     0,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,   683,   140,   438,     0,   439,   440,
     441,   442,   144,     0,     0,     0,   443,   444,   445,   446,
       0,   447,   684,     0,   448,   449,   450,   451,   452,   453,
       0,     0,   454,     0,     0,     0,     0,     0,     0,     0,
       0,   455,   456,   457,   458,   686,   459,   155,   156,   460,
       0,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,     0,     0,     0,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
     688,   499,  3101,     0,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,     0,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,     0,     0,
     515,     0,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,     0,   524,     0,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,   689,   533,   534,   690,
     535,   536,   537,   188,     0,   190,   538,   539,   191,     0,
     540,   541,     0,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,     0,     0,     0,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,     0,   586,   587,
     212,   588,   589,   590,   591,   592,   593,   691,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
       0,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,   692,   234,     0,
     643,     0,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   693,   653,   654,    86,    87,    88,
     669,    90,    91,    92,   670,     0,   671,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   672,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   673,   674,     0,     0,
       0,   675,   676,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,   679,     0,
     680,   681,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,     0,   428,   429,   430,
     135,   136,     0,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,   683,   140,   438,     0,   439,
     440,   441,   442,   144,     0,     0,     0,   443,   444,   445,
     446,     0,   447,   684,     0,   448,   449,   450,   451,   452,
     453,     0,     0,   454,     0,     0,     0,     0,     0,     0,
       0,     0,   455,   456,   457,   458,   686,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,     0,     0,     0,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,   688,   499,  3103,     0,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,     0,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,     0,
       0,   515,     0,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,     0,   524,     0,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,   689,   533,   534,
     690,   535,   536,   537,   188,     0,   190,   538,   539,   191,
       0,   540,   541,     0,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,     0,     0,     0,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,     0,   586,
     587,   212,   588,   589,   590,   591,   592,   593,   691,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,     0,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,   692,   234,
       0,   643,     0,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   693,   653,   654,    86,    87,
      88,   669,    90,    91,    92,   670,     0,   671,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     672,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   673,   674,     0,
       0,     0,   675,   676,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,   679,
       0,   680,   681,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,     0,   428,   429,
     430,   135,   136,     0,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,   683,   140,   438,     0,
     439,   440,   441,   442,   144,     0,     0,     0,   443,   444,
     445,   446,     0,   447,   684,     0,   448,   449,   450,   451,
     452,   453,     0,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,   455,   456,   457,   458,   686,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,     0,     0,
       0,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,   688,   499,  3195,     0,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,     0,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
       0,     0,   515,     0,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,     0,   524,     0,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,   689,   533,
     534,   690,   535,   536,   537,   188,     0,   190,   538,   539,
     191,     0,   540,   541,     0,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,     0,     0,     0,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,     0,
     586,   587,   212,   588,   589,   590,   591,   592,   593,   691,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,     0,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,   692,
     234,     0,   643,     0,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   693,   653,   654,    86,
      87,    88,   669,    90,    91,    92,   670,     0,   671,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   672,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   673,   674,
       0,     0,     0,   675,   676,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
     679,     0,   680,   681,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,     0,   428,
     429,   430,   135,   136,     0,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,  1043,   437,  1017,   140,   438,
       0,   439,   440,   441,   442,   144,     0,     0,     0,   443,
     444,   445,   446,     0,   447,     0,     0,   448,   449,   450,
     451,   452,   453,     0,     0,   454,     0,     0,     0,     0,
       0,     0,     0,     0,   455,   456,   457,   458,   686,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,     0,
       0,     0,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,   688,   499,   500,     0,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,     0,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,     0,     0,   515,     0,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,     0,   524,     0,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,   689,
     533,   534,   690,   535,   536,  1047,   188,     0,   190,   538,
     539,   191,     0,   540,   541,     0,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,     0,     0,     0,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
       0,  1048,   587,   212,   588,   589,   590,  1049,   592,   593,
     691,   594,     0,   595,   596,   597,   598,  1549,     0,   600,
     217,   601,   602,     0,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
    1051,   225,     0,     0,  1052,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
    1021,   234,     0,   643,     0,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,  1053,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   693,   653,   654,
      86,    87,    88,   669,    90,    91,    92,   670,     0,   671,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   672,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   673,
     674,     0,     0,     0,   675,   676,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   679,     0,   680,   681,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,     0,
     428,   429,   430,   135,   136,     0,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,  1043,   437,  1017,   140,
     438,     0,   439,   440,   441,   442,   144,     0,     0,     0,
     443,   444,   445,   446,     0,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,   455,   456,   457,   458,   686,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
       0,     0,     0,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,   688,   499,   500,     0,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
       0,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,     0,     0,   515,     0,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,     0,   524,     0,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
     689,   533,   534,   690,   535,   536,  1047,   188,     0,   190,
     538,   539,   191,     0,   540,   541,     0,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,     0,     0,     0,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,     0,  1048,   587,   212,   588,   589,   590,  1049,   592,
     593,   691,   594,     0,   595,   596,   597,   598,  1549,     0,
     600,   217,   601,   602,     0,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,  2354,   619,   620,   621,   622,
       0,  1051,   225,     0,     0,  1052,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,  1021,   234,     0,   643,     0,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,  1053,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   693,   653,
     654,    86,    87,    88,   669,    90,    91,    92,   670,     0,
     671,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   672,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     673,   674,     0,     0,     0,   675,   676,     0,     0,     0,
       0,   677,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,   679,     0,   680,   681,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
       0,   428,   429,   430,   135,   136,     0,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,  1043,   437,  1017,
     140,   438,     0,   439,   440,   441,   442,   144,     0,     0,
       0,   443,   444,   445,   446,     0,   447,     0,     0,   448,
     449,   450,   451,   452,   453,     0,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,   455,   456,   457,   458,
     686,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,     0,     0,     0,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,   688,   499,   500,     0,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,     0,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,     0,     0,   515,     0,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,     0,   524,     0,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,   689,   533,   534,   690,   535,   536,  1047,   188,     0,
     190,   538,   539,   191,     0,   540,   541,     0,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,     0,     0,     0,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,     0,  1048,   587,   212,   588,   589,   590,  2414,
     592,   593,   691,   594,     0,   595,   596,   597,   598,  2415,
       0,   600,   217,   601,   602,     0,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,  1051,   225,     0,     0,  2416,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,  1021,   234,     0,   643,     0,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,  1053,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   693,
     653,   654,    86,    87,    88,   669,    90,    91,    92,   670,
       0,   671,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   672,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   673,   674,     0,     0,     0,   675,   676,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,   679,     0,   680,   681,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,     0,   428,   429,   430,   135,   136,     0,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,  1043,   437,
    1017,   140,   438,     0,   439,   440,   441,   442,   144,     0,
       0,     0,   443,   444,   445,   446,     0,   447,     0,     0,
     448,   449,   450,   451,   452,   453,     0,     0,   454,     0,
       0,     0,     0,     0,     0,     0,     0,   455,   456,   457,
     458,   686,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,     0,     0,     0,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,   688,   499,   500,     0,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,     0,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,     0,     0,   515,     0,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,     0,   524,
       0,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,   689,   533,   534,   690,   535,   536,  1047,   188,
       0,   190,   538,   539,   191,     0,   540,   541,     0,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,     0,     0,     0,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,     0,  1048,   587,   212,   588,   589,   590,
    1049,   592,   593,   691,   594,     0,   595,   596,   597,   598,
    2415,     0,   600,   217,   601,   602,     0,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,  1051,   225,     0,     0,  2416,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,  1021,   234,     0,   643,     0,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
    1053,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     693,   653,   654,    86,    87,    88,   669,    90,    91,    92,
     670,     0,   671,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   672,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   673,   674,     0,     0,     0,   675,   676,     0,
       0,     0,     0,   677,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,   679,     0,   680,   681,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,     0,   428,   429,   430,   135,   136,     0,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,   683,   140,   438,     0,   439,   440,   441,   442,   144,
       0,     0,     0,   443,   444,   445,   446,     0,   447,   684,
       0,   448,   449,   450,   451,   452,   453,     0,     0,   454,
       0,     0,     0,     0,     0,     0,     0,     0,   455,   456,
     457,   458,   686,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,     0,     0,     0,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,   688,   499,   500,
       0,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,     0,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,     0,     0,   515,     0,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,     0,
     524,     0,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,   689,   533,   534,   690,   535,   536,   537,
     188,     0,   190,   538,   539,   191,     0,   540,   541,     0,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,     0,     0,
       0,   200,   551,   552,   553,   554,     0,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,     0,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,     0,   586,   587,   212,     0,   589,
     590,   591,   592,   593,   691,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,     0,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,   692,   234,     0,   643,     0,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   693,   653,   654,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,   115, -2329,
     116,   117,   118,     0,     0,     0,     0,     0,   121,   122,
       0,     0,     0,     0,   123,     0,     0,     0,     0,     0,
       0,     0,     0,   124,     0,   125,     0,   126,   127,    35,
       0,   407,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,   135,   136,   137,
     138,   139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,     0,     0,     0,     0,     0,
     144,     0,   145,     0,     0,     0,     0,     0,   148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,   152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   155,   156,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   162,     0,     0,     0,     0,     0,     0,   164,
       0,     0,     0,   166,     0,     0,     0,     0,   168,     0,
       0,     0,     0,     0,   169,     0,   170,     0,     0,     0,
       0,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   174,   175,     0,     0,     0,     0,
       0,   176,     0,   177,     0,     0,   178,   179,     0,   180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   181,
     182,     0,   183,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,     0,     0,   191,     0,     0,     0,
     193,     0,     0,   194,     0,   195,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   196,   197,
     198,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   210,     0,     0,   212,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   217,     0,     0,   219,     0,
     220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,     0,     0,     0,
     226,     0,   227,     0,     0,     0,     0,     0,     0,     0,
       0,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,     0,     0,   235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115, -2330,   116,   117,
     118,     0,     0,     0,     0,     0,   121,   122,     0,     0,
       0,     0,   123,     0,     0,     0,     0,     0,     0,     0,
       0,   124,     0,   125,     0,   126,   127,    35,     0,  1127,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
     145,     0,     0,     0,     0,     0,   148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,   152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   155,   156,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     162,     0,     0,     0,     0,     0,     0,   164,     0,     0,
       0,   166,     0,     0,     0,     0,   168,     0,     0,     0,
       0,     0,   169,     0,   170,     0,     0,     0,     0,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,   175,     0,     0,     0,     0,     0,   176,
       0,   177,     0,     0,   178,   179,     0,   180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   181,   182,     0,
     183,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,     0,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   196,   197,   198,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   210,     0,     0,   212,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   217,     0,     0,   219,     0,   220,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,     0,     0,     0,   226,     0,
     227,     0,     0,     0,     0,     0,     0,     0,     0,   230,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,     0,     0,   235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,     0,
       0,     0,     0,     0,   121,   122,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   133,
       0,     0,     0,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,     0,     0,     0,     0,   144,     0,   145,     0,
       0,     0,     0,     0,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   155,   156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   162,     0,
       0,     0,     0,     0,     0,   164,     0,     0,     0,   166,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   182,     0,   183,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
       0,     0,   191,     0,     0,     0,   193,     0,     0,   194,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   196,   197,   198,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   210,     0,     0,   212,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   217,     0,     0,   219,     0,   220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,     0,     0,     0,   226,     0,   227,     0,
       0,     0,     0,     0,     0,     0,     0,   230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,     0,     0,   235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115,     0,   116,   117,   118,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,   145,     0,     0,     0,
       0,     0,   148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   162,     0,     0,     0,
       0,     0,     0,   164,     0,     0,     0,   166,     0,     0,
       0,     0,   168,     0,     0,     0,     0,     0,   169,     0,
     170,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,   175,
       0,     0,     0,     0,     0,   176,     0,   177,     0,     0,
     178,   179,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   210,
       0,     0,   212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   217,
       0,     0,   219,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,     0,     0,     0,   226,     0,   227,     0,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,   145,     0,     0,     0,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   155,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   164,     0,     0,     0,   166,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   176,     0,   177,     0,     0,   178,   179,
       0,   180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   181,   182,     0,   183,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,     0,     0,   191,     0,
       0,     0,   193,     0,     0,   194,     0,   195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     196,   197,   198,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   210,     0,     0,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   217,     0,     0,
     219,     0,   220,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,     0,
       0,     0,   226,     0,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,     0,
       0,   235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    35,   412,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,   133,   428,
     429,   430,   135,   136,   137,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,     0,   140,   438,
       0,   439,   440,   441,   442,   144,     0,   145,     0,   443,
     444,   445,   446,   148,   447,     0,     0,   448,   449,   450,
     451,   452,   453,     0,   151,   454,     0,     0,     0,     0,
     152,     0,     0,     0,   455,   456,   457,   458,     0,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,  2010,
     487,     0,   488,   168,   489,     0,   490,     0,   491,   169,
       0,   170,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,     0,   499,   500,   173,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   174,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,   178,   179,   515,   180,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,   182,   524,   183,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,     0,
     533,   534,     0,   535,   536,   537,   188,   189,   190,   538,
     539,   191,     0,   540,   541,   193,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,  2011,     0,   548,   549,
     550,     0,     0,   196,   197,   198,   199,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
     210,   586,   587,   212,   588,   589,   590,   591,   592,   593,
       0,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,   219,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,  2012,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
       0,   234,     0,   643,   235,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   653,   654,
       0,     0,     0,     0,     0,    41,    42,   980,  1639,  4207,
       0,     0,     0,     0,     0,     0,  4208,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   130,
     131,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,   133,   428,   429,   430,   135,   136,   137,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
       0,   140,   438,     0,   439,   440,   441,   442,   144,     0,
     145,     0,   443,   444,   445,   446,   148,   447,     0,     0,
     448,   449,   450,   451,   452,   453,     0,   151,   454,     0,
       0,     0,     0,   152,     0,     0,     0,   455,   456,   457,
     458,     0,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,   169,     0,   170,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,     0,   499,   500,   173,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   174,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,   178,   179,   515,   180,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,   182,   524,
     183,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,     0,   533,   534,     0,   535,   536,   537,   188,
     189,   190,   538,   539,   191,     0,   540,   541,   193,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,   197,   198,   199,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,   210,   586,   587,   212,   588,   589,   590,
     591,   592,   593,     0,   594,   215,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,   219,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,   223,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,   233,   234,     0,   643,   235,   644,   645,
     646,     0,     0,   647,     0,   236,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
       0,   653,   654,    35,   412,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,   246,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,     0,     0,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,   135,   136,   137,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,     0,   140,   438,     0,
     439,   440,   441,   442,   144,     0,   145,     0,   443,   444,
     445,   446,   148,   447,     0,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,     0,     0,     0,   152,
       0,     0,     0,   455,   456,   457,   458,     0,   459,   155,
     156,   460,  2228,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,  2010,   487,
       0,   488,   168,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,     0,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,   182,   524,   183,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,     0,   533,
     534,     0,   535,   536,   537,   188,   189,   190,   538,   539,
     191,     0,   540,   541,   193,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,  2011,     0,   548,   549,   550,
       0,     0,   196,   197,   198,   199,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,   212,   588,   589,   590,   591,   592,   593,     0,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,   219,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,  2012,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,     0,
     234,     0,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,   653,   654,     0,
       0,     0,     0,     0,    35,   412,   980,  1639,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,   133,   428,
     429,   430,   135,   136,   137,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,     0,   140,   438,
       0,   439,   440,   441,   442,   144,     0,   145,     0,   443,
     444,   445,   446,   148,   447,     0,     0,   448,   449,   450,
     451,   452,   453,     0,   151,   454,     0,     0,     0,     0,
     152,     0,     0,     0,   455,   456,   457,   458,     0,   459,
     155,   156,   460,  2233,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,  2010,
     487,     0,   488,   168,   489,     0,   490,     0,   491,   169,
       0,   170,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,     0,   499,   500,   173,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   174,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,   178,   179,   515,   180,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,   182,   524,   183,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,     0,
     533,   534,     0,   535,   536,   537,   188,   189,   190,   538,
     539,   191,     0,   540,   541,   193,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,  2011,     0,   548,   549,
     550,     0,     0,   196,   197,   198,   199,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
     210,   586,   587,   212,   588,   589,   590,   591,   592,   593,
       0,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,   219,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,  2012,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
       0,   234,     0,   643,   235,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   653,   654,
       0,     0,     0,     0,     0,    35,   412,   980,  1639,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,   133,
     428,   429,   430,   135,   136,   137,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,     0,   140,
     438,     0,   439,   440,   441,   442,   144,     0,   145,     0,
     443,   444,   445,   446,   148,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   151,   454,     0,     0,     0,
       0,   152,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
    2010,   487,     0,   488,   168,   489,     0,   490,     0,   491,
     169,     0,   170,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,     0,   499,   500,   173,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     174,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,   178,   179,   515,   180,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,   182,   524,   183,     0,
     525,   526,   527,     0,     0,   528,   529,   530,   531,   532,
       0,   533,   534,     0,   535,   536,   537,   188,   189,   190,
     538,   539,   191,     0,   540,   541,   193,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,  2011,     0,   548,
     549,   550,     0,     0,   196,   197,   198,   199,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,   210,   586,   587,   212,   588,   589,   590,   591,   592,
     593,     0,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,   219,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,  2012,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,     0,   234,     0,   643,   235,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,     0,   653,
     654,     0,     0,     0,     0,     0,    35,     0,   980,  1639,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
     133,   428,   429,   430,   135,   136,   137,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,     0,
     140,   438,     0,   439,   440,   441,   442,   144,     0,   145,
       0,   443,   444,   445,   446,   148,   447,     0,     0,   448,
     449,   450,   451,   452,   453,     0,   151,   454,     0,     0,
       0,     0,   152,     0,     0,     0,   455,   456,   457,   458,
       0,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,  2010,   487,     0,   488,   168,   489,     0,   490,     0,
     491,   169,     0,   170,   492,   493,   494,     0,   495,   172,
       0,   496,     0,   497,   498,     0,   499,   500,   173,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   174,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,   178,   179,   515,   180,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,   182,   524,   183,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,     0,   533,   534,     0,   535,   536,   537,   188,   189,
     190,   538,   539,   191,     0,   540,   541,   193,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,  2011,     0,
     548,   549,   550,     0,     0,   196,   197,   198,   199,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,   210,   586,   587,   212,   588,   589,   590,   591,
     592,   593,     0,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,   219,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
    2012,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,     0,   234,     0,   643,   235,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,     0,
     653,   654,    35,   412,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,   133,   428,   429,   430,
     135,   136,   137,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,     0,   140,   438,     0,   439,
     440,   441,   442,   144,     0,   145,     0,   443,   444,   445,
     446,   148,   447,     0,     0,   448,   449,   450,   451,   452,
     453,     0,   151,   454,     0,     0,     0,     0,   152,     0,
       0,     0,   455,   456,   457,   458,     0,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,   169,     0,   170,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,     0,   499,   500,   173,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   174,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,   178,
     179,   515,   180,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,   182,   524,   183,     0,   525,   526,   527,
       0,     0,   528,   529,   530,   531,   532,     0,   533,   534,
       0,   535,   536,   537,   188,   189,   190,   538,   539,   191,
       0,   540,   541,   193,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,   197,   198,   199,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,   210,   586,
     587,   212,   588,   589,   590,   591,   592,   593,     0,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,   219,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
     623,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,     0,   234,
       0,   643,   235,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,     0,   653,   654,    35,   412,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
       0,     0,     0,     0,     0,     0,     0,   424,   425,     0,
     426,   427,   133,   428,   429,   430,   135,   136,   137,   138,
     139,     0,   431,   432,   433,   434,   435,     0,     0,   436,
     437,     0,   140,   438,     0,   439,   440,   441,   442,   144,
       0,   145,     0,   443,   444,   445,   446,   148,   447,     0,
       0,   448,   449,   450,   451,   452,   453,     0,   151,   454,
       0,     0,     0,     0,   152,     0,     0,     0,   455,   456,
     457,   458,     0,   459,   155,   156,   460,     0,   461,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
       0,   478,   479,     0,   480,   481,   482,   483,   164,   484,
     485,   486,   166,     0,   487,     0,   488,   168,   489,     0,
     490,     0,   491,   169,     0,   170,   492,   493,   494,     0,
     495,   172,     0,   496,     0,   497,   498,     0,   499,   500,
     173,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,     0,   510,   174,   175,     0,   511,   512,   513,     0,
     176,     0,   177,     0,   514,   178,   179,   515,   180,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   181,   182,
     524,   183,     0,   525,   526,   527,     0,     0,   528,   529,
     530,   531,   532,     0,   533,   534,     0,   535,   536,   537,
     188,   189,   190,   538,   539,   191,     0,   540,   541,   193,
     542,     0,   194,   543,   195,   544,   545,   546,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   196,   197,   198,
     199,   200,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   201,   559,   202,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   204,   570,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,     0,   584,   585,   210,   586,   587,   212,   588,   589,
     590,   591,   592,   593,     0,   594,     0,   595,   596,   597,
     598,   599,     0,   600,   217,   601,   602,   219,   603,   220,
     604,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   222,     0,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,   224,   225,     0,     0,   624,   226,
     625,   227,     0,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,   635,   636,   637,     0,     0,   638,
     639,   640,   641,   642,     0,   234,     0,   643,   235,   644,
     645,   646,     0,     0,   647,     0,     0,   648,   649,   650,
     651,   652,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   653,   654,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,     0,     0,     0,     0,     0,     0,     0,
     424,   425,     0,   426,   427,   133,   428,   429,   430,   135,
     136,   137,   138,   139,     0,   431,   432,   433,   434,   435,
       0,     0,   436,   437,     0,   140,   438,     0,   439,   440,
     441,   442,   144,     0,   145,     0,   443,   444,   445,   446,
     148,   447,     0,     0,   448,   449,   450,   451,   452,   453,
       0,   151,   454,     0,     0,     0,     0,   152,     0,     0,
       0,   455,   456,   457,   458,     0,   459,   155,   156,   460,
    2213,   461,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,     0,   478,   479,     0,   480,   481,   482,
     483,   164,   484,   485,   486,   166,     0,   487,     0,   488,
     168,   489,     0,   490,     0,   491,   169,     0,   170,   492,
     493,   494,     0,   495,   172,     0,   496,     0,   497,   498,
       0,   499,   500,   173,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,     0,   510,   174,   175,     0,   511,
     512,   513,     0,   176,     0,   177,     0,   514,   178,   179,
     515,   180,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   181,   182,   524,   183,     0,   525,   526,   527,     0,
       0,   528,   529,   530,   531,   532,     0,   533,   534,     0,
     535,   536,   537,   188,   189,   190,   538,   539,   191,     0,
     540,   541,   193,   542,     0,   194,   543,   195,   544,   545,
     546,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     196,   197,   198,   199,   200,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   201,   559,   202,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   204,   570,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,     0,   584,   585,   210,   586,   587,
     212,   588,   589,   590,   591,   592,   593,     0,   594,     0,
     595,   596,   597,   598,   599,     0,   600,   217,   601,   602,
     219,   603,   220,   604,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   222,     0,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,   224,   225,     0,
       0,   624,   226,   625,   227,     0,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,   635,   636,   637,
       0,     0,   638,   639,   640,   641,   642,     0,   234,     0,
     643,   235,   644,   645,   646,     0,     0,   647,     0,     0,
     648,   649,   650,   651,   652,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    35,   653,   654,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,     0,     0,     0,     0,
       0,     0,     0,   424,   425,     0,   426,   427,   133,   428,
     429,   430,   135,   136,   137,   138,   139,     0,   431,   432,
     433,   434,   435,     0,     0,   436,   437,     0,   140,   438,
       0,   439,   440,   441,   442,   144,     0,   145,     0,   443,
     444,   445,   446,   148,   447,     0,     0,   448,   449,   450,
     451,   452,   453,     0,   151,   454,     0,     0,     0,     0,
     152,     0,     0,     0,   455,   456,   457,   458,     0,   459,
     155,   156,   460,     0,   461,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,     0,   478,   479,     0,
     480,   481,   482,   483,   164,   484,   485,   486,   166,     0,
     487,     0,   488,   168,   489,     0,   490,     0,   491,   169,
       0,   170,   492,   493,   494,     0,   495,   172,     0,   496,
       0,   497,   498,     0,   499,   500,   173,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,     0,   510,   174,
     175,     0,   511,   512,   513,     0,   176,     0,   177,     0,
     514,   178,   179,   515,   180,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   181,   182,   524,   183,     0,   525,
     526,   527,     0,     0,   528,   529,   530,   531,   532,     0,
     533,   534,     0,   535,   536,   537,   188,   189,   190,   538,
     539,   191,     0,   540,   541,   193,   542,     0,   194,   543,
     195,   544,   545,   546,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   196,   197,   198,   199,   200,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   201,   559,   202,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   204,   570,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,     0,   584,   585,
     210,   586,   587,   212,   588,   589,   590,   591,   592,   593,
       0,   594,     0,   595,   596,   597,   598,   599,     0,   600,
     217,   601,   602,   219,   603,   220,   604,     0,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   222,     0,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
     224,   225,     0,     0,   624,   226,   625,   227,     0,   626,
     627,   628,   629,   630,   631,   632,     0,     0,   633,   634,
     635,   636,   637,     0,     0,   638,   639,   640,   641,   642,
       0,   234,     0,   643,   235,   644,   645,   646,     0,     0,
     647,     0,     0,   648,   649,   650,   651,   652,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   653,   654,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,     0,
       0,     0,     0,     0,     0,     0,   424,   425,     0,   426,
     427,   133,   428,   429,   430,   135,   136,   137,   138,   139,
       0,   431,   432,   433,   434,   435,     0,     0,   436,   437,
       0,   140,   438,     0,   439,   440,   441,   442,   144,     0,
     145,     0,   443,   444,   445,   446,   148,   447,     0,     0,
     448,   449,   450,   451,   452,   453,     0,   151,   454,     0,
       0,     0,     0,   152,     0,     0,     0,   455,   456,   457,
     458,     0,   459,   155,   156,   460,     0,   461,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,     0,
     478,   479,     0,   480,   481,   482,   483,   164,   484,   485,
     486,   166,     0,   487,     0,   488,   168,   489,     0,   490,
       0,   491,   169,     0,   170,   492,   493,   494,     0,   495,
     172,     0,   496,     0,   497,   498,     0,   499,  1990,   173,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
       0,   510,   174,   175,     0,   511,   512,   513,     0,   176,
       0,   177,     0,   514,   178,   179,   515,   180,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   181,   182,   524,
     183,     0,   525,   526,   527,     0,     0,   528,   529,   530,
     531,   532,     0,   533,   534,     0,   535,   536,   537,   188,
     189,   190,   538,   539,   191,     0,   540,   541,   193,   542,
       0,   194,   543,   195,   544,   545,   546,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   196,   197,   198,   199,
     200,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     201,   559,   202,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   204,   570,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
       0,   584,   585,   210,   586,   587,   212,   588,   589,   590,
     591,   592,   593,     0,   594,     0,   595,   596,   597,   598,
     599,     0,   600,   217,   601,   602,   219,   603,   220,   604,
       0,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   222,     0,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,   224,   225,     0,     0,   624,   226,   625,
     227,     0,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,   635,   636,   637,     0,     0,   638,   639,
     640,   641,   642,     0,   234,     0,   643,   235,   644,   645,
     646,     0,     0,   647,     0,     0,   648,   649,   650,   651,
     652,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      35,   653,   654,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,     0,     0,     0,     0,     0,     0,     0,   424,
     425,     0,   426,   427,   133,   428,   429,   430,   135,   136,
     137,   138,   139,     0,   431,   432,   433,   434,   435,     0,
       0,   436,   437,     0,   140,   438,     0,   439,   440,   441,
     442,   144,     0,   145,     0,   443,   444,   445,   446,   148,
     447,     0,     0,   448,   449,   450,   451,   452,   453,     0,
     151,   454,     0,     0,     0,     0,   152,     0,     0,  2527,
     455,   456,   457,   458,     0,   459,   155,   156,   460,     0,
     461,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,     0,   478,   479,     0,   480,   481,   482,   483,
     164,   484,   485,   486,   166,     0,   487,     0,   488,   168,
     489,     0,   490,     0,   491,   169,     0,   170,   492,   493,
     494,     0,   495,   172,     0,   496,     0,   497,   498,     0,
     499,   500,   173,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,     0,   510,   174,   175,     0,   511,   512,
     513,     0,   176,     0,   177,     0,   514,   178,   179,   515,
     180,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     181,   182,   524,   183,     0,   525,   526,   527,     0,     0,
     528,   529,   530,   531,   532,     0,   533,   534,     0,   535,
     536,   537,   188,   189,   190,   538,   539,   191,     0,   540,
     541,   193,   542,     0,   194,   543,   195,   544,   545,   546,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   196,
     197,   198,   199,   200,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   201,   559,   202,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   204,   570,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,     0,   584,   585,   210,   586,   587,   212,
     588,   589,   590,   591,   592,   593,     0,   594,     0,   595,
     596,   597,   598,   599,     0,   600,   217,   601,   602,   219,
     603,   220,   604,     0,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   222,     0,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,   224,   225,     0,     0,
     624,   226,   625,   227,     0,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,   635,   636,   637,  2528,
       0,   638,   639,   640,   641,   642,     0,   234,     0,   643,
     235,   644,   645,   646,     0,     0,   647,     0,     0,   648,
     649,   650,   651,   652,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   653,   654,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   130,   131,     0,     0,     0,
       0,     0,   424,   425,     0,   426,   427,   133,   428,   429,
     430,   135,   136,   137,   138,   139,     0,   431,   432,   433,
     434,   435,     0,     0,   436,   437,     0,   140,   438,     0,
     439,   440,   441,   442,   144,     0,   145,     0,   443,   444,
     445,   446,   148,   447,     0,     0,   448,   449,   450,   451,
     452,   453,     0,   151,   454,     0,     0,     0,     0,   152,
       0,     0,     0,   455,   456,   457,   458,     0,   459,   155,
     156,   460,     0,   461,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,     0,   478,   479,     0,   480,
     481,   482,   483,   164,   484,   485,   486,   166,     0,   487,
       0,   488,   168,   489,     0,   490,     0,   491,   169,     0,
     170,   492,   493,   494,     0,   495,   172,     0,   496,     0,
     497,   498,     0,   499,   500,   173,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,     0,   510,   174,   175,
       0,   511,   512,   513,     0,   176,     0,   177,     0,   514,
     178,   179,   515,   180,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   181,   182,   524,   183,     0,   525,   526,
     527,     0,     0,   528,   529,   530,   531,   532,     0,   533,
     534,     0,   535,   536,   537,   188,   189,   190,   538,   539,
     191,     0,   540,   541,   193,   542,     0,   194,   543,   195,
     544,   545,   546,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   196,   197,   198,   199,   200,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   201,   559,   202,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     204,   570,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,     0,   584,   585,   210,
     586,   587,   212,   588,   589,   590,   591,   592,   593,     0,
     594,     0,   595,   596,   597,   598,   599,     0,   600,   217,
     601,   602,   219,   603,   220,   604,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   222,     0,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,   224,
     225,     0,     0,   624,   226,   625,   227,     0,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,   635,
     636,   637,     0,     0,   638,   639,   640,   641,   642,     0,
     234,     0,   643,   235,   644,   645,   646,     0,     0,   647,
       0,     0,   648,   649,   650,   651,   652,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    35,   653,   654,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,     0,     0,
       0,     0,     0,     0,     0,   424,   425,     0,   426,   427,
     133,   428,   429,   430,   135,   136,   137,   138,   139,     0,
     431,   432,   433,   434,   435,     0,     0,   436,   437,     0,
     140,   438,     0,   439,   440,   441,   442,   144,     0,   145,
       0,   443,   444,   445,   446,   148,   447,     0,     0,   448,
     449,   450,   451,   452,   453,     0,   151,   454,     0,     0,
       0,     0,   152,     0,     0,     0,   455,   456,   457,   458,
       0,   459,   155,   156,   460,     0,   461,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,     0,   478,
     479,     0,   480,   481,   482,   483,   164,   484,   485,   486,
     166,     0,   487,     0,   488,   168,   489,     0,   490,     0,
     491,   169,     0,   170,   492,   493,   494,     0,   495,   172,
    3379,   496,     0,   497,   498,     0,   499,   500,   173,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,     0,
     510,   174,   175,     0,   511,   512,   513,     0,   176,     0,
     177,     0,   514,   178,   179,   515,   180,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   181,   182,   524,   183,
       0,   525,   526,   527,     0,     0,   528,   529,   530,   531,
     532,     0,   533,   534,     0,   535,   536,   537,   188,   189,
     190,   538,   539,   191,     0,   540,   541,   193,   542,     0,
     194,   543,   195,   544,   545,   546,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   196,   197,   198,   199,   200,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   201,
     559,   202,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   204,   570,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,     0,
     584,   585,   210,   586,   587,   212,   588,   589,   590,   591,
     592,   593,     0,   594,     0,   595,   596,   597,   598,   599,
       0,   600,   217,   601,   602,   219,   603,   220,   604,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     222,     0,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,   224,   225,     0,     0,   624,   226,   625,   227,
       0,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,   635,   636,   637,     0,     0,   638,   639,   640,
     641,   642,     0,   234,     0,   643,   235,   644,   645,   646,
       0,     0,   647,     0,     0,   648,   649,   650,   651,   652,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     653,   654,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,     0,     0,     0,     0,     0,     0,     0,   424,   425,
       0,   426,   427,   133,   428,   429,   430,   135,   136,   137,
     138,   139,     0,   431,   432,   433,   434,   435,     0,     0,
     436,   437,     0,   140,   438,     0,   439,   440,   441,   442,
     144,     0,   145,     0,   443,   444,   445,   446,   148,   447,
       0,     0,   448,   449,   450,   451,   452,   453,     0,   151,
     454,     0,     0,     0,     0,   152,     0,     0,     0,   455,
     456,   457,   458,     0,   459,   155,   156,   460,     0,   461,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,     0,   478,   479,     0,   480,   481,   482,   483,   164,
     484,   485,   486,   166,     0,   487,     0,   488,   168,   489,
       0,   490,     0,   491,   169,     0,   170,   492,   493,   494,
       0,   495,   172,     0,   496,     0,   497,   498,     0,   499,
     500,   173,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,     0,   510,   174,   175,     0,   511,   512,   513,
       0,   176,     0,   177,     0,   514,   178,   179,   515,   180,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   181,
     182,   524,   183,     0,   525,   526,   527,     0,     0,   528,
     529,   530,   531,   532,     0,   533,   534,     0,   535,   536,
     537,   188,   189,   190,   538,   539,   191,     0,   540,   541,
     193,   542,     0,   194,   543,   195,   544,   545,   546,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   196,   197,
     198,   199,   200,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   201,   559,   202,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   204,   570,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,     0,   584,   585,   210,   586,   587,   212,   588,
     589,   590,   591,   592,   593,     0,   594,     0,   595,   596,
     597,   598,   599,     0,   600,   217,   601,   602,   219,   603,
     220,   604,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   222,     0,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,   224,   225,     0,     0,   624,
     226,   625,   227,     0,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,   635,   636,   637,     0,     0,
     638,   639,   640,   641,   642,     0,   234,     0,   643,   235,
     644,   645,   646,     0,     0,   647,     0,     0,   648,   649,
     650,   651,   652,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    35,   653,   654,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,     0,     0,     0,     0,     0,     0,
       0,   424,   425,     0,   426,   427,   133,   428,   429,   430,
     135,   136,   137,   138,   139,     0,   431,   432,   433,   434,
     435,     0,     0,   436,   437,     0,   140,   438,     0,   439,
     440,   441,   442,   144,     0,   145,     0,   443,   444,   445,
     446,   148,   447,     0,     0,   448,   449,   450,   451,   452,
     453,     0,   151,   454,     0,     0,     0,     0,   152,     0,
       0,     0,   455,   456,   457,   458,     0,   459,   155,   156,
     460,     0,   461,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,     0,   478,   479,     0,   480,   481,
     482,   483,   164,   484,   485,   486,   166,     0,   487,     0,
     488,   168,   489,     0,   490,     0,   491,   169,     0,   170,
     492,   493,   494,     0,   495,   172,     0,   496,     0,   497,
     498,     0,   499,   500,   173,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,     0,   510,   174,   175,     0,
     511,   512,   513,     0,   176,     0,   177,     0,   514,   178,
     179,   515,   180,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   181,   182,   524,   183,     0,   525,   526,   527,
       0,     0,   528,   529,  1212,   531,   532,     0,   533,   534,
       0,   535,   536,   537,   188,   189,   190,   538,   539,   191,
       0,   540,   541,   193,   542,     0,   194,   543,   195,   544,
     545,   546,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   196,   197,   198,   199,   200,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   201,   559,   202,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   204,
     570,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,     0,   584,   585,   210,   586,
     587,   212,   588,   589,   590,   591,   592,   593,     0,   594,
       0,   595,   596,   597,   598,   599,     0,   600,   217,   601,
     602,   219,   603,   220,   604,     0,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   222,     0,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,   224,   225,
       0,     0,   624,   226,   625,   227,     0,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,   635,   636,
     637,     0,     0,   638,   639,   640,   641,   642,     0,   234,
       0,   643,   235,   644,   645,   646,     0,     0,   647,     0,
       0,   648,   649,   650,   651,   652,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   653,   654,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,     0,     0,     0,
       0,     0,     0,     0,   424,   425,     0,   426,   427,   133,
     428,   429,   430,   135,   136,   137,   138,   139,     0,   431,
     432,   433,   434,   435,     0,     0,   436,   437,     0,   140,
     438,     0,   439,   440,   441,   442,   144,     0,   145,     0,
     443,   444,   445,   446,   148,   447,     0,     0,   448,   449,
     450,   451,   452,   453,     0,   151,   454,     0,     0,     0,
       0,   152,     0,     0,     0,   455,   456,   457,   458,     0,
     459,   155,   156,   460,     0,   461,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,     0,   478,   479,
       0,   480,   481,   482,   483,   164,   484,   485,   486,   166,
       0,   487,     0,   488,   168,   489,     0,   490,     0,   491,
     169,     0,   170,   492,   493,   494,     0,   495,   172,     0,
     496,     0,   497,   498,     0,   499,   500,   173,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,     0,   510,
     174,   175,     0,   511,   512,   513,     0,   176,     0,   177,
       0,   514,   178,   179,   515,   180,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   181,   182,   524,   183,     0,
     525,   526,   527,     0,     0,   528,   529,  1286,   531,   532,
       0,   533,   534,     0,   535,   536,   537,   188,   189,   190,
     538,   539,   191,     0,   540,   541,   193,   542,     0,   194,
     543,   195,   544,   545,   546,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   196,   197,   198,   199,   200,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   201,   559,
     202,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   204,   570,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,     0,   584,
     585,   210,   586,   587,   212,   588,   589,   590,   591,   592,
     593,     0,   594,     0,   595,   596,   597,   598,   599,     0,
     600,   217,   601,   602,   219,   603,   220,   604,     0,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   222,
       0,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,   224,   225,     0,     0,   624,   226,   625,   227,     0,
     626,   627,   628,   629,   630,   631,   632,     0,     0,   633,
     634,   635,   636,   637,     0,     0,   638,   639,   640,   641,
     642,     0,   234,     0,   643,   235,   644,   645,   646,     0,
       0,   647,     0,     0,   648,   649,   650,   651,   652,   237,
     238,   239,   240,   241,   242,   243,   244,   245,     0,   653,
     654
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-4451))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-2575))

static const yytype_int16 yycheck[] =
{
       2,   246,   359,    78,    78,  1368,  1321,    78,  1093,   209,
     840,  1045,  1098,    78,    78,   990,   991,   992,  1205,  1329,
     880,   996,  1398,   154,  1325,  1061,  1738,  1417,  1577,   153,
    1704,  1201,   150,  1889,  1163,  1458,  1459,  1258,  1360,   228,
    1873,  1999,  2049,  1213,  1276,  1223,    96,  1487,   165,   117,
     880,   167,  1743,  1285,  1477,  1430,   106,    78,  1832,   715,
     917,  1747,   171,    84,  1052,  2903,   160,  2202,  1756,  1743,
    2752,   187,   203,   933,  1891,   375,    78,   375,   132,    78,
     223,  3114,    84,  3116,  3335,  2909,  1929,    89,  3064,  3274,
     165,  1312,   142,  1263,   162,   917,  1266,  1633,  1634,  1635,
     209,  1271,  1738,   933,  1787,  1121,  2252,   157,  1278,  1795,
    1914,  1204,  1800,  1801,  1207,   117,  1914,  1287,  1914,  1914,
    1914,  2959,  1215,  2471,  1598,  2518,   117,  2087,    94,  1914,
    2732,  3568,   716,  3256,  1140,  2966,  3663,   959,  1687,  1140,
     361,  2907,  2430,  2431,  3515,  1988,  3243,  3612,   361,  3819,
    3838,   153,  3855,   931,   958,   347,  3876,   935,  2842,  3256,
     162,  1730,   230,  1691,  1938,   216,   132,   945,  1184,  1381,
    3619,   162,  3520,  3521,    78,  2905,  2906,  1361,   167,  1352,
      84,  1447,  1448,  1505,  1628,  1629,  2295,   153,   154,  4286,
    3580,  1048,  1931,  1213,  4089,  1179,  1090,   163,   187,  3260,
    3261,  3262,  3263,  3264,  3265,  1090,   208,  1473,  1135,  1136,
    3453,    30,    10,   117,   216,    72,   218,    72,   950,   121,
      21,   108,    88,   135,   114,  2334,  1048,    88,   230,  2338,
     128,    86,  3791,    75,    76,    77,    78,   203,  4425,   230,
      82,    95,   128,    14,    75,    76,    77,    78,    90,   905,
    2598,    82,   113,    75,    76,    77,    78,   180,   162,    90,
      82,   143,    72,   114,   182,  4549,    37,   822,    90,    78,
      75,    76,    77,    78,   112,  4542,    86,    82,   227,    78,
     187,  1256,   143,  4530,   112,   228,    72,   145,  2972,    93,
     117,   222,   367,   367,   204,    81,   367,  2153,   266,   199,
      86,    72,   367,   367,    75,    76,    77,    78,   233,   173,
      81,    82,    83,    84,   128,    86,   266,    99,    88,  2667,
     137,  2669,    78,    84,   106,  1361,   230,   160,   236,   307,
     135,   103,   104,  2563,   100,   162,   153,  3786,  4625,  4626,
     156,   141,   235,   197,    75,    76,    77,    78,   307,   352,
     149,    82,  1368,   209,   375,    99,    75,    76,    77,    78,
    4495,    72,   106,    82,   229,   180,   165,    99,   367,   429,
      81,   117,   357,   375,   380,    86,   268,  1506,   222,   371,
     309,  1241,  2389,  1561,   149,     0,  1042,   356,   367,   410,
     207,    75,    76,    77,    78,    99,    14,    78,    82,   232,
      14,  1530,   106,   230,   396,   209,    90,   224,   410,   429,
     145,  1241,   381,   398,  4864,   147,   162,   396,    75,    76,
      77,    78,   154,    37,  4094,    82,   355,   179,    78,   145,
     490,   323,    75,    76,    77,    78,  1876,  4534,   369,    82,
     227,  1864,  1865,   449,  4691,   411,   356,   246,  1871,   181,
      75,    76,    77,    78,   226,   153,   228,    82,   227,   227,
     325,   180,   208,  2572,   449,   227,    75,    76,    77,    78,
     216,   375,   218,    82,    25,   373,    75,    76,    77,    78,
     128,    90,  4932,    82,   230,   378,   506,   373,  1345,  1525,
      75,    76,    77,    78,   309,   261,   455,    82,    25,   623,
     503,   451,    75,    76,    77,    78,   410,   485,   227,    82,
      75,    76,    77,    78,   247,   173,    29,    82,    38,   251,
      40,  4656,   322,  1345,   824,  1840,   824,  4794,   102,   393,
    1566,  1567,  4819,   350,  1844,   453,   667,   668,   506,   429,
      95,   374,   398,  1559,   451,  3606,  1368,   455,  1564,  1565,
     135,  4738,  1330,  1137,  1138,    88,   372,   506,   367,   373,
     503,   828,   361,   185,  3687,   465,  1370,   490,   367,   836,
      99,   429,    75,    76,    77,    78,   380,  1434,   416,    82,
     113,   506,    75,    76,    77,    78,  4289,  4257,   416,    82,
    3687,   503,  2425,   503,   398,   449,  1862,  1863,  2147,   456,
     867,   503,  1157,  4850,  1870,   456,  1793,  4854,   506,  4893,
     143,   367,  1434,  1783,  1835,  1785,   503,  2434,  1350,   501,
     506,   623,   404,   505,  1856,  1718,  1404,   444,    75,    76,
      77,    78,  4302,   499,  4083,    82,   469,   160,   499,   494,
     495,  1419,   197,  2192,  4015,  4892,  3831,  2196,  4019,   410,
     451,    88,  1830,  1431,   921,   460,   179,   623,   456,   503,
     404,   503,     2,   930,  2040,  3850,  4225,  4226,  4227,  4228,
    4229,   504,   503,  3021,   507,   266,   441,  3515,  4068,   431,
     412,   503,   501,  1853,   494,   495,   367,   210,  4785,   461,
     506,  1992,   506,   503,   429,  3938,   497,   266,   503,  1556,
     404,   667,   668,   846,  1720,   185,  3530,   831,   494,   495,
     429,   262,  1728,   429,   959,  2401,   503,   367,  2430,   471,
    1647,  1615,  4617,   494,   495,   373,   496,   497,   498,   499,
    1615,   429,   145,   160,  1556,   262,  1093,   506,   506,  3800,
     153,   503,  1564,  1565,  2483,   258,  2047,  2438,   872,   715,
    4420,  1771,   820,  1737,  4851,  2056,    85,  4427,   469,  1775,
     119,   419,  1778,  1779,  2086,  2087,   180,   861,   960,  3535,
     501,   490,   503,   506,   505,  2097,   907,  1361,  3616,  2101,
     260,   336,   173,   494,   495,  2920,   505,  2109,  2110,   309,
     380,    75,    76,    77,    78,  3083,   370,  3085,    82,    95,
    2122,  2123,   926,   824,  3066,   232,   173,   111,   382,  2021,
     324,  2133,   367,   470,   343,  2027,  1594,   460,   820,   503,
    2348,  2005,   824,  1996,  2933,  1841,   828,   449,  4384,   820,
    4386,   268,   489,    99,   836,   837,   173,   955,    95,   173,
     842,   396,   959,   319,   266,   470,   503,  2113,  2114,   851,
    2419,   227,  2296,   969,  2298,   971,   322,   973,  1001,   433,
     503,   396,  1083,   979,   489,   867,   389,   227,   162,    14,
    1083,   247,  3220,  3221,   469,    14,   878,   180,   503,   367,
     882,    99,   451,   958,   243,   296,  1002,  1003,   247,   327,
     266,   893,    37,   422,   503,   424,   419,   175,   336,   454,
    3584,   197,   320,  2594,   503,   323,   956,  1767,   396,   911,
    3886,   506,   227,   503,   505,   917,   820,   209,   503,   921,
     824,   971,   227,   973,  1067,   284,   192,    72,   930,   367,
     503,  2643,   247,   983,   457,   266,   230,  1767,   503,   905,
     197,   907,   246,   175,   227,   266,   469,   374,   950,   461,
    2633,   266,  1002,  1003,  1097,  3243,  1073,   959,   227,   473,
    1935,  1228,   240,   496,   497,   498,   499,  2003,  3256,   449,
     505,  1238,   173,  4676,   192,   389,   387,   182,   247,   180,
     503,  4701,   971,   137,   973,  3215,   419,   953,  3218,  3219,
    1044,   957,  3222,   820,    88,  1046,   325,   266,   175,  1050,
     503,   236,  3232,   173,  4375,   419,   309,   329,   240,  4380,
     503,  3273,  4383,  1002,  1003,  2144,   429,   197,   296,  2053,
    2054,   299,   229,  4371,   462,    71,  1293,   503,   419,    75,
      76,    77,    78,    79,    80,  1178,    82,   503,  1040,  4595,
     336,   400,   469,   457,  1046,  3333,  1048,  1068,  1050,   266,
     236,  4302,   419,   207,  4503,   469,   503,   494,   495,   496,
     497,   498,   499,   240,   296,   270,  1068,   299,  2924,   429,
     224,   367,   307,  1075,   820,   451,  1042,   504,  1044,   384,
     507,   384,   419,  4786,   506,   419,    71,    72,  4121,   503,
      75,    76,    77,    78,    79,    80,    81,    82,   185,     8,
     396,    86,    11,    12,   309,  4793,   398,   182,   309,   387,
     367,   137,  1972,    22,    23,    24,   219,    26,    27,   296,
     451,   307,    31,    32,    33,  4795,   410,   411,   229,   175,
     451,   507,   221,  1135,  1136,    72,   451,   307,    75,    76,
      77,    78,  1972,   160,    81,    82,   429,   327,    22,    86,
    4615,   227,   357,  4680,   180,   387,   319,   462,  2581,   958,
     959,   490,   491,   492,  1068,   494,   495,   496,   497,   498,
     499,   247,  1171,   260,   268,   382,   507,  4015,   174,   151,
    4629,  4019,   451,   319,   506,    85,  1964,  2009,    88,   501,
     266,   371,   507,   505,   240,   180,   350,  1975,    72,   329,
     329,  2237,  1296,   306,  2008,   228,   484,   490,   409,  1987,
     387,   412,   185,  4037,  1213,   232,   396,   189,   218,   107,
     455,  4592,   505,  4047,   325,   503,  1228,   151,   323,   192,
     437,   194,   329,  2479,   451,  4066,  1238,    72,   507,   314,
      75,    76,    77,    78,   121,   128,    81,    82,    83,    84,
     296,    86,   484,   299,   250,    97,   345,   386,  1260,  2119,
    1505,   151,   323,  3080,   173,   189,   182,  4033,  2046,   455,
    3087,   503,  2050,   175,  2052,   117,   121,  2055,   151,  4045,
     265,   151,  2514,   309,  1083,   285,  2532,   260,   314,  2119,
     444,  1293,   180,  4428,   171,  1370,  4745,  2313,  4028,   189,
    1046,   506,   503,   288,  1050,  4742,  4743,   230,   972,   153,
     129,   412,   976,   977,   978,   338,   189,  3919,   137,   189,
     382,   507,   986,  1373,   350,  1375,   171,  2333,  1378,  4452,
    1380,  4516,  2333,  1383,  1384,  1385,   180,   363,   240,   180,
     503,   387,   335,  1345,  2437,  2660,  1396,  1349,  1350,   436,
    1352,   103,   104,   273,   270,  4452,   319,   429,  1360,  1409,
    2670,  1411,   449,  2664,   240,   337,  1368,   503,   268,  3376,
    3082,   433,  4821,  4508,   504,   451,   506,  1677,   401,  1677,
    1601,  1602,   259,  1604,  2616,  2617,  2618,  2619,  1601,  1602,
    2483,  1604,   301,   309,   296,  1587,  2628,   299,   109,  3687,
     494,   495,   496,   497,   498,   499,   501,   504,   160,   506,
     505,  2504,   431,   337,   259,  1417,   389,    51,   444,   261,
     296,  2005,   418,   419,   307,   325,   378,   179,   398,   230,
     307,   507,  1434,  2654,   506,    69,  4873,   346,   484,    25,
    2533,   357,   185,  1445,   503,  3591,  3082,   337,  3408,    35,
    1416,   423,   336,   184,   197,  2777,  3849,   206,   210,    88,
    2934,   506,   307,  4912,   337,   309,    88,   337,   391,   288,
    2486,   161,  1474,   314,  1617,  3158,   449,   188,  2494,   449,
    2496,  3167,  4667,  4618,   113,   387,  3290,   403,  1542,  1543,
     373,   113,  3290,  4628,  3290,  3290,  3290,   420,   450,   423,
    1502,  1503,     5,  1505,  2826,  3290,   507,  1575,   385,   494,
     495,   387,   396,   396,   143,   264,  1518,  3747,   183,  3362,
    1522,   143,    25,  3753,  3754,  3755,  3756,  3757,  3758,   438,
    2390,   296,    35,   423,   299,  2857,   267,  4375,   228,   506,
     385,   182,  4380,   510,  4795,  4383,    95,  3895,   134,  3897,
     423,   183,   101,   423,  1556,    95,    88,  1559,   495,   183,
    2390,   101,  1564,  1565,     2,   227,   256,  4391,  4392,   431,
    2892,  1370,  1574,  1575,  4550,   507,  1542,  1543,   184,   244,
     329,   271,   484,  4421,  1575,   247,    75,    76,    77,    78,
     391,  1645,   282,    82,   494,   495,   496,   497,   498,   499,
    4633,  1603,   490,   382,   347,  1607,  1608,  1628,  1629,   471,
     950,   143,   244,   501,   304,   503,   504,   505,   506,   420,
     244,  1715,   387,  1691,   218,  1627,  1628,  1629,   222,   270,
      88,   134,  3320,   323,   369,  3323,  1627,   389,   439,   268,
    4322,   192,  1441,   194,   231,  1647,   268,   269,   197,    85,
    3026,  1794,    88,   336,   433,   113,  1677,   197,  2436,   494,
     495,   267,  1461,  1684,   192,  3088,   194,   419,   309,   451,
     229,  1575,  2328,   367,   126,  1677,   262,   371,   509,  1645,
     336,   336,  1684,  1685,   367,   143,  1953,   377,   216,  1691,
     312,   285,  1491,   196,   443,  1962,  1698,   349,   257,   236,
    1691,   288,   396,    41,  4542,   457,  1505,  1371,  2724,   461,
    1374,   367,   367,  1377,  3250,  1379,   357,   469,  1382,    97,
     172,   503,  1386,  1627,  1628,  1629,   172,   321,  1730,   167,
    4706,    95,   451,  4415,   469,  4417,  1738,   101,   380,   117,
     396,  3051,   222,    75,    76,    77,    78,   451,  1575,   187,
      82,   503,   232,     2,  4592,   231,  4104,  4105,   309,   262,
     421,   451,   262,  1765,   228,   390,   408,   247,   319,    71,
     307,   506,  1771,  1677,   115,   469,   182,    79,    80,   431,
    1684,  1121,  2049,  4607,   503,   390,   314,  1691,    16,  2646,
      85,   319,   256,    88,   419,   136,   336,   249,   128,   336,
    1140,   172,  1601,  1602,   352,  1604,   252,   271,   469,   470,
     105,   247,   288,  1815,   419,  1817,   222,   147,   282,   471,
    3041,   318,   469,  3640,  2646,   314,  2683,   367,  1896,  1575,
     367,   161,   268,   197,  1836,   422,  1960,   424,   463,   349,
      89,   152,   503,   295,  1184,   297,  3620,   503,   254,   295,
     152,   297,   386,  1855,    85,   307,   396,    88,   463,   506,
     447,  2683,   336,   155,  1691,   494,   495,   496,   497,   498,
     499,  1873,   494,   495,   496,   497,   498,   499,   247,  2079,
    3067,   211,   113,   335,    75,    76,    77,    78,   119,   325,
     201,    82,  2009,   367,  1896,    85,   376,   371,    88,  1901,
     202,   307,   194,   309,   153,  1896,   451,   435,  3095,  2925,
     159,  1913,   143,   377,  4049,   105,  2950,   445,   455,  2062,
     372,   431,   396,  3299,   295,   501,   297,  1929,  3477,  4449,
     145,   274,   508,  2008,  2922,  3430,   185,   218,   153,   182,
    3796,   222,  2720,   222,   469,  1691,   422,  2247,   424,  2247,
     252,  1953,  1698,  4473,   218,   407,  4794,  1959,   503,  3454,
    1962,   471,  3648,   242,  4194,  4195,   277,   278,  2018,  2078,
    2020,   447,   336,   268,  2024,  3068,  2026,  3665,  3666,  2029,
     291,   506,   384,  2033,  1730,   382,  1988,   463,  2808,  2809,
    1912,  2085,  1896,  2813,  1996,  2070,  2070,  1999,   367,  2070,
     332,   208,   371,   367,   285,  2070,  2070,  2009,  1930,  1349,
    1350,   254,  1352,   357,  2874,    72,   247,  3457,  3458,   421,
    3395,   285,   336,   470,   368,   336,   222,   396,  1368,    86,
     325,   429,   396,  2853,  2854,   490,   433,   268,   269,   341,
     321,   248,   489,  3592,  2874,    34,   242,  2049,   392,   336,
     505,  2707,   503,   367,   490,   491,   492,   321,   494,   495,
     496,   497,   498,   499,   307,   336,   309,   469,   470,  1896,
     433,  1817,    75,    76,    77,    78,   389,   208,   268,    82,
     367,   312,   396,   498,  2086,  2087,  3401,   218,   503,  2157,
     505,   501,  2094,   369,   325,  2097,   367,   507,  3268,  2101,
     469,   503,   386,  2925,  2106,  3495,   419,  2109,  2110,   396,
     421,   157,   423,  4071,  2944,  2117,  2383,   250,  2120,  2121,
    2122,  2123,  2389,   314,    85,   396,   506,  3983,  2130,  2131,
     510,  2133,  2249,  2135,  2136,   325,  4818,  2139,   389,  3830,
     442,    81,  3464,   504,   457,   506,    86,  3980,   450,  2265,
    1896,   453,   508,  2155,  2156,  2157,   469,  3869,  2358,  2161,
    2360,   336,    72,  2165,  4452,  4513,  2157,  2169,   419,  2171,
    2172,  2173,  2174,  2175,  2176,  2177,  2178,  2179,  3399,  2181,
    3854,   323,  3039,   502,   323,  2187,   328,   506,  2190,   328,
     503,   153,   367,   242,   502,   490,   491,   492,   506,   494,
     495,   496,   497,   498,   499,  2825,   457,  2827,  2828,  2008,
     125,    75,    76,    77,    78,   470,  2287,  3039,    82,  1559,
     150,   396,    71,    72,  1564,  1565,  2247,   336,   470,  2353,
      79,    80,   386,  3656,   489,  3013,  3014,    86,  3016,   274,
    2137,  3617,  3618,  2140,   509,  2247,  4476,   489,   503,   503,
    2252,    85,   503,  2157,    88,    86,  4544,  2400,   367,   503,
       7,   503,   371,   494,   495,   496,   497,   498,   499,   231,
      71,  2070,    19,    20,   192,  2296,   194,  2298,    79,    80,
    2348,   323,    75,    76,    77,    78,   498,   396,   250,    82,
     506,   503,    39,   505,  2296,    42,  2298,   384,   216,  1639,
     490,   491,   492,   115,   494,   495,   496,   497,   498,   499,
     161,   314,    71,    72,  3289,  2317,   125,   384,   494,   495,
     496,   497,   498,   486,  1664,  1665,   288,   501,   504,   503,
    2157,   505,   270,  2335,   421,  2337,   134,   135,   504,   384,
     206,   507,  2344,  2247,   311,   504,  2348,  2349,   507,   422,
    2352,   424,   218,  2477,   421,   505,   222,  2348,   326,   422,
     469,   424,  2328,  2162,   323,   501,   328,   503,   326,   310,
     311,  3149,  2374,   429,   623,  2377,   421,   228,   222,  3557,
    1720,  2383,   469,   470,   506,   507,  3402,  2389,  1728,   469,
     470,   309,  2296,  2461,  2298,  3524,   314,   504,   264,   506,
    3763,   319,   469,   470,   323,   256,  2408,    85,   486,   156,
      88,  2157,  3269,  3243,  3271,   326,   503,  2419,   115,   285,
     271,   486,   389,  2425,   469,   470,  3256,   105,  2430,  2431,
     504,   282,   506,  2435,   268,  1775,   503,   270,  1778,  1779,
    2442,   496,  3527,  3528,  2348,   226,   193,  3269,   389,  3271,
     314,   504,   419,   304,   506,   321,  2458,  2459,   503,  2461,
     422,   384,   424,   329,   496,   497,   498,  2458,   380,   381,
    2461,   433,   503,   503,   505,  3332,  2478,  2479,   419,  2481,
    4029,   274,   444,   504,  2602,   447,  4493,   125,  2287,  2756,
     457,   325,   227,   504,  2761,   506,   496,  2499,   421,   380,
     381,  1841,   469,  3281,  3766,  3283,  3768,  2509,   266,  3771,
    3332,  3773,   950,   504,  4063,   506,   457,   435,   506,   507,
    2522,  2348,  4323,  4324,  4325,  4326,   377,   445,   469,  2531,
    2532,   969,   504,   971,   506,   973,   503,   504,   469,   470,
     507,   979,   980,   981,   487,   488,   469,   470,  4404,   509,
     504,   206,   506,  3740,  2458,  2912,    85,  2461,   504,    88,
     506,   509,   503,   218,  1002,  1003,   262,   222,   384,  2571,
      85,  2573,   504,    88,   506,   503,   105,   443,   507,   504,
     503,   506,   504,   429,   506,    75,    76,    77,    78,  4301,
     268,   504,    82,   506,  2596,   503,  3374,   505,  2600,   429,
     384,  3991,  2348,   429,   504,   421,   506,   108,   504,   264,
     506,   429,  2857,   862,   429,  3435,  3394,   203,  3438,  3439,
    3440,  3441,  3442,  3443,  3444,  3445,  3446,  3447,   262,  2631,
     285,  2458,   469,   470,  2461,   501,  2903,   421,   504,   505,
    1608,  2643,  2951,  2952,  2646,  3967,  3878,   325,   127,   125,
     504,    98,   506,   469,   470,   268,  1996,   491,   492,  1999,
     494,   495,   496,   497,   498,   499,   321,   429,   917,   918,
     384,  1421,  1422,  2419,   329,   503,   505,  3497,  3498,   396,
     159,  2683,   504,  1121,   506,   469,   470,   503,   211,  2691,
     180,   505,  2959,    75,    76,    77,    78,   504,   145,   506,
      82,   950,  1140,   422,   504,   424,   506,   421,  2897,  2898,
    2899,   422,  2458,   424,   504,  2461,   506,  2962,   504,   503,
     506,   472,    75,    76,    77,    78,   503,   174,  2730,    82,
     504,   503,   506,    86,   504,   214,   506,   211,   211,   268,
    2742,  2707,    75,    76,    77,    78,  1184,  3763,   195,    82,
    2752,   323,   222,   268,  2756,   469,   470,  1006,   504,  2761,
     506,   504,   504,   506,   506,  2833,   245,    75,    76,    77,
      78,  2839,   283,   211,    82,  2777,  2778,   224,   504,   507,
     506,  2783,   229,   182,   504,  1034,   506,   451,   443,   503,
      75,    76,    77,    78,  1043,   323,   325,    82,  1047,  1048,
    1049,   280,    75,    76,    77,    78,  2808,  2809,   503,    82,
     325,  2813,   490,   491,   492,   318,   494,   495,   496,   497,
     498,   499,   274,  2825,  2826,  2827,  2828,   180,   275,   386,
     309,  2833,   504,   504,   506,   506,  2838,  2839,   503,  2841,
    4216,  2843,  2833,   137,   469,  4208,    89,   180,  2839,   108,
     309,  2853,  2854,   472,  4528,  2857,   504,  3687,   506,   494,
     495,   496,   497,   498,   503,  2940,  2940,   502,  2870,  2940,
    2872,   504,   180,   506,  2876,  2940,  2940,    75,    76,    77,
      78,   504,   115,   506,    82,   115,  1135,  1136,   438,   150,
    2892,  1140,   371,   336,   373,  3911,   375,   504,   504,   506,
     506,  2903,   381,  2905,  2906,  2907,   353,   222,   504,   388,
     506,  1349,  1350,    71,  1352,   508,   504,   396,   506,   353,
     211,    79,    80,  2925,   211,   503,   405,  2929,   211,  2833,
    1368,   378,   472,   211,   413,  2839,   211,   384,    96,  2941,
     504,  3763,   506,   390,  2946,   504,   121,   506,  4338,   211,
     506,  2953,    75,    76,    77,    78,   504,  2959,   506,    82,
    4089,   490,   491,   492,   211,   494,   495,   496,   497,   498,
     499,   211,   419,  2313,   421,   490,   491,   492,   323,   494,
     495,   496,   497,   498,   499,   464,   504,   162,   506,   211,
    4702,   438,  3812,  2333,   152,  2335,  2998,  2337,    75,    76,
      77,    78,   504,   211,   506,    82,  2833,   504,  1257,   506,
     211,   186,  2839,   504,   323,   506,   463,  3019,   504,   137,
     506,   504,   504,   506,   506,   143,   201,   504,  4064,   506,
     205,   211,   504,  4203,   506,   153,   504,  3039,   506,   504,
    3042,   506,   211,   504,   202,   506,   419,   504,   223,   506,
     504,   504,   506,   506,   503,  3833,  3834,   108,  2857,   504,
     223,   506,   180,   238,   182,   504,  4388,   506,   504,   504,
     506,   506,  2871,   504,   504,   506,   506,   504,   283,   506,
    3082,  3083,   504,  3085,   506,   222,  1087,  2833,  1089,   247,
    4020,  2890,  4022,  2839,   252,   222,  1345,   323,   503,   503,
    1349,  1350,   503,  1352,  2903,   222,   503,   503,   346,  3376,
     503,  4487,  3114,  3115,  3116,   503,   503,   503,   503,  1368,
     503,  1559,   503,  3114,  3115,  3116,  1564,  1565,  3906,  3907,
    3908,  3133,   503,   503,   503,  3137,   254,  3139,  3140,   314,
     503,  2940,   503,   503,   503,   503,  2486,   322,   503,   503,
     333,   503,   503,  2121,  2494,   503,  2496,   503,   108,   503,
    2959,   163,   266,  2962,  1413,  3985,  3986,  2135,   506,   283,
    3238,   268,   108,   222,   321,   222,   396,  4567,   496,   262,
     355,   387,   506,   341,   299,  1434,   179,  3255,   490,   506,
    3192,   309,   450,    14,  4054,   506,   314,   503,   503,  1637,
     503,  1639,   429,   384,   429,   505,   429,   384,  3210,   153,
    3114,  3115,  3116,  3344,  3216,   429,   429,  3341,   429,  1657,
     378,   211,   429,   384,  4054,   323,  1664,  1665,   388,   429,
     280,   450,   350,   429,   314,   429,  3238,   145,   323,  3310,
    3242,  3243,   252,   319,   429,   363,  4636,  3238,  3515,  4571,
    4640,  4641,   503,  3255,  3256,   429,   153,   503,  1507,   417,
    3505,   506,   336,   451,  3255,   451,   125,  3269,  1517,  3271,
    3515,   174,   429,  3344,   429,   429,   125,   429,  1527,   429,
     429,   327,  1720,  4258,   442,   429,   429,  3114,  3115,  3116,
    1728,  4654,   450,   429,   114,   453,   114,   384,   429,   429,
     323,   472,   506,   323,   268,   469,   503,  1556,   503,   460,
    1559,  1560,   503,   108,   107,  1564,  1565,  3319,  3507,  3508,
    3509,  3510,  4637,    97,  4410,   211,   444,   309,  4638,   180,
    3332,  3333,   451,   503,  3238,   463,   462,  1775,   291,   319,
    1778,  1779,   309,  4644,  3346,  4646,   108,   222,   108,  3616,
     503,  3255,   274,   385,   211,   211,   451,   505,   211,   451,
    3362,   211,    14,   211,   506,   429,   318,   313,  3114,  3115,
    3116,  1260,   227,   427,  3376,   465,   486,  3379,  3344,   503,
     301,   503,   301,    88,  2724,   506,  4208,   396,  4166,  4167,
     427,  4169,   503,   429,   503,  3397,   227,   490,  1647,   506,
     431,    98,  3470,  1841,   506,   504,   241,   241,   324,  3411,
    4732,  3238,  3414,   319,   503,   506,   451,   264,   506,  3421,
     504,    34,   504,    10,   429,  3427,   504,  3429,  3255,   429,
     384,   152,  3434,  3435,   131,   384,  3438,  3439,  3440,  3441,
    3442,  3443,  3444,  3445,  3446,  3447,   503,   144,   451,  3451,
    3452,   314,   314,   272,   429,   272,   386,  3459,   503,   274,
     157,   115,  3464,   323,   403,   330,  3468,   506,  3470,   314,
    3472,   429,   429,   384,   367,   393,   322,   357,   429,  3470,
    3482,   429,   268,  3485,   108,  3487,   268,   268,   451,   268,
     451,    95,  3238,  3495,  3496,  3497,  3498,   101,   195,  4533,
    3502,   268,   503,  3505,   490,   107,   322,  1945,   211,  3255,
     501,  3310,   501,  3515,  4334,   429,   429,   490,   222,   393,
     319,  4606,   224,  3525,   503,   393,   211,   224,  1417,   210,
     239,  3533,   229,  3535,   469,   323,   323,   141,   497,   239,
    4360,  4361,  1791,   222,   108,  3344,   211,   323,   323,   393,
     222,   247,   247,   247,    96,   472,   233,   298,  1996,   506,
     323,  1999,  4422,  4878,   506,   506,  3470,   125,   318,   227,
     504,   504,   504,   274,   486,   504,   419,  3579,   504,   504,
     504,   504,   340,  3585,   504,  2925,   190,  3703,   486,  3591,
     227,   506,  4422,   197,   837,   504,   200,  4457,   503,   842,
     504,   429,   504,   504,   504,   504,   332,   503,   851,   504,
      90,    90,   466,   374,  3616,   507,   457,   490,  3686,   506,
    3688,   108,  4452,   490,   466,   504,   504,  4457,   325,   506,
     285,   323,   323,   326,   503,   878,   250,   503,   211,   882,
     127,  3643,   472,  3470,   429,   429,   429,   258,   252,   429,
     893,   314,   327,   285,   211,   211,   353,   341,   341,   448,
     429,  2099,  2100,   429,   429,   293,  1915,   293,   293,  2107,
     429,   384,   159,  2111,  2112,   429,   429,   429,   384,   396,
    3682,   429,   429,   429,  3686,  3687,  3688,   384,  2126,   211,
    2128,  3682,   429,   390,   384,  3686,   393,  3688,   384,   114,
     429,   268,   268,   307,   501,   309,  3505,   268,   268,   268,
     504,   299,  2150,   268,  2152,   319,  3515,   268,  3720,   490,
     285,  3723,   419,   327,  3470,   369,   504,   214,   425,   173,
     438,   504,   336,   503,   506,   108,   504,   322,   236,   323,
     429,   438,   506,   384,   451,   222,  4566,  1996,  4015,   384,
    1999,   384,  4019,   451,   326,   506,   209,   209,   245,   268,
     203,  3763,   501,   367,  2202,   227,   463,   371,    88,  4744,
     504,   222,   504,   504,   504,   462,   135,   227,  3682,   503,
     235,   504,  3686,   324,  3688,   503,   506,   274,   504,   504,
     504,   490,   396,   280,  3865,   506,  1685,   222,   108,   429,
     451,   451,   258,   384,   438,   384,   429,  4585,   429,   438,
    3812,   429,   490,   429,   222,   143,   504,  4595,   173,   438,
     268,   503,   309,   503,   469,   272,   268,  2265,   504,   472,
     504,   504,  4654,   504,  3905,  3837,   502,   506,   222,   503,
    2808,  2809,   504,   253,   148,  2813,   506,   469,    85,   506,
     454,   421,   429,   393,   503,  3682,   504,  2106,   232,  3686,
     227,  3688,   268,   268,   268,   268,   504,  3869,  3870,  3871,
    4648,   227,   503,   362,   125,  2313,  1765,   504,   467,   271,
    4740,  4081,   331,   503,   371,  2853,  2854,   467,   375,   504,
     271,   503,  1135,  1136,   381,  2333,   506,  2335,   504,  2337,
     125,   388,   237,  3243,   504,   504,   319,   490,   429,   396,
    4740,   227,  3914,   143,   252,   469,  3256,   314,   405,   438,
     314,    78,   490,   429,   506,   211,   413,    84,  3930,   268,
     506,   187,    89,   502,   314,   229,  3682,   227,   451,   393,
    3686,   451,  3688,   108,   198,  4723,   469,  1836,   465,   469,
     503,   227,   255,   503,   326,   227,   503,   503,   503,  4075,
     117,   362,   456,   271,   503,  3967,  1855,   406,   504,   504,
     339,  2220,   468,   504,   504,  3977,  3978,   464,  3980,   323,
     363,   468,   469,  3985,  3986,   469,   504,   503,  3990,  3991,
    4061,   429,   503,   222,  3996,  3997,   108,   314,  4000,   294,
     250,   503,   210,   504,   173,   162,   327,   490,   125,    95,
     381,  4127,  1901,  4015,   125,   101,   381,  4019,   503,   451,
     329,   503,   307,   323,   217,   421,  4028,   354,   137,   326,
    4387,  4033,   137,   193,   455,    85,   362,   456,   506,   108,
     227,   360,   466,  4045,   222,   198,   469,   252,  2486,   323,
     323,   208,   108,   125,   185,   141,  2494,   326,  2496,   216,
     326,   218,  3402,   503,   108,   380,  3865,   504,  2317,  4071,
    1959,   504,   503,   230,   449,   503,    94,   105,   380,   354,
     210,   503,  4084,   127,  2333,   367,  2335,  1818,  2337,  2601,
    1565,  2925,  2468,  3095,  3686,  1181,  2526,  3237,  4479,    85,
    4102,  4206,    88,  4654,   190,  4277,  3905,  4522,  4375,  3858,
    4528,   197,  4251,  4380,   200,   159,  4383,  4233,  4532,  4121,
    2712,  3020,  4825,  4877,  4421,  4777,  4776,   113,  4130,  4840,
    4121,  4677,  3024,   119,  4278,  4137,  3823,  3682,  4206,  2592,
    4142,  2579,  2592,  1916,  3115,  3828,  2587,  4149,  3830,  3301,
    4945,  4882,  4937,  3255,  4421,  4847,  3242,   143,  4459,  1908,
    4755,  4833,   187,  4462,  1405,  2414,   252,  3914,  4614,  2431,
     214,  3867,  3869,  4702,    89,   918,  3194,  4859,  4939,  1062,
    4669,  2249,  2009,  2940,  4186,  3852,  2250,  4062,  3589,  4456,
    1363,  2695,  1077,  1593,  2941,  2285,  1611,  1610,  2953,  2947,
    2284,   245,  1613,  2967,  4206,  2959,  4208,  2268,  3515,    85,
    4021,  4593,    88,  3590,  1617,  4206,  4015,  4121,   375,  3480,
    4019,   307,  4569,   309,  3472,  4812,  4493,  1067,  4813,   105,
     274,  2944,  2871,   319,  4816,  2779,   280,   113,  2869,  3585,
    2187,   327,  3341,   119,   623,  1300,  2647,  4249,  1947,  4803,
     336,  2317,   167,   410,  1629,   376,  1623,   243,  2333,  2293,
    1416,   247,  4061,  2325,  1158,   309,  2155,   143,  1138,  2919,
    2519,  3596,   187,  4048,  1138,  4542,  2326,  3597,  1627,  1539,
    3562,   367,   268,   269,   952,   371,  2724,   409,  2708,  2337,
    2038,  1349,     2,    -1,  4121,    -1,    -1,    -1,   284,  4301,
      -1,    -1,  4206,    -1,    -1,    -1,  2555,    95,    -1,    -1,
     396,    -1,   982,   101,  2563,    -1,    -1,    -1,    -1,    -1,
    4322,    -1,    -1,   309,    -1,  4592,   312,   371,    -1,    -1,
      -1,   375,  4334,    -1,    -1,    -1,  4338,   381,    -1,   325,
      -1,  4343,    -1,    -1,   388,    -1,    -1,  3687,    -1,    -1,
      -1,    -1,   396,   141,    -1,    -1,  4406,    -1,  4360,  4361,
      85,   405,  4364,    88,    -1,    -1,  2615,   243,   454,   413,
      -1,   247,    -1,  4375,  1336,  4121,    -1,    -1,  4380,  4206,
      -1,  4383,    -1,    -1,    -1,  1347,  4388,  4389,   113,    -1,
      -1,  2640,   268,   269,   119,    -1,    -1,  2646,    -1,    -1,
      -1,    -1,   190,    -1,  1647,    -1,    -1,    -1,   284,   197,
      -1,    -1,   200,  4415,   400,  4417,    -1,    -1,   143,  4421,
     464,    -1,    -1,  3763,   468,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   309,  2683,    -1,   312,    -1,    -1,  3779,
      -1,    -1,    -1,  4514,    -1,    -1,    -1,    -1,    -1,   325,
    4452,    -1,   328,    -1,  4456,    -1,    -1,    -1,    -1,    -1,
    4206,    -1,    -1,    -1,   252,    -1,    -1,  3435,    -1,    -1,
    3438,  3439,  3440,  3441,  3442,  3443,  3444,  3445,  3446,  3447,
      -1,    -1,  2920,    -1,    -1,  2923,    -1,  2925,    -1,    -1,
      -1,  4493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3468,    -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,    -1,    -1,    -1,  4784,   243,   307,
      -1,   309,   247,    -1,   400,    -1,    -1,  4794,    -1,  3497,
    3498,   319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   327,
    4542,    -1,  4544,   268,   269,    -1,    -1,    -1,   336,    -1,
      -1,    -1,    -1,  2442,    -1,    -1,    -1,    -1,    -1,   284,
      -1,  4828,    -1,    -1,  4566,  4567,    -1,  4569,    -1,  4571,
      -1,  3911,  1815,    -1,    -1,    -1,  4375,    -1,    -1,   367,
      -1,  4380,    -1,   371,  4383,    -1,  4588,   312,    -1,    -1,
    4592,    -1,    -1,    -1,    -1,  4597,    -1,    -1,    -1,    -1,
     325,    -1,    -1,    -1,    -1,    -1,    78,    -1,   396,    -1,
      -1,    -1,    84,    -1,   490,   491,   492,    89,   494,   495,
     496,   497,   498,   499,    -1,    -1,   502,    -1,    -1,    -1,
      -1,  4633,   508,    -1,  4636,    -1,    -1,    -1,  4640,  4641,
      -1,    -1,  4633,    -1,    -1,   117,    -1,    -1,    -1,    -1,
    4895,    -1,  4654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   820,    -1,    -1,   454,   824,    -1,    -1,
    1913,    -1,  4674,    -1,  4941,   400,  2925,    -1,    -1,    -1,
     837,    -1,    -1,    -1,  2573,   842,  1929,    -1,    -1,    -1,
     162,    -1,    -1,    -1,   851,    -1,    -1,    -1,    -1,    -1,
    4702,    -1,    -1,    -1,    -1,    -1,    -1,  4709,    -1,  4049,
      -1,    -1,    -1,    -1,    -1,  4514,    -1,    -1,    -1,    -1,
      -1,   878,    -1,    85,    -1,   882,    88,    -1,    -1,  4633,
    4732,  4071,    -1,    -1,    -1,    -1,   893,    -1,    -1,    -1,
      -1,    -1,    -1,   105,    -1,  1988,    -1,  4749,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,   119,   230,    -1,
     917,    -1,    -1,    -1,    -1,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,    -1,    -1,    -1,    -1,    -1,
      -1,   143,  4784,    -1,  4859,  4859,    -1,    -1,  4859,    -1,
    3039,    -1,  4794,  4592,  4859,  4859,    -1,    -1,    -1,    -1,
      -1,    -1,   959,    -1,    -1,  3243,  4633,    -1,    -1,    -1,
    3248,  3249,    -1,  4815,  4816,    -1,  4818,    -1,  3256,    -1,
    4895,  4895,  4890,    -1,  4895,    -1,  4828,    -1,    -1,    -1,
    4895,  4895,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3812,    -1,  3284,    -1,    -1,    -1,
      -1,    -1,    -1,  2742,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4864,    -1,  4939,  4939,    -1,    -1,  4939,  4937,
      -1,  3120,  4874,    -1,  4939,  4939,    -1,  4945,    -1,    -1,
      -1,   243,    -1,    -1,    -1,   247,    -1,  4633,  4890,  1046,
      -1,  1048,    -1,  1050,    -1,    -1,    -1,    -1,  3147,  4890,
      -1,    -1,    -1,   375,    -1,    -1,   268,   269,    -1,    -1,
      -1,  1068,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4932,    -1,    -1,    -1,    -1,  4937,    -1,    -1,   410,  4941,
      -1,    -1,   108,  4945,    -1,    -1,  4937,   309,    -1,    -1,
     312,    -1,    -1,    -1,  4945,    -1,    -1,    -1,    -1,    -1,
      -1,   127,    -1,   325,  3402,    -1,  3215,    -1,    -1,  3218,
    3219,    -1,    -1,  3222,    -1,    -1,    -1,    -1,  1135,  1136,
      -1,    -1,    -1,  3232,    -1,    -1,  4890,    -1,  3237,    -1,
      -1,    -1,  1954,   159,  3243,    -1,    -1,    -1,    -1,    -1,
    3249,  1963,    -1,    -1,    -1,  1967,    -1,  3256,    -1,    -1,
      -1,  1973,  1974,    -1,    -1,    -1,    -1,  3985,  3986,    -1,
    3269,    -1,  3271,    -1,    -1,    -1,    -1,    -1,    -1,  1991,
      -1,    -1,    -1,  4937,    -1,    -1,    -1,    -1,   400,    -1,
      -1,  4945,    -1,    -1,    -1,    -1,    95,    -1,   214,    -1,
      -1,    -1,   101,  3302,   969,    -1,   971,    -1,   973,  4399,
    4859,    -1,    -1,  4890,   979,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,  2317,    -1,    -1,    -1,    -1,   245,
      -1,    -1,  3331,  3332,    -1,    -1,    -1,  1002,  1003,   105,
     127,    -1,   141,    -1,    -1,    -1,  4895,   113,    -1,    -1,
      -1,  2344,    -1,   119,    -1,    -1,  2349,    -1,   274,  2352,
    4937,    -1,  4452,    -1,   280,    -1,    -1,    -1,  4945,    -1,
      -1,    -1,   159,    -1,    -1,    -1,    -1,   143,   490,   491,
     492,  2374,   494,   495,   496,   497,   498,   499,    -1,    -1,
    4939,   190,    -1,   309,  4890,    -1,    -1,  2121,   197,    -1,
      -1,   200,    -1,  3042,    -1,  3593,    -1,    -1,    -1,    -1,
      -1,  2135,   838,    -1,    -1,  2408,    -1,    -1,   844,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   852,   214,    -1,    -1,
      -1,    -1,    -1,    -1,   860,    -1,    -1,    -1,  1345,   865,
      -1,  4937,  2435,    -1,    -1,    -1,    -1,    -1,    -1,  4945,
      -1,    -1,    -1,   252,    -1,   371,  1121,    -1,   245,   375,
    2184,  1368,    -1,    -1,    -1,   381,  2459,    -1,    -1,    -1,
    1135,  1136,   388,    -1,    -1,  1140,    -1,   243,    -1,    -1,
     396,   247,  3481,    -1,    -1,  2478,    -1,    -1,  2481,   405,
      -1,    -1,    -1,   280,    -1,    -1,    -1,   413,  3137,  3687,
    3139,    -1,   268,   269,    -1,    -1,  2499,    -1,   307,    -1,
     309,    -1,    -1,    -1,    -1,  3703,  2509,    -1,   284,  1184,
     319,    -1,   309,    -1,    -1,    -1,    -1,  1434,   327,  2522,
      -1,    -1,    -1,    -1,  2246,  3534,    -1,   336,  2531,    -1,
      -1,    -1,    -1,   309,    -1,    -1,   312,    -1,   464,   336,
      -1,    -1,   468,  3192,    -1,    -1,    -1,    -1,    -1,   325,
      -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,   367,    -1,
      -1,    -1,   371,    -1,    -1,  3763,    -1,  3216,    -1,    -1,
     367,    -1,    -1,    -1,   371,    -1,    -1,  1013,   375,    -1,
    3778,  3779,    -1,    -1,   381,    -1,    -1,   396,   820,  3787,
      -1,   388,   824,  3791,    -1,    -1,    -1,    -1,    -1,   396,
      -1,    -1,    -1,    -1,  3802,   837,  4334,    -1,   405,  1045,
     842,    -1,    -1,    -1,    -1,  4343,   413,    -1,    -1,   851,
      -1,    -1,    -1,    -1,   400,    -1,    -1,  1063,    -1,    -1,
      -1,    -1,  4360,  4361,    -1,    -1,    -1,    -1,    -1,  1556,
      -1,    -1,    -1,    -1,    -1,   454,   878,  1564,  1565,  1085,
     882,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1575,    -1,
      -1,   893,    -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,
    3319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3687,    -1,
      -1,    -1,    -1,    -1,    -1,   917,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1368,    -1,  3704,    -1,  3346,  3707,    -1,
    3709,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1627,  1628,  1629,  3911,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,  3733,  3734,    -1,   959,   504,    -1,
    1647,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3747,    -1,
      -1,    -1,    -1,    -1,  3753,  3754,  3755,  3756,  3757,  3758,
      85,    -1,    -1,    88,  3763,    -1,    -1,    -1,  3767,    -1,
    1677,    -1,    -1,    -1,    -1,  3414,    -1,  1684,    -1,    -1,
     105,    -1,    -1,    -1,  1691,    -1,    -1,    -1,   113,    -1,
      -1,  1698,  3791,    -1,   119,  3434,    -1,    -1,    -1,    -1,
    4890,    -1,    -1,  3802,  3803,  3804,  3805,    -1,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,
    3459,    -1,    -1,  1730,   829,   830,  1048,    -1,   833,   834,
      -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,    -1,
      -1,    -1,  1268,    -1,    -1,   850,  1068,  4937,  4566,    -1,
      -1,    -1,    -1,    -1,    -1,  4945,  3495,    -1,    -1,    -1,
      -1,  4049,  1288,  1289,  1290,   870,    -1,  3866,    -1,   874,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   162,    -1,  4071,    -1,   890,    -1,  4075,    -1,    -1,
      -1,    -1,    -1,    -1,  1559,    -1,    -1,    -1,    -1,  1564,
    1565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1815,    -1,
    1817,    -1,    -1,  1135,  1136,    -1,    -1,    -1,   243,    -1,
      -1,    -1,   247,    -1,    -1,    -1,    -1,   208,  3927,    -1,
      -1,    -1,    -1,    -1,    -1,   216,    -1,   218,    -1,  4127,
      -1,    -1,    -1,   268,   269,    -1,    -1,  2659,    -1,   230,
      -1,    -1,  4140,  4141,    -1,    -1,    -1,  4145,  4146,   284,
      -1,    -1,    -1,  2675,  2676,    -1,    -1,  2679,    -1,    -1,
      -1,    -1,    -1,  2685,    -1,    -1,    -1,  1403,    -1,    -1,
      -1,    -1,  1647,    -1,   309,    -1,    -1,   312,    -1,  1896,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     325,    -1,    -1,   328,  1430,  2998,  1913,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4225,  4226,  4227,
    4228,  4229,  2754,    -1,    -1,  4233,    -1,    -1,    -1,    -1,
    4049,  4050,    -1,    -1,    -1,  1720,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1728,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4071,    -1,    -1,   400,    -1,    -1,    -1,    -1,
      -1,  1988,    -1,    -1,  2808,  2809,    -1,    -1,    -1,  2813,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,  2009,    -1,    85,    -1,    -1,    88,    -1,    -1,
    1775,    -1,    -1,  1778,  1779,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1345,   105,    -1,    -1,   108,    -1,  2853,
    2854,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
    3133,    -1,    -1,    -1,    -1,  1571,  1368,  3140,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   143,    -1,    -1,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,    -1,  1841,    -1,    -1,   504,
      -1,  1186,  1187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1618,    -1,    -1,  4194,  4195,    -1,  3837,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4208,
      -1,  4399,  1434,  4212,    -1,  4214,    -1,  3210,  4217,  4218,
      -1,    -1,    -1,    -1,    -1,    -1,  4225,  4226,  4227,  4228,
    4229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1254,
    2157,    -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,    -1,
     101,    -1,   243,    -1,  4452,    -1,   247,    -1,    -1,  1274,
    1275,    -1,    -1,    -1,  4273,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1291,   268,   269,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     141,  4300,    -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1742,  3029,    -1,    -1,
      -1,  1326,  1327,  1749,  4323,  4324,  4325,  4326,   309,    -1,
      -1,   312,    -1,    -1,  1556,    -1,    -1,    -1,    -1,    -1,
    2247,    -1,  1564,  1565,   325,    -1,    -1,   328,  1774,   190,
      -1,    -1,  3991,  1575,    -1,    -1,   197,    -1,    -1,   200,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1806,    -1,    -1,    -1,    -1,    -1,  3379,    -1,    -1,  2296,
    3102,  2298,  3104,    -1,  1820,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3397,  1627,  1628,  1629,  1834,    -1,
    2317,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   400,
      -1,    -1,    -1,    -1,    -1,  1647,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2344,    -1,    -1,
      -1,  2348,  2349,    -1,    -1,  2352,    -1,    -1,    85,    -1,
      -1,    88,    -1,  4452,    -1,  1677,    -1,    -1,    -1,    -1,
      -1,    -1,  1684,  4102,    -1,    -1,   307,  2374,   309,  1691,
      -1,    -1,    -1,    -1,    -1,    -1,   113,  4476,   319,  3191,
      -1,  4480,   119,    -1,  3196,    -1,   327,    -1,    -1,    -1,
      -1,  4130,    -1,    -1,    -1,   336,    -1,    -1,    -1,    -1,
      -1,  2408,    -1,  4142,    -1,    -1,   143,    -1,    -1,   490,
     491,   492,  2419,   494,   495,   496,   497,   498,   499,    -1,
      -1,  4709,    -1,    -1,    -1,    -1,   367,    -1,  2435,    -1,
     371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   820,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4186,    -1,    -1,
      -1,  2458,  2459,    -1,  2461,   396,   837,    -1,    -1,    -1,
      -1,   842,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,
     851,  2478,    -1,    -1,  2481,    -1,    -1,    95,    -1,    -1,
    2006,    -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2499,  1815,    -1,    -1,    -1,   878,    -1,    -1,
    2265,   882,  2509,    -1,    -1,    -1,   243,    -1,    -1,    -1,
     247,    -1,   893,   454,    -1,  2522,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   141,  2531,    -1,    -1,  2053,  2054,    -1,
      -1,   268,   269,  3345,    -1,    -1,   917,  3349,  3350,    -1,
    3352,    -1,  3354,  3355,    -1,    -1,    -1,   284,  2313,    -1,
    3643,  3363,  2317,    -1,    -1,  4654,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2333,    -1,
      -1,    -1,   190,    -1,  1896,   312,    -1,    -1,   959,   197,
      -1,    -1,   200,    -1,  3396,    -1,    -1,    -1,   325,    -1,
      -1,  1913,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4338,
      -1,    -1,  4890,    -1,    -1,    -1,    -1,  1929,    -1,    -1,
      -1,  3435,    -1,    -1,  3438,  3439,  3440,  3441,  3442,  3443,
    3444,  3445,  3446,  3447,    -1,    -1,    -1,  3720,    -1,    -1,
    3723,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,  2646,
      -1,    -1,    -1,    -1,  3468,    -1,    -1,  1752,    -1,  4937,
      85,    -1,    -1,    88,    -1,    -1,    -1,  4945,    -1,    -1,
    2186,    -1,    -1,   400,    -1,  1046,  1988,  1048,    -1,  1050,
      -1,    -1,    -1,  3497,  3498,    -1,  2683,    -1,   113,    -1,
      -1,    -1,    95,    -1,   119,  2211,    -1,  2009,   101,   307,
      -1,   309,    85,    -1,    -1,    88,    -1,  1802,  1803,  1804,
    1805,   319,    -1,    -1,    -1,    -1,    -1,  1040,   143,   327,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,   336,    -1,
     113,  2486,  2248,  2730,  2250,    -1,   119,    -1,   141,  2494,
      -1,  2496,    -1,    -1,    -1,    -1,    -1,  1842,  1843,    -1,
      -1,    -1,  1075,  1848,    -1,  2752,    -1,    -1,    -1,   367,
     143,    -1,    -1,   371,  1135,  1136,    -1,   494,   495,   496,
     497,   498,   499,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     205,    -1,    -1,    -1,    -1,    -1,    -1,   190,   396,    -1,
      -1,    -1,    -1,    -1,   197,    -1,    -1,   200,    -1,    -1,
    1895,  4890,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,
      -1,    -1,   247,    -1,  1919,  1920,  1921,  1922,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2833,    -1,  4567,    -1,
      -1,    -1,  2839,   268,   269,  2157,   454,    -1,  4937,   252,
      -1,    -1,    -1,    -1,    -1,    -1,  4945,    -1,    -1,   284,
     243,    -1,    -1,    -1,   247,    -1,    -1,    -1,  4597,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1977,    -1,    -1,   268,   269,   312,    -1,    -1,
      -1,  1986,    -1,    -1,    -1,    -1,    -1,    -1,  1993,    -1,
     325,   284,    85,    -1,   307,    88,   309,  4636,    -1,    -1,
      -1,  4640,  4641,    -1,    -1,    -1,   319,    -1,    -1,    -1,
      -1,    -1,   105,    -1,   327,    -1,   309,    -1,  2925,   312,
     113,    -1,    -1,   336,    -1,  2247,   119,    -1,    -1,  2455,
      -1,    -1,   325,    -1,    -1,   328,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,    -1,   367,    -1,    -1,    -1,   371,  2724,
      -1,    -1,    -1,    -1,  1345,   400,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2296,    -1,  2298,    -1,    -1,    -1,
      -1,    -1,    -1,   396,    -1,    -1,    -1,  1368,  3812,    -1,
      -1,  2998,    -1,    -1,    -1,  2317,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2344,    -1,    -1,    -1,  2348,  2349,    -1,    -1,
    2352,    -1,  3039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   454,    -1,    -1,  4137,    -1,    -1,    -1,    -1,    -1,
     243,    -1,  2374,  1434,   247,  2160,  4149,    -1,    -1,   494,
     495,   496,   497,   498,   499,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2599,    -1,   268,   269,    -1,    -1,    -1,
    3892,    -1,    -1,    -1,    -1,    -1,  2408,    -1,  3900,  3901,
      -1,   284,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,  3114,  3115,  3116,
      -1,   504,  1445,  2435,    -1,    -1,   309,    -1,    -1,   312,
      -1,    95,    95,    -1,    -1,    -1,  3133,   101,   101,    -1,
      -1,    -1,   325,  3140,    -1,   328,  2458,  2459,    -1,  2461,
      -1,  1474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2478,    -1,    -1,  2481,
    2925,  3985,  3986,    -1,    -1,    -1,    -1,   141,   141,  1502,
    1503,    -1,  1505,    -1,    -1,  1556,    -1,  2499,    -1,    -1,
      -1,    -1,    -1,  1564,  1565,    85,    -1,  2509,    88,  1522,
      -1,    -1,    -1,    -1,  1575,    -1,    -1,    -1,    -1,    -1,
    2522,    -1,    -1,  3210,    -1,   105,    -1,   400,    -1,  2531,
      -1,    -1,    -1,   113,    -1,    -1,   190,   190,    -1,   119,
      -1,    -1,    -1,   197,   197,    -1,   200,   200,    -1,    -1,
      -1,  3238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1574,    -1,   143,    -1,    -1,  1627,    -1,  3255,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3269,    -1,  3271,    -1,  1647,    -1,    -1,   105,
    1603,    -1,    -1,    -1,  1607,  1608,    -1,   113,   252,   252,
    2385,  2386,  2387,   119,    -1,    -1,    -1,  2392,  4100,  2394,
      -1,  2396,  2397,    -1,    -1,    -1,    -1,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,   143,    -1,    -1,
    1691,    -1,    -1,   506,    -1,    -1,    -1,  1698,    -1,  4131,
    4132,    -1,    -1,    -1,  2646,  3332,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   307,   307,   309,   309,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,   319,   319,   247,    -1,  1730,
      -1,    -1,    -1,   327,   327,  3362,    -1,    -1,    -1,    -1,
      -1,  2683,   336,   336,    -1,    -1,    -1,    -1,   268,   269,
    2896,    -1,  3379,    -1,    -1,  4187,  4188,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,    -1,    -1,  2492,    -1,    -1,
    3397,    -1,    -1,   367,    -1,    -1,    -1,   371,   371,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,  2730,   309,
      -1,   247,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   396,   396,  2950,   325,    -1,    -1,   328,    -1,
    2752,    -1,   268,   269,  1815,    -1,  1817,    -1,    -1,    -1,
      -1,    -1,    -1,  2548,    -1,    -1,    -1,    -1,   284,    -1,
      -1,  2556,  2557,  2558,  2559,  2560,  2561,    -1,    -1,    -1,
      -1,    -1,    -1,  3470,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   309,    -1,    -1,   312,    -1,  3243,    -1,
     454,   454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,
      -1,  3256,   328,    -1,    -1,    -1,  4308,    -1,  4310,  4311,
     400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4321,
    4334,  2833,    -1,    -1,    -1,  1896,    -1,  2839,    -1,  4343,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2636,  1913,    -1,    -1,    -1,  4360,  4361,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2666,    -1,  2668,   400,    -1,    -1,   160,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
      -1,    -1,    -1,  2925,    -1,    -1,   506,  1988,    -1,    -1,
      -1,    -1,    -1,   206,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   218,    -1,    -1,  2009,   222,
      -1,    -1,    -1,    -1,   227,    -1,  3643,  3402,    -1,   232,
      -1,    -1,   235,    -1,   237,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,    -1,    -1,  2771,    -1,   504,    -1,
      -1,   264,    -1,    -1,    -1,  3682,  2998,    -1,    -1,  3686,
      -1,  3688,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   285,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3720,    -1,    -1,  3723,  3039,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,   321,    -1,
      -1,   119,    -1,    -1,    -1,    -1,   329,    -1,    -1,    -1,
      -1,    -1,  4566,    -1,    -1,    -1,    -1,    -1,  4560,  3275,
      -1,    85,    -1,    -1,    88,   143,  3763,    -1,    -1,    -1,
      -1,  2094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,  3300,    -1,  2157,    -1,    -1,   113,
      -1,   374,  3308,    -1,  2117,   119,  3312,  2120,    -1,    -1,
    2123,    -1,  3114,  3115,  3116,    -1,    -1,  2130,  2131,    -1,
    3326,    -1,    -1,  2136,  4616,    -1,  2139,    -1,    -1,   143,
      -1,  3133,    -1,    -1,    -1,    -1,    -1,    -1,  3140,    85,
      -1,    -1,    88,  2156,    -1,    -1,   419,    -1,  2161,    -1,
      -1,    -1,  2165,    -1,    -1,    -1,  2169,  4649,  2171,  2172,
    2173,  2174,  2175,  2176,  2177,  2178,  2179,   113,  2181,    -1,
     443,    -1,    -1,   119,  2187,   243,    -1,  2190,    -1,   247,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3395,
      -1,    -1,    -1,   466,    -1,   468,   469,   143,    -1,    -1,
     268,   269,    -1,    -1,    -1,    -1,    -1,    -1,  3210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   284,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3914,   501,   243,
      -1,   504,   505,   247,   507,    -1,  3238,    -1,    -1,  2252,
      -1,    -1,  3687,    -1,   312,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3255,   268,   269,  2317,   325,  3703,   205,
      -1,    -1,  3047,    -1,  3049,  3050,    -1,  3269,    -1,  3271,
     284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2344,    -1,    -1,    -1,  2348,  2349,    -1,
      -1,  2352,    -1,    -1,    -1,   309,    -1,   243,   312,    -1,
      -1,   247,    -1,    -1,    -1,    -1,  3512,  3513,  3514,    -1,
      -1,   325,    -1,  2374,   328,    -1,    -1,    -1,  3763,    -1,
      -1,    -1,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,
    3332,    -1,   400,    85,    -1,    -1,    88,    -1,   284,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2408,    -1,    -1,
      -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,  2419,    -1,
    3362,   113,    -1,    -1,  2377,    -1,   312,   119,    -1,    -1,
      -1,    -1,    -1,    -1,  2435,    -1,    -1,  3379,    -1,   325,
    4872,    -1,    -1,    -1,    -1,    -1,   400,    -1,    -1,    -1,
      -1,   143,    -1,    -1,    -1,  3397,    -1,  2458,  2459,    -1,
    2461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2478,    -1,    -1,
    2481,    -1,    -1,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,    -1,    -1,  4121,    -1,    -1,    -1,  2499,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2509,    -1,
    4137,    -1,    -1,    -1,   400,    -1,    -1,    -1,    -1,    -1,
      -1,  2522,  4149,    -1,    -1,    -1,  3911,    -1,  3470,    -1,
    2531,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,    -1,    -1,    -1,    -1,
     504,   243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,  4206,
      -1,  4208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
     496,   497,   498,   499,    -1,    -1,    -1,   309,  2571,    -1,
     312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3356,    -1,   325,  3359,    -1,   328,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2646,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3799,    -1,    -1,    -1,    -1,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3818,    -1,    -1,    -1,    -1,    -1,  3403,    -1,
      -1,    -1,  2683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4075,    -1,    -1,    -1,  3840,  4322,   132,    -1,    -1,    -1,
      -1,  3643,    -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2730,
      -1,    -1,    -1,    -1,    -1,   171,    -1,    -1,  2691,    -1,
    3682,    -1,  4127,    -1,  3686,    -1,  3688,    -1,   184,    -1,
      -1,  2752,    -1,    -1,    -1,    -1,   192,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   207,    -1,   209,    -1,    -1,    -1,   213,  3720,    -1,
      -1,  3723,    -1,    -1,    -1,    -1,    -1,   223,  4415,    -1,
    4417,    -1,    -1,    -1,    -1,   231,    -1,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,    85,    -1,
      -1,    88,   504,    -1,    -1,    -1,    -1,    -1,    -1,    85,
      -1,  3763,    88,    -1,    -1,  2778,    -1,    -1,   105,    -1,
    2783,    -1,  2833,    -1,    -1,    -1,   113,  1260,  2839,   105,
      -1,    -1,   119,    -1,    -1,    -1,    -1,   113,  4233,    -1,
      -1,    -1,    -1,   119,    -1,    -1,  4002,  4003,  4004,  4005,
      -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,    -1,  2825,    -1,  2827,  2828,    -1,   143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2838,    -1,    -1,  2841,    -1,
    2843,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3634,
    3635,  3636,  3637,    -1,    -1,    -1,    -1,  2870,    -1,  2872,
      -1,    -1,    -1,  2876,  2925,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2905,  2906,  2907,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,    -1,    -1,   243,    -1,    -1,   113,
     247,    -1,  3914,    -1,    -1,   119,  2929,   243,    -1,    -1,
      -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,  2941,    -1,
      -1,   268,   269,  2946,  1417,    -1,    -1,  2998,    -1,   143,
    2953,    -1,   268,   269,    -1,    -1,  4633,   284,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4654,    -1,    -1,
      -1,    -1,   309,    -1,    -1,   312,    -1,    -1,  3039,    -1,
      -1,    -1,    -1,   309,    -1,    -1,   312,    -1,   325,    -1,
      -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,
      -1,    -1,   328,    -1,    -1,    -1,  3019,  4452,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3810,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3114,  3115,  3116,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   400,   268,   269,    -1,    -1,    -1,    -1,
      -1,    -1,  3133,    -1,   400,    -1,  1559,    -1,    -1,  3140,
     284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4304,    -1,
      -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,   312,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4121,
      -1,   325,    -1,    -1,   328,    -1,    -1,   623,    -1,    -1,
      -1,  4818,    -1,    -1,    -1,  4137,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4149,    -1,  3210,
      -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,    -1,   490,   491,   492,   504,   494,   495,
     496,   497,   498,   499,    -1,    -1,    -1,  3238,   504,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3255,    -1,   400,    -1,    -1,    -1,
      -1,    -1,  1685,  4890,  4206,    -1,  4208,    -1,  3269,    -1,
    3271,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,
    4937,   113,    -1,    -1,    -1,  1738,    -1,   119,  4945,    -1,
      -1,    -1,    -1,    -1,  4709,    -1,    -1,    -1,    -1,    -1,
      -1,  3332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,  1765,    -1,    -1,    -1,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,  4502,    -1,    -1,    -1,
     504,  3362,    -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3379,    -1,
    4322,    -1,    -1,    -1,    -1,    -1,    -1,  4533,    -1,    -1,
      -1,    -1,   828,   829,   830,   831,  3397,   833,   834,    -1,
     836,   243,   838,    -1,   840,   247,    -1,    -1,   844,    -1,
     846,    -1,    -1,  1836,   850,    -1,   852,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   860,    -1,   268,   269,    -1,   865,
      -1,   867,  1855,    -1,   870,    -1,   872,    -1,   874,    -1,
      -1,   243,   284,  4168,   880,   247,    -1,   883,    -1,    -1,
    1873,    -1,    -1,    -1,   890,    -1,    -1,  4182,  3411,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   268,   269,  3421,  3470,
     312,    -1,    -1,  4415,  3427,  4417,  3429,    -1,  1901,    -1,
      -1,  4627,   284,   325,    -1,   921,    -1,    -1,    -1,    -1,
     926,    -1,    -1,    -1,   930,    -1,    -1,   933,  3451,  3452,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,
     312,    -1,   948,    -1,    -1,    -1,    -1,    -1,    -1,  3472,
      -1,    -1,    -1,   325,    -1,    -1,   328,    -1,    -1,  3482,
      -1,    -1,  3485,    -1,  3487,    -1,  1959,    -1,    -1,    -1,
      -1,    -1,    -1,  3496,    -1,    -1,    -1,    85,    -1,  3502,
      88,  4276,  3505,    -1,    -1,    -1,    -1,    -1,   400,    -1,
      -1,    -1,    -1,    -1,    -1,  1001,    -1,   105,    -1,    -1,
      -1,    -1,  3525,    -1,    -1,   113,    -1,  1013,  1014,    -1,
    3533,   119,  3535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,
      -1,    -1,    -1,    -1,  1040,   143,    -1,    -1,  1044,  1045,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3579,  1063,    -1,    -1,
      -1,  1067,  3585,    -1,    -1,    -1,    -1,    -1,  3591,  1075,
      -1,    -1,  3643,    -1,    -1,    -1,    -1,    -1,    -1,  1085,
      -1,    -1,   494,   495,   496,   497,   498,   499,    -1,    -1,
      -1,  1097,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3682,    -1,    -1,    -1,  3686,    -1,  3688,   490,   491,
     492,  4633,   494,   495,   496,   497,   498,   499,  4423,  4424,
    4425,    -1,   504,    -1,    -1,   243,    -1,    -1,    -1,   247,
      -1,    -1,  4654,    -1,    -1,    -1,    -1,    -1,    -1,  3720,
      -1,    -1,  3723,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     268,   269,  2155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1178,    -1,    -1,    -1,   284,    -1,    -1,    -1,
    1186,  1187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3763,    -1,    -1,    -1,    -1,    -1,   160,    -1,
      -1,   309,    -1,    -1,   312,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,
     328,    -1,  1228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1238,    -1,    -1,  1241,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   206,    -1,  4541,    -1,  1254,    -1,
      -1,    -1,    85,    -1,    -1,    88,   218,    -1,    -1,    -1,
     222,    -1,  1268,    -1,    -1,   227,    -1,    -1,  1274,  1275,
     232,    -1,   105,   235,    -1,   237,    -1,    -1,    -1,    -1,
     113,    -1,  1288,  1289,  1290,  1291,   119,  1293,    -1,    -1,
      -1,  1297,   400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   264,    -1,    85,    -1,  4818,    88,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1325,
    1326,  1327,    -1,   285,   105,    -1,    -1,    -1,  4623,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,  3914,    -1,    -1,    -1,  3870,  3871,    -1,
    4645,    -1,  4647,    -1,  1360,    -1,    -1,    -1,    -1,   321,
      -1,    -1,   143,    -1,    -1,    -1,    -1,   329,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4890,    -1,
      -1,    -1,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,  1398,  1399,    -1,    -1,   504,  1403,    -1,  1405,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3930,    -1,    -1,
     243,    -1,   374,    -1,   247,    -1,    -1,    -1,    -1,    -1,
      -1,  1427,    -1,    -1,  1430,  4937,    -1,  1433,    -1,    -1,
      -1,    -1,  2425,  4945,    -1,   268,   269,  2430,  2431,  1445,
      -1,    -1,    -1,  4738,    -1,    -1,    -1,    -1,    -1,  2442,
      -1,   284,    -1,    -1,  3977,  3978,    -1,   419,    -1,    -1,
      -1,    -1,   243,    -1,    -1,    -1,   247,  3990,  1474,    -1,
      -1,    -1,    -1,  3996,  3997,    -1,   309,  4000,    -1,   312,
      -1,   443,    -1,    -1,    -1,  4780,    -1,   268,   269,    -1,
      -1,    -1,   325,    -1,    -1,   328,  1502,  1503,    85,  1505,
      -1,    88,    -1,   284,   466,  4028,   468,   469,    -1,    -1,
    4033,    -1,    -1,    -1,    -1,    -1,  1522,    -1,   105,    -1,
      -1,    -1,  4045,    -1,    -1,    -1,   113,    -1,   309,    -1,
      -1,   312,   119,    -1,    -1,    -1,  1542,  1543,    -1,   501,
      -1,  4836,   504,   505,   325,   507,    -1,   328,    -1,    -1,
    4121,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,  4084,    -1,    -1,    -1,  1571,  4137,   400,  1574,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4149,    -1,
    2573,    -1,    -1,    -1,  4879,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1603,    -1,    -1,
      -1,  1607,  1608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1617,  1618,  1619,    -1,    -1,    -1,    -1,    -1,   400,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4206,    -1,  4208,    -1,  1645,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2643,    -1,    -1,    -1,    -1,    -1,   243,   490,   491,   492,
     247,   494,   495,   496,   497,   498,   499,    -1,    -1,    -1,
      -1,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    85,   284,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,    -1,
      -1,    -1,   309,   504,   113,   312,  4249,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,    -1,  1742,  1743,   325,    -1,
      -1,   328,    -1,  1749,    -1,    -1,  1752,    -1,    -1,  2742,
      -1,  4322,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
     347,  1767,    -1,    -1,    -1,    -1,    -1,    -1,  1774,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1794,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1802,  1803,  1804,  1805,
    1806,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   400,  1820,    -1,   205,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1832,   414,  1834,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1842,  1843,    -1,    -1,
      -1,  4364,  1848,    -1,  4415,    -1,  4417,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4389,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,
     269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1895,
      -1,    -1,    -1,    -1,    -1,   284,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,  1919,  1920,  1921,  1922,    -1,    -1,    -1,
      -1,    -1,    -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1938,    -1,    -1,    -1,   325,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1953,    -1,    -1,
      -1,    -1,    -1,    -1,  1960,    -1,  1962,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1972,    -1,    -1,    -1,
      -1,  1977,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1986,    -1,    -1,    -1,    -1,    -1,  1992,  1993,    -1,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
    2006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   400,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,    -1,  2040,    -1,    -1,    -1,    -1,    -1,
      -1,  2047,    -1,  2049,    -1,    -1,  4569,  2053,  2054,  3042,
    2056,    -1,   143,    -1,    -1,    -1,  2062,    -1,    -1,    -1,
      -1,    -1,  4633,    -1,    -1,  4588,    -1,    -1,    -1,    -1,
      -1,    -1,  2078,  2079,    -1,    -1,  2082,    -1,    -1,    -1,
    2086,  2087,    -1,  4654,    -1,    -1,    -1,    -1,  2094,  3082,
    3083,  2097,  3085,    -1,    -1,  2101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2109,  2110,   494,   495,   496,   497,   498,
     499,  2117,    -1,  2119,  2120,  2121,  2122,  2123,    -1,    -1,
      -1,    -1,    -1,    -1,  2130,  2131,    -1,  2133,    -1,  2135,
    2136,    -1,    -1,  2139,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3137,    -1,  3139,    -1,    -1,    -1,
    2156,  4674,   243,    -1,  2160,  2161,   247,    -1,    -1,  2165,
      -1,    -1,    -1,  2169,    -1,  2171,  2172,  2173,  2174,  2175,
    2176,  2177,  2178,  2179,    -1,  2181,    -1,   268,   269,    -1,
    2186,  2187,    -1,    -1,  2190,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1260,   284,    -1,    -1,    -1,    -1,    -1,  3192,
      -1,    -1,    -1,    -1,    -1,  2211,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,
      -1,   312,    -1,  3216,    -1,    -1,  4749,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   325,    -1,    -1,   328,    -1,    -1,
      -1,    -1,  2248,    -1,  2250,    -1,  2252,  4818,    -1,    -1,
    3243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3256,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2288,    -1,  2290,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4815,  4816,    -1,    -1,    -1,   113,    -1,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,   400,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4890,
      -1,    -1,    -1,    -1,    -1,    -1,  3319,   143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3333,  4864,    -1,    -1,    -1,    -1,    -1,  2353,    -1,  1417,
      -1,  4874,  2358,  3346,  2360,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4937,    -1,    -1,    -1,
      -1,  2377,    -1,    -1,  4945,    -1,    -1,  2383,    -1,  2385,
    2386,  2387,    -1,  2389,  2390,    -1,  2392,    -1,  2394,   205,
    2396,  2397,    -1,    -1,  2400,    -1,    -1,    -1,    -1,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,  4932,
      -1,   502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3414,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,   247,  2438,    -1,    -1,    -1,    -1,    -1,  2444,    -1,
      -1,  3434,    -1,  2449,    -1,    -1,    -1,    -1,    -1,  2455,
      -1,    -1,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2470,  2471,  3459,    -1,   284,    -1,
      -1,  2477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,    -1,
      -1,    -1,  3495,    -1,    -1,    -1,    -1,    -1,    -1,   325,
      -1,    -1,  2518,    -1,  2520,  2521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2556,  2557,  2558,  2559,  2560,  2561,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2571,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   400,    -1,    -1,    -1,  2594,    -1,
      -1,    -1,  2598,  2599,    -1,    -1,    -1,  2603,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    85,  1685,    -1,    88,
      -1,    -1,    -1,  2629,    -1,    -1,    -1,    -1,    -1,    -1,
    2636,  2637,    -1,    -1,    -1,    -1,   105,    -1,    -1,   108,
      -1,  2647,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2664,    -1,
    2666,  2667,  2668,  2669,    -1,    -1,    -1,    -1,    -1,    -1,
    1738,    -1,     5,    -1,   143,    -1,    -1,    -1,   494,   495,
     496,   497,   498,   499,    -1,  2691,    -1,    -1,    -1,    -1,
      -1,    -1,    25,    -1,  3687,    -1,    -1,  1765,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,  2712,    -1,    41,    -1,
      43,    44,    -1,    -1,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
    2756,    -1,    -1,    86,    -1,  2761,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2771,    -1,    -1,  1836,    -1,
      -1,  2777,  2778,    -1,   243,    -1,    -1,  2783,   247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1855,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,
     269,   134,  2808,  2809,    -1,  1873,    -1,  2813,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   284,    -1,    -1,    -1,  2825,
    2826,  2827,  2828,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2838,  1901,    -1,  2841,    -1,  2843,  2844,    -1,
     309,    -1,    -1,   312,  3837,    -1,    -1,  2853,  2854,    -1,
      -1,  2857,    -1,    -1,    -1,    -1,   325,    -1,    -1,   328,
      -1,    -1,    -1,    -1,  2870,    -1,  2872,    -1,  2874,    -1,
    2876,   204,    -1,    -1,    85,    -1,  3869,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2892,   220,    -1,    -1,
    2896,  1959,    -1,    -1,   105,    -1,    -1,  2903,   109,  2905,
    2906,  2907,   113,    -1,    -1,    -1,    -1,   240,   119,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2929,    -1,    -1,    -1,    -1,    -1,   262,
      -1,   400,   143,    -1,    -1,  2941,    -1,    -1,    -1,    -1,
    2946,    -1,    -1,    -1,  2950,    -1,    -1,  2953,    -1,    -1,
      -1,    -1,    -1,  2959,    -1,    -1,  2962,    -1,    -1,    -1,
    2966,    -1,    -1,   296,    -1,    -1,   299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   188,    -1,    -1,
      -1,   314,    -1,    -1,    -1,    -1,    -1,  3980,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3991,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3019,    -1,  3021,    -1,    -1,    -1,    -1,
    3026,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,    -1,
      -1,  3047,    -1,  3049,  3050,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   387,    -1,    -1,   268,   269,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   429,    -1,   309,    -1,
      -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4102,
     443,    -1,    -1,    -1,   325,    -1,    -1,   328,    -1,    -1,
      -1,    98,  2190,    -1,    -1,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4130,    -1,    -1,
      -1,    -1,    -1,   117,    -1,    -1,    -1,    -1,    -1,  4142,
      -1,   484,    -1,    -1,    -1,    -1,    -1,   490,    -1,    -1,
      -1,   494,   495,   496,   497,   498,    -1,   144,   501,   502,
     503,   504,    -1,   506,   507,   508,   509,   510,    -1,    -1,
     157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,   400,
      -1,    -1,    -1,  4186,    -1,    -1,    -1,   174,    -1,    -1,
      -1,    -1,    -1,   180,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3220,  3221,    -1,    -1,   195,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   208,    -1,   213,    -1,    -1,    -1,
     451,    -1,   216,  3249,   218,    -1,    -1,   224,    -1,    -1,
      -1,    -1,   229,    -1,    -1,    -1,   230,    -1,   235,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3275,
      -1,    -1,    -1,   250,    -1,    -1,    -1,    -1,    -1,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,    -1,
      -1,    -1,    -1,  3299,  3300,    -1,    -1,    -1,   275,    -1,
      -1,    -1,  3308,    -1,    -1,    -1,  3312,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4338,    -1,    -1,   325,    -1,
    3356,    -1,    -1,  3359,    -1,    -1,    -1,  2425,    -1,    -1,
      -1,    -1,  2430,  2431,    -1,    -1,    -1,    -1,    -1,    -1,
    3376,    -1,    -1,    -1,  2442,    -1,   353,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3395,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3403,    -1,    -1,
      -1,   378,    -1,    -1,    -1,  3411,    -1,   384,    -1,    -1,
      -1,    -1,    -1,   390,    -1,  3421,   393,    -1,    -1,    -1,
      -1,  3427,    -1,  3429,    -1,    -1,    -1,    -1,    -1,  3435,
      -1,    -1,  3438,  3439,  3440,  3441,  3442,  3443,  3444,  3445,
    3446,  3447,   419,    -1,   421,  3451,  3452,    -1,   425,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   433,    -1,  3464,  4452,
      -1,   438,  3468,    -1,    -1,    -1,  3472,    -1,    -1,    -1,
      -1,    -1,    -1,   450,    -1,    -1,  3482,    -1,    -1,  3485,
      -1,  3487,    -1,    -1,    -1,    -1,   463,    -1,    -1,    -1,
    3496,  3497,  3498,    -1,    -1,    -1,  3502,    -1,    -1,  3505,
      -1,    -1,    -1,    -1,    -1,  2573,  3512,  3513,  3514,  3515,
    3516,    -1,    -1,    -1,  3520,  3521,    -1,    -1,    -1,  3525,
      -1,    -1,    -1,    -1,    -1,  3531,    -1,  3533,    -1,  3535,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
       9,    -1,    -1,    -1,    13,    -1,    15,    -1,    17,    18,
      -1,  4544,    -1,    -1,    -1,    -1,    -1,  1260,    -1,    28,
      -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3579,  4567,  2643,    45,    46,    -1,  3585,
      -1,    -1,    -1,  3589,    -1,  3591,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4597,    -1,    -1,   144,   145,    -1,
    3616,  3617,  3618,    -1,  3620,    -1,   153,    -1,    -1,    -1,
     157,    -1,    91,    -1,    -1,    -1,    -1,    -1,  3634,  3635,
    3636,  3637,   101,    -1,   103,   104,    -1,   174,    -1,    -1,
      -1,    -1,    -1,  4636,    -1,    -1,    -1,  4640,  4641,   118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   195,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3672,    -1,    -1,   138,
      -1,   140,   141,    -1,  2742,    -1,   213,   146,    -1,   148,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,   158,
      -1,   160,   229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   174,    -1,   176,    -1,    -1,
     179,    -1,  1260,   250,  1417,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   191,    -1,   193,    -1,    -1,    -1,   197,    -1,
      -1,  3737,    -1,    -1,   203,    -1,    -1,    -1,   275,    -1,
      -1,   210,    -1,   212,    -1,    -1,    -1,    -1,    -1,   218,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3791,    -1,    -1,   325,    -1,
      -1,    -1,    -1,  3799,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,    -1,  3810,    88,  3812,    -1,    -1,    -1,
      -1,    -1,  3818,    -1,    -1,    -1,   353,   286,   287,    -1,
      -1,    -1,   105,   292,  3830,    -1,    -1,    -1,    -1,    -1,
     113,   300,    -1,    -1,  3840,    -1,   119,  2905,  2906,  2907,
      -1,   378,   311,  3849,    -1,   382,   820,   384,  3854,    -1,
      -1,    -1,  3858,   390,   828,    -1,   393,    -1,    -1,    -1,
     143,    -1,   836,    -1,  3870,  3871,    -1,    -1,    -1,  1417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   348,
      -1,    -1,   419,    -1,   421,    -1,    -1,    -1,   425,  3895,
     359,  3897,    -1,   867,    -1,   364,   433,   366,    -1,    -1,
      -1,   438,   371,    -1,    -1,    -1,    -1,   376,    -1,    -1,
     379,    -1,    -1,    -1,   383,    -1,    -1,    -1,    -1,   388,
     389,    -1,    -1,    -1,  3930,    -1,   463,   396,    -1,    85,
     399,    -1,    88,    -1,    -1,    -1,    -1,    -1,   407,   222,
      -1,    -1,    -1,    -1,   227,    -1,    -1,   921,    -1,   105,
     419,    -1,    -1,    -1,    -1,    -1,   930,   113,    -1,    -1,
     243,  3967,    -1,   119,   247,    -1,    -1,   436,    -1,   438,
      -1,  3977,  3978,    -1,  3042,    -1,    -1,   446,    -1,  3985,
    3986,    -1,  1685,   452,  3990,   268,   269,   143,   457,    -1,
    3996,  3997,    -1,    -1,  4000,    -1,  4002,  4003,  4004,  4005,
     469,   284,    -1,  4009,    -1,    -1,  4012,    -1,    -1,  4015,
      -1,    -1,    -1,  4019,  3082,  3083,    -1,  3085,    -1,  4025,
      -1,    -1,  4028,    -1,    -1,    -1,   309,  4033,    -1,   312,
      -1,    -1,    -1,  4039,   503,  1738,    -1,    -1,   507,  4045,
      -1,    -1,   325,    -1,    -1,   328,    -1,    -1,  4054,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4062,    -1,    -1,    -1,
    4066,    -1,  1765,    -1,    -1,   221,  1040,    -1,    -1,  3137,
      -1,  3139,  1046,    -1,    -1,  4081,  1050,    -1,  4084,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,  4104,  4105,
      -1,  1075,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   268,   269,    -1,    -1,    -1,   400,    -1,    -1,
      -1,    -1,  4128,    -1,  3192,    -1,    -1,    -1,   284,    -1,
      -1,    -1,    -1,  1836,    -1,    -1,    -1,  1685,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3216,    -1,
      -1,    -1,  1855,   309,    -1,    -1,   312,    -1,    -1,    -1,
      -1,    -1,  4168,    -1,    -1,    -1,    -1,    -1,    -1,   325,
    1873,    -1,   328,    -1,    -1,  3243,  4182,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3256,   345,
    1738,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1901,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,
    4216,   494,   495,   496,   497,   498,   499,  1765,    -1,  4225,
    4226,  4227,  4228,  4229,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4249,   400,    -1,    85,    -1,    -1,    88,
      -1,  3319,    -1,    -1,  1228,    -1,  1959,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1238,  3333,   105,    -1,    -1,    -1,
    4276,  4277,    -1,    -1,   113,    -1,    -1,    -1,  3346,    -1,
     119,    -1,    -1,    -1,    -1,    -1,  1260,    -1,  1836,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4304,    -1,
    4306,    -1,    -1,    -1,   143,    -1,    -1,  1855,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1293,
      -1,    -1,    -1,    -1,    -1,  1873,    -1,    -1,  4334,    -1,
      -1,    -1,    -1,    -1,   490,   491,   492,  4343,   494,   495,
     496,   497,   498,   499,    -1,    -1,  3414,    -1,    -1,    -1,
      -1,    -1,    -1,  1901,  4360,  4361,    -1,    -1,  4364,    -1,
      -1,    -1,    -1,    -1,    -1,  4371,  3434,    -1,    -1,  4375,
      -1,    -1,    -1,    -1,  4380,    -1,    -1,  4383,  4384,    -1,
    4386,    -1,  4388,  4389,    -1,    -1,  1360,    -1,    -1,    -1,
      -1,  3459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,
      -1,  1959,    -1,    -1,    -1,  4421,  4422,  4423,  4424,  4425,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3495,    -1,   268,
     269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1417,    -1,   284,    -1,    -1,    -1,    -1,
    4456,  4457,  2155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3535,    -1,    -1,
     309,  1445,    -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4487,    -1,    -1,    -1,    -1,   325,  4493,    -1,   328,
      -1,    -1,    -1,    -1,    -1,    -1,  4502,    -1,    -1,    -1,
    1474,    -1,    -1,   342,    -1,    -1,    -1,  4513,    -1,  4515,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4528,    -1,    -1,    -1,    -1,  4533,  1502,  1503,
      -1,  1505,    -1,    -1,    -1,  4541,  4542,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1522,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4566,   400,    -1,  4569,    -1,  4571,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4588,    -1,    95,    -1,  4592,    -1,    85,  4595,
     101,    88,    -1,    -1,    -1,  4601,    -1,    -1,    -1,    -1,
    1574,  1575,    -1,    -1,    -1,    -1,    -1,  2155,   105,    -1,
      -1,   108,    -1,    -1,    -1,   126,   113,  4623,    -1,  3687,
      -1,  4627,   119,    -1,    -1,    -1,    -1,    -1,    -1,  1603,
     141,    -1,    -1,  1607,  1608,    -1,    -1,    -1,  4644,  4645,
    4646,  4647,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   172,    -1,    -1,    -1,    -1,    -1,    -1,  4674,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   190,
      -1,    -1,    -1,    -1,    -1,    -1,   197,    -1,    -1,   200,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1685,    -1,    -1,    -1,    -1,    -1,  1691,    -1,    -1,
      -1,    -1,  2425,    -1,  1698,    -1,  4732,  2430,  2431,    -1,
      -1,    -1,  4738,    -1,  4740,    -1,    -1,    -1,   249,  2442,
      -1,   252,    -1,  4749,    -1,    -1,   243,    -1,    -1,    -1,
     247,    -1,    -1,    -1,    -1,    -1,  1730,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1738,    -1,    -1,    -1,    -1,  3837,
      -1,   268,   269,    -1,  4780,    -1,    -1,    -1,  4784,    -1,
      -1,    -1,    -1,    -1,   295,    -1,   297,   284,  4794,    -1,
      -1,  1765,    -1,    -1,    -1,    -1,   307,  4803,   309,    -1,
      -1,  3869,    -1,    -1,    -1,    -1,  4812,    -1,   319,  4815,
    4816,    -1,   309,    -1,    -1,   312,   327,    -1,    -1,    -1,
      -1,    -1,  4828,    -1,   335,   336,    -1,    -1,   325,    85,
    4836,   328,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1817,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,    -1,    -1,    -1,   367,   113,  4864,    -1,
     371,   372,  1836,   119,    -1,    -1,    -1,    -1,  4874,    -1,
    2573,    -1,    -1,  4879,    -1,    -1,    -1,  2425,    -1,    -1,
      -1,  1855,  2430,  2431,    -1,   396,    -1,   143,    -1,    -1,
      -1,    -1,    -1,    -1,  2442,    -1,   407,    85,    -1,  1873,
      88,    -1,    -1,   400,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3980,    -1,    -1,    -1,    -1,   105,    -1,    -1,
     108,    -1,  1896,  3991,    -1,   113,  4932,  1901,    -1,    -1,
      -1,   119,    -1,    -1,    -1,  4941,    -1,    -1,    -1,    -1,
    2643,    -1,    -1,   454,    -1,    -1,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
    4028,    -1,    -1,    -1,    -1,  4033,   105,    -1,    -1,    -1,
      -1,   227,    -1,    -1,   113,    -1,    -1,  4045,    -1,  1953,
     119,    -1,    -1,    -1,    -1,  1959,    -1,   243,  1962,    -1,
      -1,   247,    -1,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2573,    -1,    -1,   284,    -1,
      -1,    -1,    -1,    -1,  4102,    -1,    -1,    -1,    -1,  2742,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   309,    -1,   243,   312,    -1,    -1,   247,
      -1,    -1,  4130,    -1,    -1,    -1,    -1,    -1,    -1,   325,
      -1,    -1,   328,    -1,  4142,  2049,    -1,    -1,    -1,    -1,
     268,   269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2643,   284,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,
      -1,    -1,  2086,  2087,    -1,    -1,    -1,    -1,  4186,    -1,
    2094,   309,    -1,  2097,   312,    -1,    -1,  2101,    -1,   268,
     269,    -1,    -1,    -1,    -1,  2109,  2110,   325,    -1,    -1,
     328,    -1,    -1,  2117,   400,   284,  2120,  2121,  2122,  2123,
      -1,    -1,    -1,    -1,    -1,    -1,  2130,  2131,    -1,  2133,
      -1,  2135,  2136,    -1,    -1,  2139,    -1,    -1,    -1,    -1,
     309,    -1,    -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2155,  2156,  2157,    -1,    -1,   325,  2161,    -1,   328,
      -1,  2165,    -1,    -1,  2742,  2169,    -1,  2171,  2172,  2173,
    2174,  2175,  2176,  2177,  2178,  2179,    -1,  2181,    -1,    -1,
      -1,    -1,   400,  2187,    -1,    -1,  2190,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4301,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,   426,    -1,    -1,
      -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,    -1,    -1,    -1,    -1,    -1,   126,    -1,    -1,
      -1,  1260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,  3042,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2348,    -1,    -1,    -1,    -1,  3082,
    3083,   190,  3085,    -1,  4452,    -1,    -1,    -1,   197,    -1,
      -1,   200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2377,    -1,    -1,    -1,    -1,    -1,  2383,
      -1,    -1,    -1,    -1,    -1,  2389,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3137,    -1,  3139,    -1,    -1,    -1,
     249,    -1,    -1,   252,    -1,  2419,    -1,    -1,    -1,    -1,
      -1,  2425,    -1,    -1,    -1,    -1,  2430,  2431,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2442,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4544,    -1,  1417,    -1,
      -1,    -1,    -1,    -1,  2458,    -1,   295,  2461,   297,  3192,
      -1,    -1,    -1,    -1,  3042,    -1,    -1,    -1,   307,  4567,
     309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     319,    -1,    -1,  3216,    -1,    -1,    -1,    -1,   327,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   335,   336,    -1,  4597,
      -1,    -1,    -1,    -1,  3082,  3083,    -1,  3085,    -1,    -1,
    3243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3256,    -1,    -1,    -1,    -1,   367,    -1,
      -1,    -1,   371,   372,    -1,    -1,    -1,    -1,  4636,    -1,
      -1,    -1,  4640,  4641,    -1,    -1,    -1,    -1,   208,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   216,   396,   218,  3137,
      -1,  3139,    -1,    -1,    -1,    -1,    -1,  2571,   407,  2573,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3319,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,
    3333,    -1,    -1,    -1,  4702,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3346,  3192,   454,    -1,    -1,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,
      -1,    -1,    -1,    -1,    -1,    -1,    43,    44,  3216,  2643,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,  3243,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,  3256,    86,
      -1,  3414,    -1,    -1,    -1,    -1,    -1,  2691,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1685,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3459,   134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2742,    -1,
      -1,  3319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2756,    -1,    -1,  3333,    -1,  2761,    -1,    -1,
      85,    -1,  3495,    88,    -1,    -1,    -1,    -1,  3346,  1738,
      -1,    -1,    -1,  2777,  2778,    -1,    -1,    -1,    -1,  2783,
     105,    -1,    -1,   108,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,  1765,   204,    -1,    -1,
      -1,    -1,    -1,    -1,  2808,  2809,    -1,    -1,    -1,  2813,
      -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,   143,    -1,
      -1,  2825,  2826,  2827,  2828,    -1,    -1,    -1,    -1,  2833,
      -1,    -1,    -1,   240,  2838,  2839,  3414,  2841,    -1,  2843,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2853,
    2854,    -1,    -1,  2857,    -1,   262,  3434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2870,  1836,  2872,    -1,
      -1,    -1,  2876,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3459,    -1,    -1,    -1,    -1,  1855,    -1,  2892,   296,
      -1,    -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,  2903,
      -1,  2905,  2906,  2907,  1873,    -1,    -1,   314,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3495,   243,    -1,
      -1,    -1,   247,    -1,    -1,  2929,    -1,    -1,    -1,    -1,
      -1,    -1,  1901,    -1,    -1,    -1,    -1,  2941,    -1,    -1,
      -1,    -1,  2946,   268,   269,    -1,    -1,    -1,    -1,  2953,
      -1,    -1,    -1,    -1,  3687,  2959,    -1,    -1,    -1,   284,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     387,   160,    -1,    -1,   309,    -1,    -1,   312,    -1,    -1,
    1959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     325,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3019,    -1,    -1,    -1,    -1,
      -1,    -1,   429,    -1,    -1,    -1,    -1,   206,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   443,    -1,  3042,   218,
      -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,   227,    -1,
      -1,   458,    -1,   232,    -1,    -1,   235,    -1,   237,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   400,    -1,   484,  3082,  3083,
      -1,  3085,    -1,   490,    -1,   264,    -1,   494,   495,   496,
     497,   498,    -1,    -1,   501,   502,   503,    -1,    -1,    -1,
      -1,   508,   509,    -1,  3837,    -1,   285,    -1,    -1,  3687,
    3114,  3115,  3116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3137,    -1,  3139,  3869,    -1,    -1,    -1,
      -1,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   490,   491,   492,   828,   494,
     495,   496,   497,   498,   499,    -1,   836,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2155,    -1,  3192,    -1,
      -1,    -1,    -1,    -1,    -1,   374,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   867,    -1,    -1,
      -1,    -1,  3216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3238,    -1,    -1,    -1,    -1,  3243,
     419,    -1,    -1,    -1,    -1,    -1,    -1,  3980,    -1,    -1,
      -1,  3255,  3256,    -1,    -1,    -1,    -1,    -1,  3991,  3837,
      -1,   921,    98,    -1,   443,    -1,    -1,    -1,    -1,    -1,
     930,    -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,    -1,   468,
     469,  3869,    -1,    -1,    -1,   131,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,
      -1,    -1,    -1,    -1,    -1,  3319,   105,    -1,    -1,    -1,
      -1,   157,   501,    -1,   113,   504,   505,    -1,   507,  3333,
     119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,  3346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,   195,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4102,
      -1,    -1,  3376,    -1,    -1,    -1,    -1,   213,    -1,    -1,
    1040,    -1,    -1,    -1,    -1,    -1,  1046,    -1,   224,    -1,
    1050,    -1,    -1,   229,    -1,    -1,    -1,  4130,    -1,   235,
      -1,    -1,  3980,    -1,    -1,    -1,    -1,  3411,    -1,  4142,
    3414,    -1,    -1,  3991,   250,  1075,    -1,  3421,    -1,    -1,
      -1,    -1,    -1,  3427,    -1,  3429,    -1,    -1,    -1,    -1,
    3434,  3435,    -1,    -1,  3438,  3439,  3440,  3441,  3442,  3443,
    3444,  3445,  3446,  3447,    -1,    -1,    -1,  3451,  3452,    -1,
      -1,    -1,    -1,  4186,   243,  3459,  2425,    -1,   247,    -1,
    3464,  2430,  2431,    -1,  3468,    -1,  3470,    -1,  3472,    -1,
      -1,    -1,    -1,  2442,    -1,    -1,    -1,    -1,  3482,   268,
     269,  3485,    -1,  3487,    -1,    -1,    -1,    -1,    -1,   325,
      -1,  3495,  3496,  3497,  3498,   284,    -1,    -1,  3502,   335,
      -1,  3505,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,
      -1,  3515,    -1,    -1,    -1,    -1,   110,   353,    -1,    -1,
     309,  3525,    -1,   312,  4102,    -1,    -1,    -1,    -1,  3533,
      -1,  3535,    -1,    -1,    -1,    -1,   325,   131,    -1,   328,
      -1,    -1,   378,    -1,    -1,    -1,   382,    -1,   384,    -1,
     144,    -1,  4130,    -1,   390,    -1,    -1,   393,    -1,   153,
      -1,    -1,    -1,   157,  4142,    -1,    -1,    -1,  1228,    -1,
      -1,    -1,    -1,    -1,    -1,  3579,    -1,    -1,  1238,    -1,
     174,  3585,    -1,   419,    -1,   421,   180,  3591,    -1,   425,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   433,    -1,    -1,
    1260,   195,   438,    -1,  2573,  4338,    -1,    -1,  4186,    -1,
      -1,   400,  3616,    -1,   450,    -1,    -1,    -1,    -1,   213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,
     224,    -1,    -1,  1293,    -1,    -1,    -1,   231,    -1,    -1,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   250,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2643,    -1,    -1,    -1,  3682,    -1,
      -1,    -1,  3686,  3687,  3688,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,
    1360,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4452,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   325,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1417,    -1,    -1,
    4338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2742,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   378,  1445,    -1,    -1,    -1,    -1,
     384,    -1,    -1,    -1,    -1,    -1,   390,    -1,    -1,   393,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3812,    -1,
      -1,  4544,    -1,    -1,  1474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   419,    -1,   421,   422,    -1,
     424,   425,    -1,  3837,  4567,    -1,    -1,    -1,    -1,   433,
      -1,    -1,  1502,  1503,   438,  1505,    -1,    -1,    -1,    -1,
     444,    -1,    -1,   447,    -1,    -1,   450,    -1,    -1,    -1,
      -1,    -1,  1522,    -1,  4597,  3869,  3870,  3871,    -1,   463,
      -1,    -1,    -1,    -1,  4452,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4636,    -1,    -1,    -1,  4640,  4641,    -1,
      -1,    -1,    -1,    -1,  1574,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3930,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1603,    -1,    -1,    -1,  1607,  1608,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3967,    -1,    -1,  4544,    -1,    -1,    -1,
      -1,    -1,    -1,  3977,  3978,    -1,  3980,    -1,    -1,    -1,
      -1,  3985,  3986,    -1,    -1,    -1,  3990,  3991,    -1,  4567,
      -1,    -1,  3996,  3997,    -1,    -1,  4000,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4015,    -1,    -1,    -1,  4019,    -1,    -1,    -1,  4597,
      -1,    -1,    -1,    -1,  4028,  1685,    -1,    -1,    -1,  4033,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1698,    -1,
      -1,  4045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4636,    -1,
      -1,    -1,  4640,  4641,    -1,    -1,    -1,    -1,    -1,    -1,
    1730,    -1,    -1,  3042,    -1,    -1,    -1,    -1,  1738,    -1,
    4084,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4102,    -1,
      -1,    -1,    -1,    -1,    -1,  1765,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3082,  3083,    -1,  3085,  4121,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4130,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4142,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1817,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3137,    -1,
    3139,    -1,    -1,    -1,    -1,    -1,  1836,    -1,    -1,    -1,
      -1,    -1,  4186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1855,    -1,    -1,    -1,    -1,
      -1,    -1,  4206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1873,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3192,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1901,    -1,    -1,    -1,  4249,    -1,  3216,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3256,    -1,    -1,
      -1,    -1,    -1,  1953,    -1,    -1,    -1,  4301,    -1,  1959,
      -1,    -1,  1962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4334,    -1,    -1,    -1,  4338,    -1,    -1,    -1,    -1,  4343,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3319,    -1,    -1,    -1,    -1,    -1,  4360,  4361,    -1,    -1,
    4364,    -1,    -1,    -1,  3333,    -1,    -1,    -1,    -1,    -1,
      -1,  4375,    -1,    -1,    -1,    -1,  4380,  3346,    -1,  4383,
      -1,    -1,    -1,    -1,  4388,  4389,    -1,    -1,    -1,  2049,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2086,  2087,    -1,    -1,
      -1,    -1,    -1,    -1,  2094,    -1,    -1,  2097,    -1,    -1,
      -1,  2101,    -1,    -1,    -1,  3414,    -1,    -1,  4452,  2109,
    2110,    -1,  4456,    -1,    -1,    -1,    -1,  2117,    -1,    -1,
    2120,  2121,  2122,  2123,    -1,  3434,    -1,    -1,    -1,    -1,
    2130,  2131,    -1,  2133,    -1,  2135,  2136,    -1,    -1,  2139,
      -1,  1260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4493,
    3459,    -1,    -1,    -1,    -1,  2155,  2156,    -1,    -1,    -1,
      -1,  2161,    -1,    -1,    -1,  2165,    -1,    -1,    -1,  2169,
      -1,  2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,  2179,
      -1,  2181,    -1,    -1,    -1,    -1,  3495,  2187,    -1,    -1,
    2190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4542,    -1,
    4544,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4566,  4567,    -1,  4569,    -1,  4571,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4588,    -1,    -1,    -1,  4592,    -1,
      -1,    -1,  2252,  4597,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4633,
      -1,    -1,  4636,    -1,    -1,    -1,  4640,  4641,  1417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4702,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2377,  3687,    -1,
      -1,    -1,    -1,  2383,    -1,    -1,    -1,    -1,  4732,  2389,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4749,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2419,
      -1,    -1,    -1,    -1,    -1,  2425,    -1,    -1,    -1,    -1,
    2430,  2431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4784,    -1,  2442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4794,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4815,  4816,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4828,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4864,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3837,    -1,
    4874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4890,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3869,    -1,    -1,    -1,    -1,    -1,  1685,    -1,    -1,    -1,
      -1,  2571,    -1,  2573,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4932,    -1,
      -1,    -1,    -1,  4937,    -1,    -1,    -1,  4941,    -1,    -1,
      -1,  4945,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1738,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2643,    -1,    -1,  1765,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3980,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3991,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2691,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1836,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1855,    -1,    -1,    -1,
      -1,    -1,  2742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1873,    -1,  2756,    -1,    -1,    -1,
      -1,  2761,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2777,  2778,    -1,
      -1,    -1,  1901,  2783,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2808,  2809,
      -1,    -1,    -1,  2813,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4130,    -1,    -1,    -1,  2825,  2826,  2827,  2828,    -1,
      -1,    -1,    -1,  4142,    -1,    -1,    -1,    -1,  2838,    -1,
    1959,  2841,    -1,  2843,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2853,  2854,    -1,    -1,  2857,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2870,    -1,  2872,    -1,    -1,    -1,  2876,  4186,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2903,    -1,  2905,  2906,  2907,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,    -1,  2929,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2941,    -1,    -1,    -1,    -1,  2946,    -1,    -1,    -1,
      -1,    -1,    -1,  2953,    -1,    -1,    -1,    -1,    -1,  2959,
      -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   154,    -1,    -1,   157,    -1,
      -1,    -1,    -1,    -1,   163,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3019,
      -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,  4338,
      -1,    -1,    -1,    -1,    -1,    -1,  2155,    -1,    -1,    -1,
      -1,    -1,  3042,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3082,  3083,    -1,  3085,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3137,    -1,  3139,
      -1,    89,    -1,  4452,    -1,    -1,    94,    -1,    96,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   132,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3192,    -1,   142,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   153,   154,    -1,    -1,   157,
      -1,    -1,    -1,    -1,    -1,   163,  3216,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   411,    -1,    -1,  4544,    -1,    -1,    -1,   187,
      -1,    -1,    -1,  3243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   203,  3256,    -1,  4567,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4597,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2425,    -1,    -1,    -1,
      -1,  2430,  2431,    -1,    -1,    -1,    -1,    -1,    -1,  3319,
      -1,    -1,    -1,  2442,    -1,    -1,    -1,  4636,    -1,    -1,
      -1,  4640,  4641,  3333,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3346,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3376,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3411,    -1,    -1,  3414,    -1,    -1,    -1,    -1,    -1,
      -1,  3421,    -1,    -1,    -1,    -1,    -1,  3427,    -1,  3429,
      -1,    -1,    -1,    -1,  3434,  3435,    -1,    -1,  3438,  3439,
    3440,  3441,  3442,  3443,  3444,  3445,  3446,  3447,    -1,    -1,
      -1,  3451,  3452,    -1,  2573,    -1,    -1,    -1,    -1,  3459,
      -1,    -1,    -1,   411,  3464,    -1,    -1,    -1,  3468,    -1,
      -1,    -1,  3472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3482,    -1,    -1,  3485,    -1,  3487,   667,   668,
      -1,    -1,    -1,    -1,    -1,  3495,  3496,  3497,  3498,    -1,
      -1,    -1,  3502,    -1,    -1,  3505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3515,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2643,  3525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3533,    -1,  3535,   715,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3579,
      -1,    -1,    -1,    -1,    -1,  3585,    -1,    -1,    -1,    -1,
      -1,  3591,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3616,    -1,    -1,    -1,
      -1,    -1,    -1,  2742,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   834,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   843,    -1,   845,    -1,   847,    -1,
     849,    -1,    -1,    -1,    -1,   623,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3687,    -1,   868,
      -1,    -1,    -1,    -1,    -1,    -1,   875,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   884,   885,    -1,    -1,    -1,
     889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   667,
     668,    -1,    -1,    -1,    -1,    -1,   905,    -1,   907,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   922,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   936,    -1,    -1,
     939,    -1,   941,    -1,   943,    -1,    -1,   715,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   956,   957,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   971,    -1,   973,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   983,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3812,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1002,  1003,    -1,    -1,    -1,    -1,    -1,
    1009,    -1,  1011,    -1,    -1,    -1,    -1,  3837,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1042,    -1,    -1,    -1,    -1,    -1,  3869,
    3870,  3871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1077,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3042,    -1,    -1,    -1,    -1,    -1,    -1,
    3930,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   904,   905,    -1,   907,
      -1,    -1,    -1,  3082,  3083,    -1,  3085,  3967,    -1,  1148,
      -1,  1150,    -1,    -1,    -1,  1154,    -1,  3977,  3978,    -1,
    3980,    -1,    -1,    -1,    -1,  3985,  3986,    -1,    -1,    -1,
    3990,  3991,    -1,    -1,    -1,    -1,  3996,  3997,    -1,    -1,
    4000,    -1,    -1,    -1,    -1,   953,    -1,    -1,   956,   957,
      -1,    -1,    -1,    -1,    -1,  4015,    -1,    -1,  3137,  4019,
    3139,   969,    -1,   971,    -1,   973,    -1,    -1,  4028,    -1,
      -1,   979,    -1,  4033,    -1,   983,    -1,  1216,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4045,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1232,  1002,  1003,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1243,    -1,    -1,    -1,    -1,    -1,
      -1,  1250,    -1,  3192,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1262,  4084,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1042,    -1,  1044,  3216,    -1,    -1,
      -1,    -1,  4102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1294,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3243,    -1,    -1,    -1,    -1,    -1,
    4130,    -1,    -1,    -1,    -1,    -1,    -1,  3256,    -1,    -1,
      -1,    -1,  4142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1121,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4186,  1135,  1136,    -1,
      -1,  1139,    -1,    -1,  1373,    -1,  1375,    -1,    -1,  1378,
    3319,  1380,    -1,    -1,  1383,  1384,  1385,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3333,    -1,    -1,  1396,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3346,    -1,    -1,
    1409,    -1,  1411,    -1,    -1,    -1,  1184,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3414,    -1,    -1,    -1,    -1,
      -1,  4301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3434,    -1,    -1,  1260,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4334,    -1,    -1,    -1,  4338,    -1,
    3459,    -1,    -1,  4343,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4360,  4361,    -1,    -1,  4364,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4375,  3495,    -1,    -1,    -1,
    4380,    -1,    -1,  4383,    -1,    -1,    -1,    -1,  4388,  4389,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1593,    -1,    -1,    -1,    -1,    -1,
    1368,  4421,    -1,    -1,    -1,  1373,    -1,  1375,    -1,    -1,
    1378,    -1,  1380,    -1,    -1,  1383,  1384,  1385,    -1,    -1,
      -1,  1389,    -1,    -1,    -1,    -1,    -1,    -1,  1396,    -1,
      -1,    -1,  4452,    -1,    -1,    -1,  4456,    -1,    -1,    -1,
      -1,  1409,    -1,  1411,    -1,    -1,    -1,    -1,  1416,    -1,
      -1,  1650,    -1,    -1,  1653,  1417,    -1,    -1,    -1,    -1,
      -1,    -1,  1661,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4493,    -1,    -1,    -1,    -1,    -1,    -1,
    1679,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1260,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1716,    -1,    -1,
      -1,    -1,  4542,    -1,  4544,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4566,  4567,  3687,  4569,
      -1,  4571,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1533,    -1,    -1,  4588,    -1,
      -1,    -1,  4592,    -1,  1542,  1543,    -1,  4597,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1559,    -1,    -1,    -1,    -1,  1564,  1565,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4636,    -1,    -1,    -1,
    4640,  4641,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4674,    -1,    -1,    -1,    -1,    -1,
    1417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1645,    -1,  1647,
      -1,    -1,  4702,    -1,    -1,    -1,    -1,    -1,    -1,  1657,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3837,    -1,
      -1,    -1,    -1,    -1,    -1,  1904,    -1,    -1,    -1,    -1,
      -1,    -1,  4732,    -1,    -1,    -1,    -1,    -1,  1917,    -1,
      -1,    -1,    -1,  1685,    -1,    -1,    -1,    -1,    -1,  4749,
    3869,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1728,    -1,  1961,    -1,  4784,    -1,  1965,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4794,    -1,  1738,  1976,    -1,  1978,
      -1,  1980,    -1,    -1,    -1,    -1,  1985,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4815,  4816,    -1,    -1,    -1,
      -1,    -1,    -1,  1765,    -1,    -1,    -1,  1775,  4828,    -1,
    1778,  1779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2018,
      -1,  2020,    -1,    -1,    -1,  2024,    -1,  2026,    -1,    -1,
    2029,    -1,    -1,    -1,  2033,  2034,    -1,    -1,    -1,    -1,
      -1,  3980,    -1,    -1,  4864,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3991,    -1,  4874,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1841,  1836,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1855,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1873,  4932,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4941,    -1,    -1,    -1,    -1,    -1,    -1,  1685,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1901,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1738,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4130,    -1,    -1,  2193,    -1,    -1,  1959,    -1,    -1,
      -1,    -1,    -1,  4142,    -1,    -1,    -1,    -1,  1765,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4186,    -1,    -1,
    2018,    -1,  2020,    -1,    -1,    -1,  2024,    -1,  2026,    -1,
      -1,  2029,    -1,    -1,    -1,  2033,    -1,    -1,    -1,    -1,
    2038,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1836,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1855,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1873,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2328,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1901,    -1,  2345,  2346,    -1,    -1,
      -1,  2350,  2351,    -1,    -1,  2354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2364,    -1,    -1,    -1,    -1,
      -1,    -1,  2371,    -1,    -1,    -1,  2375,  2376,    -1,    -1,
    2379,  2380,  2381,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2391,  2155,  2393,    -1,    -1,    -1,    -1,  4338,
      -1,    -1,  1959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2409,    -1,    -1,    -1,    -1,  2414,    -1,    -1,  2186,    -1,
      -1,    -1,    -1,    -1,    -1,  2193,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2202,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2445,  2446,  2447,  2448,
      -1,    -1,    -1,  2452,  2453,    -1,    -1,    -1,    -1,    -1,
      -1,  2460,    -1,    -1,  2463,    -1,    -1,    -1,  2467,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2482,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2493,    -1,  2495,  2265,    -1,    -1,
      -1,  2500,    -1,    -1,    -1,    -1,  2505,  2506,  2507,  2508,
      -1,  2510,    -1,  4452,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2523,  2524,  2525,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2534,  2535,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2313,    -1,    -1,    -1,  2317,
      -1,    -1,    -1,    -1,    -1,  2323,    -1,  2325,    -1,    -1,
    2328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2590,    -1,    -1,    -1,    -1,    -1,    -1,  2155,    -1,
      -1,    -1,    -1,    -1,    -1,  4544,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4567,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4597,    -1,
      -1,    -1,    -1,  2425,    -1,    -1,    -1,    -1,  2430,  2431,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4636,    -1,    -1,
      -1,  4640,  4641,    -1,    -1,    -1,    -1,    -1,  2707,    -1,
      -1,   828,    -1,    -1,    -1,    -1,    -1,     5,  2486,   836,
      -1,    -1,    -1,    -1,    -1,    -1,  2494,    -1,  2496,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,  2748,
     867,    -1,    -1,    -1,    -1,    43,    44,    -1,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    -1,   921,    -1,    -1,    -1,    -1,    -1,
      -1,  2573,    -1,   930,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2425,    -1,
      -1,    -1,    -1,  2430,  2431,    -1,    -1,    -1,    -1,    -1,
      -1,  2643,    -1,    -1,    -1,  2442,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,  1040,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,  2707,
    2708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   240,    -1,    -1,    -1,  2724,    -1,  1075,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   262,    -1,    -1,    -1,    -1,    -1,
    2742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2999,  3000,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,
      -1,   299,    -1,    -1,    -1,    -1,  2573,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   314,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3059,  3060,    -1,    -1,    -1,  3064,    -1,    -1,    -1,    -1,
    3069,  3070,  3071,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2643,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   387,
      -1,    -1,    -1,    -1,    -1,    -1,  3105,  3106,  3107,  3108,
      -1,  1228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   429,  3141,  1260,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2920,    -1,    -1,   443,    -1,  2925,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,    -1,    -1,    -1,    -1,    -1,  1293,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2742,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,    -1,    -1,    -1,
      -1,    -1,   490,    -1,  3203,    -1,   494,   495,   496,   497,
     498,    -1,  3211,   501,   502,   503,   504,    -1,    -1,    -1,
     508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1360,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3042,  3280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3307,    -1,
    3309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3082,  3083,    -1,  3085,    -1,    -1,    -1,    -1,  1445,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3344,    -1,    -1,  3347,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1474,    -1,    -1,
      -1,    -1,  3361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3137,    -1,  3139,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1502,  1503,    -1,  1505,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1522,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3216,    -1,    -1,  1574,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3243,    -1,    -1,    -1,    -1,
      -1,  3243,    -1,    -1,    -1,  3042,  1603,    -1,  3256,    -1,
    1607,  1608,    -1,    -1,  3256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3082,  3083,    -1,  3085,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3319,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1685,    -1,
      -1,  3333,    -1,    -1,    -1,    -1,  3344,    -1,    -1,    -1,
    3137,    -1,  3139,    -1,  3346,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1738,    -1,    -1,  3623,    -1,  3625,    -1,    -1,    -1,
    3629,    -1,    -1,    -1,  3402,  3192,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3644,    -1,    -1,  1765,    -1,
      -1,    -1,  3414,    -1,    -1,    -1,    -1,    -1,    -1,  3216,
      -1,    -1,  3661,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3670,  3434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3459,    -1,  3256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3710,  3711,  3712,  3713,  3714,  3715,  3716,    -1,  1836,
      -1,    -1,  3721,  3722,    -1,  3724,  3725,  3726,  3727,  3728,
    3729,  3730,    -1,  3495,    -1,    -1,    -1,    -1,  1855,    -1,
    3739,    -1,  3741,  3742,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1873,    -1,    -1,    -1,
      -1,    -1,  3319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3333,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1901,    -1,    -1,    -1,    -1,  3346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3806,  3807,  3808,
      -1,    -1,  3811,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3596,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1953,    -1,    -1,    -1,
      -1,    -1,  1959,    -1,    -1,  1962,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3434,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3886,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3687,
      -1,    -1,    -1,    -1,    -1,  3687,    -1,    -1,    -1,    -1,
      -1,    -1,  2049,    -1,    -1,  3703,    -1,    -1,  3495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2086,
    2087,    -1,    -1,    -1,    -1,    -1,    -1,  2094,    -1,    -1,
    2097,    -1,    -1,    -1,  2101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2109,  2110,    -1,  3763,    -1,    -1,    -1,    -1,
    2117,    -1,    -1,  2120,  2121,  2122,  2123,    -1,    -1,    -1,
      -1,    -1,    -1,  2130,  2131,    -1,  2133,    -1,  2135,  2136,
      -1,    -1,  2139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2155,  2156,
      -1,    -1,    -1,    -1,  2161,    -1,    -1,    -1,  2165,    -1,
      -1,    -1,  2169,    -1,  2171,  2172,  2173,  2174,  2175,  2176,
    2177,  2178,  2179,    -1,  2181,    -1,    -1,    -1,    -1,    -1,
    2187,    -1,    -1,  2190,    -1,  3837,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3869,    -1,    -1,
      -1,    -1,    -1,    -1,  4113,  4114,  4115,  4116,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3687,    -1,    -1,    -1,    -1,  2252,    -1,    -1,    25,  4138,
    4139,    -1,    -1,  3911,    -1,    -1,    -1,    -1,    35,    36,
      -1,  4150,  4151,    -1,    -1,    -1,    43,    44,    -1,    -1,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3980,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3991,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2377,    -1,    -1,    -1,    -1,    -1,  2383,    -1,    -1,    -1,
    4269,    -1,  2389,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3837,  4049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4075,  2425,    -1,
      -1,    -1,  3869,  2430,  2431,  4314,    -1,   204,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2442,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,
    4102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,  4127,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4130,    -1,
      -1,    -1,  1518,    -1,    -1,   262,    -1,    -1,    -1,    -1,
    4142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4406,    -1,   296,
      -1,    -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3980,  4186,    -1,    -1,   314,    -1,    -1,
      -1,    -1,    -1,    -1,  3991,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1589,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2571,    -1,  2573,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4233,    -1,  4466,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2643,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   429,    -1,    -1,  4102,    -1,    -1,    -1,    -1,
      -1,  4550,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,    -1,  4130,  2691,    -1,  4338,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4142,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,    -1,    -1,
      -1,    -1,    -1,   490,    -1,    -1,    -1,   494,   495,   496,
     497,   498,    -1,    -1,   501,   502,   503,   504,    -1,    -1,
      -1,   508,    -1,    -1,    -1,  2742,    -1,    -1,    -1,  4186,
      -1,    -1,  4631,    -1,    -1,    -1,    -1,    -1,  4406,  2756,
      -1,    -1,    -1,    -1,  2761,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2777,  2778,    -1,    -1,    -1,    -1,  2783,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4452,    -1,    -1,    -1,    -1,    -1,
    4452,  2808,  2809,    -1,    -1,    -1,  2813,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4706,  2825,  2826,
    2827,  2828,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2838,    -1,    -1,  2841,    -1,  2843,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2853,  2854,    -1,    -1,
    2857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2870,    -1,  2872,    -1,    -1,    -1,  2876,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2892,    -1,    -1,    -1,  4778,
      -1,  4338,  4544,    -1,    -1,    -1,  2903,    -1,  2905,  2906,
    2907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4567,    -1,    -1,    -1,    -1,
      -1,    -1,  2929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2941,    -1,    -1,    -1,    -1,  2946,
      -1,    -1,    -1,    -1,    -1,  4597,  2953,    -1,    -1,    -1,
      -1,    -1,  2959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2001,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4636,    -1,    -1,    -1,  4640,  4641,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4452,    -1,    -1,    -1,    -1,
      -1,    -1,  3019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3042,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4709,    -1,    -1,    -1,    -1,  2092,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3082,  3083,    -1,  3085,    -1,
    2116,    -1,    -1,    -1,    -1,  2121,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4544,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2141,  2142,    -1,    -1,  2145,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3137,    -1,  3139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2185,
    4597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3192,    -1,    -1,    -1,  4636,
      -1,    -1,    -1,  4640,  4641,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2239,    -1,    -1,    -1,    -1,    -1,  3216,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2261,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2271,  3243,    -1,  2274,    -1,
      -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,  3256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,
      -1,    -1,    43,    44,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,  3319,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,  3333,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3376,
      -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3411,    -1,    -1,  3414,    -1,    -1,
      -1,    -1,    -1,    -1,  3421,    -1,    -1,    -1,    -1,    -1,
    3427,    -1,  3429,    -1,    -1,    -1,    -1,  3434,  3435,    -1,
      -1,  3438,  3439,  3440,  3441,  3442,  3443,  3444,  3445,  3446,
    3447,    -1,    -1,   204,  3451,  3452,    -1,    -1,    -1,    -1,
      -1,    -1,  3459,    -1,    -1,    -1,    -1,  3464,    -1,   220,
      -1,  3468,    -1,    -1,    -1,  3472,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3482,    -1,    -1,  3485,   240,
    3487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3495,  3496,
    3497,  3498,    -1,    -1,    -1,  3502,    -1,    -1,  3505,    -1,
      -1,   262,    -1,    -1,    -1,    -1,    -1,    -1,  3515,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3525,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3533,    -1,  3535,    -1,
      -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,   299,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   314,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3579,    -1,    -1,    -1,    -1,    -1,  3585,    -1,
      -1,    -1,    -1,    -1,  3591,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3616,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   387,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3687,    -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   484,    -1,    -1,    -1,    -1,    -1,   490,
      -1,    -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,
     501,   502,   503,    -1,    -1,  2781,    -1,   508,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2804,    -1,
    2806,    -1,  2808,  2809,  2810,    -1,    -1,  2813,    -1,    -1,
      -1,  2817,    -1,    -1,    -1,    -1,    -1,    -1,  2824,    -1,
      -1,    -1,    -1,  2829,    -1,    -1,    -1,    -1,    -1,  2835,
      -1,    -1,    -1,    -1,  2840,  3812,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2849,    -1,    -1,    -1,  2853,  2854,    -1,
    2856,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3837,    -1,  2868,    -1,    -1,    -1,    -1,    -1,    -1,  2875,
      -1,  2877,  2878,  2879,  2880,  2881,  2882,  2883,  2884,  2885,
    2886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3869,  3870,  3871,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2911,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3930,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3967,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3977,  3978,    -1,  3980,    -1,    -1,    -1,    -1,  3985,  3986,
      -1,    -1,    -1,  3990,  3991,    -1,    -1,    -1,    -1,  3996,
    3997,    -1,    -1,  4000,    -1,    -1,    -1,    -1,  3034,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4015,    -1,
      -1,    -1,  4019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4028,    -1,    -1,    -1,    -1,  4033,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4045,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4084,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4130,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4142,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4186,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4301,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4334,    -1,  3365,
      -1,  4338,    -1,    -1,    -1,    -1,  4343,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4360,  4361,    -1,    -1,  4364,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4375,    -1,
      -1,    -1,    -1,  4380,  3410,    -1,  4383,    -1,    -1,    -1,
    3416,  4388,  4389,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3432,  3433,    -1,  3435,
      -1,    -1,  3438,  3439,  3440,  3441,  3442,  3443,  3444,  3445,
    3446,  3447,  3448,    -1,  4421,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3473,    -1,    -1,
    3476,    -1,  3478,    -1,    -1,  4452,    -1,  3483,  3484,  4456,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3497,  3498,  3499,    -1,  3501,    -1,    -1,  3504,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4493,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3561,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4542,  3572,  4544,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4566,
    4567,    -1,  4569,    -1,  4571,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3613,    -1,    -1,
      -1,  4588,    -1,    -1,    -1,  4592,    -1,    -1,    -1,    -1,
    4597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4636,
      -1,    -1,    -1,  4640,  4641,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4674,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4702,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4732,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4749,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3812,  4784,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4794,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4815,  4816,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4828,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4864,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4874,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3931,    -1,    -1,    -1,  3935,
    3936,  3937,    -1,    -1,  3940,    -1,    -1,    -1,    -1,  3945,
    3946,  3947,  3948,  3949,  3950,  3951,  3952,  3953,  3954,  3955,
    3956,    -1,    -1,    -1,    -1,  4932,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4941,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3984,  3985,
    3986,  3987,    -1,  3989,    -1,    -1,    -1,  3993,  3994,  3995,
      -1,    -1,  3998,    -1,    -1,  4001,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4030,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4042,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4059,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4252,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,  4298,  4299,    -1,    -1,   142,    -1,   144,    -1,
      -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,  4330,    -1,    -1,    -1,  4334,    -1,
      -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4348,    -1,  4350,    -1,    -1,    -1,    -1,  4355,
    4356,  4357,    -1,    -1,  4360,  4361,  4362,  4363,   204,  4365,
      -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,    -1,   215,
      -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,
     226,    -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,   257,    -1,  4419,    -1,    -1,    -1,   263,    -1,   265,
      -1,    -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   281,   282,    -1,   284,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,   304,   305,
      -1,    -1,   308,    -1,    -1,    -1,   312,    -1,    -1,   315,
      -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,   331,   332,   333,   334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,  4505,
     346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   377,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   397,    -1,    -1,   400,    -1,   402,    -1,    -1,  4565,
    4566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,
      -1,    -1,    -1,    -1,    -1,  4581,  4582,  4583,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,   432,    -1,   434,    -1,
      -1,    -1,    -1,    -1,  4600,    -1,    -1,   443,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   510,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4712,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4722,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4783,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4827,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,  4867,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,  4911,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     3,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,   509,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   101,    -1,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,   115,
      -1,    -1,   118,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,   138,    -1,   140,   141,   142,    -1,   144,    -1,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   158,    -1,   160,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,
     176,   177,   178,   179,    -1,    -1,    -1,    -1,    -1,   185,
      -1,    -1,    -1,    -1,    -1,   191,    -1,   193,    -1,    -1,
      -1,   197,    -1,    -1,    -1,    -1,    -1,   203,   204,    -1,
      -1,    -1,    -1,    -1,   210,   211,   212,    -1,    -1,   215,
      -1,    -1,   218,    -1,   220,    -1,    -1,    -1,    -1,    -1,
     226,    -1,   228,    -1,    -1,    -1,   232,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,   257,    -1,    -1,   260,    -1,    -1,   263,    -1,   265,
      -1,    -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   281,   282,    -1,   284,    -1,
     286,   287,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   300,    -1,    -1,   303,   304,   305,
      -1,    -1,   308,    -1,    -1,   311,   312,    -1,    -1,   315,
      -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,   331,   332,   333,   334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
     346,    -1,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   358,   359,    -1,    -1,    -1,    -1,   364,    -1,
     366,    -1,    -1,    -1,    -1,   371,    -1,    -1,    -1,    -1,
     376,   377,    -1,   379,   380,    -1,    -1,   383,    -1,    -1,
      -1,    -1,   388,   389,    -1,    -1,    -1,    -1,    -1,    -1,
     396,   397,    -1,   399,   400,    -1,   402,    -1,    -1,    -1,
      -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,
      -1,    -1,    -1,   419,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,   432,    -1,   434,    -1,
     436,    -1,   438,    -1,    -1,    -1,    -1,   443,    -1,    -1,
     446,    -1,    -1,   449,    -1,    -1,   452,    -1,    -1,    -1,
      -1,   457,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   469,    -1,    -1,    -1,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,   503,    26,    27,
      -1,   507,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,
      -1,    -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,
     268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   281,   282,    -1,   284,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   303,   304,   305,    -1,    -1,
     308,    -1,    -1,    -1,   312,    -1,    -1,   315,    -1,   317,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,   331,   332,   333,   334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,
      -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,
      -1,    -1,   400,    -1,   402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,    -1,    -1,    -1,   432,    -1,   434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,    -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,   510,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,   450,    -1,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,   495,   496,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,   450,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,   283,   284,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,    -1,    -1,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,    -1,   345,    -1,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,    -1,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
     458,   459,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   504,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,    -1,    -1,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,    -1,   345,    -1,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
      -1,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   504,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,   450,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,   450,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,   450,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,
      -1,    -1,    -1,   501,   502,   503,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,   450,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   494,   495,   496,    -1,    -1,
      -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
     450,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   503,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,   450,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,    -1,   444,   445,   446,   447,   448,   449,   450,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,   449,   450,    -1,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,   450,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,   450,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,   450,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,   450,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,   450,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,   450,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
     450,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   503,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,    -1,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,   450,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,   450,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,   450,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,    -1,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,    -1,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,    -1,   444,   445,   446,   447,   448,   449,   450,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,    -1,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,    -1,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,   450,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,   312,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
     324,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,   450,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   503,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
      -1,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,   324,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,   450,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   503,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,   312,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,   450,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   503,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
      -1,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   503,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     504,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   504,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
     502,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,   433,    -1,   435,   436,   437,   438,   439,   440,   441,
     442,    -1,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,    -1,    -1,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     5,     6,
       7,     8,     9,    10,    11,    12,    13,   496,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,    -1,   310,   311,   312,   313,    -1,    -1,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,    -1,   345,    -1,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,    -1,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,   496,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,   496,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,   496,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,     4,   490,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,   312,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,   312,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,    -1,    -1,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,    -1,   345,    -1,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
      -1,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,    -1,   345,    -1,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,    -1,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,   485,   486,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,   283,   284,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,   312,   313,    -1,    -1,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,    -1,   345,    -1,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,    -1,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,   312,   313,    -1,    -1,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,    -1,   345,
      -1,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,    -1,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,
     486,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
      -1,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,   283,
     284,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
      -1,    -1,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
      -1,   345,    -1,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,    -1,   433,
      -1,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     484,   485,   486,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,    -1,    -1,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,    -1,   345,    -1,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
      -1,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,    -1,    -1,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,    -1,   345,    -1,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,    -1,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,    -1,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,   485,   486,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,    -1,   121,    -1,    -1,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,    -1,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,    -1,
      -1,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
      -1,   219,    -1,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
      -1,   259,   260,   261,    -1,    -1,    -1,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,   283,   284,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,    -1,   306,   307,
      -1,    -1,   310,   311,   312,   313,    -1,    -1,   316,    -1,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,    -1,   345,    -1,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,    -1,
     398,   399,   400,   401,    -1,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,    -1,
      -1,    -1,    -1,   431,    -1,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,    -1,
      -1,   145,   146,   147,   148,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,   160,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
     232,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,   160,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,   232,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,   163,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,   160,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,   450,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,   450,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,   324,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,   324,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,   324,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    74,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,    -1,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,   211,
      -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,   220,    -1,
      -1,    -1,    -1,    -1,   226,    -1,   228,    -1,    -1,    -1,
      -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   256,   257,    -1,    -1,    -1,    -1,
      -1,   263,    -1,   265,    -1,    -1,   268,   269,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   281,
     282,    -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   303,   304,   305,    -1,    -1,   308,    -1,    -1,    -1,
     312,    -1,    -1,   315,    -1,   317,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,   331,
     332,   333,   334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,    -1,   346,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   377,    -1,    -1,   380,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   397,    -1,    -1,   400,    -1,
     402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   415,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,
     432,    -1,   434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,   461,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
     144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,
      -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,
      -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,   263,
      -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   281,   282,    -1,
     284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,
     304,   305,    -1,    -1,   308,    -1,    -1,    -1,   312,    -1,
      -1,   315,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   330,   331,   332,   333,
     334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     344,    -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   377,    -1,    -1,   380,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   397,    -1,    -1,   400,    -1,   402,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,   428,    -1,    -1,    -1,   432,    -1,
     434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   443,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   458,    -1,    -1,   461,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,
      -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,    -1,   215,
      -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,
     226,    -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,   257,    -1,    -1,    -1,    -1,    -1,   263,    -1,   265,
      -1,    -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   281,   282,    -1,   284,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,   304,   305,
      -1,    -1,   308,    -1,    -1,    -1,   312,    -1,    -1,   315,
      -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,   331,   332,   333,   334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
     346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   377,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   397,    -1,    -1,   400,    -1,   402,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,   432,    -1,   434,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,
      -1,    -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,
     268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   281,   282,    -1,   284,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   303,   304,   305,    -1,    -1,
     308,    -1,    -1,    -1,   312,    -1,    -1,   315,    -1,   317,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,   331,   332,   333,   334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,
      -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,
      -1,    -1,   400,    -1,   402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,    -1,    -1,    -1,   432,    -1,   434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,    -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   211,    -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,
     220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,    -1,
      -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,    -1,
      -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,   269,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   281,   282,    -1,   284,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   303,   304,   305,    -1,    -1,   308,    -1,
      -1,    -1,   312,    -1,    -1,   315,    -1,   317,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     330,   331,   332,   333,   334,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   344,    -1,   346,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,    -1,
     380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,    -1,    -1,
     400,    -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,
      -1,    -1,   432,    -1,   434,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,
      -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    71,   485,   486,
      -1,    -1,    -1,    -1,    -1,    79,    80,   494,   495,   496,
      -1,    -1,    -1,    -1,    -1,    -1,   503,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,   312,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,   485,   486,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,   503,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,   312,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,   485,   486,    -1,
      -1,    -1,    -1,    -1,    71,    72,   494,   495,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,   485,   486,
      -1,    -1,    -1,    -1,    -1,    71,    72,   494,   495,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,   485,
     486,    -1,    -1,    -1,    -1,    -1,    71,    -1,   494,   495,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,    -1,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
     485,   486,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
      -1,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,   485,   486,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,    -1,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    71,   485,   486,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,    -1,   297,   298,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,    -1,
     310,   311,   312,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    71,   485,   486,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    71,   485,   486,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,   312,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      71,   485,   486,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,   170,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,    -1,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,   450,
      -1,   452,   453,   454,   455,   456,    -1,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    71,   485,   486,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,   312,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    71,   485,   486,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,   312,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    71,
     485,   486,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
     312,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    71,   485,   486,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
      -1,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    71,   485,   486,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,   485,
     486
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   512,  1049,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   220,   240,
     262,   296,   299,   314,   387,   429,   443,   458,   484,   490,
     494,   495,   496,   497,   498,   501,   502,   503,   504,   506,
     507,   508,   509,   510,  1041,  1050,  1078,  1080,  1171,  1181,
    1182,  1184,  1190,  1191,  1079,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   144,   146,   148,   150,   158,
     160,   161,   167,   174,   176,   177,   178,   179,   191,   193,
     197,   203,   204,   210,   211,   212,   215,   218,   220,   226,
     228,   232,   234,   243,   256,   257,   263,   265,   268,   269,
     271,   281,   282,   284,   286,   287,   292,   300,   303,   304,
     305,   308,   311,   312,   315,   317,   330,   331,   332,   333,
     334,   344,   346,   348,   358,   359,   364,   366,   371,   376,
     377,   379,   380,   383,   388,   389,   396,   397,   399,   400,
     402,   407,   415,   419,   427,   428,   432,   434,   436,   438,
     443,   446,   452,   457,   458,   461,   469,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   503,   513,   514,   520,
     521,   523,   524,   525,   526,   527,   528,   529,   531,   532,
     536,   547,   550,   551,   554,   555,   556,   567,   570,   571,
     586,   625,   626,   633,   639,   641,   643,   644,   647,   650,
     651,   655,   656,   665,   669,   670,   671,   675,   676,   678,
     679,   680,   693,   694,   695,   696,   707,   708,   715,   716,
     719,   720,   721,   722,   723,   728,   730,   733,   737,   741,
     742,   752,   753,   756,   761,   772,   791,   794,   795,   796,
     799,   802,   804,   806,   809,   812,   813,   814,   821,   822,
     824,   825,   826,   831,   833,   834,   838,   839,   842,   843,
     844,   846,   847,   848,   849,   851,   854,   855,   860,   866,
     869,   871,   876,   878,   882,   889,   893,   894,   895,   896,
     897,   898,   901,   928,  1046,  1047,  1051,  1053,  1054,  1071,
    1072,  1073,  1074,  1085,  1087,  1091,  1092,  1093,  1094,  1095,
    1097,  1099,  1101,  1102,  1103,  1104,  1106,  1111,  1112,  1116,
    1117,  1126,  1128,  1129,  1130,  1133,  1138,  1141,  1146,  1148,
    1149,  1152,  1154,  1157,  1166,  1184,  1192,    73,  1074,  1082,
    1083,    14,    72,    91,    92,    93,    94,    95,    96,    97,
      98,   100,   101,   102,   110,   111,   113,   114,   116,   117,
     118,   125,   126,   127,   128,   129,   132,   133,   136,   138,
     139,   140,   141,   146,   147,   148,   149,   151,   154,   155,
     156,   157,   158,   159,   162,   171,   172,   173,   174,   176,
     179,   181,   183,   184,   185,   186,   187,   189,   190,   191,
     194,   195,   196,   197,   198,   200,   201,   202,   204,   205,
     207,   208,   209,   210,   212,   213,   214,   217,   219,   221,
     223,   225,   229,   230,   231,   233,   236,   238,   239,   241,
     242,   244,   245,   246,   248,   249,   250,   251,   252,   253,
     255,   259,   260,   261,   267,   270,   272,   273,   274,   275,
     276,   277,   278,   280,   283,   286,   287,   288,   291,   292,
     293,   294,   295,   297,   298,   300,   301,   302,   306,   307,
     310,   311,   313,   316,   318,   319,   320,   322,   325,   326,
     327,   335,   336,   337,   338,   339,   340,   341,   343,   345,
     347,   348,   349,   351,   352,   353,   354,   355,   356,   357,
     359,   360,   361,   362,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   375,   376,   378,   379,   381,   382,
     383,   384,   385,   386,   388,   390,   391,   392,   393,   394,
     396,   398,   399,   401,   403,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   417,   418,   420,   421,   422,
     423,   424,   425,   429,   431,   433,   436,   437,   438,   439,
     440,   441,   442,   445,   446,   447,   448,   449,   452,   453,
     454,   455,   456,   460,   462,   463,   464,   467,   470,   471,
     472,   473,   474,   485,   486,  1042,  1044,  1045,  1046,  1047,
    1064,  1065,  1176,  1178,  1182,  1184,    29,   258,  1127,     9,
      13,    15,    28,    45,    46,    50,    51,    56,    65,    67,
      69,    70,    99,   134,   152,   163,   175,   180,   240,   296,
     299,   387,   457,   484,  1034,  1045,  1046,  1066,  1113,  1114,
    1156,  1157,  1158,  1162,  1167,  1168,  1169,  1178,  1184,    99,
     890,  1033,  1066,  1162,  1175,    14,   890,     5,    25,    29,
      35,    36,    43,    44,    99,   103,   104,   105,   106,   107,
     108,   109,   112,   124,   130,   131,   134,   137,   143,   145,
     152,   153,   160,   163,   164,   165,   166,   168,   169,   170,
     180,   182,   188,   192,   193,   199,   203,   206,   216,   218,
     222,   224,   227,   232,   235,   237,   247,   254,   258,   262,
     264,   266,   279,   285,   289,   290,   309,   314,   321,   323,
     324,   328,   329,   342,   350,   363,   374,   389,   395,   404,
     416,   419,   426,   429,   430,   435,   443,   444,   450,   451,
     457,   459,   465,   466,   468,   469,  1045,  1048,  1158,  1159,
    1160,  1164,  1165,  1166,  1167,  1169,    25,    35,   134,   262,
    1153,    38,    40,   309,  1086,   431,   471,   827,    98,   144,
     157,   174,   180,   195,   213,   224,   229,   235,   250,   275,
     325,   353,   378,   384,   390,   393,   419,   421,   425,   433,
     438,   450,   463,   640,  1114,   179,   827,    99,   890,   461,
     856,   323,   349,   827,   121,   577,   894,    98,   110,   131,
     144,   153,   174,   180,   195,   213,   224,   231,   235,   288,
     325,   328,   378,   384,   393,   421,   422,   424,   425,   433,
     438,   444,   447,   450,   587,   711,   762,   773,  1034,  1055,
    1056,  1057,  1066,  1182,  1184,    14,    99,   348,  1033,  1066,
    1070,   408,   890,    99,   343,   422,   424,   274,   800,   801,
    1182,    98,   110,   131,   144,   157,   174,   195,   213,   224,
     229,   235,   250,   325,   335,   378,   382,   384,   390,   393,
     419,   421,   425,   433,   438,   450,   463,   640,   724,   827,
     509,  1096,  1160,   244,  1070,   160,   179,   210,   461,   503,
     855,   861,   869,   871,   876,   882,   889,   893,  1051,    92,
      99,   116,   219,   225,   227,   247,   276,   306,   351,   365,
     494,   495,   738,   739,   890,  1041,  1043,  1176,  1178,    99,
     160,   363,   389,   743,   744,   745,  1162,  1162,  1038,  1182,
     419,   904,   116,   225,   738,  1162,   431,  1070,   335,   174,
     250,   418,   419,   807,   383,  1162,    99,   134,   394,   427,
     431,   457,   539,  1045,  1046,  1156,  1161,  1167,  1169,  1184,
      96,   232,   743,   744,   349,   827,  1162,   273,    99,   192,
     906,     4,    14,   132,   152,   154,   288,   302,   378,   384,
     394,   427,   431,   474,   537,   538,   539,    99,   394,   427,
     431,   539,   431,   324,   937,  1031,  1162,   904,  1150,  1160,
     496,  1162,   228,   503,   857,   503,  1027,   361,   899,   900,
    1033,   894,   895,   898,   507,   856,   206,   264,   329,   443,
     907,   908,   894,   896,   897,   185,   260,   449,   506,   118,
     513,  1094,  1097,  1093,  1089,   507,  1098,  1100,     5,    25,
      35,   134,   196,   262,  1105,   175,   240,   296,   299,   387,
     484,   503,   968,   969,  1077,  1081,  1171,    73,  1074,  1033,
    1066,  1185,   180,  1055,    21,   451,   497,  1070,  1070,  1185,
     451,  1118,  1119,  1120,    25,   262,   262,  1164,     7,    19,
      20,    39,    42,   156,   193,  1155,  1155,    16,  1094,  1039,
    1047,  1156,  1159,  1162,  1163,  1167,  1168,  1184,   726,  1162,
     726,  1034,   352,   726,   726,  1033,  1162,   173,   419,   751,
    1039,  1042,   242,  1031,   318,    85,   139,   217,   490,   491,
     492,   494,   495,   496,   497,   498,   499,   798,   994,   995,
    1162,  1042,  1033,   242,  1031,  1033,   242,   937,  1033,   386,
    1033,   726,   293,  1042,   242,  1031,   274,    34,   182,   270,
     309,   357,   828,   829,   830,  1031,  1037,  1162,    98,   131,
     144,   145,   153,   157,   174,   195,   213,   224,   229,   250,
     275,   325,   378,   382,   384,   390,   393,   419,   421,   425,
     433,   438,   463,   640,   731,  1182,  1031,   429,  1039,  1033,
     503,   726,   433,  1034,   726,   242,  1033,   173,   419,   422,
     424,  1042,   422,   424,   139,   217,   798,   369,  1042,   533,
    1162,  1033,  1033,   386,  1033,   726,   293,  1042,   390,   419,
     463,   157,   250,   229,   382,   437,   634,    85,  1058,  1059,
     508,  1178,  1185,    99,  1070,  1184,   891,   546,  1044,  1182,
     801,   242,  1039,  1033,   242,   805,   242,  1034,   173,   419,
     242,  1039,   242,  1032,  1033,   150,   139,   217,   242,   798,
     125,   242,  1032,   242,  1033,   242,  1033,   242,  1033,   386,
     242,  1033,   242,   293,  1032,   274,   242,   725,   726,   503,
     509,  1186,  1187,  1188,  1189,  1191,  1096,    71,  1066,  1115,
     503,   870,   587,   890,   861,   855,   862,   863,   864,  1044,
     856,  1043,   739,   740,    99,   739,   890,  1043,   740,    99,
     739,   890,  1043,   740,   740,   740,  1043,  1041,  1041,   266,
     451,  1120,  1121,  1195,  1196,   890,   740,   352,   503,   503,
     606,   606,   606,   323,   429,   506,   606,   937,   938,   739,
     890,   739,   890,   506,   823,  1182,   227,   503,   867,   125,
    1033,  1033,  1031,  1162,   115,   486,   270,   505,   326,   326,
     323,   227,  1182,   429,   222,   734,   323,    83,    84,    85,
      87,   107,   120,   122,   123,   130,   131,   134,   135,   142,
     144,   164,   165,   166,   167,   168,   169,   170,   177,   178,
     196,   211,   215,   216,   220,   234,   262,   263,   265,   281,
     289,   290,   303,   305,   309,   314,   315,   317,   325,   334,
     344,   358,   380,   395,   402,   415,   427,   428,   432,   434,
     435,   444,   450,   458,   476,   477,   478,   479,   480,   481,
     482,   483,   494,   495,   496,   503,   894,   949,   952,   955,
     956,   957,   959,   960,   961,   962,   965,   966,   970,   972,
     973,   992,   996,  1015,  1020,  1028,  1029,  1039,  1040,  1041,
    1162,  1174,  1176,  1178,  1179,  1180,  1181,  1182,   429,   490,
    1185,  1182,   429,   490,  1114,    99,   552,  1030,  1031,   394,
     537,   180,   545,  1182,   546,  1182,   115,   136,   537,   486,
     403,   829,   326,   227,   429,   490,   115,   486,   270,  1195,
     830,   503,  1031,   496,   501,   505,  1021,  1022,   938,  1166,
     226,   228,   461,   852,   853,   855,   226,   858,   180,   970,
    1025,  1026,   899,   506,   503,   859,   504,   504,  1031,    99,
     192,   905,   905,   125,   905,   218,   222,   285,   321,   911,
     913,   914,   923,   925,   926,   907,   908,   227,   266,   937,
     939,  1027,   507,  1088,   496,  1107,  1108,  1110,   509,   509,
      25,   262,   262,   429,   429,   429,   429,   503,   429,   495,
     631,  1043,  1075,  1181,   203,   108,  1062,   125,  1065,  1065,
     266,  1120,  1122,   266,  1120,  1121,  1122,   456,  1131,  1132,
    1178,    14,    37,    84,   494,   495,  1041,  1123,  1124,  1125,
    1174,  1176,  1180,  1181,  1182,  1183,   262,   268,  1033,   429,
    1033,     6,  1033,  1155,  1110,   503,   701,  1022,   336,   367,
     396,   505,   727,   336,   367,   396,   336,   367,   396,   469,
     515,   547,   548,   757,    95,   197,   336,   367,   396,   454,
     559,   396,    95,   197,   449,   530,   472,   242,   937,   127,
     159,   214,   245,   280,   309,   336,   367,   375,   381,   388,
     396,   405,   413,   464,   547,   549,   785,   792,   503,   774,
     367,   530,   211,    95,   101,   141,   190,   197,   200,   252,
     307,   309,   319,   327,   336,   367,   371,   396,   454,   557,
     558,   659,   631,   726,   726,   503,   797,   505,   247,   367,
     515,   522,   336,   367,   211,   126,   172,   249,   295,   297,
     307,   335,   367,   372,   396,   407,   557,   628,   629,   336,
     367,   462,   659,   667,   211,   367,   396,   557,   336,   367,
     371,   396,   151,   189,   337,   423,   323,    95,   101,   197,
     336,   367,   396,   568,   569,   222,   367,   396,   515,   548,
     211,   367,   396,   557,  1033,   507,   283,   182,   324,   473,
     506,   828,   451,   850,   323,  1039,   503,  1033,   173,   419,
    1039,   318,   139,   217,   798,  1033,   386,  1033,   274,   726,
     606,   410,   411,   573,  1182,   503,   701,   702,   137,   120,
     122,   123,   134,   135,   177,   178,   220,   263,   265,   303,
     305,   317,   358,   397,   402,   427,   428,   458,   946,   948,
     950,   952,   954,   956,   957,   958,   960,   961,   965,   966,
    1156,  1163,  1167,  1168,  1184,   227,   503,   697,  1033,   515,
     108,   845,   309,   515,   472,   242,  1031,   515,   726,   726,
     697,   587,   515,   115,   534,   438,   666,   336,   642,   151,
     189,   337,   423,    97,   117,   261,   681,   108,   697,   222,
     515,  1031,   242,   623,  1031,  1031,   726,   150,   763,  1039,
    1033,   640,    74,  1060,  1162,   508,  1061,  1058,   121,   171,
     259,   307,   385,   211,   701,   128,   373,   560,   211,   503,
     211,   472,   211,   774,   211,   506,   242,   725,   242,   726,
     242,   726,   211,   797,  1032,   211,   211,   323,   211,   560,
     211,   151,   189,   337,   423,   211,   323,   211,   222,   242,
     242,   546,   211,   506,   560,   504,  1187,  1188,  1186,   506,
     510,   970,   999,  1119,  1194,  1195,   419,   891,   504,   506,
     216,   323,   435,   543,   546,   631,   865,   861,   740,   890,
     740,   890,  1196,  1197,   740,   890,   740,   890,  1197,   740,
     890,   890,   890,   740,    14,    37,  1170,  1173,  1178,   890,
     503,   607,   608,  1162,   607,    99,   174,   195,   224,   229,
     274,   275,   384,   390,   419,   421,   438,   746,  1030,  1032,
     745,   247,   506,   879,   890,   890,  1182,  1115,   946,  1002,
     108,  1032,   223,   808,   808,   808,   283,  1162,   222,   222,
     746,  1032,   383,  1162,   546,   323,   503,   501,   894,  1003,
     460,   963,   970,  1019,   503,   963,   963,   503,   222,   503,
     503,   503,   951,   951,   346,   894,   503,   503,   953,   503,
     503,   503,   503,   134,   135,   963,   970,   503,   951,   503,
     503,   503,   503,   503,   470,   489,   503,   967,   503,   967,
     503,   503,   894,   503,   503,   503,   503,   503,   503,   503,
     503,   970,   970,   457,   894,   970,   999,  1022,  1182,   135,
     503,   964,   503,  1182,    85,    88,   105,   108,   113,   119,
     143,   243,   247,   268,   269,   284,   309,   312,   325,   328,
     400,   490,   491,   492,   494,   495,   496,   497,   498,   499,
     994,   996,   998,  1184,   333,   970,   266,   506,   902,  1195,
     503,  1182,  1022,    22,  1177,  1178,  1023,   320,   323,  1147,
    1147,    10,   456,  1134,  1135,  1137,  1114,  1114,   183,   244,
     553,   506,   136,   180,   546,   108,   180,   288,   544,   631,
     966,  1182,  1184,  1182,   155,   194,   979,   163,   180,   540,
     541,   543,   631,   180,   540,  1195,  1195,   283,  1031,   970,
     496,  1036,  1164,  1021,   156,   372,   729,   268,   504,   506,
     856,   504,   506,   900,  1032,   108,   859,   896,   896,   909,
     910,   970,   896,   219,   306,   920,   357,   398,   449,    99,
     915,   970,   916,   918,   970,   972,   923,   924,   914,   913,
     911,   912,   222,   926,   911,   923,   939,  1031,   108,  1162,
     396,  1107,   496,   506,   507,  1165,  1084,  1087,  1084,   262,
     175,   240,   296,   969,   296,   969,   969,   299,  1041,   296,
     299,   387,  1181,   506,  1076,   179,  1114,   450,  1063,  1065,
    1033,    37,  1041,  1136,  1178,   506,   490,  1033,    14,  1041,
    1181,  1041,  1181,   506,  1094,   503,  1033,   503,  1166,   496,
    1002,   336,   367,   396,   429,   429,   384,  1036,   505,   429,
     429,   384,   429,   429,   421,   537,   840,   222,   232,   247,
     376,   758,   759,   137,   153,   207,   224,   350,   444,   603,
     604,   153,   180,   309,   429,   153,   429,   180,   309,   384,
     153,   384,   648,    98,   131,   144,   157,   195,   224,   229,
     325,   384,   390,   393,   419,   425,   438,   463,   640,  1033,
     211,   367,   396,   557,   323,   631,   388,   280,   429,   429,
     314,   631,   184,   267,   384,   394,   431,   538,   373,   396,
     785,   793,   247,   257,   330,   397,   459,   504,   775,   778,
     779,   780,   782,   946,  1163,   429,   450,  1031,   145,   207,
     594,   603,  1162,   145,   810,   323,   382,   433,   153,   810,
     102,   370,   382,   433,  1031,   252,   319,   726,   503,   429,
     429,   503,   563,   421,   469,   470,   563,   153,   506,   336,
     451,   451,   308,   946,   336,   396,   798,   174,   429,   517,
     548,   429,   429,  1031,   631,   125,   630,   631,   631,   172,
     295,   297,   125,   429,   515,   384,   515,   307,   629,   429,
     429,   314,  1182,   659,   937,   153,   429,   810,   384,   429,
     429,   563,   563,   726,   726,   726,   726,  1031,   114,   456,
     114,   114,   429,   114,   429,   384,   506,   170,   450,   677,
    1042,   429,   517,  1031,   429,   384,   336,   367,   357,   368,
     392,   542,   828,  1037,  1162,  1031,   701,   946,   323,   472,
     774,   631,   726,   726,   797,   268,   323,   151,   189,   337,
     423,   323,   726,   268,   469,   578,   515,   703,   704,  1184,
     697,   503,   948,   108,   107,   947,   175,   299,   484,   503,
     968,   727,   951,   726,   698,   699,  1164,    97,   835,   946,
     211,   645,  1033,   309,   503,   672,   516,   711,   451,   463,
     516,  1042,   160,   232,   535,   586,   625,   680,   741,   761,
     831,  1182,   667,   668,  1033,   291,   726,   726,   726,   726,
     319,   185,   260,   436,   449,   682,   683,   204,   356,   503,
     677,   516,   627,   628,   309,   108,   319,   503,   606,   606,
     222,   764,  1037,   503,   776,   108,   274,   505,  1041,  1061,
     469,   470,   892,   385,  1039,   560,   946,  1034,   242,  1033,
    1039,   560,  1032,  1033,   211,   560,   211,   451,   211,   451,
     798,   560,   560,  1032,  1033,   726,  1033,  1033,  1033,   726,
    1032,   677,   211,   211,   560,   725,   726,   504,   510,  1189,
     504,   506,  1195,  1119,  1031,   171,   861,   863,   890,   890,
    1197,   890,   890,  1197,   890,   890,  1033,    14,   506,  1177,
     607,   504,   506,   504,   230,   391,   420,  1032,   725,   173,
     393,   750,   751,  1032,   318,  1032,  1030,  1030,  1032,   725,
     429,   469,   754,    93,   209,   380,   398,   880,   937,   313,
     881,   504,   506,   868,   871,   876,   882,   893,   429,   744,
     743,   744,   227,   233,   755,  1162,    98,   145,   174,   195,
     224,   229,   275,   378,   384,   390,   419,   421,   438,   463,
     640,   735,   999,   502,   999,  1003,  1004,   503,   465,  1016,
    1017,   970,   999,   503,  1041,  1041,   999,   175,   240,   296,
     299,   387,   484,  1005,  1006,  1182,  1184,  1041,   999,   999,
    1041,  1041,   963,   963,   970,   798,   970,  1007,   494,   495,
     971,   972,   992,   996,  1009,   504,   999,   970,   999,  1010,
     427,   486,  1041,  1041,   970,   124,   227,   279,   430,   970,
     999,  1013,   999,   301,   972,   970,   977,   978,   979,   301,
     970,   979,   504,   506,   396,  1041,  1041,   968,   946,   970,
    1164,   427,   112,   416,  1024,   726,   970,   503,   894,  1014,
     192,   194,   216,   309,   314,   319,   435,   445,   970,   119,
     243,   247,   284,   400,   503,   970,   429,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,    99,   106,   404,
     993,   380,   503,   992,   231,   288,   419,   422,   424,   447,
     903,  1031,  1029,   227,   929,    99,   192,   459,   496,   504,
     780,   970,  1000,  1001,  1163,  1033,  1178,  1021,  1136,   506,
     490,  1031,   431,   503,  1182,   506,  1195,   504,   502,   508,
     241,   241,   560,  1094,  1031,   853,   854,  1031,  1025,   504,
     503,   506,   109,   188,   451,   770,   503,   917,  1043,   324,
     319,   927,   927,   506,   380,   381,   919,   924,   912,   451,
     877,   180,   503,   872,   893,  1162,   503,   883,   884,   885,
     886,   887,  1162,   507,  1108,   947,   510,  1087,   510,   504,
     631,   504,    34,  1064,  1139,  1140,  1178,  1132,  1137,  1185,
    1123,   947,  1172,  1188,  1172,   947,   504,   504,   429,   429,
     384,  1042,  1033,  1033,  1036,  1042,  1033,  1033,  1042,  1034,
    1033,   152,   841,   378,   450,   743,   384,   232,   743,   503,
    1033,   451,   765,   272,   272,   451,   503,   622,   242,  1033,
     314,  1042,  1033,  1033,   970,   314,  1033,  1033,  1033,   429,
     649,  1039,   503,   726,   726,   726,   173,   419,   751,   139,
     217,   798,  1033,   726,  1033,   726,   386,   726,   726,   274,
     236,   307,   336,   367,   455,   652,   653,   654,   937,   429,
     810,   384,   314,   184,   267,  1042,  1033,   323,  1033,   330,
    1163,   504,   506,   780,   782,   779,   782,  1163,   727,  1042,
    1032,   367,   557,   594,   946,  1162,  1033,  1033,    99,   450,
    1033,   242,  1033,   242,  1162,   382,   433,   382,   433,  1033,
      99,   450,  1033,  1031,    95,   197,   396,   660,   661,   662,
     663,  1164,  1042,  1033,   565,   566,  1164,  1033,   322,   141,
     322,  1033,   558,   429,  1035,  1162,  1035,   506,   504,   506,
     429,   384,  1034,  1042,   152,   202,   252,   341,   442,   450,
     453,   518,  1184,  1042,  1033,   367,   396,   557,   628,   631,
     726,  1033,   631,  1033,   631,  1042,  1033,   367,   396,   557,
    1033,  1033,  1033,  1033,  1042,  1033,    95,   101,   197,   336,
     367,   396,   336,   367,   396,   697,   367,   396,   367,   396,
     367,   945,  1162,  1182,  1162,   242,  1162,  1042,  1033,  1033,
    1033,    95,   569,   393,  1042,   367,   396,   557,  1033,  1033,
     429,   429,   149,   441,   357,   268,   108,   726,   268,   268,
     451,   451,   268,   314,   732,  1182,   726,   726,   726,   726,
     726,   726,   268,   732,   322,   227,   429,   572,   503,   574,
     575,   504,   506,   490,   970,   107,   947,   946,   501,   501,
     429,   429,  1041,   951,   504,   506,   490,   682,   152,   201,
     277,   278,   291,   336,   421,   423,   836,   596,  1033,   227,
     384,   462,   646,   653,   654,   211,   504,   594,   673,   674,
     393,    96,   247,   378,   417,   518,   519,   222,  1035,  1031,
     534,   328,   587,   224,  1182,   697,   697,   697,   697,   319,
     323,   328,   503,   697,   943,   944,   945,   393,   211,   210,
    1052,   726,   284,   588,   590,   592,   594,   600,   603,  1162,
     469,   470,   618,   469,   564,  1182,   323,   504,   777,   778,
     783,   108,   274,   375,   468,   784,   785,   786,   323,   546,
    1060,   497,   239,   239,   222,   701,   108,   211,   560,   774,
     725,   726,  1035,   726,  1035,   797,   323,   560,   560,   323,
     560,   393,   222,   546,   560,   970,   892,  1185,  1173,   504,
     608,   247,   247,   247,   472,  1032,   506,   631,   632,   235,
     747,   748,  1042,    96,   755,   209,   398,   209,   398,   380,
     449,   298,   946,  1033,   227,   323,   747,   125,   560,  1039,
     419,  1039,   318,   274,   726,   504,   502,   502,   506,   999,
     970,   199,  1017,  1018,   108,   504,   970,   504,   504,   504,
     504,   227,   504,   504,   504,   504,   504,   506,   504,   342,
    1008,   504,   971,   971,    88,   247,   268,   325,   490,   491,
     492,   494,   495,   496,   497,   498,   499,   996,   971,   504,
     504,   222,   227,  1011,  1012,   504,   486,   504,   504,   108,
    1013,   999,  1013,  1013,   227,   504,   504,  1164,   340,   981,
     108,   504,   506,   970,  1164,   506,   970,  1023,   970,  1162,
     504,   504,   486,   971,   971,   205,   999,   227,   192,   194,
     216,   314,   319,   435,   445,   503,   205,   416,  1024,   970,
    1014,   970,   429,   798,   970,   503,   894,   422,   424,   422,
     424,  1031,   904,   904,   904,   503,   894,   930,   931,   932,
     937,   940,   973,  1039,  1162,   466,   941,  1000,  1000,  1001,
     504,   332,   985,    90,   504,   506,   908,     8,    11,    12,
      22,    23,    24,    26,    27,    31,    32,    33,   173,   301,
     346,   438,  1142,  1143,  1145,  1135,  1136,   829,  1041,   968,
     541,   970,   947,   859,   868,   910,   325,   994,   997,   487,
     488,   771,   970,   919,  1030,   881,   881,   916,   930,   466,
     942,   457,   873,   874,  1162,   374,   875,   887,   888,   506,
     929,   490,  1023,   508,  1090,   507,   506,   490,    30,  1151,
     504,   504,   507,  1042,  1033,  1033,   285,  1032,  1032,   323,
    1032,   326,   323,   970,   604,  1035,   503,   503,   503,   622,
     250,   607,   691,   211,   560,   429,   546,   701,   946,   472,
     726,   726,   726,   797,   151,   189,   337,   423,  1033,   635,
    1033,   236,   455,   429,   429,   635,   652,   659,   367,   396,
     557,  1033,  1033,  1033,   258,   314,   727,   778,   782,   782,
     498,   429,   327,   657,   197,   371,   396,   559,   659,   811,
     211,   560,   211,   560,  1033,  1033,  1033,  1033,   662,   663,
     662,   504,   506,   664,  1182,   504,   506,   490,   505,  1042,
     336,   367,   396,    95,   197,   336,   367,   396,   946,   308,
     946,  1042,  1033,   285,   341,   314,  1182,   341,  1032,   448,
     429,   384,   429,   810,   384,   429,   429,   293,   293,   293,
     429,   429,   384,   429,   429,   384,   429,   384,   429,   384,
     429,   560,   946,    97,   117,   396,   811,   211,   560,   429,
    1033,   429,   384,  1042,  1033,   732,   946,   268,   732,   732,
    1035,  1035,   732,   268,   268,   268,   268,   268,   268,   732,
     573,   581,   582,  1164,   121,   162,   186,   201,   205,   223,
     238,   314,   322,   355,   576,   704,  1184,   325,   494,   495,
     631,   700,   782,   997,  1048,  1182,   504,   501,   504,  1041,
     502,   503,  1041,  1162,  1182,  1193,   504,   699,   700,   323,
     285,   490,   837,   837,   837,   837,   837,   837,   837,   137,
     143,   153,   180,   182,   254,   309,   314,   350,   363,   444,
     597,   598,   599,   515,   546,  1033,   546,   657,  1031,   504,
     506,  1033,  1032,   235,   378,  1032,  1041,   438,   606,   369,
     419,   173,   607,  1031,   683,   705,   706,  1182,   504,   506,
    1033,  1031,  1033,   893,   503,   589,  1031,   504,   506,   322,
     563,   322,   323,   619,   563,   108,   429,  1031,   504,   506,
     180,   490,   787,  1182,   546,   419,   781,   782,   469,   786,
     788,   185,   260,   389,   449,   819,   236,  1056,   893,  1070,
     560,   946,  1033,   560,   560,   451,   560,   451,   560,   560,
     726,   726,  1033,   677,   560,   222,   384,   384,   384,  1032,
     751,   506,  1042,   469,   506,   749,   326,   209,   209,  1032,
     746,   560,  1042,   701,   774,   631,   726,   268,  1003,   504,
     426,   970,   203,   946,   504,   970,   970,   970,  1011,   946,
     971,   192,   194,   309,   319,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   970,   970,  1012,  1011,   967,
     967,   946,   504,   504,   504,   999,   504,   506,   125,   972,
     504,  1164,   978,   347,   414,   980,   504,   506,   462,   974,
     108,   504,   964,  1182,   970,   105,   105,   970,   504,   970,
     227,   503,  1002,   970,   971,   971,   205,   205,   970,   504,
     205,   970,   904,   904,   904,   904,  1031,  1031,  1031,   894,
     931,   932,   108,   933,  1162,   506,   161,   228,   256,   271,
     282,   304,   377,   934,   933,   108,   933,  1162,   503,  1022,
     970,   235,   921,   506,   907,   908,   907,   504,   985,   503,
     986,  1162,   970,   985,  1182,   459,  1001,   504,   506,   490,
     504,   502,  1151,   504,   503,   771,   504,   324,   163,   970,
     875,   504,   506,  1023,  1028,   504,   506,   884,   942,  1025,
    1041,   490,  1109,  1140,  1145,   837,   230,   391,   420,   439,
     760,   222,   760,   504,   503,   610,   611,   767,   973,  1162,
     607,   607,   691,  1037,   504,   182,   254,   307,   309,   692,
    1033,  1033,   108,  1033,   451,   451,   726,   726,   726,   726,
     727,  1042,  1033,   429,   810,   384,   429,   258,   498,   438,
    1033,   503,   596,   309,   563,   173,   309,   409,   412,   563,
     438,  1033,  1162,   661,   566,   700,  1164,   429,   429,   384,
     229,   325,   412,   709,   710,   229,   325,   717,   718,   429,
     429,   384,   504,   504,   504,  1043,  1182,  1182,  1182,  1033,
    1033,  1033,  1033,  1033,  1033,  1033,   222,   222,   369,   222,
     242,  1042,  1033,  1033,  1042,  1033,  1033,  1033,  1033,  1033,
    1033,  1033,   143,   561,  1182,  1182,   438,  1162,  1033,   659,
    1033,  1033,   504,   732,   268,   268,   732,   732,   732,   732,
     732,   732,   451,   579,   580,   504,   506,   496,   503,   543,
     583,   631,   845,  1182,   845,   309,   355,   845,   845,   691,
    1041,   469,   470,   502,  1193,   494,   495,   496,   497,   498,
     502,   968,  1031,   837,   180,  1041,  1182,   180,  1182,   180,
    1182,   180,  1182,   180,  1033,   180,  1033,   180,  1033,   503,
     726,  1033,   971,   183,   244,   182,   314,   272,  1031,   788,
     645,   672,   674,   657,  1032,  1032,   946,   564,  1031,   472,
     222,   684,   504,   506,   945,   657,   319,   503,   870,   469,
     624,   591,   593,   595,   603,  1162,   618,   601,   253,   617,
     592,   148,   421,   620,   893,  1182,   765,   783,   970,   970,
     506,   503,   784,   697,   429,   635,    85,  1067,   504,   560,
    1035,  1035,   560,   560,   393,  1032,  1032,  1032,   631,   232,
     748,   755,   227,   268,   268,   268,   268,   314,   736,  1182,
     970,   504,   504,  1012,   227,   192,   194,   319,   503,   504,
     475,   976,   999,   362,   125,   467,   467,   504,   970,   307,
     970,   506,   975,   948,   968,   971,   971,   970,  1002,   504,
     105,   105,   970,   970,   205,   970,   504,  1031,  1031,  1031,
    1031,   504,  1162,   503,   931,   271,   331,   935,   931,   935,
     271,   934,   935,   271,   503,  1162,   503,  1000,   125,   237,
     922,   504,   504,   985,   987,  1162,  1001,   985,  1143,   495,
    1136,  1144,  1181,  1182,  1182,   798,   319,   893,   874,  1195,
     490,   887,   875,  1189,  1043,   429,   743,   227,   691,   970,
     504,   506,   469,   143,   768,   768,   504,   504,   788,   183,
     244,   252,   182,   453,   560,   946,  1035,  1035,  1033,  1033,
    1033,  1033,   438,   658,   662,   314,   314,  1043,  1162,   946,
     560,   560,   490,  1042,  1033,  1033,  1041,  1041,   946,   506,
    1041,  1041,   506,  1042,  1033,  1033,   429,  1032,  1032,   726,
    1032,   211,   726,   946,   560,   560,   268,   732,   732,   515,
     187,   582,   543,   584,   585,  1182,  1182,   314,   496,   607,
    1182,  1182,   502,   229,   257,   229,   504,  1193,  1193,  1193,
    1193,  1193,   227,   690,  1043,   970,   309,   598,   788,   606,
     451,   621,   393,   451,   108,   503,  1033,   198,   685,   465,
     687,  1182,   726,   588,   624,   173,   307,   504,   506,   469,
     619,   208,   248,   503,   618,   185,   197,   347,  1033,   469,
     832,   227,   503,  1182,   780,   789,   790,  1163,   788,  1031,
     255,   636,  1068,  1162,   560,   560,   560,  1033,   326,   560,
     747,   736,   736,   736,   736,   971,   227,   503,  1002,   503,
     504,   506,   504,   972,   362,   504,   456,   406,   504,   504,
     504,   971,   971,   970,   933,   503,  1032,   931,   323,   451,
     936,   931,   271,   931,   944,   503,   944,  1162,   504,   999,
     970,   468,   982,   985,   985,   339,   988,   504,  1041,  1181,
     968,   504,   890,  1027,   747,   323,   747,   504,   788,   611,
     325,   798,   726,   451,   726,   769,   769,   363,   788,   621,
     504,   429,   504,   506,   561,   700,   503,  1039,   798,   710,
     503,   503,   718,  1033,   469,   369,   469,   469,   222,   561,
     732,   574,  1182,   504,   506,   607,   751,   108,   803,   803,
    1031,   691,   504,   621,   294,   609,   250,  1033,  1035,   893,
     657,   380,   408,   686,   503,   210,   589,   504,   173,   593,
     327,   620,    99,   147,   154,   181,   251,   412,   602,   602,
    1030,   619,   381,   381,   129,   137,   288,   726,   766,   767,
     782,   504,   506,   941,   635,   307,   455,   637,   638,   490,
    1069,   560,   971,  1002,   504,   977,   999,   125,   307,   485,
    1032,   504,   970,   503,   931,   936,   504,   944,   504,   983,
     984,  1162,   125,   907,   985,   749,   760,   560,   768,   621,
     503,   726,   770,   770,  1031,   621,   691,  1033,   662,   451,
     562,  1002,   774,   222,   713,   797,  1002,  1002,   725,   726,
     725,   726,  1032,   560,   585,   803,   111,   246,   222,   307,
     605,   228,   338,   401,   323,   613,   614,   615,   421,   657,
     217,   712,   832,   970,   354,   618,   617,   596,   504,   620,
     137,   326,   137,   504,   506,   784,   789,   193,   455,   635,
    1041,  1176,  1184,    85,   504,   504,   504,   362,   456,   504,
    1032,   504,   506,   108,   999,   356,   381,   989,   227,   769,
     466,   612,   798,   771,   771,   606,   691,   970,   504,   329,
     386,   360,   714,   713,   504,   504,   469,   198,   252,   185,
     449,   323,   615,   323,   614,  1033,   726,   108,   504,  1039,
     619,   618,   326,   326,   564,   767,   788,   100,   261,   820,
    1068,   504,   984,   986,   119,   163,   440,   970,   990,   991,
     990,   504,   747,   770,   503,   691,   504,   609,  1039,   125,
     714,   726,   380,   128,   307,   373,   396,   616,   616,   709,
     503,   620,   619,   620,   310,   503,   815,   817,   822,   871,
     876,   882,   893,   991,   380,   221,   345,   221,   345,   560,
     771,   970,   613,   774,   726,   687,    94,   180,   314,   688,
     689,  1041,  1164,  1181,  1182,   620,   941,   816,   817,   818,
     894,   895,   105,   504,   691,   210,   504,   506,   504,   507,
     991,   354,   689,   818,  1039,   503,   688,   504
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1806 of yacc.c  */
#line 1469 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 1471 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 5:

/* Line 1806 of yacc.c  */
#line 1473 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 6:

/* Line 1806 of yacc.c  */
#line 1475 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 7:

/* Line 1806 of yacc.c  */
#line 1477 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 8:

/* Line 1806 of yacc.c  */
#line 1479 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 9:

/* Line 1806 of yacc.c  */
#line 1481 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 10:

/* Line 1806 of yacc.c  */
#line 1483 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 11:

/* Line 1806 of yacc.c  */
#line 1485 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 12:

/* Line 1806 of yacc.c  */
#line 1487 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 13:

/* Line 1806 of yacc.c  */
#line 1489 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 14:

/* Line 1806 of yacc.c  */
#line 1491 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 15:

/* Line 1806 of yacc.c  */
#line 1493 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 16:

/* Line 1806 of yacc.c  */
#line 1495 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 17:

/* Line 1806 of yacc.c  */
#line 1497 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 18:

/* Line 1806 of yacc.c  */
#line 1499 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 19:

/* Line 1806 of yacc.c  */
#line 1501 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 20:

/* Line 1806 of yacc.c  */
#line 1503 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 21:

/* Line 1806 of yacc.c  */
#line 1505 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 22:

/* Line 1806 of yacc.c  */
#line 1507 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 23:

/* Line 1806 of yacc.c  */
#line 1509 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 24:

/* Line 1806 of yacc.c  */
#line 1511 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 25:

/* Line 1806 of yacc.c  */
#line 1513 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 26:

/* Line 1806 of yacc.c  */
#line 1515 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 27:

/* Line 1806 of yacc.c  */
#line 1517 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 28:

/* Line 1806 of yacc.c  */
#line 1519 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 29:

/* Line 1806 of yacc.c  */
#line 1521 "preproc.y"
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[(1) - (1)].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[(1) - (1)].str));
				break;
			}
		}

		output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal);
	}
    break;

  case 30:

/* Line 1806 of yacc.c  */
#line 1539 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 31:

/* Line 1806 of yacc.c  */
#line 1541 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 32:

/* Line 1806 of yacc.c  */
#line 1543 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 33:

/* Line 1806 of yacc.c  */
#line 1545 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 34:

/* Line 1806 of yacc.c  */
#line 1547 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 35:

/* Line 1806 of yacc.c  */
#line 1549 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 36:

/* Line 1806 of yacc.c  */
#line 1551 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 37:

/* Line 1806 of yacc.c  */
#line 1553 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 38:

/* Line 1806 of yacc.c  */
#line 1555 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 39:

/* Line 1806 of yacc.c  */
#line 1557 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 40:

/* Line 1806 of yacc.c  */
#line 1559 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 41:

/* Line 1806 of yacc.c  */
#line 1561 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 42:

/* Line 1806 of yacc.c  */
#line 1563 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 43:

/* Line 1806 of yacc.c  */
#line 1565 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 44:

/* Line 1806 of yacc.c  */
#line 1567 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 45:

/* Line 1806 of yacc.c  */
#line 1569 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 46:

/* Line 1806 of yacc.c  */
#line 1571 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 47:

/* Line 1806 of yacc.c  */
#line 1573 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 48:

/* Line 1806 of yacc.c  */
#line 1575 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 49:

/* Line 1806 of yacc.c  */
#line 1577 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 50:

/* Line 1806 of yacc.c  */
#line 1579 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 51:

/* Line 1806 of yacc.c  */
#line 1581 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 52:

/* Line 1806 of yacc.c  */
#line 1583 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 53:

/* Line 1806 of yacc.c  */
#line 1585 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 54:

/* Line 1806 of yacc.c  */
#line 1587 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 55:

/* Line 1806 of yacc.c  */
#line 1589 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 56:

/* Line 1806 of yacc.c  */
#line 1591 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 57:

/* Line 1806 of yacc.c  */
#line 1593 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 58:

/* Line 1806 of yacc.c  */
#line 1595 "preproc.y"
    {
		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 59:

/* Line 1806 of yacc.c  */
#line 1599 "preproc.y"
    { output_simple_statement((yyvsp[(1) - (1)].str)); }
    break;

  case 60:

/* Line 1806 of yacc.c  */
#line 1601 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 61:

/* Line 1806 of yacc.c  */
#line 1603 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 62:

/* Line 1806 of yacc.c  */
#line 1605 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 63:

/* Line 1806 of yacc.c  */
#line 1607 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 64:

/* Line 1806 of yacc.c  */
#line 1609 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 65:

/* Line 1806 of yacc.c  */
#line 1611 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 66:

/* Line 1806 of yacc.c  */
#line 1613 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 67:

/* Line 1806 of yacc.c  */
#line 1615 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 68:

/* Line 1806 of yacc.c  */
#line 1617 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 69:

/* Line 1806 of yacc.c  */
#line 1619 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 70:

/* Line 1806 of yacc.c  */
#line 1621 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 71:

/* Line 1806 of yacc.c  */
#line 1623 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 72:

/* Line 1806 of yacc.c  */
#line 1625 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 73:

/* Line 1806 of yacc.c  */
#line 1627 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 74:

/* Line 1806 of yacc.c  */
#line 1629 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 75:

/* Line 1806 of yacc.c  */
#line 1631 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 76:

/* Line 1806 of yacc.c  */
#line 1633 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 77:

/* Line 1806 of yacc.c  */
#line 1635 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 78:

/* Line 1806 of yacc.c  */
#line 1637 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 79:

/* Line 1806 of yacc.c  */
#line 1639 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 80:

/* Line 1806 of yacc.c  */
#line 1641 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 81:

/* Line 1806 of yacc.c  */
#line 1643 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); }
    break;

  case 82:

/* Line 1806 of yacc.c  */
#line 1645 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 83:

/* Line 1806 of yacc.c  */
#line 1647 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 84:

/* Line 1806 of yacc.c  */
#line 1649 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 85:

/* Line 1806 of yacc.c  */
#line 1651 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 86:

/* Line 1806 of yacc.c  */
#line 1653 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 87:

/* Line 1806 of yacc.c  */
#line 1655 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 88:

/* Line 1806 of yacc.c  */
#line 1657 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 89:

/* Line 1806 of yacc.c  */
#line 1659 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 90:

/* Line 1806 of yacc.c  */
#line 1661 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 91:

/* Line 1806 of yacc.c  */
#line 1663 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 92:

/* Line 1806 of yacc.c  */
#line 1665 "preproc.y"
    {
		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).type, mm_strdup("as"), (yyvsp[(1) - (1)].prep).stmt), 0, ECPGst_normal);
	}
    break;

  case 93:

/* Line 1806 of yacc.c  */
#line 1672 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 94:

/* Line 1806 of yacc.c  */
#line 1674 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 95:

/* Line 1806 of yacc.c  */
#line 1676 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 96:

/* Line 1806 of yacc.c  */
#line 1678 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 97:

/* Line 1806 of yacc.c  */
#line 1680 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 98:

/* Line 1806 of yacc.c  */
#line 1682 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 99:

/* Line 1806 of yacc.c  */
#line 1684 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 100:

/* Line 1806 of yacc.c  */
#line 1686 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 101:

/* Line 1806 of yacc.c  */
#line 1688 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 102:

/* Line 1806 of yacc.c  */
#line 1690 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 103:

/* Line 1806 of yacc.c  */
#line 1692 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 104:

/* Line 1806 of yacc.c  */
#line 1694 "preproc.y"
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 105:

/* Line 1806 of yacc.c  */
#line 1700 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 106:

/* Line 1806 of yacc.c  */
#line 1702 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 107:

/* Line 1806 of yacc.c  */
#line 1704 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 108:

/* Line 1806 of yacc.c  */
#line 1706 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 109:

/* Line 1806 of yacc.c  */
#line 1708 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 110:

/* Line 1806 of yacc.c  */
#line 1710 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 111:

/* Line 1806 of yacc.c  */
#line 1712 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 112:

/* Line 1806 of yacc.c  */
#line 1714 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 113:

/* Line 1806 of yacc.c  */
#line 1716 "preproc.y"
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 114:

/* Line 1806 of yacc.c  */
#line 1722 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[(1) - (1)].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 115:

/* Line 1806 of yacc.c  */
#line 1732 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 116:

/* Line 1806 of yacc.c  */
#line 1736 "preproc.y"
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 117:

/* Line 1806 of yacc.c  */
#line 1742 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 118:

/* Line 1806 of yacc.c  */
#line 1746 "preproc.y"
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[(1) - (1)].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 119:

/* Line 1806 of yacc.c  */
#line 1756 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[(1) - (1)].str) ? (yyvsp[(1) - (1)].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 120:

/* Line 1806 of yacc.c  */
#line 1765 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); }
    break;

  case 121:

/* Line 1806 of yacc.c  */
#line 1767 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[(1) - (1)].str), "all") == 0)
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[(1) - (1)].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[(1) - (1)].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[(1) - (1)].str));

		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 122:

/* Line 1806 of yacc.c  */
#line 1781 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 1788 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_get_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 1794 "preproc.y"
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[(1) - (1)].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 1805 "preproc.y"
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 1811 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 1820 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 1827 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_set_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 1833 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
		output_line_number();
	}
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 1842 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 1849 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 1856 "preproc.y"
    { (yyval.str) = NULL; }
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 1862 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 1870 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 1874 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 1881 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 1885 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 1892 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 1896 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 1903 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[(2) - (2)].str));
}
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 1907 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password null");
}
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 1911 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 1915 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 1919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
}
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 1923 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 1927 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[(3) - (3)].str));
}
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 1931 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[(2) - (2)].str));
}
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 1935 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 1943 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 1947 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[(2) - (2)].str));
}
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 1951 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[(2) - (2)].str));
}
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 1955 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 1959 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 1963 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 1971 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 1979 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 1987 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 1990 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 1998 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 2006 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 161:

/* Line 1806 of yacc.c  */
#line 2014 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 162:

/* Line 1806 of yacc.c  */
#line 2022 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 163:

/* Line 1806 of yacc.c  */
#line 2026 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 164:

/* Line 1806 of yacc.c  */
#line 2034 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 165:

/* Line 1806 of yacc.c  */
#line 2038 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 166:

/* Line 1806 of yacc.c  */
#line 2046 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 2054 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("user"),(yyvsp[(6) - (6)].str));
}
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 2062 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
}
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 2066 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
}
    break;

  case 170:

/* Line 1806 of yacc.c  */
#line 2074 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 171:

/* Line 1806 of yacc.c  */
#line 2078 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 172:

/* Line 1806 of yacc.c  */
#line 2086 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[(3) - (6)].str),mm_strdup("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 173:

/* Line 1806 of yacc.c  */
#line 2090 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 174:

/* Line 1806 of yacc.c  */
#line 2098 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 175:

/* Line 1806 of yacc.c  */
#line 2102 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 2109 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 2113 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 2120 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 2124 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 2128 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 181:

/* Line 1806 of yacc.c  */
#line 2132 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 2136 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 2140 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 2148 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 2152 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[(3) - (3)].str));
}
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 2156 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[(3) - (3)].str));
}
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 2164 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[(2) - (2)].str));
}
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 2168 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
}
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 2172 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 2180 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 2184 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 2188 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("to default"));
}
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 2192 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("= default"));
}
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 2196 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("from current"));
}
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 2200 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[(3) - (3)].str));
}
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 2204 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[(2) - (2)].str));
}
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 2209 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 2213 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[(2) - (2)].str));
}
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 2217 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 2221 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[(3) - (3)].str));
}
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 2225 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
    break;

  case 202:

/* Line 1806 of yacc.c  */
#line 2229 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[(3) - (3)].str));
}
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 2233 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[(3) - (3)].str));
}
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 2241 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 2245 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 2253 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 2257 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 2265 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 209:

/* Line 1806 of yacc.c  */
#line 2269 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 2283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 2287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read committed");
}
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 2291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 2295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
}
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 2303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 2307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 2311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
}
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 2315 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 2323 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 2327 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 2331 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 2335 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 2339 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 2343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 2347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
}
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 2355 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 2359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 2363 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 2370 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 2374 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 2382 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 2386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset time zone");
}
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 2390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset transaction isolation level");
}
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 2394 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset session authorization");
}
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 2398 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset all");
}
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 2406 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 2410 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 2418 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 2422 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 2430 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[(2) - (3)].str));
}
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 2434 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show time zone");
}
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 2438 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 2442 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 2446 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 2455 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 2463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 2467 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 2475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
}
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 2479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
}
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 2487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 2495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard all");
}
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 2499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temp");
}
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 2503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 2507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard plans");
}
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 2515 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 2519 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 2523 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 2527 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 2531 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 2535 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 2539 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 2543 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 2551 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 2555 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 2563 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 2567 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[(3) - (3)].str));
}
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 2571 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 2575 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
}
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 2579 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
}
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 2583 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set statistics"),(yyvsp[(6) - (6)].str));
}
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 2587 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 2591 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 2595 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set storage"),(yyvsp[(6) - (6)].str));
}
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 2599 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 2603 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 2607 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[(2) - (8)].str),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 2611 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 2615 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 2619 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 2623 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 2627 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 2631 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set with oids");
}
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 2635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without oids");
}
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 2639 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[(3) - (3)].str));
}
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 2643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 2647 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 2651 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 2655 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 2659 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 2663 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 2667 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 2671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 2675 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 2679 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 2683 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 2687 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 2691 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 2695 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 2699 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 2703 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
}
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 2707 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not of");
}
    break;

  case 301:

/* Line 1806 of yacc.c  */
#line 2711 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 2715 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 2719 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 2723 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 2727 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 2735 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 2739 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop default");
}
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 2747 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 2751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 2755 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 2762 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 2766 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 2773 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 2777 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 2784 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 2792 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 2796 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 2803 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 2807 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 2815 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 2819 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 2823 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("."),(yyvsp[(3) - (5)].str),mm_strdup("="),(yyvsp[(5) - (5)].str));
}
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 2827 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 2835 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 2843 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 2847 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 2855 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 2859 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 2863 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 2867 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 2875 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(2) - (2)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(2) - (2)].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 2880 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close all");
}
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 2888 "preproc.y"
    { 
			if (strcmp((yyvsp[(6) - (10)].str), "to") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdout") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY FROM STDOUT is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(10,mm_strdup("copy"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 2899 "preproc.y"
    { 
			if (strcmp((yyvsp[(4) - (6)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");

 (yyval.str) = cat_str(6,mm_strdup("copy"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 2910 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 2914 "preproc.y"
    { 
 (yyval.str) = mm_strdup("to");
}
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 2922 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 2926 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
}
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 2930 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
}
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 2938 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 2942 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 2950 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 2954 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 2961 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 2965 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
}
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 2969 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 2973 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 2977 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
}
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 2981 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
}
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 2985 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 2989 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 2993 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[(3) - (3)].str));
}
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 2997 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force quote *");
}
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 3001 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[(4) - (4)].str));
}
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 3005 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[(2) - (2)].str));
}
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 3013 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 3017 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 3024 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
}
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 3028 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 3035 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("delimiters"),(yyvsp[(3) - (3)].str));
}
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 3039 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 3046 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
}
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 3050 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 3057 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 3061 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 3069 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 3077 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 3081 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 3085 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 3089 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 3093 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 3100 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 3104 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 3112 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 3120 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (11)].str),mm_strdup("table"),(yyvsp[(4) - (11)].str),mm_strdup("("),(yyvsp[(6) - (11)].str),mm_strdup(")"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 3124 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 3128 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("table"),(yyvsp[(4) - (10)].str),mm_strdup("of"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 3132 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (13)].str),mm_strdup("of"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 3140 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
}
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 3144 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
}
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 3148 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temporary");
}
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 3152 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temp");
}
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 3156 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temporary");
}
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 3160 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temp");
}
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 3164 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 3168 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 3175 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 3179 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 3186 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 3190 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 3197 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 3201 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 3209 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 3213 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 3221 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 3225 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 3229 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 3237 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 3241 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 3249 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 3257 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("with options"),(yyvsp[(4) - (4)].str));
}
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 3265 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 3269 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 3276 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 3280 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 3284 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 3288 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 3296 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not null");
}
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 3300 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 3304 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 3308 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 3312 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 3316 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[(2) - (2)].str));
}
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 3320 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 3328 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 3332 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 3336 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 3340 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 3348 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 3356 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("including"),(yyvsp[(3) - (3)].str));
}
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 3360 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("excluding"),(yyvsp[(3) - (3)].str));
}
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 3364 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 3371 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
}
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 3375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
}
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 3379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
}
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 3383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
}
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 3387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
}
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 3391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 3399 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 3403 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 3411 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 3415 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[(3) - (7)].str),mm_strdup(")"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 3419 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 3423 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[(4) - (8)].str),mm_strdup(")"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 3427 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 3431 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[(2) - (9)].str),mm_strdup("("),(yyvsp[(4) - (9)].str),mm_strdup(")"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 3435 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[(4) - (11)].str),mm_strdup(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 3443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
}
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 3447 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 3454 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 3458 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 3465 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 3469 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 3477 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 3485 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match full");
}
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 3489 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 3494 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match simple");
}
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 3498 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 3505 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 3509 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 3517 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("with"),(yyvsp[(3) - (3)].str));
}
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 3521 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("with operator ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 3529 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 3533 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 3540 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 3544 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 3548 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 3552 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 3556 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 460:

/* Line 1806 of yacc.c  */
#line 3563 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[(3) - (3)].str));
}
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 3571 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[(3) - (3)].str));
}
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 3579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no action");
}
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 3583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 3587 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 3591 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set null");
}
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 3595 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set default");
}
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 3603 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 3607 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 3614 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 3618 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
}
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 3622 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without oids");
}
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 3626 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 3633 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 3637 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 3641 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 3645 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 3652 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 3656 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 3663 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[(4) - (4)].str));
}
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 3667 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 3674 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
}
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 3682 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 3690 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with data");
}
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 3694 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with no data");
}
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 3698 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 3705 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[(2) - (5)].str),mm_strdup("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 3713 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 3717 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 3725 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 3729 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 3736 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 3740 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 3748 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[(2) - (2)].str));
}
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 3752 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
}
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 3756 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no cycle");
}
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 3760 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 3764 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 3768 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 3772 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 3776 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 3780 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 3784 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 3788 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
}
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 3792 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 3800 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
}
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 3804 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 3811 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 3815 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 3819 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 3827 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 3831 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 3839 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("language"),(yyvsp[(6) - (6)].str));
}
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 3843 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("language"),(yyvsp[(6) - (10)].str),mm_strdup("handler"),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 3851 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
}
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 3855 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 3862 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 3866 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 3874 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[(2) - (2)].str));
}
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 3878 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 3885 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
}
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 3889 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
}
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 3897 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 3901 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 3908 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (5)].str),mm_strdup("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 3912 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (7)].str),mm_strdup("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 3920 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
}
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 3924 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 3931 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create tablespace"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("location"),(yyvsp[(6) - (6)].str));
}
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 3939 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[(2) - (2)].str));
}
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 3943 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 3950 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 3954 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 3962 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 3966 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 3974 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 3978 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 3985 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 3989 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 3993 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 540:

/* Line 1806 of yacc.c  */
#line 4001 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (5)].str),mm_strdup("update"),(yyvsp[(5) - (5)].str));
}
    break;

  case 541:

/* Line 1806 of yacc.c  */
#line 4009 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 542:

/* Line 1806 of yacc.c  */
#line 4013 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 543:

/* Line 1806 of yacc.c  */
#line 4020 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
}
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 4028 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("aggregate"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 545:

/* Line 1806 of yacc.c  */
#line 4032 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("cast ("),(yyvsp[(7) - (10)].str),mm_strdup("as"),(yyvsp[(9) - (10)].str),mm_strdup(")"));
}
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 4036 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("collation"),(yyvsp[(6) - (6)].str));
}
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 4040 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("conversion"),(yyvsp[(6) - (6)].str));
}
    break;

  case 548:

/* Line 1806 of yacc.c  */
#line 4044 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("domain"),(yyvsp[(6) - (6)].str));
}
    break;

  case 549:

/* Line 1806 of yacc.c  */
#line 4048 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("function"),(yyvsp[(6) - (6)].str));
}
    break;

  case 550:

/* Line 1806 of yacc.c  */
#line 4052 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("language"),(yyvsp[(7) - (7)].str));
}
    break;

  case 551:

/* Line 1806 of yacc.c  */
#line 4056 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("operator"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 4060 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator class"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
}
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 4064 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator family"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
}
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 4068 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 555:

/* Line 1806 of yacc.c  */
#line 4072 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("table"),(yyvsp[(6) - (6)].str));
}
    break;

  case 556:

/* Line 1806 of yacc.c  */
#line 4076 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search parser"),(yyvsp[(8) - (8)].str));
}
    break;

  case 557:

/* Line 1806 of yacc.c  */
#line 4080 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search dictionary"),(yyvsp[(8) - (8)].str));
}
    break;

  case 558:

/* Line 1806 of yacc.c  */
#line 4084 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search template"),(yyvsp[(8) - (8)].str));
}
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 4088 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search configuration"),(yyvsp[(8) - (8)].str));
}
    break;

  case 560:

/* Line 1806 of yacc.c  */
#line 4092 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("sequence"),(yyvsp[(6) - (6)].str));
}
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 4096 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("view"),(yyvsp[(6) - (6)].str));
}
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 4100 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("foreign table"),(yyvsp[(7) - (7)].str));
}
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 4104 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("foreign data wrapper"),(yyvsp[(8) - (8)].str));
}
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 4108 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("server"),(yyvsp[(6) - (6)].str));
}
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 4112 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("type"),(yyvsp[(6) - (6)].str));
}
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 4120 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 4128 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[(2) - (2)].str));
}
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 4132 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no handler");
}
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 4136 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
}
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 4140 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
}
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 4148 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 4152 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 4160 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 4164 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 4171 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 4175 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 4183 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 4187 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 4195 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 580:

/* Line 1806 of yacc.c  */
#line 4199 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 581:

/* Line 1806 of yacc.c  */
#line 4206 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 4210 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 4218 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 4226 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 4230 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 586:

/* Line 1806 of yacc.c  */
#line 4238 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 4242 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 588:

/* Line 1806 of yacc.c  */
#line 4246 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 589:

/* Line 1806 of yacc.c  */
#line 4250 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[(2) - (2)].str));
}
    break;

  case 590:

/* Line 1806 of yacc.c  */
#line 4258 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 591:

/* Line 1806 of yacc.c  */
#line 4266 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 4274 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 4282 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),mm_strdup("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 4290 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
}
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 4294 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 4301 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 4305 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version null");
}
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 4313 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 4317 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 4324 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 4328 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 4336 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 4340 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 4344 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 605:

/* Line 1806 of yacc.c  */
#line 4352 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table"),(yyvsp[(4) - (8)].str),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 606:

/* Line 1806 of yacc.c  */
#line 4356 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table if not exists"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("server"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 607:

/* Line 1806 of yacc.c  */
#line 4364 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 608:

/* Line 1806 of yacc.c  */
#line 4368 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 609:

/* Line 1806 of yacc.c  */
#line 4376 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 4380 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 4388 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 4396 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 4400 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 4408 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 4416 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 4420 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 617:

/* Line 1806 of yacc.c  */
#line 4424 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 618:

/* Line 1806 of yacc.c  */
#line 4432 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[(5) - (7)].str),mm_strdup("server"),(yyvsp[(7) - (7)].str));
}
    break;

  case 619:

/* Line 1806 of yacc.c  */
#line 4436 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),mm_strdup("server"),(yyvsp[(9) - (9)].str));
}
    break;

  case 620:

/* Line 1806 of yacc.c  */
#line 4444 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 621:

/* Line 1806 of yacc.c  */
#line 4452 "preproc.y"
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[(3) - (15)].str),(yyvsp[(4) - (15)].str),(yyvsp[(5) - (15)].str),mm_strdup("on"),(yyvsp[(7) - (15)].str),(yyvsp[(8) - (15)].str),(yyvsp[(9) - (15)].str),mm_strdup("execute procedure"),(yyvsp[(12) - (15)].str),mm_strdup("("),(yyvsp[(14) - (15)].str),mm_strdup(")"));
}
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 4456 "preproc.y"
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[(4) - (20)].str),mm_strdup("after"),(yyvsp[(6) - (20)].str),mm_strdup("on"),(yyvsp[(8) - (20)].str),(yyvsp[(9) - (20)].str),(yyvsp[(10) - (20)].str),mm_strdup("for each row"),(yyvsp[(14) - (20)].str),mm_strdup("execute procedure"),(yyvsp[(17) - (20)].str),mm_strdup("("),(yyvsp[(19) - (20)].str),mm_strdup(")"));
}
    break;

  case 623:

/* Line 1806 of yacc.c  */
#line 4464 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
}
    break;

  case 624:

/* Line 1806 of yacc.c  */
#line 4468 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
}
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 4472 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead of");
}
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 4480 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 4484 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 4492 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 4496 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 4500 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 631:

/* Line 1806 of yacc.c  */
#line 4504 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[(3) - (3)].str));
}
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 4508 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
}
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 4516 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 4520 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 635:

/* Line 1806 of yacc.c  */
#line 4527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
}
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 4531 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 4538 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 4542 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
}
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 4550 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 4554 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 4561 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 4565 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 4569 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 644:

/* Line 1806 of yacc.c  */
#line 4576 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 4580 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 4584 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 647:

/* Line 1806 of yacc.c  */
#line 4588 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 648:

/* Line 1806 of yacc.c  */
#line 4596 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 649:

/* Line 1806 of yacc.c  */
#line 4600 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 650:

/* Line 1806 of yacc.c  */
#line 4607 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 4610 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 652:

/* Line 1806 of yacc.c  */
#line 4618 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 4622 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 654:

/* Line 1806 of yacc.c  */
#line 4626 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
    break;

  case 655:

/* Line 1806 of yacc.c  */
#line 4630 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 4634 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not valid");
}
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 4638 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
}
    break;

  case 658:

/* Line 1806 of yacc.c  */
#line 4646 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 4650 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 4658 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[(3) - (8)].str),mm_strdup("check ("),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
}
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 4667 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 4676 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 4680 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 4684 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 4688 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 4692 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[(3) - (3)].str));
}
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 4696 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (7)].str),mm_strdup("as ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 4700 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (8)].str),mm_strdup("as enum ("),(yyvsp[(7) - (8)].str),mm_strdup(")"));
}
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 4704 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[(3) - (6)].str),mm_strdup("as range"),(yyvsp[(6) - (6)].str));
}
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 4708 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 4712 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 672:

/* Line 1806 of yacc.c  */
#line 4716 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 673:

/* Line 1806 of yacc.c  */
#line 4720 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 674:

/* Line 1806 of yacc.c  */
#line 4724 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 675:

/* Line 1806 of yacc.c  */
#line 4728 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[(3) - (5)].str),mm_strdup("from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 676:

/* Line 1806 of yacc.c  */
#line 4736 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 677:

/* Line 1806 of yacc.c  */
#line 4744 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 678:

/* Line 1806 of yacc.c  */
#line 4748 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 679:

/* Line 1806 of yacc.c  */
#line 4756 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 680:

/* Line 1806 of yacc.c  */
#line 4760 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 681:

/* Line 1806 of yacc.c  */
#line 4768 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 682:

/* Line 1806 of yacc.c  */
#line 4772 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 683:

/* Line 1806 of yacc.c  */
#line 4776 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 684:

/* Line 1806 of yacc.c  */
#line 4780 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 685:

/* Line 1806 of yacc.c  */
#line 4784 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 686:

/* Line 1806 of yacc.c  */
#line 4792 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 687:

/* Line 1806 of yacc.c  */
#line 4796 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( * )");
}
    break;

  case 688:

/* Line 1806 of yacc.c  */
#line 4804 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 689:

/* Line 1806 of yacc.c  */
#line 4812 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 690:

/* Line 1806 of yacc.c  */
#line 4816 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 691:

/* Line 1806 of yacc.c  */
#line 4824 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 692:

/* Line 1806 of yacc.c  */
#line 4832 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 693:

/* Line 1806 of yacc.c  */
#line 4836 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 694:

/* Line 1806 of yacc.c  */
#line 4843 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 695:

/* Line 1806 of yacc.c  */
#line 4847 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 696:

/* Line 1806 of yacc.c  */
#line 4855 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("add value"),(yyvsp[(6) - (6)].str));
}
    break;

  case 697:

/* Line 1806 of yacc.c  */
#line 4859 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[(3) - (8)].str),mm_strdup("add value"),(yyvsp[(6) - (8)].str),mm_strdup("before"),(yyvsp[(8) - (8)].str));
}
    break;

  case 698:

/* Line 1806 of yacc.c  */
#line 4863 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[(3) - (8)].str),mm_strdup("add value"),(yyvsp[(6) - (8)].str),mm_strdup("after"),(yyvsp[(8) - (8)].str));
}
    break;

  case 699:

/* Line 1806 of yacc.c  */
#line 4871 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),mm_strdup("for type"),(yyvsp[(8) - (13)].str),mm_strdup("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),mm_strdup("as"),(yyvsp[(13) - (13)].str));
}
    break;

  case 700:

/* Line 1806 of yacc.c  */
#line 4879 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 701:

/* Line 1806 of yacc.c  */
#line 4883 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 702:

/* Line 1806 of yacc.c  */
#line 4891 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 703:

/* Line 1806 of yacc.c  */
#line 4895 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 704:

/* Line 1806 of yacc.c  */
#line 4899 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 705:

/* Line 1806 of yacc.c  */
#line 4903 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[(2) - (7)].str),mm_strdup("("),(yyvsp[(4) - (7)].str),mm_strdup(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 706:

/* Line 1806 of yacc.c  */
#line 4907 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[(2) - (2)].str));
}
    break;

  case 707:

/* Line 1806 of yacc.c  */
#line 4915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 708:

/* Line 1806 of yacc.c  */
#line 4919 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 709:

/* Line 1806 of yacc.c  */
#line 4926 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[(2) - (2)].str));
}
    break;

  case 710:

/* Line 1806 of yacc.c  */
#line 4930 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 711:

/* Line 1806 of yacc.c  */
#line 4937 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for search");
}
    break;

  case 712:

/* Line 1806 of yacc.c  */
#line 4941 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[(4) - (4)].str));
}
    break;

  case 713:

/* Line 1806 of yacc.c  */
#line 4945 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 714:

/* Line 1806 of yacc.c  */
#line 4952 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
    break;

  case 715:

/* Line 1806 of yacc.c  */
#line 4957 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 716:

/* Line 1806 of yacc.c  */
#line 4964 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[(4) - (6)].str),mm_strdup("using"),(yyvsp[(6) - (6)].str));
}
    break;

  case 717:

/* Line 1806 of yacc.c  */
#line 4972 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("add"),(yyvsp[(8) - (8)].str));
}
    break;

  case 718:

/* Line 1806 of yacc.c  */
#line 4976 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("drop"),(yyvsp[(8) - (8)].str));
}
    break;

  case 719:

/* Line 1806 of yacc.c  */
#line 4984 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 720:

/* Line 1806 of yacc.c  */
#line 4988 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 721:

/* Line 1806 of yacc.c  */
#line 4996 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 722:

/* Line 1806 of yacc.c  */
#line 5000 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 723:

/* Line 1806 of yacc.c  */
#line 5008 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 724:

/* Line 1806 of yacc.c  */
#line 5012 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 725:

/* Line 1806 of yacc.c  */
#line 5020 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 726:

/* Line 1806 of yacc.c  */
#line 5024 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 727:

/* Line 1806 of yacc.c  */
#line 5032 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 728:

/* Line 1806 of yacc.c  */
#line 5040 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[(4) - (6)].str),mm_strdup("to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 729:

/* Line 1806 of yacc.c  */
#line 5048 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 5052 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 5056 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 732:

/* Line 1806 of yacc.c  */
#line 5060 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 733:

/* Line 1806 of yacc.c  */
#line 5068 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 5072 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 735:

/* Line 1806 of yacc.c  */
#line 5076 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 736:

/* Line 1806 of yacc.c  */
#line 5080 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 737:

/* Line 1806 of yacc.c  */
#line 5084 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 738:

/* Line 1806 of yacc.c  */
#line 5088 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 739:

/* Line 1806 of yacc.c  */
#line 5092 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 740:

/* Line 1806 of yacc.c  */
#line 5096 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 741:

/* Line 1806 of yacc.c  */
#line 5100 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 742:

/* Line 1806 of yacc.c  */
#line 5104 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 743:

/* Line 1806 of yacc.c  */
#line 5108 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 5112 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
}
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 5116 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 5120 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
}
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 5124 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 5132 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 5136 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 5144 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 5148 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 5156 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 5160 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 5168 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 5176 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue identity");
}
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 5180 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart identity");
}
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 5184 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 5191 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 5195 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 5199 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 5203 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 5207 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 5211 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 764:

/* Line 1806 of yacc.c  */
#line 5215 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 765:

/* Line 1806 of yacc.c  */
#line 5219 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 766:

/* Line 1806 of yacc.c  */
#line 5223 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 767:

/* Line 1806 of yacc.c  */
#line 5227 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 768:

/* Line 1806 of yacc.c  */
#line 5231 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 769:

/* Line 1806 of yacc.c  */
#line 5235 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[(5) - (10)].str),mm_strdup("as"),(yyvsp[(7) - (10)].str),mm_strdup(") is"),(yyvsp[(10) - (10)].str));
}
    break;

  case 770:

/* Line 1806 of yacc.c  */
#line 5239 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[(3) - (7)].str),mm_strdup("language"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 771:

/* Line 1806 of yacc.c  */
#line 5243 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search parser"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 772:

/* Line 1806 of yacc.c  */
#line 5247 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search dictionary"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 773:

/* Line 1806 of yacc.c  */
#line 5251 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search template"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 774:

/* Line 1806 of yacc.c  */
#line 5255 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search configuration"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 775:

/* Line 1806 of yacc.c  */
#line 5263 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 776:

/* Line 1806 of yacc.c  */
#line 5267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 777:

/* Line 1806 of yacc.c  */
#line 5271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 778:

/* Line 1806 of yacc.c  */
#line 5275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 779:

/* Line 1806 of yacc.c  */
#line 5279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 780:

/* Line 1806 of yacc.c  */
#line 5283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 781:

/* Line 1806 of yacc.c  */
#line 5287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 782:

/* Line 1806 of yacc.c  */
#line 5291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 783:

/* Line 1806 of yacc.c  */
#line 5295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 784:

/* Line 1806 of yacc.c  */
#line 5299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 785:

/* Line 1806 of yacc.c  */
#line 5303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 786:

/* Line 1806 of yacc.c  */
#line 5307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 787:

/* Line 1806 of yacc.c  */
#line 5311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 788:

/* Line 1806 of yacc.c  */
#line 5315 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 789:

/* Line 1806 of yacc.c  */
#line 5319 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 790:

/* Line 1806 of yacc.c  */
#line 5323 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
}
    break;

  case 791:

/* Line 1806 of yacc.c  */
#line 5327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
    break;

  case 792:

/* Line 1806 of yacc.c  */
#line 5335 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 793:

/* Line 1806 of yacc.c  */
#line 5339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 794:

/* Line 1806 of yacc.c  */
#line 5347 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 795:

/* Line 1806 of yacc.c  */
#line 5351 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on aggregate"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 796:

/* Line 1806 of yacc.c  */
#line 5355 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on function"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 797:

/* Line 1806 of yacc.c  */
#line 5359 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on large object"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 798:

/* Line 1806 of yacc.c  */
#line 5363 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on"),(yyvsp[(5) - (9)].str),mm_strdup("language"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 799:

/* Line 1806 of yacc.c  */
#line 5371 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 800:

/* Line 1806 of yacc.c  */
#line 5375 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 801:

/* Line 1806 of yacc.c  */
#line 5382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 802:

/* Line 1806 of yacc.c  */
#line 5386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 803:

/* Line 1806 of yacc.c  */
#line 5390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 804:

/* Line 1806 of yacc.c  */
#line 5394 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 805:

/* Line 1806 of yacc.c  */
#line 5398 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 806:

/* Line 1806 of yacc.c  */
#line 5402 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 807:

/* Line 1806 of yacc.c  */
#line 5406 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 808:

/* Line 1806 of yacc.c  */
#line 5410 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 809:

/* Line 1806 of yacc.c  */
#line 5414 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 810:

/* Line 1806 of yacc.c  */
#line 5418 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 811:

/* Line 1806 of yacc.c  */
#line 5422 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 812:

/* Line 1806 of yacc.c  */
#line 5430 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 813:

/* Line 1806 of yacc.c  */
#line 5434 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 814:

/* Line 1806 of yacc.c  */
#line 5442 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[(2) - (2)].str));
}
    break;

  case 815:

/* Line 1806 of yacc.c  */
#line 5446 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[(2) - (2)].str));
}
    break;

  case 816:

/* Line 1806 of yacc.c  */
#line 5450 "preproc.y"
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[(2) - (3)].str));
	}
    break;

  case 817:

/* Line 1806 of yacc.c  */
#line 5454 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
    break;

  case 818:

/* Line 1806 of yacc.c  */
#line 5460 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
    break;

  case 819:

/* Line 1806 of yacc.c  */
#line 5466 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
    break;

  case 820:

/* Line 1806 of yacc.c  */
#line 5472 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
    break;

  case 821:

/* Line 1806 of yacc.c  */
#line 5478 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
    break;

  case 822:

/* Line 1806 of yacc.c  */
#line 5484 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
    break;

  case 823:

/* Line 1806 of yacc.c  */
#line 5490 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
    break;

  case 824:

/* Line 1806 of yacc.c  */
#line 5496 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
    break;

  case 825:

/* Line 1806 of yacc.c  */
#line 5506 "preproc.y"
    { 
		add_additional_variables((yyvsp[(1) - (1)].str), false);
		if ((yyvsp[(1) - (1)].str)[0] == ':')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 826:

/* Line 1806 of yacc.c  */
#line 5517 "preproc.y"
    { 
		add_additional_variables((yyvsp[(2) - (2)].str), false);
		if ((yyvsp[(2) - (2)].str)[0] == ':')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 827:

/* Line 1806 of yacc.c  */
#line 5528 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 828:

/* Line 1806 of yacc.c  */
#line 5539 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 829:

/* Line 1806 of yacc.c  */
#line 5550 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 830:

/* Line 1806 of yacc.c  */
#line 5561 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 831:

/* Line 1806 of yacc.c  */
#line 5572 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 832:

/* Line 1806 of yacc.c  */
#line 5588 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 833:

/* Line 1806 of yacc.c  */
#line 5604 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(1) - (3)].str)[0] == '$')
		{
			free((yyvsp[(1) - (3)].str));
			(yyvsp[(1) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 834:

/* Line 1806 of yacc.c  */
#line 5620 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 835:

/* Line 1806 of yacc.c  */
#line 5631 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 836:

/* Line 1806 of yacc.c  */
#line 5647 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 837:

/* Line 1806 of yacc.c  */
#line 5658 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 838:

/* Line 1806 of yacc.c  */
#line 5674 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 839:

/* Line 1806 of yacc.c  */
#line 5689 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 840:

/* Line 1806 of yacc.c  */
#line 5693 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 841:

/* Line 1806 of yacc.c  */
#line 5701 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 842:

/* Line 1806 of yacc.c  */
#line 5705 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 843:

/* Line 1806 of yacc.c  */
#line 5712 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 844:

/* Line 1806 of yacc.c  */
#line 5720 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 845:

/* Line 1806 of yacc.c  */
#line 5724 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 846:

/* Line 1806 of yacc.c  */
#line 5732 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 847:

/* Line 1806 of yacc.c  */
#line 5736 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 848:

/* Line 1806 of yacc.c  */
#line 5740 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all privileges");
}
    break;

  case 849:

/* Line 1806 of yacc.c  */
#line 5744 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 850:

/* Line 1806 of yacc.c  */
#line 5748 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 851:

/* Line 1806 of yacc.c  */
#line 5756 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 852:

/* Line 1806 of yacc.c  */
#line 5760 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 853:

/* Line 1806 of yacc.c  */
#line 5768 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[(2) - (2)].str));
}
    break;

  case 854:

/* Line 1806 of yacc.c  */
#line 5772 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[(2) - (2)].str));
}
    break;

  case 855:

/* Line 1806 of yacc.c  */
#line 5776 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[(2) - (2)].str));
}
    break;

  case 856:

/* Line 1806 of yacc.c  */
#line 5780 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 857:

/* Line 1806 of yacc.c  */
#line 5788 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 858:

/* Line 1806 of yacc.c  */
#line 5792 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 859:

/* Line 1806 of yacc.c  */
#line 5796 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[(2) - (2)].str));
}
    break;

  case 860:

/* Line 1806 of yacc.c  */
#line 5800 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[(4) - (4)].str));
}
    break;

  case 861:

/* Line 1806 of yacc.c  */
#line 5804 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[(3) - (3)].str));
}
    break;

  case 862:

/* Line 1806 of yacc.c  */
#line 5808 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[(2) - (2)].str));
}
    break;

  case 863:

/* Line 1806 of yacc.c  */
#line 5812 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[(2) - (2)].str));
}
    break;

  case 864:

/* Line 1806 of yacc.c  */
#line 5816 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[(2) - (2)].str));
}
    break;

  case 865:

/* Line 1806 of yacc.c  */
#line 5820 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 866:

/* Line 1806 of yacc.c  */
#line 5824 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[(3) - (3)].str));
}
    break;

  case 867:

/* Line 1806 of yacc.c  */
#line 5828 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 868:

/* Line 1806 of yacc.c  */
#line 5832 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 869:

/* Line 1806 of yacc.c  */
#line 5836 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
}
    break;

  case 870:

/* Line 1806 of yacc.c  */
#line 5840 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 871:

/* Line 1806 of yacc.c  */
#line 5844 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 872:

/* Line 1806 of yacc.c  */
#line 5848 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 873:

/* Line 1806 of yacc.c  */
#line 5856 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 874:

/* Line 1806 of yacc.c  */
#line 5860 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 875:

/* Line 1806 of yacc.c  */
#line 5868 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 876:

/* Line 1806 of yacc.c  */
#line 5872 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[(2) - (2)].str));
}
    break;

  case 877:

/* Line 1806 of yacc.c  */
#line 5880 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with grant option");
}
    break;

  case 878:

/* Line 1806 of yacc.c  */
#line 5884 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 879:

/* Line 1806 of yacc.c  */
#line 5891 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 880:

/* Line 1806 of yacc.c  */
#line 5895 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 881:

/* Line 1806 of yacc.c  */
#line 5903 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 882:

/* Line 1806 of yacc.c  */
#line 5911 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 883:

/* Line 1806 of yacc.c  */
#line 5919 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[(2) - (6)].str),mm_strdup("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 884:

/* Line 1806 of yacc.c  */
#line 5923 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[(5) - (9)].str),mm_strdup("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 885:

/* Line 1806 of yacc.c  */
#line 5931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with admin option");
}
    break;

  case 886:

/* Line 1806 of yacc.c  */
#line 5935 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 887:

/* Line 1806 of yacc.c  */
#line 5942 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 888:

/* Line 1806 of yacc.c  */
#line 5946 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 889:

/* Line 1806 of yacc.c  */
#line 5953 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 890:

/* Line 1806 of yacc.c  */
#line 5961 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 891:

/* Line 1806 of yacc.c  */
#line 5965 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 892:

/* Line 1806 of yacc.c  */
#line 5972 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[(3) - (3)].str));
}
    break;

  case 893:

/* Line 1806 of yacc.c  */
#line 5976 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 894:

/* Line 1806 of yacc.c  */
#line 5980 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 895:

/* Line 1806 of yacc.c  */
#line 5988 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 896:

/* Line 1806 of yacc.c  */
#line 5992 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 897:

/* Line 1806 of yacc.c  */
#line 5996 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 898:

/* Line 1806 of yacc.c  */
#line 6004 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
}
    break;

  case 899:

/* Line 1806 of yacc.c  */
#line 6008 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
}
    break;

  case 900:

/* Line 1806 of yacc.c  */
#line 6012 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
}
    break;

  case 901:

/* Line 1806 of yacc.c  */
#line 6016 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
}
    break;

  case 902:

/* Line 1806 of yacc.c  */
#line 6024 "preproc.y"
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("index"),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),mm_strdup("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),mm_strdup("("),(yyvsp[(10) - (14)].str),mm_strdup(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 903:

/* Line 1806 of yacc.c  */
#line 6032 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
}
    break;

  case 904:

/* Line 1806 of yacc.c  */
#line 6036 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 905:

/* Line 1806 of yacc.c  */
#line 6043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
}
    break;

  case 906:

/* Line 1806 of yacc.c  */
#line 6047 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 907:

/* Line 1806 of yacc.c  */
#line 6054 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 908:

/* Line 1806 of yacc.c  */
#line 6058 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 909:

/* Line 1806 of yacc.c  */
#line 6065 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 910:

/* Line 1806 of yacc.c  */
#line 6069 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 911:

/* Line 1806 of yacc.c  */
#line 6076 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 912:

/* Line 1806 of yacc.c  */
#line 6080 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 913:

/* Line 1806 of yacc.c  */
#line 6088 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 914:

/* Line 1806 of yacc.c  */
#line 6092 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 915:

/* Line 1806 of yacc.c  */
#line 6096 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[(2) - (7)].str),mm_strdup(")"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 916:

/* Line 1806 of yacc.c  */
#line 6104 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 917:

/* Line 1806 of yacc.c  */
#line 6108 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 918:

/* Line 1806 of yacc.c  */
#line 6115 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 919:

/* Line 1806 of yacc.c  */
#line 6119 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 920:

/* Line 1806 of yacc.c  */
#line 6123 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 921:

/* Line 1806 of yacc.c  */
#line 6130 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
}
    break;

  case 922:

/* Line 1806 of yacc.c  */
#line 6134 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
}
    break;

  case 923:

/* Line 1806 of yacc.c  */
#line 6138 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 924:

/* Line 1806 of yacc.c  */
#line 6145 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls first");
}
    break;

  case 925:

/* Line 1806 of yacc.c  */
#line 6149 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls last");
}
    break;

  case 926:

/* Line 1806 of yacc.c  */
#line 6153 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 927:

/* Line 1806 of yacc.c  */
#line 6160 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),mm_strdup("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 928:

/* Line 1806 of yacc.c  */
#line 6164 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),mm_strdup("returns table ("),(yyvsp[(9) - (12)].str),mm_strdup(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
}
    break;

  case 929:

/* Line 1806 of yacc.c  */
#line 6168 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (7)].str),mm_strdup("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 930:

/* Line 1806 of yacc.c  */
#line 6176 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or replace");
}
    break;

  case 931:

/* Line 1806 of yacc.c  */
#line 6180 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 932:

/* Line 1806 of yacc.c  */
#line 6187 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 933:

/* Line 1806 of yacc.c  */
#line 6191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 934:

/* Line 1806 of yacc.c  */
#line 6199 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 935:

/* Line 1806 of yacc.c  */
#line 6203 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 936:

/* Line 1806 of yacc.c  */
#line 6211 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 937:

/* Line 1806 of yacc.c  */
#line 6215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 938:

/* Line 1806 of yacc.c  */
#line 6223 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 939:

/* Line 1806 of yacc.c  */
#line 6227 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 940:

/* Line 1806 of yacc.c  */
#line 6235 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 941:

/* Line 1806 of yacc.c  */
#line 6239 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 942:

/* Line 1806 of yacc.c  */
#line 6243 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 943:

/* Line 1806 of yacc.c  */
#line 6247 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 944:

/* Line 1806 of yacc.c  */
#line 6251 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 945:

/* Line 1806 of yacc.c  */
#line 6259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 946:

/* Line 1806 of yacc.c  */
#line 6263 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
}
    break;

  case 947:

/* Line 1806 of yacc.c  */
#line 6267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
}
    break;

  case 948:

/* Line 1806 of yacc.c  */
#line 6271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in out");
}
    break;

  case 949:

/* Line 1806 of yacc.c  */
#line 6275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
}
    break;

  case 950:

/* Line 1806 of yacc.c  */
#line 6283 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 951:

/* Line 1806 of yacc.c  */
#line 6291 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 952:

/* Line 1806 of yacc.c  */
#line 6299 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 953:

/* Line 1806 of yacc.c  */
#line 6303 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),mm_strdup("% type"));
}
    break;

  case 954:

/* Line 1806 of yacc.c  */
#line 6307 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("% type"));
}
    break;

  case 955:

/* Line 1806 of yacc.c  */
#line 6315 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 956:

/* Line 1806 of yacc.c  */
#line 6319 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 957:

/* Line 1806 of yacc.c  */
#line 6323 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 958:

/* Line 1806 of yacc.c  */
#line 6331 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 959:

/* Line 1806 of yacc.c  */
#line 6335 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 960:

/* Line 1806 of yacc.c  */
#line 6343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called on null input");
}
    break;

  case 961:

/* Line 1806 of yacc.c  */
#line 6347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
    break;

  case 962:

/* Line 1806 of yacc.c  */
#line 6351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
}
    break;

  case 963:

/* Line 1806 of yacc.c  */
#line 6355 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
}
    break;

  case 964:

/* Line 1806 of yacc.c  */
#line 6359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
}
    break;

  case 965:

/* Line 1806 of yacc.c  */
#line 6363 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
}
    break;

  case 966:

/* Line 1806 of yacc.c  */
#line 6367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security definer");
}
    break;

  case 967:

/* Line 1806 of yacc.c  */
#line 6371 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
    break;

  case 968:

/* Line 1806 of yacc.c  */
#line 6375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security definer");
}
    break;

  case 969:

/* Line 1806 of yacc.c  */
#line 6379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security invoker");
}
    break;

  case 970:

/* Line 1806 of yacc.c  */
#line 6383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
}
    break;

  case 971:

/* Line 1806 of yacc.c  */
#line 6387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
    break;

  case 972:

/* Line 1806 of yacc.c  */
#line 6391 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[(2) - (2)].str));
}
    break;

  case 973:

/* Line 1806 of yacc.c  */
#line 6395 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 974:

/* Line 1806 of yacc.c  */
#line 6399 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 975:

/* Line 1806 of yacc.c  */
#line 6407 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 976:

/* Line 1806 of yacc.c  */
#line 6411 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 977:

/* Line 1806 of yacc.c  */
#line 6415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
}
    break;

  case 978:

/* Line 1806 of yacc.c  */
#line 6419 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 979:

/* Line 1806 of yacc.c  */
#line 6427 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 980:

/* Line 1806 of yacc.c  */
#line 6431 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 981:

/* Line 1806 of yacc.c  */
#line 6439 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 982:

/* Line 1806 of yacc.c  */
#line 6443 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 983:

/* Line 1806 of yacc.c  */
#line 6450 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 984:

/* Line 1806 of yacc.c  */
#line 6458 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 985:

/* Line 1806 of yacc.c  */
#line 6462 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 986:

/* Line 1806 of yacc.c  */
#line 6470 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 987:

/* Line 1806 of yacc.c  */
#line 6478 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 988:

/* Line 1806 of yacc.c  */
#line 6482 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 989:

/* Line 1806 of yacc.c  */
#line 6490 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 990:

/* Line 1806 of yacc.c  */
#line 6494 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 991:

/* Line 1806 of yacc.c  */
#line 6501 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 992:

/* Line 1806 of yacc.c  */
#line 6505 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 993:

/* Line 1806 of yacc.c  */
#line 6513 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 994:

/* Line 1806 of yacc.c  */
#line 6517 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 995:

/* Line 1806 of yacc.c  */
#line 6525 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 996:

/* Line 1806 of yacc.c  */
#line 6529 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 997:

/* Line 1806 of yacc.c  */
#line 6537 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 998:

/* Line 1806 of yacc.c  */
#line 6541 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 999:

/* Line 1806 of yacc.c  */
#line 6545 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1000:

/* Line 1806 of yacc.c  */
#line 6549 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(", none )"));
}
    break;

  case 1001:

/* Line 1806 of yacc.c  */
#line 6557 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1002:

/* Line 1806 of yacc.c  */
#line 6561 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 1003:

/* Line 1806 of yacc.c  */
#line 6569 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1004:

/* Line 1806 of yacc.c  */
#line 6577 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1005:

/* Line 1806 of yacc.c  */
#line 6581 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1006:

/* Line 1806 of yacc.c  */
#line 6589 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1007:

/* Line 1806 of yacc.c  */
#line 6593 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1008:

/* Line 1806 of yacc.c  */
#line 6601 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[(4) - (11)].str),mm_strdup("as"),(yyvsp[(6) - (11)].str),mm_strdup(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1009:

/* Line 1806 of yacc.c  */
#line 6605 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") without function"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1010:

/* Line 1806 of yacc.c  */
#line 6609 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") with inout"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1011:

/* Line 1806 of yacc.c  */
#line 6617 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as implicit");
}
    break;

  case 1012:

/* Line 1806 of yacc.c  */
#line 6621 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as assignment");
}
    break;

  case 1013:

/* Line 1806 of yacc.c  */
#line 6625 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1014:

/* Line 1806 of yacc.c  */
#line 6632 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[(3) - (9)].str),mm_strdup("("),(yyvsp[(5) - (9)].str),mm_strdup("as"),(yyvsp[(7) - (9)].str),mm_strdup(")"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1015:

/* Line 1806 of yacc.c  */
#line 6640 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if exists");
}
    break;

  case 1016:

/* Line 1806 of yacc.c  */
#line 6644 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1017:

/* Line 1806 of yacc.c  */
#line 6651 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1018:

/* Line 1806 of yacc.c  */
#line 6655 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1019:

/* Line 1806 of yacc.c  */
#line 6659 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1020:

/* Line 1806 of yacc.c  */
#line 6667 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 1021:

/* Line 1806 of yacc.c  */
#line 6671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 1022:

/* Line 1806 of yacc.c  */
#line 6679 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
}
    break;

  case 1023:

/* Line 1806 of yacc.c  */
#line 6683 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1024:

/* Line 1806 of yacc.c  */
#line 6690 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1025:

/* Line 1806 of yacc.c  */
#line 6694 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1026:

/* Line 1806 of yacc.c  */
#line 6698 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1027:

/* Line 1806 of yacc.c  */
#line 6702 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1028:

/* Line 1806 of yacc.c  */
#line 6706 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1029:

/* Line 1806 of yacc.c  */
#line 6710 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1030:

/* Line 1806 of yacc.c  */
#line 6714 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1031:

/* Line 1806 of yacc.c  */
#line 6718 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1032:

/* Line 1806 of yacc.c  */
#line 6722 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1033:

/* Line 1806 of yacc.c  */
#line 6726 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1034:

/* Line 1806 of yacc.c  */
#line 6730 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1035:

/* Line 1806 of yacc.c  */
#line 6734 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1036:

/* Line 1806 of yacc.c  */
#line 6738 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1037:

/* Line 1806 of yacc.c  */
#line 6742 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1038:

/* Line 1806 of yacc.c  */
#line 6746 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1039:

/* Line 1806 of yacc.c  */
#line 6750 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1040:

/* Line 1806 of yacc.c  */
#line 6754 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1041:

/* Line 1806 of yacc.c  */
#line 6758 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1042:

/* Line 1806 of yacc.c  */
#line 6762 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1043:

/* Line 1806 of yacc.c  */
#line 6766 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1044:

/* Line 1806 of yacc.c  */
#line 6770 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1045:

/* Line 1806 of yacc.c  */
#line 6774 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1046:

/* Line 1806 of yacc.c  */
#line 6778 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1047:

/* Line 1806 of yacc.c  */
#line 6782 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1048:

/* Line 1806 of yacc.c  */
#line 6786 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1049:

/* Line 1806 of yacc.c  */
#line 6790 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[(5) - (10)].str),mm_strdup("rename"),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),mm_strdup("to"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1050:

/* Line 1806 of yacc.c  */
#line 6794 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1051:

/* Line 1806 of yacc.c  */
#line 6798 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1052:

/* Line 1806 of yacc.c  */
#line 6802 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (11)].str),mm_strdup("rename"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),mm_strdup("to"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1053:

/* Line 1806 of yacc.c  */
#line 6806 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1054:

/* Line 1806 of yacc.c  */
#line 6810 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1055:

/* Line 1806 of yacc.c  */
#line 6814 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1056:

/* Line 1806 of yacc.c  */
#line 6818 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1057:

/* Line 1806 of yacc.c  */
#line 6822 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1058:

/* Line 1806 of yacc.c  */
#line 6826 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1059:

/* Line 1806 of yacc.c  */
#line 6830 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1060:

/* Line 1806 of yacc.c  */
#line 6834 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1061:

/* Line 1806 of yacc.c  */
#line 6838 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1062:

/* Line 1806 of yacc.c  */
#line 6842 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1063:

/* Line 1806 of yacc.c  */
#line 6846 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1064:

/* Line 1806 of yacc.c  */
#line 6850 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("rename attribute"),(yyvsp[(6) - (9)].str),mm_strdup("to"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1065:

/* Line 1806 of yacc.c  */
#line 6858 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 1066:

/* Line 1806 of yacc.c  */
#line 6862 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1067:

/* Line 1806 of yacc.c  */
#line 6869 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set data");
}
    break;

  case 1068:

/* Line 1806 of yacc.c  */
#line 6873 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1069:

/* Line 1806 of yacc.c  */
#line 6880 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1070:

/* Line 1806 of yacc.c  */
#line 6884 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1071:

/* Line 1806 of yacc.c  */
#line 6888 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1072:

/* Line 1806 of yacc.c  */
#line 6892 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1073:

/* Line 1806 of yacc.c  */
#line 6896 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1074:

/* Line 1806 of yacc.c  */
#line 6900 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1075:

/* Line 1806 of yacc.c  */
#line 6904 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1076:

/* Line 1806 of yacc.c  */
#line 6908 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1077:

/* Line 1806 of yacc.c  */
#line 6912 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1078:

/* Line 1806 of yacc.c  */
#line 6916 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1079:

/* Line 1806 of yacc.c  */
#line 6920 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1080:

/* Line 1806 of yacc.c  */
#line 6924 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1081:

/* Line 1806 of yacc.c  */
#line 6928 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1082:

/* Line 1806 of yacc.c  */
#line 6932 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1083:

/* Line 1806 of yacc.c  */
#line 6936 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1084:

/* Line 1806 of yacc.c  */
#line 6940 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1085:

/* Line 1806 of yacc.c  */
#line 6944 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1086:

/* Line 1806 of yacc.c  */
#line 6948 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1087:

/* Line 1806 of yacc.c  */
#line 6952 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1088:

/* Line 1806 of yacc.c  */
#line 6956 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1089:

/* Line 1806 of yacc.c  */
#line 6960 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1090:

/* Line 1806 of yacc.c  */
#line 6964 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1091:

/* Line 1806 of yacc.c  */
#line 6972 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1092:

/* Line 1806 of yacc.c  */
#line 6976 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1093:

/* Line 1806 of yacc.c  */
#line 6980 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1094:

/* Line 1806 of yacc.c  */
#line 6984 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1095:

/* Line 1806 of yacc.c  */
#line 6988 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1096:

/* Line 1806 of yacc.c  */
#line 6992 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1097:

/* Line 1806 of yacc.c  */
#line 6996 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1098:

/* Line 1806 of yacc.c  */
#line 7000 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1099:

/* Line 1806 of yacc.c  */
#line 7004 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1100:

/* Line 1806 of yacc.c  */
#line 7008 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1101:

/* Line 1806 of yacc.c  */
#line 7012 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1102:

/* Line 1806 of yacc.c  */
#line 7016 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1103:

/* Line 1806 of yacc.c  */
#line 7020 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1104:

/* Line 1806 of yacc.c  */
#line 7024 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1105:

/* Line 1806 of yacc.c  */
#line 7028 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1106:

/* Line 1806 of yacc.c  */
#line 7032 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1107:

/* Line 1806 of yacc.c  */
#line 7036 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1108:

/* Line 1806 of yacc.c  */
#line 7040 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1109:

/* Line 1806 of yacc.c  */
#line 7048 "preproc.y"
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("rule"),(yyvsp[(4) - (13)].str),mm_strdup("as on"),(yyvsp[(7) - (13)].str),mm_strdup("to"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),mm_strdup("do"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 1110:

/* Line 1806 of yacc.c  */
#line 7056 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 1111:

/* Line 1806 of yacc.c  */
#line 7060 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1112:

/* Line 1806 of yacc.c  */
#line 7064 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1113:

/* Line 1806 of yacc.c  */
#line 7072 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(";"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1114:

/* Line 1806 of yacc.c  */
#line 7076 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1115:

/* Line 1806 of yacc.c  */
#line 7084 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1116:

/* Line 1806 of yacc.c  */
#line 7088 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1117:

/* Line 1806 of yacc.c  */
#line 7092 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1118:

/* Line 1806 of yacc.c  */
#line 7096 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1119:

/* Line 1806 of yacc.c  */
#line 7100 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1120:

/* Line 1806 of yacc.c  */
#line 7108 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1121:

/* Line 1806 of yacc.c  */
#line 7112 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1122:

/* Line 1806 of yacc.c  */
#line 7119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
}
    break;

  case 1123:

/* Line 1806 of yacc.c  */
#line 7123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 1124:

/* Line 1806 of yacc.c  */
#line 7127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 1125:

/* Line 1806 of yacc.c  */
#line 7131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 1126:

/* Line 1806 of yacc.c  */
#line 7139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
}
    break;

  case 1127:

/* Line 1806 of yacc.c  */
#line 7143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
}
    break;

  case 1128:

/* Line 1806 of yacc.c  */
#line 7147 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1129:

/* Line 1806 of yacc.c  */
#line 7154 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1130:

/* Line 1806 of yacc.c  */
#line 7158 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1131:

/* Line 1806 of yacc.c  */
#line 7166 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1132:

/* Line 1806 of yacc.c  */
#line 7174 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[(2) - (2)].str));
}
    break;

  case 1133:

/* Line 1806 of yacc.c  */
#line 7178 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1134:

/* Line 1806 of yacc.c  */
#line 7185 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1135:

/* Line 1806 of yacc.c  */
#line 7193 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1136:

/* Line 1806 of yacc.c  */
#line 7197 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
    break;

  case 1137:

/* Line 1806 of yacc.c  */
#line 7205 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1138:

/* Line 1806 of yacc.c  */
#line 7209 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1139:

/* Line 1806 of yacc.c  */
#line 7213 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1140:

/* Line 1806 of yacc.c  */
#line 7217 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1141:

/* Line 1806 of yacc.c  */
#line 7221 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1142:

/* Line 1806 of yacc.c  */
#line 7225 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1143:

/* Line 1806 of yacc.c  */
#line 7229 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1144:

/* Line 1806 of yacc.c  */
#line 7233 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1145:

/* Line 1806 of yacc.c  */
#line 7237 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1146:

/* Line 1806 of yacc.c  */
#line 7241 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (5)].str),mm_strdup("to savepoint"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1147:

/* Line 1806 of yacc.c  */
#line 7245 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (4)].str),mm_strdup("to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1148:

/* Line 1806 of yacc.c  */
#line 7249 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1149:

/* Line 1806 of yacc.c  */
#line 7253 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1150:

/* Line 1806 of yacc.c  */
#line 7257 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1151:

/* Line 1806 of yacc.c  */
#line 7265 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
}
    break;

  case 1152:

/* Line 1806 of yacc.c  */
#line 7269 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
}
    break;

  case 1153:

/* Line 1806 of yacc.c  */
#line 7273 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1154:

/* Line 1806 of yacc.c  */
#line 7280 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1155:

/* Line 1806 of yacc.c  */
#line 7284 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read only");
}
    break;

  case 1156:

/* Line 1806 of yacc.c  */
#line 7288 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read write");
}
    break;

  case 1157:

/* Line 1806 of yacc.c  */
#line 7292 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 1158:

/* Line 1806 of yacc.c  */
#line 7296 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 1159:

/* Line 1806 of yacc.c  */
#line 7304 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1160:

/* Line 1806 of yacc.c  */
#line 7308 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1161:

/* Line 1806 of yacc.c  */
#line 7312 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1162:

/* Line 1806 of yacc.c  */
#line 7320 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1163:

/* Line 1806 of yacc.c  */
#line 7324 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1164:

/* Line 1806 of yacc.c  */
#line 7331 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("view"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),mm_strdup("as"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1165:

/* Line 1806 of yacc.c  */
#line 7335 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[(4) - (11)].str),mm_strdup("view"),(yyvsp[(6) - (11)].str),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("as"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1166:

/* Line 1806 of yacc.c  */
#line 7343 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with check option");
}
    break;

  case 1167:

/* Line 1806 of yacc.c  */
#line 7348 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with cascaded check option");
}
    break;

  case 1168:

/* Line 1806 of yacc.c  */
#line 7353 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with local check option");
}
    break;

  case 1169:

/* Line 1806 of yacc.c  */
#line 7358 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1170:

/* Line 1806 of yacc.c  */
#line 7365 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1171:

/* Line 1806 of yacc.c  */
#line 7373 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1172:

/* Line 1806 of yacc.c  */
#line 7381 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1173:

/* Line 1806 of yacc.c  */
#line 7385 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1174:

/* Line 1806 of yacc.c  */
#line 7392 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1175:

/* Line 1806 of yacc.c  */
#line 7396 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1176:

/* Line 1806 of yacc.c  */
#line 7400 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1177:

/* Line 1806 of yacc.c  */
#line 7404 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1178:

/* Line 1806 of yacc.c  */
#line 7408 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1179:

/* Line 1806 of yacc.c  */
#line 7412 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1180:

/* Line 1806 of yacc.c  */
#line 7416 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1181:

/* Line 1806 of yacc.c  */
#line 7420 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1182:

/* Line 1806 of yacc.c  */
#line 7424 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1183:

/* Line 1806 of yacc.c  */
#line 7428 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1184:

/* Line 1806 of yacc.c  */
#line 7432 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1185:

/* Line 1806 of yacc.c  */
#line 7436 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1186:

/* Line 1806 of yacc.c  */
#line 7440 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1187:

/* Line 1806 of yacc.c  */
#line 7444 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1188:

/* Line 1806 of yacc.c  */
#line 7448 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1189:

/* Line 1806 of yacc.c  */
#line 7452 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1190:

/* Line 1806 of yacc.c  */
#line 7460 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
}
    break;

  case 1191:

/* Line 1806 of yacc.c  */
#line 7464 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1192:

/* Line 1806 of yacc.c  */
#line 7471 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1193:

/* Line 1806 of yacc.c  */
#line 7475 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("set tablespace"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1194:

/* Line 1806 of yacc.c  */
#line 7483 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1195:

/* Line 1806 of yacc.c  */
#line 7491 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1196:

/* Line 1806 of yacc.c  */
#line 7495 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1197:

/* Line 1806 of yacc.c  */
#line 7502 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1198:

/* Line 1806 of yacc.c  */
#line 7510 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1199:

/* Line 1806 of yacc.c  */
#line 7514 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1200:

/* Line 1806 of yacc.c  */
#line 7522 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1201:

/* Line 1806 of yacc.c  */
#line 7530 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1202:

/* Line 1806 of yacc.c  */
#line 7534 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
}
    break;

  case 1203:

/* Line 1806 of yacc.c  */
#line 7538 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
}
    break;

  case 1204:

/* Line 1806 of yacc.c  */
#line 7542 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (5)].str),mm_strdup("add"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1205:

/* Line 1806 of yacc.c  */
#line 7546 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (7)].str),mm_strdup("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1206:

/* Line 1806 of yacc.c  */
#line 7550 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (9)].str),mm_strdup("drop constraint if exists"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1207:

/* Line 1806 of yacc.c  */
#line 7554 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("validate constraint"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1208:

/* Line 1806 of yacc.c  */
#line 7562 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
}
    break;

  case 1209:

/* Line 1806 of yacc.c  */
#line 7566 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1210:

/* Line 1806 of yacc.c  */
#line 7573 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1211:

/* Line 1806 of yacc.c  */
#line 7581 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("add mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1212:

/* Line 1806 of yacc.c  */
#line 7585 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1213:

/* Line 1806 of yacc.c  */
#line 7589 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping replace"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1214:

/* Line 1806 of yacc.c  */
#line 7593 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[(5) - (13)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (13)].str),mm_strdup("replace"),(yyvsp[(11) - (13)].str),mm_strdup("with"),(yyvsp[(13) - (13)].str));
}
    break;

  case 1215:

/* Line 1806 of yacc.c  */
#line 7597 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (9)].str),mm_strdup("drop mapping for"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1216:

/* Line 1806 of yacc.c  */
#line 7601 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1217:

/* Line 1806 of yacc.c  */
#line 7609 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("conversion"),(yyvsp[(4) - (10)].str),mm_strdup("for"),(yyvsp[(6) - (10)].str),mm_strdup("to"),(yyvsp[(8) - (10)].str),mm_strdup("from"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1218:

/* Line 1806 of yacc.c  */
#line 7617 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1219:

/* Line 1806 of yacc.c  */
#line 7621 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1220:

/* Line 1806 of yacc.c  */
#line 7625 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("on"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1221:

/* Line 1806 of yacc.c  */
#line 7633 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1222:

/* Line 1806 of yacc.c  */
#line 7637 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1223:

/* Line 1806 of yacc.c  */
#line 7644 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1224:

/* Line 1806 of yacc.c  */
#line 7648 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1225:

/* Line 1806 of yacc.c  */
#line 7652 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1226:

/* Line 1806 of yacc.c  */
#line 7656 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1227:

/* Line 1806 of yacc.c  */
#line 7660 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1228:

/* Line 1806 of yacc.c  */
#line 7668 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1229:

/* Line 1806 of yacc.c  */
#line 7672 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1230:

/* Line 1806 of yacc.c  */
#line 7680 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1231:

/* Line 1806 of yacc.c  */
#line 7684 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 1232:

/* Line 1806 of yacc.c  */
#line 7688 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 1233:

/* Line 1806 of yacc.c  */
#line 7692 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 1234:

/* Line 1806 of yacc.c  */
#line 7700 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1235:

/* Line 1806 of yacc.c  */
#line 7704 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1236:

/* Line 1806 of yacc.c  */
#line 7712 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
}
    break;

  case 1237:

/* Line 1806 of yacc.c  */
#line 7716 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
}
    break;

  case 1238:

/* Line 1806 of yacc.c  */
#line 7724 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 1239:

/* Line 1806 of yacc.c  */
#line 7728 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1240:

/* Line 1806 of yacc.c  */
#line 7735 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 1241:

/* Line 1806 of yacc.c  */
#line 7739 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1242:

/* Line 1806 of yacc.c  */
#line 7746 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 1243:

/* Line 1806 of yacc.c  */
#line 7750 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1244:

/* Line 1806 of yacc.c  */
#line 7757 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1245:

/* Line 1806 of yacc.c  */
#line 7761 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1246:

/* Line 1806 of yacc.c  */
#line 7768 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1247:

/* Line 1806 of yacc.c  */
#line 7772 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1248:

/* Line 1806 of yacc.c  */
#line 7776 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1249:

/* Line 1806 of yacc.c  */
#line 7780 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1250:

/* Line 1806 of yacc.c  */
#line 7788 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1251:

/* Line 1806 of yacc.c  */
#line 7792 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1252:

/* Line 1806 of yacc.c  */
#line 7796 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1253:

/* Line 1806 of yacc.c  */
#line 7800 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1254:

/* Line 1806 of yacc.c  */
#line 7804 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1255:

/* Line 1806 of yacc.c  */
#line 7808 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1256:

/* Line 1806 of yacc.c  */
#line 7812 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1257:

/* Line 1806 of yacc.c  */
#line 7820 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1258:

/* Line 1806 of yacc.c  */
#line 7824 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1259:

/* Line 1806 of yacc.c  */
#line 7832 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1260:

/* Line 1806 of yacc.c  */
#line 7840 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1261:

/* Line 1806 of yacc.c  */
#line 7844 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1262:

/* Line 1806 of yacc.c  */
#line 7852 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1263:

/* Line 1806 of yacc.c  */
#line 7856 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1264:

/* Line 1806 of yacc.c  */
#line 7860 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1265:

/* Line 1806 of yacc.c  */
#line 7867 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (5)].str);
		(yyval.prep).type = (yyvsp[(3) - (5)].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[(5) - (5)].str), mm_strdup("\""));
	}
    break;

  case 1266:

/* Line 1806 of yacc.c  */
#line 7873 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (4)].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[(4) - (4)].str);
	}
    break;

  case 1267:

/* Line 1806 of yacc.c  */
#line 7883 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1268:

/* Line 1806 of yacc.c  */
#line 7887 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1269:

/* Line 1806 of yacc.c  */
#line 7894 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1270:

/* Line 1806 of yacc.c  */
#line 7898 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1271:

/* Line 1806 of yacc.c  */
#line 7902 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1272:

/* Line 1806 of yacc.c  */
#line 7906 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1273:

/* Line 1806 of yacc.c  */
#line 7914 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (4)].str); }
    break;

  case 1274:

/* Line 1806 of yacc.c  */
#line 7916 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("table"),(yyvsp[(4) - (9)].str),mm_strdup("as execute"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1275:

/* Line 1806 of yacc.c  */
#line 7924 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1276:

/* Line 1806 of yacc.c  */
#line 7928 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1277:

/* Line 1806 of yacc.c  */
#line 7935 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("insert into"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1278:

/* Line 1806 of yacc.c  */
#line 7943 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1279:

/* Line 1806 of yacc.c  */
#line 7947 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1280:

/* Line 1806 of yacc.c  */
#line 7951 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default values");
}
    break;

  case 1281:

/* Line 1806 of yacc.c  */
#line 7959 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1282:

/* Line 1806 of yacc.c  */
#line 7963 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1283:

/* Line 1806 of yacc.c  */
#line 7971 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1284:

/* Line 1806 of yacc.c  */
#line 7979 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[(2) - (3)].str));
}
    break;

  case 1285:

/* Line 1806 of yacc.c  */
#line 7983 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1286:

/* Line 1806 of yacc.c  */
#line 7990 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("delete from"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1287:

/* Line 1806 of yacc.c  */
#line 7998 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1288:

/* Line 1806 of yacc.c  */
#line 8002 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1289:

/* Line 1806 of yacc.c  */
#line 8009 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1290:

/* Line 1806 of yacc.c  */
#line 8017 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[(2) - (3)].str),mm_strdup("mode"));
}
    break;

  case 1291:

/* Line 1806 of yacc.c  */
#line 8021 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1292:

/* Line 1806 of yacc.c  */
#line 8028 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access share");
}
    break;

  case 1293:

/* Line 1806 of yacc.c  */
#line 8032 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row share");
}
    break;

  case 1294:

/* Line 1806 of yacc.c  */
#line 8036 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
    break;

  case 1295:

/* Line 1806 of yacc.c  */
#line 8040 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
    break;

  case 1296:

/* Line 1806 of yacc.c  */
#line 8044 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
}
    break;

  case 1297:

/* Line 1806 of yacc.c  */
#line 8048 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
    break;

  case 1298:

/* Line 1806 of yacc.c  */
#line 8052 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
}
    break;

  case 1299:

/* Line 1806 of yacc.c  */
#line 8056 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
    break;

  case 1300:

/* Line 1806 of yacc.c  */
#line 8064 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
}
    break;

  case 1301:

/* Line 1806 of yacc.c  */
#line 8068 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1302:

/* Line 1806 of yacc.c  */
#line 8075 "preproc.y"
    { 
 (yyval.str) = cat_str(8,(yyvsp[(1) - (8)].str),mm_strdup("update"),(yyvsp[(3) - (8)].str),mm_strdup("set"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1303:

/* Line 1806 of yacc.c  */
#line 8083 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1304:

/* Line 1806 of yacc.c  */
#line 8087 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1305:

/* Line 1806 of yacc.c  */
#line 8095 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1306:

/* Line 1806 of yacc.c  */
#line 8099 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1307:

/* Line 1806 of yacc.c  */
#line 8107 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1308:

/* Line 1806 of yacc.c  */
#line 8115 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(") ="),(yyvsp[(5) - (5)].str));
}
    break;

  case 1309:

/* Line 1806 of yacc.c  */
#line 8123 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1310:

/* Line 1806 of yacc.c  */
#line 8131 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1311:

/* Line 1806 of yacc.c  */
#line 8135 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1312:

/* Line 1806 of yacc.c  */
#line 8143 "preproc.y"
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = ((yyvsp[(2) - (7)].str)[0] == ':' ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
			{
				if ((yyvsp[(2) - (7)].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[(2) - (7)].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for"), (yyvsp[(7) - (7)].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
    break;

  case 1313:

/* Line 1806 of yacc.c  */
#line 8196 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1314:

/* Line 1806 of yacc.c  */
#line 8200 "preproc.y"
    {
			char *curname = mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[(1) - (1)].str));
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = curname;
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 1315:

/* Line 1806 of yacc.c  */
#line 8212 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1316:

/* Line 1806 of yacc.c  */
#line 8215 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("no scroll"));
}
    break;

  case 1317:

/* Line 1806 of yacc.c  */
#line 8219 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("scroll"));
}
    break;

  case 1318:

/* Line 1806 of yacc.c  */
#line 8223 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("binary"));
}
    break;

  case 1319:

/* Line 1806 of yacc.c  */
#line 8227 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("insensitive"));
}
    break;

  case 1320:

/* Line 1806 of yacc.c  */
#line 8235 "preproc.y"
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
    break;

  case 1321:

/* Line 1806 of yacc.c  */
#line 8242 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with hold");
}
    break;

  case 1322:

/* Line 1806 of yacc.c  */
#line 8246 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without hold");
}
    break;

  case 1323:

/* Line 1806 of yacc.c  */
#line 8254 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1324:

/* Line 1806 of yacc.c  */
#line 8258 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1325:

/* Line 1806 of yacc.c  */
#line 8266 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1326:

/* Line 1806 of yacc.c  */
#line 8270 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1327:

/* Line 1806 of yacc.c  */
#line 8278 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1328:

/* Line 1806 of yacc.c  */
#line 8282 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1329:

/* Line 1806 of yacc.c  */
#line 8286 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1330:

/* Line 1806 of yacc.c  */
#line 8290 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1331:

/* Line 1806 of yacc.c  */
#line 8294 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1332:

/* Line 1806 of yacc.c  */
#line 8298 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1333:

/* Line 1806 of yacc.c  */
#line 8302 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1334:

/* Line 1806 of yacc.c  */
#line 8306 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1335:

/* Line 1806 of yacc.c  */
#line 8314 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1336:

/* Line 1806 of yacc.c  */
#line 8318 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1337:

/* Line 1806 of yacc.c  */
#line 8326 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1338:

/* Line 1806 of yacc.c  */
#line 8330 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1339:

/* Line 1806 of yacc.c  */
#line 8334 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1340:

/* Line 1806 of yacc.c  */
#line 8338 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1341:

/* Line 1806 of yacc.c  */
#line 8342 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1342:

/* Line 1806 of yacc.c  */
#line 8346 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1343:

/* Line 1806 of yacc.c  */
#line 8354 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1344:

/* Line 1806 of yacc.c  */
#line 8358 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1345:

/* Line 1806 of yacc.c  */
#line 8366 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1346:

/* Line 1806 of yacc.c  */
#line 8370 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1347:

/* Line 1806 of yacc.c  */
#line 8378 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),mm_strdup("as ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1348:

/* Line 1806 of yacc.c  */
#line 8386 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1349:

/* Line 1806 of yacc.c  */
#line 8390 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1350:

/* Line 1806 of yacc.c  */
#line 8397 "preproc.y"
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[(2) - (2)].str));
					}
    break;

  case 1351:

/* Line 1806 of yacc.c  */
#line 8401 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 1352:

/* Line 1806 of yacc.c  */
#line 8403 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1353:

/* Line 1806 of yacc.c  */
#line 8410 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1354:

/* Line 1806 of yacc.c  */
#line 8414 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1355:

/* Line 1806 of yacc.c  */
#line 8418 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1356:

/* Line 1806 of yacc.c  */
#line 8422 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1357:

/* Line 1806 of yacc.c  */
#line 8426 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1358:

/* Line 1806 of yacc.c  */
#line 8430 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1359:

/* Line 1806 of yacc.c  */
#line 8434 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1360:

/* Line 1806 of yacc.c  */
#line 8438 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1361:

/* Line 1806 of yacc.c  */
#line 8442 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1362:

/* Line 1806 of yacc.c  */
#line 8450 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 1363:

/* Line 1806 of yacc.c  */
#line 8454 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1364:

/* Line 1806 of yacc.c  */
#line 8461 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1365:

/* Line 1806 of yacc.c  */
#line 8465 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 1366:

/* Line 1806 of yacc.c  */
#line 8469 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1367:

/* Line 1806 of yacc.c  */
#line 8476 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 1368:

/* Line 1806 of yacc.c  */
#line 8480 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1369:

/* Line 1806 of yacc.c  */
#line 8484 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1370:

/* Line 1806 of yacc.c  */
#line 8488 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1371:

/* Line 1806 of yacc.c  */
#line 8495 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1372:

/* Line 1806 of yacc.c  */
#line 8499 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1373:

/* Line 1806 of yacc.c  */
#line 8506 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1374:

/* Line 1806 of yacc.c  */
#line 8514 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1375:

/* Line 1806 of yacc.c  */
#line 8518 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1376:

/* Line 1806 of yacc.c  */
#line 8526 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1377:

/* Line 1806 of yacc.c  */
#line 8530 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1378:

/* Line 1806 of yacc.c  */
#line 8538 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1379:

/* Line 1806 of yacc.c  */
#line 8542 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1380:

/* Line 1806 of yacc.c  */
#line 8546 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1381:

/* Line 1806 of yacc.c  */
#line 8550 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1382:

/* Line 1806 of yacc.c  */
#line 8558 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1383:

/* Line 1806 of yacc.c  */
#line 8562 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1384:

/* Line 1806 of yacc.c  */
#line 8569 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1385:

/* Line 1806 of yacc.c  */
#line 8573 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[(2) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str));
	}
    break;

  case 1386:

/* Line 1806 of yacc.c  */
#line 8578 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("only"));
}
    break;

  case 1387:

/* Line 1806 of yacc.c  */
#line 8586 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1388:

/* Line 1806 of yacc.c  */
#line 8590 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1389:

/* Line 1806 of yacc.c  */
#line 8598 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1390:

/* Line 1806 of yacc.c  */
#line 8602 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1391:

/* Line 1806 of yacc.c  */
#line 8610 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1392:

/* Line 1806 of yacc.c  */
#line 8618 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1393:

/* Line 1806 of yacc.c  */
#line 8622 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1394:

/* Line 1806 of yacc.c  */
#line 8626 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1395:

/* Line 1806 of yacc.c  */
#line 8633 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1396:

/* Line 1806 of yacc.c  */
#line 8641 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 1397:

/* Line 1806 of yacc.c  */
#line 8645 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
}
    break;

  case 1398:

/* Line 1806 of yacc.c  */
#line 8653 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
}
    break;

  case 1399:

/* Line 1806 of yacc.c  */
#line 8657 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
}
    break;

  case 1400:

/* Line 1806 of yacc.c  */
#line 8665 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1401:

/* Line 1806 of yacc.c  */
#line 8669 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1402:

/* Line 1806 of yacc.c  */
#line 8676 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1403:

/* Line 1806 of yacc.c  */
#line 8680 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1404:

/* Line 1806 of yacc.c  */
#line 8687 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1405:

/* Line 1806 of yacc.c  */
#line 8691 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for read only");
}
    break;

  case 1406:

/* Line 1806 of yacc.c  */
#line 8699 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1407:

/* Line 1806 of yacc.c  */
#line 8703 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1408:

/* Line 1806 of yacc.c  */
#line 8710 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1409:

/* Line 1806 of yacc.c  */
#line 8714 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1410:

/* Line 1806 of yacc.c  */
#line 8722 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for update"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1411:

/* Line 1806 of yacc.c  */
#line 8726 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for share"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1412:

/* Line 1806 of yacc.c  */
#line 8734 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1413:

/* Line 1806 of yacc.c  */
#line 8738 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1414:

/* Line 1806 of yacc.c  */
#line 8745 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1415:

/* Line 1806 of yacc.c  */
#line 8749 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1416:

/* Line 1806 of yacc.c  */
#line 8757 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1417:

/* Line 1806 of yacc.c  */
#line 8761 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1418:

/* Line 1806 of yacc.c  */
#line 8768 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1419:

/* Line 1806 of yacc.c  */
#line 8772 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1420:

/* Line 1806 of yacc.c  */
#line 8780 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1421:

/* Line 1806 of yacc.c  */
#line 8784 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1422:

/* Line 1806 of yacc.c  */
#line 8788 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1423:

/* Line 1806 of yacc.c  */
#line 8792 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1424:

/* Line 1806 of yacc.c  */
#line 8796 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("as ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1425:

/* Line 1806 of yacc.c  */
#line 8800 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("as"),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1426:

/* Line 1806 of yacc.c  */
#line 8804 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1427:

/* Line 1806 of yacc.c  */
#line 8808 "preproc.y"
    { 
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1428:

/* Line 1806 of yacc.c  */
#line 8814 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1429:

/* Line 1806 of yacc.c  */
#line 8818 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1430:

/* Line 1806 of yacc.c  */
#line 8822 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1431:

/* Line 1806 of yacc.c  */
#line 8830 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1432:

/* Line 1806 of yacc.c  */
#line 8834 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("cross join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1433:

/* Line 1806 of yacc.c  */
#line 8838 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1434:

/* Line 1806 of yacc.c  */
#line 8842 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1435:

/* Line 1806 of yacc.c  */
#line 8846 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("natural"),(yyvsp[(3) - (5)].str),mm_strdup("join"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1436:

/* Line 1806 of yacc.c  */
#line 8850 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("natural join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1437:

/* Line 1806 of yacc.c  */
#line 8858 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1438:

/* Line 1806 of yacc.c  */
#line 8862 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1439:

/* Line 1806 of yacc.c  */
#line 8866 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1440:

/* Line 1806 of yacc.c  */
#line 8870 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1441:

/* Line 1806 of yacc.c  */
#line 8878 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1442:

/* Line 1806 of yacc.c  */
#line 8882 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1443:

/* Line 1806 of yacc.c  */
#line 8886 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1444:

/* Line 1806 of yacc.c  */
#line 8890 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
}
    break;

  case 1445:

/* Line 1806 of yacc.c  */
#line 8898 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
}
    break;

  case 1446:

/* Line 1806 of yacc.c  */
#line 8902 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1447:

/* Line 1806 of yacc.c  */
#line 8909 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1448:

/* Line 1806 of yacc.c  */
#line 8913 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1449:

/* Line 1806 of yacc.c  */
#line 8921 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1450:

/* Line 1806 of yacc.c  */
#line 8925 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("*"));
}
    break;

  case 1451:

/* Line 1806 of yacc.c  */
#line 8929 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1452:

/* Line 1806 of yacc.c  */
#line 8933 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1453:

/* Line 1806 of yacc.c  */
#line 8941 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1454:

/* Line 1806 of yacc.c  */
#line 8945 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1455:

/* Line 1806 of yacc.c  */
#line 8953 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1456:

/* Line 1806 of yacc.c  */
#line 8957 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1457:

/* Line 1806 of yacc.c  */
#line 8961 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1458:

/* Line 1806 of yacc.c  */
#line 8969 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1459:

/* Line 1806 of yacc.c  */
#line 8977 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1460:

/* Line 1806 of yacc.c  */
#line 8981 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1461:

/* Line 1806 of yacc.c  */
#line 8988 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1462:

/* Line 1806 of yacc.c  */
#line 8992 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
    break;

  case 1463:

/* Line 1806 of yacc.c  */
#line 8997 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1464:

/* Line 1806 of yacc.c  */
#line 9004 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1465:

/* Line 1806 of yacc.c  */
#line 9008 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1466:

/* Line 1806 of yacc.c  */
#line 9015 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1467:

/* Line 1806 of yacc.c  */
#line 9019 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1468:

/* Line 1806 of yacc.c  */
#line 9027 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1469:

/* Line 1806 of yacc.c  */
#line 9035 "preproc.y"
    {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); }
    break;

  case 1470:

/* Line 1806 of yacc.c  */
#line 9037 "preproc.y"
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); }
    break;

  case 1471:

/* Line 1806 of yacc.c  */
#line 9039 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("array ["),(yyvsp[(4) - (5)].str),mm_strdup("]"));
}
    break;

  case 1472:

/* Line 1806 of yacc.c  */
#line 9043 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[(2) - (6)].str),mm_strdup("array ["),(yyvsp[(5) - (6)].str),mm_strdup("]"));
}
    break;

  case 1473:

/* Line 1806 of yacc.c  */
#line 9047 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("array"));
}
    break;

  case 1474:

/* Line 1806 of yacc.c  */
#line 9051 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[(2) - (3)].str),mm_strdup("array"));
}
    break;

  case 1475:

/* Line 1806 of yacc.c  */
#line 9059 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[(1) - (3)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[(1) - (3)].index).str, mm_strdup("[]"));
	}
    break;

  case 1476:

/* Line 1806 of yacc.c  */
#line 9069 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
		if (strcmp((yyvsp[(1) - (4)].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[(3) - (4)].str));
		else if (strcmp((yyvsp[(1) - (4)].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[(3) - (4)].str));
		(yyval.index).str = cat_str(4, (yyvsp[(1) - (4)].index).str, mm_strdup("["), (yyvsp[(3) - (4)].str), mm_strdup("]"));
	}
    break;

  case 1477:

/* Line 1806 of yacc.c  */
#line 9079 "preproc.y"
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
    break;

  case 1478:

/* Line 1806 of yacc.c  */
#line 9089 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1479:

/* Line 1806 of yacc.c  */
#line 9093 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1480:

/* Line 1806 of yacc.c  */
#line 9097 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1481:

/* Line 1806 of yacc.c  */
#line 9101 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1482:

/* Line 1806 of yacc.c  */
#line 9105 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1483:

/* Line 1806 of yacc.c  */
#line 9109 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1484:

/* Line 1806 of yacc.c  */
#line 9113 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1485:

/* Line 1806 of yacc.c  */
#line 9121 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1486:

/* Line 1806 of yacc.c  */
#line 9125 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1487:

/* Line 1806 of yacc.c  */
#line 9129 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1488:

/* Line 1806 of yacc.c  */
#line 9133 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1489:

/* Line 1806 of yacc.c  */
#line 9141 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1490:

/* Line 1806 of yacc.c  */
#line 9145 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1491:

/* Line 1806 of yacc.c  */
#line 9153 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1492:

/* Line 1806 of yacc.c  */
#line 9157 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1493:

/* Line 1806 of yacc.c  */
#line 9164 "preproc.y"
    { 
 (yyval.str) = mm_strdup("int");
}
    break;

  case 1494:

/* Line 1806 of yacc.c  */
#line 9168 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
}
    break;

  case 1495:

/* Line 1806 of yacc.c  */
#line 9172 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
}
    break;

  case 1496:

/* Line 1806 of yacc.c  */
#line 9176 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
}
    break;

  case 1497:

/* Line 1806 of yacc.c  */
#line 9180 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
}
    break;

  case 1498:

/* Line 1806 of yacc.c  */
#line 9184 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1499:

/* Line 1806 of yacc.c  */
#line 9188 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double precision");
}
    break;

  case 1500:

/* Line 1806 of yacc.c  */
#line 9192 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1501:

/* Line 1806 of yacc.c  */
#line 9196 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1502:

/* Line 1806 of yacc.c  */
#line 9200 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1503:

/* Line 1806 of yacc.c  */
#line 9204 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
}
    break;

  case 1504:

/* Line 1806 of yacc.c  */
#line 9212 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1505:

/* Line 1806 of yacc.c  */
#line 9216 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1506:

/* Line 1806 of yacc.c  */
#line 9223 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1507:

/* Line 1806 of yacc.c  */
#line 9227 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1508:

/* Line 1806 of yacc.c  */
#line 9235 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1509:

/* Line 1806 of yacc.c  */
#line 9239 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1510:

/* Line 1806 of yacc.c  */
#line 9247 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1511:

/* Line 1806 of yacc.c  */
#line 9255 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1512:

/* Line 1806 of yacc.c  */
#line 9263 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1513:

/* Line 1806 of yacc.c  */
#line 9267 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1514:

/* Line 1806 of yacc.c  */
#line 9275 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1515:

/* Line 1806 of yacc.c  */
#line 9279 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1516:

/* Line 1806 of yacc.c  */
#line 9287 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1517:

/* Line 1806 of yacc.c  */
#line 9295 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1518:

/* Line 1806 of yacc.c  */
#line 9303 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1519:

/* Line 1806 of yacc.c  */
#line 9307 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1520:

/* Line 1806 of yacc.c  */
#line 9311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
}
    break;

  case 1521:

/* Line 1806 of yacc.c  */
#line 9315 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1522:

/* Line 1806 of yacc.c  */
#line 9319 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1523:

/* Line 1806 of yacc.c  */
#line 9323 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1524:

/* Line 1806 of yacc.c  */
#line 9331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
}
    break;

  case 1525:

/* Line 1806 of yacc.c  */
#line 9335 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1526:

/* Line 1806 of yacc.c  */
#line 9342 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1527:

/* Line 1806 of yacc.c  */
#line 9346 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1528:

/* Line 1806 of yacc.c  */
#line 9353 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1529:

/* Line 1806 of yacc.c  */
#line 9357 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1530:

/* Line 1806 of yacc.c  */
#line 9361 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1531:

/* Line 1806 of yacc.c  */
#line 9365 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1532:

/* Line 1806 of yacc.c  */
#line 9373 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
}
    break;

  case 1533:

/* Line 1806 of yacc.c  */
#line 9381 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with time zone");
}
    break;

  case 1534:

/* Line 1806 of yacc.c  */
#line 9385 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without time zone");
}
    break;

  case 1535:

/* Line 1806 of yacc.c  */
#line 9389 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1536:

/* Line 1806 of yacc.c  */
#line 9396 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
}
    break;

  case 1537:

/* Line 1806 of yacc.c  */
#line 9400 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
}
    break;

  case 1538:

/* Line 1806 of yacc.c  */
#line 9404 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
}
    break;

  case 1539:

/* Line 1806 of yacc.c  */
#line 9408 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
}
    break;

  case 1540:

/* Line 1806 of yacc.c  */
#line 9412 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
}
    break;

  case 1541:

/* Line 1806 of yacc.c  */
#line 9416 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1542:

/* Line 1806 of yacc.c  */
#line 9420 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year to month");
}
    break;

  case 1543:

/* Line 1806 of yacc.c  */
#line 9424 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to hour");
}
    break;

  case 1544:

/* Line 1806 of yacc.c  */
#line 9428 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to minute");
}
    break;

  case 1545:

/* Line 1806 of yacc.c  */
#line 9432 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1546:

/* Line 1806 of yacc.c  */
#line 9436 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
    break;

  case 1547:

/* Line 1806 of yacc.c  */
#line 9440 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1548:

/* Line 1806 of yacc.c  */
#line 9444 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1549:

/* Line 1806 of yacc.c  */
#line 9448 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1550:

/* Line 1806 of yacc.c  */
#line 9455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
}
    break;

  case 1551:

/* Line 1806 of yacc.c  */
#line 9459 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1552:

/* Line 1806 of yacc.c  */
#line 9467 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1553:

/* Line 1806 of yacc.c  */
#line 9471 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1554:

/* Line 1806 of yacc.c  */
#line 9475 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("collate"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1555:

/* Line 1806 of yacc.c  */
#line 9479 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("at time zone"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1556:

/* Line 1806 of yacc.c  */
#line 9483 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1557:

/* Line 1806 of yacc.c  */
#line 9487 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1558:

/* Line 1806 of yacc.c  */
#line 9491 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1559:

/* Line 1806 of yacc.c  */
#line 9495 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1560:

/* Line 1806 of yacc.c  */
#line 9499 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1561:

/* Line 1806 of yacc.c  */
#line 9503 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1562:

/* Line 1806 of yacc.c  */
#line 9507 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1563:

/* Line 1806 of yacc.c  */
#line 9511 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1564:

/* Line 1806 of yacc.c  */
#line 9515 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1565:

/* Line 1806 of yacc.c  */
#line 9519 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1566:

/* Line 1806 of yacc.c  */
#line 9523 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1567:

/* Line 1806 of yacc.c  */
#line 9527 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1568:

/* Line 1806 of yacc.c  */
#line 9531 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1569:

/* Line 1806 of yacc.c  */
#line 9535 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1570:

/* Line 1806 of yacc.c  */
#line 9539 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1571:

/* Line 1806 of yacc.c  */
#line 9543 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1572:

/* Line 1806 of yacc.c  */
#line 9547 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1573:

/* Line 1806 of yacc.c  */
#line 9551 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("like"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1574:

/* Line 1806 of yacc.c  */
#line 9555 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("like"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1575:

/* Line 1806 of yacc.c  */
#line 9559 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not like"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1576:

/* Line 1806 of yacc.c  */
#line 9563 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not like"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1577:

/* Line 1806 of yacc.c  */
#line 9567 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("ilike"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1578:

/* Line 1806 of yacc.c  */
#line 9571 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("ilike"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1579:

/* Line 1806 of yacc.c  */
#line 9575 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not ilike"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1580:

/* Line 1806 of yacc.c  */
#line 9579 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not ilike"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1581:

/* Line 1806 of yacc.c  */
#line 9583 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("similar to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1582:

/* Line 1806 of yacc.c  */
#line 9587 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("similar to"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1583:

/* Line 1806 of yacc.c  */
#line 9591 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("not similar to"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1584:

/* Line 1806 of yacc.c  */
#line 9595 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not similar to"),(yyvsp[(5) - (7)].str),mm_strdup("escape"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1585:

/* Line 1806 of yacc.c  */
#line 9599 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is null"));
}
    break;

  case 1586:

/* Line 1806 of yacc.c  */
#line 9603 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("isnull"));
}
    break;

  case 1587:

/* Line 1806 of yacc.c  */
#line 9607 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not null"));
}
    break;

  case 1588:

/* Line 1806 of yacc.c  */
#line 9611 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("notnull"));
}
    break;

  case 1589:

/* Line 1806 of yacc.c  */
#line 9615 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("overlaps"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1590:

/* Line 1806 of yacc.c  */
#line 9619 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is true"));
}
    break;

  case 1591:

/* Line 1806 of yacc.c  */
#line 9623 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not true"));
}
    break;

  case 1592:

/* Line 1806 of yacc.c  */
#line 9627 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is false"));
}
    break;

  case 1593:

/* Line 1806 of yacc.c  */
#line 9631 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not false"));
}
    break;

  case 1594:

/* Line 1806 of yacc.c  */
#line 9635 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is unknown"));
}
    break;

  case 1595:

/* Line 1806 of yacc.c  */
#line 9639 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not unknown"));
}
    break;

  case 1596:

/* Line 1806 of yacc.c  */
#line 9643 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1597:

/* Line 1806 of yacc.c  */
#line 9647 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1598:

/* Line 1806 of yacc.c  */
#line 9651 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1599:

/* Line 1806 of yacc.c  */
#line 9655 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1600:

/* Line 1806 of yacc.c  */
#line 9659 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1601:

/* Line 1806 of yacc.c  */
#line 9663 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1602:

/* Line 1806 of yacc.c  */
#line 9667 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("between symmetric"),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1603:

/* Line 1806 of yacc.c  */
#line 9671 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not between symmetric"),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1604:

/* Line 1806 of yacc.c  */
#line 9675 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1605:

/* Line 1806 of yacc.c  */
#line 9679 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not in"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1606:

/* Line 1806 of yacc.c  */
#line 9683 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1607:

/* Line 1806 of yacc.c  */
#line 9687 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1608:

/* Line 1806 of yacc.c  */
#line 9691 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1609:

/* Line 1806 of yacc.c  */
#line 9696 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
}
    break;

  case 1610:

/* Line 1806 of yacc.c  */
#line 9700 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
}
    break;

  case 1611:

/* Line 1806 of yacc.c  */
#line 9708 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1612:

/* Line 1806 of yacc.c  */
#line 9712 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1613:

/* Line 1806 of yacc.c  */
#line 9716 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1614:

/* Line 1806 of yacc.c  */
#line 9720 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1615:

/* Line 1806 of yacc.c  */
#line 9724 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1616:

/* Line 1806 of yacc.c  */
#line 9728 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1617:

/* Line 1806 of yacc.c  */
#line 9732 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1618:

/* Line 1806 of yacc.c  */
#line 9736 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1619:

/* Line 1806 of yacc.c  */
#line 9740 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1620:

/* Line 1806 of yacc.c  */
#line 9744 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1621:

/* Line 1806 of yacc.c  */
#line 9748 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1622:

/* Line 1806 of yacc.c  */
#line 9752 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1623:

/* Line 1806 of yacc.c  */
#line 9756 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1624:

/* Line 1806 of yacc.c  */
#line 9760 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1625:

/* Line 1806 of yacc.c  */
#line 9764 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1626:

/* Line 1806 of yacc.c  */
#line 9768 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1627:

/* Line 1806 of yacc.c  */
#line 9772 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1628:

/* Line 1806 of yacc.c  */
#line 9776 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1629:

/* Line 1806 of yacc.c  */
#line 9780 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1630:

/* Line 1806 of yacc.c  */
#line 9784 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1631:

/* Line 1806 of yacc.c  */
#line 9788 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
}
    break;

  case 1632:

/* Line 1806 of yacc.c  */
#line 9792 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
}
    break;

  case 1633:

/* Line 1806 of yacc.c  */
#line 9800 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1634:

/* Line 1806 of yacc.c  */
#line 9804 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1635:

/* Line 1806 of yacc.c  */
#line 9808 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1636:

/* Line 1806 of yacc.c  */
#line 9812 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1637:

/* Line 1806 of yacc.c  */
#line 9816 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1638:

/* Line 1806 of yacc.c  */
#line 9820 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1639:

/* Line 1806 of yacc.c  */
#line 9824 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1640:

/* Line 1806 of yacc.c  */
#line 9828 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1641:

/* Line 1806 of yacc.c  */
#line 9832 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1642:

/* Line 1806 of yacc.c  */
#line 9836 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1643:

/* Line 1806 of yacc.c  */
#line 9840 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1644:

/* Line 1806 of yacc.c  */
#line 9844 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1645:

/* Line 1806 of yacc.c  */
#line 9852 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("( )"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1646:

/* Line 1806 of yacc.c  */
#line 9856 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1647:

/* Line 1806 of yacc.c  */
#line 9860 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( variadic"),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1648:

/* Line 1806 of yacc.c  */
#line 9864 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),mm_strdup("("),(yyvsp[(3) - (8)].str),mm_strdup(", variadic"),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1649:

/* Line 1806 of yacc.c  */
#line 9868 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1650:

/* Line 1806 of yacc.c  */
#line 9872 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( all"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1651:

/* Line 1806 of yacc.c  */
#line 9876 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( distinct"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1652:

/* Line 1806 of yacc.c  */
#line 9880 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("( * )"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1653:

/* Line 1806 of yacc.c  */
#line 9884 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1654:

/* Line 1806 of yacc.c  */
#line 9888 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
}
    break;

  case 1655:

/* Line 1806 of yacc.c  */
#line 9892 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
}
    break;

  case 1656:

/* Line 1806 of yacc.c  */
#line 9896 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1657:

/* Line 1806 of yacc.c  */
#line 9900 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
    break;

  case 1658:

/* Line 1806 of yacc.c  */
#line 9904 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1659:

/* Line 1806 of yacc.c  */
#line 9908 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
}
    break;

  case 1660:

/* Line 1806 of yacc.c  */
#line 9912 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1661:

/* Line 1806 of yacc.c  */
#line 9916 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
    break;

  case 1662:

/* Line 1806 of yacc.c  */
#line 9920 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1663:

/* Line 1806 of yacc.c  */
#line 9924 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
}
    break;

  case 1664:

/* Line 1806 of yacc.c  */
#line 9928 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 1665:

/* Line 1806 of yacc.c  */
#line 9932 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
}
    break;

  case 1666:

/* Line 1806 of yacc.c  */
#line 9936 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 1667:

/* Line 1806 of yacc.c  */
#line 9940 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
    break;

  case 1668:

/* Line 1806 of yacc.c  */
#line 9944 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
}
    break;

  case 1669:

/* Line 1806 of yacc.c  */
#line 9948 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1670:

/* Line 1806 of yacc.c  */
#line 9952 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1671:

/* Line 1806 of yacc.c  */
#line 9956 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1672:

/* Line 1806 of yacc.c  */
#line 9960 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1673:

/* Line 1806 of yacc.c  */
#line 9964 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1674:

/* Line 1806 of yacc.c  */
#line 9968 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1675:

/* Line 1806 of yacc.c  */
#line 9972 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1676:

/* Line 1806 of yacc.c  */
#line 9976 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1677:

/* Line 1806 of yacc.c  */
#line 9980 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1678:

/* Line 1806 of yacc.c  */
#line 9984 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1679:

/* Line 1806 of yacc.c  */
#line 9988 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[(3) - (6)].str),mm_strdup(","),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1680:

/* Line 1806 of yacc.c  */
#line 9992 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1681:

/* Line 1806 of yacc.c  */
#line 9996 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1682:

/* Line 1806 of yacc.c  */
#line 10000 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1683:

/* Line 1806 of yacc.c  */
#line 10004 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1684:

/* Line 1806 of yacc.c  */
#line 10008 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1685:

/* Line 1806 of yacc.c  */
#line 10012 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1686:

/* Line 1806 of yacc.c  */
#line 10016 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1687:

/* Line 1806 of yacc.c  */
#line 10020 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (9)].str),mm_strdup(","),(yyvsp[(6) - (9)].str),mm_strdup(","),(yyvsp[(8) - (9)].str),mm_strdup(")"));
}
    break;

  case 1688:

/* Line 1806 of yacc.c  */
#line 10024 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1689:

/* Line 1806 of yacc.c  */
#line 10028 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1690:

/* Line 1806 of yacc.c  */
#line 10032 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1691:

/* Line 1806 of yacc.c  */
#line 10036 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1692:

/* Line 1806 of yacc.c  */
#line 10040 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1693:

/* Line 1806 of yacc.c  */
#line 10044 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[(3) - (7)].str),mm_strdup(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1694:

/* Line 1806 of yacc.c  */
#line 10048 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("as"),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1695:

/* Line 1806 of yacc.c  */
#line 10056 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1696:

/* Line 1806 of yacc.c  */
#line 10060 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version no value");
}
    break;

  case 1697:

/* Line 1806 of yacc.c  */
#line 10068 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
    break;

  case 1698:

/* Line 1806 of yacc.c  */
#line 10072 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
    break;

  case 1699:

/* Line 1806 of yacc.c  */
#line 10076 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
    break;

  case 1700:

/* Line 1806 of yacc.c  */
#line 10080 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1701:

/* Line 1806 of yacc.c  */
#line 10087 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1702:

/* Line 1806 of yacc.c  */
#line 10095 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1703:

/* Line 1806 of yacc.c  */
#line 10099 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1704:

/* Line 1806 of yacc.c  */
#line 10107 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1705:

/* Line 1806 of yacc.c  */
#line 10111 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1706:

/* Line 1806 of yacc.c  */
#line 10119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
}
    break;

  case 1707:

/* Line 1806 of yacc.c  */
#line 10123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
}
    break;

  case 1708:

/* Line 1806 of yacc.c  */
#line 10131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
    break;

  case 1709:

/* Line 1806 of yacc.c  */
#line 10135 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
    break;

  case 1710:

/* Line 1806 of yacc.c  */
#line 10139 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1711:

/* Line 1806 of yacc.c  */
#line 10146 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1712:

/* Line 1806 of yacc.c  */
#line 10150 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[(2) - (4)].str),mm_strdup("by ref"));
}
    break;

  case 1713:

/* Line 1806 of yacc.c  */
#line 10154 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1714:

/* Line 1806 of yacc.c  */
#line 10158 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[(4) - (6)].str),mm_strdup("by ref"));
}
    break;

  case 1715:

/* Line 1806 of yacc.c  */
#line 10166 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1716:

/* Line 1806 of yacc.c  */
#line 10170 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1717:

/* Line 1806 of yacc.c  */
#line 10177 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1718:

/* Line 1806 of yacc.c  */
#line 10181 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1719:

/* Line 1806 of yacc.c  */
#line 10189 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1720:

/* Line 1806 of yacc.c  */
#line 10197 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1721:

/* Line 1806 of yacc.c  */
#line 10201 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1722:

/* Line 1806 of yacc.c  */
#line 10205 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1723:

/* Line 1806 of yacc.c  */
#line 10212 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1724:

/* Line 1806 of yacc.c  */
#line 10220 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1725:

/* Line 1806 of yacc.c  */
#line 10224 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1726:

/* Line 1806 of yacc.c  */
#line 10231 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1727:

/* Line 1806 of yacc.c  */
#line 10235 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1728:

/* Line 1806 of yacc.c  */
#line 10242 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1729:

/* Line 1806 of yacc.c  */
#line 10247 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1730:

/* Line 1806 of yacc.c  */
#line 10251 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1731:

/* Line 1806 of yacc.c  */
#line 10258 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1732:

/* Line 1806 of yacc.c  */
#line 10262 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[(2) - (4)].str),mm_strdup("and"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1733:

/* Line 1806 of yacc.c  */
#line 10270 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
    break;

  case 1734:

/* Line 1806 of yacc.c  */
#line 10274 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
    break;

  case 1735:

/* Line 1806 of yacc.c  */
#line 10278 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current row");
}
    break;

  case 1736:

/* Line 1806 of yacc.c  */
#line 10282 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("preceding"));
}
    break;

  case 1737:

/* Line 1806 of yacc.c  */
#line 10286 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("following"));
}
    break;

  case 1738:

/* Line 1806 of yacc.c  */
#line 10294 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1739:

/* Line 1806 of yacc.c  */
#line 10298 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row ( )");
}
    break;

  case 1740:

/* Line 1806 of yacc.c  */
#line 10302 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1741:

/* Line 1806 of yacc.c  */
#line 10310 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
}
    break;

  case 1742:

/* Line 1806 of yacc.c  */
#line 10314 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
}
    break;

  case 1743:

/* Line 1806 of yacc.c  */
#line 10318 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1744:

/* Line 1806 of yacc.c  */
#line 10326 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1745:

/* Line 1806 of yacc.c  */
#line 10330 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1746:

/* Line 1806 of yacc.c  */
#line 10338 "preproc.y"
    { 
 (yyval.str) = mm_strdup("+");
}
    break;

  case 1747:

/* Line 1806 of yacc.c  */
#line 10342 "preproc.y"
    { 
 (yyval.str) = mm_strdup("-");
}
    break;

  case 1748:

/* Line 1806 of yacc.c  */
#line 10346 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 1749:

/* Line 1806 of yacc.c  */
#line 10350 "preproc.y"
    { 
 (yyval.str) = mm_strdup("/");
}
    break;

  case 1750:

/* Line 1806 of yacc.c  */
#line 10354 "preproc.y"
    { 
 (yyval.str) = mm_strdup("%");
}
    break;

  case 1751:

/* Line 1806 of yacc.c  */
#line 10358 "preproc.y"
    { 
 (yyval.str) = mm_strdup("^");
}
    break;

  case 1752:

/* Line 1806 of yacc.c  */
#line 10362 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<");
}
    break;

  case 1753:

/* Line 1806 of yacc.c  */
#line 10366 "preproc.y"
    { 
 (yyval.str) = mm_strdup(">");
}
    break;

  case 1754:

/* Line 1806 of yacc.c  */
#line 10370 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
}
    break;

  case 1755:

/* Line 1806 of yacc.c  */
#line 10378 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1756:

/* Line 1806 of yacc.c  */
#line 10382 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1757:

/* Line 1806 of yacc.c  */
#line 10390 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1758:

/* Line 1806 of yacc.c  */
#line 10394 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1759:

/* Line 1806 of yacc.c  */
#line 10402 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1760:

/* Line 1806 of yacc.c  */
#line 10406 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1761:

/* Line 1806 of yacc.c  */
#line 10410 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
}
    break;

  case 1762:

/* Line 1806 of yacc.c  */
#line 10414 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not like");
}
    break;

  case 1763:

/* Line 1806 of yacc.c  */
#line 10418 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
}
    break;

  case 1764:

/* Line 1806 of yacc.c  */
#line 10422 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not ilike");
}
    break;

  case 1765:

/* Line 1806 of yacc.c  */
#line 10430 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1766:

/* Line 1806 of yacc.c  */
#line 10434 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1767:

/* Line 1806 of yacc.c  */
#line 10442 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1768:

/* Line 1806 of yacc.c  */
#line 10446 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1769:

/* Line 1806 of yacc.c  */
#line 10454 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1770:

/* Line 1806 of yacc.c  */
#line 10458 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(":="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1771:

/* Line 1806 of yacc.c  */
#line 10466 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1772:

/* Line 1806 of yacc.c  */
#line 10470 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1773:

/* Line 1806 of yacc.c  */
#line 10478 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1774:

/* Line 1806 of yacc.c  */
#line 10482 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1775:

/* Line 1806 of yacc.c  */
#line 10486 "preproc.y"
    { 
 (yyval.str) = mm_strdup("[ ]");
}
    break;

  case 1776:

/* Line 1806 of yacc.c  */
#line 10494 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1777:

/* Line 1806 of yacc.c  */
#line 10498 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1778:

/* Line 1806 of yacc.c  */
#line 10506 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1779:

/* Line 1806 of yacc.c  */
#line 10510 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1780:

/* Line 1806 of yacc.c  */
#line 10517 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1781:

/* Line 1806 of yacc.c  */
#line 10521 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
}
    break;

  case 1782:

/* Line 1806 of yacc.c  */
#line 10525 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
}
    break;

  case 1783:

/* Line 1806 of yacc.c  */
#line 10529 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
}
    break;

  case 1784:

/* Line 1806 of yacc.c  */
#line 10533 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
}
    break;

  case 1785:

/* Line 1806 of yacc.c  */
#line 10537 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
}
    break;

  case 1786:

/* Line 1806 of yacc.c  */
#line 10541 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
}
    break;

  case 1787:

/* Line 1806 of yacc.c  */
#line 10545 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1788:

/* Line 1806 of yacc.c  */
#line 10553 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1789:

/* Line 1806 of yacc.c  */
#line 10557 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1790:

/* Line 1806 of yacc.c  */
#line 10565 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1791:

/* Line 1806 of yacc.c  */
#line 10573 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1792:

/* Line 1806 of yacc.c  */
#line 10577 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1793:

/* Line 1806 of yacc.c  */
#line 10584 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1794:

/* Line 1806 of yacc.c  */
#line 10588 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1795:

/* Line 1806 of yacc.c  */
#line 10592 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1796:

/* Line 1806 of yacc.c  */
#line 10596 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1797:

/* Line 1806 of yacc.c  */
#line 10600 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1798:

/* Line 1806 of yacc.c  */
#line 10604 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1799:

/* Line 1806 of yacc.c  */
#line 10611 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1800:

/* Line 1806 of yacc.c  */
#line 10619 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1801:

/* Line 1806 of yacc.c  */
#line 10627 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1802:

/* Line 1806 of yacc.c  */
#line 10631 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1803:

/* Line 1806 of yacc.c  */
#line 10635 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1804:

/* Line 1806 of yacc.c  */
#line 10643 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1805:

/* Line 1806 of yacc.c  */
#line 10647 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1806:

/* Line 1806 of yacc.c  */
#line 10655 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("end"));
}
    break;

  case 1807:

/* Line 1806 of yacc.c  */
#line 10663 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1808:

/* Line 1806 of yacc.c  */
#line 10667 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1809:

/* Line 1806 of yacc.c  */
#line 10675 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[(2) - (4)].str),mm_strdup("then"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1810:

/* Line 1806 of yacc.c  */
#line 10683 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1811:

/* Line 1806 of yacc.c  */
#line 10687 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1812:

/* Line 1806 of yacc.c  */
#line 10694 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1813:

/* Line 1806 of yacc.c  */
#line 10698 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1814:

/* Line 1806 of yacc.c  */
#line 10705 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1815:

/* Line 1806 of yacc.c  */
#line 10709 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1816:

/* Line 1806 of yacc.c  */
#line 10717 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 1817:

/* Line 1806 of yacc.c  */
#line 10721 "preproc.y"
    { 
 (yyval.str) = mm_strdup(". *");
}
    break;

  case 1818:

/* Line 1806 of yacc.c  */
#line 10725 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1819:

/* Line 1806 of yacc.c  */
#line 10729 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[(2) - (5)].str),mm_strdup(":"),(yyvsp[(4) - (5)].str),mm_strdup("]"));
}
    break;

  case 1820:

/* Line 1806 of yacc.c  */
#line 10737 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1821:

/* Line 1806 of yacc.c  */
#line 10741 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1822:

/* Line 1806 of yacc.c  */
#line 10749 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1823:

/* Line 1806 of yacc.c  */
#line 10752 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1824:

/* Line 1806 of yacc.c  */
#line 10760 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
    break;

  case 1825:

/* Line 1806 of yacc.c  */
#line 10764 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1826:

/* Line 1806 of yacc.c  */
#line 10771 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1827:

/* Line 1806 of yacc.c  */
#line 10775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 1828:

/* Line 1806 of yacc.c  */
#line 10783 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1829:

/* Line 1806 of yacc.c  */
#line 10787 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1830:

/* Line 1806 of yacc.c  */
#line 10795 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1831:

/* Line 1806 of yacc.c  */
#line 10803 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1832:

/* Line 1806 of yacc.c  */
#line 10807 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1833:

/* Line 1806 of yacc.c  */
#line 10815 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1834:

/* Line 1806 of yacc.c  */
#line 10819 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1835:

/* Line 1806 of yacc.c  */
#line 10823 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1836:

/* Line 1806 of yacc.c  */
#line 10827 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 1837:

/* Line 1806 of yacc.c  */
#line 10835 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1838:

/* Line 1806 of yacc.c  */
#line 10839 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1839:

/* Line 1806 of yacc.c  */
#line 10847 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1840:

/* Line 1806 of yacc.c  */
#line 10851 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1841:

/* Line 1806 of yacc.c  */
#line 10859 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1842:

/* Line 1806 of yacc.c  */
#line 10863 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1843:

/* Line 1806 of yacc.c  */
#line 10871 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1844:

/* Line 1806 of yacc.c  */
#line 10879 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1845:

/* Line 1806 of yacc.c  */
#line 10887 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1846:

/* Line 1806 of yacc.c  */
#line 10895 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1847:

/* Line 1806 of yacc.c  */
#line 10903 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1848:

/* Line 1806 of yacc.c  */
#line 10911 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1849:

/* Line 1806 of yacc.c  */
#line 10919 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1850:

/* Line 1806 of yacc.c  */
#line 10923 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1851:

/* Line 1806 of yacc.c  */
#line 10931 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1852:

/* Line 1806 of yacc.c  */
#line 10935 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1853:

/* Line 1806 of yacc.c  */
#line 10939 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1854:

/* Line 1806 of yacc.c  */
#line 10943 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1855:

/* Line 1806 of yacc.c  */
#line 10947 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xconst");
}
    break;

  case 1856:

/* Line 1806 of yacc.c  */
#line 10951 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1857:

/* Line 1806 of yacc.c  */
#line 10955 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1858:

/* Line 1806 of yacc.c  */
#line 10959 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1859:

/* Line 1806 of yacc.c  */
#line 10963 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1860:

/* Line 1806 of yacc.c  */
#line 10967 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1861:

/* Line 1806 of yacc.c  */
#line 10971 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 1862:

/* Line 1806 of yacc.c  */
#line 10975 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 1863:

/* Line 1806 of yacc.c  */
#line 10979 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 1864:

/* Line 1806 of yacc.c  */
#line 10982 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1865:

/* Line 1806 of yacc.c  */
#line 10983 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1866:

/* Line 1806 of yacc.c  */
#line 10989 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 1867:

/* Line 1806 of yacc.c  */
#line 10995 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1868:

/* Line 1806 of yacc.c  */
#line 11003 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1869:

/* Line 1806 of yacc.c  */
#line 11006 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1870:

/* Line 1806 of yacc.c  */
#line 11008 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1871:

/* Line 1806 of yacc.c  */
#line 11012 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1872:

/* Line 1806 of yacc.c  */
#line 11020 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1873:

/* Line 1806 of yacc.c  */
#line 11024 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1874:

/* Line 1806 of yacc.c  */
#line 11028 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1875:

/* Line 1806 of yacc.c  */
#line 11032 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1876:

/* Line 1806 of yacc.c  */
#line 11040 "preproc.y"
    { 
 (yyval.str) = mm_strdup("abort");
}
    break;

  case 1877:

/* Line 1806 of yacc.c  */
#line 11044 "preproc.y"
    { 
 (yyval.str) = mm_strdup("absolute");
}
    break;

  case 1878:

/* Line 1806 of yacc.c  */
#line 11048 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access");
}
    break;

  case 1879:

/* Line 1806 of yacc.c  */
#line 11052 "preproc.y"
    { 
 (yyval.str) = mm_strdup("action");
}
    break;

  case 1880:

/* Line 1806 of yacc.c  */
#line 11056 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
}
    break;

  case 1881:

/* Line 1806 of yacc.c  */
#line 11060 "preproc.y"
    { 
 (yyval.str) = mm_strdup("admin");
}
    break;

  case 1882:

/* Line 1806 of yacc.c  */
#line 11064 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
}
    break;

  case 1883:

/* Line 1806 of yacc.c  */
#line 11068 "preproc.y"
    { 
 (yyval.str) = mm_strdup("aggregate");
}
    break;

  case 1884:

/* Line 1806 of yacc.c  */
#line 11072 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
}
    break;

  case 1885:

/* Line 1806 of yacc.c  */
#line 11076 "preproc.y"
    { 
 (yyval.str) = mm_strdup("alter");
}
    break;

  case 1886:

/* Line 1806 of yacc.c  */
#line 11080 "preproc.y"
    { 
 (yyval.str) = mm_strdup("always");
}
    break;

  case 1887:

/* Line 1806 of yacc.c  */
#line 11084 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assertion");
}
    break;

  case 1888:

/* Line 1806 of yacc.c  */
#line 11088 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assignment");
}
    break;

  case 1889:

/* Line 1806 of yacc.c  */
#line 11092 "preproc.y"
    { 
 (yyval.str) = mm_strdup("at");
}
    break;

  case 1890:

/* Line 1806 of yacc.c  */
#line 11096 "preproc.y"
    { 
 (yyval.str) = mm_strdup("attribute");
}
    break;

  case 1891:

/* Line 1806 of yacc.c  */
#line 11100 "preproc.y"
    { 
 (yyval.str) = mm_strdup("backward");
}
    break;

  case 1892:

/* Line 1806 of yacc.c  */
#line 11104 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
}
    break;

  case 1893:

/* Line 1806 of yacc.c  */
#line 11108 "preproc.y"
    { 
 (yyval.str) = mm_strdup("begin");
}
    break;

  case 1894:

/* Line 1806 of yacc.c  */
#line 11112 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
}
    break;

  case 1895:

/* Line 1806 of yacc.c  */
#line 11116 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cache");
}
    break;

  case 1896:

/* Line 1806 of yacc.c  */
#line 11120 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called");
}
    break;

  case 1897:

/* Line 1806 of yacc.c  */
#line 11124 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 1898:

/* Line 1806 of yacc.c  */
#line 11128 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascaded");
}
    break;

  case 1899:

/* Line 1806 of yacc.c  */
#line 11132 "preproc.y"
    { 
 (yyval.str) = mm_strdup("catalog");
}
    break;

  case 1900:

/* Line 1806 of yacc.c  */
#line 11136 "preproc.y"
    { 
 (yyval.str) = mm_strdup("chain");
}
    break;

  case 1901:

/* Line 1806 of yacc.c  */
#line 11140 "preproc.y"
    { 
 (yyval.str) = mm_strdup("characteristics");
}
    break;

  case 1902:

/* Line 1806 of yacc.c  */
#line 11144 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
    break;

  case 1903:

/* Line 1806 of yacc.c  */
#line 11148 "preproc.y"
    { 
 (yyval.str) = mm_strdup("class");
}
    break;

  case 1904:

/* Line 1806 of yacc.c  */
#line 11152 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close");
}
    break;

  case 1905:

/* Line 1806 of yacc.c  */
#line 11156 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cluster");
}
    break;

  case 1906:

/* Line 1806 of yacc.c  */
#line 11160 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comment");
}
    break;

  case 1907:

/* Line 1806 of yacc.c  */
#line 11164 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
}
    break;

  case 1908:

/* Line 1806 of yacc.c  */
#line 11168 "preproc.y"
    { 
 (yyval.str) = mm_strdup("commit");
}
    break;

  case 1909:

/* Line 1806 of yacc.c  */
#line 11172 "preproc.y"
    { 
 (yyval.str) = mm_strdup("committed");
}
    break;

  case 1910:

/* Line 1806 of yacc.c  */
#line 11176 "preproc.y"
    { 
 (yyval.str) = mm_strdup("configuration");
}
    break;

  case 1911:

/* Line 1806 of yacc.c  */
#line 11180 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
}
    break;

  case 1912:

/* Line 1806 of yacc.c  */
#line 11184 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
}
    break;

  case 1913:

/* Line 1806 of yacc.c  */
#line 11188 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue");
}
    break;

  case 1914:

/* Line 1806 of yacc.c  */
#line 11192 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 1915:

/* Line 1806 of yacc.c  */
#line 11196 "preproc.y"
    { 
 (yyval.str) = mm_strdup("copy");
}
    break;

  case 1916:

/* Line 1806 of yacc.c  */
#line 11200 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cost");
}
    break;

  case 1917:

/* Line 1806 of yacc.c  */
#line 11204 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
}
    break;

  case 1918:

/* Line 1806 of yacc.c  */
#line 11208 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cursor");
}
    break;

  case 1919:

/* Line 1806 of yacc.c  */
#line 11212 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
}
    break;

  case 1920:

/* Line 1806 of yacc.c  */
#line 11216 "preproc.y"
    { 
 (yyval.str) = mm_strdup("data");
}
    break;

  case 1921:

/* Line 1806 of yacc.c  */
#line 11220 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 1922:

/* Line 1806 of yacc.c  */
#line 11224 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deallocate");
}
    break;

  case 1923:

/* Line 1806 of yacc.c  */
#line 11228 "preproc.y"
    { 
 (yyval.str) = mm_strdup("declare");
}
    break;

  case 1924:

/* Line 1806 of yacc.c  */
#line 11232 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
}
    break;

  case 1925:

/* Line 1806 of yacc.c  */
#line 11236 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
}
    break;

  case 1926:

/* Line 1806 of yacc.c  */
#line 11240 "preproc.y"
    { 
 (yyval.str) = mm_strdup("definer");
}
    break;

  case 1927:

/* Line 1806 of yacc.c  */
#line 11244 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 1928:

/* Line 1806 of yacc.c  */
#line 11248 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiter");
}
    break;

  case 1929:

/* Line 1806 of yacc.c  */
#line 11252 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiters");
}
    break;

  case 1930:

/* Line 1806 of yacc.c  */
#line 11256 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dictionary");
}
    break;

  case 1931:

/* Line 1806 of yacc.c  */
#line 11260 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
}
    break;

  case 1932:

/* Line 1806 of yacc.c  */
#line 11264 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard");
}
    break;

  case 1933:

/* Line 1806 of yacc.c  */
#line 11268 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
}
    break;

  case 1934:

/* Line 1806 of yacc.c  */
#line 11272 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 1935:

/* Line 1806 of yacc.c  */
#line 11276 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double");
}
    break;

  case 1936:

/* Line 1806 of yacc.c  */
#line 11280 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
}
    break;

  case 1937:

/* Line 1806 of yacc.c  */
#line 11284 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
}
    break;

  case 1938:

/* Line 1806 of yacc.c  */
#line 11288 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
}
    break;

  case 1939:

/* Line 1806 of yacc.c  */
#line 11292 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encoding");
}
    break;

  case 1940:

/* Line 1806 of yacc.c  */
#line 11296 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encrypted");
}
    break;

  case 1941:

/* Line 1806 of yacc.c  */
#line 11300 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enum");
}
    break;

  case 1942:

/* Line 1806 of yacc.c  */
#line 11304 "preproc.y"
    { 
 (yyval.str) = mm_strdup("escape");
}
    break;

  case 1943:

/* Line 1806 of yacc.c  */
#line 11308 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclude");
}
    break;

  case 1944:

/* Line 1806 of yacc.c  */
#line 11312 "preproc.y"
    { 
 (yyval.str) = mm_strdup("excluding");
}
    break;

  case 1945:

/* Line 1806 of yacc.c  */
#line 11316 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
}
    break;

  case 1946:

/* Line 1806 of yacc.c  */
#line 11320 "preproc.y"
    { 
 (yyval.str) = mm_strdup("execute");
}
    break;

  case 1947:

/* Line 1806 of yacc.c  */
#line 11324 "preproc.y"
    { 
 (yyval.str) = mm_strdup("explain");
}
    break;

  case 1948:

/* Line 1806 of yacc.c  */
#line 11328 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 1949:

/* Line 1806 of yacc.c  */
#line 11332 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external");
}
    break;

  case 1950:

/* Line 1806 of yacc.c  */
#line 11336 "preproc.y"
    { 
 (yyval.str) = mm_strdup("family");
}
    break;

  case 1951:

/* Line 1806 of yacc.c  */
#line 11340 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
}
    break;

  case 1952:

/* Line 1806 of yacc.c  */
#line 11344 "preproc.y"
    { 
 (yyval.str) = mm_strdup("following");
}
    break;

  case 1953:

/* Line 1806 of yacc.c  */
#line 11348 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
}
    break;

  case 1954:

/* Line 1806 of yacc.c  */
#line 11352 "preproc.y"
    { 
 (yyval.str) = mm_strdup("forward");
}
    break;

  case 1955:

/* Line 1806 of yacc.c  */
#line 11356 "preproc.y"
    { 
 (yyval.str) = mm_strdup("function");
}
    break;

  case 1956:

/* Line 1806 of yacc.c  */
#line 11360 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
}
    break;

  case 1957:

/* Line 1806 of yacc.c  */
#line 11364 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global");
}
    break;

  case 1958:

/* Line 1806 of yacc.c  */
#line 11368 "preproc.y"
    { 
 (yyval.str) = mm_strdup("granted");
}
    break;

  case 1959:

/* Line 1806 of yacc.c  */
#line 11372 "preproc.y"
    { 
 (yyval.str) = mm_strdup("handler");
}
    break;

  case 1960:

/* Line 1806 of yacc.c  */
#line 11376 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
}
    break;

  case 1961:

/* Line 1806 of yacc.c  */
#line 11380 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hold");
}
    break;

  case 1962:

/* Line 1806 of yacc.c  */
#line 11384 "preproc.y"
    { 
 (yyval.str) = mm_strdup("identity");
}
    break;

  case 1963:

/* Line 1806 of yacc.c  */
#line 11388 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if");
}
    break;

  case 1964:

/* Line 1806 of yacc.c  */
#line 11392 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
}
    break;

  case 1965:

/* Line 1806 of yacc.c  */
#line 11396 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
}
    break;

  case 1966:

/* Line 1806 of yacc.c  */
#line 11400 "preproc.y"
    { 
 (yyval.str) = mm_strdup("implicit");
}
    break;

  case 1967:

/* Line 1806 of yacc.c  */
#line 11404 "preproc.y"
    { 
 (yyval.str) = mm_strdup("including");
}
    break;

  case 1968:

/* Line 1806 of yacc.c  */
#line 11408 "preproc.y"
    { 
 (yyval.str) = mm_strdup("increment");
}
    break;

  case 1969:

/* Line 1806 of yacc.c  */
#line 11412 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 1970:

/* Line 1806 of yacc.c  */
#line 11416 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
}
    break;

  case 1971:

/* Line 1806 of yacc.c  */
#line 11420 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
}
    break;

  case 1972:

/* Line 1806 of yacc.c  */
#line 11424 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherits");
}
    break;

  case 1973:

/* Line 1806 of yacc.c  */
#line 11428 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inline");
}
    break;

  case 1974:

/* Line 1806 of yacc.c  */
#line 11432 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insensitive");
}
    break;

  case 1975:

/* Line 1806 of yacc.c  */
#line 11436 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 1976:

/* Line 1806 of yacc.c  */
#line 11440 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
}
    break;

  case 1977:

/* Line 1806 of yacc.c  */
#line 11444 "preproc.y"
    { 
 (yyval.str) = mm_strdup("invoker");
}
    break;

  case 1978:

/* Line 1806 of yacc.c  */
#line 11448 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isolation");
}
    break;

  case 1979:

/* Line 1806 of yacc.c  */
#line 11452 "preproc.y"
    { 
 (yyval.str) = mm_strdup("key");
}
    break;

  case 1980:

/* Line 1806 of yacc.c  */
#line 11456 "preproc.y"
    { 
 (yyval.str) = mm_strdup("label");
}
    break;

  case 1981:

/* Line 1806 of yacc.c  */
#line 11460 "preproc.y"
    { 
 (yyval.str) = mm_strdup("language");
}
    break;

  case 1982:

/* Line 1806 of yacc.c  */
#line 11464 "preproc.y"
    { 
 (yyval.str) = mm_strdup("large");
}
    break;

  case 1983:

/* Line 1806 of yacc.c  */
#line 11468 "preproc.y"
    { 
 (yyval.str) = mm_strdup("last");
}
    break;

  case 1984:

/* Line 1806 of yacc.c  */
#line 11472 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_collate");
}
    break;

  case 1985:

/* Line 1806 of yacc.c  */
#line 11476 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_ctype");
}
    break;

  case 1986:

/* Line 1806 of yacc.c  */
#line 11480 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
}
    break;

  case 1987:

/* Line 1806 of yacc.c  */
#line 11484 "preproc.y"
    { 
 (yyval.str) = mm_strdup("level");
}
    break;

  case 1988:

/* Line 1806 of yacc.c  */
#line 11488 "preproc.y"
    { 
 (yyval.str) = mm_strdup("listen");
}
    break;

  case 1989:

/* Line 1806 of yacc.c  */
#line 11492 "preproc.y"
    { 
 (yyval.str) = mm_strdup("load");
}
    break;

  case 1990:

/* Line 1806 of yacc.c  */
#line 11496 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
}
    break;

  case 1991:

/* Line 1806 of yacc.c  */
#line 11500 "preproc.y"
    { 
 (yyval.str) = mm_strdup("location");
}
    break;

  case 1992:

/* Line 1806 of yacc.c  */
#line 11504 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lock");
}
    break;

  case 1993:

/* Line 1806 of yacc.c  */
#line 11508 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mapping");
}
    break;

  case 1994:

/* Line 1806 of yacc.c  */
#line 11512 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match");
}
    break;

  case 1995:

/* Line 1806 of yacc.c  */
#line 11516 "preproc.y"
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
    break;

  case 1996:

/* Line 1806 of yacc.c  */
#line 11520 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minvalue");
}
    break;

  case 1997:

/* Line 1806 of yacc.c  */
#line 11524 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mode");
}
    break;

  case 1998:

/* Line 1806 of yacc.c  */
#line 11528 "preproc.y"
    { 
 (yyval.str) = mm_strdup("move");
}
    break;

  case 1999:

/* Line 1806 of yacc.c  */
#line 11532 "preproc.y"
    { 
 (yyval.str) = mm_strdup("name");
}
    break;

  case 2000:

/* Line 1806 of yacc.c  */
#line 11536 "preproc.y"
    { 
 (yyval.str) = mm_strdup("names");
}
    break;

  case 2001:

/* Line 1806 of yacc.c  */
#line 11540 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
}
    break;

  case 2002:

/* Line 1806 of yacc.c  */
#line 11544 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no");
}
    break;

  case 2003:

/* Line 1806 of yacc.c  */
#line 11548 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 2004:

/* Line 1806 of yacc.c  */
#line 11552 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notify");
}
    break;

  case 2005:

/* Line 1806 of yacc.c  */
#line 11556 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
}
    break;

  case 2006:

/* Line 1806 of yacc.c  */
#line 11560 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls");
}
    break;

  case 2007:

/* Line 1806 of yacc.c  */
#line 11564 "preproc.y"
    { 
 (yyval.str) = mm_strdup("object");
}
    break;

  case 2008:

/* Line 1806 of yacc.c  */
#line 11568 "preproc.y"
    { 
 (yyval.str) = mm_strdup("of");
}
    break;

  case 2009:

/* Line 1806 of yacc.c  */
#line 11572 "preproc.y"
    { 
 (yyval.str) = mm_strdup("off");
}
    break;

  case 2010:

/* Line 1806 of yacc.c  */
#line 11576 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
}
    break;

  case 2011:

/* Line 1806 of yacc.c  */
#line 11580 "preproc.y"
    { 
 (yyval.str) = mm_strdup("operator");
}
    break;

  case 2012:

/* Line 1806 of yacc.c  */
#line 11584 "preproc.y"
    { 
 (yyval.str) = mm_strdup("option");
}
    break;

  case 2013:

/* Line 1806 of yacc.c  */
#line 11588 "preproc.y"
    { 
 (yyval.str) = mm_strdup("options");
}
    break;

  case 2014:

/* Line 1806 of yacc.c  */
#line 11592 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owned");
}
    break;

  case 2015:

/* Line 1806 of yacc.c  */
#line 11596 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owner");
}
    break;

  case 2016:

/* Line 1806 of yacc.c  */
#line 11600 "preproc.y"
    { 
 (yyval.str) = mm_strdup("parser");
}
    break;

  case 2017:

/* Line 1806 of yacc.c  */
#line 11604 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partial");
}
    break;

  case 2018:

/* Line 1806 of yacc.c  */
#line 11608 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partition");
}
    break;

  case 2019:

/* Line 1806 of yacc.c  */
#line 11612 "preproc.y"
    { 
 (yyval.str) = mm_strdup("passing");
}
    break;

  case 2020:

/* Line 1806 of yacc.c  */
#line 11616 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password");
}
    break;

  case 2021:

/* Line 1806 of yacc.c  */
#line 11620 "preproc.y"
    { 
 (yyval.str) = mm_strdup("plans");
}
    break;

  case 2022:

/* Line 1806 of yacc.c  */
#line 11624 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preceding");
}
    break;

  case 2023:

/* Line 1806 of yacc.c  */
#line 11628 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepare");
}
    break;

  case 2024:

/* Line 1806 of yacc.c  */
#line 11632 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepared");
}
    break;

  case 2025:

/* Line 1806 of yacc.c  */
#line 11636 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve");
}
    break;

  case 2026:

/* Line 1806 of yacc.c  */
#line 11640 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prior");
}
    break;

  case 2027:

/* Line 1806 of yacc.c  */
#line 11644 "preproc.y"
    { 
 (yyval.str) = mm_strdup("privileges");
}
    break;

  case 2028:

/* Line 1806 of yacc.c  */
#line 11648 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
}
    break;

  case 2029:

/* Line 1806 of yacc.c  */
#line 11652 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedure");
}
    break;

  case 2030:

/* Line 1806 of yacc.c  */
#line 11656 "preproc.y"
    { 
 (yyval.str) = mm_strdup("quote");
}
    break;

  case 2031:

/* Line 1806 of yacc.c  */
#line 11660 "preproc.y"
    { 
 (yyval.str) = mm_strdup("range");
}
    break;

  case 2032:

/* Line 1806 of yacc.c  */
#line 11664 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read");
}
    break;

  case 2033:

/* Line 1806 of yacc.c  */
#line 11668 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reassign");
}
    break;

  case 2034:

/* Line 1806 of yacc.c  */
#line 11672 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recheck");
}
    break;

  case 2035:

/* Line 1806 of yacc.c  */
#line 11676 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recursive");
}
    break;

  case 2036:

/* Line 1806 of yacc.c  */
#line 11680 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ref");
}
    break;

  case 2037:

/* Line 1806 of yacc.c  */
#line 11684 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reindex");
}
    break;

  case 2038:

/* Line 1806 of yacc.c  */
#line 11688 "preproc.y"
    { 
 (yyval.str) = mm_strdup("relative");
}
    break;

  case 2039:

/* Line 1806 of yacc.c  */
#line 11692 "preproc.y"
    { 
 (yyval.str) = mm_strdup("release");
}
    break;

  case 2040:

/* Line 1806 of yacc.c  */
#line 11696 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rename");
}
    break;

  case 2041:

/* Line 1806 of yacc.c  */
#line 11700 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable");
}
    break;

  case 2042:

/* Line 1806 of yacc.c  */
#line 11704 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replace");
}
    break;

  case 2043:

/* Line 1806 of yacc.c  */
#line 11708 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replica");
}
    break;

  case 2044:

/* Line 1806 of yacc.c  */
#line 11712 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset");
}
    break;

  case 2045:

/* Line 1806 of yacc.c  */
#line 11716 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
}
    break;

  case 2046:

/* Line 1806 of yacc.c  */
#line 11720 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 2047:

/* Line 1806 of yacc.c  */
#line 11724 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns");
}
    break;

  case 2048:

/* Line 1806 of yacc.c  */
#line 11728 "preproc.y"
    { 
 (yyval.str) = mm_strdup("revoke");
}
    break;

  case 2049:

/* Line 1806 of yacc.c  */
#line 11732 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 2050:

/* Line 1806 of yacc.c  */
#line 11736 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rollback");
}
    break;

  case 2051:

/* Line 1806 of yacc.c  */
#line 11740 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
}
    break;

  case 2052:

/* Line 1806 of yacc.c  */
#line 11744 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rule");
}
    break;

  case 2053:

/* Line 1806 of yacc.c  */
#line 11748 "preproc.y"
    { 
 (yyval.str) = mm_strdup("savepoint");
}
    break;

  case 2054:

/* Line 1806 of yacc.c  */
#line 11752 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 2055:

/* Line 1806 of yacc.c  */
#line 11756 "preproc.y"
    { 
 (yyval.str) = mm_strdup("scroll");
}
    break;

  case 2056:

/* Line 1806 of yacc.c  */
#line 11760 "preproc.y"
    { 
 (yyval.str) = mm_strdup("search");
}
    break;

  case 2057:

/* Line 1806 of yacc.c  */
#line 11764 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security");
}
    break;

  case 2058:

/* Line 1806 of yacc.c  */
#line 11768 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 2059:

/* Line 1806 of yacc.c  */
#line 11772 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
}
    break;

  case 2060:

/* Line 1806 of yacc.c  */
#line 11776 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
}
    break;

  case 2061:

/* Line 1806 of yacc.c  */
#line 11780 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
}
    break;

  case 2062:

/* Line 1806 of yacc.c  */
#line 11784 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session");
}
    break;

  case 2063:

/* Line 1806 of yacc.c  */
#line 11788 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set");
}
    break;

  case 2064:

/* Line 1806 of yacc.c  */
#line 11792 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
}
    break;

  case 2065:

/* Line 1806 of yacc.c  */
#line 11796 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show");
}
    break;

  case 2066:

/* Line 1806 of yacc.c  */
#line 11800 "preproc.y"
    { 
 (yyval.str) = mm_strdup("simple");
}
    break;

  case 2067:

/* Line 1806 of yacc.c  */
#line 11804 "preproc.y"
    { 
 (yyval.str) = mm_strdup("snapshot");
}
    break;

  case 2068:

/* Line 1806 of yacc.c  */
#line 11808 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
}
    break;

  case 2069:

/* Line 1806 of yacc.c  */
#line 11812 "preproc.y"
    { 
 (yyval.str) = mm_strdup("standalone");
}
    break;

  case 2070:

/* Line 1806 of yacc.c  */
#line 11816 "preproc.y"
    { 
 (yyval.str) = mm_strdup("start");
}
    break;

  case 2071:

/* Line 1806 of yacc.c  */
#line 11820 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
}
    break;

  case 2072:

/* Line 1806 of yacc.c  */
#line 11824 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statistics");
}
    break;

  case 2073:

/* Line 1806 of yacc.c  */
#line 11828 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
}
    break;

  case 2074:

/* Line 1806 of yacc.c  */
#line 11832 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
}
    break;

  case 2075:

/* Line 1806 of yacc.c  */
#line 11836 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
}
    break;

  case 2076:

/* Line 1806 of yacc.c  */
#line 11840 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
}
    break;

  case 2077:

/* Line 1806 of yacc.c  */
#line 11844 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip");
}
    break;

  case 2078:

/* Line 1806 of yacc.c  */
#line 11848 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sysid");
}
    break;

  case 2079:

/* Line 1806 of yacc.c  */
#line 11852 "preproc.y"
    { 
 (yyval.str) = mm_strdup("system");
}
    break;

  case 2080:

/* Line 1806 of yacc.c  */
#line 11856 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
}
    break;

  case 2081:

/* Line 1806 of yacc.c  */
#line 11860 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 2082:

/* Line 1806 of yacc.c  */
#line 11864 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
}
    break;

  case 2083:

/* Line 1806 of yacc.c  */
#line 11868 "preproc.y"
    { 
 (yyval.str) = mm_strdup("template");
}
    break;

  case 2084:

/* Line 1806 of yacc.c  */
#line 11872 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
}
    break;

  case 2085:

/* Line 1806 of yacc.c  */
#line 11876 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text");
}
    break;

  case 2086:

/* Line 1806 of yacc.c  */
#line 11880 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
}
    break;

  case 2087:

/* Line 1806 of yacc.c  */
#line 11884 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trigger");
}
    break;

  case 2088:

/* Line 1806 of yacc.c  */
#line 11888 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
}
    break;

  case 2089:

/* Line 1806 of yacc.c  */
#line 11892 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
}
    break;

  case 2090:

/* Line 1806 of yacc.c  */
#line 11896 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 2091:

/* Line 1806 of yacc.c  */
#line 11900 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
}
    break;

  case 2092:

/* Line 1806 of yacc.c  */
#line 11904 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded");
}
    break;

  case 2093:

/* Line 1806 of yacc.c  */
#line 11908 "preproc.y"
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
    break;

  case 2094:

/* Line 1806 of yacc.c  */
#line 11912 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
    break;

  case 2095:

/* Line 1806 of yacc.c  */
#line 11916 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unknown");
}
    break;

  case 2096:

/* Line 1806 of yacc.c  */
#line 11920 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten");
}
    break;

  case 2097:

/* Line 1806 of yacc.c  */
#line 11924 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 2098:

/* Line 1806 of yacc.c  */
#line 11928 "preproc.y"
    { 
 (yyval.str) = mm_strdup("until");
}
    break;

  case 2099:

/* Line 1806 of yacc.c  */
#line 11932 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 2100:

/* Line 1806 of yacc.c  */
#line 11936 "preproc.y"
    { 
 (yyval.str) = mm_strdup("vacuum");
}
    break;

  case 2101:

/* Line 1806 of yacc.c  */
#line 11940 "preproc.y"
    { 
 (yyval.str) = mm_strdup("valid");
}
    break;

  case 2102:

/* Line 1806 of yacc.c  */
#line 11944 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validate");
}
    break;

  case 2103:

/* Line 1806 of yacc.c  */
#line 11948 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validator");
}
    break;

  case 2104:

/* Line 1806 of yacc.c  */
#line 11952 "preproc.y"
    { 
 (yyval.str) = mm_strdup("value");
}
    break;

  case 2105:

/* Line 1806 of yacc.c  */
#line 11956 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
}
    break;

  case 2106:

/* Line 1806 of yacc.c  */
#line 11960 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version");
}
    break;

  case 2107:

/* Line 1806 of yacc.c  */
#line 11964 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 2108:

/* Line 1806 of yacc.c  */
#line 11968 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
}
    break;

  case 2109:

/* Line 1806 of yacc.c  */
#line 11972 "preproc.y"
    { 
 (yyval.str) = mm_strdup("whitespace");
}
    break;

  case 2110:

/* Line 1806 of yacc.c  */
#line 11976 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without");
}
    break;

  case 2111:

/* Line 1806 of yacc.c  */
#line 11980 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
}
    break;

  case 2112:

/* Line 1806 of yacc.c  */
#line 11984 "preproc.y"
    { 
 (yyval.str) = mm_strdup("wrapper");
}
    break;

  case 2113:

/* Line 1806 of yacc.c  */
#line 11988 "preproc.y"
    { 
 (yyval.str) = mm_strdup("write");
}
    break;

  case 2114:

/* Line 1806 of yacc.c  */
#line 11992 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xml");
}
    break;

  case 2115:

/* Line 1806 of yacc.c  */
#line 11996 "preproc.y"
    { 
 (yyval.str) = mm_strdup("yes");
}
    break;

  case 2116:

/* Line 1806 of yacc.c  */
#line 12000 "preproc.y"
    { 
 (yyval.str) = mm_strdup("zone");
}
    break;

  case 2117:

/* Line 1806 of yacc.c  */
#line 12008 "preproc.y"
    { 
 (yyval.str) = mm_strdup("between");
}
    break;

  case 2118:

/* Line 1806 of yacc.c  */
#line 12012 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
}
    break;

  case 2119:

/* Line 1806 of yacc.c  */
#line 12016 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bit");
}
    break;

  case 2120:

/* Line 1806 of yacc.c  */
#line 12020 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
}
    break;

  case 2121:

/* Line 1806 of yacc.c  */
#line 12024 "preproc.y"
    { 
 (yyval.str) = mm_strdup("character");
}
    break;

  case 2122:

/* Line 1806 of yacc.c  */
#line 12028 "preproc.y"
    { 
 (yyval.str) = mm_strdup("coalesce");
}
    break;

  case 2123:

/* Line 1806 of yacc.c  */
#line 12032 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dec");
}
    break;

  case 2124:

/* Line 1806 of yacc.c  */
#line 12036 "preproc.y"
    { 
 (yyval.str) = mm_strdup("decimal");
}
    break;

  case 2125:

/* Line 1806 of yacc.c  */
#line 12040 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exists");
}
    break;

  case 2126:

/* Line 1806 of yacc.c  */
#line 12044 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extract");
}
    break;

  case 2127:

/* Line 1806 of yacc.c  */
#line 12048 "preproc.y"
    { 
 (yyval.str) = mm_strdup("float");
}
    break;

  case 2128:

/* Line 1806 of yacc.c  */
#line 12052 "preproc.y"
    { 
 (yyval.str) = mm_strdup("greatest");
}
    break;

  case 2129:

/* Line 1806 of yacc.c  */
#line 12056 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
}
    break;

  case 2130:

/* Line 1806 of yacc.c  */
#line 12060 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
}
    break;

  case 2131:

/* Line 1806 of yacc.c  */
#line 12064 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
}
    break;

  case 2132:

/* Line 1806 of yacc.c  */
#line 12068 "preproc.y"
    { 
 (yyval.str) = mm_strdup("least");
}
    break;

  case 2133:

/* Line 1806 of yacc.c  */
#line 12072 "preproc.y"
    { 
 (yyval.str) = mm_strdup("national");
}
    break;

  case 2134:

/* Line 1806 of yacc.c  */
#line 12076 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nchar");
}
    break;

  case 2135:

/* Line 1806 of yacc.c  */
#line 12080 "preproc.y"
    { 
 (yyval.str) = mm_strdup("none");
}
    break;

  case 2136:

/* Line 1806 of yacc.c  */
#line 12084 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nullif");
}
    break;

  case 2137:

/* Line 1806 of yacc.c  */
#line 12088 "preproc.y"
    { 
 (yyval.str) = mm_strdup("numeric");
}
    break;

  case 2138:

/* Line 1806 of yacc.c  */
#line 12092 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
}
    break;

  case 2139:

/* Line 1806 of yacc.c  */
#line 12096 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlay");
}
    break;

  case 2140:

/* Line 1806 of yacc.c  */
#line 12100 "preproc.y"
    { 
 (yyval.str) = mm_strdup("position");
}
    break;

  case 2141:

/* Line 1806 of yacc.c  */
#line 12104 "preproc.y"
    { 
 (yyval.str) = mm_strdup("precision");
}
    break;

  case 2142:

/* Line 1806 of yacc.c  */
#line 12108 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
}
    break;

  case 2143:

/* Line 1806 of yacc.c  */
#line 12112 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 2144:

/* Line 1806 of yacc.c  */
#line 12116 "preproc.y"
    { 
 (yyval.str) = mm_strdup("setof");
}
    break;

  case 2145:

/* Line 1806 of yacc.c  */
#line 12120 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
}
    break;

  case 2146:

/* Line 1806 of yacc.c  */
#line 12124 "preproc.y"
    { 
 (yyval.str) = mm_strdup("substring");
}
    break;

  case 2147:

/* Line 1806 of yacc.c  */
#line 12128 "preproc.y"
    { 
 (yyval.str) = mm_strdup("time");
}
    break;

  case 2148:

/* Line 1806 of yacc.c  */
#line 12132 "preproc.y"
    { 
 (yyval.str) = mm_strdup("timestamp");
}
    break;

  case 2149:

/* Line 1806 of yacc.c  */
#line 12136 "preproc.y"
    { 
 (yyval.str) = mm_strdup("treat");
}
    break;

  case 2150:

/* Line 1806 of yacc.c  */
#line 12140 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trim");
}
    break;

  case 2151:

/* Line 1806 of yacc.c  */
#line 12144 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
}
    break;

  case 2152:

/* Line 1806 of yacc.c  */
#line 12148 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
    break;

  case 2153:

/* Line 1806 of yacc.c  */
#line 12152 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
    break;

  case 2154:

/* Line 1806 of yacc.c  */
#line 12156 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
    break;

  case 2155:

/* Line 1806 of yacc.c  */
#line 12160 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
    break;

  case 2156:

/* Line 1806 of yacc.c  */
#line 12164 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
    break;

  case 2157:

/* Line 1806 of yacc.c  */
#line 12168 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
    break;

  case 2158:

/* Line 1806 of yacc.c  */
#line 12172 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
    break;

  case 2159:

/* Line 1806 of yacc.c  */
#line 12176 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
    break;

  case 2160:

/* Line 1806 of yacc.c  */
#line 12180 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
    break;

  case 2161:

/* Line 1806 of yacc.c  */
#line 12188 "preproc.y"
    { 
 (yyval.str) = mm_strdup("authorization");
}
    break;

  case 2162:

/* Line 1806 of yacc.c  */
#line 12192 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 2163:

/* Line 1806 of yacc.c  */
#line 12196 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 2164:

/* Line 1806 of yacc.c  */
#line 12200 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
}
    break;

  case 2165:

/* Line 1806 of yacc.c  */
#line 12204 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cross");
}
    break;

  case 2166:

/* Line 1806 of yacc.c  */
#line 12208 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
}
    break;

  case 2167:

/* Line 1806 of yacc.c  */
#line 12212 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 2168:

/* Line 1806 of yacc.c  */
#line 12216 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 2169:

/* Line 1806 of yacc.c  */
#line 12220 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
}
    break;

  case 2170:

/* Line 1806 of yacc.c  */
#line 12224 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
}
    break;

  case 2171:

/* Line 1806 of yacc.c  */
#line 12228 "preproc.y"
    { 
 (yyval.str) = mm_strdup("is");
}
    break;

  case 2172:

/* Line 1806 of yacc.c  */
#line 12232 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isnull");
}
    break;

  case 2173:

/* Line 1806 of yacc.c  */
#line 12236 "preproc.y"
    { 
 (yyval.str) = mm_strdup("join");
}
    break;

  case 2174:

/* Line 1806 of yacc.c  */
#line 12240 "preproc.y"
    { 
 (yyval.str) = mm_strdup("left");
}
    break;

  case 2175:

/* Line 1806 of yacc.c  */
#line 12244 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
}
    break;

  case 2176:

/* Line 1806 of yacc.c  */
#line 12248 "preproc.y"
    { 
 (yyval.str) = mm_strdup("natural");
}
    break;

  case 2177:

/* Line 1806 of yacc.c  */
#line 12252 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notnull");
}
    break;

  case 2178:

/* Line 1806 of yacc.c  */
#line 12256 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
}
    break;

  case 2179:

/* Line 1806 of yacc.c  */
#line 12260 "preproc.y"
    { 
 (yyval.str) = mm_strdup("over");
}
    break;

  case 2180:

/* Line 1806 of yacc.c  */
#line 12264 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlaps");
}
    break;

  case 2181:

/* Line 1806 of yacc.c  */
#line 12268 "preproc.y"
    { 
 (yyval.str) = mm_strdup("right");
}
    break;

  case 2182:

/* Line 1806 of yacc.c  */
#line 12272 "preproc.y"
    { 
 (yyval.str) = mm_strdup("similar");
}
    break;

  case 2183:

/* Line 1806 of yacc.c  */
#line 12276 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 2184:

/* Line 1806 of yacc.c  */
#line 12284 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 2185:

/* Line 1806 of yacc.c  */
#line 12288 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
}
    break;

  case 2186:

/* Line 1806 of yacc.c  */
#line 12292 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
}
    break;

  case 2187:

/* Line 1806 of yacc.c  */
#line 12296 "preproc.y"
    { 
 (yyval.str) = mm_strdup("and");
}
    break;

  case 2188:

/* Line 1806 of yacc.c  */
#line 12300 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
}
    break;

  case 2189:

/* Line 1806 of yacc.c  */
#line 12304 "preproc.y"
    { 
 (yyval.str) = mm_strdup("array");
}
    break;

  case 2190:

/* Line 1806 of yacc.c  */
#line 12308 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
}
    break;

  case 2191:

/* Line 1806 of yacc.c  */
#line 12312 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
}
    break;

  case 2192:

/* Line 1806 of yacc.c  */
#line 12316 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
    break;

  case 2193:

/* Line 1806 of yacc.c  */
#line 12320 "preproc.y"
    { 
 (yyval.str) = mm_strdup("both");
}
    break;

  case 2194:

/* Line 1806 of yacc.c  */
#line 12324 "preproc.y"
    { 
 (yyval.str) = mm_strdup("case");
}
    break;

  case 2195:

/* Line 1806 of yacc.c  */
#line 12328 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cast");
}
    break;

  case 2196:

/* Line 1806 of yacc.c  */
#line 12332 "preproc.y"
    { 
 (yyval.str) = mm_strdup("check");
}
    break;

  case 2197:

/* Line 1806 of yacc.c  */
#line 12336 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collate");
}
    break;

  case 2198:

/* Line 1806 of yacc.c  */
#line 12340 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 2199:

/* Line 1806 of yacc.c  */
#line 12344 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraint");
}
    break;

  case 2200:

/* Line 1806 of yacc.c  */
#line 12348 "preproc.y"
    { 
 (yyval.str) = mm_strdup("create");
}
    break;

  case 2201:

/* Line 1806 of yacc.c  */
#line 12352 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
    break;

  case 2202:

/* Line 1806 of yacc.c  */
#line 12356 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
}
    break;

  case 2203:

/* Line 1806 of yacc.c  */
#line 12360 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
}
    break;

  case 2204:

/* Line 1806 of yacc.c  */
#line 12364 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
}
    break;

  case 2205:

/* Line 1806 of yacc.c  */
#line 12368 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
    break;

  case 2206:

/* Line 1806 of yacc.c  */
#line 12372 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 2207:

/* Line 1806 of yacc.c  */
#line 12376 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 2208:

/* Line 1806 of yacc.c  */
#line 12380 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 2209:

/* Line 1806 of yacc.c  */
#line 12384 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
}
    break;

  case 2210:

/* Line 1806 of yacc.c  */
#line 12388 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 2211:

/* Line 1806 of yacc.c  */
#line 12392 "preproc.y"
    { 
 (yyval.str) = mm_strdup("do");
}
    break;

  case 2212:

/* Line 1806 of yacc.c  */
#line 12396 "preproc.y"
    { 
 (yyval.str) = mm_strdup("else");
}
    break;

  case 2213:

/* Line 1806 of yacc.c  */
#line 12400 "preproc.y"
    { 
 (yyval.str) = mm_strdup("end");
}
    break;

  case 2214:

/* Line 1806 of yacc.c  */
#line 12404 "preproc.y"
    { 
 (yyval.str) = mm_strdup("except");
}
    break;

  case 2215:

/* Line 1806 of yacc.c  */
#line 12408 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 2216:

/* Line 1806 of yacc.c  */
#line 12412 "preproc.y"
    { 
 (yyval.str) = mm_strdup("fetch");
}
    break;

  case 2217:

/* Line 1806 of yacc.c  */
#line 12416 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for");
}
    break;

  case 2218:

/* Line 1806 of yacc.c  */
#line 12420 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign");
}
    break;

  case 2219:

/* Line 1806 of yacc.c  */
#line 12424 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 2220:

/* Line 1806 of yacc.c  */
#line 12428 "preproc.y"
    { 
 (yyval.str) = mm_strdup("grant");
}
    break;

  case 2221:

/* Line 1806 of yacc.c  */
#line 12432 "preproc.y"
    { 
 (yyval.str) = mm_strdup("group");
}
    break;

  case 2222:

/* Line 1806 of yacc.c  */
#line 12436 "preproc.y"
    { 
 (yyval.str) = mm_strdup("having");
}
    break;

  case 2223:

/* Line 1806 of yacc.c  */
#line 12440 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 2224:

/* Line 1806 of yacc.c  */
#line 12444 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially");
}
    break;

  case 2225:

/* Line 1806 of yacc.c  */
#line 12448 "preproc.y"
    { 
 (yyval.str) = mm_strdup("intersect");
}
    break;

  case 2226:

/* Line 1806 of yacc.c  */
#line 12452 "preproc.y"
    { 
 (yyval.str) = mm_strdup("into");
}
    break;

  case 2227:

/* Line 1806 of yacc.c  */
#line 12456 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leading");
}
    break;

  case 2228:

/* Line 1806 of yacc.c  */
#line 12460 "preproc.y"
    { 
 (yyval.str) = mm_strdup("limit");
}
    break;

  case 2229:

/* Line 1806 of yacc.c  */
#line 12464 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
}
    break;

  case 2230:

/* Line 1806 of yacc.c  */
#line 12468 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
    break;

  case 2231:

/* Line 1806 of yacc.c  */
#line 12472 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not");
}
    break;

  case 2232:

/* Line 1806 of yacc.c  */
#line 12476 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 2233:

/* Line 1806 of yacc.c  */
#line 12480 "preproc.y"
    { 
 (yyval.str) = mm_strdup("offset");
}
    break;

  case 2234:

/* Line 1806 of yacc.c  */
#line 12484 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
}
    break;

  case 2235:

/* Line 1806 of yacc.c  */
#line 12488 "preproc.y"
    { 
 (yyval.str) = mm_strdup("only");
}
    break;

  case 2236:

/* Line 1806 of yacc.c  */
#line 12492 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or");
}
    break;

  case 2237:

/* Line 1806 of yacc.c  */
#line 12496 "preproc.y"
    { 
 (yyval.str) = mm_strdup("order");
}
    break;

  case 2238:

/* Line 1806 of yacc.c  */
#line 12500 "preproc.y"
    { 
 (yyval.str) = mm_strdup("placing");
}
    break;

  case 2239:

/* Line 1806 of yacc.c  */
#line 12504 "preproc.y"
    { 
 (yyval.str) = mm_strdup("primary");
}
    break;

  case 2240:

/* Line 1806 of yacc.c  */
#line 12508 "preproc.y"
    { 
 (yyval.str) = mm_strdup("references");
}
    break;

  case 2241:

/* Line 1806 of yacc.c  */
#line 12512 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returning");
}
    break;

  case 2242:

/* Line 1806 of yacc.c  */
#line 12516 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
}
    break;

  case 2243:

/* Line 1806 of yacc.c  */
#line 12520 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
}
    break;

  case 2244:

/* Line 1806 of yacc.c  */
#line 12524 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
}
    break;

  case 2245:

/* Line 1806 of yacc.c  */
#line 12528 "preproc.y"
    { 
 (yyval.str) = mm_strdup("symmetric");
}
    break;

  case 2246:

/* Line 1806 of yacc.c  */
#line 12532 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 2247:

/* Line 1806 of yacc.c  */
#line 12536 "preproc.y"
    { 
 (yyval.str) = mm_strdup("then");
}
    break;

  case 2248:

/* Line 1806 of yacc.c  */
#line 12540 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trailing");
}
    break;

  case 2249:

/* Line 1806 of yacc.c  */
#line 12544 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 2250:

/* Line 1806 of yacc.c  */
#line 12548 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
}
    break;

  case 2251:

/* Line 1806 of yacc.c  */
#line 12552 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 2252:

/* Line 1806 of yacc.c  */
#line 12556 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
}
    break;

  case 2253:

/* Line 1806 of yacc.c  */
#line 12560 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
}
    break;

  case 2254:

/* Line 1806 of yacc.c  */
#line 12564 "preproc.y"
    { 
 (yyval.str) = mm_strdup("when");
}
    break;

  case 2255:

/* Line 1806 of yacc.c  */
#line 12568 "preproc.y"
    { 
 (yyval.str) = mm_strdup("where");
}
    break;

  case 2256:

/* Line 1806 of yacc.c  */
#line 12572 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
}
    break;

  case 2257:

/* Line 1806 of yacc.c  */
#line 12576 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 2260:

/* Line 1806 of yacc.c  */
#line 12589 "preproc.y"
    { connection = NULL; }
    break;

  case 2262:

/* Line 1806 of yacc.c  */
#line 12592 "preproc.y"
    {
					fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
					free((yyvsp[(2) - (2)].str));
					output_line_number();
				}
    break;

  case 2264:

/* Line 1806 of yacc.c  */
#line 12598 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2265:

/* Line 1806 of yacc.c  */
#line 12599 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2266:

/* Line 1806 of yacc.c  */
#line 12600 "preproc.y"
    { braces_open++; fputs("{", yyout); }
    break;

  case 2267:

/* Line 1806 of yacc.c  */
#line 12602 "preproc.y"
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		}
    break;

  case 2268:

/* Line 1806 of yacc.c  */
#line 12614 "preproc.y"
    {FoundInto = 0;}
    break;

  case 2269:

/* Line 1806 of yacc.c  */
#line 12615 "preproc.y"
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[(2) - (8)].str), mm_strdup("table"), (yyvsp[(4) - (8)].str), mm_strdup("as"), (yyvsp[(7) - (8)].str));
		}
    break;

  case 2270:

/* Line 1806 of yacc.c  */
#line 12624 "preproc.y"
    {
			connection = (yyvsp[(2) - (2)].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
    break;

  case 2271:

/* Line 1806 of yacc.c  */
#line 12639 "preproc.y"
    { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), mm_strdup(","), (yyvsp[(5) - (5)].str), mm_strdup(","), (yyvsp[(4) - (5)].str)); }
    break;

  case 2272:

/* Line 1806 of yacc.c  */
#line 12641 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
    break;

  case 2273:

/* Line 1806 of yacc.c  */
#line 12644 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[(2) - (2)].str), mm_strdup(", NULL")); }
    break;

  case 2274:

/* Line 1806 of yacc.c  */
#line 12646 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), mm_strdup(", NULL, NULL, NULL")); }
    break;

  case 2275:

/* Line 1806 of yacc.c  */
#line 12650 "preproc.y"
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[(2) - (3)].str));

			/* C strings need to be handled differently */
			if ((yyvsp[(1) - (3)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (3)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)), mm_strdup("\""));
		}
    break;

  case 2276:

/* Line 1806 of yacc.c  */
#line 12662 "preproc.y"
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[(3) - (7)].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[(3) - (7)].str));

			if (strncmp((yyvsp[(1) - (7)].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[(3) - (7)].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[(1) - (7)].str), mm_strdup(":")), (yyvsp[(3) - (7)].str), make3_str(make3_str((yyvsp[(4) - (7)].str), mm_strdup("/"), (yyvsp[(6) - (7)].str)),	(yyvsp[(7) - (7)].str), mm_strdup("\"")));
		}
    break;

  case 2277:

/* Line 1806 of yacc.c  */
#line 12678 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2278:

/* Line 1806 of yacc.c  */
#line 12682 "preproc.y"
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[(1) - (1)].str)[0] = '\"';
			(yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] = '\"';
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2279:

/* Line 1806 of yacc.c  */
#line 12692 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2280:

/* Line 1806 of yacc.c  */
#line 12693 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2281:

/* Line 1806 of yacc.c  */
#line 12697 "preproc.y"
    {
			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));

			if (strcmp((yyvsp[(1) - (2)].str), "tcp") != 0 && strcmp((yyvsp[(1) - (2)].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[(1) - (2)].str));

			(yyval.str) = make3_str((yyvsp[(1) - (2)].str), mm_strdup(":"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2282:

/* Line 1806 of yacc.c  */
#line 12709 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2283:

/* Line 1806 of yacc.c  */
#line 12717 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2284:

/* Line 1806 of yacc.c  */
#line 12718 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2285:

/* Line 1806 of yacc.c  */
#line 12721 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2286:

/* Line 1806 of yacc.c  */
#line 12722 "preproc.y"
    { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), mm_strdup("."), (yyvsp[(3) - (3)].str)); }
    break;

  case 2287:

/* Line 1806 of yacc.c  */
#line 12723 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2288:

/* Line 1806 of yacc.c  */
#line 12726 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2289:

/* Line 1806 of yacc.c  */
#line 12727 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2290:

/* Line 1806 of yacc.c  */
#line 12730 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2291:

/* Line 1806 of yacc.c  */
#line 12731 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); }
    break;

  case 2292:

/* Line 1806 of yacc.c  */
#line 12734 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2293:

/* Line 1806 of yacc.c  */
#line 12735 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL"); }
    break;

  case 2294:

/* Line 1806 of yacc.c  */
#line 12739 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), mm_strdup(", NULL")); }
    break;

  case 2295:

/* Line 1806 of yacc.c  */
#line 12741 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2296:

/* Line 1806 of yacc.c  */
#line 12743 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str)); }
    break;

  case 2297:

/* Line 1806 of yacc.c  */
#line 12745 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2298:

/* Line 1806 of yacc.c  */
#line 12749 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		}
    break;

  case 2299:

/* Line 1806 of yacc.c  */
#line 12756 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		}
    break;

  case 2300:

/* Line 1806 of yacc.c  */
#line 12763 "preproc.y"
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
    break;

  case 2301:

/* Line 1806 of yacc.c  */
#line 12779 "preproc.y"
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[(1) - (1)].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
				}
			}
		}
    break;

  case 2302:

/* Line 1806 of yacc.c  */
#line 12813 "preproc.y"
    {
			if (strlen((yyvsp[(1) - (2)].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[(1) - (2)].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2303:

/* Line 1806 of yacc.c  */
#line 12822 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2304:

/* Line 1806 of yacc.c  */
#line 12826 "preproc.y"
    {
				(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
			}
    break;

  case 2305:

/* Line 1806 of yacc.c  */
#line 12830 "preproc.y"
    {
				if (strlen((yyvsp[(3) - (4)].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[(3) - (4)].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(3) - (4)].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
			}
    break;

  case 2306:

/* Line 1806 of yacc.c  */
#line 12842 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2307:

/* Line 1806 of yacc.c  */
#line 12844 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2308:

/* Line 1806 of yacc.c  */
#line 12846 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2309:

/* Line 1806 of yacc.c  */
#line 12848 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2310:

/* Line 1806 of yacc.c  */
#line 12852 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[(1) - (1)].str)); i++)
					(yyvsp[(1) - (1)].str)[i] = tolower((unsigned char) (yyvsp[(1) - (1)].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
			}
		}
    break;

  case 2311:

/* Line 1806 of yacc.c  */
#line 12865 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2312:

/* Line 1806 of yacc.c  */
#line 12873 "preproc.y"
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
			int (* strcmp_fn)(const char *, const char *) = ((yyvsp[(2) - (7)].str)[0] == ':' ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[(2) - (7)].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[(2) - (7)].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[(7) - (7)].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[(7) - (7)].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[(2) - (7)].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[(2) - (7)].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
    break;

  case 2313:

/* Line 1806 of yacc.c  */
#line 12934 "preproc.y"
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[(3) - (3)].str);
			}
    break;

  case 2315:

/* Line 1806 of yacc.c  */
#line 12944 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2316:

/* Line 1806 of yacc.c  */
#line 12945 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2317:

/* Line 1806 of yacc.c  */
#line 12948 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2318:

/* Line 1806 of yacc.c  */
#line 12950 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2319:

/* Line 1806 of yacc.c  */
#line 12951 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2320:

/* Line 1806 of yacc.c  */
#line 12954 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2321:

/* Line 1806 of yacc.c  */
#line 12955 "preproc.y"
    { (yyval.str) = mm_strdup("year to minute"); }
    break;

  case 2322:

/* Line 1806 of yacc.c  */
#line 12956 "preproc.y"
    { (yyval.str) = mm_strdup("year to second"); }
    break;

  case 2323:

/* Line 1806 of yacc.c  */
#line 12957 "preproc.y"
    { (yyval.str) = mm_strdup("day to day"); }
    break;

  case 2324:

/* Line 1806 of yacc.c  */
#line 12958 "preproc.y"
    { (yyval.str) = mm_strdup("month to month"); }
    break;

  case 2325:

/* Line 1806 of yacc.c  */
#line 12965 "preproc.y"
    { fputs("/* exec sql begin declare section */", yyout); }
    break;

  case 2326:

/* Line 1806 of yacc.c  */
#line 12967 "preproc.y"
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
			free((yyvsp[(3) - (4)].str));
			output_line_number();
		}
    break;

  case 2327:

/* Line 1806 of yacc.c  */
#line 12974 "preproc.y"
    {}
    break;

  case 2328:

/* Line 1806 of yacc.c  */
#line 12976 "preproc.y"
    {}
    break;

  case 2329:

/* Line 1806 of yacc.c  */
#line 12978 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2330:

/* Line 1806 of yacc.c  */
#line 12979 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2331:

/* Line 1806 of yacc.c  */
#line 12982 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2332:

/* Line 1806 of yacc.c  */
#line 12983 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2333:

/* Line 1806 of yacc.c  */
#line 12984 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2334:

/* Line 1806 of yacc.c  */
#line 12985 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2335:

/* Line 1806 of yacc.c  */
#line 12988 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2336:

/* Line 1806 of yacc.c  */
#line 12989 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2337:

/* Line 1806 of yacc.c  */
#line 12993 "preproc.y"
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
    break;

  case 2338:

/* Line 1806 of yacc.c  */
#line 12999 "preproc.y"
    {
		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[(3) - (7)].type).type_str, *(yyvsp[(4) - (7)].str) ? "*" : "", (yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
    break;

  case 2339:

/* Line 1806 of yacc.c  */
#line 13009 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(2) - (2)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(2) - (2)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(2) - (2)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2340:

/* Line 1806 of yacc.c  */
#line 13019 "preproc.y"
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), mm_strdup(";\n"));
		}
    break;

  case 2341:

/* Line 1806 of yacc.c  */
#line 13023 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(1) - (1)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(1) - (1)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(1) - (1)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2342:

/* Line 1806 of yacc.c  */
#line 13033 "preproc.y"
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), mm_strdup(";\n"));
		}
    break;

  case 2343:

/* Line 1806 of yacc.c  */
#line 13037 "preproc.y"
    {
			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), mm_strdup(";"));
		}
    break;

  case 2344:

/* Line 1806 of yacc.c  */
#line 13042 "preproc.y"
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2345:

/* Line 1806 of yacc.c  */
#line 13043 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2346:

/* Line 1806 of yacc.c  */
#line 13047 "preproc.y"
    {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2347:

/* Line 1806 of yacc.c  */
#line 13048 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2348:

/* Line 1806 of yacc.c  */
#line 13049 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2349:

/* Line 1806 of yacc.c  */
#line 13052 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2350:

/* Line 1806 of yacc.c  */
#line 13053 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2351:

/* Line 1806 of yacc.c  */
#line 13054 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2352:

/* Line 1806 of yacc.c  */
#line 13055 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2353:

/* Line 1806 of yacc.c  */
#line 13058 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2354:

/* Line 1806 of yacc.c  */
#line 13059 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2355:

/* Line 1806 of yacc.c  */
#line 13063 "preproc.y"
    {
			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2356:

/* Line 1806 of yacc.c  */
#line 13071 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[(1) - (1)].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
    break;

  case 2357:

/* Line 1806 of yacc.c  */
#line 13088 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2358:

/* Line 1806 of yacc.c  */
#line 13096 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[(1) - (5)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2359:

/* Line 1806 of yacc.c  */
#line 13119 "preproc.y"
    {
			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[(1) - (2)].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[(1) - (2)].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[(1) - (2)].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
    break;

  case 2360:

/* Line 1806 of yacc.c  */
#line 13225 "preproc.y"
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[(1) - (1)].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[(1) - (1)].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[(1) - (1)].struct_union).su, (yyvsp[(1) - (1)].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
    break;

  case 2361:

/* Line 1806 of yacc.c  */
#line 13259 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); }
    break;

  case 2362:

/* Line 1806 of yacc.c  */
#line 13261 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2363:

/* Line 1806 of yacc.c  */
#line 13263 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2364:

/* Line 1806 of yacc.c  */
#line 13267 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); }
    break;

  case 2365:

/* Line 1806 of yacc.c  */
#line 13270 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[(1) - (1)].struct_union).symbol);
		}
    break;

  case 2366:

/* Line 1806 of yacc.c  */
#line 13277 "preproc.y"
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[(1) - (5)].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[(1) - (5)].struct_union).su, (yyvsp[(1) - (5)].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		}
    break;

  case 2367:

/* Line 1806 of yacc.c  */
#line 13320 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2368:

/* Line 1806 of yacc.c  */
#line 13322 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
    break;

  case 2369:

/* Line 1806 of yacc.c  */
#line 13328 "preproc.y"
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[(1) - (5)].str), mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		}
    break;

  case 2370:

/* Line 1806 of yacc.c  */
#line 13337 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
    break;

  case 2371:

/* Line 1806 of yacc.c  */
#line 13343 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
		}
    break;

  case 2372:

/* Line 1806 of yacc.c  */
#line 13350 "preproc.y"
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
    break;

  case 2373:

/* Line 1806 of yacc.c  */
#line 13355 "preproc.y"
    {
			(yyval.str) = mm_strdup("union");
		}
    break;

  case 2374:

/* Line 1806 of yacc.c  */
#line 13360 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); }
    break;

  case 2375:

/* Line 1806 of yacc.c  */
#line 13361 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); }
    break;

  case 2376:

/* Line 1806 of yacc.c  */
#line 13364 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2377:

/* Line 1806 of yacc.c  */
#line 13365 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2378:

/* Line 1806 of yacc.c  */
#line 13366 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2379:

/* Line 1806 of yacc.c  */
#line 13367 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2380:

/* Line 1806 of yacc.c  */
#line 13368 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2381:

/* Line 1806 of yacc.c  */
#line 13369 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2382:

/* Line 1806 of yacc.c  */
#line 13371 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2383:

/* Line 1806 of yacc.c  */
#line 13379 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2384:

/* Line 1806 of yacc.c  */
#line 13386 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_char; }
    break;

  case 2385:

/* Line 1806 of yacc.c  */
#line 13389 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2386:

/* Line 1806 of yacc.c  */
#line 13390 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2387:

/* Line 1806 of yacc.c  */
#line 13391 "preproc.y"
    { (yyval.type_enum) = ECPGt_int; }
    break;

  case 2388:

/* Line 1806 of yacc.c  */
#line 13392 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2389:

/* Line 1806 of yacc.c  */
#line 13393 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2390:

/* Line 1806 of yacc.c  */
#line 13395 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2391:

/* Line 1806 of yacc.c  */
#line 13403 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2392:

/* Line 1806 of yacc.c  */
#line 13410 "preproc.y"
    { (yyval.type_enum) = ECPGt_bool; }
    break;

  case 2393:

/* Line 1806 of yacc.c  */
#line 13411 "preproc.y"
    { (yyval.type_enum) = ECPGt_char; }
    break;

  case 2394:

/* Line 1806 of yacc.c  */
#line 13412 "preproc.y"
    { (yyval.type_enum) = ECPGt_double; }
    break;

  case 2397:

/* Line 1806 of yacc.c  */
#line 13420 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2398:

/* Line 1806 of yacc.c  */
#line 13422 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2399:

/* Line 1806 of yacc.c  */
#line 13426 "preproc.y"
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[(3) - (5)].index).index1;	/* dimension of array */
			char *length = (yyvsp[(3) - (5)].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[(1) - (5)].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[(2) - (5)].str)), dim_str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[(5) - (5)].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[(5) - (5)].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[(2) - (5)].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[(2) - (5)].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[(2) - (5)].str));
		}
    break;

  case 2400:

/* Line 1806 of yacc.c  */
#line 13513 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2401:

/* Line 1806 of yacc.c  */
#line 13515 "preproc.y"
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2402:

/* Line 1806 of yacc.c  */
#line 13521 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2403:

/* Line 1806 of yacc.c  */
#line 13522 "preproc.y"
    { (yyval.str) = mm_strdup("*"); }
    break;

  case 2404:

/* Line 1806 of yacc.c  */
#line 13523 "preproc.y"
    { (yyval.str) = mm_strdup("**"); }
    break;

  case 2405:

/* Line 1806 of yacc.c  */
#line 13530 "preproc.y"
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[(3) - (3)].str), mm_strdup("*/"));
		}
    break;

  case 2406:

/* Line 1806 of yacc.c  */
#line 13538 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2407:

/* Line 1806 of yacc.c  */
#line 13541 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2408:

/* Line 1806 of yacc.c  */
#line 13542 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
    break;

  case 2409:

/* Line 1806 of yacc.c  */
#line 13543 "preproc.y"
    { (yyval.str) = mm_strdup("\"ALL\""); }
    break;

  case 2410:

/* Line 1806 of yacc.c  */
#line 13544 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
    break;

  case 2411:

/* Line 1806 of yacc.c  */
#line 13547 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2412:

/* Line 1806 of yacc.c  */
#line 13548 "preproc.y"
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
    break;

  case 2413:

/* Line 1806 of yacc.c  */
#line 13549 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2414:

/* Line 1806 of yacc.c  */
#line 13553 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2415:

/* Line 1806 of yacc.c  */
#line 13555 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2416:

/* Line 1806 of yacc.c  */
#line 13562 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2417:

/* Line 1806 of yacc.c  */
#line 13563 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2418:

/* Line 1806 of yacc.c  */
#line 13570 "preproc.y"
    {
			if ((yyvsp[(2) - (3)].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[(2) - (3)].str) + 1));
			(yyval.str) = (yyvsp[(2) - (3)].str);
		}
    break;

  case 2419:

/* Line 1806 of yacc.c  */
#line 13577 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2420:

/* Line 1806 of yacc.c  */
#line 13578 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2421:

/* Line 1806 of yacc.c  */
#line 13581 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2422:

/* Line 1806 of yacc.c  */
#line 13582 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2423:

/* Line 1806 of yacc.c  */
#line 13586 "preproc.y"
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2424:

/* Line 1806 of yacc.c  */
#line 13591 "preproc.y"
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2425:

/* Line 1806 of yacc.c  */
#line 13598 "preproc.y"
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2426:

/* Line 1806 of yacc.c  */
#line 13603 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2427:

/* Line 1806 of yacc.c  */
#line 13610 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(2) - (2)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2430:

/* Line 1806 of yacc.c  */
#line 13619 "preproc.y"
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
    break;

  case 2431:

/* Line 1806 of yacc.c  */
#line 13625 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2432:

/* Line 1806 of yacc.c  */
#line 13626 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2433:

/* Line 1806 of yacc.c  */
#line 13629 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2434:

/* Line 1806 of yacc.c  */
#line 13630 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2435:

/* Line 1806 of yacc.c  */
#line 13631 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2436:

/* Line 1806 of yacc.c  */
#line 13632 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2437:

/* Line 1806 of yacc.c  */
#line 13633 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2438:

/* Line 1806 of yacc.c  */
#line 13634 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2439:

/* Line 1806 of yacc.c  */
#line 13635 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2440:

/* Line 1806 of yacc.c  */
#line 13636 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2441:

/* Line 1806 of yacc.c  */
#line 13637 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2442:

/* Line 1806 of yacc.c  */
#line 13644 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2443:

/* Line 1806 of yacc.c  */
#line 13651 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2444:

/* Line 1806 of yacc.c  */
#line 13663 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2445:

/* Line 1806 of yacc.c  */
#line 13669 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2446:

/* Line 1806 of yacc.c  */
#line 13676 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2447:

/* Line 1806 of yacc.c  */
#line 13683 "preproc.y"
    { (yyval.str) = mm_strdup("output"); }
    break;

  case 2448:

/* Line 1806 of yacc.c  */
#line 13684 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2449:

/* Line 1806 of yacc.c  */
#line 13697 "preproc.y"
    {
			add_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2450:

/* Line 1806 of yacc.c  */
#line 13708 "preproc.y"
    {
			drop_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2451:

/* Line 1806 of yacc.c  */
#line 13719 "preproc.y"
    {  (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2454:

/* Line 1806 of yacc.c  */
#line 13727 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2455:

/* Line 1806 of yacc.c  */
#line 13732 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2458:

/* Line 1806 of yacc.c  */
#line 13740 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2459:

/* Line 1806 of yacc.c  */
#line 13746 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2460:

/* Line 1806 of yacc.c  */
#line 13754 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2461:

/* Line 1806 of yacc.c  */
#line 13759 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_count; }
    break;

  case 2462:

/* Line 1806 of yacc.c  */
#line 13767 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2465:

/* Line 1806 of yacc.c  */
#line 13774 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2466:

/* Line 1806 of yacc.c  */
#line 13778 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2469:

/* Line 1806 of yacc.c  */
#line 13786 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2470:

/* Line 1806 of yacc.c  */
#line 13792 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2471:

/* Line 1806 of yacc.c  */
#line 13801 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2472:

/* Line 1806 of yacc.c  */
#line 13806 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2473:

/* Line 1806 of yacc.c  */
#line 13816 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2474:

/* Line 1806 of yacc.c  */
#line 13826 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[(1) - (1)].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2475:

/* Line 1806 of yacc.c  */
#line 13837 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_cardinality; }
    break;

  case 2476:

/* Line 1806 of yacc.c  */
#line 13838 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_data; }
    break;

  case 2477:

/* Line 1806 of yacc.c  */
#line 13839 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_code; }
    break;

  case 2478:

/* Line 1806 of yacc.c  */
#line 13840 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_precision; }
    break;

  case 2479:

/* Line 1806 of yacc.c  */
#line 13841 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_indicator; }
    break;

  case 2480:

/* Line 1806 of yacc.c  */
#line 13842 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_key_member; }
    break;

  case 2481:

/* Line 1806 of yacc.c  */
#line 13843 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2482:

/* Line 1806 of yacc.c  */
#line 13844 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_name; }
    break;

  case 2483:

/* Line 1806 of yacc.c  */
#line 13845 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_nullable; }
    break;

  case 2484:

/* Line 1806 of yacc.c  */
#line 13846 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_octet; }
    break;

  case 2485:

/* Line 1806 of yacc.c  */
#line 13847 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_precision; }
    break;

  case 2486:

/* Line 1806 of yacc.c  */
#line 13848 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2487:

/* Line 1806 of yacc.c  */
#line 13849 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
    break;

  case 2488:

/* Line 1806 of yacc.c  */
#line 13850 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_scale; }
    break;

  case 2489:

/* Line 1806 of yacc.c  */
#line 13851 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_type; }
    break;

  case 2490:

/* Line 1806 of yacc.c  */
#line 13858 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2491:

/* Line 1806 of yacc.c  */
#line 13859 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2492:

/* Line 1806 of yacc.c  */
#line 13862 "preproc.y"
    { (yyval.str) = mm_strdup("on"); }
    break;

  case 2493:

/* Line 1806 of yacc.c  */
#line 13863 "preproc.y"
    { (yyval.str) = mm_strdup("off"); }
    break;

  case 2494:

/* Line 1806 of yacc.c  */
#line 13870 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2495:

/* Line 1806 of yacc.c  */
#line 13871 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2496:

/* Line 1806 of yacc.c  */
#line 13872 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2497:

/* Line 1806 of yacc.c  */
#line 13879 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2498:

/* Line 1806 of yacc.c  */
#line 13885 "preproc.y"
    {
			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[(5) - (7)].type).type_str), *(yyvsp[(7) - (7)].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[(6) - (7)].index).str), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup(";"));
		}
    break;

  case 2499:

/* Line 1806 of yacc.c  */
#line 13895 "preproc.y"
    { (yyval.str) = mm_strdup("reference"); }
    break;

  case 2500:

/* Line 1806 of yacc.c  */
#line 13896 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2501:

/* Line 1806 of yacc.c  */
#line 13903 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2502:

/* Line 1806 of yacc.c  */
#line 13909 "preproc.y"
    {
			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
			char *dimension = (yyvsp[(6) - (7)].index).index1;
			char *length = (yyvsp[(6) - (7)].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[(5) - (7)].type).type_enum == ECPGt_struct ||
				 (yyvsp[(5) - (7)].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[(5) - (7)].type).type_enum, &dimension, &length, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, *(yyvsp[(7) - (7)].str)?1:0, false);

				switch ((yyvsp[(5) - (7)].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
		}
    break;

  case 2503:

/* Line 1806 of yacc.c  */
#line 13973 "preproc.y"
    {
			when_error.code = (yyvsp[(3) - (3)].action).code;
			when_error.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		}
    break;

  case 2504:

/* Line 1806 of yacc.c  */
#line 13979 "preproc.y"
    {
			when_nf.code = (yyvsp[(4) - (4)].action).code;
			when_nf.command = (yyvsp[(4) - (4)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[(4) - (4)].action).str, mm_strdup("; */"));
		}
    break;

  case 2505:

/* Line 1806 of yacc.c  */
#line 13985 "preproc.y"
    {
			when_warn.code = (yyvsp[(3) - (3)].action).code;
			when_warn.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		}
    break;

  case 2506:

/* Line 1806 of yacc.c  */
#line 13993 "preproc.y"
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
    break;

  case 2507:

/* Line 1806 of yacc.c  */
#line 13999 "preproc.y"
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
    break;

  case 2508:

/* Line 1806 of yacc.c  */
#line 14005 "preproc.y"
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
    break;

  case 2509:

/* Line 1806 of yacc.c  */
#line 14011 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(2) - (2)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2510:

/* Line 1806 of yacc.c  */
#line 14017 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(3) - (3)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(3) - (3)].str));
		}
    break;

  case 2511:

/* Line 1806 of yacc.c  */
#line 14023 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
    break;

  case 2512:

/* Line 1806 of yacc.c  */
#line 14029 "preproc.y"
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
    break;

  case 2513:

/* Line 1806 of yacc.c  */
#line 14035 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2514:

/* Line 1806 of yacc.c  */
#line 14041 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2515:

/* Line 1806 of yacc.c  */
#line 14051 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2516:

/* Line 1806 of yacc.c  */
#line 14052 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2517:

/* Line 1806 of yacc.c  */
#line 14055 "preproc.y"
    { (yyval.str) = mm_strdup("break"); }
    break;

  case 2518:

/* Line 1806 of yacc.c  */
#line 14056 "preproc.y"
    { (yyval.str) = mm_strdup("call"); }
    break;

  case 2519:

/* Line 1806 of yacc.c  */
#line 14057 "preproc.y"
    { (yyval.str) = mm_strdup("cardinality"); }
    break;

  case 2520:

/* Line 1806 of yacc.c  */
#line 14058 "preproc.y"
    { (yyval.str) = mm_strdup("count"); }
    break;

  case 2521:

/* Line 1806 of yacc.c  */
#line 14059 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
    break;

  case 2522:

/* Line 1806 of yacc.c  */
#line 14060 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
    break;

  case 2523:

/* Line 1806 of yacc.c  */
#line 14061 "preproc.y"
    { (yyval.str) = mm_strdup("found"); }
    break;

  case 2524:

/* Line 1806 of yacc.c  */
#line 14062 "preproc.y"
    { (yyval.str) = mm_strdup("go"); }
    break;

  case 2525:

/* Line 1806 of yacc.c  */
#line 14063 "preproc.y"
    { (yyval.str) = mm_strdup("goto"); }
    break;

  case 2526:

/* Line 1806 of yacc.c  */
#line 14064 "preproc.y"
    { (yyval.str) = mm_strdup("identified"); }
    break;

  case 2527:

/* Line 1806 of yacc.c  */
#line 14065 "preproc.y"
    { (yyval.str) = mm_strdup("indicator"); }
    break;

  case 2528:

/* Line 1806 of yacc.c  */
#line 14066 "preproc.y"
    { (yyval.str) = mm_strdup("key_member"); }
    break;

  case 2529:

/* Line 1806 of yacc.c  */
#line 14067 "preproc.y"
    { (yyval.str) = mm_strdup("length"); }
    break;

  case 2530:

/* Line 1806 of yacc.c  */
#line 14068 "preproc.y"
    { (yyval.str) = mm_strdup("nullable"); }
    break;

  case 2531:

/* Line 1806 of yacc.c  */
#line 14069 "preproc.y"
    { (yyval.str) = mm_strdup("octet_length"); }
    break;

  case 2532:

/* Line 1806 of yacc.c  */
#line 14070 "preproc.y"
    { (yyval.str) = mm_strdup("returned_length"); }
    break;

  case 2533:

/* Line 1806 of yacc.c  */
#line 14071 "preproc.y"
    { (yyval.str) = mm_strdup("returned_octet_length"); }
    break;

  case 2534:

/* Line 1806 of yacc.c  */
#line 14072 "preproc.y"
    { (yyval.str) = mm_strdup("scale"); }
    break;

  case 2535:

/* Line 1806 of yacc.c  */
#line 14073 "preproc.y"
    { (yyval.str) = mm_strdup("section"); }
    break;

  case 2536:

/* Line 1806 of yacc.c  */
#line 14074 "preproc.y"
    { (yyval.str) = mm_strdup("sql"); }
    break;

  case 2537:

/* Line 1806 of yacc.c  */
#line 14075 "preproc.y"
    { (yyval.str) = mm_strdup("sqlerror"); }
    break;

  case 2538:

/* Line 1806 of yacc.c  */
#line 14076 "preproc.y"
    { (yyval.str) = mm_strdup("sqlprint"); }
    break;

  case 2539:

/* Line 1806 of yacc.c  */
#line 14077 "preproc.y"
    { (yyval.str) = mm_strdup("sqlwarning"); }
    break;

  case 2540:

/* Line 1806 of yacc.c  */
#line 14078 "preproc.y"
    { (yyval.str) = mm_strdup("stop"); }
    break;

  case 2541:

/* Line 1806 of yacc.c  */
#line 14081 "preproc.y"
    { (yyval.str) = mm_strdup("connect"); }
    break;

  case 2542:

/* Line 1806 of yacc.c  */
#line 14082 "preproc.y"
    { (yyval.str) = mm_strdup("describe"); }
    break;

  case 2543:

/* Line 1806 of yacc.c  */
#line 14083 "preproc.y"
    { (yyval.str) = mm_strdup("disconnect"); }
    break;

  case 2544:

/* Line 1806 of yacc.c  */
#line 14084 "preproc.y"
    { (yyval.str) = mm_strdup("open"); }
    break;

  case 2545:

/* Line 1806 of yacc.c  */
#line 14085 "preproc.y"
    { (yyval.str) = mm_strdup("var"); }
    break;

  case 2546:

/* Line 1806 of yacc.c  */
#line 14086 "preproc.y"
    { (yyval.str) = mm_strdup("whenever"); }
    break;

  case 2547:

/* Line 1806 of yacc.c  */
#line 14090 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); }
    break;

  case 2548:

/* Line 1806 of yacc.c  */
#line 14091 "preproc.y"
    { (yyval.str) = mm_strdup("long"); }
    break;

  case 2549:

/* Line 1806 of yacc.c  */
#line 14092 "preproc.y"
    { (yyval.str) = mm_strdup("output"); }
    break;

  case 2550:

/* Line 1806 of yacc.c  */
#line 14093 "preproc.y"
    { (yyval.str) = mm_strdup("short"); }
    break;

  case 2551:

/* Line 1806 of yacc.c  */
#line 14094 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); }
    break;

  case 2552:

/* Line 1806 of yacc.c  */
#line 14095 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); }
    break;

  case 2553:

/* Line 1806 of yacc.c  */
#line 14096 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); }
    break;

  case 2554:

/* Line 1806 of yacc.c  */
#line 14099 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2555:

/* Line 1806 of yacc.c  */
#line 14102 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2556:

/* Line 1806 of yacc.c  */
#line 14103 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2557:

/* Line 1806 of yacc.c  */
#line 14104 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2558:

/* Line 1806 of yacc.c  */
#line 14105 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2559:

/* Line 1806 of yacc.c  */
#line 14106 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2560:

/* Line 1806 of yacc.c  */
#line 14107 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2561:

/* Line 1806 of yacc.c  */
#line 14108 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2562:

/* Line 1806 of yacc.c  */
#line 14109 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2563:

/* Line 1806 of yacc.c  */
#line 14122 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2564:

/* Line 1806 of yacc.c  */
#line 14123 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2565:

/* Line 1806 of yacc.c  */
#line 14124 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2566:

/* Line 1806 of yacc.c  */
#line 14125 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2567:

/* Line 1806 of yacc.c  */
#line 14126 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2568:

/* Line 1806 of yacc.c  */
#line 14127 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2569:

/* Line 1806 of yacc.c  */
#line 14128 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2570:

/* Line 1806 of yacc.c  */
#line 14133 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2571:

/* Line 1806 of yacc.c  */
#line 14134 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2572:

/* Line 1806 of yacc.c  */
#line 14135 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2573:

/* Line 1806 of yacc.c  */
#line 14136 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2574:

/* Line 1806 of yacc.c  */
#line 14137 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2575:

/* Line 1806 of yacc.c  */
#line 14138 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2576:

/* Line 1806 of yacc.c  */
#line 14144 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2577:

/* Line 1806 of yacc.c  */
#line 14145 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2578:

/* Line 1806 of yacc.c  */
#line 14146 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2579:

/* Line 1806 of yacc.c  */
#line 14147 "preproc.y"
    { (yyval.str) = mm_strdup("current"); }
    break;

  case 2580:

/* Line 1806 of yacc.c  */
#line 14148 "preproc.y"
    { (yyval.str) = mm_strdup("input"); }
    break;

  case 2581:

/* Line 1806 of yacc.c  */
#line 14149 "preproc.y"
    { (yyval.str) = mm_strdup("int"); }
    break;

  case 2582:

/* Line 1806 of yacc.c  */
#line 14150 "preproc.y"
    { (yyval.str) = mm_strdup("to"); }
    break;

  case 2583:

/* Line 1806 of yacc.c  */
#line 14151 "preproc.y"
    { (yyval.str) = mm_strdup("union"); }
    break;

  case 2584:

/* Line 1806 of yacc.c  */
#line 14152 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2585:

/* Line 1806 of yacc.c  */
#line 14153 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2586:

/* Line 1806 of yacc.c  */
#line 14154 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2587:

/* Line 1806 of yacc.c  */
#line 14157 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2588:

/* Line 1806 of yacc.c  */
#line 14158 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2589:

/* Line 1806 of yacc.c  */
#line 14159 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2590:

/* Line 1806 of yacc.c  */
#line 14160 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2591:

/* Line 1806 of yacc.c  */
#line 14161 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); }
    break;

  case 2592:

/* Line 1806 of yacc.c  */
#line 14164 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2593:

/* Line 1806 of yacc.c  */
#line 14165 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2594:

/* Line 1806 of yacc.c  */
#line 14166 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2595:

/* Line 1806 of yacc.c  */
#line 14167 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2596:

/* Line 1806 of yacc.c  */
#line 14170 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2597:

/* Line 1806 of yacc.c  */
#line 14171 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2598:

/* Line 1806 of yacc.c  */
#line 14172 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2599:

/* Line 1806 of yacc.c  */
#line 14173 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2600:

/* Line 1806 of yacc.c  */
#line 14174 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2601:

/* Line 1806 of yacc.c  */
#line 14175 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); }
    break;

  case 2602:

/* Line 1806 of yacc.c  */
#line 14176 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2603:

/* Line 1806 of yacc.c  */
#line 14193 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2604:

/* Line 1806 of yacc.c  */
#line 14194 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2605:

/* Line 1806 of yacc.c  */
#line 14195 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); }
    break;

  case 2606:

/* Line 1806 of yacc.c  */
#line 14198 "preproc.y"
    { (yyval.str) = mm_strdup("day"); }
    break;

  case 2607:

/* Line 1806 of yacc.c  */
#line 14199 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); }
    break;

  case 2608:

/* Line 1806 of yacc.c  */
#line 14200 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); }
    break;

  case 2609:

/* Line 1806 of yacc.c  */
#line 14201 "preproc.y"
    { (yyval.str) = mm_strdup("month"); }
    break;

  case 2610:

/* Line 1806 of yacc.c  */
#line 14202 "preproc.y"
    { (yyval.str) = mm_strdup("second"); }
    break;

  case 2611:

/* Line 1806 of yacc.c  */
#line 14203 "preproc.y"
    { (yyval.str) = mm_strdup("year"); }
    break;

  case 2614:

/* Line 1806 of yacc.c  */
#line 14210 "preproc.y"
    {
				reset_variables();
				pacounter = 1;
			}
    break;

  case 2615:

/* Line 1806 of yacc.c  */
#line 14216 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2616:

/* Line 1806 of yacc.c  */
#line 14217 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2617:

/* Line 1806 of yacc.c  */
#line 14221 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); }
    break;

  case 2618:

/* Line 1806 of yacc.c  */
#line 14223 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); }
    break;

  case 2619:

/* Line 1806 of yacc.c  */
#line 14228 "preproc.y"
    {
			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str)));
			(yyval.str) = create_questionmarks((yyvsp[(1) - (2)].str), false);
		}
    break;

  case 2620:

/* Line 1806 of yacc.c  */
#line 14238 "preproc.y"
    {
			char *ptr = strstr((yyvsp[(1) - (1)].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2621:

/* Line 1806 of yacc.c  */
#line 14249 "preproc.y"
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
		}
    break;

  case 2622:

/* Line 1806 of yacc.c  */
#line 14255 "preproc.y"
    { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2623:

/* Line 1806 of yacc.c  */
#line 14256 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2624:

/* Line 1806 of yacc.c  */
#line 14257 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2625:

/* Line 1806 of yacc.c  */
#line 14261 "preproc.y"
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[(1) - (1)].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2626:

/* Line 1806 of yacc.c  */
#line 14293 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2627:

/* Line 1806 of yacc.c  */
#line 14295 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2628:

/* Line 1806 of yacc.c  */
#line 14297 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2629:

/* Line 1806 of yacc.c  */
#line 14301 "preproc.y"
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2630:

/* Line 1806 of yacc.c  */
#line 14311 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2631:

/* Line 1806 of yacc.c  */
#line 14321 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2632:

/* Line 1806 of yacc.c  */
#line 14330 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2633:

/* Line 1806 of yacc.c  */
#line 14331 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2634:

/* Line 1806 of yacc.c  */
#line 14334 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2635:

/* Line 1806 of yacc.c  */
#line 14336 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2636:

/* Line 1806 of yacc.c  */
#line 14337 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2637:

/* Line 1806 of yacc.c  */
#line 14338 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2638:

/* Line 1806 of yacc.c  */
#line 14342 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2639:

/* Line 1806 of yacc.c  */
#line 14344 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[(1) - (1)].str), mm_strdup(")")); }
    break;

  case 2640:

/* Line 1806 of yacc.c  */
#line 14351 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2641:

/* Line 1806 of yacc.c  */
#line 14352 "preproc.y"
    { (yyval.str) = mm_strdup("()"); }
    break;

  case 2642:

/* Line 1806 of yacc.c  */
#line 14354 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); }
    break;

  case 2643:

/* Line 1806 of yacc.c  */
#line 14357 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2644:

/* Line 1806 of yacc.c  */
#line 14359 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2645:

/* Line 1806 of yacc.c  */
#line 14362 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2646:

/* Line 1806 of yacc.c  */
#line 14363 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2647:

/* Line 1806 of yacc.c  */
#line 14366 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2648:

/* Line 1806 of yacc.c  */
#line 14367 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); }
    break;

  case 2649:

/* Line 1806 of yacc.c  */
#line 14370 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2650:

/* Line 1806 of yacc.c  */
#line 14371 "preproc.y"
    { (yyval.str) = mm_strdup("("); }
    break;

  case 2651:

/* Line 1806 of yacc.c  */
#line 14372 "preproc.y"
    { (yyval.str) = mm_strdup(")"); }
    break;

  case 2652:

/* Line 1806 of yacc.c  */
#line 14373 "preproc.y"
    { (yyval.str) = mm_strdup(","); }
    break;

  case 2653:

/* Line 1806 of yacc.c  */
#line 14374 "preproc.y"
    { (yyval.str) = mm_strdup(";"); }
    break;

  case 2654:

/* Line 1806 of yacc.c  */
#line 14377 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2655:

/* Line 1806 of yacc.c  */
#line 14378 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2656:

/* Line 1806 of yacc.c  */
#line 14379 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2657:

/* Line 1806 of yacc.c  */
#line 14380 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2658:

/* Line 1806 of yacc.c  */
#line 14381 "preproc.y"
    { (yyval.str) = mm_strdup("*"); }
    break;

  case 2659:

/* Line 1806 of yacc.c  */
#line 14382 "preproc.y"
    { (yyval.str) = mm_strdup("+"); }
    break;

  case 2660:

/* Line 1806 of yacc.c  */
#line 14383 "preproc.y"
    { (yyval.str) = mm_strdup("-"); }
    break;

  case 2661:

/* Line 1806 of yacc.c  */
#line 14384 "preproc.y"
    { (yyval.str) = mm_strdup("/"); }
    break;

  case 2662:

/* Line 1806 of yacc.c  */
#line 14385 "preproc.y"
    { (yyval.str) = mm_strdup("%"); }
    break;

  case 2663:

/* Line 1806 of yacc.c  */
#line 14386 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); }
    break;

  case 2664:

/* Line 1806 of yacc.c  */
#line 14387 "preproc.y"
    { (yyval.str) = mm_strdup("+="); }
    break;

  case 2665:

/* Line 1806 of yacc.c  */
#line 14388 "preproc.y"
    { (yyval.str) = mm_strdup("&&"); }
    break;

  case 2666:

/* Line 1806 of yacc.c  */
#line 14389 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2667:

/* Line 1806 of yacc.c  */
#line 14390 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2668:

/* Line 1806 of yacc.c  */
#line 14391 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2669:

/* Line 1806 of yacc.c  */
#line 14392 "preproc.y"
    { (yyval.str) = mm_strdup("--"); }
    break;

  case 2670:

/* Line 1806 of yacc.c  */
#line 14393 "preproc.y"
    { (yyval.str) = mm_strdup("/="); }
    break;

  case 2671:

/* Line 1806 of yacc.c  */
#line 14394 "preproc.y"
    { (yyval.str) = mm_strdup(".*"); }
    break;

  case 2672:

/* Line 1806 of yacc.c  */
#line 14395 "preproc.y"
    { (yyval.str) = mm_strdup("=="); }
    break;

  case 2673:

/* Line 1806 of yacc.c  */
#line 14396 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2674:

/* Line 1806 of yacc.c  */
#line 14397 "preproc.y"
    { (yyval.str) = mm_strdup("++"); }
    break;

  case 2675:

/* Line 1806 of yacc.c  */
#line 14398 "preproc.y"
    { (yyval.str) = mm_strdup("<<"); }
    break;

  case 2676:

/* Line 1806 of yacc.c  */
#line 14399 "preproc.y"
    { (yyval.str) = mm_strdup("->"); }
    break;

  case 2677:

/* Line 1806 of yacc.c  */
#line 14400 "preproc.y"
    { (yyval.str) = mm_strdup("->*"); }
    break;

  case 2678:

/* Line 1806 of yacc.c  */
#line 14401 "preproc.y"
    { (yyval.str) = mm_strdup("%="); }
    break;

  case 2679:

/* Line 1806 of yacc.c  */
#line 14402 "preproc.y"
    { (yyval.str) = mm_strdup("*="); }
    break;

  case 2680:

/* Line 1806 of yacc.c  */
#line 14403 "preproc.y"
    { (yyval.str) = mm_strdup("!="); }
    break;

  case 2681:

/* Line 1806 of yacc.c  */
#line 14404 "preproc.y"
    { (yyval.str) = mm_strdup("||"); }
    break;

  case 2682:

/* Line 1806 of yacc.c  */
#line 14405 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2683:

/* Line 1806 of yacc.c  */
#line 14406 "preproc.y"
    { (yyval.str) = mm_strdup(">>"); }
    break;

  case 2684:

/* Line 1806 of yacc.c  */
#line 14407 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2685:

/* Line 1806 of yacc.c  */
#line 14408 "preproc.y"
    { (yyval.str) = mm_strdup("-="); }
    break;

  case 2686:

/* Line 1806 of yacc.c  */
#line 14409 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); }
    break;

  case 2687:

/* Line 1806 of yacc.c  */
#line 14410 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2688:

/* Line 1806 of yacc.c  */
#line 14411 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); }
    break;

  case 2689:

/* Line 1806 of yacc.c  */
#line 14412 "preproc.y"
    { (yyval.str) = mm_strdup("enum"); }
    break;

  case 2690:

/* Line 1806 of yacc.c  */
#line 14413 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); }
    break;

  case 2691:

/* Line 1806 of yacc.c  */
#line 14414 "preproc.y"
    { (yyval.str) = mm_strdup("int"); }
    break;

  case 2692:

/* Line 1806 of yacc.c  */
#line 14415 "preproc.y"
    { (yyval.str) = mm_strdup("long"); }
    break;

  case 2693:

/* Line 1806 of yacc.c  */
#line 14416 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); }
    break;

  case 2694:

/* Line 1806 of yacc.c  */
#line 14417 "preproc.y"
    { (yyval.str) = mm_strdup("month"); }
    break;

  case 2695:

/* Line 1806 of yacc.c  */
#line 14418 "preproc.y"
    { (yyval.str) = mm_strdup("second"); }
    break;

  case 2696:

/* Line 1806 of yacc.c  */
#line 14419 "preproc.y"
    { (yyval.str) = mm_strdup("short"); }
    break;

  case 2697:

/* Line 1806 of yacc.c  */
#line 14420 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); }
    break;

  case 2698:

/* Line 1806 of yacc.c  */
#line 14421 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); }
    break;

  case 2699:

/* Line 1806 of yacc.c  */
#line 14422 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); }
    break;

  case 2700:

/* Line 1806 of yacc.c  */
#line 14423 "preproc.y"
    { (yyval.str) = mm_strdup("year"); }
    break;

  case 2701:

/* Line 1806 of yacc.c  */
#line 14424 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2702:

/* Line 1806 of yacc.c  */
#line 14425 "preproc.y"
    { (yyval.str) = mm_strdup("float"); }
    break;

  case 2703:

/* Line 1806 of yacc.c  */
#line 14426 "preproc.y"
    { (yyval.str) = mm_strdup("to"); }
    break;

  case 2704:

/* Line 1806 of yacc.c  */
#line 14427 "preproc.y"
    { (yyval.str) = mm_strdup("union"); }
    break;

  case 2705:

/* Line 1806 of yacc.c  */
#line 14428 "preproc.y"
    { (yyval.str) = mm_strdup("varchar"); }
    break;

  case 2706:

/* Line 1806 of yacc.c  */
#line 14429 "preproc.y"
    { (yyval.str) = mm_strdup("["); }
    break;

  case 2707:

/* Line 1806 of yacc.c  */
#line 14430 "preproc.y"
    { (yyval.str) = mm_strdup("]"); }
    break;

  case 2708:

/* Line 1806 of yacc.c  */
#line 14431 "preproc.y"
    { (yyval.str) = mm_strdup("="); }
    break;

  case 2709:

/* Line 1806 of yacc.c  */
#line 14432 "preproc.y"
    { (yyval.str) = mm_strdup(":"); }
    break;

  case 2710:

/* Line 1806 of yacc.c  */
#line 14435 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2711:

/* Line 1806 of yacc.c  */
#line 14436 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2712:

/* Line 1806 of yacc.c  */
#line 14437 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2713:

/* Line 1806 of yacc.c  */
#line 14438 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2714:

/* Line 1806 of yacc.c  */
#line 14441 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2715:

/* Line 1806 of yacc.c  */
#line 14442 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); }
    break;

  case 2716:

/* Line 1806 of yacc.c  */
#line 14443 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("+"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2717:

/* Line 1806 of yacc.c  */
#line 14444 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("-"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2718:

/* Line 1806 of yacc.c  */
#line 14445 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("*"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2719:

/* Line 1806 of yacc.c  */
#line 14446 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("/"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2720:

/* Line 1806 of yacc.c  */
#line 14447 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("%"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2721:

/* Line 1806 of yacc.c  */
#line 14448 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2722:

/* Line 1806 of yacc.c  */
#line 14449 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2723:

/* Line 1806 of yacc.c  */
#line 14452 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2724:

/* Line 1806 of yacc.c  */
#line 14453 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2725:

/* Line 1806 of yacc.c  */
#line 14454 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2726:

/* Line 1806 of yacc.c  */
#line 14455 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2727:

/* Line 1806 of yacc.c  */
#line 14456 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2728:

/* Line 1806 of yacc.c  */
#line 14459 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2729:

/* Line 1806 of yacc.c  */
#line 14460 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2730:

/* Line 1806 of yacc.c  */
#line 14463 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2731:

/* Line 1806 of yacc.c  */
#line 14465 "preproc.y"
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[(1) - (1)].str);
	}
    break;

  case 2732:

/* Line 1806 of yacc.c  */
#line 14475 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2733:

/* Line 1806 of yacc.c  */
#line 14476 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;



/* Line 1806 of yacc.c  */
#line 51843 "preproc.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 14479 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"

